#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1385
#define LARGE_STATE_COUNT 406
#define SYMBOL_COUNT 320
#define ALIAS_COUNT 1
#define TOKEN_COUNT 138
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 40
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 208

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_decimal_integer_literal = 2,
  sym_hex_integer_literal = 3,
  sym_octal_integer_literal = 4,
  sym_binary_integer_literal = 5,
  sym_decimal_floating_point_literal = 6,
  sym_hex_floating_point_literal = 7,
  sym_true = 8,
  sym_false = 9,
  sym_character_literal = 10,
  anon_sym_DQUOTE = 11,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 12,
  sym_string_fragment = 13,
  aux_sym__multiline_string_fragment_token1 = 14,
  aux_sym__multiline_string_fragment_token2 = 15,
  anon_sym_BSLASH_LBRACE = 16,
  anon_sym_RBRACE = 17,
  aux_sym__escape_sequence_token1 = 18,
  sym_escape_sequence = 19,
  sym_null_literal = 20,
  anon_sym_LPAREN = 21,
  anon_sym_RPAREN = 22,
  anon_sym_AMP = 23,
  anon_sym_EQ = 24,
  anon_sym_PLUS_EQ = 25,
  anon_sym_DASH_EQ = 26,
  anon_sym_STAR_EQ = 27,
  anon_sym_SLASH_EQ = 28,
  anon_sym_AMP_EQ = 29,
  anon_sym_PIPE_EQ = 30,
  anon_sym_CARET_EQ = 31,
  anon_sym_PERCENT_EQ = 32,
  anon_sym_LT_LT_EQ = 33,
  anon_sym_GT_GT_EQ = 34,
  anon_sym_GT_GT_GT_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_LT = 37,
  anon_sym_GT_EQ = 38,
  anon_sym_LT_EQ = 39,
  anon_sym_EQ_EQ = 40,
  anon_sym_BANG_EQ = 41,
  anon_sym_AMP_AMP = 42,
  anon_sym_PIPE_PIPE = 43,
  anon_sym_PLUS = 44,
  anon_sym_DASH = 45,
  anon_sym_STAR = 46,
  anon_sym_SLASH = 47,
  anon_sym_PIPE = 48,
  anon_sym_CARET = 49,
  anon_sym_PERCENT = 50,
  anon_sym_LT_LT = 51,
  anon_sym_GT_GT = 52,
  anon_sym_GT_GT_GT = 53,
  anon_sym_instanceof = 54,
  anon_sym_final = 55,
  anon_sym_DASH_GT = 56,
  anon_sym_COMMA = 57,
  anon_sym_QMARK = 58,
  anon_sym_COLON = 59,
  anon_sym_BANG = 60,
  anon_sym_TILDE = 61,
  anon_sym_PLUS_PLUS = 62,
  anon_sym_DASH_DASH = 63,
  anon_sym_new = 64,
  anon_sym_LBRACK = 65,
  anon_sym_RBRACK = 66,
  anon_sym_DOT = 67,
  anon_sym_class = 68,
  anon_sym_COLON_COLON = 69,
  anon_sym_extends = 70,
  anon_sym_switch = 71,
  anon_sym_LBRACE = 72,
  anon_sym_case = 73,
  anon_sym_default = 74,
  sym_underscore_pattern = 75,
  anon_sym_when = 76,
  anon_sym_SEMI = 77,
  anon_sym_assert = 78,
  anon_sym_do = 79,
  anon_sym_while = 80,
  anon_sym_break = 81,
  anon_sym_continue = 82,
  anon_sym_return = 83,
  anon_sym_yield = 84,
  anon_sym_synchronized = 85,
  anon_sym_throw = 86,
  anon_sym_try = 87,
  anon_sym_catch = 88,
  anon_sym_finally = 89,
  anon_sym_if = 90,
  anon_sym_else = 91,
  anon_sym_for = 92,
  anon_sym_AT = 93,
  anon_sym_open = 94,
  anon_sym_module = 95,
  anon_sym_requires = 96,
  anon_sym_transitive = 97,
  anon_sym_static = 98,
  anon_sym_exports = 99,
  anon_sym_to = 100,
  anon_sym_opens = 101,
  anon_sym_uses = 102,
  anon_sym_provides = 103,
  anon_sym_with = 104,
  anon_sym_package = 105,
  anon_sym_import = 106,
  anon_sym_enum = 107,
  anon_sym_public = 108,
  anon_sym_protected = 109,
  anon_sym_private = 110,
  anon_sym_abstract = 111,
  anon_sym_strictfp = 112,
  anon_sym_native = 113,
  anon_sym_transient = 114,
  anon_sym_volatile = 115,
  anon_sym_sealed = 116,
  anon_sym_non_DASHsealed = 117,
  anon_sym_implements = 118,
  anon_sym_permits = 119,
  anon_sym_record = 120,
  anon_sym_ATinterface = 121,
  anon_sym_interface = 122,
  anon_sym_byte = 123,
  anon_sym_short = 124,
  anon_sym_int = 125,
  anon_sym_long = 126,
  anon_sym_char = 127,
  anon_sym_float = 128,
  anon_sym_double = 129,
  sym_boolean_type = 130,
  sym_void_type = 131,
  anon_sym_DOT_DOT_DOT = 132,
  anon_sym_throws = 133,
  sym_this = 134,
  sym_super = 135,
  sym_line_comment = 136,
  sym_block_comment = 137,
  sym_program = 138,
  sym__toplevel_statement = 139,
  sym__literal = 140,
  sym_string_literal = 141,
  sym__string_literal = 142,
  sym__multiline_string_literal = 143,
  sym__multiline_string_fragment = 144,
  sym_string_interpolation = 145,
  sym__escape_sequence = 146,
  sym_expression = 147,
  sym_cast_expression = 148,
  sym_assignment_expression = 149,
  sym_binary_expression = 150,
  sym_instanceof_expression = 151,
  sym_lambda_expression = 152,
  sym_inferred_parameters = 153,
  sym_ternary_expression = 154,
  sym_unary_expression = 155,
  sym_update_expression = 156,
  sym_primary_expression = 157,
  sym_array_creation_expression = 158,
  sym_dimensions_expr = 159,
  sym_parenthesized_expression = 160,
  sym_class_literal = 161,
  sym_object_creation_expression = 162,
  sym__unqualified_object_creation_expression = 163,
  sym_field_access = 164,
  sym_template_expression = 165,
  sym_array_access = 166,
  sym_method_invocation = 167,
  sym_argument_list = 168,
  sym_method_reference = 169,
  sym_type_arguments = 170,
  sym_wildcard = 171,
  sym__wildcard_bounds = 172,
  sym_dimensions = 173,
  sym_switch_expression = 174,
  sym_switch_block = 175,
  sym_switch_block_statement_group = 176,
  sym_switch_rule = 177,
  sym_switch_label = 178,
  sym_pattern = 179,
  sym_type_pattern = 180,
  sym_record_pattern = 181,
  sym_record_pattern_body = 182,
  sym_record_pattern_component = 183,
  sym_guard = 184,
  sym_statement = 185,
  sym_block = 186,
  sym_expression_statement = 187,
  sym_labeled_statement = 188,
  sym_assert_statement = 189,
  sym_do_statement = 190,
  sym_break_statement = 191,
  sym_continue_statement = 192,
  sym_return_statement = 193,
  sym_yield_statement = 194,
  sym_synchronized_statement = 195,
  sym_throw_statement = 196,
  sym_try_statement = 197,
  sym_catch_clause = 198,
  sym_catch_formal_parameter = 199,
  sym_catch_type = 200,
  sym_finally_clause = 201,
  sym_try_with_resources_statement = 202,
  sym_resource_specification = 203,
  sym_resource = 204,
  sym_if_statement = 205,
  sym_while_statement = 206,
  sym_for_statement = 207,
  sym_enhanced_for_statement = 208,
  sym__annotation = 209,
  sym_marker_annotation = 210,
  sym_annotation = 211,
  sym_annotation_argument_list = 212,
  sym_element_value_pair = 213,
  sym__element_value = 214,
  sym_element_value_array_initializer = 215,
  sym_declaration = 216,
  sym_module_declaration = 217,
  sym_module_body = 218,
  sym_module_directive = 219,
  sym_requires_module_directive = 220,
  sym_requires_modifier = 221,
  sym_exports_module_directive = 222,
  sym_opens_module_directive = 223,
  sym_uses_module_directive = 224,
  sym_provides_module_directive = 225,
  sym_package_declaration = 226,
  sym_import_declaration = 227,
  sym_asterisk = 228,
  sym_enum_declaration = 229,
  sym_enum_body = 230,
  sym_enum_body_declarations = 231,
  sym_enum_constant = 232,
  sym_class_declaration = 233,
  sym_modifiers = 234,
  sym_type_parameters = 235,
  sym_type_parameter = 236,
  sym_type_bound = 237,
  sym_superclass = 238,
  sym_super_interfaces = 239,
  sym_type_list = 240,
  sym_permits = 241,
  sym_class_body = 242,
  sym_static_initializer = 243,
  sym_constructor_declaration = 244,
  sym__constructor_declarator = 245,
  sym_constructor_body = 246,
  sym_explicit_constructor_invocation = 247,
  sym_scoped_identifier = 248,
  sym_field_declaration = 249,
  sym_record_declaration = 250,
  sym_annotation_type_declaration = 251,
  sym_annotation_type_body = 252,
  sym_annotation_type_element_declaration = 253,
  sym__default_value = 254,
  sym_interface_declaration = 255,
  sym_extends_interfaces = 256,
  sym_interface_body = 257,
  sym_constant_declaration = 258,
  sym__variable_declarator_list = 259,
  sym_variable_declarator = 260,
  sym__variable_declarator_id = 261,
  sym_array_initializer = 262,
  sym__type = 263,
  sym__unannotated_type = 264,
  sym_annotated_type = 265,
  sym_scoped_type_identifier = 266,
  sym_generic_type = 267,
  sym_array_type = 268,
  sym_integral_type = 269,
  sym_floating_point_type = 270,
  sym__method_header = 271,
  sym__method_declarator = 272,
  sym_formal_parameters = 273,
  sym_formal_parameter = 274,
  sym_receiver_parameter = 275,
  sym_spread_parameter = 276,
  sym_throws = 277,
  sym_local_variable_declaration = 278,
  sym_method_declaration = 279,
  sym_compact_constructor_declaration = 280,
  sym__reserved_identifier = 281,
  aux_sym_program_repeat1 = 282,
  aux_sym__string_literal_repeat1 = 283,
  aux_sym__multiline_string_literal_repeat1 = 284,
  aux_sym_cast_expression_repeat1 = 285,
  aux_sym_inferred_parameters_repeat1 = 286,
  aux_sym_array_creation_expression_repeat1 = 287,
  aux_sym_array_creation_expression_repeat2 = 288,
  aux_sym_argument_list_repeat1 = 289,
  aux_sym_type_arguments_repeat1 = 290,
  aux_sym_dimensions_repeat1 = 291,
  aux_sym_switch_block_repeat1 = 292,
  aux_sym_switch_block_repeat2 = 293,
  aux_sym_switch_block_statement_group_repeat1 = 294,
  aux_sym_switch_block_statement_group_repeat2 = 295,
  aux_sym_record_pattern_body_repeat1 = 296,
  aux_sym_try_statement_repeat1 = 297,
  aux_sym_catch_type_repeat1 = 298,
  aux_sym_resource_specification_repeat1 = 299,
  aux_sym_for_statement_repeat1 = 300,
  aux_sym_for_statement_repeat2 = 301,
  aux_sym_annotation_argument_list_repeat1 = 302,
  aux_sym_element_value_array_initializer_repeat1 = 303,
  aux_sym_module_body_repeat1 = 304,
  aux_sym_requires_module_directive_repeat1 = 305,
  aux_sym_exports_module_directive_repeat1 = 306,
  aux_sym_provides_module_directive_repeat1 = 307,
  aux_sym_enum_body_repeat1 = 308,
  aux_sym_enum_body_declarations_repeat1 = 309,
  aux_sym_modifiers_repeat1 = 310,
  aux_sym_type_parameters_repeat1 = 311,
  aux_sym_type_bound_repeat1 = 312,
  aux_sym_type_list_repeat1 = 313,
  aux_sym_annotation_type_body_repeat1 = 314,
  aux_sym_interface_body_repeat1 = 315,
  aux_sym__variable_declarator_list_repeat1 = 316,
  aux_sym_array_initializer_repeat1 = 317,
  aux_sym_formal_parameters_repeat1 = 318,
  aux_sym_receiver_parameter_repeat1 = 319,
  alias_sym_type_identifier = 320,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hex_integer_literal] = "hex_integer_literal",
  [sym_octal_integer_literal] = "octal_integer_literal",
  [sym_binary_integer_literal] = "binary_integer_literal",
  [sym_decimal_floating_point_literal] = "decimal_floating_point_literal",
  [sym_hex_floating_point_literal] = "hex_floating_point_literal",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [sym_string_fragment] = "string_fragment",
  [aux_sym__multiline_string_fragment_token1] = "_multiline_string_fragment_token1",
  [aux_sym__multiline_string_fragment_token2] = "_multiline_string_fragment_token2",
  [anon_sym_BSLASH_LBRACE] = "\\{",
  [anon_sym_RBRACE] = "}",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_null_literal] = "null_literal",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_final] = "final",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_COMMA] = ",",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_new] = "new",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_extends] = "extends",
  [anon_sym_switch] = "switch",
  [anon_sym_LBRACE] = "{",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [sym_underscore_pattern] = "underscore_pattern",
  [anon_sym_when] = "when",
  [anon_sym_SEMI] = ";",
  [anon_sym_assert] = "assert",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_return] = "return",
  [anon_sym_yield] = "yield",
  [anon_sym_synchronized] = "synchronized",
  [anon_sym_throw] = "throw",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_AT] = "@",
  [anon_sym_open] = "open",
  [anon_sym_module] = "module",
  [anon_sym_requires] = "requires",
  [anon_sym_transitive] = "transitive",
  [anon_sym_static] = "static",
  [anon_sym_exports] = "exports",
  [anon_sym_to] = "to",
  [anon_sym_opens] = "opens",
  [anon_sym_uses] = "uses",
  [anon_sym_provides] = "provides",
  [anon_sym_with] = "with",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_enum] = "enum",
  [anon_sym_public] = "public",
  [anon_sym_protected] = "protected",
  [anon_sym_private] = "private",
  [anon_sym_abstract] = "abstract",
  [anon_sym_strictfp] = "strictfp",
  [anon_sym_native] = "native",
  [anon_sym_transient] = "transient",
  [anon_sym_volatile] = "volatile",
  [anon_sym_sealed] = "sealed",
  [anon_sym_non_DASHsealed] = "non-sealed",
  [anon_sym_implements] = "implements",
  [anon_sym_permits] = "permits",
  [anon_sym_record] = "record",
  [anon_sym_ATinterface] = "@interface",
  [anon_sym_interface] = "interface",
  [anon_sym_byte] = "byte",
  [anon_sym_short] = "short",
  [anon_sym_int] = "int",
  [anon_sym_long] = "long",
  [anon_sym_char] = "char",
  [anon_sym_float] = "float",
  [anon_sym_double] = "double",
  [sym_boolean_type] = "boolean_type",
  [sym_void_type] = "void_type",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_throws] = "throws",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_line_comment] = "line_comment",
  [sym_block_comment] = "block_comment",
  [sym_program] = "program",
  [sym__toplevel_statement] = "_toplevel_statement",
  [sym__literal] = "_literal",
  [sym_string_literal] = "string_literal",
  [sym__string_literal] = "_string_literal",
  [sym__multiline_string_literal] = "_multiline_string_literal",
  [sym__multiline_string_fragment] = "multiline_string_fragment",
  [sym_string_interpolation] = "string_interpolation",
  [sym__escape_sequence] = "_escape_sequence",
  [sym_expression] = "expression",
  [sym_cast_expression] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_instanceof_expression] = "instanceof_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_inferred_parameters] = "inferred_parameters",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_dimensions_expr] = "dimensions_expr",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_literal] = "class_literal",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__unqualified_object_creation_expression] = "_unqualified_object_creation_expression",
  [sym_field_access] = "field_access",
  [sym_template_expression] = "template_expression",
  [sym_array_access] = "array_access",
  [sym_method_invocation] = "method_invocation",
  [sym_argument_list] = "argument_list",
  [sym_method_reference] = "method_reference",
  [sym_type_arguments] = "type_arguments",
  [sym_wildcard] = "wildcard",
  [sym__wildcard_bounds] = "_wildcard_bounds",
  [sym_dimensions] = "dimensions",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_block] = "switch_block",
  [sym_switch_block_statement_group] = "switch_block_statement_group",
  [sym_switch_rule] = "switch_rule",
  [sym_switch_label] = "switch_label",
  [sym_pattern] = "pattern",
  [sym_type_pattern] = "type_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_record_pattern_body] = "record_pattern_body",
  [sym_record_pattern_component] = "record_pattern_component",
  [sym_guard] = "guard",
  [sym_statement] = "statement",
  [sym_block] = "block",
  [sym_expression_statement] = "expression_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_do_statement] = "do_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_return_statement] = "return_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_synchronized_statement] = "synchronized_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_formal_parameter] = "catch_formal_parameter",
  [sym_catch_type] = "catch_type",
  [sym_finally_clause] = "finally_clause",
  [sym_try_with_resources_statement] = "try_with_resources_statement",
  [sym_resource_specification] = "resource_specification",
  [sym_resource] = "resource",
  [sym_if_statement] = "if_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_statement] = "for_statement",
  [sym_enhanced_for_statement] = "enhanced_for_statement",
  [sym__annotation] = "_annotation",
  [sym_marker_annotation] = "marker_annotation",
  [sym_annotation] = "annotation",
  [sym_annotation_argument_list] = "annotation_argument_list",
  [sym_element_value_pair] = "element_value_pair",
  [sym__element_value] = "_element_value",
  [sym_element_value_array_initializer] = "element_value_array_initializer",
  [sym_declaration] = "declaration",
  [sym_module_declaration] = "module_declaration",
  [sym_module_body] = "module_body",
  [sym_module_directive] = "module_directive",
  [sym_requires_module_directive] = "requires_module_directive",
  [sym_requires_modifier] = "requires_modifier",
  [sym_exports_module_directive] = "exports_module_directive",
  [sym_opens_module_directive] = "opens_module_directive",
  [sym_uses_module_directive] = "uses_module_directive",
  [sym_provides_module_directive] = "provides_module_directive",
  [sym_package_declaration] = "package_declaration",
  [sym_import_declaration] = "import_declaration",
  [sym_asterisk] = "asterisk",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_body_declarations] = "enum_body_declarations",
  [sym_enum_constant] = "enum_constant",
  [sym_class_declaration] = "class_declaration",
  [sym_modifiers] = "modifiers",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_type_bound] = "type_bound",
  [sym_superclass] = "superclass",
  [sym_super_interfaces] = "super_interfaces",
  [sym_type_list] = "type_list",
  [sym_permits] = "permits",
  [sym_class_body] = "class_body",
  [sym_static_initializer] = "static_initializer",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_declarator] = "_constructor_declarator",
  [sym_constructor_body] = "constructor_body",
  [sym_explicit_constructor_invocation] = "explicit_constructor_invocation",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_field_declaration] = "field_declaration",
  [sym_record_declaration] = "record_declaration",
  [sym_annotation_type_declaration] = "annotation_type_declaration",
  [sym_annotation_type_body] = "annotation_type_body",
  [sym_annotation_type_element_declaration] = "annotation_type_element_declaration",
  [sym__default_value] = "_default_value",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_interfaces] = "extends_interfaces",
  [sym_interface_body] = "interface_body",
  [sym_constant_declaration] = "constant_declaration",
  [sym__variable_declarator_list] = "_variable_declarator_list",
  [sym_variable_declarator] = "variable_declarator",
  [sym__variable_declarator_id] = "_variable_declarator_id",
  [sym_array_initializer] = "array_initializer",
  [sym__type] = "_type",
  [sym__unannotated_type] = "_unannotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym_scoped_type_identifier] = "scoped_type_identifier",
  [sym_generic_type] = "generic_type",
  [sym_array_type] = "array_type",
  [sym_integral_type] = "integral_type",
  [sym_floating_point_type] = "floating_point_type",
  [sym__method_header] = "_method_header",
  [sym__method_declarator] = "_method_declarator",
  [sym_formal_parameters] = "formal_parameters",
  [sym_formal_parameter] = "formal_parameter",
  [sym_receiver_parameter] = "receiver_parameter",
  [sym_spread_parameter] = "spread_parameter",
  [sym_throws] = "throws",
  [sym_local_variable_declaration] = "local_variable_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_compact_constructor_declaration] = "compact_constructor_declaration",
  [sym__reserved_identifier] = "_reserved_identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym__string_literal_repeat1] = "_string_literal_repeat1",
  [aux_sym__multiline_string_literal_repeat1] = "_multiline_string_literal_repeat1",
  [aux_sym_cast_expression_repeat1] = "cast_expression_repeat1",
  [aux_sym_inferred_parameters_repeat1] = "inferred_parameters_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_array_creation_expression_repeat2] = "array_creation_expression_repeat2",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_dimensions_repeat1] = "dimensions_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_switch_block_repeat2] = "switch_block_repeat2",
  [aux_sym_switch_block_statement_group_repeat1] = "switch_block_statement_group_repeat1",
  [aux_sym_switch_block_statement_group_repeat2] = "switch_block_statement_group_repeat2",
  [aux_sym_record_pattern_body_repeat1] = "record_pattern_body_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_catch_type_repeat1] = "catch_type_repeat1",
  [aux_sym_resource_specification_repeat1] = "resource_specification_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_for_statement_repeat2] = "for_statement_repeat2",
  [aux_sym_annotation_argument_list_repeat1] = "annotation_argument_list_repeat1",
  [aux_sym_element_value_array_initializer_repeat1] = "element_value_array_initializer_repeat1",
  [aux_sym_module_body_repeat1] = "module_body_repeat1",
  [aux_sym_requires_module_directive_repeat1] = "requires_module_directive_repeat1",
  [aux_sym_exports_module_directive_repeat1] = "exports_module_directive_repeat1",
  [aux_sym_provides_module_directive_repeat1] = "provides_module_directive_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_enum_body_declarations_repeat1] = "enum_body_declarations_repeat1",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_type_bound_repeat1] = "type_bound_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_annotation_type_body_repeat1] = "annotation_type_body_repeat1",
  [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
  [aux_sym__variable_declarator_list_repeat1] = "_variable_declarator_list_repeat1",
  [aux_sym_array_initializer_repeat1] = "array_initializer_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_receiver_parameter_repeat1] = "receiver_parameter_repeat1",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_decimal_integer_literal] = sym_decimal_integer_literal,
  [sym_hex_integer_literal] = sym_hex_integer_literal,
  [sym_octal_integer_literal] = sym_octal_integer_literal,
  [sym_binary_integer_literal] = sym_binary_integer_literal,
  [sym_decimal_floating_point_literal] = sym_decimal_floating_point_literal,
  [sym_hex_floating_point_literal] = sym_hex_floating_point_literal,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [sym_string_fragment] = sym_string_fragment,
  [aux_sym__multiline_string_fragment_token1] = aux_sym__multiline_string_fragment_token1,
  [aux_sym__multiline_string_fragment_token2] = aux_sym__multiline_string_fragment_token2,
  [anon_sym_BSLASH_LBRACE] = anon_sym_BSLASH_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [sym_underscore_pattern] = sym_underscore_pattern,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_synchronized] = anon_sym_synchronized,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_transitive] = anon_sym_transitive,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_exports] = anon_sym_exports,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_opens] = anon_sym_opens,
  [anon_sym_uses] = anon_sym_uses,
  [anon_sym_provides] = anon_sym_provides,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_strictfp] = anon_sym_strictfp,
  [anon_sym_native] = anon_sym_native,
  [anon_sym_transient] = anon_sym_transient,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_non_DASHsealed] = anon_sym_non_DASHsealed,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_permits] = anon_sym_permits,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_ATinterface] = anon_sym_ATinterface,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_char] = anon_sym_char,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_double] = anon_sym_double,
  [sym_boolean_type] = sym_boolean_type,
  [sym_void_type] = sym_void_type,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_throws] = anon_sym_throws,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_line_comment] = sym_line_comment,
  [sym_block_comment] = sym_block_comment,
  [sym_program] = sym_program,
  [sym__toplevel_statement] = sym__toplevel_statement,
  [sym__literal] = sym__literal,
  [sym_string_literal] = sym_string_literal,
  [sym__string_literal] = sym__string_literal,
  [sym__multiline_string_literal] = sym__multiline_string_literal,
  [sym__multiline_string_fragment] = sym__multiline_string_fragment,
  [sym_string_interpolation] = sym_string_interpolation,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym_expression] = sym_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_instanceof_expression] = sym_instanceof_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_inferred_parameters] = sym_inferred_parameters,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_dimensions_expr] = sym_dimensions_expr,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_literal] = sym_class_literal,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__unqualified_object_creation_expression] = sym__unqualified_object_creation_expression,
  [sym_field_access] = sym_field_access,
  [sym_template_expression] = sym_template_expression,
  [sym_array_access] = sym_array_access,
  [sym_method_invocation] = sym_method_invocation,
  [sym_argument_list] = sym_argument_list,
  [sym_method_reference] = sym_method_reference,
  [sym_type_arguments] = sym_type_arguments,
  [sym_wildcard] = sym_wildcard,
  [sym__wildcard_bounds] = sym__wildcard_bounds,
  [sym_dimensions] = sym_dimensions,
  [sym_switch_expression] = sym_switch_expression,
  [sym_switch_block] = sym_switch_block,
  [sym_switch_block_statement_group] = sym_switch_block_statement_group,
  [sym_switch_rule] = sym_switch_rule,
  [sym_switch_label] = sym_switch_label,
  [sym_pattern] = sym_pattern,
  [sym_type_pattern] = sym_type_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_record_pattern_body] = sym_record_pattern_body,
  [sym_record_pattern_component] = sym_record_pattern_component,
  [sym_guard] = sym_guard,
  [sym_statement] = sym_statement,
  [sym_block] = sym_block,
  [sym_expression_statement] = sym_expression_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_yield_statement] = sym_yield_statement,
  [sym_synchronized_statement] = sym_synchronized_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_formal_parameter] = sym_catch_formal_parameter,
  [sym_catch_type] = sym_catch_type,
  [sym_finally_clause] = sym_finally_clause,
  [sym_try_with_resources_statement] = sym_try_with_resources_statement,
  [sym_resource_specification] = sym_resource_specification,
  [sym_resource] = sym_resource,
  [sym_if_statement] = sym_if_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_enhanced_for_statement] = sym_enhanced_for_statement,
  [sym__annotation] = sym__annotation,
  [sym_marker_annotation] = sym_marker_annotation,
  [sym_annotation] = sym_annotation,
  [sym_annotation_argument_list] = sym_annotation_argument_list,
  [sym_element_value_pair] = sym_element_value_pair,
  [sym__element_value] = sym__element_value,
  [sym_element_value_array_initializer] = sym_element_value_array_initializer,
  [sym_declaration] = sym_declaration,
  [sym_module_declaration] = sym_module_declaration,
  [sym_module_body] = sym_module_body,
  [sym_module_directive] = sym_module_directive,
  [sym_requires_module_directive] = sym_requires_module_directive,
  [sym_requires_modifier] = sym_requires_modifier,
  [sym_exports_module_directive] = sym_exports_module_directive,
  [sym_opens_module_directive] = sym_opens_module_directive,
  [sym_uses_module_directive] = sym_uses_module_directive,
  [sym_provides_module_directive] = sym_provides_module_directive,
  [sym_package_declaration] = sym_package_declaration,
  [sym_import_declaration] = sym_import_declaration,
  [sym_asterisk] = sym_asterisk,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_body_declarations] = sym_enum_body_declarations,
  [sym_enum_constant] = sym_enum_constant,
  [sym_class_declaration] = sym_class_declaration,
  [sym_modifiers] = sym_modifiers,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_type_bound] = sym_type_bound,
  [sym_superclass] = sym_superclass,
  [sym_super_interfaces] = sym_super_interfaces,
  [sym_type_list] = sym_type_list,
  [sym_permits] = sym_permits,
  [sym_class_body] = sym_class_body,
  [sym_static_initializer] = sym_static_initializer,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_declarator] = sym__constructor_declarator,
  [sym_constructor_body] = sym_constructor_body,
  [sym_explicit_constructor_invocation] = sym_explicit_constructor_invocation,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_field_declaration] = sym_field_declaration,
  [sym_record_declaration] = sym_record_declaration,
  [sym_annotation_type_declaration] = sym_annotation_type_declaration,
  [sym_annotation_type_body] = sym_annotation_type_body,
  [sym_annotation_type_element_declaration] = sym_annotation_type_element_declaration,
  [sym__default_value] = sym__default_value,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_interfaces] = sym_extends_interfaces,
  [sym_interface_body] = sym_interface_body,
  [sym_constant_declaration] = sym_constant_declaration,
  [sym__variable_declarator_list] = sym__variable_declarator_list,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym__variable_declarator_id] = sym__variable_declarator_id,
  [sym_array_initializer] = sym_array_initializer,
  [sym__type] = sym__type,
  [sym__unannotated_type] = sym__unannotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym_scoped_type_identifier] = sym_scoped_type_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_array_type] = sym_array_type,
  [sym_integral_type] = sym_integral_type,
  [sym_floating_point_type] = sym_floating_point_type,
  [sym__method_header] = sym__method_header,
  [sym__method_declarator] = sym__method_declarator,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_formal_parameter] = sym_formal_parameter,
  [sym_receiver_parameter] = sym_receiver_parameter,
  [sym_spread_parameter] = sym_spread_parameter,
  [sym_throws] = sym_throws,
  [sym_local_variable_declaration] = sym_local_variable_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_compact_constructor_declaration] = sym_compact_constructor_declaration,
  [sym__reserved_identifier] = sym__reserved_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym__string_literal_repeat1] = aux_sym__string_literal_repeat1,
  [aux_sym__multiline_string_literal_repeat1] = aux_sym__multiline_string_literal_repeat1,
  [aux_sym_cast_expression_repeat1] = aux_sym_cast_expression_repeat1,
  [aux_sym_inferred_parameters_repeat1] = aux_sym_inferred_parameters_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_array_creation_expression_repeat2] = aux_sym_array_creation_expression_repeat2,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_dimensions_repeat1] = aux_sym_dimensions_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_switch_block_repeat2] = aux_sym_switch_block_repeat2,
  [aux_sym_switch_block_statement_group_repeat1] = aux_sym_switch_block_statement_group_repeat1,
  [aux_sym_switch_block_statement_group_repeat2] = aux_sym_switch_block_statement_group_repeat2,
  [aux_sym_record_pattern_body_repeat1] = aux_sym_record_pattern_body_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_catch_type_repeat1] = aux_sym_catch_type_repeat1,
  [aux_sym_resource_specification_repeat1] = aux_sym_resource_specification_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_for_statement_repeat2] = aux_sym_for_statement_repeat2,
  [aux_sym_annotation_argument_list_repeat1] = aux_sym_annotation_argument_list_repeat1,
  [aux_sym_element_value_array_initializer_repeat1] = aux_sym_element_value_array_initializer_repeat1,
  [aux_sym_module_body_repeat1] = aux_sym_module_body_repeat1,
  [aux_sym_requires_module_directive_repeat1] = aux_sym_requires_module_directive_repeat1,
  [aux_sym_exports_module_directive_repeat1] = aux_sym_exports_module_directive_repeat1,
  [aux_sym_provides_module_directive_repeat1] = aux_sym_provides_module_directive_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_enum_body_declarations_repeat1] = aux_sym_enum_body_declarations_repeat1,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_type_bound_repeat1] = aux_sym_type_bound_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_annotation_type_body_repeat1] = aux_sym_annotation_type_body_repeat1,
  [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
  [aux_sym__variable_declarator_list_repeat1] = aux_sym__variable_declarator_list_repeat1,
  [aux_sym_array_initializer_repeat1] = aux_sym_array_initializer_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_receiver_parameter_repeat1] = aux_sym_receiver_parameter_repeat1,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_octal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__multiline_string_fragment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_fragment_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [sym_underscore_pattern] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_synchronized] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exports] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opens] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uses] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_provides] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strictfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_native] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_non_DASHsealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_permits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATinterface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean_type] = {
    .visible = true,
    .named = true,
  },
  [sym_void_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throws] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__toplevel_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_string_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instanceof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_inferred_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dimensions_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__unqualified_object_creation_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_template_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_access] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__wildcard_bounds] = {
    .visible = false,
    .named = true,
  },
  [sym_dimensions] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block_statement_group] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_type_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_body] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_component] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_synchronized_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_type] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_try_with_resources_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_resource] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enhanced_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_marker_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_element_value_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__element_value] = {
    .visible = false,
    .named = true,
  },
  [sym_element_value_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module_body] = {
    .visible = true,
    .named = true,
  },
  [sym_module_directive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_requires_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_exports_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_opens_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_uses_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_provides_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_package_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body_declarations] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_super_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_permits] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_static_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_body] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_constructor_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_body] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_element_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__default_value] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_list] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_id] = {
    .visible = false,
    .named = true,
  },
  [sym_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unannotated_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_integral_type] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_type] = {
    .visible = true,
    .named = true,
  },
  [sym__method_header] = {
    .visible = false,
    .named = true,
  },
  [sym__method_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_receiver_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_throws] = {
    .visible = true,
    .named = true,
  },
  [sym_local_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_compact_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inferred_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dimensions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_statement_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_statement_group_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_resource_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_element_value_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exports_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_provides_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_declarations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_bound_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_type_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__variable_declarator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_receiver_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_array = 3,
  field_body = 4,
  field_condition = 5,
  field_consequence = 6,
  field_constructor = 7,
  field_declarator = 8,
  field_dimensions = 9,
  field_element = 10,
  field_field = 11,
  field_index = 12,
  field_init = 13,
  field_interfaces = 14,
  field_key = 15,
  field_left = 16,
  field_modifiers = 17,
  field_module = 18,
  field_modules = 19,
  field_name = 20,
  field_object = 21,
  field_operand = 22,
  field_operator = 23,
  field_package = 24,
  field_parameters = 25,
  field_pattern = 26,
  field_permits = 27,
  field_provided = 28,
  field_provider = 29,
  field_resources = 30,
  field_right = 31,
  field_scope = 32,
  field_superclass = 33,
  field_template_argument = 34,
  field_template_processor = 35,
  field_type = 36,
  field_type_arguments = 37,
  field_type_parameters = 38,
  field_update = 39,
  field_value = 40,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_array] = "array",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declarator] = "declarator",
  [field_dimensions] = "dimensions",
  [field_element] = "element",
  [field_field] = "field",
  [field_index] = "index",
  [field_init] = "init",
  [field_interfaces] = "interfaces",
  [field_key] = "key",
  [field_left] = "left",
  [field_modifiers] = "modifiers",
  [field_module] = "module",
  [field_modules] = "modules",
  [field_name] = "name",
  [field_object] = "object",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_permits] = "permits",
  [field_provided] = "provided",
  [field_provider] = "provider",
  [field_resources] = "resources",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_superclass] = "superclass",
  [field_template_argument] = "template_argument",
  [field_template_processor] = "template_processor",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 3},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 2},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 2},
  [9] = {.index = 11, .length = 1},
  [10] = {.index = 12, .length = 2},
  [11] = {.index = 14, .length = 4},
  [12] = {.index = 18, .length = 5},
  [13] = {.index = 23, .length = 6},
  [14] = {.index = 29, .length = 3},
  [16] = {.index = 32, .length = 2},
  [17] = {.index = 34, .length = 2},
  [18] = {.index = 32, .length = 2},
  [19] = {.index = 34, .length = 2},
  [20] = {.index = 36, .length = 2},
  [21] = {.index = 38, .length = 2},
  [22] = {.index = 40, .length = 1},
  [23] = {.index = 41, .length = 1},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 2},
  [28] = {.index = 50, .length = 3},
  [29] = {.index = 53, .length = 2},
  [31] = {.index = 55, .length = 2},
  [32] = {.index = 57, .length = 2},
  [33] = {.index = 59, .length = 2},
  [34] = {.index = 61, .length = 3},
  [35] = {.index = 64, .length = 5},
  [36] = {.index = 69, .length = 6},
  [37] = {.index = 75, .length = 5},
  [38] = {.index = 80, .length = 2},
  [39] = {.index = 82, .length = 2},
  [40] = {.index = 84, .length = 2},
  [41] = {.index = 86, .length = 2},
  [43] = {.index = 88, .length = 3},
  [44] = {.index = 91, .length = 2},
  [45] = {.index = 93, .length = 1},
  [46] = {.index = 94, .length = 2},
  [47] = {.index = 96, .length = 3},
  [48] = {.index = 99, .length = 3},
  [49] = {.index = 96, .length = 3},
  [50] = {.index = 99, .length = 3},
  [51] = {.index = 102, .length = 3},
  [52] = {.index = 102, .length = 3},
  [53] = {.index = 105, .length = 2},
  [54] = {.index = 107, .length = 2},
  [55] = {.index = 105, .length = 2},
  [56] = {.index = 107, .length = 2},
  [57] = {.index = 109, .length = 3},
  [58] = {.index = 112, .length = 3},
  [59] = {.index = 115, .length = 3},
  [60] = {.index = 118, .length = 3},
  [61] = {.index = 121, .length = 2},
  [62] = {.index = 123, .length = 2},
  [63] = {.index = 125, .length = 3},
  [64] = {.index = 128, .length = 2},
  [65] = {.index = 130, .length = 3},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 2},
  [69] = {.index = 137, .length = 3},
  [70] = {.index = 140, .length = 2},
  [71] = {.index = 142, .length = 2},
  [72] = {.index = 144, .length = 5},
  [73] = {.index = 149, .length = 3},
  [74] = {.index = 152, .length = 1},
  [75] = {.index = 153, .length = 2},
  [76] = {.index = 155, .length = 3},
  [78] = {.index = 158, .length = 3},
  [79] = {.index = 161, .length = 3},
  [80] = {.index = 161, .length = 3},
  [81] = {.index = 164, .length = 3},
  [82] = {.index = 167, .length = 3},
  [83] = {.index = 164, .length = 3},
  [84] = {.index = 167, .length = 3},
  [85] = {.index = 170, .length = 3},
  [86] = {.index = 170, .length = 3},
  [87] = {.index = 173, .length = 2},
  [88] = {.index = 175, .length = 4},
  [89] = {.index = 179, .length = 4},
  [90] = {.index = 183, .length = 4},
  [91] = {.index = 187, .length = 4},
  [92] = {.index = 191, .length = 4},
  [93] = {.index = 195, .length = 4},
  [94] = {.index = 199, .length = 4},
  [95] = {.index = 203, .length = 2},
  [96] = {.index = 205, .length = 3},
  [97] = {.index = 208, .length = 1},
  [98] = {.index = 209, .length = 2},
  [99] = {.index = 211, .length = 1},
  [100] = {.index = 212, .length = 4},
  [101] = {.index = 216, .length = 4},
  [102] = {.index = 220, .length = 3},
  [103] = {.index = 223, .length = 3},
  [104] = {.index = 226, .length = 2},
  [105] = {.index = 228, .length = 4},
  [106] = {.index = 232, .length = 3},
  [107] = {.index = 235, .length = 3},
  [108] = {.index = 238, .length = 3},
  [109] = {.index = 241, .length = 3},
  [110] = {.index = 244, .length = 3},
  [111] = {.index = 247, .length = 3},
  [112] = {.index = 250, .length = 3},
  [113] = {.index = 253, .length = 2},
  [114] = {.index = 255, .length = 2},
  [115] = {.index = 257, .length = 3},
  [116] = {.index = 257, .length = 3},
  [117] = {.index = 260, .length = 4},
  [118] = {.index = 264, .length = 3},
  [119] = {.index = 267, .length = 4},
  [120] = {.index = 271, .length = 5},
  [121] = {.index = 276, .length = 5},
  [122] = {.index = 281, .length = 5},
  [123] = {.index = 286, .length = 5},
  [124] = {.index = 291, .length = 4},
  [125] = {.index = 295, .length = 2},
  [126] = {.index = 297, .length = 1},
  [127] = {.index = 298, .length = 2},
  [128] = {.index = 300, .length = 2},
  [129] = {.index = 302, .length = 1},
  [130] = {.index = 303, .length = 2},
  [131] = {.index = 305, .length = 1},
  [132] = {.index = 306, .length = 3},
  [133] = {.index = 309, .length = 5},
  [134] = {.index = 314, .length = 4},
  [135] = {.index = 318, .length = 3},
  [136] = {.index = 321, .length = 4},
  [137] = {.index = 325, .length = 4},
  [138] = {.index = 329, .length = 4},
  [139] = {.index = 333, .length = 4},
  [140] = {.index = 337, .length = 4},
  [141] = {.index = 341, .length = 4},
  [142] = {.index = 345, .length = 4},
  [143] = {.index = 349, .length = 4},
  [144] = {.index = 353, .length = 3},
  [145] = {.index = 356, .length = 3},
  [146] = {.index = 359, .length = 4},
  [147] = {.index = 363, .length = 6},
  [148] = {.index = 369, .length = 4},
  [149] = {.index = 373, .length = 1},
  [150] = {.index = 374, .length = 2},
  [151] = {.index = 376, .length = 2},
  [152] = {.index = 378, .length = 1},
  [153] = {.index = 379, .length = 2},
  [154] = {.index = 381, .length = 2},
  [155] = {.index = 383, .length = 2},
  [156] = {.index = 385, .length = 3},
  [157] = {.index = 388, .length = 3},
  [158] = {.index = 391, .length = 2},
  [159] = {.index = 393, .length = 3},
  [160] = {.index = 396, .length = 4},
  [161] = {.index = 400, .length = 5},
  [162] = {.index = 405, .length = 5},
  [163] = {.index = 410, .length = 5},
  [164] = {.index = 415, .length = 5},
  [165] = {.index = 420, .length = 5},
  [166] = {.index = 425, .length = 4},
  [167] = {.index = 429, .length = 2},
  [168] = {.index = 431, .length = 3},
  [169] = {.index = 434, .length = 3},
  [170] = {.index = 437, .length = 3},
  [171] = {.index = 440, .length = 3},
  [172] = {.index = 443, .length = 3},
  [173] = {.index = 446, .length = 5},
  [174] = {.index = 451, .length = 4},
  [175] = {.index = 455, .length = 4},
  [176] = {.index = 459, .length = 2},
  [177] = {.index = 461, .length = 1},
  [178] = {.index = 462, .length = 2},
  [179] = {.index = 464, .length = 6},
  [180] = {.index = 470, .length = 3},
  [181] = {.index = 473, .length = 4},
  [182] = {.index = 477, .length = 4},
  [183] = {.index = 481, .length = 4},
  [184] = {.index = 485, .length = 4},
  [185] = {.index = 489, .length = 4},
  [186] = {.index = 493, .length = 5},
  [187] = {.index = 498, .length = 5},
  [188] = {.index = 503, .length = 1},
  [189] = {.index = 504, .length = 3},
  [190] = {.index = 507, .length = 2},
  [191] = {.index = 509, .length = 1},
  [192] = {.index = 510, .length = 2},
  [193] = {.index = 512, .length = 2},
  [194] = {.index = 514, .length = 2},
  [195] = {.index = 516, .length = 1},
  [196] = {.index = 517, .length = 3},
  [197] = {.index = 520, .length = 3},
  [198] = {.index = 523, .length = 3},
  [199] = {.index = 526, .length = 5},
  [200] = {.index = 531, .length = 5},
  [201] = {.index = 536, .length = 5},
  [202] = {.index = 541, .length = 3},
  [203] = {.index = 544, .length = 3},
  [204] = {.index = 547, .length = 4},
  [205] = {.index = 551, .length = 4},
  [206] = {.index = 555, .length = 6},
  [207] = {.index = 561, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_arguments, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_arguments, 0, .inherited = true},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_arguments, 1},
    {field_name, 0},
  [8] =
    {field_name, 0},
  [9] =
    {field_dimensions, 1},
    {field_element, 0},
  [11] =
    {field_declarator, 0},
  [12] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [14] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0},
  [18] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [23] =
    {field_body, 1},
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [29] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
  [32] =
    {field_arguments, 2},
    {field_type, 1},
  [34] =
    {field_dimensions, 2},
    {field_type, 1},
  [36] =
    {field_body, 2},
    {field_name, 1},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 2},
  [41] =
    {field_body, 1},
  [42] =
    {field_body, 2},
    {field_resources, 1},
  [44] =
    {field_condition, 1},
    {field_consequence, 2},
  [46] =
    {field_arguments, 2},
    {field_name, 1},
  [48] =
    {field_field, 2},
    {field_object, 0},
  [50] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 0},
  [55] =
    {field_left, 0},
    {field_pattern, 2},
  [57] =
    {field_left, 0},
    {field_right, 2},
  [59] =
    {field_template_argument, 2},
    {field_template_processor, 0},
  [61] =
    {field_arguments, 2, .inherited = true},
    {field_type, 2, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
  [64] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [69] =
    {field_body, 2},
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [75] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1},
    {field_type_parameters, 0},
  [80] =
    {field_dimensions, 1},
    {field_name, 0},
  [82] =
    {field_name, 0},
    {field_parameters, 1},
  [84] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0},
  [86] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [88] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
  [91] =
    {field_type, 1},
    {field_value, 3},
  [93] =
    {field_type, 1},
  [94] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [96] =
    {field_dimensions, 2},
    {field_type, 1},
    {field_value, 3},
  [99] =
    {field_dimensions, 2},
    {field_dimensions, 3},
    {field_type, 1},
  [102] =
    {field_arguments, 3},
    {field_type, 2},
    {field_type_arguments, 1},
  [105] =
    {field_arguments, 3},
    {field_type, 2},
  [107] =
    {field_dimensions, 3},
    {field_type, 2},
  [109] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [112] =
    {field_body, 3},
    {field_name, 1},
    {field_superclass, 2},
  [115] =
    {field_body, 3},
    {field_interfaces, 2},
    {field_name, 1},
  [118] =
    {field_body, 3},
    {field_name, 1},
    {field_permits, 2},
  [121] =
    {field_name, 2},
    {field_scope, 0},
  [123] =
    {field_body, 3},
    {field_name, 2},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_body, 3},
    {field_name, 1},
  [130] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [133] =
    {field_left, 0},
    {field_pattern, 3},
  [135] =
    {field_left, 0},
    {field_right, 3},
  [137] =
    {field_left, 0},
    {field_name, 3},
    {field_right, 2},
  [140] =
    {field_array, 0},
    {field_index, 2},
  [142] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1},
  [144] =
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_type, 2},
    {field_type_parameters, 0},
  [149] =
    {field_dimensions, 2},
    {field_name, 0},
    {field_parameters, 1},
  [152] =
    {field_declarator, 1},
  [153] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [155] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_value, 2},
  [158] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
    {field_value, 4},
  [161] =
    {field_arguments, 4},
    {field_type, 3},
    {field_type_arguments, 1},
  [164] =
    {field_dimensions, 3},
    {field_type, 2},
    {field_value, 4},
  [167] =
    {field_dimensions, 3},
    {field_dimensions, 4},
    {field_type, 2},
  [170] =
    {field_arguments, 4},
    {field_type, 3},
    {field_type_arguments, 2},
  [173] =
    {field_body, 1},
    {field_name, 0},
  [175] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [179] =
    {field_body, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [183] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [187] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_type_parameters, 2},
  [191] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_superclass, 2},
  [195] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_superclass, 2},
  [199] =
    {field_body, 4},
    {field_interfaces, 2},
    {field_name, 1},
    {field_permits, 3},
  [203] =
    {field_body, 1},
    {field_condition, 3},
  [205] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [208] =
    {field_init, 1},
  [209] =
    {field_init, 0, .inherited = true},
    {field_init, 1, .inherited = true},
  [211] =
    {field_modifiers, 0},
  [212] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [216] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_parameters, 2},
  [220] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [223] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
  [226] =
    {field_field, 4},
    {field_object, 0},
  [228] =
    {field_arguments, 4},
    {field_name, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [232] =
    {field_left, 0},
    {field_name, 4},
    {field_right, 3},
  [235] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [238] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [241] =
    {field_body, 4},
    {field_name, 2},
    {field_superclass, 3},
  [244] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
    {field_permits, 3},
  [250] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [253] =
    {field_body, 4},
    {field_name, 2},
  [255] =
    {field_body, 4},
    {field_name, 3},
  [257] =
    {field_arguments, 5},
    {field_type, 4},
    {field_type_arguments, 2},
  [260] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [264] =
    {field_name, 1},
    {field_parameters, 2},
    {field_type_parameters, 0},
  [267] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [271] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [276] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [281] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [286] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 2},
  [291] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
    {field_value, 3},
  [295] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [297] =
    {field_body, 5},
  [298] =
    {field_body, 5},
    {field_init, 2},
  [300] =
    {field_key, 0},
    {field_value, 2},
  [302] =
    {field_module, 1},
  [303] =
    {field_modifiers, 0, .inherited = true},
    {field_modifiers, 1, .inherited = true},
  [305] =
    {field_package, 1},
  [306] =
    {field_arguments, 1},
    {field_body, 2},
    {field_name, 0},
  [309] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [314] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [318] =
    {field_arguments, 5},
    {field_name, 4},
    {field_object, 0},
  [321] =
    {field_body, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [325] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [329] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_type_parameters, 3},
  [333] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_superclass, 3},
  [337] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_superclass, 3},
  [341] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 2},
    {field_permits, 4},
  [345] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [349] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_parameters, 3},
  [353] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [356] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
  [359] =
    {field_body, 3},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [363] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 1},
    {field_permits, 5},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [369] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
    {field_value, 4},
  [373] =
    {field_body, 4},
  [374] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [376] =
    {field_body, 6},
    {field_update, 4},
  [378] =
    {field_update, 1},
  [379] =
    {field_update, 0, .inherited = true},
    {field_update, 1, .inherited = true},
  [381] =
    {field_body, 6},
    {field_condition, 3},
  [383] =
    {field_body, 6},
    {field_init, 2},
  [385] =
    {field_body, 6},
    {field_init, 2},
    {field_update, 4},
  [388] =
    {field_body, 6},
    {field_condition, 3},
    {field_init, 2},
  [391] =
    {field_modifiers, 1, .inherited = true},
    {field_module, 2},
  [393] =
    {field_arguments, 2},
    {field_body, 3},
    {field_name, 1},
  [396] =
    {field_arguments, 6},
    {field_name, 5},
    {field_object, 0},
    {field_type_arguments, 4},
  [400] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [405] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [410] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [415] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 3},
  [420] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [425] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [429] =
    {field_arguments, 1},
    {field_constructor, 0},
  [431] =
    {field_body, 7},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [434] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [437] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 5},
  [440] =
    {field_body, 7},
    {field_condition, 4},
    {field_init, 2},
  [443] =
    {field_body, 7},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [446] =
    {field_body, 7},
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 2},
    {field_value, 5},
  [451] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [455] =
    {field_body, 7},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
  [459] =
    {field_modules, 3},
    {field_package, 1},
  [461] =
    {field_provided, 1},
  [462] =
    {field_name, 1},
    {field_type, 0},
  [464] =
    {field_body, 7},
    {field_interfaces, 5},
    {field_name, 2},
    {field_permits, 6},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [470] =
    {field_arguments, 2},
    {field_constructor, 1},
    {field_type_arguments, 0},
  [473] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [477] =
    {field_body, 8},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [481] =
    {field_body, 8},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
  [485] =
    {field_body, 8},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
  [489] =
    {field_body, 8},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [493] =
    {field_body, 8},
    {field_dimensions, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 3},
    {field_value, 6},
  [498] =
    {field_body, 8},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [503] =
    {field_modules, 1},
  [504] =
    {field_modules, 3},
    {field_modules, 4, .inherited = true},
    {field_package, 1},
  [507] =
    {field_modules, 0, .inherited = true},
    {field_modules, 1, .inherited = true},
  [509] =
    {field_provider, 1},
  [510] =
    {field_provided, 1},
    {field_provider, 4, .inherited = true},
  [512] =
    {field_provider, 0, .inherited = true},
    {field_provider, 1, .inherited = true},
  [514] =
    {field_name, 2},
    {field_type, 1},
  [516] =
    {field_value, 1},
  [517] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
  [520] =
    {field_name, 1},
    {field_type, 0},
    {field_value, 4, .inherited = true},
  [523] =
    {field_arguments, 3},
    {field_constructor, 2},
    {field_object, 0},
  [526] =
    {field_body, 9},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [531] =
    {field_body, 9},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [536] =
    {field_body, 9},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
  [541] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
  [544] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 5, .inherited = true},
  [547] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
    {field_value, 5, .inherited = true},
  [551] =
    {field_arguments, 4},
    {field_constructor, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [555] =
    {field_body, 10},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
    {field_update, 8, .inherited = true},
  [561] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
    {field_value, 6, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [1] = alias_sym_type_identifier,
  },
  [18] = {
    [1] = alias_sym_type_identifier,
  },
  [19] = {
    [1] = alias_sym_type_identifier,
  },
  [30] = {
    [0] = alias_sym_type_identifier,
    [2] = alias_sym_type_identifier,
  },
  [42] = {
    [2] = alias_sym_type_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [52] = {
    [2] = alias_sym_type_identifier,
  },
  [55] = {
    [2] = alias_sym_type_identifier,
  },
  [56] = {
    [2] = alias_sym_type_identifier,
  },
  [66] = {
    [0] = alias_sym_type_identifier,
    [3] = alias_sym_type_identifier,
  },
  [77] = {
    [3] = alias_sym_type_identifier,
  },
  [80] = {
    [3] = alias_sym_type_identifier,
  },
  [83] = {
    [2] = alias_sym_type_identifier,
  },
  [84] = {
    [2] = alias_sym_type_identifier,
  },
  [86] = {
    [3] = alias_sym_type_identifier,
  },
  [116] = {
    [4] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 9,
  [14] = 8,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 15,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 26,
  [48] = 46,
  [49] = 16,
  [50] = 17,
  [51] = 19,
  [52] = 22,
  [53] = 23,
  [54] = 24,
  [55] = 25,
  [56] = 27,
  [57] = 28,
  [58] = 29,
  [59] = 30,
  [60] = 31,
  [61] = 32,
  [62] = 33,
  [63] = 34,
  [64] = 35,
  [65] = 36,
  [66] = 37,
  [67] = 38,
  [68] = 39,
  [69] = 40,
  [70] = 41,
  [71] = 42,
  [72] = 43,
  [73] = 44,
  [74] = 45,
  [75] = 26,
  [76] = 46,
  [77] = 16,
  [78] = 17,
  [79] = 19,
  [80] = 15,
  [81] = 21,
  [82] = 22,
  [83] = 23,
  [84] = 24,
  [85] = 25,
  [86] = 27,
  [87] = 28,
  [88] = 29,
  [89] = 30,
  [90] = 31,
  [91] = 32,
  [92] = 33,
  [93] = 34,
  [94] = 35,
  [95] = 36,
  [96] = 37,
  [97] = 38,
  [98] = 39,
  [99] = 40,
  [100] = 41,
  [101] = 42,
  [102] = 43,
  [103] = 44,
  [104] = 45,
  [105] = 21,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 115,
  [118] = 118,
  [119] = 118,
  [120] = 118,
  [121] = 121,
  [122] = 121,
  [123] = 123,
  [124] = 124,
  [125] = 123,
  [126] = 123,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 130,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 135,
  [143] = 143,
  [144] = 143,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 147,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 150,
  [166] = 152,
  [167] = 159,
  [168] = 161,
  [169] = 169,
  [170] = 156,
  [171] = 157,
  [172] = 154,
  [173] = 150,
  [174] = 152,
  [175] = 147,
  [176] = 161,
  [177] = 169,
  [178] = 156,
  [179] = 157,
  [180] = 154,
  [181] = 163,
  [182] = 182,
  [183] = 151,
  [184] = 162,
  [185] = 163,
  [186] = 182,
  [187] = 151,
  [188] = 162,
  [189] = 169,
  [190] = 182,
  [191] = 148,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 196,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 215,
  [222] = 199,
  [223] = 200,
  [224] = 205,
  [225] = 225,
  [226] = 195,
  [227] = 227,
  [228] = 210,
  [229] = 211,
  [230] = 212,
  [231] = 213,
  [232] = 214,
  [233] = 233,
  [234] = 216,
  [235] = 217,
  [236] = 218,
  [237] = 219,
  [238] = 220,
  [239] = 239,
  [240] = 240,
  [241] = 209,
  [242] = 239,
  [243] = 240,
  [244] = 225,
  [245] = 203,
  [246] = 196,
  [247] = 203,
  [248] = 233,
  [249] = 249,
  [250] = 250,
  [251] = 113,
  [252] = 252,
  [253] = 114,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 391,
  [393] = 393,
  [394] = 394,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 401,
  [403] = 401,
  [404] = 404,
  [405] = 404,
  [406] = 133,
  [407] = 134,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 414,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 417,
  [420] = 420,
  [421] = 421,
  [422] = 417,
  [423] = 421,
  [424] = 421,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 413,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 440,
  [443] = 443,
  [444] = 444,
  [445] = 440,
  [446] = 431,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 441,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 376,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 274,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 430,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 429,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 455,
  [508] = 508,
  [509] = 460,
  [510] = 510,
  [511] = 456,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 531,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 435,
  [553] = 553,
  [554] = 554,
  [555] = 434,
  [556] = 556,
  [557] = 486,
  [558] = 439,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 433,
  [584] = 432,
  [585] = 497,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 625,
  [626] = 505,
  [627] = 503,
  [628] = 487,
  [629] = 629,
  [630] = 630,
  [631] = 613,
  [632] = 487,
  [633] = 474,
  [634] = 629,
  [635] = 624,
  [636] = 636,
  [637] = 458,
  [638] = 618,
  [639] = 616,
  [640] = 621,
  [641] = 614,
  [642] = 619,
  [643] = 620,
  [644] = 625,
  [645] = 617,
  [646] = 622,
  [647] = 623,
  [648] = 648,
  [649] = 615,
  [650] = 650,
  [651] = 133,
  [652] = 134,
  [653] = 474,
  [654] = 648,
  [655] = 655,
  [656] = 457,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 564,
  [662] = 662,
  [663] = 553,
  [664] = 532,
  [665] = 665,
  [666] = 121,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 671,
  [675] = 659,
  [676] = 665,
  [677] = 658,
  [678] = 673,
  [679] = 679,
  [680] = 680,
  [681] = 667,
  [682] = 671,
  [683] = 659,
  [684] = 665,
  [685] = 658,
  [686] = 514,
  [687] = 673,
  [688] = 679,
  [689] = 680,
  [690] = 667,
  [691] = 679,
  [692] = 680,
  [693] = 660,
  [694] = 660,
  [695] = 670,
  [696] = 467,
  [697] = 697,
  [698] = 698,
  [699] = 514,
  [700] = 564,
  [701] = 701,
  [702] = 553,
  [703] = 532,
  [704] = 469,
  [705] = 705,
  [706] = 706,
  [707] = 470,
  [708] = 708,
  [709] = 459,
  [710] = 473,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 551,
  [719] = 719,
  [720] = 465,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 725,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 479,
  [733] = 733,
  [734] = 461,
  [735] = 726,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 478,
  [743] = 730,
  [744] = 744,
  [745] = 453,
  [746] = 740,
  [747] = 716,
  [748] = 730,
  [749] = 733,
  [750] = 736,
  [751] = 751,
  [752] = 752,
  [753] = 738,
  [754] = 751,
  [755] = 723,
  [756] = 733,
  [757] = 757,
  [758] = 736,
  [759] = 751,
  [760] = 738,
  [761] = 761,
  [762] = 762,
  [763] = 740,
  [764] = 764,
  [765] = 765,
  [766] = 477,
  [767] = 466,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 476,
  [774] = 774,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 776,
  [779] = 779,
  [780] = 776,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 786,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 787,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 789,
  [799] = 799,
  [800] = 785,
  [801] = 801,
  [802] = 802,
  [803] = 803,
  [804] = 804,
  [805] = 805,
  [806] = 805,
  [807] = 807,
  [808] = 805,
  [809] = 809,
  [810] = 810,
  [811] = 810,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 459,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 436,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 834,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 437,
  [840] = 840,
  [841] = 841,
  [842] = 831,
  [843] = 466,
  [844] = 844,
  [845] = 831,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 847,
  [852] = 846,
  [853] = 849,
  [854] = 850,
  [855] = 855,
  [856] = 447,
  [857] = 857,
  [858] = 449,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 862,
  [865] = 863,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 448,
  [874] = 452,
  [875] = 449,
  [876] = 871,
  [877] = 451,
  [878] = 450,
  [879] = 879,
  [880] = 879,
  [881] = 872,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 888,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 911,
  [919] = 911,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 484,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 715,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 955,
  [969] = 969,
  [970] = 970,
  [971] = 959,
  [972] = 972,
  [973] = 964,
  [974] = 960,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 952,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 953,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 979,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 990,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 970,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1013,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1030,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1048,
  [1067] = 1030,
  [1068] = 1048,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1022,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1092,
  [1108] = 1095,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1092,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1089,
  [1131] = 1095,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1085,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1077,
  [1142] = 1142,
  [1143] = 1137,
  [1144] = 1114,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1133,
  [1151] = 1151,
  [1152] = 1081,
  [1153] = 1153,
  [1154] = 1085,
  [1155] = 1155,
  [1156] = 1138,
  [1157] = 1139,
  [1158] = 1158,
  [1159] = 1077,
  [1160] = 1142,
  [1161] = 1137,
  [1162] = 1114,
  [1163] = 1138,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1133,
  [1172] = 1172,
  [1173] = 1139,
  [1174] = 1109,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1109,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1125,
  [1182] = 1142,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1183,
  [1236] = 1197,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1183,
  [1267] = 1197,
  [1268] = 391,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1217,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1320,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1313,
  [1338] = 1338,
  [1339] = 1333,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1323,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1322,
  [1349] = 1333,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1354,
  [1368] = 1368,
  [1369] = 1368,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1342,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1342,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1322,
  [1383] = 1383,
  [1384] = 1363,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128},
  {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3},
  {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae},
  {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029},
  {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e},
  {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b},
  {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3},
  {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7},
  {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4},
  {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf},
  {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4},
  {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2},
  {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d},
  {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d},
  {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527},
  {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9},
  {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805},
  {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2},
  {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17},
  {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075},
  {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2},
  {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288},
  {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330},
  {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461},
  {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa},
  {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913},
  {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3},
  {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08},
  {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65},
  {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0},
  {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38},
  {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08},
  {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167},
  {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f},
  {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a},
  {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5},
  {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788},
  {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27},
  {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b},
  {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f},
  {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89},
  {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1},
  {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xa2, 0xa2}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 170,
        '"', 90,
        '%', 159,
        '&', 119,
        '\'', 23,
        '(', 115,
        ')', 116,
        '*', 150,
        '+', 146,
        ',', 167,
        '-', 147,
        '.', 178,
        '/', 152,
        '0', 67,
        ':', 169,
        ';', 182,
        '<', 137,
        '=', 121,
        '>', 134,
        '?', 168,
        '@', 184,
        '[', 174,
        '\\', 42,
        ']', 175,
        '^', 157,
        'n', 190,
        '{', 181,
        '|', 154,
        '}', 107,
        '~', 171,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(69);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(191);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 170,
        '"', 90,
        '%', 159,
        '&', 119,
        '\'', 23,
        '(', 115,
        ')', 116,
        '*', 150,
        '+', 146,
        ',', 167,
        '-', 147,
        '.', 178,
        '/', 152,
        '0', 67,
        ':', 169,
        ';', 182,
        '<', 137,
        '=', 121,
        '>', 134,
        '?', 168,
        '@', 183,
        '[', 174,
        ']', 175,
        '^', 157,
        '{', 181,
        '|', 154,
        '}', 107,
        '~', 171,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(69);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(191);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 170,
        '"', 90,
        '%', 159,
        '&', 119,
        '\'', 23,
        '(', 115,
        ')', 116,
        '*', 150,
        '+', 146,
        ',', 167,
        '-', 147,
        '.', 179,
        '/', 152,
        '0', 67,
        ':', 20,
        ';', 182,
        '<', 137,
        '=', 121,
        '>', 134,
        '?', 168,
        '@', 183,
        '[', 174,
        '^', 157,
        'n', 190,
        '|', 154,
        '}', 107,
        '~', 171,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(69);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(191);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 21,
        '%', 158,
        '&', 118,
        '(', 115,
        ')', 116,
        '*', 149,
        '+', 145,
        ',', 167,
        '-', 148,
        '.', 176,
        '/', 151,
        ':', 169,
        ';', 182,
        '<', 138,
        '=', 121,
        '>', 135,
        '?', 168,
        '@', 183,
        '[', 174,
        ']', 175,
        '^', 156,
        'n', 190,
        '|', 155,
        '}', 107,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(191);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 21,
        '%', 158,
        '&', 118,
        '(', 115,
        ')', 116,
        '*', 149,
        '+', 145,
        ',', 167,
        '-', 148,
        '.', 176,
        '/', 151,
        ':', 169,
        ';', 182,
        '<', 138,
        '=', 22,
        '>', 135,
        '?', 168,
        '@', 183,
        '[', 174,
        ']', 175,
        '^', 156,
        '{', 181,
        '|', 155,
        '}', 107,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(191);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(91);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(104);
      if (lookahead == '/') ADVANCE(99);
      if (lookahead == '\\') ADVANCE(42);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(102);
      if (lookahead != 0) ADVANCE(103);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(105);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(89);
      if (lookahead == '/') ADVANCE(93);
      if (lookahead == '\\') ADVANCE(43);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(96);
      if (lookahead != 0) ADVANCE(97);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '&', 117,
        '(', 115,
        ')', 116,
        ',', 167,
        '.', 177,
        '/', 11,
        ':', 169,
        ';', 182,
        '<', 136,
        '=', 120,
        '>', 133,
        '?', 168,
        '@', 183,
        '[', 174,
        '{', 181,
        '|', 153,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(191);
      END_STATE();
    case 10:
      if (lookahead == '\'') ADVANCE(88);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(10);
      END_STATE();
    case 11:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(192);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 13:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(81);
      if (lookahead == '_') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(14);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(187);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '<') ADVANCE(136);
      if (lookahead == '@') ADVANCE(36);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(191);
      END_STATE();
    case 18:
      if (lookahead == '0') ADVANCE(87);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(19);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      END_STATE();
    case 19:
      if (lookahead == '0') ADVANCE(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      END_STATE();
    case 20:
      if (lookahead == ':') ADVANCE(180);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 23:
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'') ADVANCE(10);
      END_STATE();
    case 24:
      if (lookahead == '_') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      END_STATE();
    case 25:
      if (lookahead == '_') ADVANCE(24);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      END_STATE();
    case 26:
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(84);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(37);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(29);
      END_STATE();
    case 29:
      if (lookahead == 'c') ADVANCE(34);
      END_STATE();
    case 30:
      if (lookahead == 'd') ADVANCE(185);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(27);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(186);
      END_STATE();
    case 35:
      if (lookahead == 'f') ADVANCE(28);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(38);
      END_STATE();
    case 37:
      if (lookahead == 'l') ADVANCE(33);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(41);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(32);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(31);
      END_STATE();
    case 42:
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'x') ADVANCE(111);
      if (lookahead == '{') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(110);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          ('r' <= lookahead && lookahead <= 't')) ADVANCE(112);
      if (lookahead != 0) ADVANCE(108);
      END_STATE();
    case 43:
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'x') ADVANCE(60);
      if (lookahead == '{') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(114);
      if (lookahead != 0) ADVANCE(112);
      END_STATE();
    case 44:
      if (lookahead == '{') ADVANCE(106);
      END_STATE();
    case 45:
      if (lookahead == '{') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 46:
      if (lookahead == '}') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 47:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(80);
      END_STATE();
    case 48:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(77);
      END_STATE();
    case 49:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(74);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(75);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(79);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(14);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(80);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(84);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(46);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 62:
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 63:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 170,
        '"', 90,
        '%', 159,
        '&', 119,
        '\'', 23,
        '(', 115,
        ')', 116,
        '*', 150,
        '+', 146,
        ',', 167,
        '-', 147,
        '.', 178,
        '/', 152,
        '0', 67,
        ':', 169,
        ';', 182,
        '<', 137,
        '=', 121,
        '>', 134,
        '?', 168,
        '@', 184,
        '[', 174,
        '\\', 44,
        ']', 175,
        '^', 157,
        'n', 190,
        '{', 181,
        '|', 154,
        '}', 107,
        '~', 171,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(69);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(191);
      END_STATE();
    case 64:
      if (eof) ADVANCE(65);
      ADVANCE_MAP(
        '!', 170,
        '"', 90,
        '%', 158,
        '&', 118,
        '\'', 23,
        '(', 115,
        ')', 116,
        '*', 149,
        '+', 145,
        ',', 167,
        '-', 148,
        '.', 179,
        '/', 151,
        '0', 67,
        ':', 169,
        ';', 182,
        '<', 138,
        '=', 22,
        '>', 135,
        '?', 168,
        '@', 184,
        '[', 174,
        ']', 175,
        '^', 156,
        'n', 190,
        '{', 181,
        '|', 155,
        '}', 107,
        '~', 171,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(69);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(191);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 81,
        '_', 52,
        'B', 48,
        'b', 48,
        'E', 47,
        'e', 47,
        'L', 66,
        'l', 66,
        'O', 50,
        'o', 50,
        'X', 16,
        'x', 16,
        '8', 14,
        '9', 14,
        'D', 78,
        'F', 78,
        'd', 78,
        'f', 78,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(74);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 81,
        '_', 25,
        'E', 47,
        'e', 47,
        'L', 66,
        'l', 66,
        'D', 78,
        'F', 78,
        'd', 78,
        'f', 78,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 81,
        '_', 54,
        'E', 47,
        'e', 47,
        'L', 66,
        'l', 66,
        'D', 78,
        'F', 78,
        'd', 78,
        'f', 78,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(68);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '_', 24,
        'E', 47,
        'e', 47,
        'L', 66,
        'l', 66,
        'D', 78,
        'F', 78,
        'd', 78,
        'f', 78,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(70);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(71);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == '.') ADVANCE(81);
      if (lookahead == '_') ADVANCE(49);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(73);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(75);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      if (lookahead == '_') ADVANCE(48);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(76);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(47);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(80);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(47);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(79);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(58);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(84);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(84);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(18);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(83);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(82);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(5);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '\n') ADVANCE(97);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(95);
      if (lookahead == '/') ADVANCE(92);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(97);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(94);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(95);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(94);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '/') ADVANCE(93);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(96);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(97);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(97);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '\n') ADVANCE(103);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(192);
      if (lookahead != 0) ADVANCE(98);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(101);
      if (lookahead == '/') ADVANCE(98);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(103);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(100);
      if (lookahead == '/') ADVANCE(103);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(13);
      if (lookahead != 0) ADVANCE(101);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(100);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(13);
      if (lookahead != 0) ADVANCE(101);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '/') ADVANCE(99);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(102);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(103);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(103);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token2);
      if (lookahead == '"') ADVANCE(5);
      if (lookahead == '\\') ADVANCE(7);
      if (lookahead != 0) ADVANCE(105);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token2);
      if (lookahead == '\\') ADVANCE(7);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(105);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_BSLASH_LBRACE);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (lookahead == '{') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(113);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(112);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(113);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(143);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(143);
      if (lookahead == '=') ADVANCE(126);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '>') ADVANCE(162);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '>') ADVANCE(163);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(161);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(160);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(172);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(172);
      if (lookahead == '=') ADVANCE(122);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '=') ADVANCE(123);
      if (lookahead == '>') ADVANCE(166);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(173);
      if (lookahead == '>') ADVANCE(166);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(192);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(192);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(127);
      if (lookahead == '|') ADVANCE(144);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(144);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(165);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(164);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(180);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(79);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(79);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'i') ADVANCE(38);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_non_DASHsealed);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_ATinterface);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(40);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(191);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(188);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(189);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(191);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(191);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(192);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_block_comment);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'c', 4,
        'd', 5,
        'e', 6,
        'f', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'p', 13,
        'r', 14,
        's', 15,
        't', 16,
        'u', 17,
        'v', 18,
        'w', 19,
        'y', 20,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_underscore_pattern);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(21);
      if (lookahead == 's') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'r') ADVANCE(24);
      if (lookahead == 'y') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'h') ADVANCE(27);
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 'x') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'l') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(39);
      if (lookahead == 'm') ADVANCE(40);
      if (lookahead == 'n') ADVANCE(41);
      END_STATE();
    case 9:
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(44);
      if (lookahead == 'e') ADVANCE(45);
      if (lookahead == 'u') ADVANCE(46);
      END_STATE();
    case 12:
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'r') ADVANCE(50);
      if (lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(53);
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 't') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(56);
      if (lookahead == 'w') ADVANCE(57);
      if (lookahead == 'y') ADVANCE(58);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(59);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 18:
      if (lookahead == 'o') ADVANCE(63);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(64);
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(66);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(68);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(72);
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(74);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(75);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(77);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(78);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(80);
      END_STATE();
    case 34:
      if (lookahead == 'p') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(84);
      END_STATE();
    case 37:
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(88);
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 43:
      if (lookahead == 'd') ADVANCE(91);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 45:
      if (lookahead == 'w') ADVANCE(93);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 48:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(98);
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 51:
      if (lookahead == 'b') ADVANCE(100);
      END_STATE();
    case 52:
      if (lookahead == 'c') ADVANCE(101);
      if (lookahead == 'q') ADVANCE(102);
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(106);
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 56:
      if (lookahead == 'p') ADVANCE(108);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'y') ADVANCE(115);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(117);
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(119);
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(125);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(126);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 75:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 77:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 78:
      if (lookahead == 'b') ADVANCE(134);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 80:
      if (lookahead == 'm') ADVANCE(136);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(137);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(140);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(142);
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 90:
      if (lookahead == 'g') ADVANCE(146);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(147);
      END_STATE();
    case 92:
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 96:
      if (lookahead == 'k') ADVANCE(151);
      END_STATE();
    case 97:
      if (lookahead == 'm') ADVANCE(152);
      END_STATE();
    case 98:
      if (lookahead == 'v') ADVANCE(153);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'v') ADVANCE(155);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 101:
      if (lookahead == 'o') ADVANCE(157);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(158);
      END_STATE();
    case 103:
      if (lookahead == 'u') ADVANCE(159);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(160);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 107:
      if (lookahead == 'i') ADVANCE(163);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(166);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(167);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(171);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(172);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(175);
      END_STATE();
    case 121:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 124:
      if (lookahead == 'r') ADVANCE(179);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 126:
      if (lookahead == 'k') ADVANCE(181);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 129:
      if (lookahead == 'h') ADVANCE(182);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_char);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 133:
      if (lookahead == 'u') ADVANCE(185);
      END_STATE();
    case 134:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 137:
      if (lookahead == 'r') ADVANCE(187);
      END_STATE();
    case 138:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 140:
      if (lookahead == 'l') ADVANCE(190);
      END_STATE();
    case 141:
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 143:
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 144:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 145:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(196);
      END_STATE();
    case 148:
      if (lookahead == 'v') ADVANCE(197);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == 's') ADVANCE(198);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(199);
      END_STATE();
    case 152:
      if (lookahead == 'i') ADVANCE(200);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(201);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 155:
      if (lookahead == 'i') ADVANCE(203);
      END_STATE();
    case 156:
      if (lookahead == 'i') ADVANCE(204);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 159:
      if (lookahead == 'r') ADVANCE(207);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(210);
      END_STATE();
    case 163:
      if (lookahead == 'c') ADVANCE(211);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(213);
      END_STATE();
    case 166:
      if (lookahead == 'h') ADVANCE(214);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 168:
      if (lookahead == 'w') ADVANCE(215);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(216);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_uses);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_void_type);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(217);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 177:
      if (lookahead == 'd') ADVANCE(219);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(220);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 180:
      if (lookahead == 'a') ADVANCE(222);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 184:
      if (lookahead == 'n') ADVANCE(223);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(224);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(227);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 192:
      if (lookahead == 'm') ADVANCE(229);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 194:
      if (lookahead == 'n') ADVANCE(231);
      END_STATE();
    case 195:
      if (lookahead == 'f') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_opens);
      END_STATE();
    case 199:
      if (lookahead == 'g') ADVANCE(235);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(238);
      END_STATE();
    case 203:
      if (lookahead == 'd') ADVANCE(239);
      END_STATE();
    case 204:
      if (lookahead == 'c') ADVANCE(240);
      END_STATE();
    case 205:
      if (lookahead == 'd') ADVANCE(241);
      END_STATE();
    case 206:
      if (lookahead == 'r') ADVANCE(242);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(243);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(244);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 210:
      if (lookahead == 'c') ADVANCE(245);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(246);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 213:
      if (lookahead == 'h') ADVANCE(247);
      END_STATE();
    case 214:
      if (lookahead == 'r') ADVANCE(248);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_throw);
      if (lookahead == 's') ADVANCE(249);
      END_STATE();
    case 216:
      if (lookahead == 'i') ADVANCE(250);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 220:
      if (lookahead == 'c') ADVANCE(252);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(253);
      END_STATE();
    case 223:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 224:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 226:
      if (lookahead == 's') ADVANCE(256);
      END_STATE();
    case 227:
      if (lookahead == 's') ADVANCE(257);
      END_STATE();
    case 228:
      if (lookahead == 'y') ADVANCE(258);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(260);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(261);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_native);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 236:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 238:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_record);
      END_STATE();
    case 242:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 246:
      if (lookahead == 'f') ADVANCE(268);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 248:
      if (lookahead == 'o') ADVANCE(269);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_throws);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(272);
      END_STATE();
    case 252:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_boolean_type);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_exports);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 259:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(277);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_permits);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 267:
      if (lookahead == 's') ADVANCE(280);
      END_STATE();
    case 268:
      if (lookahead == 'p') ADVANCE(281);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 271:
      if (lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(286);
      END_STATE();
    case 276:
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 278:
      if (lookahead == 'd') ADVANCE(289);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_provides);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_strictfp);
      END_STATE();
    case 282:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(291);
      END_STATE();
    case 284:
      if (lookahead == 'v') ADVANCE(292);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 286:
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 287:
      if (lookahead == 'f') ADVANCE(294);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 290:
      if (lookahead == 'z') ADVANCE(295);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_transient);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_transitive);
      END_STATE();
    case 297:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_synchronized);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 0},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 0},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 0},
  [18] = {.lex_state = 0},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 0},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 0},
  [28] = {.lex_state = 0},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 0},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 0},
  [56] = {.lex_state = 0},
  [57] = {.lex_state = 0},
  [58] = {.lex_state = 0},
  [59] = {.lex_state = 0},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 0},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 0},
  [69] = {.lex_state = 0},
  [70] = {.lex_state = 0},
  [71] = {.lex_state = 0},
  [72] = {.lex_state = 0},
  [73] = {.lex_state = 0},
  [74] = {.lex_state = 0},
  [75] = {.lex_state = 0},
  [76] = {.lex_state = 0},
  [77] = {.lex_state = 0},
  [78] = {.lex_state = 0},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 0},
  [81] = {.lex_state = 0},
  [82] = {.lex_state = 0},
  [83] = {.lex_state = 0},
  [84] = {.lex_state = 0},
  [85] = {.lex_state = 0},
  [86] = {.lex_state = 0},
  [87] = {.lex_state = 0},
  [88] = {.lex_state = 0},
  [89] = {.lex_state = 0},
  [90] = {.lex_state = 0},
  [91] = {.lex_state = 0},
  [92] = {.lex_state = 0},
  [93] = {.lex_state = 0},
  [94] = {.lex_state = 0},
  [95] = {.lex_state = 0},
  [96] = {.lex_state = 0},
  [97] = {.lex_state = 0},
  [98] = {.lex_state = 0},
  [99] = {.lex_state = 0},
  [100] = {.lex_state = 0},
  [101] = {.lex_state = 0},
  [102] = {.lex_state = 0},
  [103] = {.lex_state = 0},
  [104] = {.lex_state = 0},
  [105] = {.lex_state = 0},
  [106] = {.lex_state = 1},
  [107] = {.lex_state = 64},
  [108] = {.lex_state = 64},
  [109] = {.lex_state = 64},
  [110] = {.lex_state = 64},
  [111] = {.lex_state = 64},
  [112] = {.lex_state = 64},
  [113] = {.lex_state = 64},
  [114] = {.lex_state = 64},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 2},
  [118] = {.lex_state = 2},
  [119] = {.lex_state = 2},
  [120] = {.lex_state = 2},
  [121] = {.lex_state = 64},
  [122] = {.lex_state = 64},
  [123] = {.lex_state = 1},
  [124] = {.lex_state = 1},
  [125] = {.lex_state = 1},
  [126] = {.lex_state = 1},
  [127] = {.lex_state = 1},
  [128] = {.lex_state = 1},
  [129] = {.lex_state = 1},
  [130] = {.lex_state = 1},
  [131] = {.lex_state = 1},
  [132] = {.lex_state = 1},
  [133] = {.lex_state = 0},
  [134] = {.lex_state = 0},
  [135] = {.lex_state = 1},
  [136] = {.lex_state = 1},
  [137] = {.lex_state = 1},
  [138] = {.lex_state = 1},
  [139] = {.lex_state = 1},
  [140] = {.lex_state = 1},
  [141] = {.lex_state = 1},
  [142] = {.lex_state = 1},
  [143] = {.lex_state = 1},
  [144] = {.lex_state = 1},
  [145] = {.lex_state = 1},
  [146] = {.lex_state = 1},
  [147] = {.lex_state = 1},
  [148] = {.lex_state = 1},
  [149] = {.lex_state = 1},
  [150] = {.lex_state = 1},
  [151] = {.lex_state = 1},
  [152] = {.lex_state = 1},
  [153] = {.lex_state = 1},
  [154] = {.lex_state = 1},
  [155] = {.lex_state = 1},
  [156] = {.lex_state = 1},
  [157] = {.lex_state = 1},
  [158] = {.lex_state = 0},
  [159] = {.lex_state = 1},
  [160] = {.lex_state = 0},
  [161] = {.lex_state = 1},
  [162] = {.lex_state = 1},
  [163] = {.lex_state = 1},
  [164] = {.lex_state = 0},
  [165] = {.lex_state = 1},
  [166] = {.lex_state = 1},
  [167] = {.lex_state = 1},
  [168] = {.lex_state = 1},
  [169] = {.lex_state = 1},
  [170] = {.lex_state = 1},
  [171] = {.lex_state = 1},
  [172] = {.lex_state = 1},
  [173] = {.lex_state = 1},
  [174] = {.lex_state = 1},
  [175] = {.lex_state = 1},
  [176] = {.lex_state = 1},
  [177] = {.lex_state = 1},
  [178] = {.lex_state = 1},
  [179] = {.lex_state = 1},
  [180] = {.lex_state = 1},
  [181] = {.lex_state = 1},
  [182] = {.lex_state = 1},
  [183] = {.lex_state = 1},
  [184] = {.lex_state = 1},
  [185] = {.lex_state = 1},
  [186] = {.lex_state = 1},
  [187] = {.lex_state = 1},
  [188] = {.lex_state = 1},
  [189] = {.lex_state = 1},
  [190] = {.lex_state = 1},
  [191] = {.lex_state = 1},
  [192] = {.lex_state = 1},
  [193] = {.lex_state = 1},
  [194] = {.lex_state = 1},
  [195] = {.lex_state = 1},
  [196] = {.lex_state = 1},
  [197] = {.lex_state = 0},
  [198] = {.lex_state = 1},
  [199] = {.lex_state = 1},
  [200] = {.lex_state = 1},
  [201] = {.lex_state = 1},
  [202] = {.lex_state = 1},
  [203] = {.lex_state = 1},
  [204] = {.lex_state = 1},
  [205] = {.lex_state = 1},
  [206] = {.lex_state = 1},
  [207] = {.lex_state = 1},
  [208] = {.lex_state = 1},
  [209] = {.lex_state = 1},
  [210] = {.lex_state = 1},
  [211] = {.lex_state = 1},
  [212] = {.lex_state = 1},
  [213] = {.lex_state = 1},
  [214] = {.lex_state = 1},
  [215] = {.lex_state = 1},
  [216] = {.lex_state = 1},
  [217] = {.lex_state = 1},
  [218] = {.lex_state = 1},
  [219] = {.lex_state = 1},
  [220] = {.lex_state = 1},
  [221] = {.lex_state = 1},
  [222] = {.lex_state = 1},
  [223] = {.lex_state = 1},
  [224] = {.lex_state = 1},
  [225] = {.lex_state = 1},
  [226] = {.lex_state = 1},
  [227] = {.lex_state = 1},
  [228] = {.lex_state = 1},
  [229] = {.lex_state = 1},
  [230] = {.lex_state = 1},
  [231] = {.lex_state = 1},
  [232] = {.lex_state = 1},
  [233] = {.lex_state = 1},
  [234] = {.lex_state = 1},
  [235] = {.lex_state = 1},
  [236] = {.lex_state = 1},
  [237] = {.lex_state = 1},
  [238] = {.lex_state = 1},
  [239] = {.lex_state = 1},
  [240] = {.lex_state = 1},
  [241] = {.lex_state = 1},
  [242] = {.lex_state = 1},
  [243] = {.lex_state = 1},
  [244] = {.lex_state = 1},
  [245] = {.lex_state = 1},
  [246] = {.lex_state = 1},
  [247] = {.lex_state = 1},
  [248] = {.lex_state = 1},
  [249] = {.lex_state = 2},
  [250] = {.lex_state = 0},
  [251] = {.lex_state = 0},
  [252] = {.lex_state = 2},
  [253] = {.lex_state = 0},
  [254] = {.lex_state = 2},
  [255] = {.lex_state = 2},
  [256] = {.lex_state = 0},
  [257] = {.lex_state = 0},
  [258] = {.lex_state = 0},
  [259] = {.lex_state = 0},
  [260] = {.lex_state = 0},
  [261] = {.lex_state = 0},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 0},
  [264] = {.lex_state = 0},
  [265] = {.lex_state = 0},
  [266] = {.lex_state = 0},
  [267] = {.lex_state = 0},
  [268] = {.lex_state = 0},
  [269] = {.lex_state = 0},
  [270] = {.lex_state = 0},
  [271] = {.lex_state = 0},
  [272] = {.lex_state = 0},
  [273] = {.lex_state = 0},
  [274] = {.lex_state = 0},
  [275] = {.lex_state = 0},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 0},
  [278] = {.lex_state = 0},
  [279] = {.lex_state = 0},
  [280] = {.lex_state = 0},
  [281] = {.lex_state = 0},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 0},
  [285] = {.lex_state = 0},
  [286] = {.lex_state = 0},
  [287] = {.lex_state = 0},
  [288] = {.lex_state = 0},
  [289] = {.lex_state = 0},
  [290] = {.lex_state = 0},
  [291] = {.lex_state = 0},
  [292] = {.lex_state = 0},
  [293] = {.lex_state = 0},
  [294] = {.lex_state = 0},
  [295] = {.lex_state = 0},
  [296] = {.lex_state = 0},
  [297] = {.lex_state = 0},
  [298] = {.lex_state = 0},
  [299] = {.lex_state = 0},
  [300] = {.lex_state = 0},
  [301] = {.lex_state = 0},
  [302] = {.lex_state = 0},
  [303] = {.lex_state = 0},
  [304] = {.lex_state = 0},
  [305] = {.lex_state = 0},
  [306] = {.lex_state = 0},
  [307] = {.lex_state = 0},
  [308] = {.lex_state = 0},
  [309] = {.lex_state = 0},
  [310] = {.lex_state = 0},
  [311] = {.lex_state = 0},
  [312] = {.lex_state = 0},
  [313] = {.lex_state = 0},
  [314] = {.lex_state = 0},
  [315] = {.lex_state = 0},
  [316] = {.lex_state = 0},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 0},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 0},
  [321] = {.lex_state = 0},
  [322] = {.lex_state = 0},
  [323] = {.lex_state = 0},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 0},
  [326] = {.lex_state = 0},
  [327] = {.lex_state = 0},
  [328] = {.lex_state = 0},
  [329] = {.lex_state = 0},
  [330] = {.lex_state = 0},
  [331] = {.lex_state = 0},
  [332] = {.lex_state = 0},
  [333] = {.lex_state = 0},
  [334] = {.lex_state = 0},
  [335] = {.lex_state = 0},
  [336] = {.lex_state = 0},
  [337] = {.lex_state = 0},
  [338] = {.lex_state = 0},
  [339] = {.lex_state = 0},
  [340] = {.lex_state = 0},
  [341] = {.lex_state = 0},
  [342] = {.lex_state = 0},
  [343] = {.lex_state = 0},
  [344] = {.lex_state = 0},
  [345] = {.lex_state = 0},
  [346] = {.lex_state = 0},
  [347] = {.lex_state = 0},
  [348] = {.lex_state = 0},
  [349] = {.lex_state = 0},
  [350] = {.lex_state = 0},
  [351] = {.lex_state = 0},
  [352] = {.lex_state = 0},
  [353] = {.lex_state = 0},
  [354] = {.lex_state = 0},
  [355] = {.lex_state = 0},
  [356] = {.lex_state = 0},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 0},
  [359] = {.lex_state = 0},
  [360] = {.lex_state = 0},
  [361] = {.lex_state = 0},
  [362] = {.lex_state = 0},
  [363] = {.lex_state = 0},
  [364] = {.lex_state = 0},
  [365] = {.lex_state = 0},
  [366] = {.lex_state = 0},
  [367] = {.lex_state = 0},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 0},
  [370] = {.lex_state = 0},
  [371] = {.lex_state = 0},
  [372] = {.lex_state = 0},
  [373] = {.lex_state = 0},
  [374] = {.lex_state = 0},
  [375] = {.lex_state = 0},
  [376] = {.lex_state = 0},
  [377] = {.lex_state = 0},
  [378] = {.lex_state = 0},
  [379] = {.lex_state = 0},
  [380] = {.lex_state = 0},
  [381] = {.lex_state = 0},
  [382] = {.lex_state = 0},
  [383] = {.lex_state = 0},
  [384] = {.lex_state = 0},
  [385] = {.lex_state = 0},
  [386] = {.lex_state = 0},
  [387] = {.lex_state = 0},
  [388] = {.lex_state = 0},
  [389] = {.lex_state = 0},
  [390] = {.lex_state = 0},
  [391] = {.lex_state = 0},
  [392] = {.lex_state = 0},
  [393] = {.lex_state = 0},
  [394] = {.lex_state = 0},
  [395] = {.lex_state = 0},
  [396] = {.lex_state = 0},
  [397] = {.lex_state = 0},
  [398] = {.lex_state = 0},
  [399] = {.lex_state = 0},
  [400] = {.lex_state = 0},
  [401] = {.lex_state = 0},
  [402] = {.lex_state = 0},
  [403] = {.lex_state = 2},
  [404] = {.lex_state = 1},
  [405] = {.lex_state = 1},
  [406] = {.lex_state = 3},
  [407] = {.lex_state = 3},
  [408] = {.lex_state = 0},
  [409] = {.lex_state = 0},
  [410] = {.lex_state = 0},
  [411] = {.lex_state = 0},
  [412] = {.lex_state = 0},
  [413] = {.lex_state = 1},
  [414] = {.lex_state = 1},
  [415] = {.lex_state = 1},
  [416] = {.lex_state = 0},
  [417] = {.lex_state = 1},
  [418] = {.lex_state = 0},
  [419] = {.lex_state = 1},
  [420] = {.lex_state = 0},
  [421] = {.lex_state = 1},
  [422] = {.lex_state = 1},
  [423] = {.lex_state = 1},
  [424] = {.lex_state = 1},
  [425] = {.lex_state = 1},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 0},
  [428] = {.lex_state = 0},
  [429] = {.lex_state = 1},
  [430] = {.lex_state = 1},
  [431] = {.lex_state = 1},
  [432] = {.lex_state = 4},
  [433] = {.lex_state = 4},
  [434] = {.lex_state = 1},
  [435] = {.lex_state = 1},
  [436] = {.lex_state = 4},
  [437] = {.lex_state = 4},
  [438] = {.lex_state = 1},
  [439] = {.lex_state = 1},
  [440] = {.lex_state = 1},
  [441] = {.lex_state = 1},
  [442] = {.lex_state = 1},
  [443] = {.lex_state = 1},
  [444] = {.lex_state = 1},
  [445] = {.lex_state = 1},
  [446] = {.lex_state = 1},
  [447] = {.lex_state = 4},
  [448] = {.lex_state = 4},
  [449] = {.lex_state = 4},
  [450] = {.lex_state = 4},
  [451] = {.lex_state = 4},
  [452] = {.lex_state = 4},
  [453] = {.lex_state = 4},
  [454] = {.lex_state = 1},
  [455] = {.lex_state = 4},
  [456] = {.lex_state = 4},
  [457] = {.lex_state = 4},
  [458] = {.lex_state = 4},
  [459] = {.lex_state = 4},
  [460] = {.lex_state = 4},
  [461] = {.lex_state = 4},
  [462] = {.lex_state = 1},
  [463] = {.lex_state = 1},
  [464] = {.lex_state = 1},
  [465] = {.lex_state = 4},
  [466] = {.lex_state = 4},
  [467] = {.lex_state = 4},
  [468] = {.lex_state = 1},
  [469] = {.lex_state = 4},
  [470] = {.lex_state = 4},
  [471] = {.lex_state = 2},
  [472] = {.lex_state = 4},
  [473] = {.lex_state = 4},
  [474] = {.lex_state = 0},
  [475] = {.lex_state = 1},
  [476] = {.lex_state = 4},
  [477] = {.lex_state = 4},
  [478] = {.lex_state = 4},
  [479] = {.lex_state = 4},
  [480] = {.lex_state = 4},
  [481] = {.lex_state = 2},
  [482] = {.lex_state = 4},
  [483] = {.lex_state = 2},
  [484] = {.lex_state = 4},
  [485] = {.lex_state = 2},
  [486] = {.lex_state = 4},
  [487] = {.lex_state = 0},
  [488] = {.lex_state = 4},
  [489] = {.lex_state = 4},
  [490] = {.lex_state = 4},
  [491] = {.lex_state = 4},
  [492] = {.lex_state = 4},
  [493] = {.lex_state = 4},
  [494] = {.lex_state = 4},
  [495] = {.lex_state = 4},
  [496] = {.lex_state = 4},
  [497] = {.lex_state = 4},
  [498] = {.lex_state = 4},
  [499] = {.lex_state = 4},
  [500] = {.lex_state = 4},
  [501] = {.lex_state = 4},
  [502] = {.lex_state = 4},
  [503] = {.lex_state = 0},
  [504] = {.lex_state = 4},
  [505] = {.lex_state = 0},
  [506] = {.lex_state = 4},
  [507] = {.lex_state = 9},
  [508] = {.lex_state = 4},
  [509] = {.lex_state = 9},
  [510] = {.lex_state = 4},
  [511] = {.lex_state = 9},
  [512] = {.lex_state = 4},
  [513] = {.lex_state = 4},
  [514] = {.lex_state = 0},
  [515] = {.lex_state = 4},
  [516] = {.lex_state = 4},
  [517] = {.lex_state = 4},
  [518] = {.lex_state = 4},
  [519] = {.lex_state = 4},
  [520] = {.lex_state = 4},
  [521] = {.lex_state = 0},
  [522] = {.lex_state = 0},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 4},
  [525] = {.lex_state = 4},
  [526] = {.lex_state = 4},
  [527] = {.lex_state = 4},
  [528] = {.lex_state = 4},
  [529] = {.lex_state = 0},
  [530] = {.lex_state = 4},
  [531] = {.lex_state = 4},
  [532] = {.lex_state = 0},
  [533] = {.lex_state = 4},
  [534] = {.lex_state = 4},
  [535] = {.lex_state = 4},
  [536] = {.lex_state = 4},
  [537] = {.lex_state = 4},
  [538] = {.lex_state = 4},
  [539] = {.lex_state = 4},
  [540] = {.lex_state = 4},
  [541] = {.lex_state = 4},
  [542] = {.lex_state = 0},
  [543] = {.lex_state = 0},
  [544] = {.lex_state = 0},
  [545] = {.lex_state = 4},
  [546] = {.lex_state = 4},
  [547] = {.lex_state = 4},
  [548] = {.lex_state = 4},
  [549] = {.lex_state = 4},
  [550] = {.lex_state = 4},
  [551] = {.lex_state = 0},
  [552] = {.lex_state = 4},
  [553] = {.lex_state = 0},
  [554] = {.lex_state = 4},
  [555] = {.lex_state = 4},
  [556] = {.lex_state = 4},
  [557] = {.lex_state = 4},
  [558] = {.lex_state = 4},
  [559] = {.lex_state = 4},
  [560] = {.lex_state = 4},
  [561] = {.lex_state = 4},
  [562] = {.lex_state = 4},
  [563] = {.lex_state = 4},
  [564] = {.lex_state = 0},
  [565] = {.lex_state = 4},
  [566] = {.lex_state = 4},
  [567] = {.lex_state = 4},
  [568] = {.lex_state = 4},
  [569] = {.lex_state = 4},
  [570] = {.lex_state = 4},
  [571] = {.lex_state = 0},
  [572] = {.lex_state = 0},
  [573] = {.lex_state = 0},
  [574] = {.lex_state = 0},
  [575] = {.lex_state = 0},
  [576] = {.lex_state = 4},
  [577] = {.lex_state = 4},
  [578] = {.lex_state = 4},
  [579] = {.lex_state = 0},
  [580] = {.lex_state = 0},
  [581] = {.lex_state = 0},
  [582] = {.lex_state = 0},
  [583] = {.lex_state = 9},
  [584] = {.lex_state = 9},
  [585] = {.lex_state = 4},
  [586] = {.lex_state = 1},
  [587] = {.lex_state = 4},
  [588] = {.lex_state = 4},
  [589] = {.lex_state = 0},
  [590] = {.lex_state = 4},
  [591] = {.lex_state = 0},
  [592] = {.lex_state = 4},
  [593] = {.lex_state = 4},
  [594] = {.lex_state = 0},
  [595] = {.lex_state = 4},
  [596] = {.lex_state = 4},
  [597] = {.lex_state = 4},
  [598] = {.lex_state = 0},
  [599] = {.lex_state = 0},
  [600] = {.lex_state = 0},
  [601] = {.lex_state = 4},
  [602] = {.lex_state = 4},
  [603] = {.lex_state = 4},
  [604] = {.lex_state = 4},
  [605] = {.lex_state = 4},
  [606] = {.lex_state = 4},
  [607] = {.lex_state = 4},
  [608] = {.lex_state = 4},
  [609] = {.lex_state = 0},
  [610] = {.lex_state = 1},
  [611] = {.lex_state = 4},
  [612] = {.lex_state = 0},
  [613] = {.lex_state = 4},
  [614] = {.lex_state = 4},
  [615] = {.lex_state = 4},
  [616] = {.lex_state = 4},
  [617] = {.lex_state = 4},
  [618] = {.lex_state = 4},
  [619] = {.lex_state = 4},
  [620] = {.lex_state = 4},
  [621] = {.lex_state = 4},
  [622] = {.lex_state = 4},
  [623] = {.lex_state = 4},
  [624] = {.lex_state = 4},
  [625] = {.lex_state = 4},
  [626] = {.lex_state = 2},
  [627] = {.lex_state = 2},
  [628] = {.lex_state = 2},
  [629] = {.lex_state = 4},
  [630] = {.lex_state = 4},
  [631] = {.lex_state = 4},
  [632] = {.lex_state = 1},
  [633] = {.lex_state = 2},
  [634] = {.lex_state = 4},
  [635] = {.lex_state = 4},
  [636] = {.lex_state = 4},
  [637] = {.lex_state = 9},
  [638] = {.lex_state = 4},
  [639] = {.lex_state = 4},
  [640] = {.lex_state = 4},
  [641] = {.lex_state = 4},
  [642] = {.lex_state = 4},
  [643] = {.lex_state = 4},
  [644] = {.lex_state = 4},
  [645] = {.lex_state = 4},
  [646] = {.lex_state = 4},
  [647] = {.lex_state = 4},
  [648] = {.lex_state = 4},
  [649] = {.lex_state = 4},
  [650] = {.lex_state = 1},
  [651] = {.lex_state = 1},
  [652] = {.lex_state = 1},
  [653] = {.lex_state = 1},
  [654] = {.lex_state = 4},
  [655] = {.lex_state = 4},
  [656] = {.lex_state = 9},
  [657] = {.lex_state = 1},
  [658] = {.lex_state = 4},
  [659] = {.lex_state = 4},
  [660] = {.lex_state = 4},
  [661] = {.lex_state = 2},
  [662] = {.lex_state = 4},
  [663] = {.lex_state = 2},
  [664] = {.lex_state = 2},
  [665] = {.lex_state = 4},
  [666] = {.lex_state = 4},
  [667] = {.lex_state = 4},
  [668] = {.lex_state = 4},
  [669] = {.lex_state = 4},
  [670] = {.lex_state = 9},
  [671] = {.lex_state = 4},
  [672] = {.lex_state = 2},
  [673] = {.lex_state = 4},
  [674] = {.lex_state = 4},
  [675] = {.lex_state = 4},
  [676] = {.lex_state = 4},
  [677] = {.lex_state = 4},
  [678] = {.lex_state = 4},
  [679] = {.lex_state = 4},
  [680] = {.lex_state = 4},
  [681] = {.lex_state = 4},
  [682] = {.lex_state = 4},
  [683] = {.lex_state = 4},
  [684] = {.lex_state = 4},
  [685] = {.lex_state = 4},
  [686] = {.lex_state = 2},
  [687] = {.lex_state = 4},
  [688] = {.lex_state = 4},
  [689] = {.lex_state = 4},
  [690] = {.lex_state = 4},
  [691] = {.lex_state = 4},
  [692] = {.lex_state = 4},
  [693] = {.lex_state = 4},
  [694] = {.lex_state = 4},
  [695] = {.lex_state = 9},
  [696] = {.lex_state = 9},
  [697] = {.lex_state = 4},
  [698] = {.lex_state = 17},
  [699] = {.lex_state = 1},
  [700] = {.lex_state = 1},
  [701] = {.lex_state = 1},
  [702] = {.lex_state = 1},
  [703] = {.lex_state = 1},
  [704] = {.lex_state = 9},
  [705] = {.lex_state = 2},
  [706] = {.lex_state = 4},
  [707] = {.lex_state = 9},
  [708] = {.lex_state = 4},
  [709] = {.lex_state = 9},
  [710] = {.lex_state = 9},
  [711] = {.lex_state = 4},
  [712] = {.lex_state = 4},
  [713] = {.lex_state = 2},
  [714] = {.lex_state = 4},
  [715] = {.lex_state = 1},
  [716] = {.lex_state = 4},
  [717] = {.lex_state = 4},
  [718] = {.lex_state = 2},
  [719] = {.lex_state = 1},
  [720] = {.lex_state = 9},
  [721] = {.lex_state = 4},
  [722] = {.lex_state = 4},
  [723] = {.lex_state = 4},
  [724] = {.lex_state = 1},
  [725] = {.lex_state = 4},
  [726] = {.lex_state = 4},
  [727] = {.lex_state = 17},
  [728] = {.lex_state = 4},
  [729] = {.lex_state = 4},
  [730] = {.lex_state = 4},
  [731] = {.lex_state = 4},
  [732] = {.lex_state = 9},
  [733] = {.lex_state = 4},
  [734] = {.lex_state = 9},
  [735] = {.lex_state = 4},
  [736] = {.lex_state = 4},
  [737] = {.lex_state = 17},
  [738] = {.lex_state = 4},
  [739] = {.lex_state = 4},
  [740] = {.lex_state = 4},
  [741] = {.lex_state = 1},
  [742] = {.lex_state = 9},
  [743] = {.lex_state = 4},
  [744] = {.lex_state = 4},
  [745] = {.lex_state = 9},
  [746] = {.lex_state = 4},
  [747] = {.lex_state = 4},
  [748] = {.lex_state = 4},
  [749] = {.lex_state = 4},
  [750] = {.lex_state = 4},
  [751] = {.lex_state = 4},
  [752] = {.lex_state = 4},
  [753] = {.lex_state = 4},
  [754] = {.lex_state = 4},
  [755] = {.lex_state = 4},
  [756] = {.lex_state = 4},
  [757] = {.lex_state = 4},
  [758] = {.lex_state = 4},
  [759] = {.lex_state = 4},
  [760] = {.lex_state = 4},
  [761] = {.lex_state = 1},
  [762] = {.lex_state = 1},
  [763] = {.lex_state = 4},
  [764] = {.lex_state = 1},
  [765] = {.lex_state = 1},
  [766] = {.lex_state = 9},
  [767] = {.lex_state = 9},
  [768] = {.lex_state = 1},
  [769] = {.lex_state = 1},
  [770] = {.lex_state = 1},
  [771] = {.lex_state = 1},
  [772] = {.lex_state = 1},
  [773] = {.lex_state = 9},
  [774] = {.lex_state = 1},
  [775] = {.lex_state = 1},
  [776] = {.lex_state = 1},
  [777] = {.lex_state = 2},
  [778] = {.lex_state = 1},
  [779] = {.lex_state = 1},
  [780] = {.lex_state = 1},
  [781] = {.lex_state = 1},
  [782] = {.lex_state = 1},
  [783] = {.lex_state = 17},
  [784] = {.lex_state = 1},
  [785] = {.lex_state = 1},
  [786] = {.lex_state = 1},
  [787] = {.lex_state = 1},
  [788] = {.lex_state = 1},
  [789] = {.lex_state = 1},
  [790] = {.lex_state = 1},
  [791] = {.lex_state = 1},
  [792] = {.lex_state = 1},
  [793] = {.lex_state = 1},
  [794] = {.lex_state = 1},
  [795] = {.lex_state = 1},
  [796] = {.lex_state = 1},
  [797] = {.lex_state = 1},
  [798] = {.lex_state = 1},
  [799] = {.lex_state = 1},
  [800] = {.lex_state = 1},
  [801] = {.lex_state = 1},
  [802] = {.lex_state = 1},
  [803] = {.lex_state = 1},
  [804] = {.lex_state = 17},
  [805] = {.lex_state = 1},
  [806] = {.lex_state = 1},
  [807] = {.lex_state = 1},
  [808] = {.lex_state = 1},
  [809] = {.lex_state = 1},
  [810] = {.lex_state = 1},
  [811] = {.lex_state = 1},
  [812] = {.lex_state = 1},
  [813] = {.lex_state = 1},
  [814] = {.lex_state = 1},
  [815] = {.lex_state = 1},
  [816] = {.lex_state = 1},
  [817] = {.lex_state = 1},
  [818] = {.lex_state = 1},
  [819] = {.lex_state = 1},
  [820] = {.lex_state = 1},
  [821] = {.lex_state = 1},
  [822] = {.lex_state = 1},
  [823] = {.lex_state = 1},
  [824] = {.lex_state = 1},
  [825] = {.lex_state = 1},
  [826] = {.lex_state = 9},
  [827] = {.lex_state = 1},
  [828] = {.lex_state = 1},
  [829] = {.lex_state = 1},
  [830] = {.lex_state = 1},
  [831] = {.lex_state = 1},
  [832] = {.lex_state = 1},
  [833] = {.lex_state = 1},
  [834] = {.lex_state = 1},
  [835] = {.lex_state = 1},
  [836] = {.lex_state = 1},
  [837] = {.lex_state = 1},
  [838] = {.lex_state = 1},
  [839] = {.lex_state = 9},
  [840] = {.lex_state = 1},
  [841] = {.lex_state = 1},
  [842] = {.lex_state = 1},
  [843] = {.lex_state = 1},
  [844] = {.lex_state = 1},
  [845] = {.lex_state = 1},
  [846] = {.lex_state = 1},
  [847] = {.lex_state = 1},
  [848] = {.lex_state = 1},
  [849] = {.lex_state = 1},
  [850] = {.lex_state = 1},
  [851] = {.lex_state = 1},
  [852] = {.lex_state = 1},
  [853] = {.lex_state = 1},
  [854] = {.lex_state = 1},
  [855] = {.lex_state = 1},
  [856] = {.lex_state = 1},
  [857] = {.lex_state = 1},
  [858] = {.lex_state = 1},
  [859] = {.lex_state = 1},
  [860] = {.lex_state = 1},
  [861] = {.lex_state = 1},
  [862] = {.lex_state = 1},
  [863] = {.lex_state = 1},
  [864] = {.lex_state = 1},
  [865] = {.lex_state = 1},
  [866] = {.lex_state = 1},
  [867] = {.lex_state = 1},
  [868] = {.lex_state = 1},
  [869] = {.lex_state = 1},
  [870] = {.lex_state = 1},
  [871] = {.lex_state = 1},
  [872] = {.lex_state = 1},
  [873] = {.lex_state = 1},
  [874] = {.lex_state = 1},
  [875] = {.lex_state = 1},
  [876] = {.lex_state = 1},
  [877] = {.lex_state = 1},
  [878] = {.lex_state = 1},
  [879] = {.lex_state = 1},
  [880] = {.lex_state = 1},
  [881] = {.lex_state = 1},
  [882] = {.lex_state = 1},
  [883] = {.lex_state = 1},
  [884] = {.lex_state = 1},
  [885] = {.lex_state = 1},
  [886] = {.lex_state = 1},
  [887] = {.lex_state = 1},
  [888] = {.lex_state = 1},
  [889] = {.lex_state = 1},
  [890] = {.lex_state = 1},
  [891] = {.lex_state = 1},
  [892] = {.lex_state = 1},
  [893] = {.lex_state = 6},
  [894] = {.lex_state = 1},
  [895] = {.lex_state = 1},
  [896] = {.lex_state = 1},
  [897] = {.lex_state = 1},
  [898] = {.lex_state = 1},
  [899] = {.lex_state = 1},
  [900] = {.lex_state = 6},
  [901] = {.lex_state = 1},
  [902] = {.lex_state = 6},
  [903] = {.lex_state = 1},
  [904] = {.lex_state = 1},
  [905] = {.lex_state = 1},
  [906] = {.lex_state = 1},
  [907] = {.lex_state = 1},
  [908] = {.lex_state = 1},
  [909] = {.lex_state = 1},
  [910] = {.lex_state = 1},
  [911] = {.lex_state = 1},
  [912] = {.lex_state = 1},
  [913] = {.lex_state = 1},
  [914] = {.lex_state = 1},
  [915] = {.lex_state = 1},
  [916] = {.lex_state = 1},
  [917] = {.lex_state = 1},
  [918] = {.lex_state = 1},
  [919] = {.lex_state = 1},
  [920] = {.lex_state = 1},
  [921] = {.lex_state = 1},
  [922] = {.lex_state = 1},
  [923] = {.lex_state = 9},
  [924] = {.lex_state = 1},
  [925] = {.lex_state = 1},
  [926] = {.lex_state = 1},
  [927] = {.lex_state = 1},
  [928] = {.lex_state = 1},
  [929] = {.lex_state = 1},
  [930] = {.lex_state = 1},
  [931] = {.lex_state = 1},
  [932] = {.lex_state = 1},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 1},
  [935] = {.lex_state = 1},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 1},
  [938] = {.lex_state = 1},
  [939] = {.lex_state = 1},
  [940] = {.lex_state = 1},
  [941] = {.lex_state = 1},
  [942] = {.lex_state = 1},
  [943] = {.lex_state = 1},
  [944] = {.lex_state = 1},
  [945] = {.lex_state = 1},
  [946] = {.lex_state = 1},
  [947] = {.lex_state = 1},
  [948] = {.lex_state = 1},
  [949] = {.lex_state = 1},
  [950] = {.lex_state = 1},
  [951] = {.lex_state = 1},
  [952] = {.lex_state = 1},
  [953] = {.lex_state = 1},
  [954] = {.lex_state = 1},
  [955] = {.lex_state = 1},
  [956] = {.lex_state = 1},
  [957] = {.lex_state = 1},
  [958] = {.lex_state = 1},
  [959] = {.lex_state = 1},
  [960] = {.lex_state = 1},
  [961] = {.lex_state = 1},
  [962] = {.lex_state = 8},
  [963] = {.lex_state = 1},
  [964] = {.lex_state = 1},
  [965] = {.lex_state = 1},
  [966] = {.lex_state = 1},
  [967] = {.lex_state = 1},
  [968] = {.lex_state = 1},
  [969] = {.lex_state = 1},
  [970] = {.lex_state = 6},
  [971] = {.lex_state = 1},
  [972] = {.lex_state = 1},
  [973] = {.lex_state = 1},
  [974] = {.lex_state = 1},
  [975] = {.lex_state = 1},
  [976] = {.lex_state = 1},
  [977] = {.lex_state = 1},
  [978] = {.lex_state = 8},
  [979] = {.lex_state = 1},
  [980] = {.lex_state = 1},
  [981] = {.lex_state = 1},
  [982] = {.lex_state = 6},
  [983] = {.lex_state = 8},
  [984] = {.lex_state = 1},
  [985] = {.lex_state = 1},
  [986] = {.lex_state = 1},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 1},
  [991] = {.lex_state = 1},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 1},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 1},
  [1002] = {.lex_state = 9},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 1},
  [1010] = {.lex_state = 9},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 8},
  [1015] = {.lex_state = 1},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 1},
  [1018] = {.lex_state = 1},
  [1019] = {.lex_state = 1},
  [1020] = {.lex_state = 1},
  [1021] = {.lex_state = 1},
  [1022] = {.lex_state = 1},
  [1023] = {.lex_state = 1},
  [1024] = {.lex_state = 1},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 9},
  [1027] = {.lex_state = 1},
  [1028] = {.lex_state = 1},
  [1029] = {.lex_state = 1},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 1},
  [1032] = {.lex_state = 1},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 1},
  [1035] = {.lex_state = 1},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 1},
  [1044] = {.lex_state = 1},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 1},
  [1047] = {.lex_state = 1},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 1},
  [1050] = {.lex_state = 1},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 9},
  [1053] = {.lex_state = 9},
  [1054] = {.lex_state = 9},
  [1055] = {.lex_state = 1},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 9},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 1},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 1},
  [1063] = {.lex_state = 1},
  [1064] = {.lex_state = 1},
  [1065] = {.lex_state = 1},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 1},
  [1073] = {.lex_state = 1},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 1},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 9},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 1},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 9},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 1},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 1},
  [1103] = {.lex_state = 1},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 9},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 1},
  [1128] = {.lex_state = 9},
  [1129] = {.lex_state = 9},
  [1130] = {.lex_state = 9},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 1},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 1},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 9},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 1},
  [1152] = {.lex_state = 9},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 1},
  [1167] = {.lex_state = 1},
  [1168] = {.lex_state = 1},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 9},
  [1176] = {.lex_state = 1},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 1},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 9},
  [1191] = {.lex_state = 1},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 1},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 1},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 1},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 1},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 9},
  [1245] = {.lex_state = 9},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 1},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 9},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 9},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 1},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 1},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 1},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 9},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 9},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 1},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 1},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 1},
  [1310] = {.lex_state = 1},
  [1311] = {.lex_state = 1},
  [1312] = {.lex_state = 1},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 1},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 1},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 1},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 1},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 1},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 1},
  [1356] = {.lex_state = 1},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 1},
  [1372] = {.lex_state = 1},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 1},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 0},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 1},
  [1382] = {.lex_state = 1},
  [1383] = {.lex_state = 0},
  [1384] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_decimal_integer_literal] = ACTIONS(1),
    [sym_hex_integer_literal] = ACTIONS(1),
    [sym_octal_integer_literal] = ACTIONS(1),
    [sym_binary_integer_literal] = ACTIONS(1),
    [sym_decimal_floating_point_literal] = ACTIONS(1),
    [sym_hex_floating_point_literal] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [sym_underscore_pattern] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_synchronized] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_transitive] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_exports] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_opens] = ACTIONS(1),
    [anon_sym_uses] = ACTIONS(1),
    [anon_sym_provides] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_strictfp] = ACTIONS(1),
    [anon_sym_native] = ACTIONS(1),
    [anon_sym_transient] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_non_DASHsealed] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_permits] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_ATinterface] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_char] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [sym_boolean_type] = ACTIONS(1),
    [sym_void_type] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_throws] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_program] = STATE(1377),
    [sym__toplevel_statement] = STATE(3),
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(3),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(727),
    [sym_type_parameters] = STATE(799),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(768),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym__method_header] = STATE(1170),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym_method_declaration] = STATE(3),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__toplevel_statement] = STATE(2),
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(2),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(727),
    [sym_type_parameters] = STATE(799),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(768),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym__method_header] = STATE(1170),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym_method_declaration] = STATE(2),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(97),
    [sym_identifier] = ACTIONS(99),
    [sym_decimal_integer_literal] = ACTIONS(102),
    [sym_hex_integer_literal] = ACTIONS(102),
    [sym_octal_integer_literal] = ACTIONS(102),
    [sym_binary_integer_literal] = ACTIONS(105),
    [sym_decimal_floating_point_literal] = ACTIONS(105),
    [sym_hex_floating_point_literal] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_character_literal] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(108),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(111),
    [sym_null_literal] = ACTIONS(102),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_LT] = ACTIONS(117),
    [anon_sym_PLUS] = ACTIONS(120),
    [anon_sym_DASH] = ACTIONS(120),
    [anon_sym_final] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(126),
    [anon_sym_TILDE] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(132),
    [anon_sym_class] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(138),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_default] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(144),
    [anon_sym_assert] = ACTIONS(147),
    [anon_sym_do] = ACTIONS(150),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(156),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(168),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_try] = ACTIONS(174),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(180),
    [anon_sym_AT] = ACTIONS(183),
    [anon_sym_open] = ACTIONS(186),
    [anon_sym_module] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(123),
    [anon_sym_with] = ACTIONS(192),
    [anon_sym_package] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(198),
    [anon_sym_enum] = ACTIONS(201),
    [anon_sym_public] = ACTIONS(123),
    [anon_sym_protected] = ACTIONS(123),
    [anon_sym_private] = ACTIONS(123),
    [anon_sym_abstract] = ACTIONS(123),
    [anon_sym_strictfp] = ACTIONS(123),
    [anon_sym_native] = ACTIONS(123),
    [anon_sym_transient] = ACTIONS(123),
    [anon_sym_volatile] = ACTIONS(123),
    [anon_sym_sealed] = ACTIONS(204),
    [anon_sym_non_DASHsealed] = ACTIONS(207),
    [anon_sym_record] = ACTIONS(210),
    [anon_sym_ATinterface] = ACTIONS(213),
    [anon_sym_interface] = ACTIONS(216),
    [anon_sym_byte] = ACTIONS(219),
    [anon_sym_short] = ACTIONS(219),
    [anon_sym_int] = ACTIONS(219),
    [anon_sym_long] = ACTIONS(219),
    [anon_sym_char] = ACTIONS(219),
    [anon_sym_float] = ACTIONS(222),
    [anon_sym_double] = ACTIONS(222),
    [sym_boolean_type] = ACTIONS(225),
    [sym_void_type] = ACTIONS(225),
    [sym_this] = ACTIONS(228),
    [sym_super] = ACTIONS(231),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__toplevel_statement] = STATE(2),
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(2),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(727),
    [sym_type_parameters] = STATE(799),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(768),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym__method_header] = STATE(1170),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym_method_declaration] = STATE(2),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(234),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_switch_label] = STATE(1373),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(389),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(238),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(240),
    [anon_sym_default] = ACTIONS(240),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(636),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_type_arguments] = STATE(1274),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(11),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_explicit_constructor_invocation] = STATE(10),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(11),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(254),
    [sym_super] = ACTIONS(256),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(7),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(7),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(258),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(260),
    [anon_sym_default] = ACTIONS(260),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(7),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(7),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(262),
    [sym_decimal_integer_literal] = ACTIONS(265),
    [sym_hex_integer_literal] = ACTIONS(265),
    [sym_octal_integer_literal] = ACTIONS(265),
    [sym_binary_integer_literal] = ACTIONS(268),
    [sym_decimal_floating_point_literal] = ACTIONS(268),
    [sym_hex_floating_point_literal] = ACTIONS(265),
    [sym_true] = ACTIONS(265),
    [sym_false] = ACTIONS(265),
    [sym_character_literal] = ACTIONS(268),
    [anon_sym_DQUOTE] = ACTIONS(271),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(274),
    [anon_sym_RBRACE] = ACTIONS(277),
    [sym_null_literal] = ACTIONS(265),
    [anon_sym_LPAREN] = ACTIONS(279),
    [anon_sym_PLUS] = ACTIONS(282),
    [anon_sym_DASH] = ACTIONS(282),
    [anon_sym_final] = ACTIONS(285),
    [anon_sym_BANG] = ACTIONS(288),
    [anon_sym_TILDE] = ACTIONS(288),
    [anon_sym_PLUS_PLUS] = ACTIONS(291),
    [anon_sym_DASH_DASH] = ACTIONS(291),
    [anon_sym_new] = ACTIONS(294),
    [anon_sym_class] = ACTIONS(297),
    [anon_sym_switch] = ACTIONS(300),
    [anon_sym_LBRACE] = ACTIONS(303),
    [anon_sym_case] = ACTIONS(306),
    [anon_sym_default] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(308),
    [anon_sym_assert] = ACTIONS(311),
    [anon_sym_do] = ACTIONS(314),
    [anon_sym_while] = ACTIONS(317),
    [anon_sym_break] = ACTIONS(320),
    [anon_sym_continue] = ACTIONS(323),
    [anon_sym_return] = ACTIONS(326),
    [anon_sym_yield] = ACTIONS(329),
    [anon_sym_synchronized] = ACTIONS(332),
    [anon_sym_throw] = ACTIONS(335),
    [anon_sym_try] = ACTIONS(338),
    [anon_sym_if] = ACTIONS(341),
    [anon_sym_for] = ACTIONS(344),
    [anon_sym_AT] = ACTIONS(347),
    [anon_sym_open] = ACTIONS(350),
    [anon_sym_module] = ACTIONS(353),
    [anon_sym_static] = ACTIONS(285),
    [anon_sym_with] = ACTIONS(356),
    [anon_sym_package] = ACTIONS(359),
    [anon_sym_import] = ACTIONS(362),
    [anon_sym_enum] = ACTIONS(365),
    [anon_sym_public] = ACTIONS(285),
    [anon_sym_protected] = ACTIONS(285),
    [anon_sym_private] = ACTIONS(285),
    [anon_sym_abstract] = ACTIONS(285),
    [anon_sym_strictfp] = ACTIONS(285),
    [anon_sym_native] = ACTIONS(285),
    [anon_sym_transient] = ACTIONS(285),
    [anon_sym_volatile] = ACTIONS(285),
    [anon_sym_sealed] = ACTIONS(368),
    [anon_sym_non_DASHsealed] = ACTIONS(371),
    [anon_sym_record] = ACTIONS(374),
    [anon_sym_ATinterface] = ACTIONS(377),
    [anon_sym_interface] = ACTIONS(380),
    [anon_sym_byte] = ACTIONS(383),
    [anon_sym_short] = ACTIONS(383),
    [anon_sym_int] = ACTIONS(383),
    [anon_sym_long] = ACTIONS(383),
    [anon_sym_char] = ACTIONS(383),
    [anon_sym_float] = ACTIONS(386),
    [anon_sym_double] = ACTIONS(386),
    [sym_boolean_type] = ACTIONS(389),
    [sym_void_type] = ACTIONS(389),
    [sym_this] = ACTIONS(392),
    [sym_super] = ACTIONS(395),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(7),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(7),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(398),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(8),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(8),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(400),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(12),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(12),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(402),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(7),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(7),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(402),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(7),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(7),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(404),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(14),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(14),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(406),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(7),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(7),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(408),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(321),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(375),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(287),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(1319),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(318),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(321),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(338),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(339),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(340),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(341),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(342),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(285),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(350),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(351),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(352),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(388),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(353),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(354),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(355),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(356),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(359),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(360),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(361),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(362),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(363),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(364),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(365),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(366),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(367),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(368),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [45] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(369),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [46] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(122),
    [sym_statement] = STATE(391),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [47] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(285),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [48] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(392),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [49] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(375),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [50] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(287),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [51] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(318),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [52] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(339),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(340),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(341),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [55] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(342),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [56] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(350),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [57] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(351),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [58] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(352),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(388),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(353),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(354),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(355),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(356),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(359),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(360),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(361),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(362),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(363),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(364),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(365),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(366),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(367),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(368),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(369),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [75] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(285),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [76] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(1268),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(375),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(287),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(318),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(321),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [81] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(338),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [82] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(339),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(340),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(341),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [85] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(342),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(350),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(351),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(352),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(388),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(353),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(354),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [92] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(355),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [93] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(356),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [94] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(359),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(360),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [96] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(361),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [97] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(362),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [98] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(363),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [99] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(364),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [100] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(365),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [101] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(366),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [102] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(367),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [103] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(368),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [104] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(666),
    [sym_statement] = STATE(369),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [105] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(338),
    [sym_block] = STATE(377),
    [sym_expression_statement] = STATE(377),
    [sym_labeled_statement] = STATE(377),
    [sym_assert_statement] = STATE(377),
    [sym_do_statement] = STATE(377),
    [sym_break_statement] = STATE(377),
    [sym_continue_statement] = STATE(377),
    [sym_return_statement] = STATE(377),
    [sym_yield_statement] = STATE(377),
    [sym_synchronized_statement] = STATE(377),
    [sym_throw_statement] = STATE(377),
    [sym_try_statement] = STATE(377),
    [sym_try_with_resources_statement] = STATE(377),
    [sym_if_statement] = STATE(377),
    [sym_while_statement] = STATE(377),
    [sym_for_statement] = STATE(377),
    [sym_enhanced_for_statement] = STATE(377),
    [sym__annotation] = STATE(551),
    [sym_marker_annotation] = STATE(551),
    [sym_annotation] = STATE(551),
    [sym_declaration] = STATE(377),
    [sym_module_declaration] = STATE(288),
    [sym_package_declaration] = STATE(288),
    [sym_import_declaration] = STATE(288),
    [sym_enum_declaration] = STATE(288),
    [sym_class_declaration] = STATE(288),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(288),
    [sym_annotation_type_declaration] = STATE(288),
    [sym_interface_declaration] = STATE(288),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(775),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(377),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(724),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [106] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(721),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(420),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_AMP_EQ] = ACTIONS(425),
    [anon_sym_PIPE_EQ] = ACTIONS(425),
    [anon_sym_CARET_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_LT_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(425),
    [anon_sym_AMP_AMP] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(427),
    [anon_sym_DASH] = ACTIONS(427),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_GT_GT_GT] = ACTIONS(423),
    [anon_sym_instanceof] = ACTIONS(423),
    [anon_sym_DASH_GT] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(430),
    [anon_sym_DASH_DASH] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(425),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(437),
    [sym_identifier] = ACTIONS(439),
    [sym_decimal_integer_literal] = ACTIONS(439),
    [sym_hex_integer_literal] = ACTIONS(439),
    [sym_octal_integer_literal] = ACTIONS(439),
    [sym_binary_integer_literal] = ACTIONS(437),
    [sym_decimal_floating_point_literal] = ACTIONS(437),
    [sym_hex_floating_point_literal] = ACTIONS(439),
    [sym_true] = ACTIONS(439),
    [sym_false] = ACTIONS(439),
    [sym_character_literal] = ACTIONS(437),
    [anon_sym_DQUOTE] = ACTIONS(439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(437),
    [anon_sym_RBRACE] = ACTIONS(437),
    [sym_null_literal] = ACTIONS(439),
    [anon_sym_LPAREN] = ACTIONS(437),
    [anon_sym_RPAREN] = ACTIONS(437),
    [anon_sym_AMP] = ACTIONS(439),
    [anon_sym_GT] = ACTIONS(439),
    [anon_sym_LT] = ACTIONS(439),
    [anon_sym_GT_EQ] = ACTIONS(437),
    [anon_sym_LT_EQ] = ACTIONS(437),
    [anon_sym_EQ_EQ] = ACTIONS(437),
    [anon_sym_BANG_EQ] = ACTIONS(437),
    [anon_sym_AMP_AMP] = ACTIONS(437),
    [anon_sym_PIPE_PIPE] = ACTIONS(437),
    [anon_sym_PLUS] = ACTIONS(439),
    [anon_sym_DASH] = ACTIONS(439),
    [anon_sym_STAR] = ACTIONS(437),
    [anon_sym_SLASH] = ACTIONS(439),
    [anon_sym_PIPE] = ACTIONS(439),
    [anon_sym_CARET] = ACTIONS(437),
    [anon_sym_PERCENT] = ACTIONS(437),
    [anon_sym_LT_LT] = ACTIONS(437),
    [anon_sym_GT_GT] = ACTIONS(439),
    [anon_sym_GT_GT_GT] = ACTIONS(437),
    [anon_sym_instanceof] = ACTIONS(439),
    [anon_sym_final] = ACTIONS(439),
    [anon_sym_DASH_GT] = ACTIONS(437),
    [anon_sym_COMMA] = ACTIONS(437),
    [anon_sym_QMARK] = ACTIONS(437),
    [anon_sym_COLON] = ACTIONS(439),
    [anon_sym_BANG] = ACTIONS(439),
    [anon_sym_TILDE] = ACTIONS(437),
    [anon_sym_PLUS_PLUS] = ACTIONS(437),
    [anon_sym_DASH_DASH] = ACTIONS(437),
    [anon_sym_new] = ACTIONS(439),
    [anon_sym_LBRACK] = ACTIONS(437),
    [anon_sym_RBRACK] = ACTIONS(437),
    [anon_sym_DOT] = ACTIONS(439),
    [anon_sym_class] = ACTIONS(439),
    [anon_sym_COLON_COLON] = ACTIONS(437),
    [anon_sym_switch] = ACTIONS(439),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_case] = ACTIONS(439),
    [anon_sym_default] = ACTIONS(439),
    [anon_sym_when] = ACTIONS(439),
    [anon_sym_SEMI] = ACTIONS(437),
    [anon_sym_assert] = ACTIONS(439),
    [anon_sym_do] = ACTIONS(439),
    [anon_sym_while] = ACTIONS(439),
    [anon_sym_break] = ACTIONS(439),
    [anon_sym_continue] = ACTIONS(439),
    [anon_sym_return] = ACTIONS(439),
    [anon_sym_yield] = ACTIONS(439),
    [anon_sym_synchronized] = ACTIONS(439),
    [anon_sym_throw] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(439),
    [anon_sym_if] = ACTIONS(439),
    [anon_sym_else] = ACTIONS(439),
    [anon_sym_for] = ACTIONS(439),
    [anon_sym_AT] = ACTIONS(439),
    [anon_sym_open] = ACTIONS(439),
    [anon_sym_module] = ACTIONS(439),
    [anon_sym_static] = ACTIONS(439),
    [anon_sym_with] = ACTIONS(439),
    [anon_sym_package] = ACTIONS(439),
    [anon_sym_import] = ACTIONS(439),
    [anon_sym_enum] = ACTIONS(439),
    [anon_sym_public] = ACTIONS(439),
    [anon_sym_protected] = ACTIONS(439),
    [anon_sym_private] = ACTIONS(439),
    [anon_sym_abstract] = ACTIONS(439),
    [anon_sym_strictfp] = ACTIONS(439),
    [anon_sym_native] = ACTIONS(439),
    [anon_sym_transient] = ACTIONS(439),
    [anon_sym_volatile] = ACTIONS(439),
    [anon_sym_sealed] = ACTIONS(439),
    [anon_sym_non_DASHsealed] = ACTIONS(437),
    [anon_sym_record] = ACTIONS(439),
    [anon_sym_ATinterface] = ACTIONS(437),
    [anon_sym_interface] = ACTIONS(439),
    [anon_sym_byte] = ACTIONS(439),
    [anon_sym_short] = ACTIONS(439),
    [anon_sym_int] = ACTIONS(439),
    [anon_sym_long] = ACTIONS(439),
    [anon_sym_char] = ACTIONS(439),
    [anon_sym_float] = ACTIONS(439),
    [anon_sym_double] = ACTIONS(439),
    [sym_boolean_type] = ACTIONS(439),
    [sym_void_type] = ACTIONS(439),
    [sym_this] = ACTIONS(439),
    [sym_super] = ACTIONS(439),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [108] = {
    [ts_builtin_sym_end] = ACTIONS(441),
    [sym_identifier] = ACTIONS(443),
    [sym_decimal_integer_literal] = ACTIONS(443),
    [sym_hex_integer_literal] = ACTIONS(443),
    [sym_octal_integer_literal] = ACTIONS(443),
    [sym_binary_integer_literal] = ACTIONS(441),
    [sym_decimal_floating_point_literal] = ACTIONS(441),
    [sym_hex_floating_point_literal] = ACTIONS(443),
    [sym_true] = ACTIONS(443),
    [sym_false] = ACTIONS(443),
    [sym_character_literal] = ACTIONS(441),
    [anon_sym_DQUOTE] = ACTIONS(443),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(441),
    [anon_sym_RBRACE] = ACTIONS(441),
    [sym_null_literal] = ACTIONS(443),
    [anon_sym_LPAREN] = ACTIONS(441),
    [anon_sym_RPAREN] = ACTIONS(441),
    [anon_sym_AMP] = ACTIONS(443),
    [anon_sym_GT] = ACTIONS(443),
    [anon_sym_LT] = ACTIONS(443),
    [anon_sym_GT_EQ] = ACTIONS(441),
    [anon_sym_LT_EQ] = ACTIONS(441),
    [anon_sym_EQ_EQ] = ACTIONS(441),
    [anon_sym_BANG_EQ] = ACTIONS(441),
    [anon_sym_AMP_AMP] = ACTIONS(441),
    [anon_sym_PIPE_PIPE] = ACTIONS(441),
    [anon_sym_PLUS] = ACTIONS(443),
    [anon_sym_DASH] = ACTIONS(443),
    [anon_sym_STAR] = ACTIONS(441),
    [anon_sym_SLASH] = ACTIONS(443),
    [anon_sym_PIPE] = ACTIONS(443),
    [anon_sym_CARET] = ACTIONS(441),
    [anon_sym_PERCENT] = ACTIONS(441),
    [anon_sym_LT_LT] = ACTIONS(441),
    [anon_sym_GT_GT] = ACTIONS(443),
    [anon_sym_GT_GT_GT] = ACTIONS(441),
    [anon_sym_instanceof] = ACTIONS(443),
    [anon_sym_final] = ACTIONS(443),
    [anon_sym_DASH_GT] = ACTIONS(441),
    [anon_sym_COMMA] = ACTIONS(441),
    [anon_sym_QMARK] = ACTIONS(441),
    [anon_sym_COLON] = ACTIONS(443),
    [anon_sym_BANG] = ACTIONS(443),
    [anon_sym_TILDE] = ACTIONS(441),
    [anon_sym_PLUS_PLUS] = ACTIONS(441),
    [anon_sym_DASH_DASH] = ACTIONS(441),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACK] = ACTIONS(441),
    [anon_sym_RBRACK] = ACTIONS(441),
    [anon_sym_DOT] = ACTIONS(443),
    [anon_sym_class] = ACTIONS(443),
    [anon_sym_COLON_COLON] = ACTIONS(441),
    [anon_sym_switch] = ACTIONS(443),
    [anon_sym_LBRACE] = ACTIONS(441),
    [anon_sym_case] = ACTIONS(443),
    [anon_sym_default] = ACTIONS(443),
    [anon_sym_when] = ACTIONS(443),
    [anon_sym_SEMI] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(443),
    [anon_sym_do] = ACTIONS(443),
    [anon_sym_while] = ACTIONS(443),
    [anon_sym_break] = ACTIONS(443),
    [anon_sym_continue] = ACTIONS(443),
    [anon_sym_return] = ACTIONS(443),
    [anon_sym_yield] = ACTIONS(443),
    [anon_sym_synchronized] = ACTIONS(443),
    [anon_sym_throw] = ACTIONS(443),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_if] = ACTIONS(443),
    [anon_sym_else] = ACTIONS(443),
    [anon_sym_for] = ACTIONS(443),
    [anon_sym_AT] = ACTIONS(443),
    [anon_sym_open] = ACTIONS(443),
    [anon_sym_module] = ACTIONS(443),
    [anon_sym_static] = ACTIONS(443),
    [anon_sym_with] = ACTIONS(443),
    [anon_sym_package] = ACTIONS(443),
    [anon_sym_import] = ACTIONS(443),
    [anon_sym_enum] = ACTIONS(443),
    [anon_sym_public] = ACTIONS(443),
    [anon_sym_protected] = ACTIONS(443),
    [anon_sym_private] = ACTIONS(443),
    [anon_sym_abstract] = ACTIONS(443),
    [anon_sym_strictfp] = ACTIONS(443),
    [anon_sym_native] = ACTIONS(443),
    [anon_sym_transient] = ACTIONS(443),
    [anon_sym_volatile] = ACTIONS(443),
    [anon_sym_sealed] = ACTIONS(443),
    [anon_sym_non_DASHsealed] = ACTIONS(441),
    [anon_sym_record] = ACTIONS(443),
    [anon_sym_ATinterface] = ACTIONS(441),
    [anon_sym_interface] = ACTIONS(443),
    [anon_sym_byte] = ACTIONS(443),
    [anon_sym_short] = ACTIONS(443),
    [anon_sym_int] = ACTIONS(443),
    [anon_sym_long] = ACTIONS(443),
    [anon_sym_char] = ACTIONS(443),
    [anon_sym_float] = ACTIONS(443),
    [anon_sym_double] = ACTIONS(443),
    [sym_boolean_type] = ACTIONS(443),
    [sym_void_type] = ACTIONS(443),
    [sym_this] = ACTIONS(443),
    [sym_super] = ACTIONS(443),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [109] = {
    [ts_builtin_sym_end] = ACTIONS(445),
    [sym_identifier] = ACTIONS(447),
    [sym_decimal_integer_literal] = ACTIONS(447),
    [sym_hex_integer_literal] = ACTIONS(447),
    [sym_octal_integer_literal] = ACTIONS(447),
    [sym_binary_integer_literal] = ACTIONS(445),
    [sym_decimal_floating_point_literal] = ACTIONS(445),
    [sym_hex_floating_point_literal] = ACTIONS(447),
    [sym_true] = ACTIONS(447),
    [sym_false] = ACTIONS(447),
    [sym_character_literal] = ACTIONS(445),
    [anon_sym_DQUOTE] = ACTIONS(447),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(445),
    [anon_sym_RBRACE] = ACTIONS(445),
    [sym_null_literal] = ACTIONS(447),
    [anon_sym_LPAREN] = ACTIONS(445),
    [anon_sym_RPAREN] = ACTIONS(445),
    [anon_sym_AMP] = ACTIONS(447),
    [anon_sym_GT] = ACTIONS(447),
    [anon_sym_LT] = ACTIONS(447),
    [anon_sym_GT_EQ] = ACTIONS(445),
    [anon_sym_LT_EQ] = ACTIONS(445),
    [anon_sym_EQ_EQ] = ACTIONS(445),
    [anon_sym_BANG_EQ] = ACTIONS(445),
    [anon_sym_AMP_AMP] = ACTIONS(445),
    [anon_sym_PIPE_PIPE] = ACTIONS(445),
    [anon_sym_PLUS] = ACTIONS(447),
    [anon_sym_DASH] = ACTIONS(447),
    [anon_sym_STAR] = ACTIONS(445),
    [anon_sym_SLASH] = ACTIONS(447),
    [anon_sym_PIPE] = ACTIONS(447),
    [anon_sym_CARET] = ACTIONS(445),
    [anon_sym_PERCENT] = ACTIONS(445),
    [anon_sym_LT_LT] = ACTIONS(445),
    [anon_sym_GT_GT] = ACTIONS(447),
    [anon_sym_GT_GT_GT] = ACTIONS(445),
    [anon_sym_instanceof] = ACTIONS(447),
    [anon_sym_final] = ACTIONS(447),
    [anon_sym_DASH_GT] = ACTIONS(445),
    [anon_sym_COMMA] = ACTIONS(445),
    [anon_sym_QMARK] = ACTIONS(445),
    [anon_sym_COLON] = ACTIONS(445),
    [anon_sym_BANG] = ACTIONS(447),
    [anon_sym_TILDE] = ACTIONS(445),
    [anon_sym_PLUS_PLUS] = ACTIONS(445),
    [anon_sym_DASH_DASH] = ACTIONS(445),
    [anon_sym_new] = ACTIONS(447),
    [anon_sym_RBRACK] = ACTIONS(445),
    [anon_sym_class] = ACTIONS(447),
    [anon_sym_switch] = ACTIONS(447),
    [anon_sym_LBRACE] = ACTIONS(445),
    [anon_sym_case] = ACTIONS(447),
    [anon_sym_default] = ACTIONS(447),
    [anon_sym_when] = ACTIONS(447),
    [anon_sym_SEMI] = ACTIONS(445),
    [anon_sym_assert] = ACTIONS(447),
    [anon_sym_do] = ACTIONS(447),
    [anon_sym_while] = ACTIONS(447),
    [anon_sym_break] = ACTIONS(447),
    [anon_sym_continue] = ACTIONS(447),
    [anon_sym_return] = ACTIONS(447),
    [anon_sym_yield] = ACTIONS(447),
    [anon_sym_synchronized] = ACTIONS(447),
    [anon_sym_throw] = ACTIONS(447),
    [anon_sym_try] = ACTIONS(447),
    [anon_sym_if] = ACTIONS(447),
    [anon_sym_else] = ACTIONS(447),
    [anon_sym_for] = ACTIONS(447),
    [anon_sym_AT] = ACTIONS(447),
    [anon_sym_open] = ACTIONS(447),
    [anon_sym_module] = ACTIONS(447),
    [anon_sym_static] = ACTIONS(447),
    [anon_sym_with] = ACTIONS(447),
    [anon_sym_package] = ACTIONS(447),
    [anon_sym_import] = ACTIONS(447),
    [anon_sym_enum] = ACTIONS(447),
    [anon_sym_public] = ACTIONS(447),
    [anon_sym_protected] = ACTIONS(447),
    [anon_sym_private] = ACTIONS(447),
    [anon_sym_abstract] = ACTIONS(447),
    [anon_sym_strictfp] = ACTIONS(447),
    [anon_sym_native] = ACTIONS(447),
    [anon_sym_transient] = ACTIONS(447),
    [anon_sym_volatile] = ACTIONS(447),
    [anon_sym_sealed] = ACTIONS(447),
    [anon_sym_non_DASHsealed] = ACTIONS(445),
    [anon_sym_record] = ACTIONS(447),
    [anon_sym_ATinterface] = ACTIONS(445),
    [anon_sym_interface] = ACTIONS(447),
    [anon_sym_byte] = ACTIONS(447),
    [anon_sym_short] = ACTIONS(447),
    [anon_sym_int] = ACTIONS(447),
    [anon_sym_long] = ACTIONS(447),
    [anon_sym_char] = ACTIONS(447),
    [anon_sym_float] = ACTIONS(447),
    [anon_sym_double] = ACTIONS(447),
    [sym_boolean_type] = ACTIONS(447),
    [sym_void_type] = ACTIONS(447),
    [sym_this] = ACTIONS(447),
    [sym_super] = ACTIONS(447),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(449),
    [sym_decimal_integer_literal] = ACTIONS(449),
    [sym_hex_integer_literal] = ACTIONS(449),
    [sym_octal_integer_literal] = ACTIONS(449),
    [sym_binary_integer_literal] = ACTIONS(451),
    [sym_decimal_floating_point_literal] = ACTIONS(451),
    [sym_hex_floating_point_literal] = ACTIONS(449),
    [sym_true] = ACTIONS(449),
    [sym_false] = ACTIONS(449),
    [sym_character_literal] = ACTIONS(451),
    [anon_sym_DQUOTE] = ACTIONS(449),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(451),
    [anon_sym_RBRACE] = ACTIONS(451),
    [sym_null_literal] = ACTIONS(449),
    [anon_sym_LPAREN] = ACTIONS(451),
    [anon_sym_RPAREN] = ACTIONS(451),
    [anon_sym_AMP] = ACTIONS(449),
    [anon_sym_GT] = ACTIONS(449),
    [anon_sym_LT] = ACTIONS(449),
    [anon_sym_GT_EQ] = ACTIONS(451),
    [anon_sym_LT_EQ] = ACTIONS(451),
    [anon_sym_EQ_EQ] = ACTIONS(451),
    [anon_sym_BANG_EQ] = ACTIONS(451),
    [anon_sym_AMP_AMP] = ACTIONS(451),
    [anon_sym_PIPE_PIPE] = ACTIONS(451),
    [anon_sym_PLUS] = ACTIONS(449),
    [anon_sym_DASH] = ACTIONS(449),
    [anon_sym_STAR] = ACTIONS(451),
    [anon_sym_SLASH] = ACTIONS(449),
    [anon_sym_PIPE] = ACTIONS(449),
    [anon_sym_CARET] = ACTIONS(451),
    [anon_sym_PERCENT] = ACTIONS(451),
    [anon_sym_LT_LT] = ACTIONS(451),
    [anon_sym_GT_GT] = ACTIONS(449),
    [anon_sym_GT_GT_GT] = ACTIONS(451),
    [anon_sym_instanceof] = ACTIONS(449),
    [anon_sym_final] = ACTIONS(449),
    [anon_sym_DASH_GT] = ACTIONS(451),
    [anon_sym_COMMA] = ACTIONS(451),
    [anon_sym_QMARK] = ACTIONS(451),
    [anon_sym_COLON] = ACTIONS(449),
    [anon_sym_BANG] = ACTIONS(449),
    [anon_sym_TILDE] = ACTIONS(451),
    [anon_sym_PLUS_PLUS] = ACTIONS(451),
    [anon_sym_DASH_DASH] = ACTIONS(451),
    [anon_sym_new] = ACTIONS(449),
    [anon_sym_LBRACK] = ACTIONS(451),
    [anon_sym_RBRACK] = ACTIONS(451),
    [anon_sym_DOT] = ACTIONS(449),
    [anon_sym_class] = ACTIONS(449),
    [anon_sym_COLON_COLON] = ACTIONS(451),
    [anon_sym_switch] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_default] = ACTIONS(449),
    [anon_sym_when] = ACTIONS(449),
    [anon_sym_SEMI] = ACTIONS(451),
    [anon_sym_assert] = ACTIONS(449),
    [anon_sym_do] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(449),
    [anon_sym_break] = ACTIONS(449),
    [anon_sym_continue] = ACTIONS(449),
    [anon_sym_return] = ACTIONS(449),
    [anon_sym_yield] = ACTIONS(449),
    [anon_sym_synchronized] = ACTIONS(449),
    [anon_sym_throw] = ACTIONS(449),
    [anon_sym_try] = ACTIONS(449),
    [anon_sym_if] = ACTIONS(449),
    [anon_sym_for] = ACTIONS(449),
    [anon_sym_AT] = ACTIONS(449),
    [anon_sym_open] = ACTIONS(449),
    [anon_sym_module] = ACTIONS(449),
    [anon_sym_static] = ACTIONS(449),
    [anon_sym_with] = ACTIONS(449),
    [anon_sym_package] = ACTIONS(449),
    [anon_sym_import] = ACTIONS(449),
    [anon_sym_enum] = ACTIONS(449),
    [anon_sym_public] = ACTIONS(449),
    [anon_sym_protected] = ACTIONS(449),
    [anon_sym_private] = ACTIONS(449),
    [anon_sym_abstract] = ACTIONS(449),
    [anon_sym_strictfp] = ACTIONS(449),
    [anon_sym_native] = ACTIONS(449),
    [anon_sym_transient] = ACTIONS(449),
    [anon_sym_volatile] = ACTIONS(449),
    [anon_sym_sealed] = ACTIONS(449),
    [anon_sym_non_DASHsealed] = ACTIONS(451),
    [anon_sym_record] = ACTIONS(449),
    [anon_sym_ATinterface] = ACTIONS(451),
    [anon_sym_interface] = ACTIONS(449),
    [anon_sym_byte] = ACTIONS(449),
    [anon_sym_short] = ACTIONS(449),
    [anon_sym_int] = ACTIONS(449),
    [anon_sym_long] = ACTIONS(449),
    [anon_sym_char] = ACTIONS(449),
    [anon_sym_float] = ACTIONS(449),
    [anon_sym_double] = ACTIONS(449),
    [sym_boolean_type] = ACTIONS(449),
    [sym_void_type] = ACTIONS(449),
    [sym_this] = ACTIONS(449),
    [sym_super] = ACTIONS(449),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [111] = {
    [ts_builtin_sym_end] = ACTIONS(453),
    [sym_identifier] = ACTIONS(455),
    [sym_decimal_integer_literal] = ACTIONS(455),
    [sym_hex_integer_literal] = ACTIONS(455),
    [sym_octal_integer_literal] = ACTIONS(455),
    [sym_binary_integer_literal] = ACTIONS(453),
    [sym_decimal_floating_point_literal] = ACTIONS(453),
    [sym_hex_floating_point_literal] = ACTIONS(455),
    [sym_true] = ACTIONS(455),
    [sym_false] = ACTIONS(455),
    [sym_character_literal] = ACTIONS(453),
    [anon_sym_DQUOTE] = ACTIONS(455),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(453),
    [anon_sym_RBRACE] = ACTIONS(453),
    [sym_null_literal] = ACTIONS(455),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_RPAREN] = ACTIONS(453),
    [anon_sym_AMP] = ACTIONS(455),
    [anon_sym_GT] = ACTIONS(455),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_GT_EQ] = ACTIONS(453),
    [anon_sym_LT_EQ] = ACTIONS(453),
    [anon_sym_EQ_EQ] = ACTIONS(453),
    [anon_sym_BANG_EQ] = ACTIONS(453),
    [anon_sym_AMP_AMP] = ACTIONS(453),
    [anon_sym_PIPE_PIPE] = ACTIONS(453),
    [anon_sym_PLUS] = ACTIONS(455),
    [anon_sym_DASH] = ACTIONS(455),
    [anon_sym_STAR] = ACTIONS(453),
    [anon_sym_SLASH] = ACTIONS(455),
    [anon_sym_PIPE] = ACTIONS(455),
    [anon_sym_CARET] = ACTIONS(453),
    [anon_sym_PERCENT] = ACTIONS(453),
    [anon_sym_LT_LT] = ACTIONS(453),
    [anon_sym_GT_GT] = ACTIONS(455),
    [anon_sym_GT_GT_GT] = ACTIONS(453),
    [anon_sym_instanceof] = ACTIONS(455),
    [anon_sym_final] = ACTIONS(455),
    [anon_sym_DASH_GT] = ACTIONS(453),
    [anon_sym_COMMA] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(453),
    [anon_sym_COLON] = ACTIONS(453),
    [anon_sym_BANG] = ACTIONS(455),
    [anon_sym_TILDE] = ACTIONS(453),
    [anon_sym_PLUS_PLUS] = ACTIONS(453),
    [anon_sym_DASH_DASH] = ACTIONS(453),
    [anon_sym_new] = ACTIONS(455),
    [anon_sym_RBRACK] = ACTIONS(453),
    [anon_sym_class] = ACTIONS(455),
    [anon_sym_switch] = ACTIONS(455),
    [anon_sym_LBRACE] = ACTIONS(453),
    [anon_sym_case] = ACTIONS(455),
    [anon_sym_default] = ACTIONS(455),
    [anon_sym_when] = ACTIONS(455),
    [anon_sym_SEMI] = ACTIONS(453),
    [anon_sym_assert] = ACTIONS(455),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_while] = ACTIONS(455),
    [anon_sym_break] = ACTIONS(455),
    [anon_sym_continue] = ACTIONS(455),
    [anon_sym_return] = ACTIONS(455),
    [anon_sym_yield] = ACTIONS(455),
    [anon_sym_synchronized] = ACTIONS(455),
    [anon_sym_throw] = ACTIONS(455),
    [anon_sym_try] = ACTIONS(455),
    [anon_sym_if] = ACTIONS(455),
    [anon_sym_else] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(455),
    [anon_sym_AT] = ACTIONS(455),
    [anon_sym_open] = ACTIONS(455),
    [anon_sym_module] = ACTIONS(455),
    [anon_sym_static] = ACTIONS(455),
    [anon_sym_with] = ACTIONS(455),
    [anon_sym_package] = ACTIONS(455),
    [anon_sym_import] = ACTIONS(455),
    [anon_sym_enum] = ACTIONS(455),
    [anon_sym_public] = ACTIONS(455),
    [anon_sym_protected] = ACTIONS(455),
    [anon_sym_private] = ACTIONS(455),
    [anon_sym_abstract] = ACTIONS(455),
    [anon_sym_strictfp] = ACTIONS(455),
    [anon_sym_native] = ACTIONS(455),
    [anon_sym_transient] = ACTIONS(455),
    [anon_sym_volatile] = ACTIONS(455),
    [anon_sym_sealed] = ACTIONS(455),
    [anon_sym_non_DASHsealed] = ACTIONS(453),
    [anon_sym_record] = ACTIONS(455),
    [anon_sym_ATinterface] = ACTIONS(453),
    [anon_sym_interface] = ACTIONS(455),
    [anon_sym_byte] = ACTIONS(455),
    [anon_sym_short] = ACTIONS(455),
    [anon_sym_int] = ACTIONS(455),
    [anon_sym_long] = ACTIONS(455),
    [anon_sym_char] = ACTIONS(455),
    [anon_sym_float] = ACTIONS(455),
    [anon_sym_double] = ACTIONS(455),
    [sym_boolean_type] = ACTIONS(455),
    [sym_void_type] = ACTIONS(455),
    [sym_this] = ACTIONS(455),
    [sym_super] = ACTIONS(455),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [112] = {
    [ts_builtin_sym_end] = ACTIONS(457),
    [sym_identifier] = ACTIONS(459),
    [sym_decimal_integer_literal] = ACTIONS(459),
    [sym_hex_integer_literal] = ACTIONS(459),
    [sym_octal_integer_literal] = ACTIONS(459),
    [sym_binary_integer_literal] = ACTIONS(457),
    [sym_decimal_floating_point_literal] = ACTIONS(457),
    [sym_hex_floating_point_literal] = ACTIONS(459),
    [sym_true] = ACTIONS(459),
    [sym_false] = ACTIONS(459),
    [sym_character_literal] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(457),
    [anon_sym_RBRACE] = ACTIONS(457),
    [sym_null_literal] = ACTIONS(459),
    [anon_sym_LPAREN] = ACTIONS(457),
    [anon_sym_RPAREN] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(459),
    [anon_sym_GT] = ACTIONS(459),
    [anon_sym_LT] = ACTIONS(459),
    [anon_sym_GT_EQ] = ACTIONS(457),
    [anon_sym_LT_EQ] = ACTIONS(457),
    [anon_sym_EQ_EQ] = ACTIONS(457),
    [anon_sym_BANG_EQ] = ACTIONS(457),
    [anon_sym_AMP_AMP] = ACTIONS(457),
    [anon_sym_PIPE_PIPE] = ACTIONS(457),
    [anon_sym_PLUS] = ACTIONS(459),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_STAR] = ACTIONS(457),
    [anon_sym_SLASH] = ACTIONS(459),
    [anon_sym_PIPE] = ACTIONS(459),
    [anon_sym_CARET] = ACTIONS(457),
    [anon_sym_PERCENT] = ACTIONS(457),
    [anon_sym_LT_LT] = ACTIONS(457),
    [anon_sym_GT_GT] = ACTIONS(459),
    [anon_sym_GT_GT_GT] = ACTIONS(457),
    [anon_sym_instanceof] = ACTIONS(459),
    [anon_sym_final] = ACTIONS(459),
    [anon_sym_DASH_GT] = ACTIONS(457),
    [anon_sym_COMMA] = ACTIONS(457),
    [anon_sym_QMARK] = ACTIONS(457),
    [anon_sym_COLON] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_PLUS_PLUS] = ACTIONS(457),
    [anon_sym_DASH_DASH] = ACTIONS(457),
    [anon_sym_new] = ACTIONS(459),
    [anon_sym_RBRACK] = ACTIONS(457),
    [anon_sym_class] = ACTIONS(459),
    [anon_sym_switch] = ACTIONS(459),
    [anon_sym_LBRACE] = ACTIONS(457),
    [anon_sym_case] = ACTIONS(459),
    [anon_sym_default] = ACTIONS(459),
    [anon_sym_when] = ACTIONS(459),
    [anon_sym_SEMI] = ACTIONS(457),
    [anon_sym_assert] = ACTIONS(459),
    [anon_sym_do] = ACTIONS(459),
    [anon_sym_while] = ACTIONS(459),
    [anon_sym_break] = ACTIONS(459),
    [anon_sym_continue] = ACTIONS(459),
    [anon_sym_return] = ACTIONS(459),
    [anon_sym_yield] = ACTIONS(459),
    [anon_sym_synchronized] = ACTIONS(459),
    [anon_sym_throw] = ACTIONS(459),
    [anon_sym_try] = ACTIONS(459),
    [anon_sym_if] = ACTIONS(459),
    [anon_sym_else] = ACTIONS(459),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_AT] = ACTIONS(459),
    [anon_sym_open] = ACTIONS(459),
    [anon_sym_module] = ACTIONS(459),
    [anon_sym_static] = ACTIONS(459),
    [anon_sym_with] = ACTIONS(459),
    [anon_sym_package] = ACTIONS(459),
    [anon_sym_import] = ACTIONS(459),
    [anon_sym_enum] = ACTIONS(459),
    [anon_sym_public] = ACTIONS(459),
    [anon_sym_protected] = ACTIONS(459),
    [anon_sym_private] = ACTIONS(459),
    [anon_sym_abstract] = ACTIONS(459),
    [anon_sym_strictfp] = ACTIONS(459),
    [anon_sym_native] = ACTIONS(459),
    [anon_sym_transient] = ACTIONS(459),
    [anon_sym_volatile] = ACTIONS(459),
    [anon_sym_sealed] = ACTIONS(459),
    [anon_sym_non_DASHsealed] = ACTIONS(457),
    [anon_sym_record] = ACTIONS(459),
    [anon_sym_ATinterface] = ACTIONS(457),
    [anon_sym_interface] = ACTIONS(459),
    [anon_sym_byte] = ACTIONS(459),
    [anon_sym_short] = ACTIONS(459),
    [anon_sym_int] = ACTIONS(459),
    [anon_sym_long] = ACTIONS(459),
    [anon_sym_char] = ACTIONS(459),
    [anon_sym_float] = ACTIONS(459),
    [anon_sym_double] = ACTIONS(459),
    [sym_boolean_type] = ACTIONS(459),
    [sym_void_type] = ACTIONS(459),
    [sym_this] = ACTIONS(459),
    [sym_super] = ACTIONS(459),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [113] = {
    [ts_builtin_sym_end] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [sym_decimal_integer_literal] = ACTIONS(463),
    [sym_hex_integer_literal] = ACTIONS(463),
    [sym_octal_integer_literal] = ACTIONS(463),
    [sym_binary_integer_literal] = ACTIONS(461),
    [sym_decimal_floating_point_literal] = ACTIONS(461),
    [sym_hex_floating_point_literal] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_character_literal] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(463),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(461),
    [anon_sym_RBRACE] = ACTIONS(461),
    [sym_null_literal] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_RPAREN] = ACTIONS(461),
    [anon_sym_AMP] = ACTIONS(463),
    [anon_sym_GT] = ACTIONS(463),
    [anon_sym_LT] = ACTIONS(463),
    [anon_sym_GT_EQ] = ACTIONS(461),
    [anon_sym_LT_EQ] = ACTIONS(461),
    [anon_sym_EQ_EQ] = ACTIONS(461),
    [anon_sym_BANG_EQ] = ACTIONS(461),
    [anon_sym_AMP_AMP] = ACTIONS(461),
    [anon_sym_PIPE_PIPE] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_STAR] = ACTIONS(461),
    [anon_sym_SLASH] = ACTIONS(463),
    [anon_sym_PIPE] = ACTIONS(463),
    [anon_sym_CARET] = ACTIONS(461),
    [anon_sym_PERCENT] = ACTIONS(461),
    [anon_sym_LT_LT] = ACTIONS(461),
    [anon_sym_GT_GT] = ACTIONS(463),
    [anon_sym_GT_GT_GT] = ACTIONS(461),
    [anon_sym_instanceof] = ACTIONS(463),
    [anon_sym_final] = ACTIONS(463),
    [anon_sym_DASH_GT] = ACTIONS(461),
    [anon_sym_COMMA] = ACTIONS(461),
    [anon_sym_QMARK] = ACTIONS(461),
    [anon_sym_COLON] = ACTIONS(461),
    [anon_sym_BANG] = ACTIONS(463),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_PLUS_PLUS] = ACTIONS(461),
    [anon_sym_DASH_DASH] = ACTIONS(461),
    [anon_sym_new] = ACTIONS(463),
    [anon_sym_RBRACK] = ACTIONS(461),
    [anon_sym_class] = ACTIONS(463),
    [anon_sym_switch] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(461),
    [anon_sym_case] = ACTIONS(463),
    [anon_sym_default] = ACTIONS(463),
    [anon_sym_when] = ACTIONS(463),
    [anon_sym_SEMI] = ACTIONS(461),
    [anon_sym_assert] = ACTIONS(463),
    [anon_sym_do] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_break] = ACTIONS(463),
    [anon_sym_continue] = ACTIONS(463),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_yield] = ACTIONS(463),
    [anon_sym_synchronized] = ACTIONS(463),
    [anon_sym_throw] = ACTIONS(463),
    [anon_sym_try] = ACTIONS(463),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_else] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(463),
    [anon_sym_open] = ACTIONS(463),
    [anon_sym_module] = ACTIONS(463),
    [anon_sym_static] = ACTIONS(463),
    [anon_sym_with] = ACTIONS(463),
    [anon_sym_package] = ACTIONS(463),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_enum] = ACTIONS(463),
    [anon_sym_public] = ACTIONS(463),
    [anon_sym_protected] = ACTIONS(463),
    [anon_sym_private] = ACTIONS(463),
    [anon_sym_abstract] = ACTIONS(463),
    [anon_sym_strictfp] = ACTIONS(463),
    [anon_sym_native] = ACTIONS(463),
    [anon_sym_transient] = ACTIONS(463),
    [anon_sym_volatile] = ACTIONS(463),
    [anon_sym_sealed] = ACTIONS(463),
    [anon_sym_non_DASHsealed] = ACTIONS(461),
    [anon_sym_record] = ACTIONS(463),
    [anon_sym_ATinterface] = ACTIONS(461),
    [anon_sym_interface] = ACTIONS(463),
    [anon_sym_byte] = ACTIONS(463),
    [anon_sym_short] = ACTIONS(463),
    [anon_sym_int] = ACTIONS(463),
    [anon_sym_long] = ACTIONS(463),
    [anon_sym_char] = ACTIONS(463),
    [anon_sym_float] = ACTIONS(463),
    [anon_sym_double] = ACTIONS(463),
    [sym_boolean_type] = ACTIONS(463),
    [sym_void_type] = ACTIONS(463),
    [sym_this] = ACTIONS(463),
    [sym_super] = ACTIONS(463),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [114] = {
    [ts_builtin_sym_end] = ACTIONS(465),
    [sym_identifier] = ACTIONS(467),
    [sym_decimal_integer_literal] = ACTIONS(467),
    [sym_hex_integer_literal] = ACTIONS(467),
    [sym_octal_integer_literal] = ACTIONS(467),
    [sym_binary_integer_literal] = ACTIONS(465),
    [sym_decimal_floating_point_literal] = ACTIONS(465),
    [sym_hex_floating_point_literal] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_character_literal] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(465),
    [anon_sym_RBRACE] = ACTIONS(465),
    [sym_null_literal] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(465),
    [anon_sym_RPAREN] = ACTIONS(465),
    [anon_sym_AMP] = ACTIONS(467),
    [anon_sym_GT] = ACTIONS(467),
    [anon_sym_LT] = ACTIONS(467),
    [anon_sym_GT_EQ] = ACTIONS(465),
    [anon_sym_LT_EQ] = ACTIONS(465),
    [anon_sym_EQ_EQ] = ACTIONS(465),
    [anon_sym_BANG_EQ] = ACTIONS(465),
    [anon_sym_AMP_AMP] = ACTIONS(465),
    [anon_sym_PIPE_PIPE] = ACTIONS(465),
    [anon_sym_PLUS] = ACTIONS(467),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_STAR] = ACTIONS(465),
    [anon_sym_SLASH] = ACTIONS(467),
    [anon_sym_PIPE] = ACTIONS(467),
    [anon_sym_CARET] = ACTIONS(465),
    [anon_sym_PERCENT] = ACTIONS(465),
    [anon_sym_LT_LT] = ACTIONS(465),
    [anon_sym_GT_GT] = ACTIONS(467),
    [anon_sym_GT_GT_GT] = ACTIONS(465),
    [anon_sym_instanceof] = ACTIONS(467),
    [anon_sym_final] = ACTIONS(467),
    [anon_sym_DASH_GT] = ACTIONS(465),
    [anon_sym_COMMA] = ACTIONS(465),
    [anon_sym_QMARK] = ACTIONS(465),
    [anon_sym_COLON] = ACTIONS(465),
    [anon_sym_BANG] = ACTIONS(467),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_new] = ACTIONS(467),
    [anon_sym_RBRACK] = ACTIONS(465),
    [anon_sym_class] = ACTIONS(467),
    [anon_sym_switch] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_case] = ACTIONS(467),
    [anon_sym_default] = ACTIONS(467),
    [anon_sym_when] = ACTIONS(467),
    [anon_sym_SEMI] = ACTIONS(465),
    [anon_sym_assert] = ACTIONS(467),
    [anon_sym_do] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_break] = ACTIONS(467),
    [anon_sym_continue] = ACTIONS(467),
    [anon_sym_return] = ACTIONS(467),
    [anon_sym_yield] = ACTIONS(467),
    [anon_sym_synchronized] = ACTIONS(467),
    [anon_sym_throw] = ACTIONS(467),
    [anon_sym_try] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_else] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_AT] = ACTIONS(467),
    [anon_sym_open] = ACTIONS(467),
    [anon_sym_module] = ACTIONS(467),
    [anon_sym_static] = ACTIONS(467),
    [anon_sym_with] = ACTIONS(467),
    [anon_sym_package] = ACTIONS(467),
    [anon_sym_import] = ACTIONS(467),
    [anon_sym_enum] = ACTIONS(467),
    [anon_sym_public] = ACTIONS(467),
    [anon_sym_protected] = ACTIONS(467),
    [anon_sym_private] = ACTIONS(467),
    [anon_sym_abstract] = ACTIONS(467),
    [anon_sym_strictfp] = ACTIONS(467),
    [anon_sym_native] = ACTIONS(467),
    [anon_sym_transient] = ACTIONS(467),
    [anon_sym_volatile] = ACTIONS(467),
    [anon_sym_sealed] = ACTIONS(467),
    [anon_sym_non_DASHsealed] = ACTIONS(465),
    [anon_sym_record] = ACTIONS(467),
    [anon_sym_ATinterface] = ACTIONS(465),
    [anon_sym_interface] = ACTIONS(467),
    [anon_sym_byte] = ACTIONS(467),
    [anon_sym_short] = ACTIONS(467),
    [anon_sym_int] = ACTIONS(467),
    [anon_sym_long] = ACTIONS(467),
    [anon_sym_char] = ACTIONS(467),
    [anon_sym_float] = ACTIONS(467),
    [anon_sym_double] = ACTIONS(467),
    [sym_boolean_type] = ACTIONS(467),
    [sym_void_type] = ACTIONS(467),
    [sym_this] = ACTIONS(467),
    [sym_super] = ACTIONS(467),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [115] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(757),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(833),
    [sym__type] = STATE(1037),
    [sym__unannotated_type] = STATE(701),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_formal_parameter] = STATE(1076),
    [sym_receiver_parameter] = STATE(1298),
    [sym_spread_parameter] = STATE(1076),
    [sym__reserved_identifier] = STATE(444),
    [aux_sym_array_creation_expression_repeat1] = STATE(792),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(469),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [116] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(757),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(833),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(701),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_formal_parameter] = STATE(1076),
    [sym_receiver_parameter] = STATE(1298),
    [sym_spread_parameter] = STATE(1076),
    [sym__reserved_identifier] = STATE(444),
    [aux_sym_array_creation_expression_repeat1] = STATE(792),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(481),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [117] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(757),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(833),
    [sym__type] = STATE(1013),
    [sym__unannotated_type] = STATE(701),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_formal_parameter] = STATE(1076),
    [sym_receiver_parameter] = STATE(1298),
    [sym_spread_parameter] = STATE(1076),
    [sym__reserved_identifier] = STATE(444),
    [aux_sym_array_creation_expression_repeat1] = STATE(792),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(469),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(471),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [118] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(660),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(831),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(776),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(190),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_SEMI] = ACTIONS(483),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [119] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(694),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(842),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(778),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(186),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_SEMI] = ACTIONS(485),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [120] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(693),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(845),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(780),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym_local_variable_declaration] = STATE(182),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_SEMI] = ACTIONS(487),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(489),
    [sym_decimal_integer_literal] = ACTIONS(489),
    [sym_hex_integer_literal] = ACTIONS(489),
    [sym_octal_integer_literal] = ACTIONS(489),
    [sym_binary_integer_literal] = ACTIONS(491),
    [sym_decimal_floating_point_literal] = ACTIONS(491),
    [sym_hex_floating_point_literal] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_character_literal] = ACTIONS(491),
    [anon_sym_DQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(491),
    [anon_sym_RBRACE] = ACTIONS(491),
    [sym_null_literal] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(493),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_AMP_AMP] = ACTIONS(495),
    [anon_sym_PIPE_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_STAR] = ACTIONS(495),
    [anon_sym_SLASH] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(493),
    [anon_sym_CARET] = ACTIONS(495),
    [anon_sym_PERCENT] = ACTIONS(495),
    [anon_sym_LT_LT] = ACTIONS(495),
    [anon_sym_GT_GT] = ACTIONS(493),
    [anon_sym_GT_GT_GT] = ACTIONS(495),
    [anon_sym_instanceof] = ACTIONS(493),
    [anon_sym_final] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [anon_sym_new] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(489),
    [anon_sym_switch] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(491),
    [anon_sym_case] = ACTIONS(489),
    [anon_sym_default] = ACTIONS(489),
    [anon_sym_SEMI] = ACTIONS(500),
    [anon_sym_assert] = ACTIONS(489),
    [anon_sym_do] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(489),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [anon_sym_return] = ACTIONS(489),
    [anon_sym_yield] = ACTIONS(489),
    [anon_sym_synchronized] = ACTIONS(489),
    [anon_sym_throw] = ACTIONS(489),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_else] = ACTIONS(489),
    [anon_sym_for] = ACTIONS(489),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_open] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(489),
    [anon_sym_static] = ACTIONS(489),
    [anon_sym_with] = ACTIONS(489),
    [anon_sym_package] = ACTIONS(489),
    [anon_sym_import] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(489),
    [anon_sym_public] = ACTIONS(489),
    [anon_sym_protected] = ACTIONS(489),
    [anon_sym_private] = ACTIONS(489),
    [anon_sym_abstract] = ACTIONS(489),
    [anon_sym_strictfp] = ACTIONS(489),
    [anon_sym_native] = ACTIONS(489),
    [anon_sym_transient] = ACTIONS(489),
    [anon_sym_volatile] = ACTIONS(489),
    [anon_sym_sealed] = ACTIONS(489),
    [anon_sym_non_DASHsealed] = ACTIONS(491),
    [anon_sym_record] = ACTIONS(489),
    [anon_sym_ATinterface] = ACTIONS(491),
    [anon_sym_interface] = ACTIONS(489),
    [anon_sym_byte] = ACTIONS(489),
    [anon_sym_short] = ACTIONS(489),
    [anon_sym_int] = ACTIONS(489),
    [anon_sym_long] = ACTIONS(489),
    [anon_sym_char] = ACTIONS(489),
    [anon_sym_float] = ACTIONS(489),
    [anon_sym_double] = ACTIONS(489),
    [sym_boolean_type] = ACTIONS(489),
    [sym_void_type] = ACTIONS(489),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [122] = {
    [ts_builtin_sym_end] = ACTIONS(491),
    [sym_identifier] = ACTIONS(489),
    [sym_decimal_integer_literal] = ACTIONS(489),
    [sym_hex_integer_literal] = ACTIONS(489),
    [sym_octal_integer_literal] = ACTIONS(489),
    [sym_binary_integer_literal] = ACTIONS(491),
    [sym_decimal_floating_point_literal] = ACTIONS(491),
    [sym_hex_floating_point_literal] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_character_literal] = ACTIONS(491),
    [anon_sym_DQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(491),
    [sym_null_literal] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_AMP] = ACTIONS(493),
    [anon_sym_GT] = ACTIONS(493),
    [anon_sym_LT] = ACTIONS(497),
    [anon_sym_GT_EQ] = ACTIONS(495),
    [anon_sym_LT_EQ] = ACTIONS(495),
    [anon_sym_EQ_EQ] = ACTIONS(495),
    [anon_sym_BANG_EQ] = ACTIONS(495),
    [anon_sym_AMP_AMP] = ACTIONS(495),
    [anon_sym_PIPE_PIPE] = ACTIONS(495),
    [anon_sym_PLUS] = ACTIONS(497),
    [anon_sym_DASH] = ACTIONS(497),
    [anon_sym_STAR] = ACTIONS(495),
    [anon_sym_SLASH] = ACTIONS(493),
    [anon_sym_PIPE] = ACTIONS(493),
    [anon_sym_CARET] = ACTIONS(495),
    [anon_sym_PERCENT] = ACTIONS(495),
    [anon_sym_LT_LT] = ACTIONS(495),
    [anon_sym_GT_GT] = ACTIONS(493),
    [anon_sym_GT_GT_GT] = ACTIONS(495),
    [anon_sym_instanceof] = ACTIONS(493),
    [anon_sym_final] = ACTIONS(489),
    [anon_sym_QMARK] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(489),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(500),
    [anon_sym_DASH_DASH] = ACTIONS(500),
    [anon_sym_new] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(489),
    [anon_sym_switch] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(491),
    [anon_sym_default] = ACTIONS(489),
    [anon_sym_SEMI] = ACTIONS(500),
    [anon_sym_assert] = ACTIONS(489),
    [anon_sym_do] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(489),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [anon_sym_return] = ACTIONS(489),
    [anon_sym_yield] = ACTIONS(489),
    [anon_sym_synchronized] = ACTIONS(489),
    [anon_sym_throw] = ACTIONS(489),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_else] = ACTIONS(489),
    [anon_sym_for] = ACTIONS(489),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_open] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(489),
    [anon_sym_static] = ACTIONS(489),
    [anon_sym_with] = ACTIONS(489),
    [anon_sym_package] = ACTIONS(489),
    [anon_sym_import] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(489),
    [anon_sym_public] = ACTIONS(489),
    [anon_sym_protected] = ACTIONS(489),
    [anon_sym_private] = ACTIONS(489),
    [anon_sym_abstract] = ACTIONS(489),
    [anon_sym_strictfp] = ACTIONS(489),
    [anon_sym_native] = ACTIONS(489),
    [anon_sym_transient] = ACTIONS(489),
    [anon_sym_volatile] = ACTIONS(489),
    [anon_sym_sealed] = ACTIONS(489),
    [anon_sym_non_DASHsealed] = ACTIONS(491),
    [anon_sym_record] = ACTIONS(489),
    [anon_sym_ATinterface] = ACTIONS(491),
    [anon_sym_interface] = ACTIONS(489),
    [anon_sym_byte] = ACTIONS(489),
    [anon_sym_short] = ACTIONS(489),
    [anon_sym_int] = ACTIONS(489),
    [anon_sym_long] = ACTIONS(489),
    [anon_sym_char] = ACTIONS(489),
    [anon_sym_float] = ACTIONS(489),
    [anon_sym_double] = ACTIONS(489),
    [sym_boolean_type] = ACTIONS(489),
    [sym_void_type] = ACTIONS(489),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [123] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym_element_value_pair] = STATE(1123),
    [sym__element_value] = STATE(1349),
    [sym_element_value_array_initializer] = STATE(1349),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(462),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(503),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(505),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [124] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym__element_value] = STATE(1124),
    [sym_element_value_array_initializer] = STATE(1124),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(509),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(511),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [125] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym_element_value_pair] = STATE(1092),
    [sym__element_value] = STATE(1339),
    [sym_element_value_array_initializer] = STATE(1339),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(462),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(503),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(513),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [126] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym_element_value_pair] = STATE(1107),
    [sym__element_value] = STATE(1333),
    [sym_element_value_array_initializer] = STATE(1333),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(462),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(503),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(515),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [127] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym_block] = STATE(1167),
    [sym_expression_statement] = STATE(1167),
    [sym_throw_statement] = STATE(1167),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [128] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(669),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym_array_initializer] = STATE(1148),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(517),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(519),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [129] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym__element_value] = STATE(1297),
    [sym_element_value_array_initializer] = STATE(1297),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(523),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [130] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(662),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym_record_pattern] = STATE(1094),
    [sym_record_pattern_component] = STATE(1094),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(823),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(858),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(525),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(527),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [sym_underscore_pattern] = ACTIONS(529),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [131] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym__element_value] = STATE(1297),
    [sym_element_value_array_initializer] = STATE(1297),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(531),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [132] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(662),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym_record_pattern] = STATE(1094),
    [sym_record_pattern_component] = STATE(1094),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(823),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(858),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(525),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(533),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [sym_underscore_pattern] = ACTIONS(529),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_RPAREN] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_AMP_EQ] = ACTIONS(425),
    [anon_sym_PIPE_EQ] = ACTIONS(425),
    [anon_sym_CARET_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_LT_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(425),
    [anon_sym_AMP_AMP] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_GT_GT_GT] = ACTIONS(423),
    [anon_sym_instanceof] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_DASH_GT] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_COLON] = ACTIONS(423),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_RBRACK] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_default] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_synchronized] = ACTIONS(423),
    [anon_sym_AT] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_static] = ACTIONS(423),
    [anon_sym_to] = ACTIONS(423),
    [anon_sym_with] = ACTIONS(423),
    [anon_sym_package] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(423),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_strictfp] = ACTIONS(423),
    [anon_sym_native] = ACTIONS(423),
    [anon_sym_transient] = ACTIONS(423),
    [anon_sym_volatile] = ACTIONS(423),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_non_DASHsealed] = ACTIONS(425),
    [anon_sym_record] = ACTIONS(423),
    [anon_sym_ATinterface] = ACTIONS(425),
    [anon_sym_interface] = ACTIONS(423),
    [anon_sym_byte] = ACTIONS(423),
    [anon_sym_short] = ACTIONS(423),
    [anon_sym_int] = ACTIONS(423),
    [anon_sym_long] = ACTIONS(423),
    [anon_sym_char] = ACTIONS(423),
    [anon_sym_float] = ACTIONS(423),
    [anon_sym_double] = ACTIONS(423),
    [sym_boolean_type] = ACTIONS(423),
    [sym_void_type] = ACTIONS(423),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(423),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_RPAREN] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_AMP_EQ] = ACTIONS(425),
    [anon_sym_PIPE_EQ] = ACTIONS(425),
    [anon_sym_CARET_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_LT_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(425),
    [anon_sym_AMP_AMP] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_GT_GT_GT] = ACTIONS(423),
    [anon_sym_instanceof] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(423),
    [anon_sym_DASH_GT] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_COLON] = ACTIONS(423),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_RBRACK] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(423),
    [anon_sym_COLON_COLON] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(425),
    [anon_sym_default] = ACTIONS(423),
    [anon_sym_when] = ACTIONS(423),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_synchronized] = ACTIONS(423),
    [anon_sym_AT] = ACTIONS(423),
    [anon_sym_open] = ACTIONS(423),
    [anon_sym_module] = ACTIONS(423),
    [anon_sym_static] = ACTIONS(423),
    [anon_sym_to] = ACTIONS(423),
    [anon_sym_with] = ACTIONS(423),
    [anon_sym_package] = ACTIONS(423),
    [anon_sym_enum] = ACTIONS(423),
    [anon_sym_public] = ACTIONS(423),
    [anon_sym_protected] = ACTIONS(423),
    [anon_sym_private] = ACTIONS(423),
    [anon_sym_abstract] = ACTIONS(423),
    [anon_sym_strictfp] = ACTIONS(423),
    [anon_sym_native] = ACTIONS(423),
    [anon_sym_transient] = ACTIONS(423),
    [anon_sym_volatile] = ACTIONS(423),
    [anon_sym_sealed] = ACTIONS(423),
    [anon_sym_non_DASHsealed] = ACTIONS(425),
    [anon_sym_record] = ACTIONS(423),
    [anon_sym_ATinterface] = ACTIONS(425),
    [anon_sym_interface] = ACTIONS(423),
    [anon_sym_byte] = ACTIONS(423),
    [anon_sym_short] = ACTIONS(423),
    [anon_sym_int] = ACTIONS(423),
    [anon_sym_long] = ACTIONS(423),
    [anon_sym_char] = ACTIONS(423),
    [anon_sym_float] = ACTIONS(423),
    [anon_sym_double] = ACTIONS(423),
    [sym_boolean_type] = ACTIONS(423),
    [sym_void_type] = ACTIONS(423),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [135] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(634),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym_pattern] = STATE(1093),
    [sym_type_pattern] = STATE(1073),
    [sym_record_pattern] = STATE(1073),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(822),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(858),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(440),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(535),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [136] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(711),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym__element_value] = STATE(1242),
    [sym_element_value_array_initializer] = STATE(1242),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [137] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym__element_value] = STATE(1242),
    [sym_element_value_array_initializer] = STATE(1242),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [138] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(706),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym_array_initializer] = STATE(1192),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(537),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [139] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym__element_value] = STATE(1297),
    [sym_element_value_array_initializer] = STATE(1297),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [140] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(655),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(848),
    [sym_marker_annotation] = STATE(848),
    [sym_annotation] = STATE(848),
    [sym__element_value] = STATE(1341),
    [sym_element_value_array_initializer] = STATE(1341),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(507),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [141] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(706),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym_array_initializer] = STATE(1192),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(539),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [142] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(629),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym_pattern] = STATE(1022),
    [sym_type_pattern] = STATE(1073),
    [sym_record_pattern] = STATE(1073),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(822),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(858),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(442),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(541),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [143] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(616),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym_block] = STATE(592),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [144] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(639),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym_block] = STATE(592),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [145] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(706),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym_array_initializer] = STATE(1192),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [146] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(668),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym_array_initializer] = STATE(1074),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(521),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [147] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(676),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(553),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [148] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(739),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [149] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(729),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(557),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [150] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(671),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(559),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [151] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(754),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(561),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [152] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(659),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(563),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [153] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(665),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(565),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [154] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(667),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(567),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [155] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(662),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(569),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [156] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(691),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(571),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [157] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(692),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(573),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_catch_clause] = STATE(197),
    [sym_finally_clause] = STATE(387),
    [aux_sym_try_statement_repeat1] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(575),
    [sym_identifier] = ACTIONS(577),
    [sym_decimal_integer_literal] = ACTIONS(577),
    [sym_hex_integer_literal] = ACTIONS(577),
    [sym_octal_integer_literal] = ACTIONS(577),
    [sym_binary_integer_literal] = ACTIONS(575),
    [sym_decimal_floating_point_literal] = ACTIONS(575),
    [sym_hex_floating_point_literal] = ACTIONS(577),
    [sym_true] = ACTIONS(577),
    [sym_false] = ACTIONS(577),
    [sym_character_literal] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(575),
    [anon_sym_RBRACE] = ACTIONS(575),
    [sym_null_literal] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_LT] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_final] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_PLUS_PLUS] = ACTIONS(575),
    [anon_sym_DASH_DASH] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(577),
    [anon_sym_class] = ACTIONS(577),
    [anon_sym_switch] = ACTIONS(577),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_case] = ACTIONS(577),
    [anon_sym_default] = ACTIONS(577),
    [anon_sym_SEMI] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(577),
    [anon_sym_do] = ACTIONS(577),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(577),
    [anon_sym_return] = ACTIONS(577),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_synchronized] = ACTIONS(577),
    [anon_sym_throw] = ACTIONS(577),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_catch] = ACTIONS(579),
    [anon_sym_finally] = ACTIONS(581),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_else] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(577),
    [anon_sym_AT] = ACTIONS(577),
    [anon_sym_open] = ACTIONS(577),
    [anon_sym_module] = ACTIONS(577),
    [anon_sym_static] = ACTIONS(577),
    [anon_sym_with] = ACTIONS(577),
    [anon_sym_package] = ACTIONS(577),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_enum] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(577),
    [anon_sym_protected] = ACTIONS(577),
    [anon_sym_private] = ACTIONS(577),
    [anon_sym_abstract] = ACTIONS(577),
    [anon_sym_strictfp] = ACTIONS(577),
    [anon_sym_native] = ACTIONS(577),
    [anon_sym_transient] = ACTIONS(577),
    [anon_sym_volatile] = ACTIONS(577),
    [anon_sym_sealed] = ACTIONS(577),
    [anon_sym_non_DASHsealed] = ACTIONS(575),
    [anon_sym_record] = ACTIONS(577),
    [anon_sym_ATinterface] = ACTIONS(575),
    [anon_sym_interface] = ACTIONS(577),
    [anon_sym_byte] = ACTIONS(577),
    [anon_sym_short] = ACTIONS(577),
    [anon_sym_int] = ACTIONS(577),
    [anon_sym_long] = ACTIONS(577),
    [anon_sym_char] = ACTIONS(577),
    [anon_sym_float] = ACTIONS(577),
    [anon_sym_double] = ACTIONS(577),
    [sym_boolean_type] = ACTIONS(577),
    [sym_void_type] = ACTIONS(577),
    [sym_this] = ACTIONS(577),
    [sym_super] = ACTIONS(577),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [159] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(722),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(583),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_catch_clause] = STATE(164),
    [sym_finally_clause] = STATE(257),
    [aux_sym_try_statement_repeat1] = STATE(164),
    [ts_builtin_sym_end] = ACTIONS(585),
    [sym_identifier] = ACTIONS(587),
    [sym_decimal_integer_literal] = ACTIONS(587),
    [sym_hex_integer_literal] = ACTIONS(587),
    [sym_octal_integer_literal] = ACTIONS(587),
    [sym_binary_integer_literal] = ACTIONS(585),
    [sym_decimal_floating_point_literal] = ACTIONS(585),
    [sym_hex_floating_point_literal] = ACTIONS(587),
    [sym_true] = ACTIONS(587),
    [sym_false] = ACTIONS(587),
    [sym_character_literal] = ACTIONS(585),
    [anon_sym_DQUOTE] = ACTIONS(587),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(585),
    [anon_sym_RBRACE] = ACTIONS(585),
    [sym_null_literal] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(585),
    [anon_sym_LT] = ACTIONS(585),
    [anon_sym_PLUS] = ACTIONS(587),
    [anon_sym_DASH] = ACTIONS(587),
    [anon_sym_final] = ACTIONS(587),
    [anon_sym_BANG] = ACTIONS(585),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_PLUS_PLUS] = ACTIONS(585),
    [anon_sym_DASH_DASH] = ACTIONS(585),
    [anon_sym_new] = ACTIONS(587),
    [anon_sym_class] = ACTIONS(587),
    [anon_sym_switch] = ACTIONS(587),
    [anon_sym_LBRACE] = ACTIONS(585),
    [anon_sym_case] = ACTIONS(587),
    [anon_sym_default] = ACTIONS(587),
    [anon_sym_SEMI] = ACTIONS(585),
    [anon_sym_assert] = ACTIONS(587),
    [anon_sym_do] = ACTIONS(587),
    [anon_sym_while] = ACTIONS(587),
    [anon_sym_break] = ACTIONS(587),
    [anon_sym_continue] = ACTIONS(587),
    [anon_sym_return] = ACTIONS(587),
    [anon_sym_yield] = ACTIONS(587),
    [anon_sym_synchronized] = ACTIONS(587),
    [anon_sym_throw] = ACTIONS(587),
    [anon_sym_try] = ACTIONS(587),
    [anon_sym_catch] = ACTIONS(579),
    [anon_sym_finally] = ACTIONS(581),
    [anon_sym_if] = ACTIONS(587),
    [anon_sym_else] = ACTIONS(587),
    [anon_sym_for] = ACTIONS(587),
    [anon_sym_AT] = ACTIONS(587),
    [anon_sym_open] = ACTIONS(587),
    [anon_sym_module] = ACTIONS(587),
    [anon_sym_static] = ACTIONS(587),
    [anon_sym_with] = ACTIONS(587),
    [anon_sym_package] = ACTIONS(587),
    [anon_sym_import] = ACTIONS(587),
    [anon_sym_enum] = ACTIONS(587),
    [anon_sym_public] = ACTIONS(587),
    [anon_sym_protected] = ACTIONS(587),
    [anon_sym_private] = ACTIONS(587),
    [anon_sym_abstract] = ACTIONS(587),
    [anon_sym_strictfp] = ACTIONS(587),
    [anon_sym_native] = ACTIONS(587),
    [anon_sym_transient] = ACTIONS(587),
    [anon_sym_volatile] = ACTIONS(587),
    [anon_sym_sealed] = ACTIONS(587),
    [anon_sym_non_DASHsealed] = ACTIONS(585),
    [anon_sym_record] = ACTIONS(587),
    [anon_sym_ATinterface] = ACTIONS(585),
    [anon_sym_interface] = ACTIONS(587),
    [anon_sym_byte] = ACTIONS(587),
    [anon_sym_short] = ACTIONS(587),
    [anon_sym_int] = ACTIONS(587),
    [anon_sym_long] = ACTIONS(587),
    [anon_sym_char] = ACTIONS(587),
    [anon_sym_float] = ACTIONS(587),
    [anon_sym_double] = ACTIONS(587),
    [sym_boolean_type] = ACTIONS(587),
    [sym_void_type] = ACTIONS(587),
    [sym_this] = ACTIONS(587),
    [sym_super] = ACTIONS(587),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [161] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(658),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(589),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [162] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(738),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(591),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [163] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(733),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(593),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_catch_clause] = STATE(197),
    [sym_finally_clause] = STATE(286),
    [aux_sym_try_statement_repeat1] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(595),
    [sym_identifier] = ACTIONS(597),
    [sym_decimal_integer_literal] = ACTIONS(597),
    [sym_hex_integer_literal] = ACTIONS(597),
    [sym_octal_integer_literal] = ACTIONS(597),
    [sym_binary_integer_literal] = ACTIONS(595),
    [sym_decimal_floating_point_literal] = ACTIONS(595),
    [sym_hex_floating_point_literal] = ACTIONS(597),
    [sym_true] = ACTIONS(597),
    [sym_false] = ACTIONS(597),
    [sym_character_literal] = ACTIONS(595),
    [anon_sym_DQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(595),
    [anon_sym_RBRACE] = ACTIONS(595),
    [sym_null_literal] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(597),
    [anon_sym_DASH] = ACTIONS(597),
    [anon_sym_final] = ACTIONS(597),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_new] = ACTIONS(597),
    [anon_sym_class] = ACTIONS(597),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_case] = ACTIONS(597),
    [anon_sym_default] = ACTIONS(597),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_assert] = ACTIONS(597),
    [anon_sym_do] = ACTIONS(597),
    [anon_sym_while] = ACTIONS(597),
    [anon_sym_break] = ACTIONS(597),
    [anon_sym_continue] = ACTIONS(597),
    [anon_sym_return] = ACTIONS(597),
    [anon_sym_yield] = ACTIONS(597),
    [anon_sym_synchronized] = ACTIONS(597),
    [anon_sym_throw] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_catch] = ACTIONS(579),
    [anon_sym_finally] = ACTIONS(581),
    [anon_sym_if] = ACTIONS(597),
    [anon_sym_else] = ACTIONS(597),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_AT] = ACTIONS(597),
    [anon_sym_open] = ACTIONS(597),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_static] = ACTIONS(597),
    [anon_sym_with] = ACTIONS(597),
    [anon_sym_package] = ACTIONS(597),
    [anon_sym_import] = ACTIONS(597),
    [anon_sym_enum] = ACTIONS(597),
    [anon_sym_public] = ACTIONS(597),
    [anon_sym_protected] = ACTIONS(597),
    [anon_sym_private] = ACTIONS(597),
    [anon_sym_abstract] = ACTIONS(597),
    [anon_sym_strictfp] = ACTIONS(597),
    [anon_sym_native] = ACTIONS(597),
    [anon_sym_transient] = ACTIONS(597),
    [anon_sym_volatile] = ACTIONS(597),
    [anon_sym_sealed] = ACTIONS(597),
    [anon_sym_non_DASHsealed] = ACTIONS(595),
    [anon_sym_record] = ACTIONS(597),
    [anon_sym_ATinterface] = ACTIONS(595),
    [anon_sym_interface] = ACTIONS(597),
    [anon_sym_byte] = ACTIONS(597),
    [anon_sym_short] = ACTIONS(597),
    [anon_sym_int] = ACTIONS(597),
    [anon_sym_long] = ACTIONS(597),
    [anon_sym_char] = ACTIONS(597),
    [anon_sym_float] = ACTIONS(597),
    [anon_sym_double] = ACTIONS(597),
    [sym_boolean_type] = ACTIONS(597),
    [sym_void_type] = ACTIONS(597),
    [sym_this] = ACTIONS(597),
    [sym_super] = ACTIONS(597),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [165] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(674),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(599),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [166] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(675),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(601),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [167] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(722),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(603),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [168] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(677),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(605),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [169] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(678),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(607),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [170] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(679),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(609),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [171] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(680),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(611),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [172] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(681),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(613),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [173] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(682),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(615),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [174] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(683),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(617),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [175] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(684),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [176] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(685),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(621),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [177] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(687),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(623),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [178] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(688),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(625),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [179] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(689),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(627),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [180] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(690),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(629),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [181] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(749),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(631),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [182] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(750),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(633),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [183] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(751),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(635),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [184] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(753),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(637),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [185] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(756),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(639),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [186] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(758),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(641),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [187] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(759),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(643),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [188] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(760),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(645),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [189] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(673),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [190] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(736),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(649),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [191] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(739),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(651),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [192] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(708),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [193] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(731),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [194] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(744),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [195] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(606),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [196] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_catch_clause] = STATE(197),
    [aux_sym_try_statement_repeat1] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(653),
    [sym_identifier] = ACTIONS(655),
    [sym_decimal_integer_literal] = ACTIONS(655),
    [sym_hex_integer_literal] = ACTIONS(655),
    [sym_octal_integer_literal] = ACTIONS(655),
    [sym_binary_integer_literal] = ACTIONS(653),
    [sym_decimal_floating_point_literal] = ACTIONS(653),
    [sym_hex_floating_point_literal] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_character_literal] = ACTIONS(653),
    [anon_sym_DQUOTE] = ACTIONS(655),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(653),
    [anon_sym_RBRACE] = ACTIONS(653),
    [sym_null_literal] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(655),
    [anon_sym_final] = ACTIONS(655),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(653),
    [anon_sym_DASH_DASH] = ACTIONS(653),
    [anon_sym_new] = ACTIONS(655),
    [anon_sym_class] = ACTIONS(655),
    [anon_sym_switch] = ACTIONS(655),
    [anon_sym_LBRACE] = ACTIONS(653),
    [anon_sym_case] = ACTIONS(655),
    [anon_sym_default] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(653),
    [anon_sym_assert] = ACTIONS(655),
    [anon_sym_do] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(655),
    [anon_sym_break] = ACTIONS(655),
    [anon_sym_continue] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(655),
    [anon_sym_yield] = ACTIONS(655),
    [anon_sym_synchronized] = ACTIONS(655),
    [anon_sym_throw] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(655),
    [anon_sym_catch] = ACTIONS(657),
    [anon_sym_finally] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_else] = ACTIONS(655),
    [anon_sym_for] = ACTIONS(655),
    [anon_sym_AT] = ACTIONS(655),
    [anon_sym_open] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_package] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(655),
    [anon_sym_enum] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_abstract] = ACTIONS(655),
    [anon_sym_strictfp] = ACTIONS(655),
    [anon_sym_native] = ACTIONS(655),
    [anon_sym_transient] = ACTIONS(655),
    [anon_sym_volatile] = ACTIONS(655),
    [anon_sym_sealed] = ACTIONS(655),
    [anon_sym_non_DASHsealed] = ACTIONS(653),
    [anon_sym_record] = ACTIONS(655),
    [anon_sym_ATinterface] = ACTIONS(653),
    [anon_sym_interface] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(655),
    [anon_sym_short] = ACTIONS(655),
    [anon_sym_int] = ACTIONS(655),
    [anon_sym_long] = ACTIONS(655),
    [anon_sym_char] = ACTIONS(655),
    [anon_sym_float] = ACTIONS(655),
    [anon_sym_double] = ACTIONS(655),
    [sym_boolean_type] = ACTIONS(655),
    [sym_void_type] = ACTIONS(655),
    [sym_this] = ACTIONS(655),
    [sym_super] = ACTIONS(655),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [198] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(714),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [199] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(654),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [200] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(615),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [201] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(739),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [202] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(712),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [203] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(763),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [204] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(722),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [205] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(716),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [206] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(717),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [207] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(697),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [208] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(730),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [209] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(755),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [210] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(638),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [211] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(640),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [212] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(641),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [213] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(642),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [214] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(643),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [215] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(595),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(588),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(527),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [216] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [217] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(607),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [218] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(646),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [219] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(635),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [220] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(647),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [221] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(595),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(588),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(527),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [222] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(648),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [223] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(649),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [224] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(747),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [225] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(605),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [226] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(606),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [227] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(757),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [228] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(618),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [229] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(621),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [230] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(614),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [231] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(619),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [232] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(620),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [233] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(625),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [234] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(617),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [235] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(607),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [236] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(622),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [237] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(624),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [238] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(623),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [239] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(728),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [240] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(735),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [241] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(723),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [242] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(725),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [243] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(726),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [244] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(605),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [245] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(740),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [246] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(743),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [247] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(746),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1363),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(441),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(441),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(431),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [248] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(644),
    [sym_cast_expression] = STATE(603),
    [sym_assignment_expression] = STATE(603),
    [sym_binary_expression] = STATE(603),
    [sym_instanceof_expression] = STATE(603),
    [sym_lambda_expression] = STATE(603),
    [sym_inferred_parameters] = STATE(1384),
    [sym_ternary_expression] = STATE(603),
    [sym_unary_expression] = STATE(603),
    [sym_update_expression] = STATE(603),
    [sym_primary_expression] = STATE(549),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(454),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(454),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_switch_expression] = STATE(603),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(446),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(551),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(543),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_BANG] = ACTIONS(547),
    [anon_sym_TILDE] = ACTIONS(547),
    [anon_sym_PLUS_PLUS] = ACTIONS(549),
    [anon_sym_DASH_DASH] = ACTIONS(549),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [249] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_primary_expression] = STATE(1080),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(992),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(562),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_resource] = STATE(1188),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(840),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(802),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym__reserved_identifier] = STATE(993),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(660),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_RPAREN] = ACTIONS(664),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_new] = ACTIONS(666),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(668),
    [sym_identifier] = ACTIONS(670),
    [sym_decimal_integer_literal] = ACTIONS(670),
    [sym_hex_integer_literal] = ACTIONS(670),
    [sym_octal_integer_literal] = ACTIONS(670),
    [sym_binary_integer_literal] = ACTIONS(668),
    [sym_decimal_floating_point_literal] = ACTIONS(668),
    [sym_hex_floating_point_literal] = ACTIONS(670),
    [sym_true] = ACTIONS(670),
    [sym_false] = ACTIONS(670),
    [sym_character_literal] = ACTIONS(668),
    [anon_sym_DQUOTE] = ACTIONS(670),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(668),
    [anon_sym_RBRACE] = ACTIONS(668),
    [sym_null_literal] = ACTIONS(670),
    [anon_sym_LPAREN] = ACTIONS(668),
    [anon_sym_LT] = ACTIONS(668),
    [anon_sym_PLUS] = ACTIONS(670),
    [anon_sym_DASH] = ACTIONS(670),
    [anon_sym_final] = ACTIONS(670),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_TILDE] = ACTIONS(668),
    [anon_sym_PLUS_PLUS] = ACTIONS(668),
    [anon_sym_DASH_DASH] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_class] = ACTIONS(670),
    [anon_sym_switch] = ACTIONS(670),
    [anon_sym_LBRACE] = ACTIONS(668),
    [anon_sym_case] = ACTIONS(670),
    [anon_sym_default] = ACTIONS(670),
    [anon_sym_SEMI] = ACTIONS(668),
    [anon_sym_assert] = ACTIONS(670),
    [anon_sym_do] = ACTIONS(670),
    [anon_sym_while] = ACTIONS(670),
    [anon_sym_break] = ACTIONS(670),
    [anon_sym_continue] = ACTIONS(670),
    [anon_sym_return] = ACTIONS(670),
    [anon_sym_yield] = ACTIONS(670),
    [anon_sym_synchronized] = ACTIONS(670),
    [anon_sym_throw] = ACTIONS(670),
    [anon_sym_try] = ACTIONS(670),
    [anon_sym_catch] = ACTIONS(670),
    [anon_sym_finally] = ACTIONS(670),
    [anon_sym_if] = ACTIONS(670),
    [anon_sym_else] = ACTIONS(670),
    [anon_sym_for] = ACTIONS(670),
    [anon_sym_AT] = ACTIONS(670),
    [anon_sym_open] = ACTIONS(670),
    [anon_sym_module] = ACTIONS(670),
    [anon_sym_static] = ACTIONS(670),
    [anon_sym_with] = ACTIONS(670),
    [anon_sym_package] = ACTIONS(670),
    [anon_sym_import] = ACTIONS(670),
    [anon_sym_enum] = ACTIONS(670),
    [anon_sym_public] = ACTIONS(670),
    [anon_sym_protected] = ACTIONS(670),
    [anon_sym_private] = ACTIONS(670),
    [anon_sym_abstract] = ACTIONS(670),
    [anon_sym_strictfp] = ACTIONS(670),
    [anon_sym_native] = ACTIONS(670),
    [anon_sym_transient] = ACTIONS(670),
    [anon_sym_volatile] = ACTIONS(670),
    [anon_sym_sealed] = ACTIONS(670),
    [anon_sym_non_DASHsealed] = ACTIONS(668),
    [anon_sym_record] = ACTIONS(670),
    [anon_sym_ATinterface] = ACTIONS(668),
    [anon_sym_interface] = ACTIONS(670),
    [anon_sym_byte] = ACTIONS(670),
    [anon_sym_short] = ACTIONS(670),
    [anon_sym_int] = ACTIONS(670),
    [anon_sym_long] = ACTIONS(670),
    [anon_sym_char] = ACTIONS(670),
    [anon_sym_float] = ACTIONS(670),
    [anon_sym_double] = ACTIONS(670),
    [sym_boolean_type] = ACTIONS(670),
    [sym_void_type] = ACTIONS(670),
    [sym_this] = ACTIONS(670),
    [sym_super] = ACTIONS(670),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(461),
    [sym_identifier] = ACTIONS(463),
    [sym_decimal_integer_literal] = ACTIONS(463),
    [sym_hex_integer_literal] = ACTIONS(463),
    [sym_octal_integer_literal] = ACTIONS(463),
    [sym_binary_integer_literal] = ACTIONS(461),
    [sym_decimal_floating_point_literal] = ACTIONS(461),
    [sym_hex_floating_point_literal] = ACTIONS(463),
    [sym_true] = ACTIONS(463),
    [sym_false] = ACTIONS(463),
    [sym_character_literal] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(463),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(461),
    [anon_sym_RBRACE] = ACTIONS(461),
    [sym_null_literal] = ACTIONS(463),
    [anon_sym_LPAREN] = ACTIONS(461),
    [anon_sym_LT] = ACTIONS(461),
    [anon_sym_PLUS] = ACTIONS(463),
    [anon_sym_DASH] = ACTIONS(463),
    [anon_sym_final] = ACTIONS(463),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_TILDE] = ACTIONS(461),
    [anon_sym_PLUS_PLUS] = ACTIONS(461),
    [anon_sym_DASH_DASH] = ACTIONS(461),
    [anon_sym_new] = ACTIONS(463),
    [anon_sym_class] = ACTIONS(463),
    [anon_sym_switch] = ACTIONS(463),
    [anon_sym_LBRACE] = ACTIONS(461),
    [anon_sym_case] = ACTIONS(463),
    [anon_sym_default] = ACTIONS(463),
    [anon_sym_SEMI] = ACTIONS(461),
    [anon_sym_assert] = ACTIONS(463),
    [anon_sym_do] = ACTIONS(463),
    [anon_sym_while] = ACTIONS(463),
    [anon_sym_break] = ACTIONS(463),
    [anon_sym_continue] = ACTIONS(463),
    [anon_sym_return] = ACTIONS(463),
    [anon_sym_yield] = ACTIONS(463),
    [anon_sym_synchronized] = ACTIONS(463),
    [anon_sym_throw] = ACTIONS(463),
    [anon_sym_try] = ACTIONS(463),
    [anon_sym_catch] = ACTIONS(463),
    [anon_sym_finally] = ACTIONS(463),
    [anon_sym_if] = ACTIONS(463),
    [anon_sym_else] = ACTIONS(463),
    [anon_sym_for] = ACTIONS(463),
    [anon_sym_AT] = ACTIONS(463),
    [anon_sym_open] = ACTIONS(463),
    [anon_sym_module] = ACTIONS(463),
    [anon_sym_static] = ACTIONS(463),
    [anon_sym_with] = ACTIONS(463),
    [anon_sym_package] = ACTIONS(463),
    [anon_sym_import] = ACTIONS(463),
    [anon_sym_enum] = ACTIONS(463),
    [anon_sym_public] = ACTIONS(463),
    [anon_sym_protected] = ACTIONS(463),
    [anon_sym_private] = ACTIONS(463),
    [anon_sym_abstract] = ACTIONS(463),
    [anon_sym_strictfp] = ACTIONS(463),
    [anon_sym_native] = ACTIONS(463),
    [anon_sym_transient] = ACTIONS(463),
    [anon_sym_volatile] = ACTIONS(463),
    [anon_sym_sealed] = ACTIONS(463),
    [anon_sym_non_DASHsealed] = ACTIONS(461),
    [anon_sym_record] = ACTIONS(463),
    [anon_sym_ATinterface] = ACTIONS(461),
    [anon_sym_interface] = ACTIONS(463),
    [anon_sym_byte] = ACTIONS(463),
    [anon_sym_short] = ACTIONS(463),
    [anon_sym_int] = ACTIONS(463),
    [anon_sym_long] = ACTIONS(463),
    [anon_sym_char] = ACTIONS(463),
    [anon_sym_float] = ACTIONS(463),
    [anon_sym_double] = ACTIONS(463),
    [sym_boolean_type] = ACTIONS(463),
    [sym_void_type] = ACTIONS(463),
    [sym_this] = ACTIONS(463),
    [sym_super] = ACTIONS(463),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [252] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_primary_expression] = STATE(1080),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(992),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(562),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_resource] = STATE(1188),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(840),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(802),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym__reserved_identifier] = STATE(993),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(660),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_RPAREN] = ACTIONS(672),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_new] = ACTIONS(666),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(465),
    [sym_identifier] = ACTIONS(467),
    [sym_decimal_integer_literal] = ACTIONS(467),
    [sym_hex_integer_literal] = ACTIONS(467),
    [sym_octal_integer_literal] = ACTIONS(467),
    [sym_binary_integer_literal] = ACTIONS(465),
    [sym_decimal_floating_point_literal] = ACTIONS(465),
    [sym_hex_floating_point_literal] = ACTIONS(467),
    [sym_true] = ACTIONS(467),
    [sym_false] = ACTIONS(467),
    [sym_character_literal] = ACTIONS(465),
    [anon_sym_DQUOTE] = ACTIONS(467),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(465),
    [anon_sym_RBRACE] = ACTIONS(465),
    [sym_null_literal] = ACTIONS(467),
    [anon_sym_LPAREN] = ACTIONS(465),
    [anon_sym_LT] = ACTIONS(465),
    [anon_sym_PLUS] = ACTIONS(467),
    [anon_sym_DASH] = ACTIONS(467),
    [anon_sym_final] = ACTIONS(467),
    [anon_sym_BANG] = ACTIONS(465),
    [anon_sym_TILDE] = ACTIONS(465),
    [anon_sym_PLUS_PLUS] = ACTIONS(465),
    [anon_sym_DASH_DASH] = ACTIONS(465),
    [anon_sym_new] = ACTIONS(467),
    [anon_sym_class] = ACTIONS(467),
    [anon_sym_switch] = ACTIONS(467),
    [anon_sym_LBRACE] = ACTIONS(465),
    [anon_sym_case] = ACTIONS(467),
    [anon_sym_default] = ACTIONS(467),
    [anon_sym_SEMI] = ACTIONS(465),
    [anon_sym_assert] = ACTIONS(467),
    [anon_sym_do] = ACTIONS(467),
    [anon_sym_while] = ACTIONS(467),
    [anon_sym_break] = ACTIONS(467),
    [anon_sym_continue] = ACTIONS(467),
    [anon_sym_return] = ACTIONS(467),
    [anon_sym_yield] = ACTIONS(467),
    [anon_sym_synchronized] = ACTIONS(467),
    [anon_sym_throw] = ACTIONS(467),
    [anon_sym_try] = ACTIONS(467),
    [anon_sym_catch] = ACTIONS(467),
    [anon_sym_finally] = ACTIONS(467),
    [anon_sym_if] = ACTIONS(467),
    [anon_sym_else] = ACTIONS(467),
    [anon_sym_for] = ACTIONS(467),
    [anon_sym_AT] = ACTIONS(467),
    [anon_sym_open] = ACTIONS(467),
    [anon_sym_module] = ACTIONS(467),
    [anon_sym_static] = ACTIONS(467),
    [anon_sym_with] = ACTIONS(467),
    [anon_sym_package] = ACTIONS(467),
    [anon_sym_import] = ACTIONS(467),
    [anon_sym_enum] = ACTIONS(467),
    [anon_sym_public] = ACTIONS(467),
    [anon_sym_protected] = ACTIONS(467),
    [anon_sym_private] = ACTIONS(467),
    [anon_sym_abstract] = ACTIONS(467),
    [anon_sym_strictfp] = ACTIONS(467),
    [anon_sym_native] = ACTIONS(467),
    [anon_sym_transient] = ACTIONS(467),
    [anon_sym_volatile] = ACTIONS(467),
    [anon_sym_sealed] = ACTIONS(467),
    [anon_sym_non_DASHsealed] = ACTIONS(465),
    [anon_sym_record] = ACTIONS(467),
    [anon_sym_ATinterface] = ACTIONS(465),
    [anon_sym_interface] = ACTIONS(467),
    [anon_sym_byte] = ACTIONS(467),
    [anon_sym_short] = ACTIONS(467),
    [anon_sym_int] = ACTIONS(467),
    [anon_sym_long] = ACTIONS(467),
    [anon_sym_char] = ACTIONS(467),
    [anon_sym_float] = ACTIONS(467),
    [anon_sym_double] = ACTIONS(467),
    [sym_boolean_type] = ACTIONS(467),
    [sym_void_type] = ACTIONS(467),
    [sym_this] = ACTIONS(467),
    [sym_super] = ACTIONS(467),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [254] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_primary_expression] = STATE(1080),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(992),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(562),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_resource] = STATE(1083),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(840),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(802),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym__reserved_identifier] = STATE(993),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(660),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_new] = ACTIONS(666),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [255] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_primary_expression] = STATE(1080),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(992),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(562),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym_resource] = STATE(1188),
    [sym__annotation] = STATE(718),
    [sym_marker_annotation] = STATE(718),
    [sym_annotation] = STATE(718),
    [sym_modifiers] = STATE(840),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(802),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym__reserved_identifier] = STATE(993),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(660),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_final] = ACTIONS(473),
    [anon_sym_new] = ACTIONS(666),
    [anon_sym_default] = ACTIONS(473),
    [anon_sym_yield] = ACTIONS(433),
    [anon_sym_synchronized] = ACTIONS(473),
    [anon_sym_AT] = ACTIONS(475),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(473),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(473),
    [anon_sym_protected] = ACTIONS(473),
    [anon_sym_private] = ACTIONS(473),
    [anon_sym_abstract] = ACTIONS(473),
    [anon_sym_strictfp] = ACTIONS(473),
    [anon_sym_native] = ACTIONS(473),
    [anon_sym_transient] = ACTIONS(473),
    [anon_sym_volatile] = ACTIONS(473),
    [anon_sym_sealed] = ACTIONS(477),
    [anon_sym_non_DASHsealed] = ACTIONS(479),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(674),
    [sym_identifier] = ACTIONS(676),
    [sym_decimal_integer_literal] = ACTIONS(676),
    [sym_hex_integer_literal] = ACTIONS(676),
    [sym_octal_integer_literal] = ACTIONS(676),
    [sym_binary_integer_literal] = ACTIONS(674),
    [sym_decimal_floating_point_literal] = ACTIONS(674),
    [sym_hex_floating_point_literal] = ACTIONS(676),
    [sym_true] = ACTIONS(676),
    [sym_false] = ACTIONS(676),
    [sym_character_literal] = ACTIONS(674),
    [anon_sym_DQUOTE] = ACTIONS(676),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(674),
    [anon_sym_RBRACE] = ACTIONS(674),
    [sym_null_literal] = ACTIONS(676),
    [anon_sym_LPAREN] = ACTIONS(674),
    [anon_sym_LT] = ACTIONS(674),
    [anon_sym_PLUS] = ACTIONS(676),
    [anon_sym_DASH] = ACTIONS(676),
    [anon_sym_final] = ACTIONS(676),
    [anon_sym_BANG] = ACTIONS(674),
    [anon_sym_TILDE] = ACTIONS(674),
    [anon_sym_PLUS_PLUS] = ACTIONS(674),
    [anon_sym_DASH_DASH] = ACTIONS(674),
    [anon_sym_new] = ACTIONS(676),
    [anon_sym_class] = ACTIONS(676),
    [anon_sym_switch] = ACTIONS(676),
    [anon_sym_LBRACE] = ACTIONS(674),
    [anon_sym_case] = ACTIONS(676),
    [anon_sym_default] = ACTIONS(676),
    [anon_sym_SEMI] = ACTIONS(674),
    [anon_sym_assert] = ACTIONS(676),
    [anon_sym_do] = ACTIONS(676),
    [anon_sym_while] = ACTIONS(676),
    [anon_sym_break] = ACTIONS(676),
    [anon_sym_continue] = ACTIONS(676),
    [anon_sym_return] = ACTIONS(676),
    [anon_sym_yield] = ACTIONS(676),
    [anon_sym_synchronized] = ACTIONS(676),
    [anon_sym_throw] = ACTIONS(676),
    [anon_sym_try] = ACTIONS(676),
    [anon_sym_if] = ACTIONS(676),
    [anon_sym_else] = ACTIONS(676),
    [anon_sym_for] = ACTIONS(676),
    [anon_sym_AT] = ACTIONS(676),
    [anon_sym_open] = ACTIONS(676),
    [anon_sym_module] = ACTIONS(676),
    [anon_sym_static] = ACTIONS(676),
    [anon_sym_with] = ACTIONS(676),
    [anon_sym_package] = ACTIONS(676),
    [anon_sym_import] = ACTIONS(676),
    [anon_sym_enum] = ACTIONS(676),
    [anon_sym_public] = ACTIONS(676),
    [anon_sym_protected] = ACTIONS(676),
    [anon_sym_private] = ACTIONS(676),
    [anon_sym_abstract] = ACTIONS(676),
    [anon_sym_strictfp] = ACTIONS(676),
    [anon_sym_native] = ACTIONS(676),
    [anon_sym_transient] = ACTIONS(676),
    [anon_sym_volatile] = ACTIONS(676),
    [anon_sym_sealed] = ACTIONS(676),
    [anon_sym_non_DASHsealed] = ACTIONS(674),
    [anon_sym_record] = ACTIONS(676),
    [anon_sym_ATinterface] = ACTIONS(674),
    [anon_sym_interface] = ACTIONS(676),
    [anon_sym_byte] = ACTIONS(676),
    [anon_sym_short] = ACTIONS(676),
    [anon_sym_int] = ACTIONS(676),
    [anon_sym_long] = ACTIONS(676),
    [anon_sym_char] = ACTIONS(676),
    [anon_sym_float] = ACTIONS(676),
    [anon_sym_double] = ACTIONS(676),
    [sym_boolean_type] = ACTIONS(676),
    [sym_void_type] = ACTIONS(676),
    [sym_this] = ACTIONS(676),
    [sym_super] = ACTIONS(676),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(595),
    [sym_identifier] = ACTIONS(597),
    [sym_decimal_integer_literal] = ACTIONS(597),
    [sym_hex_integer_literal] = ACTIONS(597),
    [sym_octal_integer_literal] = ACTIONS(597),
    [sym_binary_integer_literal] = ACTIONS(595),
    [sym_decimal_floating_point_literal] = ACTIONS(595),
    [sym_hex_floating_point_literal] = ACTIONS(597),
    [sym_true] = ACTIONS(597),
    [sym_false] = ACTIONS(597),
    [sym_character_literal] = ACTIONS(595),
    [anon_sym_DQUOTE] = ACTIONS(597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(595),
    [anon_sym_RBRACE] = ACTIONS(595),
    [sym_null_literal] = ACTIONS(597),
    [anon_sym_LPAREN] = ACTIONS(595),
    [anon_sym_LT] = ACTIONS(595),
    [anon_sym_PLUS] = ACTIONS(597),
    [anon_sym_DASH] = ACTIONS(597),
    [anon_sym_final] = ACTIONS(597),
    [anon_sym_BANG] = ACTIONS(595),
    [anon_sym_TILDE] = ACTIONS(595),
    [anon_sym_PLUS_PLUS] = ACTIONS(595),
    [anon_sym_DASH_DASH] = ACTIONS(595),
    [anon_sym_new] = ACTIONS(597),
    [anon_sym_class] = ACTIONS(597),
    [anon_sym_switch] = ACTIONS(597),
    [anon_sym_LBRACE] = ACTIONS(595),
    [anon_sym_case] = ACTIONS(597),
    [anon_sym_default] = ACTIONS(597),
    [anon_sym_SEMI] = ACTIONS(595),
    [anon_sym_assert] = ACTIONS(597),
    [anon_sym_do] = ACTIONS(597),
    [anon_sym_while] = ACTIONS(597),
    [anon_sym_break] = ACTIONS(597),
    [anon_sym_continue] = ACTIONS(597),
    [anon_sym_return] = ACTIONS(597),
    [anon_sym_yield] = ACTIONS(597),
    [anon_sym_synchronized] = ACTIONS(597),
    [anon_sym_throw] = ACTIONS(597),
    [anon_sym_try] = ACTIONS(597),
    [anon_sym_if] = ACTIONS(597),
    [anon_sym_else] = ACTIONS(597),
    [anon_sym_for] = ACTIONS(597),
    [anon_sym_AT] = ACTIONS(597),
    [anon_sym_open] = ACTIONS(597),
    [anon_sym_module] = ACTIONS(597),
    [anon_sym_static] = ACTIONS(597),
    [anon_sym_with] = ACTIONS(597),
    [anon_sym_package] = ACTIONS(597),
    [anon_sym_import] = ACTIONS(597),
    [anon_sym_enum] = ACTIONS(597),
    [anon_sym_public] = ACTIONS(597),
    [anon_sym_protected] = ACTIONS(597),
    [anon_sym_private] = ACTIONS(597),
    [anon_sym_abstract] = ACTIONS(597),
    [anon_sym_strictfp] = ACTIONS(597),
    [anon_sym_native] = ACTIONS(597),
    [anon_sym_transient] = ACTIONS(597),
    [anon_sym_volatile] = ACTIONS(597),
    [anon_sym_sealed] = ACTIONS(597),
    [anon_sym_non_DASHsealed] = ACTIONS(595),
    [anon_sym_record] = ACTIONS(597),
    [anon_sym_ATinterface] = ACTIONS(595),
    [anon_sym_interface] = ACTIONS(597),
    [anon_sym_byte] = ACTIONS(597),
    [anon_sym_short] = ACTIONS(597),
    [anon_sym_int] = ACTIONS(597),
    [anon_sym_long] = ACTIONS(597),
    [anon_sym_char] = ACTIONS(597),
    [anon_sym_float] = ACTIONS(597),
    [anon_sym_double] = ACTIONS(597),
    [sym_boolean_type] = ACTIONS(597),
    [sym_void_type] = ACTIONS(597),
    [sym_this] = ACTIONS(597),
    [sym_super] = ACTIONS(597),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(678),
    [sym_identifier] = ACTIONS(680),
    [sym_decimal_integer_literal] = ACTIONS(680),
    [sym_hex_integer_literal] = ACTIONS(680),
    [sym_octal_integer_literal] = ACTIONS(680),
    [sym_binary_integer_literal] = ACTIONS(678),
    [sym_decimal_floating_point_literal] = ACTIONS(678),
    [sym_hex_floating_point_literal] = ACTIONS(680),
    [sym_true] = ACTIONS(680),
    [sym_false] = ACTIONS(680),
    [sym_character_literal] = ACTIONS(678),
    [anon_sym_DQUOTE] = ACTIONS(680),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(678),
    [anon_sym_RBRACE] = ACTIONS(678),
    [sym_null_literal] = ACTIONS(680),
    [anon_sym_LPAREN] = ACTIONS(678),
    [anon_sym_LT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(680),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_final] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(678),
    [anon_sym_TILDE] = ACTIONS(678),
    [anon_sym_PLUS_PLUS] = ACTIONS(678),
    [anon_sym_DASH_DASH] = ACTIONS(678),
    [anon_sym_new] = ACTIONS(680),
    [anon_sym_class] = ACTIONS(680),
    [anon_sym_switch] = ACTIONS(680),
    [anon_sym_LBRACE] = ACTIONS(678),
    [anon_sym_case] = ACTIONS(680),
    [anon_sym_default] = ACTIONS(680),
    [anon_sym_SEMI] = ACTIONS(678),
    [anon_sym_assert] = ACTIONS(680),
    [anon_sym_do] = ACTIONS(680),
    [anon_sym_while] = ACTIONS(680),
    [anon_sym_break] = ACTIONS(680),
    [anon_sym_continue] = ACTIONS(680),
    [anon_sym_return] = ACTIONS(680),
    [anon_sym_yield] = ACTIONS(680),
    [anon_sym_synchronized] = ACTIONS(680),
    [anon_sym_throw] = ACTIONS(680),
    [anon_sym_try] = ACTIONS(680),
    [anon_sym_if] = ACTIONS(680),
    [anon_sym_else] = ACTIONS(680),
    [anon_sym_for] = ACTIONS(680),
    [anon_sym_AT] = ACTIONS(680),
    [anon_sym_open] = ACTIONS(680),
    [anon_sym_module] = ACTIONS(680),
    [anon_sym_static] = ACTIONS(680),
    [anon_sym_with] = ACTIONS(680),
    [anon_sym_package] = ACTIONS(680),
    [anon_sym_import] = ACTIONS(680),
    [anon_sym_enum] = ACTIONS(680),
    [anon_sym_public] = ACTIONS(680),
    [anon_sym_protected] = ACTIONS(680),
    [anon_sym_private] = ACTIONS(680),
    [anon_sym_abstract] = ACTIONS(680),
    [anon_sym_strictfp] = ACTIONS(680),
    [anon_sym_native] = ACTIONS(680),
    [anon_sym_transient] = ACTIONS(680),
    [anon_sym_volatile] = ACTIONS(680),
    [anon_sym_sealed] = ACTIONS(680),
    [anon_sym_non_DASHsealed] = ACTIONS(678),
    [anon_sym_record] = ACTIONS(680),
    [anon_sym_ATinterface] = ACTIONS(678),
    [anon_sym_interface] = ACTIONS(680),
    [anon_sym_byte] = ACTIONS(680),
    [anon_sym_short] = ACTIONS(680),
    [anon_sym_int] = ACTIONS(680),
    [anon_sym_long] = ACTIONS(680),
    [anon_sym_char] = ACTIONS(680),
    [anon_sym_float] = ACTIONS(680),
    [anon_sym_double] = ACTIONS(680),
    [sym_boolean_type] = ACTIONS(680),
    [sym_void_type] = ACTIONS(680),
    [sym_this] = ACTIONS(680),
    [sym_super] = ACTIONS(680),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(682),
    [sym_identifier] = ACTIONS(684),
    [sym_decimal_integer_literal] = ACTIONS(684),
    [sym_hex_integer_literal] = ACTIONS(684),
    [sym_octal_integer_literal] = ACTIONS(684),
    [sym_binary_integer_literal] = ACTIONS(682),
    [sym_decimal_floating_point_literal] = ACTIONS(682),
    [sym_hex_floating_point_literal] = ACTIONS(684),
    [sym_true] = ACTIONS(684),
    [sym_false] = ACTIONS(684),
    [sym_character_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(682),
    [anon_sym_RBRACE] = ACTIONS(682),
    [sym_null_literal] = ACTIONS(684),
    [anon_sym_LPAREN] = ACTIONS(682),
    [anon_sym_LT] = ACTIONS(682),
    [anon_sym_PLUS] = ACTIONS(684),
    [anon_sym_DASH] = ACTIONS(684),
    [anon_sym_final] = ACTIONS(684),
    [anon_sym_BANG] = ACTIONS(682),
    [anon_sym_TILDE] = ACTIONS(682),
    [anon_sym_PLUS_PLUS] = ACTIONS(682),
    [anon_sym_DASH_DASH] = ACTIONS(682),
    [anon_sym_new] = ACTIONS(684),
    [anon_sym_class] = ACTIONS(684),
    [anon_sym_switch] = ACTIONS(684),
    [anon_sym_LBRACE] = ACTIONS(682),
    [anon_sym_case] = ACTIONS(684),
    [anon_sym_default] = ACTIONS(684),
    [anon_sym_SEMI] = ACTIONS(682),
    [anon_sym_assert] = ACTIONS(684),
    [anon_sym_do] = ACTIONS(684),
    [anon_sym_while] = ACTIONS(684),
    [anon_sym_break] = ACTIONS(684),
    [anon_sym_continue] = ACTIONS(684),
    [anon_sym_return] = ACTIONS(684),
    [anon_sym_yield] = ACTIONS(684),
    [anon_sym_synchronized] = ACTIONS(684),
    [anon_sym_throw] = ACTIONS(684),
    [anon_sym_try] = ACTIONS(684),
    [anon_sym_if] = ACTIONS(684),
    [anon_sym_else] = ACTIONS(684),
    [anon_sym_for] = ACTIONS(684),
    [anon_sym_AT] = ACTIONS(684),
    [anon_sym_open] = ACTIONS(684),
    [anon_sym_module] = ACTIONS(684),
    [anon_sym_static] = ACTIONS(684),
    [anon_sym_with] = ACTIONS(684),
    [anon_sym_package] = ACTIONS(684),
    [anon_sym_import] = ACTIONS(684),
    [anon_sym_enum] = ACTIONS(684),
    [anon_sym_public] = ACTIONS(684),
    [anon_sym_protected] = ACTIONS(684),
    [anon_sym_private] = ACTIONS(684),
    [anon_sym_abstract] = ACTIONS(684),
    [anon_sym_strictfp] = ACTIONS(684),
    [anon_sym_native] = ACTIONS(684),
    [anon_sym_transient] = ACTIONS(684),
    [anon_sym_volatile] = ACTIONS(684),
    [anon_sym_sealed] = ACTIONS(684),
    [anon_sym_non_DASHsealed] = ACTIONS(682),
    [anon_sym_record] = ACTIONS(684),
    [anon_sym_ATinterface] = ACTIONS(682),
    [anon_sym_interface] = ACTIONS(684),
    [anon_sym_byte] = ACTIONS(684),
    [anon_sym_short] = ACTIONS(684),
    [anon_sym_int] = ACTIONS(684),
    [anon_sym_long] = ACTIONS(684),
    [anon_sym_char] = ACTIONS(684),
    [anon_sym_float] = ACTIONS(684),
    [anon_sym_double] = ACTIONS(684),
    [sym_boolean_type] = ACTIONS(684),
    [sym_void_type] = ACTIONS(684),
    [sym_this] = ACTIONS(684),
    [sym_super] = ACTIONS(684),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(686),
    [sym_identifier] = ACTIONS(688),
    [sym_decimal_integer_literal] = ACTIONS(688),
    [sym_hex_integer_literal] = ACTIONS(688),
    [sym_octal_integer_literal] = ACTIONS(688),
    [sym_binary_integer_literal] = ACTIONS(686),
    [sym_decimal_floating_point_literal] = ACTIONS(686),
    [sym_hex_floating_point_literal] = ACTIONS(688),
    [sym_true] = ACTIONS(688),
    [sym_false] = ACTIONS(688),
    [sym_character_literal] = ACTIONS(686),
    [anon_sym_DQUOTE] = ACTIONS(688),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(686),
    [anon_sym_RBRACE] = ACTIONS(686),
    [sym_null_literal] = ACTIONS(688),
    [anon_sym_LPAREN] = ACTIONS(686),
    [anon_sym_LT] = ACTIONS(686),
    [anon_sym_PLUS] = ACTIONS(688),
    [anon_sym_DASH] = ACTIONS(688),
    [anon_sym_final] = ACTIONS(688),
    [anon_sym_BANG] = ACTIONS(686),
    [anon_sym_TILDE] = ACTIONS(686),
    [anon_sym_PLUS_PLUS] = ACTIONS(686),
    [anon_sym_DASH_DASH] = ACTIONS(686),
    [anon_sym_new] = ACTIONS(688),
    [anon_sym_class] = ACTIONS(688),
    [anon_sym_switch] = ACTIONS(688),
    [anon_sym_LBRACE] = ACTIONS(686),
    [anon_sym_case] = ACTIONS(688),
    [anon_sym_default] = ACTIONS(688),
    [anon_sym_SEMI] = ACTIONS(686),
    [anon_sym_assert] = ACTIONS(688),
    [anon_sym_do] = ACTIONS(688),
    [anon_sym_while] = ACTIONS(688),
    [anon_sym_break] = ACTIONS(688),
    [anon_sym_continue] = ACTIONS(688),
    [anon_sym_return] = ACTIONS(688),
    [anon_sym_yield] = ACTIONS(688),
    [anon_sym_synchronized] = ACTIONS(688),
    [anon_sym_throw] = ACTIONS(688),
    [anon_sym_try] = ACTIONS(688),
    [anon_sym_if] = ACTIONS(688),
    [anon_sym_else] = ACTIONS(688),
    [anon_sym_for] = ACTIONS(688),
    [anon_sym_AT] = ACTIONS(688),
    [anon_sym_open] = ACTIONS(688),
    [anon_sym_module] = ACTIONS(688),
    [anon_sym_static] = ACTIONS(688),
    [anon_sym_with] = ACTIONS(688),
    [anon_sym_package] = ACTIONS(688),
    [anon_sym_import] = ACTIONS(688),
    [anon_sym_enum] = ACTIONS(688),
    [anon_sym_public] = ACTIONS(688),
    [anon_sym_protected] = ACTIONS(688),
    [anon_sym_private] = ACTIONS(688),
    [anon_sym_abstract] = ACTIONS(688),
    [anon_sym_strictfp] = ACTIONS(688),
    [anon_sym_native] = ACTIONS(688),
    [anon_sym_transient] = ACTIONS(688),
    [anon_sym_volatile] = ACTIONS(688),
    [anon_sym_sealed] = ACTIONS(688),
    [anon_sym_non_DASHsealed] = ACTIONS(686),
    [anon_sym_record] = ACTIONS(688),
    [anon_sym_ATinterface] = ACTIONS(686),
    [anon_sym_interface] = ACTIONS(688),
    [anon_sym_byte] = ACTIONS(688),
    [anon_sym_short] = ACTIONS(688),
    [anon_sym_int] = ACTIONS(688),
    [anon_sym_long] = ACTIONS(688),
    [anon_sym_char] = ACTIONS(688),
    [anon_sym_float] = ACTIONS(688),
    [anon_sym_double] = ACTIONS(688),
    [sym_boolean_type] = ACTIONS(688),
    [sym_void_type] = ACTIONS(688),
    [sym_this] = ACTIONS(688),
    [sym_super] = ACTIONS(688),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(690),
    [sym_identifier] = ACTIONS(692),
    [sym_decimal_integer_literal] = ACTIONS(692),
    [sym_hex_integer_literal] = ACTIONS(692),
    [sym_octal_integer_literal] = ACTIONS(692),
    [sym_binary_integer_literal] = ACTIONS(690),
    [sym_decimal_floating_point_literal] = ACTIONS(690),
    [sym_hex_floating_point_literal] = ACTIONS(692),
    [sym_true] = ACTIONS(692),
    [sym_false] = ACTIONS(692),
    [sym_character_literal] = ACTIONS(690),
    [anon_sym_DQUOTE] = ACTIONS(692),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(690),
    [anon_sym_RBRACE] = ACTIONS(690),
    [sym_null_literal] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(690),
    [anon_sym_PLUS] = ACTIONS(692),
    [anon_sym_DASH] = ACTIONS(692),
    [anon_sym_final] = ACTIONS(692),
    [anon_sym_BANG] = ACTIONS(690),
    [anon_sym_TILDE] = ACTIONS(690),
    [anon_sym_PLUS_PLUS] = ACTIONS(690),
    [anon_sym_DASH_DASH] = ACTIONS(690),
    [anon_sym_new] = ACTIONS(692),
    [anon_sym_class] = ACTIONS(692),
    [anon_sym_switch] = ACTIONS(692),
    [anon_sym_LBRACE] = ACTIONS(690),
    [anon_sym_case] = ACTIONS(692),
    [anon_sym_default] = ACTIONS(692),
    [anon_sym_SEMI] = ACTIONS(690),
    [anon_sym_assert] = ACTIONS(692),
    [anon_sym_do] = ACTIONS(692),
    [anon_sym_while] = ACTIONS(692),
    [anon_sym_break] = ACTIONS(692),
    [anon_sym_continue] = ACTIONS(692),
    [anon_sym_return] = ACTIONS(692),
    [anon_sym_yield] = ACTIONS(692),
    [anon_sym_synchronized] = ACTIONS(692),
    [anon_sym_throw] = ACTIONS(692),
    [anon_sym_try] = ACTIONS(692),
    [anon_sym_if] = ACTIONS(692),
    [anon_sym_else] = ACTIONS(692),
    [anon_sym_for] = ACTIONS(692),
    [anon_sym_AT] = ACTIONS(692),
    [anon_sym_open] = ACTIONS(692),
    [anon_sym_module] = ACTIONS(692),
    [anon_sym_static] = ACTIONS(692),
    [anon_sym_with] = ACTIONS(692),
    [anon_sym_package] = ACTIONS(692),
    [anon_sym_import] = ACTIONS(692),
    [anon_sym_enum] = ACTIONS(692),
    [anon_sym_public] = ACTIONS(692),
    [anon_sym_protected] = ACTIONS(692),
    [anon_sym_private] = ACTIONS(692),
    [anon_sym_abstract] = ACTIONS(692),
    [anon_sym_strictfp] = ACTIONS(692),
    [anon_sym_native] = ACTIONS(692),
    [anon_sym_transient] = ACTIONS(692),
    [anon_sym_volatile] = ACTIONS(692),
    [anon_sym_sealed] = ACTIONS(692),
    [anon_sym_non_DASHsealed] = ACTIONS(690),
    [anon_sym_record] = ACTIONS(692),
    [anon_sym_ATinterface] = ACTIONS(690),
    [anon_sym_interface] = ACTIONS(692),
    [anon_sym_byte] = ACTIONS(692),
    [anon_sym_short] = ACTIONS(692),
    [anon_sym_int] = ACTIONS(692),
    [anon_sym_long] = ACTIONS(692),
    [anon_sym_char] = ACTIONS(692),
    [anon_sym_float] = ACTIONS(692),
    [anon_sym_double] = ACTIONS(692),
    [sym_boolean_type] = ACTIONS(692),
    [sym_void_type] = ACTIONS(692),
    [sym_this] = ACTIONS(692),
    [sym_super] = ACTIONS(692),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(694),
    [sym_identifier] = ACTIONS(696),
    [sym_decimal_integer_literal] = ACTIONS(696),
    [sym_hex_integer_literal] = ACTIONS(696),
    [sym_octal_integer_literal] = ACTIONS(696),
    [sym_binary_integer_literal] = ACTIONS(694),
    [sym_decimal_floating_point_literal] = ACTIONS(694),
    [sym_hex_floating_point_literal] = ACTIONS(696),
    [sym_true] = ACTIONS(696),
    [sym_false] = ACTIONS(696),
    [sym_character_literal] = ACTIONS(694),
    [anon_sym_DQUOTE] = ACTIONS(696),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [sym_null_literal] = ACTIONS(696),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LT] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(696),
    [anon_sym_DASH] = ACTIONS(696),
    [anon_sym_final] = ACTIONS(696),
    [anon_sym_BANG] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_PLUS_PLUS] = ACTIONS(694),
    [anon_sym_DASH_DASH] = ACTIONS(694),
    [anon_sym_new] = ACTIONS(696),
    [anon_sym_class] = ACTIONS(696),
    [anon_sym_switch] = ACTIONS(696),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_case] = ACTIONS(696),
    [anon_sym_default] = ACTIONS(696),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_assert] = ACTIONS(696),
    [anon_sym_do] = ACTIONS(696),
    [anon_sym_while] = ACTIONS(696),
    [anon_sym_break] = ACTIONS(696),
    [anon_sym_continue] = ACTIONS(696),
    [anon_sym_return] = ACTIONS(696),
    [anon_sym_yield] = ACTIONS(696),
    [anon_sym_synchronized] = ACTIONS(696),
    [anon_sym_throw] = ACTIONS(696),
    [anon_sym_try] = ACTIONS(696),
    [anon_sym_if] = ACTIONS(696),
    [anon_sym_else] = ACTIONS(696),
    [anon_sym_for] = ACTIONS(696),
    [anon_sym_AT] = ACTIONS(696),
    [anon_sym_open] = ACTIONS(696),
    [anon_sym_module] = ACTIONS(696),
    [anon_sym_static] = ACTIONS(696),
    [anon_sym_with] = ACTIONS(696),
    [anon_sym_package] = ACTIONS(696),
    [anon_sym_import] = ACTIONS(696),
    [anon_sym_enum] = ACTIONS(696),
    [anon_sym_public] = ACTIONS(696),
    [anon_sym_protected] = ACTIONS(696),
    [anon_sym_private] = ACTIONS(696),
    [anon_sym_abstract] = ACTIONS(696),
    [anon_sym_strictfp] = ACTIONS(696),
    [anon_sym_native] = ACTIONS(696),
    [anon_sym_transient] = ACTIONS(696),
    [anon_sym_volatile] = ACTIONS(696),
    [anon_sym_sealed] = ACTIONS(696),
    [anon_sym_non_DASHsealed] = ACTIONS(694),
    [anon_sym_record] = ACTIONS(696),
    [anon_sym_ATinterface] = ACTIONS(694),
    [anon_sym_interface] = ACTIONS(696),
    [anon_sym_byte] = ACTIONS(696),
    [anon_sym_short] = ACTIONS(696),
    [anon_sym_int] = ACTIONS(696),
    [anon_sym_long] = ACTIONS(696),
    [anon_sym_char] = ACTIONS(696),
    [anon_sym_float] = ACTIONS(696),
    [anon_sym_double] = ACTIONS(696),
    [sym_boolean_type] = ACTIONS(696),
    [sym_void_type] = ACTIONS(696),
    [sym_this] = ACTIONS(696),
    [sym_super] = ACTIONS(696),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(698),
    [sym_identifier] = ACTIONS(700),
    [sym_decimal_integer_literal] = ACTIONS(700),
    [sym_hex_integer_literal] = ACTIONS(700),
    [sym_octal_integer_literal] = ACTIONS(700),
    [sym_binary_integer_literal] = ACTIONS(698),
    [sym_decimal_floating_point_literal] = ACTIONS(698),
    [sym_hex_floating_point_literal] = ACTIONS(700),
    [sym_true] = ACTIONS(700),
    [sym_false] = ACTIONS(700),
    [sym_character_literal] = ACTIONS(698),
    [anon_sym_DQUOTE] = ACTIONS(700),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(698),
    [anon_sym_RBRACE] = ACTIONS(698),
    [sym_null_literal] = ACTIONS(700),
    [anon_sym_LPAREN] = ACTIONS(698),
    [anon_sym_LT] = ACTIONS(698),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(700),
    [anon_sym_final] = ACTIONS(700),
    [anon_sym_BANG] = ACTIONS(698),
    [anon_sym_TILDE] = ACTIONS(698),
    [anon_sym_PLUS_PLUS] = ACTIONS(698),
    [anon_sym_DASH_DASH] = ACTIONS(698),
    [anon_sym_new] = ACTIONS(700),
    [anon_sym_class] = ACTIONS(700),
    [anon_sym_switch] = ACTIONS(700),
    [anon_sym_LBRACE] = ACTIONS(698),
    [anon_sym_case] = ACTIONS(700),
    [anon_sym_default] = ACTIONS(700),
    [anon_sym_SEMI] = ACTIONS(698),
    [anon_sym_assert] = ACTIONS(700),
    [anon_sym_do] = ACTIONS(700),
    [anon_sym_while] = ACTIONS(700),
    [anon_sym_break] = ACTIONS(700),
    [anon_sym_continue] = ACTIONS(700),
    [anon_sym_return] = ACTIONS(700),
    [anon_sym_yield] = ACTIONS(700),
    [anon_sym_synchronized] = ACTIONS(700),
    [anon_sym_throw] = ACTIONS(700),
    [anon_sym_try] = ACTIONS(700),
    [anon_sym_if] = ACTIONS(700),
    [anon_sym_else] = ACTIONS(700),
    [anon_sym_for] = ACTIONS(700),
    [anon_sym_AT] = ACTIONS(700),
    [anon_sym_open] = ACTIONS(700),
    [anon_sym_module] = ACTIONS(700),
    [anon_sym_static] = ACTIONS(700),
    [anon_sym_with] = ACTIONS(700),
    [anon_sym_package] = ACTIONS(700),
    [anon_sym_import] = ACTIONS(700),
    [anon_sym_enum] = ACTIONS(700),
    [anon_sym_public] = ACTIONS(700),
    [anon_sym_protected] = ACTIONS(700),
    [anon_sym_private] = ACTIONS(700),
    [anon_sym_abstract] = ACTIONS(700),
    [anon_sym_strictfp] = ACTIONS(700),
    [anon_sym_native] = ACTIONS(700),
    [anon_sym_transient] = ACTIONS(700),
    [anon_sym_volatile] = ACTIONS(700),
    [anon_sym_sealed] = ACTIONS(700),
    [anon_sym_non_DASHsealed] = ACTIONS(698),
    [anon_sym_record] = ACTIONS(700),
    [anon_sym_ATinterface] = ACTIONS(698),
    [anon_sym_interface] = ACTIONS(700),
    [anon_sym_byte] = ACTIONS(700),
    [anon_sym_short] = ACTIONS(700),
    [anon_sym_int] = ACTIONS(700),
    [anon_sym_long] = ACTIONS(700),
    [anon_sym_char] = ACTIONS(700),
    [anon_sym_float] = ACTIONS(700),
    [anon_sym_double] = ACTIONS(700),
    [sym_boolean_type] = ACTIONS(700),
    [sym_void_type] = ACTIONS(700),
    [sym_this] = ACTIONS(700),
    [sym_super] = ACTIONS(700),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(702),
    [sym_identifier] = ACTIONS(704),
    [sym_decimal_integer_literal] = ACTIONS(704),
    [sym_hex_integer_literal] = ACTIONS(704),
    [sym_octal_integer_literal] = ACTIONS(704),
    [sym_binary_integer_literal] = ACTIONS(702),
    [sym_decimal_floating_point_literal] = ACTIONS(702),
    [sym_hex_floating_point_literal] = ACTIONS(704),
    [sym_true] = ACTIONS(704),
    [sym_false] = ACTIONS(704),
    [sym_character_literal] = ACTIONS(702),
    [anon_sym_DQUOTE] = ACTIONS(704),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(702),
    [anon_sym_RBRACE] = ACTIONS(702),
    [sym_null_literal] = ACTIONS(704),
    [anon_sym_LPAREN] = ACTIONS(702),
    [anon_sym_LT] = ACTIONS(702),
    [anon_sym_PLUS] = ACTIONS(704),
    [anon_sym_DASH] = ACTIONS(704),
    [anon_sym_final] = ACTIONS(704),
    [anon_sym_BANG] = ACTIONS(702),
    [anon_sym_TILDE] = ACTIONS(702),
    [anon_sym_PLUS_PLUS] = ACTIONS(702),
    [anon_sym_DASH_DASH] = ACTIONS(702),
    [anon_sym_new] = ACTIONS(704),
    [anon_sym_class] = ACTIONS(704),
    [anon_sym_switch] = ACTIONS(704),
    [anon_sym_LBRACE] = ACTIONS(702),
    [anon_sym_case] = ACTIONS(704),
    [anon_sym_default] = ACTIONS(704),
    [anon_sym_SEMI] = ACTIONS(702),
    [anon_sym_assert] = ACTIONS(704),
    [anon_sym_do] = ACTIONS(704),
    [anon_sym_while] = ACTIONS(704),
    [anon_sym_break] = ACTIONS(704),
    [anon_sym_continue] = ACTIONS(704),
    [anon_sym_return] = ACTIONS(704),
    [anon_sym_yield] = ACTIONS(704),
    [anon_sym_synchronized] = ACTIONS(704),
    [anon_sym_throw] = ACTIONS(704),
    [anon_sym_try] = ACTIONS(704),
    [anon_sym_if] = ACTIONS(704),
    [anon_sym_else] = ACTIONS(704),
    [anon_sym_for] = ACTIONS(704),
    [anon_sym_AT] = ACTIONS(704),
    [anon_sym_open] = ACTIONS(704),
    [anon_sym_module] = ACTIONS(704),
    [anon_sym_static] = ACTIONS(704),
    [anon_sym_with] = ACTIONS(704),
    [anon_sym_package] = ACTIONS(704),
    [anon_sym_import] = ACTIONS(704),
    [anon_sym_enum] = ACTIONS(704),
    [anon_sym_public] = ACTIONS(704),
    [anon_sym_protected] = ACTIONS(704),
    [anon_sym_private] = ACTIONS(704),
    [anon_sym_abstract] = ACTIONS(704),
    [anon_sym_strictfp] = ACTIONS(704),
    [anon_sym_native] = ACTIONS(704),
    [anon_sym_transient] = ACTIONS(704),
    [anon_sym_volatile] = ACTIONS(704),
    [anon_sym_sealed] = ACTIONS(704),
    [anon_sym_non_DASHsealed] = ACTIONS(702),
    [anon_sym_record] = ACTIONS(704),
    [anon_sym_ATinterface] = ACTIONS(702),
    [anon_sym_interface] = ACTIONS(704),
    [anon_sym_byte] = ACTIONS(704),
    [anon_sym_short] = ACTIONS(704),
    [anon_sym_int] = ACTIONS(704),
    [anon_sym_long] = ACTIONS(704),
    [anon_sym_char] = ACTIONS(704),
    [anon_sym_float] = ACTIONS(704),
    [anon_sym_double] = ACTIONS(704),
    [sym_boolean_type] = ACTIONS(704),
    [sym_void_type] = ACTIONS(704),
    [sym_this] = ACTIONS(704),
    [sym_super] = ACTIONS(704),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(706),
    [sym_identifier] = ACTIONS(708),
    [sym_decimal_integer_literal] = ACTIONS(708),
    [sym_hex_integer_literal] = ACTIONS(708),
    [sym_octal_integer_literal] = ACTIONS(708),
    [sym_binary_integer_literal] = ACTIONS(706),
    [sym_decimal_floating_point_literal] = ACTIONS(706),
    [sym_hex_floating_point_literal] = ACTIONS(708),
    [sym_true] = ACTIONS(708),
    [sym_false] = ACTIONS(708),
    [sym_character_literal] = ACTIONS(706),
    [anon_sym_DQUOTE] = ACTIONS(708),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(706),
    [anon_sym_RBRACE] = ACTIONS(706),
    [sym_null_literal] = ACTIONS(708),
    [anon_sym_LPAREN] = ACTIONS(706),
    [anon_sym_LT] = ACTIONS(706),
    [anon_sym_PLUS] = ACTIONS(708),
    [anon_sym_DASH] = ACTIONS(708),
    [anon_sym_final] = ACTIONS(708),
    [anon_sym_BANG] = ACTIONS(706),
    [anon_sym_TILDE] = ACTIONS(706),
    [anon_sym_PLUS_PLUS] = ACTIONS(706),
    [anon_sym_DASH_DASH] = ACTIONS(706),
    [anon_sym_new] = ACTIONS(708),
    [anon_sym_class] = ACTIONS(708),
    [anon_sym_switch] = ACTIONS(708),
    [anon_sym_LBRACE] = ACTIONS(706),
    [anon_sym_case] = ACTIONS(708),
    [anon_sym_default] = ACTIONS(708),
    [anon_sym_SEMI] = ACTIONS(706),
    [anon_sym_assert] = ACTIONS(708),
    [anon_sym_do] = ACTIONS(708),
    [anon_sym_while] = ACTIONS(708),
    [anon_sym_break] = ACTIONS(708),
    [anon_sym_continue] = ACTIONS(708),
    [anon_sym_return] = ACTIONS(708),
    [anon_sym_yield] = ACTIONS(708),
    [anon_sym_synchronized] = ACTIONS(708),
    [anon_sym_throw] = ACTIONS(708),
    [anon_sym_try] = ACTIONS(708),
    [anon_sym_if] = ACTIONS(708),
    [anon_sym_else] = ACTIONS(708),
    [anon_sym_for] = ACTIONS(708),
    [anon_sym_AT] = ACTIONS(708),
    [anon_sym_open] = ACTIONS(708),
    [anon_sym_module] = ACTIONS(708),
    [anon_sym_static] = ACTIONS(708),
    [anon_sym_with] = ACTIONS(708),
    [anon_sym_package] = ACTIONS(708),
    [anon_sym_import] = ACTIONS(708),
    [anon_sym_enum] = ACTIONS(708),
    [anon_sym_public] = ACTIONS(708),
    [anon_sym_protected] = ACTIONS(708),
    [anon_sym_private] = ACTIONS(708),
    [anon_sym_abstract] = ACTIONS(708),
    [anon_sym_strictfp] = ACTIONS(708),
    [anon_sym_native] = ACTIONS(708),
    [anon_sym_transient] = ACTIONS(708),
    [anon_sym_volatile] = ACTIONS(708),
    [anon_sym_sealed] = ACTIONS(708),
    [anon_sym_non_DASHsealed] = ACTIONS(706),
    [anon_sym_record] = ACTIONS(708),
    [anon_sym_ATinterface] = ACTIONS(706),
    [anon_sym_interface] = ACTIONS(708),
    [anon_sym_byte] = ACTIONS(708),
    [anon_sym_short] = ACTIONS(708),
    [anon_sym_int] = ACTIONS(708),
    [anon_sym_long] = ACTIONS(708),
    [anon_sym_char] = ACTIONS(708),
    [anon_sym_float] = ACTIONS(708),
    [anon_sym_double] = ACTIONS(708),
    [sym_boolean_type] = ACTIONS(708),
    [sym_void_type] = ACTIONS(708),
    [sym_this] = ACTIONS(708),
    [sym_super] = ACTIONS(708),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(710),
    [sym_identifier] = ACTIONS(712),
    [sym_decimal_integer_literal] = ACTIONS(712),
    [sym_hex_integer_literal] = ACTIONS(712),
    [sym_octal_integer_literal] = ACTIONS(712),
    [sym_binary_integer_literal] = ACTIONS(710),
    [sym_decimal_floating_point_literal] = ACTIONS(710),
    [sym_hex_floating_point_literal] = ACTIONS(712),
    [sym_true] = ACTIONS(712),
    [sym_false] = ACTIONS(712),
    [sym_character_literal] = ACTIONS(710),
    [anon_sym_DQUOTE] = ACTIONS(712),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(710),
    [anon_sym_RBRACE] = ACTIONS(710),
    [sym_null_literal] = ACTIONS(712),
    [anon_sym_LPAREN] = ACTIONS(710),
    [anon_sym_LT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(712),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_final] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(710),
    [anon_sym_TILDE] = ACTIONS(710),
    [anon_sym_PLUS_PLUS] = ACTIONS(710),
    [anon_sym_DASH_DASH] = ACTIONS(710),
    [anon_sym_new] = ACTIONS(712),
    [anon_sym_class] = ACTIONS(712),
    [anon_sym_switch] = ACTIONS(712),
    [anon_sym_LBRACE] = ACTIONS(710),
    [anon_sym_case] = ACTIONS(712),
    [anon_sym_default] = ACTIONS(712),
    [anon_sym_SEMI] = ACTIONS(710),
    [anon_sym_assert] = ACTIONS(712),
    [anon_sym_do] = ACTIONS(712),
    [anon_sym_while] = ACTIONS(712),
    [anon_sym_break] = ACTIONS(712),
    [anon_sym_continue] = ACTIONS(712),
    [anon_sym_return] = ACTIONS(712),
    [anon_sym_yield] = ACTIONS(712),
    [anon_sym_synchronized] = ACTIONS(712),
    [anon_sym_throw] = ACTIONS(712),
    [anon_sym_try] = ACTIONS(712),
    [anon_sym_if] = ACTIONS(712),
    [anon_sym_else] = ACTIONS(712),
    [anon_sym_for] = ACTIONS(712),
    [anon_sym_AT] = ACTIONS(712),
    [anon_sym_open] = ACTIONS(712),
    [anon_sym_module] = ACTIONS(712),
    [anon_sym_static] = ACTIONS(712),
    [anon_sym_with] = ACTIONS(712),
    [anon_sym_package] = ACTIONS(712),
    [anon_sym_import] = ACTIONS(712),
    [anon_sym_enum] = ACTIONS(712),
    [anon_sym_public] = ACTIONS(712),
    [anon_sym_protected] = ACTIONS(712),
    [anon_sym_private] = ACTIONS(712),
    [anon_sym_abstract] = ACTIONS(712),
    [anon_sym_strictfp] = ACTIONS(712),
    [anon_sym_native] = ACTIONS(712),
    [anon_sym_transient] = ACTIONS(712),
    [anon_sym_volatile] = ACTIONS(712),
    [anon_sym_sealed] = ACTIONS(712),
    [anon_sym_non_DASHsealed] = ACTIONS(710),
    [anon_sym_record] = ACTIONS(712),
    [anon_sym_ATinterface] = ACTIONS(710),
    [anon_sym_interface] = ACTIONS(712),
    [anon_sym_byte] = ACTIONS(712),
    [anon_sym_short] = ACTIONS(712),
    [anon_sym_int] = ACTIONS(712),
    [anon_sym_long] = ACTIONS(712),
    [anon_sym_char] = ACTIONS(712),
    [anon_sym_float] = ACTIONS(712),
    [anon_sym_double] = ACTIONS(712),
    [sym_boolean_type] = ACTIONS(712),
    [sym_void_type] = ACTIONS(712),
    [sym_this] = ACTIONS(712),
    [sym_super] = ACTIONS(712),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(714),
    [sym_identifier] = ACTIONS(716),
    [sym_decimal_integer_literal] = ACTIONS(716),
    [sym_hex_integer_literal] = ACTIONS(716),
    [sym_octal_integer_literal] = ACTIONS(716),
    [sym_binary_integer_literal] = ACTIONS(714),
    [sym_decimal_floating_point_literal] = ACTIONS(714),
    [sym_hex_floating_point_literal] = ACTIONS(716),
    [sym_true] = ACTIONS(716),
    [sym_false] = ACTIONS(716),
    [sym_character_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(714),
    [anon_sym_RBRACE] = ACTIONS(714),
    [sym_null_literal] = ACTIONS(716),
    [anon_sym_LPAREN] = ACTIONS(714),
    [anon_sym_LT] = ACTIONS(714),
    [anon_sym_PLUS] = ACTIONS(716),
    [anon_sym_DASH] = ACTIONS(716),
    [anon_sym_final] = ACTIONS(716),
    [anon_sym_BANG] = ACTIONS(714),
    [anon_sym_TILDE] = ACTIONS(714),
    [anon_sym_PLUS_PLUS] = ACTIONS(714),
    [anon_sym_DASH_DASH] = ACTIONS(714),
    [anon_sym_new] = ACTIONS(716),
    [anon_sym_class] = ACTIONS(716),
    [anon_sym_switch] = ACTIONS(716),
    [anon_sym_LBRACE] = ACTIONS(714),
    [anon_sym_case] = ACTIONS(716),
    [anon_sym_default] = ACTIONS(716),
    [anon_sym_SEMI] = ACTIONS(714),
    [anon_sym_assert] = ACTIONS(716),
    [anon_sym_do] = ACTIONS(716),
    [anon_sym_while] = ACTIONS(716),
    [anon_sym_break] = ACTIONS(716),
    [anon_sym_continue] = ACTIONS(716),
    [anon_sym_return] = ACTIONS(716),
    [anon_sym_yield] = ACTIONS(716),
    [anon_sym_synchronized] = ACTIONS(716),
    [anon_sym_throw] = ACTIONS(716),
    [anon_sym_try] = ACTIONS(716),
    [anon_sym_if] = ACTIONS(716),
    [anon_sym_else] = ACTIONS(716),
    [anon_sym_for] = ACTIONS(716),
    [anon_sym_AT] = ACTIONS(716),
    [anon_sym_open] = ACTIONS(716),
    [anon_sym_module] = ACTIONS(716),
    [anon_sym_static] = ACTIONS(716),
    [anon_sym_with] = ACTIONS(716),
    [anon_sym_package] = ACTIONS(716),
    [anon_sym_import] = ACTIONS(716),
    [anon_sym_enum] = ACTIONS(716),
    [anon_sym_public] = ACTIONS(716),
    [anon_sym_protected] = ACTIONS(716),
    [anon_sym_private] = ACTIONS(716),
    [anon_sym_abstract] = ACTIONS(716),
    [anon_sym_strictfp] = ACTIONS(716),
    [anon_sym_native] = ACTIONS(716),
    [anon_sym_transient] = ACTIONS(716),
    [anon_sym_volatile] = ACTIONS(716),
    [anon_sym_sealed] = ACTIONS(716),
    [anon_sym_non_DASHsealed] = ACTIONS(714),
    [anon_sym_record] = ACTIONS(716),
    [anon_sym_ATinterface] = ACTIONS(714),
    [anon_sym_interface] = ACTIONS(716),
    [anon_sym_byte] = ACTIONS(716),
    [anon_sym_short] = ACTIONS(716),
    [anon_sym_int] = ACTIONS(716),
    [anon_sym_long] = ACTIONS(716),
    [anon_sym_char] = ACTIONS(716),
    [anon_sym_float] = ACTIONS(716),
    [anon_sym_double] = ACTIONS(716),
    [sym_boolean_type] = ACTIONS(716),
    [sym_void_type] = ACTIONS(716),
    [sym_this] = ACTIONS(716),
    [sym_super] = ACTIONS(716),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(718),
    [sym_identifier] = ACTIONS(720),
    [sym_decimal_integer_literal] = ACTIONS(720),
    [sym_hex_integer_literal] = ACTIONS(720),
    [sym_octal_integer_literal] = ACTIONS(720),
    [sym_binary_integer_literal] = ACTIONS(718),
    [sym_decimal_floating_point_literal] = ACTIONS(718),
    [sym_hex_floating_point_literal] = ACTIONS(720),
    [sym_true] = ACTIONS(720),
    [sym_false] = ACTIONS(720),
    [sym_character_literal] = ACTIONS(718),
    [anon_sym_DQUOTE] = ACTIONS(720),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(718),
    [anon_sym_RBRACE] = ACTIONS(718),
    [sym_null_literal] = ACTIONS(720),
    [anon_sym_LPAREN] = ACTIONS(718),
    [anon_sym_LT] = ACTIONS(718),
    [anon_sym_PLUS] = ACTIONS(720),
    [anon_sym_DASH] = ACTIONS(720),
    [anon_sym_final] = ACTIONS(720),
    [anon_sym_BANG] = ACTIONS(718),
    [anon_sym_TILDE] = ACTIONS(718),
    [anon_sym_PLUS_PLUS] = ACTIONS(718),
    [anon_sym_DASH_DASH] = ACTIONS(718),
    [anon_sym_new] = ACTIONS(720),
    [anon_sym_class] = ACTIONS(720),
    [anon_sym_switch] = ACTIONS(720),
    [anon_sym_LBRACE] = ACTIONS(718),
    [anon_sym_case] = ACTIONS(720),
    [anon_sym_default] = ACTIONS(720),
    [anon_sym_SEMI] = ACTIONS(718),
    [anon_sym_assert] = ACTIONS(720),
    [anon_sym_do] = ACTIONS(720),
    [anon_sym_while] = ACTIONS(720),
    [anon_sym_break] = ACTIONS(720),
    [anon_sym_continue] = ACTIONS(720),
    [anon_sym_return] = ACTIONS(720),
    [anon_sym_yield] = ACTIONS(720),
    [anon_sym_synchronized] = ACTIONS(720),
    [anon_sym_throw] = ACTIONS(720),
    [anon_sym_try] = ACTIONS(720),
    [anon_sym_if] = ACTIONS(720),
    [anon_sym_else] = ACTIONS(720),
    [anon_sym_for] = ACTIONS(720),
    [anon_sym_AT] = ACTIONS(720),
    [anon_sym_open] = ACTIONS(720),
    [anon_sym_module] = ACTIONS(720),
    [anon_sym_static] = ACTIONS(720),
    [anon_sym_with] = ACTIONS(720),
    [anon_sym_package] = ACTIONS(720),
    [anon_sym_import] = ACTIONS(720),
    [anon_sym_enum] = ACTIONS(720),
    [anon_sym_public] = ACTIONS(720),
    [anon_sym_protected] = ACTIONS(720),
    [anon_sym_private] = ACTIONS(720),
    [anon_sym_abstract] = ACTIONS(720),
    [anon_sym_strictfp] = ACTIONS(720),
    [anon_sym_native] = ACTIONS(720),
    [anon_sym_transient] = ACTIONS(720),
    [anon_sym_volatile] = ACTIONS(720),
    [anon_sym_sealed] = ACTIONS(720),
    [anon_sym_non_DASHsealed] = ACTIONS(718),
    [anon_sym_record] = ACTIONS(720),
    [anon_sym_ATinterface] = ACTIONS(718),
    [anon_sym_interface] = ACTIONS(720),
    [anon_sym_byte] = ACTIONS(720),
    [anon_sym_short] = ACTIONS(720),
    [anon_sym_int] = ACTIONS(720),
    [anon_sym_long] = ACTIONS(720),
    [anon_sym_char] = ACTIONS(720),
    [anon_sym_float] = ACTIONS(720),
    [anon_sym_double] = ACTIONS(720),
    [sym_boolean_type] = ACTIONS(720),
    [sym_void_type] = ACTIONS(720),
    [sym_this] = ACTIONS(720),
    [sym_super] = ACTIONS(720),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(722),
    [sym_identifier] = ACTIONS(724),
    [sym_decimal_integer_literal] = ACTIONS(724),
    [sym_hex_integer_literal] = ACTIONS(724),
    [sym_octal_integer_literal] = ACTIONS(724),
    [sym_binary_integer_literal] = ACTIONS(722),
    [sym_decimal_floating_point_literal] = ACTIONS(722),
    [sym_hex_floating_point_literal] = ACTIONS(724),
    [sym_true] = ACTIONS(724),
    [sym_false] = ACTIONS(724),
    [sym_character_literal] = ACTIONS(722),
    [anon_sym_DQUOTE] = ACTIONS(724),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(722),
    [anon_sym_RBRACE] = ACTIONS(722),
    [sym_null_literal] = ACTIONS(724),
    [anon_sym_LPAREN] = ACTIONS(722),
    [anon_sym_LT] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(724),
    [anon_sym_DASH] = ACTIONS(724),
    [anon_sym_final] = ACTIONS(724),
    [anon_sym_BANG] = ACTIONS(722),
    [anon_sym_TILDE] = ACTIONS(722),
    [anon_sym_PLUS_PLUS] = ACTIONS(722),
    [anon_sym_DASH_DASH] = ACTIONS(722),
    [anon_sym_new] = ACTIONS(724),
    [anon_sym_class] = ACTIONS(724),
    [anon_sym_switch] = ACTIONS(724),
    [anon_sym_LBRACE] = ACTIONS(722),
    [anon_sym_case] = ACTIONS(724),
    [anon_sym_default] = ACTIONS(724),
    [anon_sym_SEMI] = ACTIONS(722),
    [anon_sym_assert] = ACTIONS(724),
    [anon_sym_do] = ACTIONS(724),
    [anon_sym_while] = ACTIONS(724),
    [anon_sym_break] = ACTIONS(724),
    [anon_sym_continue] = ACTIONS(724),
    [anon_sym_return] = ACTIONS(724),
    [anon_sym_yield] = ACTIONS(724),
    [anon_sym_synchronized] = ACTIONS(724),
    [anon_sym_throw] = ACTIONS(724),
    [anon_sym_try] = ACTIONS(724),
    [anon_sym_if] = ACTIONS(724),
    [anon_sym_else] = ACTIONS(724),
    [anon_sym_for] = ACTIONS(724),
    [anon_sym_AT] = ACTIONS(724),
    [anon_sym_open] = ACTIONS(724),
    [anon_sym_module] = ACTIONS(724),
    [anon_sym_static] = ACTIONS(724),
    [anon_sym_with] = ACTIONS(724),
    [anon_sym_package] = ACTIONS(724),
    [anon_sym_import] = ACTIONS(724),
    [anon_sym_enum] = ACTIONS(724),
    [anon_sym_public] = ACTIONS(724),
    [anon_sym_protected] = ACTIONS(724),
    [anon_sym_private] = ACTIONS(724),
    [anon_sym_abstract] = ACTIONS(724),
    [anon_sym_strictfp] = ACTIONS(724),
    [anon_sym_native] = ACTIONS(724),
    [anon_sym_transient] = ACTIONS(724),
    [anon_sym_volatile] = ACTIONS(724),
    [anon_sym_sealed] = ACTIONS(724),
    [anon_sym_non_DASHsealed] = ACTIONS(722),
    [anon_sym_record] = ACTIONS(724),
    [anon_sym_ATinterface] = ACTIONS(722),
    [anon_sym_interface] = ACTIONS(724),
    [anon_sym_byte] = ACTIONS(724),
    [anon_sym_short] = ACTIONS(724),
    [anon_sym_int] = ACTIONS(724),
    [anon_sym_long] = ACTIONS(724),
    [anon_sym_char] = ACTIONS(724),
    [anon_sym_float] = ACTIONS(724),
    [anon_sym_double] = ACTIONS(724),
    [sym_boolean_type] = ACTIONS(724),
    [sym_void_type] = ACTIONS(724),
    [sym_this] = ACTIONS(724),
    [sym_super] = ACTIONS(724),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(726),
    [sym_identifier] = ACTIONS(728),
    [sym_decimal_integer_literal] = ACTIONS(728),
    [sym_hex_integer_literal] = ACTIONS(728),
    [sym_octal_integer_literal] = ACTIONS(728),
    [sym_binary_integer_literal] = ACTIONS(726),
    [sym_decimal_floating_point_literal] = ACTIONS(726),
    [sym_hex_floating_point_literal] = ACTIONS(728),
    [sym_true] = ACTIONS(728),
    [sym_false] = ACTIONS(728),
    [sym_character_literal] = ACTIONS(726),
    [anon_sym_DQUOTE] = ACTIONS(728),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(726),
    [anon_sym_RBRACE] = ACTIONS(726),
    [sym_null_literal] = ACTIONS(728),
    [anon_sym_LPAREN] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_PLUS] = ACTIONS(728),
    [anon_sym_DASH] = ACTIONS(728),
    [anon_sym_final] = ACTIONS(728),
    [anon_sym_BANG] = ACTIONS(726),
    [anon_sym_TILDE] = ACTIONS(726),
    [anon_sym_PLUS_PLUS] = ACTIONS(726),
    [anon_sym_DASH_DASH] = ACTIONS(726),
    [anon_sym_new] = ACTIONS(728),
    [anon_sym_class] = ACTIONS(728),
    [anon_sym_switch] = ACTIONS(728),
    [anon_sym_LBRACE] = ACTIONS(726),
    [anon_sym_case] = ACTIONS(728),
    [anon_sym_default] = ACTIONS(728),
    [anon_sym_SEMI] = ACTIONS(726),
    [anon_sym_assert] = ACTIONS(728),
    [anon_sym_do] = ACTIONS(728),
    [anon_sym_while] = ACTIONS(728),
    [anon_sym_break] = ACTIONS(728),
    [anon_sym_continue] = ACTIONS(728),
    [anon_sym_return] = ACTIONS(728),
    [anon_sym_yield] = ACTIONS(728),
    [anon_sym_synchronized] = ACTIONS(728),
    [anon_sym_throw] = ACTIONS(728),
    [anon_sym_try] = ACTIONS(728),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_else] = ACTIONS(728),
    [anon_sym_for] = ACTIONS(728),
    [anon_sym_AT] = ACTIONS(728),
    [anon_sym_open] = ACTIONS(728),
    [anon_sym_module] = ACTIONS(728),
    [anon_sym_static] = ACTIONS(728),
    [anon_sym_with] = ACTIONS(728),
    [anon_sym_package] = ACTIONS(728),
    [anon_sym_import] = ACTIONS(728),
    [anon_sym_enum] = ACTIONS(728),
    [anon_sym_public] = ACTIONS(728),
    [anon_sym_protected] = ACTIONS(728),
    [anon_sym_private] = ACTIONS(728),
    [anon_sym_abstract] = ACTIONS(728),
    [anon_sym_strictfp] = ACTIONS(728),
    [anon_sym_native] = ACTIONS(728),
    [anon_sym_transient] = ACTIONS(728),
    [anon_sym_volatile] = ACTIONS(728),
    [anon_sym_sealed] = ACTIONS(728),
    [anon_sym_non_DASHsealed] = ACTIONS(726),
    [anon_sym_record] = ACTIONS(728),
    [anon_sym_ATinterface] = ACTIONS(726),
    [anon_sym_interface] = ACTIONS(728),
    [anon_sym_byte] = ACTIONS(728),
    [anon_sym_short] = ACTIONS(728),
    [anon_sym_int] = ACTIONS(728),
    [anon_sym_long] = ACTIONS(728),
    [anon_sym_char] = ACTIONS(728),
    [anon_sym_float] = ACTIONS(728),
    [anon_sym_double] = ACTIONS(728),
    [sym_boolean_type] = ACTIONS(728),
    [sym_void_type] = ACTIONS(728),
    [sym_this] = ACTIONS(728),
    [sym_super] = ACTIONS(728),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(730),
    [sym_identifier] = ACTIONS(732),
    [sym_decimal_integer_literal] = ACTIONS(732),
    [sym_hex_integer_literal] = ACTIONS(732),
    [sym_octal_integer_literal] = ACTIONS(732),
    [sym_binary_integer_literal] = ACTIONS(730),
    [sym_decimal_floating_point_literal] = ACTIONS(730),
    [sym_hex_floating_point_literal] = ACTIONS(732),
    [sym_true] = ACTIONS(732),
    [sym_false] = ACTIONS(732),
    [sym_character_literal] = ACTIONS(730),
    [anon_sym_DQUOTE] = ACTIONS(732),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(730),
    [anon_sym_RBRACE] = ACTIONS(730),
    [sym_null_literal] = ACTIONS(732),
    [anon_sym_LPAREN] = ACTIONS(730),
    [anon_sym_LT] = ACTIONS(730),
    [anon_sym_PLUS] = ACTIONS(732),
    [anon_sym_DASH] = ACTIONS(732),
    [anon_sym_final] = ACTIONS(732),
    [anon_sym_BANG] = ACTIONS(730),
    [anon_sym_TILDE] = ACTIONS(730),
    [anon_sym_PLUS_PLUS] = ACTIONS(730),
    [anon_sym_DASH_DASH] = ACTIONS(730),
    [anon_sym_new] = ACTIONS(732),
    [anon_sym_class] = ACTIONS(732),
    [anon_sym_switch] = ACTIONS(732),
    [anon_sym_LBRACE] = ACTIONS(730),
    [anon_sym_case] = ACTIONS(732),
    [anon_sym_default] = ACTIONS(732),
    [anon_sym_SEMI] = ACTIONS(730),
    [anon_sym_assert] = ACTIONS(732),
    [anon_sym_do] = ACTIONS(732),
    [anon_sym_while] = ACTIONS(732),
    [anon_sym_break] = ACTIONS(732),
    [anon_sym_continue] = ACTIONS(732),
    [anon_sym_return] = ACTIONS(732),
    [anon_sym_yield] = ACTIONS(732),
    [anon_sym_synchronized] = ACTIONS(732),
    [anon_sym_throw] = ACTIONS(732),
    [anon_sym_try] = ACTIONS(732),
    [anon_sym_if] = ACTIONS(732),
    [anon_sym_else] = ACTIONS(732),
    [anon_sym_for] = ACTIONS(732),
    [anon_sym_AT] = ACTIONS(732),
    [anon_sym_open] = ACTIONS(732),
    [anon_sym_module] = ACTIONS(732),
    [anon_sym_static] = ACTIONS(732),
    [anon_sym_with] = ACTIONS(732),
    [anon_sym_package] = ACTIONS(732),
    [anon_sym_import] = ACTIONS(732),
    [anon_sym_enum] = ACTIONS(732),
    [anon_sym_public] = ACTIONS(732),
    [anon_sym_protected] = ACTIONS(732),
    [anon_sym_private] = ACTIONS(732),
    [anon_sym_abstract] = ACTIONS(732),
    [anon_sym_strictfp] = ACTIONS(732),
    [anon_sym_native] = ACTIONS(732),
    [anon_sym_transient] = ACTIONS(732),
    [anon_sym_volatile] = ACTIONS(732),
    [anon_sym_sealed] = ACTIONS(732),
    [anon_sym_non_DASHsealed] = ACTIONS(730),
    [anon_sym_record] = ACTIONS(732),
    [anon_sym_ATinterface] = ACTIONS(730),
    [anon_sym_interface] = ACTIONS(732),
    [anon_sym_byte] = ACTIONS(732),
    [anon_sym_short] = ACTIONS(732),
    [anon_sym_int] = ACTIONS(732),
    [anon_sym_long] = ACTIONS(732),
    [anon_sym_char] = ACTIONS(732),
    [anon_sym_float] = ACTIONS(732),
    [anon_sym_double] = ACTIONS(732),
    [sym_boolean_type] = ACTIONS(732),
    [sym_void_type] = ACTIONS(732),
    [sym_this] = ACTIONS(732),
    [sym_super] = ACTIONS(732),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(734),
    [sym_identifier] = ACTIONS(736),
    [sym_decimal_integer_literal] = ACTIONS(736),
    [sym_hex_integer_literal] = ACTIONS(736),
    [sym_octal_integer_literal] = ACTIONS(736),
    [sym_binary_integer_literal] = ACTIONS(734),
    [sym_decimal_floating_point_literal] = ACTIONS(734),
    [sym_hex_floating_point_literal] = ACTIONS(736),
    [sym_true] = ACTIONS(736),
    [sym_false] = ACTIONS(736),
    [sym_character_literal] = ACTIONS(734),
    [anon_sym_DQUOTE] = ACTIONS(736),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(734),
    [anon_sym_RBRACE] = ACTIONS(734),
    [sym_null_literal] = ACTIONS(736),
    [anon_sym_LPAREN] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(734),
    [anon_sym_PLUS] = ACTIONS(736),
    [anon_sym_DASH] = ACTIONS(736),
    [anon_sym_final] = ACTIONS(736),
    [anon_sym_BANG] = ACTIONS(734),
    [anon_sym_TILDE] = ACTIONS(734),
    [anon_sym_PLUS_PLUS] = ACTIONS(734),
    [anon_sym_DASH_DASH] = ACTIONS(734),
    [anon_sym_new] = ACTIONS(736),
    [anon_sym_class] = ACTIONS(736),
    [anon_sym_switch] = ACTIONS(736),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_case] = ACTIONS(736),
    [anon_sym_default] = ACTIONS(736),
    [anon_sym_SEMI] = ACTIONS(734),
    [anon_sym_assert] = ACTIONS(736),
    [anon_sym_do] = ACTIONS(736),
    [anon_sym_while] = ACTIONS(736),
    [anon_sym_break] = ACTIONS(736),
    [anon_sym_continue] = ACTIONS(736),
    [anon_sym_return] = ACTIONS(736),
    [anon_sym_yield] = ACTIONS(736),
    [anon_sym_synchronized] = ACTIONS(736),
    [anon_sym_throw] = ACTIONS(736),
    [anon_sym_try] = ACTIONS(736),
    [anon_sym_if] = ACTIONS(736),
    [anon_sym_else] = ACTIONS(736),
    [anon_sym_for] = ACTIONS(736),
    [anon_sym_AT] = ACTIONS(736),
    [anon_sym_open] = ACTIONS(736),
    [anon_sym_module] = ACTIONS(736),
    [anon_sym_static] = ACTIONS(736),
    [anon_sym_with] = ACTIONS(736),
    [anon_sym_package] = ACTIONS(736),
    [anon_sym_import] = ACTIONS(736),
    [anon_sym_enum] = ACTIONS(736),
    [anon_sym_public] = ACTIONS(736),
    [anon_sym_protected] = ACTIONS(736),
    [anon_sym_private] = ACTIONS(736),
    [anon_sym_abstract] = ACTIONS(736),
    [anon_sym_strictfp] = ACTIONS(736),
    [anon_sym_native] = ACTIONS(736),
    [anon_sym_transient] = ACTIONS(736),
    [anon_sym_volatile] = ACTIONS(736),
    [anon_sym_sealed] = ACTIONS(736),
    [anon_sym_non_DASHsealed] = ACTIONS(734),
    [anon_sym_record] = ACTIONS(736),
    [anon_sym_ATinterface] = ACTIONS(734),
    [anon_sym_interface] = ACTIONS(736),
    [anon_sym_byte] = ACTIONS(736),
    [anon_sym_short] = ACTIONS(736),
    [anon_sym_int] = ACTIONS(736),
    [anon_sym_long] = ACTIONS(736),
    [anon_sym_char] = ACTIONS(736),
    [anon_sym_float] = ACTIONS(736),
    [anon_sym_double] = ACTIONS(736),
    [sym_boolean_type] = ACTIONS(736),
    [sym_void_type] = ACTIONS(736),
    [sym_this] = ACTIONS(736),
    [sym_super] = ACTIONS(736),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(738),
    [sym_identifier] = ACTIONS(740),
    [sym_decimal_integer_literal] = ACTIONS(740),
    [sym_hex_integer_literal] = ACTIONS(740),
    [sym_octal_integer_literal] = ACTIONS(740),
    [sym_binary_integer_literal] = ACTIONS(738),
    [sym_decimal_floating_point_literal] = ACTIONS(738),
    [sym_hex_floating_point_literal] = ACTIONS(740),
    [sym_true] = ACTIONS(740),
    [sym_false] = ACTIONS(740),
    [sym_character_literal] = ACTIONS(738),
    [anon_sym_DQUOTE] = ACTIONS(740),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(738),
    [anon_sym_RBRACE] = ACTIONS(738),
    [sym_null_literal] = ACTIONS(740),
    [anon_sym_LPAREN] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(740),
    [anon_sym_DASH] = ACTIONS(740),
    [anon_sym_final] = ACTIONS(740),
    [anon_sym_BANG] = ACTIONS(738),
    [anon_sym_TILDE] = ACTIONS(738),
    [anon_sym_PLUS_PLUS] = ACTIONS(738),
    [anon_sym_DASH_DASH] = ACTIONS(738),
    [anon_sym_new] = ACTIONS(740),
    [anon_sym_class] = ACTIONS(740),
    [anon_sym_switch] = ACTIONS(740),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_case] = ACTIONS(740),
    [anon_sym_default] = ACTIONS(740),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym_assert] = ACTIONS(740),
    [anon_sym_do] = ACTIONS(740),
    [anon_sym_while] = ACTIONS(740),
    [anon_sym_break] = ACTIONS(740),
    [anon_sym_continue] = ACTIONS(740),
    [anon_sym_return] = ACTIONS(740),
    [anon_sym_yield] = ACTIONS(740),
    [anon_sym_synchronized] = ACTIONS(740),
    [anon_sym_throw] = ACTIONS(740),
    [anon_sym_try] = ACTIONS(740),
    [anon_sym_if] = ACTIONS(740),
    [anon_sym_else] = ACTIONS(740),
    [anon_sym_for] = ACTIONS(740),
    [anon_sym_AT] = ACTIONS(740),
    [anon_sym_open] = ACTIONS(740),
    [anon_sym_module] = ACTIONS(740),
    [anon_sym_static] = ACTIONS(740),
    [anon_sym_with] = ACTIONS(740),
    [anon_sym_package] = ACTIONS(740),
    [anon_sym_import] = ACTIONS(740),
    [anon_sym_enum] = ACTIONS(740),
    [anon_sym_public] = ACTIONS(740),
    [anon_sym_protected] = ACTIONS(740),
    [anon_sym_private] = ACTIONS(740),
    [anon_sym_abstract] = ACTIONS(740),
    [anon_sym_strictfp] = ACTIONS(740),
    [anon_sym_native] = ACTIONS(740),
    [anon_sym_transient] = ACTIONS(740),
    [anon_sym_volatile] = ACTIONS(740),
    [anon_sym_sealed] = ACTIONS(740),
    [anon_sym_non_DASHsealed] = ACTIONS(738),
    [anon_sym_record] = ACTIONS(740),
    [anon_sym_ATinterface] = ACTIONS(738),
    [anon_sym_interface] = ACTIONS(740),
    [anon_sym_byte] = ACTIONS(740),
    [anon_sym_short] = ACTIONS(740),
    [anon_sym_int] = ACTIONS(740),
    [anon_sym_long] = ACTIONS(740),
    [anon_sym_char] = ACTIONS(740),
    [anon_sym_float] = ACTIONS(740),
    [anon_sym_double] = ACTIONS(740),
    [sym_boolean_type] = ACTIONS(740),
    [sym_void_type] = ACTIONS(740),
    [sym_this] = ACTIONS(740),
    [sym_super] = ACTIONS(740),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(742),
    [sym_identifier] = ACTIONS(744),
    [sym_decimal_integer_literal] = ACTIONS(744),
    [sym_hex_integer_literal] = ACTIONS(744),
    [sym_octal_integer_literal] = ACTIONS(744),
    [sym_binary_integer_literal] = ACTIONS(742),
    [sym_decimal_floating_point_literal] = ACTIONS(742),
    [sym_hex_floating_point_literal] = ACTIONS(744),
    [sym_true] = ACTIONS(744),
    [sym_false] = ACTIONS(744),
    [sym_character_literal] = ACTIONS(742),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(742),
    [anon_sym_RBRACE] = ACTIONS(742),
    [sym_null_literal] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_final] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(742),
    [anon_sym_TILDE] = ACTIONS(742),
    [anon_sym_PLUS_PLUS] = ACTIONS(742),
    [anon_sym_DASH_DASH] = ACTIONS(742),
    [anon_sym_new] = ACTIONS(744),
    [anon_sym_class] = ACTIONS(744),
    [anon_sym_switch] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_case] = ACTIONS(744),
    [anon_sym_default] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_assert] = ACTIONS(744),
    [anon_sym_do] = ACTIONS(744),
    [anon_sym_while] = ACTIONS(744),
    [anon_sym_break] = ACTIONS(744),
    [anon_sym_continue] = ACTIONS(744),
    [anon_sym_return] = ACTIONS(744),
    [anon_sym_yield] = ACTIONS(744),
    [anon_sym_synchronized] = ACTIONS(744),
    [anon_sym_throw] = ACTIONS(744),
    [anon_sym_try] = ACTIONS(744),
    [anon_sym_if] = ACTIONS(744),
    [anon_sym_else] = ACTIONS(744),
    [anon_sym_for] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_open] = ACTIONS(744),
    [anon_sym_module] = ACTIONS(744),
    [anon_sym_static] = ACTIONS(744),
    [anon_sym_with] = ACTIONS(744),
    [anon_sym_package] = ACTIONS(744),
    [anon_sym_import] = ACTIONS(744),
    [anon_sym_enum] = ACTIONS(744),
    [anon_sym_public] = ACTIONS(744),
    [anon_sym_protected] = ACTIONS(744),
    [anon_sym_private] = ACTIONS(744),
    [anon_sym_abstract] = ACTIONS(744),
    [anon_sym_strictfp] = ACTIONS(744),
    [anon_sym_native] = ACTIONS(744),
    [anon_sym_transient] = ACTIONS(744),
    [anon_sym_volatile] = ACTIONS(744),
    [anon_sym_sealed] = ACTIONS(744),
    [anon_sym_non_DASHsealed] = ACTIONS(742),
    [anon_sym_record] = ACTIONS(744),
    [anon_sym_ATinterface] = ACTIONS(742),
    [anon_sym_interface] = ACTIONS(744),
    [anon_sym_byte] = ACTIONS(744),
    [anon_sym_short] = ACTIONS(744),
    [anon_sym_int] = ACTIONS(744),
    [anon_sym_long] = ACTIONS(744),
    [anon_sym_char] = ACTIONS(744),
    [anon_sym_float] = ACTIONS(744),
    [anon_sym_double] = ACTIONS(744),
    [sym_boolean_type] = ACTIONS(744),
    [sym_void_type] = ACTIONS(744),
    [sym_this] = ACTIONS(744),
    [sym_super] = ACTIONS(744),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(746),
    [sym_identifier] = ACTIONS(748),
    [sym_decimal_integer_literal] = ACTIONS(748),
    [sym_hex_integer_literal] = ACTIONS(748),
    [sym_octal_integer_literal] = ACTIONS(748),
    [sym_binary_integer_literal] = ACTIONS(746),
    [sym_decimal_floating_point_literal] = ACTIONS(746),
    [sym_hex_floating_point_literal] = ACTIONS(748),
    [sym_true] = ACTIONS(748),
    [sym_false] = ACTIONS(748),
    [sym_character_literal] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(748),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(746),
    [anon_sym_RBRACE] = ACTIONS(746),
    [sym_null_literal] = ACTIONS(748),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(748),
    [anon_sym_DASH] = ACTIONS(748),
    [anon_sym_final] = ACTIONS(748),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_TILDE] = ACTIONS(746),
    [anon_sym_PLUS_PLUS] = ACTIONS(746),
    [anon_sym_DASH_DASH] = ACTIONS(746),
    [anon_sym_new] = ACTIONS(748),
    [anon_sym_class] = ACTIONS(748),
    [anon_sym_switch] = ACTIONS(748),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_case] = ACTIONS(748),
    [anon_sym_default] = ACTIONS(748),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_assert] = ACTIONS(748),
    [anon_sym_do] = ACTIONS(748),
    [anon_sym_while] = ACTIONS(748),
    [anon_sym_break] = ACTIONS(748),
    [anon_sym_continue] = ACTIONS(748),
    [anon_sym_return] = ACTIONS(748),
    [anon_sym_yield] = ACTIONS(748),
    [anon_sym_synchronized] = ACTIONS(748),
    [anon_sym_throw] = ACTIONS(748),
    [anon_sym_try] = ACTIONS(748),
    [anon_sym_if] = ACTIONS(748),
    [anon_sym_else] = ACTIONS(748),
    [anon_sym_for] = ACTIONS(748),
    [anon_sym_AT] = ACTIONS(748),
    [anon_sym_open] = ACTIONS(748),
    [anon_sym_module] = ACTIONS(748),
    [anon_sym_static] = ACTIONS(748),
    [anon_sym_with] = ACTIONS(748),
    [anon_sym_package] = ACTIONS(748),
    [anon_sym_import] = ACTIONS(748),
    [anon_sym_enum] = ACTIONS(748),
    [anon_sym_public] = ACTIONS(748),
    [anon_sym_protected] = ACTIONS(748),
    [anon_sym_private] = ACTIONS(748),
    [anon_sym_abstract] = ACTIONS(748),
    [anon_sym_strictfp] = ACTIONS(748),
    [anon_sym_native] = ACTIONS(748),
    [anon_sym_transient] = ACTIONS(748),
    [anon_sym_volatile] = ACTIONS(748),
    [anon_sym_sealed] = ACTIONS(748),
    [anon_sym_non_DASHsealed] = ACTIONS(746),
    [anon_sym_record] = ACTIONS(748),
    [anon_sym_ATinterface] = ACTIONS(746),
    [anon_sym_interface] = ACTIONS(748),
    [anon_sym_byte] = ACTIONS(748),
    [anon_sym_short] = ACTIONS(748),
    [anon_sym_int] = ACTIONS(748),
    [anon_sym_long] = ACTIONS(748),
    [anon_sym_char] = ACTIONS(748),
    [anon_sym_float] = ACTIONS(748),
    [anon_sym_double] = ACTIONS(748),
    [sym_boolean_type] = ACTIONS(748),
    [sym_void_type] = ACTIONS(748),
    [sym_this] = ACTIONS(748),
    [sym_super] = ACTIONS(748),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(750),
    [sym_identifier] = ACTIONS(752),
    [sym_decimal_integer_literal] = ACTIONS(752),
    [sym_hex_integer_literal] = ACTIONS(752),
    [sym_octal_integer_literal] = ACTIONS(752),
    [sym_binary_integer_literal] = ACTIONS(750),
    [sym_decimal_floating_point_literal] = ACTIONS(750),
    [sym_hex_floating_point_literal] = ACTIONS(752),
    [sym_true] = ACTIONS(752),
    [sym_false] = ACTIONS(752),
    [sym_character_literal] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(752),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(750),
    [anon_sym_RBRACE] = ACTIONS(750),
    [sym_null_literal] = ACTIONS(752),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_PLUS] = ACTIONS(752),
    [anon_sym_DASH] = ACTIONS(752),
    [anon_sym_final] = ACTIONS(752),
    [anon_sym_BANG] = ACTIONS(750),
    [anon_sym_TILDE] = ACTIONS(750),
    [anon_sym_PLUS_PLUS] = ACTIONS(750),
    [anon_sym_DASH_DASH] = ACTIONS(750),
    [anon_sym_new] = ACTIONS(752),
    [anon_sym_class] = ACTIONS(752),
    [anon_sym_switch] = ACTIONS(752),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_case] = ACTIONS(752),
    [anon_sym_default] = ACTIONS(752),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym_assert] = ACTIONS(752),
    [anon_sym_do] = ACTIONS(752),
    [anon_sym_while] = ACTIONS(752),
    [anon_sym_break] = ACTIONS(752),
    [anon_sym_continue] = ACTIONS(752),
    [anon_sym_return] = ACTIONS(752),
    [anon_sym_yield] = ACTIONS(752),
    [anon_sym_synchronized] = ACTIONS(752),
    [anon_sym_throw] = ACTIONS(752),
    [anon_sym_try] = ACTIONS(752),
    [anon_sym_if] = ACTIONS(752),
    [anon_sym_else] = ACTIONS(752),
    [anon_sym_for] = ACTIONS(752),
    [anon_sym_AT] = ACTIONS(752),
    [anon_sym_open] = ACTIONS(752),
    [anon_sym_module] = ACTIONS(752),
    [anon_sym_static] = ACTIONS(752),
    [anon_sym_with] = ACTIONS(752),
    [anon_sym_package] = ACTIONS(752),
    [anon_sym_import] = ACTIONS(752),
    [anon_sym_enum] = ACTIONS(752),
    [anon_sym_public] = ACTIONS(752),
    [anon_sym_protected] = ACTIONS(752),
    [anon_sym_private] = ACTIONS(752),
    [anon_sym_abstract] = ACTIONS(752),
    [anon_sym_strictfp] = ACTIONS(752),
    [anon_sym_native] = ACTIONS(752),
    [anon_sym_transient] = ACTIONS(752),
    [anon_sym_volatile] = ACTIONS(752),
    [anon_sym_sealed] = ACTIONS(752),
    [anon_sym_non_DASHsealed] = ACTIONS(750),
    [anon_sym_record] = ACTIONS(752),
    [anon_sym_ATinterface] = ACTIONS(750),
    [anon_sym_interface] = ACTIONS(752),
    [anon_sym_byte] = ACTIONS(752),
    [anon_sym_short] = ACTIONS(752),
    [anon_sym_int] = ACTIONS(752),
    [anon_sym_long] = ACTIONS(752),
    [anon_sym_char] = ACTIONS(752),
    [anon_sym_float] = ACTIONS(752),
    [anon_sym_double] = ACTIONS(752),
    [sym_boolean_type] = ACTIONS(752),
    [sym_void_type] = ACTIONS(752),
    [sym_this] = ACTIONS(752),
    [sym_super] = ACTIONS(752),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(754),
    [sym_identifier] = ACTIONS(756),
    [sym_decimal_integer_literal] = ACTIONS(756),
    [sym_hex_integer_literal] = ACTIONS(756),
    [sym_octal_integer_literal] = ACTIONS(756),
    [sym_binary_integer_literal] = ACTIONS(754),
    [sym_decimal_floating_point_literal] = ACTIONS(754),
    [sym_hex_floating_point_literal] = ACTIONS(756),
    [sym_true] = ACTIONS(756),
    [sym_false] = ACTIONS(756),
    [sym_character_literal] = ACTIONS(754),
    [anon_sym_DQUOTE] = ACTIONS(756),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(754),
    [anon_sym_RBRACE] = ACTIONS(754),
    [sym_null_literal] = ACTIONS(756),
    [anon_sym_LPAREN] = ACTIONS(754),
    [anon_sym_LT] = ACTIONS(754),
    [anon_sym_PLUS] = ACTIONS(756),
    [anon_sym_DASH] = ACTIONS(756),
    [anon_sym_final] = ACTIONS(756),
    [anon_sym_BANG] = ACTIONS(754),
    [anon_sym_TILDE] = ACTIONS(754),
    [anon_sym_PLUS_PLUS] = ACTIONS(754),
    [anon_sym_DASH_DASH] = ACTIONS(754),
    [anon_sym_new] = ACTIONS(756),
    [anon_sym_class] = ACTIONS(756),
    [anon_sym_switch] = ACTIONS(756),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_case] = ACTIONS(756),
    [anon_sym_default] = ACTIONS(756),
    [anon_sym_SEMI] = ACTIONS(754),
    [anon_sym_assert] = ACTIONS(756),
    [anon_sym_do] = ACTIONS(756),
    [anon_sym_while] = ACTIONS(756),
    [anon_sym_break] = ACTIONS(756),
    [anon_sym_continue] = ACTIONS(756),
    [anon_sym_return] = ACTIONS(756),
    [anon_sym_yield] = ACTIONS(756),
    [anon_sym_synchronized] = ACTIONS(756),
    [anon_sym_throw] = ACTIONS(756),
    [anon_sym_try] = ACTIONS(756),
    [anon_sym_if] = ACTIONS(756),
    [anon_sym_else] = ACTIONS(756),
    [anon_sym_for] = ACTIONS(756),
    [anon_sym_AT] = ACTIONS(756),
    [anon_sym_open] = ACTIONS(756),
    [anon_sym_module] = ACTIONS(756),
    [anon_sym_static] = ACTIONS(756),
    [anon_sym_with] = ACTIONS(756),
    [anon_sym_package] = ACTIONS(756),
    [anon_sym_import] = ACTIONS(756),
    [anon_sym_enum] = ACTIONS(756),
    [anon_sym_public] = ACTIONS(756),
    [anon_sym_protected] = ACTIONS(756),
    [anon_sym_private] = ACTIONS(756),
    [anon_sym_abstract] = ACTIONS(756),
    [anon_sym_strictfp] = ACTIONS(756),
    [anon_sym_native] = ACTIONS(756),
    [anon_sym_transient] = ACTIONS(756),
    [anon_sym_volatile] = ACTIONS(756),
    [anon_sym_sealed] = ACTIONS(756),
    [anon_sym_non_DASHsealed] = ACTIONS(754),
    [anon_sym_record] = ACTIONS(756),
    [anon_sym_ATinterface] = ACTIONS(754),
    [anon_sym_interface] = ACTIONS(756),
    [anon_sym_byte] = ACTIONS(756),
    [anon_sym_short] = ACTIONS(756),
    [anon_sym_int] = ACTIONS(756),
    [anon_sym_long] = ACTIONS(756),
    [anon_sym_char] = ACTIONS(756),
    [anon_sym_float] = ACTIONS(756),
    [anon_sym_double] = ACTIONS(756),
    [sym_boolean_type] = ACTIONS(756),
    [sym_void_type] = ACTIONS(756),
    [sym_this] = ACTIONS(756),
    [sym_super] = ACTIONS(756),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(758),
    [sym_identifier] = ACTIONS(760),
    [sym_decimal_integer_literal] = ACTIONS(760),
    [sym_hex_integer_literal] = ACTIONS(760),
    [sym_octal_integer_literal] = ACTIONS(760),
    [sym_binary_integer_literal] = ACTIONS(758),
    [sym_decimal_floating_point_literal] = ACTIONS(758),
    [sym_hex_floating_point_literal] = ACTIONS(760),
    [sym_true] = ACTIONS(760),
    [sym_false] = ACTIONS(760),
    [sym_character_literal] = ACTIONS(758),
    [anon_sym_DQUOTE] = ACTIONS(760),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(758),
    [anon_sym_RBRACE] = ACTIONS(758),
    [sym_null_literal] = ACTIONS(760),
    [anon_sym_LPAREN] = ACTIONS(758),
    [anon_sym_LT] = ACTIONS(758),
    [anon_sym_PLUS] = ACTIONS(760),
    [anon_sym_DASH] = ACTIONS(760),
    [anon_sym_final] = ACTIONS(760),
    [anon_sym_BANG] = ACTIONS(758),
    [anon_sym_TILDE] = ACTIONS(758),
    [anon_sym_PLUS_PLUS] = ACTIONS(758),
    [anon_sym_DASH_DASH] = ACTIONS(758),
    [anon_sym_new] = ACTIONS(760),
    [anon_sym_class] = ACTIONS(760),
    [anon_sym_switch] = ACTIONS(760),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_case] = ACTIONS(760),
    [anon_sym_default] = ACTIONS(760),
    [anon_sym_SEMI] = ACTIONS(758),
    [anon_sym_assert] = ACTIONS(760),
    [anon_sym_do] = ACTIONS(760),
    [anon_sym_while] = ACTIONS(760),
    [anon_sym_break] = ACTIONS(760),
    [anon_sym_continue] = ACTIONS(760),
    [anon_sym_return] = ACTIONS(760),
    [anon_sym_yield] = ACTIONS(760),
    [anon_sym_synchronized] = ACTIONS(760),
    [anon_sym_throw] = ACTIONS(760),
    [anon_sym_try] = ACTIONS(760),
    [anon_sym_if] = ACTIONS(760),
    [anon_sym_else] = ACTIONS(760),
    [anon_sym_for] = ACTIONS(760),
    [anon_sym_AT] = ACTIONS(760),
    [anon_sym_open] = ACTIONS(760),
    [anon_sym_module] = ACTIONS(760),
    [anon_sym_static] = ACTIONS(760),
    [anon_sym_with] = ACTIONS(760),
    [anon_sym_package] = ACTIONS(760),
    [anon_sym_import] = ACTIONS(760),
    [anon_sym_enum] = ACTIONS(760),
    [anon_sym_public] = ACTIONS(760),
    [anon_sym_protected] = ACTIONS(760),
    [anon_sym_private] = ACTIONS(760),
    [anon_sym_abstract] = ACTIONS(760),
    [anon_sym_strictfp] = ACTIONS(760),
    [anon_sym_native] = ACTIONS(760),
    [anon_sym_transient] = ACTIONS(760),
    [anon_sym_volatile] = ACTIONS(760),
    [anon_sym_sealed] = ACTIONS(760),
    [anon_sym_non_DASHsealed] = ACTIONS(758),
    [anon_sym_record] = ACTIONS(760),
    [anon_sym_ATinterface] = ACTIONS(758),
    [anon_sym_interface] = ACTIONS(760),
    [anon_sym_byte] = ACTIONS(760),
    [anon_sym_short] = ACTIONS(760),
    [anon_sym_int] = ACTIONS(760),
    [anon_sym_long] = ACTIONS(760),
    [anon_sym_char] = ACTIONS(760),
    [anon_sym_float] = ACTIONS(760),
    [anon_sym_double] = ACTIONS(760),
    [sym_boolean_type] = ACTIONS(760),
    [sym_void_type] = ACTIONS(760),
    [sym_this] = ACTIONS(760),
    [sym_super] = ACTIONS(760),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(762),
    [sym_identifier] = ACTIONS(764),
    [sym_decimal_integer_literal] = ACTIONS(764),
    [sym_hex_integer_literal] = ACTIONS(764),
    [sym_octal_integer_literal] = ACTIONS(764),
    [sym_binary_integer_literal] = ACTIONS(762),
    [sym_decimal_floating_point_literal] = ACTIONS(762),
    [sym_hex_floating_point_literal] = ACTIONS(764),
    [sym_true] = ACTIONS(764),
    [sym_false] = ACTIONS(764),
    [sym_character_literal] = ACTIONS(762),
    [anon_sym_DQUOTE] = ACTIONS(764),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(762),
    [anon_sym_RBRACE] = ACTIONS(762),
    [sym_null_literal] = ACTIONS(764),
    [anon_sym_LPAREN] = ACTIONS(762),
    [anon_sym_LT] = ACTIONS(762),
    [anon_sym_PLUS] = ACTIONS(764),
    [anon_sym_DASH] = ACTIONS(764),
    [anon_sym_final] = ACTIONS(764),
    [anon_sym_BANG] = ACTIONS(762),
    [anon_sym_TILDE] = ACTIONS(762),
    [anon_sym_PLUS_PLUS] = ACTIONS(762),
    [anon_sym_DASH_DASH] = ACTIONS(762),
    [anon_sym_new] = ACTIONS(764),
    [anon_sym_class] = ACTIONS(764),
    [anon_sym_switch] = ACTIONS(764),
    [anon_sym_LBRACE] = ACTIONS(762),
    [anon_sym_case] = ACTIONS(764),
    [anon_sym_default] = ACTIONS(764),
    [anon_sym_SEMI] = ACTIONS(762),
    [anon_sym_assert] = ACTIONS(764),
    [anon_sym_do] = ACTIONS(764),
    [anon_sym_while] = ACTIONS(764),
    [anon_sym_break] = ACTIONS(764),
    [anon_sym_continue] = ACTIONS(764),
    [anon_sym_return] = ACTIONS(764),
    [anon_sym_yield] = ACTIONS(764),
    [anon_sym_synchronized] = ACTIONS(764),
    [anon_sym_throw] = ACTIONS(764),
    [anon_sym_try] = ACTIONS(764),
    [anon_sym_if] = ACTIONS(764),
    [anon_sym_else] = ACTIONS(764),
    [anon_sym_for] = ACTIONS(764),
    [anon_sym_AT] = ACTIONS(764),
    [anon_sym_open] = ACTIONS(764),
    [anon_sym_module] = ACTIONS(764),
    [anon_sym_static] = ACTIONS(764),
    [anon_sym_with] = ACTIONS(764),
    [anon_sym_package] = ACTIONS(764),
    [anon_sym_import] = ACTIONS(764),
    [anon_sym_enum] = ACTIONS(764),
    [anon_sym_public] = ACTIONS(764),
    [anon_sym_protected] = ACTIONS(764),
    [anon_sym_private] = ACTIONS(764),
    [anon_sym_abstract] = ACTIONS(764),
    [anon_sym_strictfp] = ACTIONS(764),
    [anon_sym_native] = ACTIONS(764),
    [anon_sym_transient] = ACTIONS(764),
    [anon_sym_volatile] = ACTIONS(764),
    [anon_sym_sealed] = ACTIONS(764),
    [anon_sym_non_DASHsealed] = ACTIONS(762),
    [anon_sym_record] = ACTIONS(764),
    [anon_sym_ATinterface] = ACTIONS(762),
    [anon_sym_interface] = ACTIONS(764),
    [anon_sym_byte] = ACTIONS(764),
    [anon_sym_short] = ACTIONS(764),
    [anon_sym_int] = ACTIONS(764),
    [anon_sym_long] = ACTIONS(764),
    [anon_sym_char] = ACTIONS(764),
    [anon_sym_float] = ACTIONS(764),
    [anon_sym_double] = ACTIONS(764),
    [sym_boolean_type] = ACTIONS(764),
    [sym_void_type] = ACTIONS(764),
    [sym_this] = ACTIONS(764),
    [sym_super] = ACTIONS(764),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(766),
    [sym_identifier] = ACTIONS(768),
    [sym_decimal_integer_literal] = ACTIONS(768),
    [sym_hex_integer_literal] = ACTIONS(768),
    [sym_octal_integer_literal] = ACTIONS(768),
    [sym_binary_integer_literal] = ACTIONS(766),
    [sym_decimal_floating_point_literal] = ACTIONS(766),
    [sym_hex_floating_point_literal] = ACTIONS(768),
    [sym_true] = ACTIONS(768),
    [sym_false] = ACTIONS(768),
    [sym_character_literal] = ACTIONS(766),
    [anon_sym_DQUOTE] = ACTIONS(768),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(766),
    [anon_sym_RBRACE] = ACTIONS(766),
    [sym_null_literal] = ACTIONS(768),
    [anon_sym_LPAREN] = ACTIONS(766),
    [anon_sym_LT] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(768),
    [anon_sym_DASH] = ACTIONS(768),
    [anon_sym_final] = ACTIONS(768),
    [anon_sym_BANG] = ACTIONS(766),
    [anon_sym_TILDE] = ACTIONS(766),
    [anon_sym_PLUS_PLUS] = ACTIONS(766),
    [anon_sym_DASH_DASH] = ACTIONS(766),
    [anon_sym_new] = ACTIONS(768),
    [anon_sym_class] = ACTIONS(768),
    [anon_sym_switch] = ACTIONS(768),
    [anon_sym_LBRACE] = ACTIONS(766),
    [anon_sym_case] = ACTIONS(768),
    [anon_sym_default] = ACTIONS(768),
    [anon_sym_SEMI] = ACTIONS(766),
    [anon_sym_assert] = ACTIONS(768),
    [anon_sym_do] = ACTIONS(768),
    [anon_sym_while] = ACTIONS(768),
    [anon_sym_break] = ACTIONS(768),
    [anon_sym_continue] = ACTIONS(768),
    [anon_sym_return] = ACTIONS(768),
    [anon_sym_yield] = ACTIONS(768),
    [anon_sym_synchronized] = ACTIONS(768),
    [anon_sym_throw] = ACTIONS(768),
    [anon_sym_try] = ACTIONS(768),
    [anon_sym_if] = ACTIONS(768),
    [anon_sym_else] = ACTIONS(768),
    [anon_sym_for] = ACTIONS(768),
    [anon_sym_AT] = ACTIONS(768),
    [anon_sym_open] = ACTIONS(768),
    [anon_sym_module] = ACTIONS(768),
    [anon_sym_static] = ACTIONS(768),
    [anon_sym_with] = ACTIONS(768),
    [anon_sym_package] = ACTIONS(768),
    [anon_sym_import] = ACTIONS(768),
    [anon_sym_enum] = ACTIONS(768),
    [anon_sym_public] = ACTIONS(768),
    [anon_sym_protected] = ACTIONS(768),
    [anon_sym_private] = ACTIONS(768),
    [anon_sym_abstract] = ACTIONS(768),
    [anon_sym_strictfp] = ACTIONS(768),
    [anon_sym_native] = ACTIONS(768),
    [anon_sym_transient] = ACTIONS(768),
    [anon_sym_volatile] = ACTIONS(768),
    [anon_sym_sealed] = ACTIONS(768),
    [anon_sym_non_DASHsealed] = ACTIONS(766),
    [anon_sym_record] = ACTIONS(768),
    [anon_sym_ATinterface] = ACTIONS(766),
    [anon_sym_interface] = ACTIONS(768),
    [anon_sym_byte] = ACTIONS(768),
    [anon_sym_short] = ACTIONS(768),
    [anon_sym_int] = ACTIONS(768),
    [anon_sym_long] = ACTIONS(768),
    [anon_sym_char] = ACTIONS(768),
    [anon_sym_float] = ACTIONS(768),
    [anon_sym_double] = ACTIONS(768),
    [sym_boolean_type] = ACTIONS(768),
    [sym_void_type] = ACTIONS(768),
    [sym_this] = ACTIONS(768),
    [sym_super] = ACTIONS(768),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(770),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(770),
    [sym_decimal_floating_point_literal] = ACTIONS(770),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(770),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(770),
    [anon_sym_RBRACE] = ACTIONS(770),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(770),
    [anon_sym_LT] = ACTIONS(770),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(770),
    [anon_sym_TILDE] = ACTIONS(770),
    [anon_sym_PLUS_PLUS] = ACTIONS(770),
    [anon_sym_DASH_DASH] = ACTIONS(770),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(770),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(770),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(770),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(770),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(774),
    [sym_identifier] = ACTIONS(776),
    [sym_decimal_integer_literal] = ACTIONS(776),
    [sym_hex_integer_literal] = ACTIONS(776),
    [sym_octal_integer_literal] = ACTIONS(776),
    [sym_binary_integer_literal] = ACTIONS(774),
    [sym_decimal_floating_point_literal] = ACTIONS(774),
    [sym_hex_floating_point_literal] = ACTIONS(776),
    [sym_true] = ACTIONS(776),
    [sym_false] = ACTIONS(776),
    [sym_character_literal] = ACTIONS(774),
    [anon_sym_DQUOTE] = ACTIONS(776),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(774),
    [anon_sym_RBRACE] = ACTIONS(774),
    [sym_null_literal] = ACTIONS(776),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_LT] = ACTIONS(774),
    [anon_sym_PLUS] = ACTIONS(776),
    [anon_sym_DASH] = ACTIONS(776),
    [anon_sym_final] = ACTIONS(776),
    [anon_sym_BANG] = ACTIONS(774),
    [anon_sym_TILDE] = ACTIONS(774),
    [anon_sym_PLUS_PLUS] = ACTIONS(774),
    [anon_sym_DASH_DASH] = ACTIONS(774),
    [anon_sym_new] = ACTIONS(776),
    [anon_sym_class] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(776),
    [anon_sym_LBRACE] = ACTIONS(774),
    [anon_sym_case] = ACTIONS(776),
    [anon_sym_default] = ACTIONS(776),
    [anon_sym_SEMI] = ACTIONS(774),
    [anon_sym_assert] = ACTIONS(776),
    [anon_sym_do] = ACTIONS(776),
    [anon_sym_while] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(776),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_yield] = ACTIONS(776),
    [anon_sym_synchronized] = ACTIONS(776),
    [anon_sym_throw] = ACTIONS(776),
    [anon_sym_try] = ACTIONS(776),
    [anon_sym_if] = ACTIONS(776),
    [anon_sym_else] = ACTIONS(776),
    [anon_sym_for] = ACTIONS(776),
    [anon_sym_AT] = ACTIONS(776),
    [anon_sym_open] = ACTIONS(776),
    [anon_sym_module] = ACTIONS(776),
    [anon_sym_static] = ACTIONS(776),
    [anon_sym_with] = ACTIONS(776),
    [anon_sym_package] = ACTIONS(776),
    [anon_sym_import] = ACTIONS(776),
    [anon_sym_enum] = ACTIONS(776),
    [anon_sym_public] = ACTIONS(776),
    [anon_sym_protected] = ACTIONS(776),
    [anon_sym_private] = ACTIONS(776),
    [anon_sym_abstract] = ACTIONS(776),
    [anon_sym_strictfp] = ACTIONS(776),
    [anon_sym_native] = ACTIONS(776),
    [anon_sym_transient] = ACTIONS(776),
    [anon_sym_volatile] = ACTIONS(776),
    [anon_sym_sealed] = ACTIONS(776),
    [anon_sym_non_DASHsealed] = ACTIONS(774),
    [anon_sym_record] = ACTIONS(776),
    [anon_sym_ATinterface] = ACTIONS(774),
    [anon_sym_interface] = ACTIONS(776),
    [anon_sym_byte] = ACTIONS(776),
    [anon_sym_short] = ACTIONS(776),
    [anon_sym_int] = ACTIONS(776),
    [anon_sym_long] = ACTIONS(776),
    [anon_sym_char] = ACTIONS(776),
    [anon_sym_float] = ACTIONS(776),
    [anon_sym_double] = ACTIONS(776),
    [sym_boolean_type] = ACTIONS(776),
    [sym_void_type] = ACTIONS(776),
    [sym_this] = ACTIONS(776),
    [sym_super] = ACTIONS(776),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(778),
    [sym_identifier] = ACTIONS(780),
    [sym_decimal_integer_literal] = ACTIONS(780),
    [sym_hex_integer_literal] = ACTIONS(780),
    [sym_octal_integer_literal] = ACTIONS(780),
    [sym_binary_integer_literal] = ACTIONS(778),
    [sym_decimal_floating_point_literal] = ACTIONS(778),
    [sym_hex_floating_point_literal] = ACTIONS(780),
    [sym_true] = ACTIONS(780),
    [sym_false] = ACTIONS(780),
    [sym_character_literal] = ACTIONS(778),
    [anon_sym_DQUOTE] = ACTIONS(780),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(778),
    [anon_sym_RBRACE] = ACTIONS(778),
    [sym_null_literal] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(778),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_final] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(778),
    [anon_sym_DASH_DASH] = ACTIONS(778),
    [anon_sym_new] = ACTIONS(780),
    [anon_sym_class] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(780),
    [anon_sym_default] = ACTIONS(780),
    [anon_sym_SEMI] = ACTIONS(778),
    [anon_sym_assert] = ACTIONS(780),
    [anon_sym_do] = ACTIONS(780),
    [anon_sym_while] = ACTIONS(780),
    [anon_sym_break] = ACTIONS(780),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_return] = ACTIONS(780),
    [anon_sym_yield] = ACTIONS(780),
    [anon_sym_synchronized] = ACTIONS(780),
    [anon_sym_throw] = ACTIONS(780),
    [anon_sym_try] = ACTIONS(780),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_else] = ACTIONS(780),
    [anon_sym_for] = ACTIONS(780),
    [anon_sym_AT] = ACTIONS(780),
    [anon_sym_open] = ACTIONS(780),
    [anon_sym_module] = ACTIONS(780),
    [anon_sym_static] = ACTIONS(780),
    [anon_sym_with] = ACTIONS(780),
    [anon_sym_package] = ACTIONS(780),
    [anon_sym_import] = ACTIONS(780),
    [anon_sym_enum] = ACTIONS(780),
    [anon_sym_public] = ACTIONS(780),
    [anon_sym_protected] = ACTIONS(780),
    [anon_sym_private] = ACTIONS(780),
    [anon_sym_abstract] = ACTIONS(780),
    [anon_sym_strictfp] = ACTIONS(780),
    [anon_sym_native] = ACTIONS(780),
    [anon_sym_transient] = ACTIONS(780),
    [anon_sym_volatile] = ACTIONS(780),
    [anon_sym_sealed] = ACTIONS(780),
    [anon_sym_non_DASHsealed] = ACTIONS(778),
    [anon_sym_record] = ACTIONS(780),
    [anon_sym_ATinterface] = ACTIONS(778),
    [anon_sym_interface] = ACTIONS(780),
    [anon_sym_byte] = ACTIONS(780),
    [anon_sym_short] = ACTIONS(780),
    [anon_sym_int] = ACTIONS(780),
    [anon_sym_long] = ACTIONS(780),
    [anon_sym_char] = ACTIONS(780),
    [anon_sym_float] = ACTIONS(780),
    [anon_sym_double] = ACTIONS(780),
    [sym_boolean_type] = ACTIONS(780),
    [sym_void_type] = ACTIONS(780),
    [sym_this] = ACTIONS(780),
    [sym_super] = ACTIONS(780),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(782),
    [sym_identifier] = ACTIONS(784),
    [sym_decimal_integer_literal] = ACTIONS(784),
    [sym_hex_integer_literal] = ACTIONS(784),
    [sym_octal_integer_literal] = ACTIONS(784),
    [sym_binary_integer_literal] = ACTIONS(782),
    [sym_decimal_floating_point_literal] = ACTIONS(782),
    [sym_hex_floating_point_literal] = ACTIONS(784),
    [sym_true] = ACTIONS(784),
    [sym_false] = ACTIONS(784),
    [sym_character_literal] = ACTIONS(782),
    [anon_sym_DQUOTE] = ACTIONS(784),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(782),
    [anon_sym_RBRACE] = ACTIONS(782),
    [sym_null_literal] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(782),
    [anon_sym_LT] = ACTIONS(782),
    [anon_sym_PLUS] = ACTIONS(784),
    [anon_sym_DASH] = ACTIONS(784),
    [anon_sym_final] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(782),
    [anon_sym_TILDE] = ACTIONS(782),
    [anon_sym_PLUS_PLUS] = ACTIONS(782),
    [anon_sym_DASH_DASH] = ACTIONS(782),
    [anon_sym_new] = ACTIONS(784),
    [anon_sym_class] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_LBRACE] = ACTIONS(782),
    [anon_sym_case] = ACTIONS(784),
    [anon_sym_default] = ACTIONS(784),
    [anon_sym_SEMI] = ACTIONS(782),
    [anon_sym_assert] = ACTIONS(784),
    [anon_sym_do] = ACTIONS(784),
    [anon_sym_while] = ACTIONS(784),
    [anon_sym_break] = ACTIONS(784),
    [anon_sym_continue] = ACTIONS(784),
    [anon_sym_return] = ACTIONS(784),
    [anon_sym_yield] = ACTIONS(784),
    [anon_sym_synchronized] = ACTIONS(784),
    [anon_sym_throw] = ACTIONS(784),
    [anon_sym_try] = ACTIONS(784),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_else] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_AT] = ACTIONS(784),
    [anon_sym_open] = ACTIONS(784),
    [anon_sym_module] = ACTIONS(784),
    [anon_sym_static] = ACTIONS(784),
    [anon_sym_with] = ACTIONS(784),
    [anon_sym_package] = ACTIONS(784),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_enum] = ACTIONS(784),
    [anon_sym_public] = ACTIONS(784),
    [anon_sym_protected] = ACTIONS(784),
    [anon_sym_private] = ACTIONS(784),
    [anon_sym_abstract] = ACTIONS(784),
    [anon_sym_strictfp] = ACTIONS(784),
    [anon_sym_native] = ACTIONS(784),
    [anon_sym_transient] = ACTIONS(784),
    [anon_sym_volatile] = ACTIONS(784),
    [anon_sym_sealed] = ACTIONS(784),
    [anon_sym_non_DASHsealed] = ACTIONS(782),
    [anon_sym_record] = ACTIONS(784),
    [anon_sym_ATinterface] = ACTIONS(782),
    [anon_sym_interface] = ACTIONS(784),
    [anon_sym_byte] = ACTIONS(784),
    [anon_sym_short] = ACTIONS(784),
    [anon_sym_int] = ACTIONS(784),
    [anon_sym_long] = ACTIONS(784),
    [anon_sym_char] = ACTIONS(784),
    [anon_sym_float] = ACTIONS(784),
    [anon_sym_double] = ACTIONS(784),
    [sym_boolean_type] = ACTIONS(784),
    [sym_void_type] = ACTIONS(784),
    [sym_this] = ACTIONS(784),
    [sym_super] = ACTIONS(784),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(786),
    [sym_identifier] = ACTIONS(788),
    [sym_decimal_integer_literal] = ACTIONS(788),
    [sym_hex_integer_literal] = ACTIONS(788),
    [sym_octal_integer_literal] = ACTIONS(788),
    [sym_binary_integer_literal] = ACTIONS(786),
    [sym_decimal_floating_point_literal] = ACTIONS(786),
    [sym_hex_floating_point_literal] = ACTIONS(788),
    [sym_true] = ACTIONS(788),
    [sym_false] = ACTIONS(788),
    [sym_character_literal] = ACTIONS(786),
    [anon_sym_DQUOTE] = ACTIONS(788),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(786),
    [anon_sym_RBRACE] = ACTIONS(786),
    [sym_null_literal] = ACTIONS(788),
    [anon_sym_LPAREN] = ACTIONS(786),
    [anon_sym_LT] = ACTIONS(786),
    [anon_sym_PLUS] = ACTIONS(788),
    [anon_sym_DASH] = ACTIONS(788),
    [anon_sym_final] = ACTIONS(788),
    [anon_sym_BANG] = ACTIONS(786),
    [anon_sym_TILDE] = ACTIONS(786),
    [anon_sym_PLUS_PLUS] = ACTIONS(786),
    [anon_sym_DASH_DASH] = ACTIONS(786),
    [anon_sym_new] = ACTIONS(788),
    [anon_sym_class] = ACTIONS(788),
    [anon_sym_switch] = ACTIONS(788),
    [anon_sym_LBRACE] = ACTIONS(786),
    [anon_sym_case] = ACTIONS(788),
    [anon_sym_default] = ACTIONS(788),
    [anon_sym_SEMI] = ACTIONS(786),
    [anon_sym_assert] = ACTIONS(788),
    [anon_sym_do] = ACTIONS(788),
    [anon_sym_while] = ACTIONS(788),
    [anon_sym_break] = ACTIONS(788),
    [anon_sym_continue] = ACTIONS(788),
    [anon_sym_return] = ACTIONS(788),
    [anon_sym_yield] = ACTIONS(788),
    [anon_sym_synchronized] = ACTIONS(788),
    [anon_sym_throw] = ACTIONS(788),
    [anon_sym_try] = ACTIONS(788),
    [anon_sym_if] = ACTIONS(788),
    [anon_sym_else] = ACTIONS(788),
    [anon_sym_for] = ACTIONS(788),
    [anon_sym_AT] = ACTIONS(788),
    [anon_sym_open] = ACTIONS(788),
    [anon_sym_module] = ACTIONS(788),
    [anon_sym_static] = ACTIONS(788),
    [anon_sym_with] = ACTIONS(788),
    [anon_sym_package] = ACTIONS(788),
    [anon_sym_import] = ACTIONS(788),
    [anon_sym_enum] = ACTIONS(788),
    [anon_sym_public] = ACTIONS(788),
    [anon_sym_protected] = ACTIONS(788),
    [anon_sym_private] = ACTIONS(788),
    [anon_sym_abstract] = ACTIONS(788),
    [anon_sym_strictfp] = ACTIONS(788),
    [anon_sym_native] = ACTIONS(788),
    [anon_sym_transient] = ACTIONS(788),
    [anon_sym_volatile] = ACTIONS(788),
    [anon_sym_sealed] = ACTIONS(788),
    [anon_sym_non_DASHsealed] = ACTIONS(786),
    [anon_sym_record] = ACTIONS(788),
    [anon_sym_ATinterface] = ACTIONS(786),
    [anon_sym_interface] = ACTIONS(788),
    [anon_sym_byte] = ACTIONS(788),
    [anon_sym_short] = ACTIONS(788),
    [anon_sym_int] = ACTIONS(788),
    [anon_sym_long] = ACTIONS(788),
    [anon_sym_char] = ACTIONS(788),
    [anon_sym_float] = ACTIONS(788),
    [anon_sym_double] = ACTIONS(788),
    [sym_boolean_type] = ACTIONS(788),
    [sym_void_type] = ACTIONS(788),
    [sym_this] = ACTIONS(788),
    [sym_super] = ACTIONS(788),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(790),
    [sym_identifier] = ACTIONS(792),
    [sym_decimal_integer_literal] = ACTIONS(792),
    [sym_hex_integer_literal] = ACTIONS(792),
    [sym_octal_integer_literal] = ACTIONS(792),
    [sym_binary_integer_literal] = ACTIONS(790),
    [sym_decimal_floating_point_literal] = ACTIONS(790),
    [sym_hex_floating_point_literal] = ACTIONS(792),
    [sym_true] = ACTIONS(792),
    [sym_false] = ACTIONS(792),
    [sym_character_literal] = ACTIONS(790),
    [anon_sym_DQUOTE] = ACTIONS(792),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(790),
    [anon_sym_RBRACE] = ACTIONS(790),
    [sym_null_literal] = ACTIONS(792),
    [anon_sym_LPAREN] = ACTIONS(790),
    [anon_sym_LT] = ACTIONS(790),
    [anon_sym_PLUS] = ACTIONS(792),
    [anon_sym_DASH] = ACTIONS(792),
    [anon_sym_final] = ACTIONS(792),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_PLUS_PLUS] = ACTIONS(790),
    [anon_sym_DASH_DASH] = ACTIONS(790),
    [anon_sym_new] = ACTIONS(792),
    [anon_sym_class] = ACTIONS(792),
    [anon_sym_switch] = ACTIONS(792),
    [anon_sym_LBRACE] = ACTIONS(790),
    [anon_sym_case] = ACTIONS(792),
    [anon_sym_default] = ACTIONS(792),
    [anon_sym_SEMI] = ACTIONS(790),
    [anon_sym_assert] = ACTIONS(792),
    [anon_sym_do] = ACTIONS(792),
    [anon_sym_while] = ACTIONS(792),
    [anon_sym_break] = ACTIONS(792),
    [anon_sym_continue] = ACTIONS(792),
    [anon_sym_return] = ACTIONS(792),
    [anon_sym_yield] = ACTIONS(792),
    [anon_sym_synchronized] = ACTIONS(792),
    [anon_sym_throw] = ACTIONS(792),
    [anon_sym_try] = ACTIONS(792),
    [anon_sym_if] = ACTIONS(792),
    [anon_sym_else] = ACTIONS(792),
    [anon_sym_for] = ACTIONS(792),
    [anon_sym_AT] = ACTIONS(792),
    [anon_sym_open] = ACTIONS(792),
    [anon_sym_module] = ACTIONS(792),
    [anon_sym_static] = ACTIONS(792),
    [anon_sym_with] = ACTIONS(792),
    [anon_sym_package] = ACTIONS(792),
    [anon_sym_import] = ACTIONS(792),
    [anon_sym_enum] = ACTIONS(792),
    [anon_sym_public] = ACTIONS(792),
    [anon_sym_protected] = ACTIONS(792),
    [anon_sym_private] = ACTIONS(792),
    [anon_sym_abstract] = ACTIONS(792),
    [anon_sym_strictfp] = ACTIONS(792),
    [anon_sym_native] = ACTIONS(792),
    [anon_sym_transient] = ACTIONS(792),
    [anon_sym_volatile] = ACTIONS(792),
    [anon_sym_sealed] = ACTIONS(792),
    [anon_sym_non_DASHsealed] = ACTIONS(790),
    [anon_sym_record] = ACTIONS(792),
    [anon_sym_ATinterface] = ACTIONS(790),
    [anon_sym_interface] = ACTIONS(792),
    [anon_sym_byte] = ACTIONS(792),
    [anon_sym_short] = ACTIONS(792),
    [anon_sym_int] = ACTIONS(792),
    [anon_sym_long] = ACTIONS(792),
    [anon_sym_char] = ACTIONS(792),
    [anon_sym_float] = ACTIONS(792),
    [anon_sym_double] = ACTIONS(792),
    [sym_boolean_type] = ACTIONS(792),
    [sym_void_type] = ACTIONS(792),
    [sym_this] = ACTIONS(792),
    [sym_super] = ACTIONS(792),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(794),
    [sym_identifier] = ACTIONS(796),
    [sym_decimal_integer_literal] = ACTIONS(796),
    [sym_hex_integer_literal] = ACTIONS(796),
    [sym_octal_integer_literal] = ACTIONS(796),
    [sym_binary_integer_literal] = ACTIONS(794),
    [sym_decimal_floating_point_literal] = ACTIONS(794),
    [sym_hex_floating_point_literal] = ACTIONS(796),
    [sym_true] = ACTIONS(796),
    [sym_false] = ACTIONS(796),
    [sym_character_literal] = ACTIONS(794),
    [anon_sym_DQUOTE] = ACTIONS(796),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(794),
    [anon_sym_RBRACE] = ACTIONS(794),
    [sym_null_literal] = ACTIONS(796),
    [anon_sym_LPAREN] = ACTIONS(794),
    [anon_sym_LT] = ACTIONS(794),
    [anon_sym_PLUS] = ACTIONS(796),
    [anon_sym_DASH] = ACTIONS(796),
    [anon_sym_final] = ACTIONS(796),
    [anon_sym_BANG] = ACTIONS(794),
    [anon_sym_TILDE] = ACTIONS(794),
    [anon_sym_PLUS_PLUS] = ACTIONS(794),
    [anon_sym_DASH_DASH] = ACTIONS(794),
    [anon_sym_new] = ACTIONS(796),
    [anon_sym_class] = ACTIONS(796),
    [anon_sym_switch] = ACTIONS(796),
    [anon_sym_LBRACE] = ACTIONS(794),
    [anon_sym_case] = ACTIONS(796),
    [anon_sym_default] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(794),
    [anon_sym_assert] = ACTIONS(796),
    [anon_sym_do] = ACTIONS(796),
    [anon_sym_while] = ACTIONS(796),
    [anon_sym_break] = ACTIONS(796),
    [anon_sym_continue] = ACTIONS(796),
    [anon_sym_return] = ACTIONS(796),
    [anon_sym_yield] = ACTIONS(796),
    [anon_sym_synchronized] = ACTIONS(796),
    [anon_sym_throw] = ACTIONS(796),
    [anon_sym_try] = ACTIONS(796),
    [anon_sym_if] = ACTIONS(796),
    [anon_sym_else] = ACTIONS(796),
    [anon_sym_for] = ACTIONS(796),
    [anon_sym_AT] = ACTIONS(796),
    [anon_sym_open] = ACTIONS(796),
    [anon_sym_module] = ACTIONS(796),
    [anon_sym_static] = ACTIONS(796),
    [anon_sym_with] = ACTIONS(796),
    [anon_sym_package] = ACTIONS(796),
    [anon_sym_import] = ACTIONS(796),
    [anon_sym_enum] = ACTIONS(796),
    [anon_sym_public] = ACTIONS(796),
    [anon_sym_protected] = ACTIONS(796),
    [anon_sym_private] = ACTIONS(796),
    [anon_sym_abstract] = ACTIONS(796),
    [anon_sym_strictfp] = ACTIONS(796),
    [anon_sym_native] = ACTIONS(796),
    [anon_sym_transient] = ACTIONS(796),
    [anon_sym_volatile] = ACTIONS(796),
    [anon_sym_sealed] = ACTIONS(796),
    [anon_sym_non_DASHsealed] = ACTIONS(794),
    [anon_sym_record] = ACTIONS(796),
    [anon_sym_ATinterface] = ACTIONS(794),
    [anon_sym_interface] = ACTIONS(796),
    [anon_sym_byte] = ACTIONS(796),
    [anon_sym_short] = ACTIONS(796),
    [anon_sym_int] = ACTIONS(796),
    [anon_sym_long] = ACTIONS(796),
    [anon_sym_char] = ACTIONS(796),
    [anon_sym_float] = ACTIONS(796),
    [anon_sym_double] = ACTIONS(796),
    [sym_boolean_type] = ACTIONS(796),
    [sym_void_type] = ACTIONS(796),
    [sym_this] = ACTIONS(796),
    [sym_super] = ACTIONS(796),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(798),
    [sym_identifier] = ACTIONS(800),
    [sym_decimal_integer_literal] = ACTIONS(800),
    [sym_hex_integer_literal] = ACTIONS(800),
    [sym_octal_integer_literal] = ACTIONS(800),
    [sym_binary_integer_literal] = ACTIONS(798),
    [sym_decimal_floating_point_literal] = ACTIONS(798),
    [sym_hex_floating_point_literal] = ACTIONS(800),
    [sym_true] = ACTIONS(800),
    [sym_false] = ACTIONS(800),
    [sym_character_literal] = ACTIONS(798),
    [anon_sym_DQUOTE] = ACTIONS(800),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(798),
    [anon_sym_RBRACE] = ACTIONS(798),
    [sym_null_literal] = ACTIONS(800),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_LT] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(800),
    [anon_sym_DASH] = ACTIONS(800),
    [anon_sym_final] = ACTIONS(800),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_TILDE] = ACTIONS(798),
    [anon_sym_PLUS_PLUS] = ACTIONS(798),
    [anon_sym_DASH_DASH] = ACTIONS(798),
    [anon_sym_new] = ACTIONS(800),
    [anon_sym_class] = ACTIONS(800),
    [anon_sym_switch] = ACTIONS(800),
    [anon_sym_LBRACE] = ACTIONS(798),
    [anon_sym_case] = ACTIONS(800),
    [anon_sym_default] = ACTIONS(800),
    [anon_sym_SEMI] = ACTIONS(798),
    [anon_sym_assert] = ACTIONS(800),
    [anon_sym_do] = ACTIONS(800),
    [anon_sym_while] = ACTIONS(800),
    [anon_sym_break] = ACTIONS(800),
    [anon_sym_continue] = ACTIONS(800),
    [anon_sym_return] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(800),
    [anon_sym_synchronized] = ACTIONS(800),
    [anon_sym_throw] = ACTIONS(800),
    [anon_sym_try] = ACTIONS(800),
    [anon_sym_if] = ACTIONS(800),
    [anon_sym_else] = ACTIONS(800),
    [anon_sym_for] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(800),
    [anon_sym_open] = ACTIONS(800),
    [anon_sym_module] = ACTIONS(800),
    [anon_sym_static] = ACTIONS(800),
    [anon_sym_with] = ACTIONS(800),
    [anon_sym_package] = ACTIONS(800),
    [anon_sym_import] = ACTIONS(800),
    [anon_sym_enum] = ACTIONS(800),
    [anon_sym_public] = ACTIONS(800),
    [anon_sym_protected] = ACTIONS(800),
    [anon_sym_private] = ACTIONS(800),
    [anon_sym_abstract] = ACTIONS(800),
    [anon_sym_strictfp] = ACTIONS(800),
    [anon_sym_native] = ACTIONS(800),
    [anon_sym_transient] = ACTIONS(800),
    [anon_sym_volatile] = ACTIONS(800),
    [anon_sym_sealed] = ACTIONS(800),
    [anon_sym_non_DASHsealed] = ACTIONS(798),
    [anon_sym_record] = ACTIONS(800),
    [anon_sym_ATinterface] = ACTIONS(798),
    [anon_sym_interface] = ACTIONS(800),
    [anon_sym_byte] = ACTIONS(800),
    [anon_sym_short] = ACTIONS(800),
    [anon_sym_int] = ACTIONS(800),
    [anon_sym_long] = ACTIONS(800),
    [anon_sym_char] = ACTIONS(800),
    [anon_sym_float] = ACTIONS(800),
    [anon_sym_double] = ACTIONS(800),
    [sym_boolean_type] = ACTIONS(800),
    [sym_void_type] = ACTIONS(800),
    [sym_this] = ACTIONS(800),
    [sym_super] = ACTIONS(800),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(802),
    [sym_identifier] = ACTIONS(804),
    [sym_decimal_integer_literal] = ACTIONS(804),
    [sym_hex_integer_literal] = ACTIONS(804),
    [sym_octal_integer_literal] = ACTIONS(804),
    [sym_binary_integer_literal] = ACTIONS(802),
    [sym_decimal_floating_point_literal] = ACTIONS(802),
    [sym_hex_floating_point_literal] = ACTIONS(804),
    [sym_true] = ACTIONS(804),
    [sym_false] = ACTIONS(804),
    [sym_character_literal] = ACTIONS(802),
    [anon_sym_DQUOTE] = ACTIONS(804),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(802),
    [anon_sym_RBRACE] = ACTIONS(802),
    [sym_null_literal] = ACTIONS(804),
    [anon_sym_LPAREN] = ACTIONS(802),
    [anon_sym_LT] = ACTIONS(802),
    [anon_sym_PLUS] = ACTIONS(804),
    [anon_sym_DASH] = ACTIONS(804),
    [anon_sym_final] = ACTIONS(804),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_TILDE] = ACTIONS(802),
    [anon_sym_PLUS_PLUS] = ACTIONS(802),
    [anon_sym_DASH_DASH] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(804),
    [anon_sym_class] = ACTIONS(804),
    [anon_sym_switch] = ACTIONS(804),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_case] = ACTIONS(804),
    [anon_sym_default] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(802),
    [anon_sym_assert] = ACTIONS(804),
    [anon_sym_do] = ACTIONS(804),
    [anon_sym_while] = ACTIONS(804),
    [anon_sym_break] = ACTIONS(804),
    [anon_sym_continue] = ACTIONS(804),
    [anon_sym_return] = ACTIONS(804),
    [anon_sym_yield] = ACTIONS(804),
    [anon_sym_synchronized] = ACTIONS(804),
    [anon_sym_throw] = ACTIONS(804),
    [anon_sym_try] = ACTIONS(804),
    [anon_sym_if] = ACTIONS(804),
    [anon_sym_else] = ACTIONS(804),
    [anon_sym_for] = ACTIONS(804),
    [anon_sym_AT] = ACTIONS(804),
    [anon_sym_open] = ACTIONS(804),
    [anon_sym_module] = ACTIONS(804),
    [anon_sym_static] = ACTIONS(804),
    [anon_sym_with] = ACTIONS(804),
    [anon_sym_package] = ACTIONS(804),
    [anon_sym_import] = ACTIONS(804),
    [anon_sym_enum] = ACTIONS(804),
    [anon_sym_public] = ACTIONS(804),
    [anon_sym_protected] = ACTIONS(804),
    [anon_sym_private] = ACTIONS(804),
    [anon_sym_abstract] = ACTIONS(804),
    [anon_sym_strictfp] = ACTIONS(804),
    [anon_sym_native] = ACTIONS(804),
    [anon_sym_transient] = ACTIONS(804),
    [anon_sym_volatile] = ACTIONS(804),
    [anon_sym_sealed] = ACTIONS(804),
    [anon_sym_non_DASHsealed] = ACTIONS(802),
    [anon_sym_record] = ACTIONS(804),
    [anon_sym_ATinterface] = ACTIONS(802),
    [anon_sym_interface] = ACTIONS(804),
    [anon_sym_byte] = ACTIONS(804),
    [anon_sym_short] = ACTIONS(804),
    [anon_sym_int] = ACTIONS(804),
    [anon_sym_long] = ACTIONS(804),
    [anon_sym_char] = ACTIONS(804),
    [anon_sym_float] = ACTIONS(804),
    [anon_sym_double] = ACTIONS(804),
    [sym_boolean_type] = ACTIONS(804),
    [sym_void_type] = ACTIONS(804),
    [sym_this] = ACTIONS(804),
    [sym_super] = ACTIONS(804),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(806),
    [sym_identifier] = ACTIONS(808),
    [sym_decimal_integer_literal] = ACTIONS(808),
    [sym_hex_integer_literal] = ACTIONS(808),
    [sym_octal_integer_literal] = ACTIONS(808),
    [sym_binary_integer_literal] = ACTIONS(806),
    [sym_decimal_floating_point_literal] = ACTIONS(806),
    [sym_hex_floating_point_literal] = ACTIONS(808),
    [sym_true] = ACTIONS(808),
    [sym_false] = ACTIONS(808),
    [sym_character_literal] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(808),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(806),
    [anon_sym_RBRACE] = ACTIONS(806),
    [sym_null_literal] = ACTIONS(808),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_LT] = ACTIONS(806),
    [anon_sym_PLUS] = ACTIONS(808),
    [anon_sym_DASH] = ACTIONS(808),
    [anon_sym_final] = ACTIONS(808),
    [anon_sym_BANG] = ACTIONS(806),
    [anon_sym_TILDE] = ACTIONS(806),
    [anon_sym_PLUS_PLUS] = ACTIONS(806),
    [anon_sym_DASH_DASH] = ACTIONS(806),
    [anon_sym_new] = ACTIONS(808),
    [anon_sym_class] = ACTIONS(808),
    [anon_sym_switch] = ACTIONS(808),
    [anon_sym_LBRACE] = ACTIONS(806),
    [anon_sym_case] = ACTIONS(808),
    [anon_sym_default] = ACTIONS(808),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_assert] = ACTIONS(808),
    [anon_sym_do] = ACTIONS(808),
    [anon_sym_while] = ACTIONS(808),
    [anon_sym_break] = ACTIONS(808),
    [anon_sym_continue] = ACTIONS(808),
    [anon_sym_return] = ACTIONS(808),
    [anon_sym_yield] = ACTIONS(808),
    [anon_sym_synchronized] = ACTIONS(808),
    [anon_sym_throw] = ACTIONS(808),
    [anon_sym_try] = ACTIONS(808),
    [anon_sym_if] = ACTIONS(808),
    [anon_sym_else] = ACTIONS(808),
    [anon_sym_for] = ACTIONS(808),
    [anon_sym_AT] = ACTIONS(808),
    [anon_sym_open] = ACTIONS(808),
    [anon_sym_module] = ACTIONS(808),
    [anon_sym_static] = ACTIONS(808),
    [anon_sym_with] = ACTIONS(808),
    [anon_sym_package] = ACTIONS(808),
    [anon_sym_import] = ACTIONS(808),
    [anon_sym_enum] = ACTIONS(808),
    [anon_sym_public] = ACTIONS(808),
    [anon_sym_protected] = ACTIONS(808),
    [anon_sym_private] = ACTIONS(808),
    [anon_sym_abstract] = ACTIONS(808),
    [anon_sym_strictfp] = ACTIONS(808),
    [anon_sym_native] = ACTIONS(808),
    [anon_sym_transient] = ACTIONS(808),
    [anon_sym_volatile] = ACTIONS(808),
    [anon_sym_sealed] = ACTIONS(808),
    [anon_sym_non_DASHsealed] = ACTIONS(806),
    [anon_sym_record] = ACTIONS(808),
    [anon_sym_ATinterface] = ACTIONS(806),
    [anon_sym_interface] = ACTIONS(808),
    [anon_sym_byte] = ACTIONS(808),
    [anon_sym_short] = ACTIONS(808),
    [anon_sym_int] = ACTIONS(808),
    [anon_sym_long] = ACTIONS(808),
    [anon_sym_char] = ACTIONS(808),
    [anon_sym_float] = ACTIONS(808),
    [anon_sym_double] = ACTIONS(808),
    [sym_boolean_type] = ACTIONS(808),
    [sym_void_type] = ACTIONS(808),
    [sym_this] = ACTIONS(808),
    [sym_super] = ACTIONS(808),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(812),
    [sym_decimal_integer_literal] = ACTIONS(812),
    [sym_hex_integer_literal] = ACTIONS(812),
    [sym_octal_integer_literal] = ACTIONS(812),
    [sym_binary_integer_literal] = ACTIONS(810),
    [sym_decimal_floating_point_literal] = ACTIONS(810),
    [sym_hex_floating_point_literal] = ACTIONS(812),
    [sym_true] = ACTIONS(812),
    [sym_false] = ACTIONS(812),
    [sym_character_literal] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(812),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(810),
    [anon_sym_RBRACE] = ACTIONS(810),
    [sym_null_literal] = ACTIONS(812),
    [anon_sym_LPAREN] = ACTIONS(810),
    [anon_sym_LT] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(812),
    [anon_sym_DASH] = ACTIONS(812),
    [anon_sym_final] = ACTIONS(812),
    [anon_sym_BANG] = ACTIONS(810),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(812),
    [anon_sym_class] = ACTIONS(812),
    [anon_sym_switch] = ACTIONS(812),
    [anon_sym_LBRACE] = ACTIONS(810),
    [anon_sym_case] = ACTIONS(812),
    [anon_sym_default] = ACTIONS(812),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_assert] = ACTIONS(812),
    [anon_sym_do] = ACTIONS(812),
    [anon_sym_while] = ACTIONS(812),
    [anon_sym_break] = ACTIONS(812),
    [anon_sym_continue] = ACTIONS(812),
    [anon_sym_return] = ACTIONS(812),
    [anon_sym_yield] = ACTIONS(812),
    [anon_sym_synchronized] = ACTIONS(812),
    [anon_sym_throw] = ACTIONS(812),
    [anon_sym_try] = ACTIONS(812),
    [anon_sym_if] = ACTIONS(812),
    [anon_sym_else] = ACTIONS(812),
    [anon_sym_for] = ACTIONS(812),
    [anon_sym_AT] = ACTIONS(812),
    [anon_sym_open] = ACTIONS(812),
    [anon_sym_module] = ACTIONS(812),
    [anon_sym_static] = ACTIONS(812),
    [anon_sym_with] = ACTIONS(812),
    [anon_sym_package] = ACTIONS(812),
    [anon_sym_import] = ACTIONS(812),
    [anon_sym_enum] = ACTIONS(812),
    [anon_sym_public] = ACTIONS(812),
    [anon_sym_protected] = ACTIONS(812),
    [anon_sym_private] = ACTIONS(812),
    [anon_sym_abstract] = ACTIONS(812),
    [anon_sym_strictfp] = ACTIONS(812),
    [anon_sym_native] = ACTIONS(812),
    [anon_sym_transient] = ACTIONS(812),
    [anon_sym_volatile] = ACTIONS(812),
    [anon_sym_sealed] = ACTIONS(812),
    [anon_sym_non_DASHsealed] = ACTIONS(810),
    [anon_sym_record] = ACTIONS(812),
    [anon_sym_ATinterface] = ACTIONS(810),
    [anon_sym_interface] = ACTIONS(812),
    [anon_sym_byte] = ACTIONS(812),
    [anon_sym_short] = ACTIONS(812),
    [anon_sym_int] = ACTIONS(812),
    [anon_sym_long] = ACTIONS(812),
    [anon_sym_char] = ACTIONS(812),
    [anon_sym_float] = ACTIONS(812),
    [anon_sym_double] = ACTIONS(812),
    [sym_boolean_type] = ACTIONS(812),
    [sym_void_type] = ACTIONS(812),
    [sym_this] = ACTIONS(812),
    [sym_super] = ACTIONS(812),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(814),
    [sym_identifier] = ACTIONS(816),
    [sym_decimal_integer_literal] = ACTIONS(816),
    [sym_hex_integer_literal] = ACTIONS(816),
    [sym_octal_integer_literal] = ACTIONS(816),
    [sym_binary_integer_literal] = ACTIONS(814),
    [sym_decimal_floating_point_literal] = ACTIONS(814),
    [sym_hex_floating_point_literal] = ACTIONS(816),
    [sym_true] = ACTIONS(816),
    [sym_false] = ACTIONS(816),
    [sym_character_literal] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(816),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(814),
    [anon_sym_RBRACE] = ACTIONS(814),
    [sym_null_literal] = ACTIONS(816),
    [anon_sym_LPAREN] = ACTIONS(814),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_PLUS] = ACTIONS(816),
    [anon_sym_DASH] = ACTIONS(816),
    [anon_sym_final] = ACTIONS(816),
    [anon_sym_BANG] = ACTIONS(814),
    [anon_sym_TILDE] = ACTIONS(814),
    [anon_sym_PLUS_PLUS] = ACTIONS(814),
    [anon_sym_DASH_DASH] = ACTIONS(814),
    [anon_sym_new] = ACTIONS(816),
    [anon_sym_class] = ACTIONS(816),
    [anon_sym_switch] = ACTIONS(816),
    [anon_sym_LBRACE] = ACTIONS(814),
    [anon_sym_case] = ACTIONS(816),
    [anon_sym_default] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(814),
    [anon_sym_assert] = ACTIONS(816),
    [anon_sym_do] = ACTIONS(816),
    [anon_sym_while] = ACTIONS(816),
    [anon_sym_break] = ACTIONS(816),
    [anon_sym_continue] = ACTIONS(816),
    [anon_sym_return] = ACTIONS(816),
    [anon_sym_yield] = ACTIONS(816),
    [anon_sym_synchronized] = ACTIONS(816),
    [anon_sym_throw] = ACTIONS(816),
    [anon_sym_try] = ACTIONS(816),
    [anon_sym_if] = ACTIONS(816),
    [anon_sym_else] = ACTIONS(816),
    [anon_sym_for] = ACTIONS(816),
    [anon_sym_AT] = ACTIONS(816),
    [anon_sym_open] = ACTIONS(816),
    [anon_sym_module] = ACTIONS(816),
    [anon_sym_static] = ACTIONS(816),
    [anon_sym_with] = ACTIONS(816),
    [anon_sym_package] = ACTIONS(816),
    [anon_sym_import] = ACTIONS(816),
    [anon_sym_enum] = ACTIONS(816),
    [anon_sym_public] = ACTIONS(816),
    [anon_sym_protected] = ACTIONS(816),
    [anon_sym_private] = ACTIONS(816),
    [anon_sym_abstract] = ACTIONS(816),
    [anon_sym_strictfp] = ACTIONS(816),
    [anon_sym_native] = ACTIONS(816),
    [anon_sym_transient] = ACTIONS(816),
    [anon_sym_volatile] = ACTIONS(816),
    [anon_sym_sealed] = ACTIONS(816),
    [anon_sym_non_DASHsealed] = ACTIONS(814),
    [anon_sym_record] = ACTIONS(816),
    [anon_sym_ATinterface] = ACTIONS(814),
    [anon_sym_interface] = ACTIONS(816),
    [anon_sym_byte] = ACTIONS(816),
    [anon_sym_short] = ACTIONS(816),
    [anon_sym_int] = ACTIONS(816),
    [anon_sym_long] = ACTIONS(816),
    [anon_sym_char] = ACTIONS(816),
    [anon_sym_float] = ACTIONS(816),
    [anon_sym_double] = ACTIONS(816),
    [sym_boolean_type] = ACTIONS(816),
    [sym_void_type] = ACTIONS(816),
    [sym_this] = ACTIONS(816),
    [sym_super] = ACTIONS(816),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(818),
    [sym_identifier] = ACTIONS(820),
    [sym_decimal_integer_literal] = ACTIONS(820),
    [sym_hex_integer_literal] = ACTIONS(820),
    [sym_octal_integer_literal] = ACTIONS(820),
    [sym_binary_integer_literal] = ACTIONS(818),
    [sym_decimal_floating_point_literal] = ACTIONS(818),
    [sym_hex_floating_point_literal] = ACTIONS(820),
    [sym_true] = ACTIONS(820),
    [sym_false] = ACTIONS(820),
    [sym_character_literal] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(820),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(818),
    [anon_sym_RBRACE] = ACTIONS(818),
    [sym_null_literal] = ACTIONS(820),
    [anon_sym_LPAREN] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(820),
    [anon_sym_DASH] = ACTIONS(820),
    [anon_sym_final] = ACTIONS(820),
    [anon_sym_BANG] = ACTIONS(818),
    [anon_sym_TILDE] = ACTIONS(818),
    [anon_sym_PLUS_PLUS] = ACTIONS(818),
    [anon_sym_DASH_DASH] = ACTIONS(818),
    [anon_sym_new] = ACTIONS(820),
    [anon_sym_class] = ACTIONS(820),
    [anon_sym_switch] = ACTIONS(820),
    [anon_sym_LBRACE] = ACTIONS(818),
    [anon_sym_case] = ACTIONS(820),
    [anon_sym_default] = ACTIONS(820),
    [anon_sym_SEMI] = ACTIONS(818),
    [anon_sym_assert] = ACTIONS(820),
    [anon_sym_do] = ACTIONS(820),
    [anon_sym_while] = ACTIONS(820),
    [anon_sym_break] = ACTIONS(820),
    [anon_sym_continue] = ACTIONS(820),
    [anon_sym_return] = ACTIONS(820),
    [anon_sym_yield] = ACTIONS(820),
    [anon_sym_synchronized] = ACTIONS(820),
    [anon_sym_throw] = ACTIONS(820),
    [anon_sym_try] = ACTIONS(820),
    [anon_sym_if] = ACTIONS(820),
    [anon_sym_else] = ACTIONS(820),
    [anon_sym_for] = ACTIONS(820),
    [anon_sym_AT] = ACTIONS(820),
    [anon_sym_open] = ACTIONS(820),
    [anon_sym_module] = ACTIONS(820),
    [anon_sym_static] = ACTIONS(820),
    [anon_sym_with] = ACTIONS(820),
    [anon_sym_package] = ACTIONS(820),
    [anon_sym_import] = ACTIONS(820),
    [anon_sym_enum] = ACTIONS(820),
    [anon_sym_public] = ACTIONS(820),
    [anon_sym_protected] = ACTIONS(820),
    [anon_sym_private] = ACTIONS(820),
    [anon_sym_abstract] = ACTIONS(820),
    [anon_sym_strictfp] = ACTIONS(820),
    [anon_sym_native] = ACTIONS(820),
    [anon_sym_transient] = ACTIONS(820),
    [anon_sym_volatile] = ACTIONS(820),
    [anon_sym_sealed] = ACTIONS(820),
    [anon_sym_non_DASHsealed] = ACTIONS(818),
    [anon_sym_record] = ACTIONS(820),
    [anon_sym_ATinterface] = ACTIONS(818),
    [anon_sym_interface] = ACTIONS(820),
    [anon_sym_byte] = ACTIONS(820),
    [anon_sym_short] = ACTIONS(820),
    [anon_sym_int] = ACTIONS(820),
    [anon_sym_long] = ACTIONS(820),
    [anon_sym_char] = ACTIONS(820),
    [anon_sym_float] = ACTIONS(820),
    [anon_sym_double] = ACTIONS(820),
    [sym_boolean_type] = ACTIONS(820),
    [sym_void_type] = ACTIONS(820),
    [sym_this] = ACTIONS(820),
    [sym_super] = ACTIONS(820),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(822),
    [sym_identifier] = ACTIONS(824),
    [sym_decimal_integer_literal] = ACTIONS(824),
    [sym_hex_integer_literal] = ACTIONS(824),
    [sym_octal_integer_literal] = ACTIONS(824),
    [sym_binary_integer_literal] = ACTIONS(822),
    [sym_decimal_floating_point_literal] = ACTIONS(822),
    [sym_hex_floating_point_literal] = ACTIONS(824),
    [sym_true] = ACTIONS(824),
    [sym_false] = ACTIONS(824),
    [sym_character_literal] = ACTIONS(822),
    [anon_sym_DQUOTE] = ACTIONS(824),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(822),
    [anon_sym_RBRACE] = ACTIONS(822),
    [sym_null_literal] = ACTIONS(824),
    [anon_sym_LPAREN] = ACTIONS(822),
    [anon_sym_LT] = ACTIONS(822),
    [anon_sym_PLUS] = ACTIONS(824),
    [anon_sym_DASH] = ACTIONS(824),
    [anon_sym_final] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_TILDE] = ACTIONS(822),
    [anon_sym_PLUS_PLUS] = ACTIONS(822),
    [anon_sym_DASH_DASH] = ACTIONS(822),
    [anon_sym_new] = ACTIONS(824),
    [anon_sym_class] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(824),
    [anon_sym_LBRACE] = ACTIONS(822),
    [anon_sym_case] = ACTIONS(824),
    [anon_sym_default] = ACTIONS(824),
    [anon_sym_SEMI] = ACTIONS(822),
    [anon_sym_assert] = ACTIONS(824),
    [anon_sym_do] = ACTIONS(824),
    [anon_sym_while] = ACTIONS(824),
    [anon_sym_break] = ACTIONS(824),
    [anon_sym_continue] = ACTIONS(824),
    [anon_sym_return] = ACTIONS(824),
    [anon_sym_yield] = ACTIONS(824),
    [anon_sym_synchronized] = ACTIONS(824),
    [anon_sym_throw] = ACTIONS(824),
    [anon_sym_try] = ACTIONS(824),
    [anon_sym_if] = ACTIONS(824),
    [anon_sym_else] = ACTIONS(824),
    [anon_sym_for] = ACTIONS(824),
    [anon_sym_AT] = ACTIONS(824),
    [anon_sym_open] = ACTIONS(824),
    [anon_sym_module] = ACTIONS(824),
    [anon_sym_static] = ACTIONS(824),
    [anon_sym_with] = ACTIONS(824),
    [anon_sym_package] = ACTIONS(824),
    [anon_sym_import] = ACTIONS(824),
    [anon_sym_enum] = ACTIONS(824),
    [anon_sym_public] = ACTIONS(824),
    [anon_sym_protected] = ACTIONS(824),
    [anon_sym_private] = ACTIONS(824),
    [anon_sym_abstract] = ACTIONS(824),
    [anon_sym_strictfp] = ACTIONS(824),
    [anon_sym_native] = ACTIONS(824),
    [anon_sym_transient] = ACTIONS(824),
    [anon_sym_volatile] = ACTIONS(824),
    [anon_sym_sealed] = ACTIONS(824),
    [anon_sym_non_DASHsealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(824),
    [anon_sym_ATinterface] = ACTIONS(822),
    [anon_sym_interface] = ACTIONS(824),
    [anon_sym_byte] = ACTIONS(824),
    [anon_sym_short] = ACTIONS(824),
    [anon_sym_int] = ACTIONS(824),
    [anon_sym_long] = ACTIONS(824),
    [anon_sym_char] = ACTIONS(824),
    [anon_sym_float] = ACTIONS(824),
    [anon_sym_double] = ACTIONS(824),
    [sym_boolean_type] = ACTIONS(824),
    [sym_void_type] = ACTIONS(824),
    [sym_this] = ACTIONS(824),
    [sym_super] = ACTIONS(824),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(826),
    [sym_identifier] = ACTIONS(828),
    [sym_decimal_integer_literal] = ACTIONS(828),
    [sym_hex_integer_literal] = ACTIONS(828),
    [sym_octal_integer_literal] = ACTIONS(828),
    [sym_binary_integer_literal] = ACTIONS(826),
    [sym_decimal_floating_point_literal] = ACTIONS(826),
    [sym_hex_floating_point_literal] = ACTIONS(828),
    [sym_true] = ACTIONS(828),
    [sym_false] = ACTIONS(828),
    [sym_character_literal] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(828),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(826),
    [sym_null_literal] = ACTIONS(828),
    [anon_sym_LPAREN] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(828),
    [anon_sym_DASH] = ACTIONS(828),
    [anon_sym_final] = ACTIONS(828),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(826),
    [anon_sym_DASH_DASH] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(828),
    [anon_sym_class] = ACTIONS(828),
    [anon_sym_switch] = ACTIONS(828),
    [anon_sym_LBRACE] = ACTIONS(826),
    [anon_sym_case] = ACTIONS(828),
    [anon_sym_default] = ACTIONS(828),
    [anon_sym_SEMI] = ACTIONS(826),
    [anon_sym_assert] = ACTIONS(828),
    [anon_sym_do] = ACTIONS(828),
    [anon_sym_while] = ACTIONS(828),
    [anon_sym_break] = ACTIONS(828),
    [anon_sym_continue] = ACTIONS(828),
    [anon_sym_return] = ACTIONS(828),
    [anon_sym_yield] = ACTIONS(828),
    [anon_sym_synchronized] = ACTIONS(828),
    [anon_sym_throw] = ACTIONS(828),
    [anon_sym_try] = ACTIONS(828),
    [anon_sym_if] = ACTIONS(828),
    [anon_sym_else] = ACTIONS(828),
    [anon_sym_for] = ACTIONS(828),
    [anon_sym_AT] = ACTIONS(828),
    [anon_sym_open] = ACTIONS(828),
    [anon_sym_module] = ACTIONS(828),
    [anon_sym_static] = ACTIONS(828),
    [anon_sym_with] = ACTIONS(828),
    [anon_sym_package] = ACTIONS(828),
    [anon_sym_import] = ACTIONS(828),
    [anon_sym_enum] = ACTIONS(828),
    [anon_sym_public] = ACTIONS(828),
    [anon_sym_protected] = ACTIONS(828),
    [anon_sym_private] = ACTIONS(828),
    [anon_sym_abstract] = ACTIONS(828),
    [anon_sym_strictfp] = ACTIONS(828),
    [anon_sym_native] = ACTIONS(828),
    [anon_sym_transient] = ACTIONS(828),
    [anon_sym_volatile] = ACTIONS(828),
    [anon_sym_sealed] = ACTIONS(828),
    [anon_sym_non_DASHsealed] = ACTIONS(826),
    [anon_sym_record] = ACTIONS(828),
    [anon_sym_ATinterface] = ACTIONS(826),
    [anon_sym_interface] = ACTIONS(828),
    [anon_sym_byte] = ACTIONS(828),
    [anon_sym_short] = ACTIONS(828),
    [anon_sym_int] = ACTIONS(828),
    [anon_sym_long] = ACTIONS(828),
    [anon_sym_char] = ACTIONS(828),
    [anon_sym_float] = ACTIONS(828),
    [anon_sym_double] = ACTIONS(828),
    [sym_boolean_type] = ACTIONS(828),
    [sym_void_type] = ACTIONS(828),
    [sym_this] = ACTIONS(828),
    [sym_super] = ACTIONS(828),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(830),
    [sym_identifier] = ACTIONS(832),
    [sym_decimal_integer_literal] = ACTIONS(832),
    [sym_hex_integer_literal] = ACTIONS(832),
    [sym_octal_integer_literal] = ACTIONS(832),
    [sym_binary_integer_literal] = ACTIONS(830),
    [sym_decimal_floating_point_literal] = ACTIONS(830),
    [sym_hex_floating_point_literal] = ACTIONS(832),
    [sym_true] = ACTIONS(832),
    [sym_false] = ACTIONS(832),
    [sym_character_literal] = ACTIONS(830),
    [anon_sym_DQUOTE] = ACTIONS(832),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(830),
    [anon_sym_RBRACE] = ACTIONS(830),
    [sym_null_literal] = ACTIONS(832),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(830),
    [anon_sym_PLUS] = ACTIONS(832),
    [anon_sym_DASH] = ACTIONS(832),
    [anon_sym_final] = ACTIONS(832),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_TILDE] = ACTIONS(830),
    [anon_sym_PLUS_PLUS] = ACTIONS(830),
    [anon_sym_DASH_DASH] = ACTIONS(830),
    [anon_sym_new] = ACTIONS(832),
    [anon_sym_class] = ACTIONS(832),
    [anon_sym_switch] = ACTIONS(832),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_case] = ACTIONS(832),
    [anon_sym_default] = ACTIONS(832),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym_assert] = ACTIONS(832),
    [anon_sym_do] = ACTIONS(832),
    [anon_sym_while] = ACTIONS(832),
    [anon_sym_break] = ACTIONS(832),
    [anon_sym_continue] = ACTIONS(832),
    [anon_sym_return] = ACTIONS(832),
    [anon_sym_yield] = ACTIONS(832),
    [anon_sym_synchronized] = ACTIONS(832),
    [anon_sym_throw] = ACTIONS(832),
    [anon_sym_try] = ACTIONS(832),
    [anon_sym_if] = ACTIONS(832),
    [anon_sym_else] = ACTIONS(832),
    [anon_sym_for] = ACTIONS(832),
    [anon_sym_AT] = ACTIONS(832),
    [anon_sym_open] = ACTIONS(832),
    [anon_sym_module] = ACTIONS(832),
    [anon_sym_static] = ACTIONS(832),
    [anon_sym_with] = ACTIONS(832),
    [anon_sym_package] = ACTIONS(832),
    [anon_sym_import] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(832),
    [anon_sym_public] = ACTIONS(832),
    [anon_sym_protected] = ACTIONS(832),
    [anon_sym_private] = ACTIONS(832),
    [anon_sym_abstract] = ACTIONS(832),
    [anon_sym_strictfp] = ACTIONS(832),
    [anon_sym_native] = ACTIONS(832),
    [anon_sym_transient] = ACTIONS(832),
    [anon_sym_volatile] = ACTIONS(832),
    [anon_sym_sealed] = ACTIONS(832),
    [anon_sym_non_DASHsealed] = ACTIONS(830),
    [anon_sym_record] = ACTIONS(832),
    [anon_sym_ATinterface] = ACTIONS(830),
    [anon_sym_interface] = ACTIONS(832),
    [anon_sym_byte] = ACTIONS(832),
    [anon_sym_short] = ACTIONS(832),
    [anon_sym_int] = ACTIONS(832),
    [anon_sym_long] = ACTIONS(832),
    [anon_sym_char] = ACTIONS(832),
    [anon_sym_float] = ACTIONS(832),
    [anon_sym_double] = ACTIONS(832),
    [sym_boolean_type] = ACTIONS(832),
    [sym_void_type] = ACTIONS(832),
    [sym_this] = ACTIONS(832),
    [sym_super] = ACTIONS(832),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(834),
    [sym_decimal_floating_point_literal] = ACTIONS(834),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(834),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(834),
    [anon_sym_RBRACE] = ACTIONS(834),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_PLUS_PLUS] = ACTIONS(834),
    [anon_sym_DASH_DASH] = ACTIONS(834),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_default] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(834),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(834),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(838),
    [sym_identifier] = ACTIONS(840),
    [sym_decimal_integer_literal] = ACTIONS(840),
    [sym_hex_integer_literal] = ACTIONS(840),
    [sym_octal_integer_literal] = ACTIONS(840),
    [sym_binary_integer_literal] = ACTIONS(838),
    [sym_decimal_floating_point_literal] = ACTIONS(838),
    [sym_hex_floating_point_literal] = ACTIONS(840),
    [sym_true] = ACTIONS(840),
    [sym_false] = ACTIONS(840),
    [sym_character_literal] = ACTIONS(838),
    [anon_sym_DQUOTE] = ACTIONS(840),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(838),
    [anon_sym_RBRACE] = ACTIONS(838),
    [sym_null_literal] = ACTIONS(840),
    [anon_sym_LPAREN] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_PLUS] = ACTIONS(840),
    [anon_sym_DASH] = ACTIONS(840),
    [anon_sym_final] = ACTIONS(840),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_TILDE] = ACTIONS(838),
    [anon_sym_PLUS_PLUS] = ACTIONS(838),
    [anon_sym_DASH_DASH] = ACTIONS(838),
    [anon_sym_new] = ACTIONS(840),
    [anon_sym_class] = ACTIONS(840),
    [anon_sym_switch] = ACTIONS(840),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_case] = ACTIONS(840),
    [anon_sym_default] = ACTIONS(840),
    [anon_sym_SEMI] = ACTIONS(838),
    [anon_sym_assert] = ACTIONS(840),
    [anon_sym_do] = ACTIONS(840),
    [anon_sym_while] = ACTIONS(840),
    [anon_sym_break] = ACTIONS(840),
    [anon_sym_continue] = ACTIONS(840),
    [anon_sym_return] = ACTIONS(840),
    [anon_sym_yield] = ACTIONS(840),
    [anon_sym_synchronized] = ACTIONS(840),
    [anon_sym_throw] = ACTIONS(840),
    [anon_sym_try] = ACTIONS(840),
    [anon_sym_if] = ACTIONS(840),
    [anon_sym_else] = ACTIONS(840),
    [anon_sym_for] = ACTIONS(840),
    [anon_sym_AT] = ACTIONS(840),
    [anon_sym_open] = ACTIONS(840),
    [anon_sym_module] = ACTIONS(840),
    [anon_sym_static] = ACTIONS(840),
    [anon_sym_with] = ACTIONS(840),
    [anon_sym_package] = ACTIONS(840),
    [anon_sym_import] = ACTIONS(840),
    [anon_sym_enum] = ACTIONS(840),
    [anon_sym_public] = ACTIONS(840),
    [anon_sym_protected] = ACTIONS(840),
    [anon_sym_private] = ACTIONS(840),
    [anon_sym_abstract] = ACTIONS(840),
    [anon_sym_strictfp] = ACTIONS(840),
    [anon_sym_native] = ACTIONS(840),
    [anon_sym_transient] = ACTIONS(840),
    [anon_sym_volatile] = ACTIONS(840),
    [anon_sym_sealed] = ACTIONS(840),
    [anon_sym_non_DASHsealed] = ACTIONS(838),
    [anon_sym_record] = ACTIONS(840),
    [anon_sym_ATinterface] = ACTIONS(838),
    [anon_sym_interface] = ACTIONS(840),
    [anon_sym_byte] = ACTIONS(840),
    [anon_sym_short] = ACTIONS(840),
    [anon_sym_int] = ACTIONS(840),
    [anon_sym_long] = ACTIONS(840),
    [anon_sym_char] = ACTIONS(840),
    [anon_sym_float] = ACTIONS(840),
    [anon_sym_double] = ACTIONS(840),
    [sym_boolean_type] = ACTIONS(840),
    [sym_void_type] = ACTIONS(840),
    [sym_this] = ACTIONS(840),
    [sym_super] = ACTIONS(840),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(842),
    [sym_identifier] = ACTIONS(844),
    [sym_decimal_integer_literal] = ACTIONS(844),
    [sym_hex_integer_literal] = ACTIONS(844),
    [sym_octal_integer_literal] = ACTIONS(844),
    [sym_binary_integer_literal] = ACTIONS(842),
    [sym_decimal_floating_point_literal] = ACTIONS(842),
    [sym_hex_floating_point_literal] = ACTIONS(844),
    [sym_true] = ACTIONS(844),
    [sym_false] = ACTIONS(844),
    [sym_character_literal] = ACTIONS(842),
    [anon_sym_DQUOTE] = ACTIONS(844),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(842),
    [anon_sym_RBRACE] = ACTIONS(842),
    [sym_null_literal] = ACTIONS(844),
    [anon_sym_LPAREN] = ACTIONS(842),
    [anon_sym_LT] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(844),
    [anon_sym_DASH] = ACTIONS(844),
    [anon_sym_final] = ACTIONS(844),
    [anon_sym_BANG] = ACTIONS(842),
    [anon_sym_TILDE] = ACTIONS(842),
    [anon_sym_PLUS_PLUS] = ACTIONS(842),
    [anon_sym_DASH_DASH] = ACTIONS(842),
    [anon_sym_new] = ACTIONS(844),
    [anon_sym_class] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(844),
    [anon_sym_LBRACE] = ACTIONS(842),
    [anon_sym_case] = ACTIONS(844),
    [anon_sym_default] = ACTIONS(844),
    [anon_sym_SEMI] = ACTIONS(842),
    [anon_sym_assert] = ACTIONS(844),
    [anon_sym_do] = ACTIONS(844),
    [anon_sym_while] = ACTIONS(844),
    [anon_sym_break] = ACTIONS(844),
    [anon_sym_continue] = ACTIONS(844),
    [anon_sym_return] = ACTIONS(844),
    [anon_sym_yield] = ACTIONS(844),
    [anon_sym_synchronized] = ACTIONS(844),
    [anon_sym_throw] = ACTIONS(844),
    [anon_sym_try] = ACTIONS(844),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_else] = ACTIONS(844),
    [anon_sym_for] = ACTIONS(844),
    [anon_sym_AT] = ACTIONS(844),
    [anon_sym_open] = ACTIONS(844),
    [anon_sym_module] = ACTIONS(844),
    [anon_sym_static] = ACTIONS(844),
    [anon_sym_with] = ACTIONS(844),
    [anon_sym_package] = ACTIONS(844),
    [anon_sym_import] = ACTIONS(844),
    [anon_sym_enum] = ACTIONS(844),
    [anon_sym_public] = ACTIONS(844),
    [anon_sym_protected] = ACTIONS(844),
    [anon_sym_private] = ACTIONS(844),
    [anon_sym_abstract] = ACTIONS(844),
    [anon_sym_strictfp] = ACTIONS(844),
    [anon_sym_native] = ACTIONS(844),
    [anon_sym_transient] = ACTIONS(844),
    [anon_sym_volatile] = ACTIONS(844),
    [anon_sym_sealed] = ACTIONS(844),
    [anon_sym_non_DASHsealed] = ACTIONS(842),
    [anon_sym_record] = ACTIONS(844),
    [anon_sym_ATinterface] = ACTIONS(842),
    [anon_sym_interface] = ACTIONS(844),
    [anon_sym_byte] = ACTIONS(844),
    [anon_sym_short] = ACTIONS(844),
    [anon_sym_int] = ACTIONS(844),
    [anon_sym_long] = ACTIONS(844),
    [anon_sym_char] = ACTIONS(844),
    [anon_sym_float] = ACTIONS(844),
    [anon_sym_double] = ACTIONS(844),
    [sym_boolean_type] = ACTIONS(844),
    [sym_void_type] = ACTIONS(844),
    [sym_this] = ACTIONS(844),
    [sym_super] = ACTIONS(844),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(846),
    [sym_identifier] = ACTIONS(848),
    [sym_decimal_integer_literal] = ACTIONS(848),
    [sym_hex_integer_literal] = ACTIONS(848),
    [sym_octal_integer_literal] = ACTIONS(848),
    [sym_binary_integer_literal] = ACTIONS(846),
    [sym_decimal_floating_point_literal] = ACTIONS(846),
    [sym_hex_floating_point_literal] = ACTIONS(848),
    [sym_true] = ACTIONS(848),
    [sym_false] = ACTIONS(848),
    [sym_character_literal] = ACTIONS(846),
    [anon_sym_DQUOTE] = ACTIONS(848),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(846),
    [anon_sym_RBRACE] = ACTIONS(846),
    [sym_null_literal] = ACTIONS(848),
    [anon_sym_LPAREN] = ACTIONS(846),
    [anon_sym_LT] = ACTIONS(846),
    [anon_sym_PLUS] = ACTIONS(848),
    [anon_sym_DASH] = ACTIONS(848),
    [anon_sym_final] = ACTIONS(848),
    [anon_sym_BANG] = ACTIONS(846),
    [anon_sym_TILDE] = ACTIONS(846),
    [anon_sym_PLUS_PLUS] = ACTIONS(846),
    [anon_sym_DASH_DASH] = ACTIONS(846),
    [anon_sym_new] = ACTIONS(848),
    [anon_sym_class] = ACTIONS(848),
    [anon_sym_switch] = ACTIONS(848),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_case] = ACTIONS(848),
    [anon_sym_default] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_assert] = ACTIONS(848),
    [anon_sym_do] = ACTIONS(848),
    [anon_sym_while] = ACTIONS(848),
    [anon_sym_break] = ACTIONS(848),
    [anon_sym_continue] = ACTIONS(848),
    [anon_sym_return] = ACTIONS(848),
    [anon_sym_yield] = ACTIONS(848),
    [anon_sym_synchronized] = ACTIONS(848),
    [anon_sym_throw] = ACTIONS(848),
    [anon_sym_try] = ACTIONS(848),
    [anon_sym_if] = ACTIONS(848),
    [anon_sym_else] = ACTIONS(848),
    [anon_sym_for] = ACTIONS(848),
    [anon_sym_AT] = ACTIONS(848),
    [anon_sym_open] = ACTIONS(848),
    [anon_sym_module] = ACTIONS(848),
    [anon_sym_static] = ACTIONS(848),
    [anon_sym_with] = ACTIONS(848),
    [anon_sym_package] = ACTIONS(848),
    [anon_sym_import] = ACTIONS(848),
    [anon_sym_enum] = ACTIONS(848),
    [anon_sym_public] = ACTIONS(848),
    [anon_sym_protected] = ACTIONS(848),
    [anon_sym_private] = ACTIONS(848),
    [anon_sym_abstract] = ACTIONS(848),
    [anon_sym_strictfp] = ACTIONS(848),
    [anon_sym_native] = ACTIONS(848),
    [anon_sym_transient] = ACTIONS(848),
    [anon_sym_volatile] = ACTIONS(848),
    [anon_sym_sealed] = ACTIONS(848),
    [anon_sym_non_DASHsealed] = ACTIONS(846),
    [anon_sym_record] = ACTIONS(848),
    [anon_sym_ATinterface] = ACTIONS(846),
    [anon_sym_interface] = ACTIONS(848),
    [anon_sym_byte] = ACTIONS(848),
    [anon_sym_short] = ACTIONS(848),
    [anon_sym_int] = ACTIONS(848),
    [anon_sym_long] = ACTIONS(848),
    [anon_sym_char] = ACTIONS(848),
    [anon_sym_float] = ACTIONS(848),
    [anon_sym_double] = ACTIONS(848),
    [sym_boolean_type] = ACTIONS(848),
    [sym_void_type] = ACTIONS(848),
    [sym_this] = ACTIONS(848),
    [sym_super] = ACTIONS(848),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [sym_decimal_integer_literal] = ACTIONS(852),
    [sym_hex_integer_literal] = ACTIONS(852),
    [sym_octal_integer_literal] = ACTIONS(852),
    [sym_binary_integer_literal] = ACTIONS(850),
    [sym_decimal_floating_point_literal] = ACTIONS(850),
    [sym_hex_floating_point_literal] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_character_literal] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [sym_null_literal] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_final] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(850),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_default] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(850),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_synchronized] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_open] = ACTIONS(852),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_package] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_public] = ACTIONS(852),
    [anon_sym_protected] = ACTIONS(852),
    [anon_sym_private] = ACTIONS(852),
    [anon_sym_abstract] = ACTIONS(852),
    [anon_sym_strictfp] = ACTIONS(852),
    [anon_sym_native] = ACTIONS(852),
    [anon_sym_transient] = ACTIONS(852),
    [anon_sym_volatile] = ACTIONS(852),
    [anon_sym_sealed] = ACTIONS(852),
    [anon_sym_non_DASHsealed] = ACTIONS(850),
    [anon_sym_record] = ACTIONS(852),
    [anon_sym_ATinterface] = ACTIONS(850),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_short] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_long] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_float] = ACTIONS(852),
    [anon_sym_double] = ACTIONS(852),
    [sym_boolean_type] = ACTIONS(852),
    [sym_void_type] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(854),
    [sym_identifier] = ACTIONS(856),
    [sym_decimal_integer_literal] = ACTIONS(856),
    [sym_hex_integer_literal] = ACTIONS(856),
    [sym_octal_integer_literal] = ACTIONS(856),
    [sym_binary_integer_literal] = ACTIONS(854),
    [sym_decimal_floating_point_literal] = ACTIONS(854),
    [sym_hex_floating_point_literal] = ACTIONS(856),
    [sym_true] = ACTIONS(856),
    [sym_false] = ACTIONS(856),
    [sym_character_literal] = ACTIONS(854),
    [anon_sym_DQUOTE] = ACTIONS(856),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(854),
    [anon_sym_RBRACE] = ACTIONS(854),
    [sym_null_literal] = ACTIONS(856),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(856),
    [anon_sym_DASH] = ACTIONS(856),
    [anon_sym_final] = ACTIONS(856),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_TILDE] = ACTIONS(854),
    [anon_sym_PLUS_PLUS] = ACTIONS(854),
    [anon_sym_DASH_DASH] = ACTIONS(854),
    [anon_sym_new] = ACTIONS(856),
    [anon_sym_class] = ACTIONS(856),
    [anon_sym_switch] = ACTIONS(856),
    [anon_sym_LBRACE] = ACTIONS(854),
    [anon_sym_case] = ACTIONS(856),
    [anon_sym_default] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(854),
    [anon_sym_assert] = ACTIONS(856),
    [anon_sym_do] = ACTIONS(856),
    [anon_sym_while] = ACTIONS(856),
    [anon_sym_break] = ACTIONS(856),
    [anon_sym_continue] = ACTIONS(856),
    [anon_sym_return] = ACTIONS(856),
    [anon_sym_yield] = ACTIONS(856),
    [anon_sym_synchronized] = ACTIONS(856),
    [anon_sym_throw] = ACTIONS(856),
    [anon_sym_try] = ACTIONS(856),
    [anon_sym_if] = ACTIONS(856),
    [anon_sym_else] = ACTIONS(856),
    [anon_sym_for] = ACTIONS(856),
    [anon_sym_AT] = ACTIONS(856),
    [anon_sym_open] = ACTIONS(856),
    [anon_sym_module] = ACTIONS(856),
    [anon_sym_static] = ACTIONS(856),
    [anon_sym_with] = ACTIONS(856),
    [anon_sym_package] = ACTIONS(856),
    [anon_sym_import] = ACTIONS(856),
    [anon_sym_enum] = ACTIONS(856),
    [anon_sym_public] = ACTIONS(856),
    [anon_sym_protected] = ACTIONS(856),
    [anon_sym_private] = ACTIONS(856),
    [anon_sym_abstract] = ACTIONS(856),
    [anon_sym_strictfp] = ACTIONS(856),
    [anon_sym_native] = ACTIONS(856),
    [anon_sym_transient] = ACTIONS(856),
    [anon_sym_volatile] = ACTIONS(856),
    [anon_sym_sealed] = ACTIONS(856),
    [anon_sym_non_DASHsealed] = ACTIONS(854),
    [anon_sym_record] = ACTIONS(856),
    [anon_sym_ATinterface] = ACTIONS(854),
    [anon_sym_interface] = ACTIONS(856),
    [anon_sym_byte] = ACTIONS(856),
    [anon_sym_short] = ACTIONS(856),
    [anon_sym_int] = ACTIONS(856),
    [anon_sym_long] = ACTIONS(856),
    [anon_sym_char] = ACTIONS(856),
    [anon_sym_float] = ACTIONS(856),
    [anon_sym_double] = ACTIONS(856),
    [sym_boolean_type] = ACTIONS(856),
    [sym_void_type] = ACTIONS(856),
    [sym_this] = ACTIONS(856),
    [sym_super] = ACTIONS(856),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(858),
    [sym_identifier] = ACTIONS(860),
    [sym_decimal_integer_literal] = ACTIONS(860),
    [sym_hex_integer_literal] = ACTIONS(860),
    [sym_octal_integer_literal] = ACTIONS(860),
    [sym_binary_integer_literal] = ACTIONS(858),
    [sym_decimal_floating_point_literal] = ACTIONS(858),
    [sym_hex_floating_point_literal] = ACTIONS(860),
    [sym_true] = ACTIONS(860),
    [sym_false] = ACTIONS(860),
    [sym_character_literal] = ACTIONS(858),
    [anon_sym_DQUOTE] = ACTIONS(860),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(858),
    [anon_sym_RBRACE] = ACTIONS(858),
    [sym_null_literal] = ACTIONS(860),
    [anon_sym_LPAREN] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(858),
    [anon_sym_PLUS] = ACTIONS(860),
    [anon_sym_DASH] = ACTIONS(860),
    [anon_sym_final] = ACTIONS(860),
    [anon_sym_BANG] = ACTIONS(858),
    [anon_sym_TILDE] = ACTIONS(858),
    [anon_sym_PLUS_PLUS] = ACTIONS(858),
    [anon_sym_DASH_DASH] = ACTIONS(858),
    [anon_sym_new] = ACTIONS(860),
    [anon_sym_class] = ACTIONS(860),
    [anon_sym_switch] = ACTIONS(860),
    [anon_sym_LBRACE] = ACTIONS(858),
    [anon_sym_case] = ACTIONS(860),
    [anon_sym_default] = ACTIONS(860),
    [anon_sym_SEMI] = ACTIONS(858),
    [anon_sym_assert] = ACTIONS(860),
    [anon_sym_do] = ACTIONS(860),
    [anon_sym_while] = ACTIONS(860),
    [anon_sym_break] = ACTIONS(860),
    [anon_sym_continue] = ACTIONS(860),
    [anon_sym_return] = ACTIONS(860),
    [anon_sym_yield] = ACTIONS(860),
    [anon_sym_synchronized] = ACTIONS(860),
    [anon_sym_throw] = ACTIONS(860),
    [anon_sym_try] = ACTIONS(860),
    [anon_sym_if] = ACTIONS(860),
    [anon_sym_else] = ACTIONS(860),
    [anon_sym_for] = ACTIONS(860),
    [anon_sym_AT] = ACTIONS(860),
    [anon_sym_open] = ACTIONS(860),
    [anon_sym_module] = ACTIONS(860),
    [anon_sym_static] = ACTIONS(860),
    [anon_sym_with] = ACTIONS(860),
    [anon_sym_package] = ACTIONS(860),
    [anon_sym_import] = ACTIONS(860),
    [anon_sym_enum] = ACTIONS(860),
    [anon_sym_public] = ACTIONS(860),
    [anon_sym_protected] = ACTIONS(860),
    [anon_sym_private] = ACTIONS(860),
    [anon_sym_abstract] = ACTIONS(860),
    [anon_sym_strictfp] = ACTIONS(860),
    [anon_sym_native] = ACTIONS(860),
    [anon_sym_transient] = ACTIONS(860),
    [anon_sym_volatile] = ACTIONS(860),
    [anon_sym_sealed] = ACTIONS(860),
    [anon_sym_non_DASHsealed] = ACTIONS(858),
    [anon_sym_record] = ACTIONS(860),
    [anon_sym_ATinterface] = ACTIONS(858),
    [anon_sym_interface] = ACTIONS(860),
    [anon_sym_byte] = ACTIONS(860),
    [anon_sym_short] = ACTIONS(860),
    [anon_sym_int] = ACTIONS(860),
    [anon_sym_long] = ACTIONS(860),
    [anon_sym_char] = ACTIONS(860),
    [anon_sym_float] = ACTIONS(860),
    [anon_sym_double] = ACTIONS(860),
    [sym_boolean_type] = ACTIONS(860),
    [sym_void_type] = ACTIONS(860),
    [sym_this] = ACTIONS(860),
    [sym_super] = ACTIONS(860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(862),
    [sym_identifier] = ACTIONS(864),
    [sym_decimal_integer_literal] = ACTIONS(864),
    [sym_hex_integer_literal] = ACTIONS(864),
    [sym_octal_integer_literal] = ACTIONS(864),
    [sym_binary_integer_literal] = ACTIONS(862),
    [sym_decimal_floating_point_literal] = ACTIONS(862),
    [sym_hex_floating_point_literal] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_character_literal] = ACTIONS(862),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(862),
    [anon_sym_RBRACE] = ACTIONS(862),
    [sym_null_literal] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_LT] = ACTIONS(862),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_final] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(862),
    [anon_sym_PLUS_PLUS] = ACTIONS(862),
    [anon_sym_DASH_DASH] = ACTIONS(862),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_class] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(862),
    [anon_sym_case] = ACTIONS(864),
    [anon_sym_default] = ACTIONS(864),
    [anon_sym_SEMI] = ACTIONS(862),
    [anon_sym_assert] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(864),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_yield] = ACTIONS(864),
    [anon_sym_synchronized] = ACTIONS(864),
    [anon_sym_throw] = ACTIONS(864),
    [anon_sym_try] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_else] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_AT] = ACTIONS(864),
    [anon_sym_open] = ACTIONS(864),
    [anon_sym_module] = ACTIONS(864),
    [anon_sym_static] = ACTIONS(864),
    [anon_sym_with] = ACTIONS(864),
    [anon_sym_package] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_enum] = ACTIONS(864),
    [anon_sym_public] = ACTIONS(864),
    [anon_sym_protected] = ACTIONS(864),
    [anon_sym_private] = ACTIONS(864),
    [anon_sym_abstract] = ACTIONS(864),
    [anon_sym_strictfp] = ACTIONS(864),
    [anon_sym_native] = ACTIONS(864),
    [anon_sym_transient] = ACTIONS(864),
    [anon_sym_volatile] = ACTIONS(864),
    [anon_sym_sealed] = ACTIONS(864),
    [anon_sym_non_DASHsealed] = ACTIONS(862),
    [anon_sym_record] = ACTIONS(864),
    [anon_sym_ATinterface] = ACTIONS(862),
    [anon_sym_interface] = ACTIONS(864),
    [anon_sym_byte] = ACTIONS(864),
    [anon_sym_short] = ACTIONS(864),
    [anon_sym_int] = ACTIONS(864),
    [anon_sym_long] = ACTIONS(864),
    [anon_sym_char] = ACTIONS(864),
    [anon_sym_float] = ACTIONS(864),
    [anon_sym_double] = ACTIONS(864),
    [sym_boolean_type] = ACTIONS(864),
    [sym_void_type] = ACTIONS(864),
    [sym_this] = ACTIONS(864),
    [sym_super] = ACTIONS(864),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(866),
    [sym_identifier] = ACTIONS(868),
    [sym_decimal_integer_literal] = ACTIONS(868),
    [sym_hex_integer_literal] = ACTIONS(868),
    [sym_octal_integer_literal] = ACTIONS(868),
    [sym_binary_integer_literal] = ACTIONS(866),
    [sym_decimal_floating_point_literal] = ACTIONS(866),
    [sym_hex_floating_point_literal] = ACTIONS(868),
    [sym_true] = ACTIONS(868),
    [sym_false] = ACTIONS(868),
    [sym_character_literal] = ACTIONS(866),
    [anon_sym_DQUOTE] = ACTIONS(868),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(866),
    [anon_sym_RBRACE] = ACTIONS(866),
    [sym_null_literal] = ACTIONS(868),
    [anon_sym_LPAREN] = ACTIONS(866),
    [anon_sym_LT] = ACTIONS(866),
    [anon_sym_PLUS] = ACTIONS(868),
    [anon_sym_DASH] = ACTIONS(868),
    [anon_sym_final] = ACTIONS(868),
    [anon_sym_BANG] = ACTIONS(866),
    [anon_sym_TILDE] = ACTIONS(866),
    [anon_sym_PLUS_PLUS] = ACTIONS(866),
    [anon_sym_DASH_DASH] = ACTIONS(866),
    [anon_sym_new] = ACTIONS(868),
    [anon_sym_class] = ACTIONS(868),
    [anon_sym_switch] = ACTIONS(868),
    [anon_sym_LBRACE] = ACTIONS(866),
    [anon_sym_case] = ACTIONS(868),
    [anon_sym_default] = ACTIONS(868),
    [anon_sym_SEMI] = ACTIONS(866),
    [anon_sym_assert] = ACTIONS(868),
    [anon_sym_do] = ACTIONS(868),
    [anon_sym_while] = ACTIONS(868),
    [anon_sym_break] = ACTIONS(868),
    [anon_sym_continue] = ACTIONS(868),
    [anon_sym_return] = ACTIONS(868),
    [anon_sym_yield] = ACTIONS(868),
    [anon_sym_synchronized] = ACTIONS(868),
    [anon_sym_throw] = ACTIONS(868),
    [anon_sym_try] = ACTIONS(868),
    [anon_sym_if] = ACTIONS(868),
    [anon_sym_else] = ACTIONS(868),
    [anon_sym_for] = ACTIONS(868),
    [anon_sym_AT] = ACTIONS(868),
    [anon_sym_open] = ACTIONS(868),
    [anon_sym_module] = ACTIONS(868),
    [anon_sym_static] = ACTIONS(868),
    [anon_sym_with] = ACTIONS(868),
    [anon_sym_package] = ACTIONS(868),
    [anon_sym_import] = ACTIONS(868),
    [anon_sym_enum] = ACTIONS(868),
    [anon_sym_public] = ACTIONS(868),
    [anon_sym_protected] = ACTIONS(868),
    [anon_sym_private] = ACTIONS(868),
    [anon_sym_abstract] = ACTIONS(868),
    [anon_sym_strictfp] = ACTIONS(868),
    [anon_sym_native] = ACTIONS(868),
    [anon_sym_transient] = ACTIONS(868),
    [anon_sym_volatile] = ACTIONS(868),
    [anon_sym_sealed] = ACTIONS(868),
    [anon_sym_non_DASHsealed] = ACTIONS(866),
    [anon_sym_record] = ACTIONS(868),
    [anon_sym_ATinterface] = ACTIONS(866),
    [anon_sym_interface] = ACTIONS(868),
    [anon_sym_byte] = ACTIONS(868),
    [anon_sym_short] = ACTIONS(868),
    [anon_sym_int] = ACTIONS(868),
    [anon_sym_long] = ACTIONS(868),
    [anon_sym_char] = ACTIONS(868),
    [anon_sym_float] = ACTIONS(868),
    [anon_sym_double] = ACTIONS(868),
    [sym_boolean_type] = ACTIONS(868),
    [sym_void_type] = ACTIONS(868),
    [sym_this] = ACTIONS(868),
    [sym_super] = ACTIONS(868),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(870),
    [sym_identifier] = ACTIONS(872),
    [sym_decimal_integer_literal] = ACTIONS(872),
    [sym_hex_integer_literal] = ACTIONS(872),
    [sym_octal_integer_literal] = ACTIONS(872),
    [sym_binary_integer_literal] = ACTIONS(870),
    [sym_decimal_floating_point_literal] = ACTIONS(870),
    [sym_hex_floating_point_literal] = ACTIONS(872),
    [sym_true] = ACTIONS(872),
    [sym_false] = ACTIONS(872),
    [sym_character_literal] = ACTIONS(870),
    [anon_sym_DQUOTE] = ACTIONS(872),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(870),
    [anon_sym_RBRACE] = ACTIONS(870),
    [sym_null_literal] = ACTIONS(872),
    [anon_sym_LPAREN] = ACTIONS(870),
    [anon_sym_LT] = ACTIONS(870),
    [anon_sym_PLUS] = ACTIONS(872),
    [anon_sym_DASH] = ACTIONS(872),
    [anon_sym_final] = ACTIONS(872),
    [anon_sym_BANG] = ACTIONS(870),
    [anon_sym_TILDE] = ACTIONS(870),
    [anon_sym_PLUS_PLUS] = ACTIONS(870),
    [anon_sym_DASH_DASH] = ACTIONS(870),
    [anon_sym_new] = ACTIONS(872),
    [anon_sym_class] = ACTIONS(872),
    [anon_sym_switch] = ACTIONS(872),
    [anon_sym_LBRACE] = ACTIONS(870),
    [anon_sym_case] = ACTIONS(872),
    [anon_sym_default] = ACTIONS(872),
    [anon_sym_SEMI] = ACTIONS(870),
    [anon_sym_assert] = ACTIONS(872),
    [anon_sym_do] = ACTIONS(872),
    [anon_sym_while] = ACTIONS(872),
    [anon_sym_break] = ACTIONS(872),
    [anon_sym_continue] = ACTIONS(872),
    [anon_sym_return] = ACTIONS(872),
    [anon_sym_yield] = ACTIONS(872),
    [anon_sym_synchronized] = ACTIONS(872),
    [anon_sym_throw] = ACTIONS(872),
    [anon_sym_try] = ACTIONS(872),
    [anon_sym_if] = ACTIONS(872),
    [anon_sym_else] = ACTIONS(872),
    [anon_sym_for] = ACTIONS(872),
    [anon_sym_AT] = ACTIONS(872),
    [anon_sym_open] = ACTIONS(872),
    [anon_sym_module] = ACTIONS(872),
    [anon_sym_static] = ACTIONS(872),
    [anon_sym_with] = ACTIONS(872),
    [anon_sym_package] = ACTIONS(872),
    [anon_sym_import] = ACTIONS(872),
    [anon_sym_enum] = ACTIONS(872),
    [anon_sym_public] = ACTIONS(872),
    [anon_sym_protected] = ACTIONS(872),
    [anon_sym_private] = ACTIONS(872),
    [anon_sym_abstract] = ACTIONS(872),
    [anon_sym_strictfp] = ACTIONS(872),
    [anon_sym_native] = ACTIONS(872),
    [anon_sym_transient] = ACTIONS(872),
    [anon_sym_volatile] = ACTIONS(872),
    [anon_sym_sealed] = ACTIONS(872),
    [anon_sym_non_DASHsealed] = ACTIONS(870),
    [anon_sym_record] = ACTIONS(872),
    [anon_sym_ATinterface] = ACTIONS(870),
    [anon_sym_interface] = ACTIONS(872),
    [anon_sym_byte] = ACTIONS(872),
    [anon_sym_short] = ACTIONS(872),
    [anon_sym_int] = ACTIONS(872),
    [anon_sym_long] = ACTIONS(872),
    [anon_sym_char] = ACTIONS(872),
    [anon_sym_float] = ACTIONS(872),
    [anon_sym_double] = ACTIONS(872),
    [sym_boolean_type] = ACTIONS(872),
    [sym_void_type] = ACTIONS(872),
    [sym_this] = ACTIONS(872),
    [sym_super] = ACTIONS(872),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(874),
    [sym_identifier] = ACTIONS(876),
    [sym_decimal_integer_literal] = ACTIONS(876),
    [sym_hex_integer_literal] = ACTIONS(876),
    [sym_octal_integer_literal] = ACTIONS(876),
    [sym_binary_integer_literal] = ACTIONS(874),
    [sym_decimal_floating_point_literal] = ACTIONS(874),
    [sym_hex_floating_point_literal] = ACTIONS(876),
    [sym_true] = ACTIONS(876),
    [sym_false] = ACTIONS(876),
    [sym_character_literal] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(876),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(874),
    [anon_sym_RBRACE] = ACTIONS(874),
    [sym_null_literal] = ACTIONS(876),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(876),
    [anon_sym_DASH] = ACTIONS(876),
    [anon_sym_final] = ACTIONS(876),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_PLUS_PLUS] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(876),
    [anon_sym_class] = ACTIONS(876),
    [anon_sym_switch] = ACTIONS(876),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(876),
    [anon_sym_default] = ACTIONS(876),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_assert] = ACTIONS(876),
    [anon_sym_do] = ACTIONS(876),
    [anon_sym_while] = ACTIONS(876),
    [anon_sym_break] = ACTIONS(876),
    [anon_sym_continue] = ACTIONS(876),
    [anon_sym_return] = ACTIONS(876),
    [anon_sym_yield] = ACTIONS(876),
    [anon_sym_synchronized] = ACTIONS(876),
    [anon_sym_throw] = ACTIONS(876),
    [anon_sym_try] = ACTIONS(876),
    [anon_sym_if] = ACTIONS(876),
    [anon_sym_else] = ACTIONS(876),
    [anon_sym_for] = ACTIONS(876),
    [anon_sym_AT] = ACTIONS(876),
    [anon_sym_open] = ACTIONS(876),
    [anon_sym_module] = ACTIONS(876),
    [anon_sym_static] = ACTIONS(876),
    [anon_sym_with] = ACTIONS(876),
    [anon_sym_package] = ACTIONS(876),
    [anon_sym_import] = ACTIONS(876),
    [anon_sym_enum] = ACTIONS(876),
    [anon_sym_public] = ACTIONS(876),
    [anon_sym_protected] = ACTIONS(876),
    [anon_sym_private] = ACTIONS(876),
    [anon_sym_abstract] = ACTIONS(876),
    [anon_sym_strictfp] = ACTIONS(876),
    [anon_sym_native] = ACTIONS(876),
    [anon_sym_transient] = ACTIONS(876),
    [anon_sym_volatile] = ACTIONS(876),
    [anon_sym_sealed] = ACTIONS(876),
    [anon_sym_non_DASHsealed] = ACTIONS(874),
    [anon_sym_record] = ACTIONS(876),
    [anon_sym_ATinterface] = ACTIONS(874),
    [anon_sym_interface] = ACTIONS(876),
    [anon_sym_byte] = ACTIONS(876),
    [anon_sym_short] = ACTIONS(876),
    [anon_sym_int] = ACTIONS(876),
    [anon_sym_long] = ACTIONS(876),
    [anon_sym_char] = ACTIONS(876),
    [anon_sym_float] = ACTIONS(876),
    [anon_sym_double] = ACTIONS(876),
    [sym_boolean_type] = ACTIONS(876),
    [sym_void_type] = ACTIONS(876),
    [sym_this] = ACTIONS(876),
    [sym_super] = ACTIONS(876),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(878),
    [sym_identifier] = ACTIONS(880),
    [sym_decimal_integer_literal] = ACTIONS(880),
    [sym_hex_integer_literal] = ACTIONS(880),
    [sym_octal_integer_literal] = ACTIONS(880),
    [sym_binary_integer_literal] = ACTIONS(878),
    [sym_decimal_floating_point_literal] = ACTIONS(878),
    [sym_hex_floating_point_literal] = ACTIONS(880),
    [sym_true] = ACTIONS(880),
    [sym_false] = ACTIONS(880),
    [sym_character_literal] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(880),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(878),
    [anon_sym_RBRACE] = ACTIONS(878),
    [sym_null_literal] = ACTIONS(880),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(880),
    [anon_sym_DASH] = ACTIONS(880),
    [anon_sym_final] = ACTIONS(880),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_TILDE] = ACTIONS(878),
    [anon_sym_PLUS_PLUS] = ACTIONS(878),
    [anon_sym_DASH_DASH] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(880),
    [anon_sym_class] = ACTIONS(880),
    [anon_sym_switch] = ACTIONS(880),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_case] = ACTIONS(880),
    [anon_sym_default] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_assert] = ACTIONS(880),
    [anon_sym_do] = ACTIONS(880),
    [anon_sym_while] = ACTIONS(880),
    [anon_sym_break] = ACTIONS(880),
    [anon_sym_continue] = ACTIONS(880),
    [anon_sym_return] = ACTIONS(880),
    [anon_sym_yield] = ACTIONS(880),
    [anon_sym_synchronized] = ACTIONS(880),
    [anon_sym_throw] = ACTIONS(880),
    [anon_sym_try] = ACTIONS(880),
    [anon_sym_if] = ACTIONS(880),
    [anon_sym_else] = ACTIONS(880),
    [anon_sym_for] = ACTIONS(880),
    [anon_sym_AT] = ACTIONS(880),
    [anon_sym_open] = ACTIONS(880),
    [anon_sym_module] = ACTIONS(880),
    [anon_sym_static] = ACTIONS(880),
    [anon_sym_with] = ACTIONS(880),
    [anon_sym_package] = ACTIONS(880),
    [anon_sym_import] = ACTIONS(880),
    [anon_sym_enum] = ACTIONS(880),
    [anon_sym_public] = ACTIONS(880),
    [anon_sym_protected] = ACTIONS(880),
    [anon_sym_private] = ACTIONS(880),
    [anon_sym_abstract] = ACTIONS(880),
    [anon_sym_strictfp] = ACTIONS(880),
    [anon_sym_native] = ACTIONS(880),
    [anon_sym_transient] = ACTIONS(880),
    [anon_sym_volatile] = ACTIONS(880),
    [anon_sym_sealed] = ACTIONS(880),
    [anon_sym_non_DASHsealed] = ACTIONS(878),
    [anon_sym_record] = ACTIONS(880),
    [anon_sym_ATinterface] = ACTIONS(878),
    [anon_sym_interface] = ACTIONS(880),
    [anon_sym_byte] = ACTIONS(880),
    [anon_sym_short] = ACTIONS(880),
    [anon_sym_int] = ACTIONS(880),
    [anon_sym_long] = ACTIONS(880),
    [anon_sym_char] = ACTIONS(880),
    [anon_sym_float] = ACTIONS(880),
    [anon_sym_double] = ACTIONS(880),
    [sym_boolean_type] = ACTIONS(880),
    [sym_void_type] = ACTIONS(880),
    [sym_this] = ACTIONS(880),
    [sym_super] = ACTIONS(880),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(882),
    [sym_identifier] = ACTIONS(884),
    [sym_decimal_integer_literal] = ACTIONS(884),
    [sym_hex_integer_literal] = ACTIONS(884),
    [sym_octal_integer_literal] = ACTIONS(884),
    [sym_binary_integer_literal] = ACTIONS(882),
    [sym_decimal_floating_point_literal] = ACTIONS(882),
    [sym_hex_floating_point_literal] = ACTIONS(884),
    [sym_true] = ACTIONS(884),
    [sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [anon_sym_DQUOTE] = ACTIONS(884),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(882),
    [anon_sym_RBRACE] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(884),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_PLUS] = ACTIONS(884),
    [anon_sym_DASH] = ACTIONS(884),
    [anon_sym_final] = ACTIONS(884),
    [anon_sym_BANG] = ACTIONS(882),
    [anon_sym_TILDE] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [anon_sym_new] = ACTIONS(884),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_switch] = ACTIONS(884),
    [anon_sym_LBRACE] = ACTIONS(882),
    [anon_sym_case] = ACTIONS(884),
    [anon_sym_default] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_assert] = ACTIONS(884),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(884),
    [anon_sym_break] = ACTIONS(884),
    [anon_sym_continue] = ACTIONS(884),
    [anon_sym_return] = ACTIONS(884),
    [anon_sym_yield] = ACTIONS(884),
    [anon_sym_synchronized] = ACTIONS(884),
    [anon_sym_throw] = ACTIONS(884),
    [anon_sym_try] = ACTIONS(884),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_else] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(884),
    [anon_sym_AT] = ACTIONS(884),
    [anon_sym_open] = ACTIONS(884),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_static] = ACTIONS(884),
    [anon_sym_with] = ACTIONS(884),
    [anon_sym_package] = ACTIONS(884),
    [anon_sym_import] = ACTIONS(884),
    [anon_sym_enum] = ACTIONS(884),
    [anon_sym_public] = ACTIONS(884),
    [anon_sym_protected] = ACTIONS(884),
    [anon_sym_private] = ACTIONS(884),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_strictfp] = ACTIONS(884),
    [anon_sym_native] = ACTIONS(884),
    [anon_sym_transient] = ACTIONS(884),
    [anon_sym_volatile] = ACTIONS(884),
    [anon_sym_sealed] = ACTIONS(884),
    [anon_sym_non_DASHsealed] = ACTIONS(882),
    [anon_sym_record] = ACTIONS(884),
    [anon_sym_ATinterface] = ACTIONS(882),
    [anon_sym_interface] = ACTIONS(884),
    [anon_sym_byte] = ACTIONS(884),
    [anon_sym_short] = ACTIONS(884),
    [anon_sym_int] = ACTIONS(884),
    [anon_sym_long] = ACTIONS(884),
    [anon_sym_char] = ACTIONS(884),
    [anon_sym_float] = ACTIONS(884),
    [anon_sym_double] = ACTIONS(884),
    [sym_boolean_type] = ACTIONS(884),
    [sym_void_type] = ACTIONS(884),
    [sym_this] = ACTIONS(884),
    [sym_super] = ACTIONS(884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(886),
    [sym_identifier] = ACTIONS(888),
    [sym_decimal_integer_literal] = ACTIONS(888),
    [sym_hex_integer_literal] = ACTIONS(888),
    [sym_octal_integer_literal] = ACTIONS(888),
    [sym_binary_integer_literal] = ACTIONS(886),
    [sym_decimal_floating_point_literal] = ACTIONS(886),
    [sym_hex_floating_point_literal] = ACTIONS(888),
    [sym_true] = ACTIONS(888),
    [sym_false] = ACTIONS(888),
    [sym_character_literal] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(888),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(886),
    [anon_sym_RBRACE] = ACTIONS(886),
    [sym_null_literal] = ACTIONS(888),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(888),
    [anon_sym_DASH] = ACTIONS(888),
    [anon_sym_final] = ACTIONS(888),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_TILDE] = ACTIONS(886),
    [anon_sym_PLUS_PLUS] = ACTIONS(886),
    [anon_sym_DASH_DASH] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(888),
    [anon_sym_class] = ACTIONS(888),
    [anon_sym_switch] = ACTIONS(888),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_case] = ACTIONS(888),
    [anon_sym_default] = ACTIONS(888),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_assert] = ACTIONS(888),
    [anon_sym_do] = ACTIONS(888),
    [anon_sym_while] = ACTIONS(888),
    [anon_sym_break] = ACTIONS(888),
    [anon_sym_continue] = ACTIONS(888),
    [anon_sym_return] = ACTIONS(888),
    [anon_sym_yield] = ACTIONS(888),
    [anon_sym_synchronized] = ACTIONS(888),
    [anon_sym_throw] = ACTIONS(888),
    [anon_sym_try] = ACTIONS(888),
    [anon_sym_if] = ACTIONS(888),
    [anon_sym_else] = ACTIONS(888),
    [anon_sym_for] = ACTIONS(888),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(888),
    [anon_sym_module] = ACTIONS(888),
    [anon_sym_static] = ACTIONS(888),
    [anon_sym_with] = ACTIONS(888),
    [anon_sym_package] = ACTIONS(888),
    [anon_sym_import] = ACTIONS(888),
    [anon_sym_enum] = ACTIONS(888),
    [anon_sym_public] = ACTIONS(888),
    [anon_sym_protected] = ACTIONS(888),
    [anon_sym_private] = ACTIONS(888),
    [anon_sym_abstract] = ACTIONS(888),
    [anon_sym_strictfp] = ACTIONS(888),
    [anon_sym_native] = ACTIONS(888),
    [anon_sym_transient] = ACTIONS(888),
    [anon_sym_volatile] = ACTIONS(888),
    [anon_sym_sealed] = ACTIONS(888),
    [anon_sym_non_DASHsealed] = ACTIONS(886),
    [anon_sym_record] = ACTIONS(888),
    [anon_sym_ATinterface] = ACTIONS(886),
    [anon_sym_interface] = ACTIONS(888),
    [anon_sym_byte] = ACTIONS(888),
    [anon_sym_short] = ACTIONS(888),
    [anon_sym_int] = ACTIONS(888),
    [anon_sym_long] = ACTIONS(888),
    [anon_sym_char] = ACTIONS(888),
    [anon_sym_float] = ACTIONS(888),
    [anon_sym_double] = ACTIONS(888),
    [sym_boolean_type] = ACTIONS(888),
    [sym_void_type] = ACTIONS(888),
    [sym_this] = ACTIONS(888),
    [sym_super] = ACTIONS(888),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(890),
    [sym_identifier] = ACTIONS(892),
    [sym_decimal_integer_literal] = ACTIONS(892),
    [sym_hex_integer_literal] = ACTIONS(892),
    [sym_octal_integer_literal] = ACTIONS(892),
    [sym_binary_integer_literal] = ACTIONS(890),
    [sym_decimal_floating_point_literal] = ACTIONS(890),
    [sym_hex_floating_point_literal] = ACTIONS(892),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_character_literal] = ACTIONS(890),
    [anon_sym_DQUOTE] = ACTIONS(892),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(890),
    [anon_sym_RBRACE] = ACTIONS(890),
    [sym_null_literal] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_LT] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_final] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(890),
    [anon_sym_TILDE] = ACTIONS(890),
    [anon_sym_PLUS_PLUS] = ACTIONS(890),
    [anon_sym_DASH_DASH] = ACTIONS(890),
    [anon_sym_new] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(892),
    [anon_sym_switch] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(890),
    [anon_sym_case] = ACTIONS(892),
    [anon_sym_default] = ACTIONS(892),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym_assert] = ACTIONS(892),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_while] = ACTIONS(892),
    [anon_sym_break] = ACTIONS(892),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_return] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(892),
    [anon_sym_synchronized] = ACTIONS(892),
    [anon_sym_throw] = ACTIONS(892),
    [anon_sym_try] = ACTIONS(892),
    [anon_sym_if] = ACTIONS(892),
    [anon_sym_else] = ACTIONS(892),
    [anon_sym_for] = ACTIONS(892),
    [anon_sym_AT] = ACTIONS(892),
    [anon_sym_open] = ACTIONS(892),
    [anon_sym_module] = ACTIONS(892),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_with] = ACTIONS(892),
    [anon_sym_package] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(892),
    [anon_sym_enum] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(892),
    [anon_sym_protected] = ACTIONS(892),
    [anon_sym_private] = ACTIONS(892),
    [anon_sym_abstract] = ACTIONS(892),
    [anon_sym_strictfp] = ACTIONS(892),
    [anon_sym_native] = ACTIONS(892),
    [anon_sym_transient] = ACTIONS(892),
    [anon_sym_volatile] = ACTIONS(892),
    [anon_sym_sealed] = ACTIONS(892),
    [anon_sym_non_DASHsealed] = ACTIONS(890),
    [anon_sym_record] = ACTIONS(892),
    [anon_sym_ATinterface] = ACTIONS(890),
    [anon_sym_interface] = ACTIONS(892),
    [anon_sym_byte] = ACTIONS(892),
    [anon_sym_short] = ACTIONS(892),
    [anon_sym_int] = ACTIONS(892),
    [anon_sym_long] = ACTIONS(892),
    [anon_sym_char] = ACTIONS(892),
    [anon_sym_float] = ACTIONS(892),
    [anon_sym_double] = ACTIONS(892),
    [sym_boolean_type] = ACTIONS(892),
    [sym_void_type] = ACTIONS(892),
    [sym_this] = ACTIONS(892),
    [sym_super] = ACTIONS(892),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym_identifier] = ACTIONS(896),
    [sym_decimal_integer_literal] = ACTIONS(896),
    [sym_hex_integer_literal] = ACTIONS(896),
    [sym_octal_integer_literal] = ACTIONS(896),
    [sym_binary_integer_literal] = ACTIONS(894),
    [sym_decimal_floating_point_literal] = ACTIONS(894),
    [sym_hex_floating_point_literal] = ACTIONS(896),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_character_literal] = ACTIONS(894),
    [anon_sym_DQUOTE] = ACTIONS(896),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(894),
    [anon_sym_RBRACE] = ACTIONS(894),
    [sym_null_literal] = ACTIONS(896),
    [anon_sym_LPAREN] = ACTIONS(894),
    [anon_sym_LT] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(896),
    [anon_sym_DASH] = ACTIONS(896),
    [anon_sym_final] = ACTIONS(896),
    [anon_sym_BANG] = ACTIONS(894),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(894),
    [anon_sym_new] = ACTIONS(896),
    [anon_sym_class] = ACTIONS(896),
    [anon_sym_switch] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym_default] = ACTIONS(896),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_assert] = ACTIONS(896),
    [anon_sym_do] = ACTIONS(896),
    [anon_sym_while] = ACTIONS(896),
    [anon_sym_break] = ACTIONS(896),
    [anon_sym_continue] = ACTIONS(896),
    [anon_sym_return] = ACTIONS(896),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_synchronized] = ACTIONS(896),
    [anon_sym_throw] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(896),
    [anon_sym_if] = ACTIONS(896),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_for] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(896),
    [anon_sym_open] = ACTIONS(896),
    [anon_sym_module] = ACTIONS(896),
    [anon_sym_static] = ACTIONS(896),
    [anon_sym_with] = ACTIONS(896),
    [anon_sym_package] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(896),
    [anon_sym_enum] = ACTIONS(896),
    [anon_sym_public] = ACTIONS(896),
    [anon_sym_protected] = ACTIONS(896),
    [anon_sym_private] = ACTIONS(896),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_strictfp] = ACTIONS(896),
    [anon_sym_native] = ACTIONS(896),
    [anon_sym_transient] = ACTIONS(896),
    [anon_sym_volatile] = ACTIONS(896),
    [anon_sym_sealed] = ACTIONS(896),
    [anon_sym_non_DASHsealed] = ACTIONS(894),
    [anon_sym_record] = ACTIONS(896),
    [anon_sym_ATinterface] = ACTIONS(894),
    [anon_sym_interface] = ACTIONS(896),
    [anon_sym_byte] = ACTIONS(896),
    [anon_sym_short] = ACTIONS(896),
    [anon_sym_int] = ACTIONS(896),
    [anon_sym_long] = ACTIONS(896),
    [anon_sym_char] = ACTIONS(896),
    [anon_sym_float] = ACTIONS(896),
    [anon_sym_double] = ACTIONS(896),
    [sym_boolean_type] = ACTIONS(896),
    [sym_void_type] = ACTIONS(896),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(896),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(898),
    [sym_identifier] = ACTIONS(900),
    [sym_decimal_integer_literal] = ACTIONS(900),
    [sym_hex_integer_literal] = ACTIONS(900),
    [sym_octal_integer_literal] = ACTIONS(900),
    [sym_binary_integer_literal] = ACTIONS(898),
    [sym_decimal_floating_point_literal] = ACTIONS(898),
    [sym_hex_floating_point_literal] = ACTIONS(900),
    [sym_true] = ACTIONS(900),
    [sym_false] = ACTIONS(900),
    [sym_character_literal] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(900),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [sym_null_literal] = ACTIONS(900),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_LT] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_final] = ACTIONS(900),
    [anon_sym_BANG] = ACTIONS(898),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(900),
    [anon_sym_class] = ACTIONS(900),
    [anon_sym_switch] = ACTIONS(900),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_case] = ACTIONS(900),
    [anon_sym_default] = ACTIONS(900),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_assert] = ACTIONS(900),
    [anon_sym_do] = ACTIONS(900),
    [anon_sym_while] = ACTIONS(900),
    [anon_sym_break] = ACTIONS(900),
    [anon_sym_continue] = ACTIONS(900),
    [anon_sym_return] = ACTIONS(900),
    [anon_sym_yield] = ACTIONS(900),
    [anon_sym_synchronized] = ACTIONS(900),
    [anon_sym_throw] = ACTIONS(900),
    [anon_sym_try] = ACTIONS(900),
    [anon_sym_if] = ACTIONS(900),
    [anon_sym_else] = ACTIONS(900),
    [anon_sym_for] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(900),
    [anon_sym_open] = ACTIONS(900),
    [anon_sym_module] = ACTIONS(900),
    [anon_sym_static] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(900),
    [anon_sym_package] = ACTIONS(900),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_enum] = ACTIONS(900),
    [anon_sym_public] = ACTIONS(900),
    [anon_sym_protected] = ACTIONS(900),
    [anon_sym_private] = ACTIONS(900),
    [anon_sym_abstract] = ACTIONS(900),
    [anon_sym_strictfp] = ACTIONS(900),
    [anon_sym_native] = ACTIONS(900),
    [anon_sym_transient] = ACTIONS(900),
    [anon_sym_volatile] = ACTIONS(900),
    [anon_sym_sealed] = ACTIONS(900),
    [anon_sym_non_DASHsealed] = ACTIONS(898),
    [anon_sym_record] = ACTIONS(900),
    [anon_sym_ATinterface] = ACTIONS(898),
    [anon_sym_interface] = ACTIONS(900),
    [anon_sym_byte] = ACTIONS(900),
    [anon_sym_short] = ACTIONS(900),
    [anon_sym_int] = ACTIONS(900),
    [anon_sym_long] = ACTIONS(900),
    [anon_sym_char] = ACTIONS(900),
    [anon_sym_float] = ACTIONS(900),
    [anon_sym_double] = ACTIONS(900),
    [sym_boolean_type] = ACTIONS(900),
    [sym_void_type] = ACTIONS(900),
    [sym_this] = ACTIONS(900),
    [sym_super] = ACTIONS(900),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(904),
    [sym_decimal_integer_literal] = ACTIONS(904),
    [sym_hex_integer_literal] = ACTIONS(904),
    [sym_octal_integer_literal] = ACTIONS(904),
    [sym_binary_integer_literal] = ACTIONS(902),
    [sym_decimal_floating_point_literal] = ACTIONS(902),
    [sym_hex_floating_point_literal] = ACTIONS(904),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_character_literal] = ACTIONS(902),
    [anon_sym_DQUOTE] = ACTIONS(904),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(902),
    [anon_sym_RBRACE] = ACTIONS(902),
    [sym_null_literal] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(902),
    [anon_sym_LT] = ACTIONS(902),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_final] = ACTIONS(904),
    [anon_sym_BANG] = ACTIONS(902),
    [anon_sym_TILDE] = ACTIONS(902),
    [anon_sym_PLUS_PLUS] = ACTIONS(902),
    [anon_sym_DASH_DASH] = ACTIONS(902),
    [anon_sym_new] = ACTIONS(904),
    [anon_sym_class] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(902),
    [anon_sym_case] = ACTIONS(904),
    [anon_sym_default] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(902),
    [anon_sym_assert] = ACTIONS(904),
    [anon_sym_do] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(904),
    [anon_sym_break] = ACTIONS(904),
    [anon_sym_continue] = ACTIONS(904),
    [anon_sym_return] = ACTIONS(904),
    [anon_sym_yield] = ACTIONS(904),
    [anon_sym_synchronized] = ACTIONS(904),
    [anon_sym_throw] = ACTIONS(904),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_else] = ACTIONS(904),
    [anon_sym_for] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(904),
    [anon_sym_open] = ACTIONS(904),
    [anon_sym_module] = ACTIONS(904),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_package] = ACTIONS(904),
    [anon_sym_import] = ACTIONS(904),
    [anon_sym_enum] = ACTIONS(904),
    [anon_sym_public] = ACTIONS(904),
    [anon_sym_protected] = ACTIONS(904),
    [anon_sym_private] = ACTIONS(904),
    [anon_sym_abstract] = ACTIONS(904),
    [anon_sym_strictfp] = ACTIONS(904),
    [anon_sym_native] = ACTIONS(904),
    [anon_sym_transient] = ACTIONS(904),
    [anon_sym_volatile] = ACTIONS(904),
    [anon_sym_sealed] = ACTIONS(904),
    [anon_sym_non_DASHsealed] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_ATinterface] = ACTIONS(902),
    [anon_sym_interface] = ACTIONS(904),
    [anon_sym_byte] = ACTIONS(904),
    [anon_sym_short] = ACTIONS(904),
    [anon_sym_int] = ACTIONS(904),
    [anon_sym_long] = ACTIONS(904),
    [anon_sym_char] = ACTIONS(904),
    [anon_sym_float] = ACTIONS(904),
    [anon_sym_double] = ACTIONS(904),
    [sym_boolean_type] = ACTIONS(904),
    [sym_void_type] = ACTIONS(904),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(904),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(906),
    [sym_identifier] = ACTIONS(908),
    [sym_decimal_integer_literal] = ACTIONS(908),
    [sym_hex_integer_literal] = ACTIONS(908),
    [sym_octal_integer_literal] = ACTIONS(908),
    [sym_binary_integer_literal] = ACTIONS(906),
    [sym_decimal_floating_point_literal] = ACTIONS(906),
    [sym_hex_floating_point_literal] = ACTIONS(908),
    [sym_true] = ACTIONS(908),
    [sym_false] = ACTIONS(908),
    [sym_character_literal] = ACTIONS(906),
    [anon_sym_DQUOTE] = ACTIONS(908),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(906),
    [anon_sym_RBRACE] = ACTIONS(906),
    [sym_null_literal] = ACTIONS(908),
    [anon_sym_LPAREN] = ACTIONS(906),
    [anon_sym_LT] = ACTIONS(906),
    [anon_sym_PLUS] = ACTIONS(908),
    [anon_sym_DASH] = ACTIONS(908),
    [anon_sym_final] = ACTIONS(908),
    [anon_sym_BANG] = ACTIONS(906),
    [anon_sym_TILDE] = ACTIONS(906),
    [anon_sym_PLUS_PLUS] = ACTIONS(906),
    [anon_sym_DASH_DASH] = ACTIONS(906),
    [anon_sym_new] = ACTIONS(908),
    [anon_sym_class] = ACTIONS(908),
    [anon_sym_switch] = ACTIONS(908),
    [anon_sym_LBRACE] = ACTIONS(906),
    [anon_sym_case] = ACTIONS(908),
    [anon_sym_default] = ACTIONS(908),
    [anon_sym_SEMI] = ACTIONS(906),
    [anon_sym_assert] = ACTIONS(908),
    [anon_sym_do] = ACTIONS(908),
    [anon_sym_while] = ACTIONS(908),
    [anon_sym_break] = ACTIONS(908),
    [anon_sym_continue] = ACTIONS(908),
    [anon_sym_return] = ACTIONS(908),
    [anon_sym_yield] = ACTIONS(908),
    [anon_sym_synchronized] = ACTIONS(908),
    [anon_sym_throw] = ACTIONS(908),
    [anon_sym_try] = ACTIONS(908),
    [anon_sym_if] = ACTIONS(908),
    [anon_sym_else] = ACTIONS(908),
    [anon_sym_for] = ACTIONS(908),
    [anon_sym_AT] = ACTIONS(908),
    [anon_sym_open] = ACTIONS(908),
    [anon_sym_module] = ACTIONS(908),
    [anon_sym_static] = ACTIONS(908),
    [anon_sym_with] = ACTIONS(908),
    [anon_sym_package] = ACTIONS(908),
    [anon_sym_import] = ACTIONS(908),
    [anon_sym_enum] = ACTIONS(908),
    [anon_sym_public] = ACTIONS(908),
    [anon_sym_protected] = ACTIONS(908),
    [anon_sym_private] = ACTIONS(908),
    [anon_sym_abstract] = ACTIONS(908),
    [anon_sym_strictfp] = ACTIONS(908),
    [anon_sym_native] = ACTIONS(908),
    [anon_sym_transient] = ACTIONS(908),
    [anon_sym_volatile] = ACTIONS(908),
    [anon_sym_sealed] = ACTIONS(908),
    [anon_sym_non_DASHsealed] = ACTIONS(906),
    [anon_sym_record] = ACTIONS(908),
    [anon_sym_ATinterface] = ACTIONS(906),
    [anon_sym_interface] = ACTIONS(908),
    [anon_sym_byte] = ACTIONS(908),
    [anon_sym_short] = ACTIONS(908),
    [anon_sym_int] = ACTIONS(908),
    [anon_sym_long] = ACTIONS(908),
    [anon_sym_char] = ACTIONS(908),
    [anon_sym_float] = ACTIONS(908),
    [anon_sym_double] = ACTIONS(908),
    [sym_boolean_type] = ACTIONS(908),
    [sym_void_type] = ACTIONS(908),
    [sym_this] = ACTIONS(908),
    [sym_super] = ACTIONS(908),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(910),
    [sym_identifier] = ACTIONS(912),
    [sym_decimal_integer_literal] = ACTIONS(912),
    [sym_hex_integer_literal] = ACTIONS(912),
    [sym_octal_integer_literal] = ACTIONS(912),
    [sym_binary_integer_literal] = ACTIONS(910),
    [sym_decimal_floating_point_literal] = ACTIONS(910),
    [sym_hex_floating_point_literal] = ACTIONS(912),
    [sym_true] = ACTIONS(912),
    [sym_false] = ACTIONS(912),
    [sym_character_literal] = ACTIONS(910),
    [anon_sym_DQUOTE] = ACTIONS(912),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(910),
    [anon_sym_RBRACE] = ACTIONS(910),
    [sym_null_literal] = ACTIONS(912),
    [anon_sym_LPAREN] = ACTIONS(910),
    [anon_sym_LT] = ACTIONS(910),
    [anon_sym_PLUS] = ACTIONS(912),
    [anon_sym_DASH] = ACTIONS(912),
    [anon_sym_final] = ACTIONS(912),
    [anon_sym_BANG] = ACTIONS(910),
    [anon_sym_TILDE] = ACTIONS(910),
    [anon_sym_PLUS_PLUS] = ACTIONS(910),
    [anon_sym_DASH_DASH] = ACTIONS(910),
    [anon_sym_new] = ACTIONS(912),
    [anon_sym_class] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(912),
    [anon_sym_LBRACE] = ACTIONS(910),
    [anon_sym_case] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(912),
    [anon_sym_SEMI] = ACTIONS(910),
    [anon_sym_assert] = ACTIONS(912),
    [anon_sym_do] = ACTIONS(912),
    [anon_sym_while] = ACTIONS(912),
    [anon_sym_break] = ACTIONS(912),
    [anon_sym_continue] = ACTIONS(912),
    [anon_sym_return] = ACTIONS(912),
    [anon_sym_yield] = ACTIONS(912),
    [anon_sym_synchronized] = ACTIONS(912),
    [anon_sym_throw] = ACTIONS(912),
    [anon_sym_try] = ACTIONS(912),
    [anon_sym_if] = ACTIONS(912),
    [anon_sym_else] = ACTIONS(912),
    [anon_sym_for] = ACTIONS(912),
    [anon_sym_AT] = ACTIONS(912),
    [anon_sym_open] = ACTIONS(912),
    [anon_sym_module] = ACTIONS(912),
    [anon_sym_static] = ACTIONS(912),
    [anon_sym_with] = ACTIONS(912),
    [anon_sym_package] = ACTIONS(912),
    [anon_sym_import] = ACTIONS(912),
    [anon_sym_enum] = ACTIONS(912),
    [anon_sym_public] = ACTIONS(912),
    [anon_sym_protected] = ACTIONS(912),
    [anon_sym_private] = ACTIONS(912),
    [anon_sym_abstract] = ACTIONS(912),
    [anon_sym_strictfp] = ACTIONS(912),
    [anon_sym_native] = ACTIONS(912),
    [anon_sym_transient] = ACTIONS(912),
    [anon_sym_volatile] = ACTIONS(912),
    [anon_sym_sealed] = ACTIONS(912),
    [anon_sym_non_DASHsealed] = ACTIONS(910),
    [anon_sym_record] = ACTIONS(912),
    [anon_sym_ATinterface] = ACTIONS(910),
    [anon_sym_interface] = ACTIONS(912),
    [anon_sym_byte] = ACTIONS(912),
    [anon_sym_short] = ACTIONS(912),
    [anon_sym_int] = ACTIONS(912),
    [anon_sym_long] = ACTIONS(912),
    [anon_sym_char] = ACTIONS(912),
    [anon_sym_float] = ACTIONS(912),
    [anon_sym_double] = ACTIONS(912),
    [sym_boolean_type] = ACTIONS(912),
    [sym_void_type] = ACTIONS(912),
    [sym_this] = ACTIONS(912),
    [sym_super] = ACTIONS(912),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(914),
    [sym_identifier] = ACTIONS(916),
    [sym_decimal_integer_literal] = ACTIONS(916),
    [sym_hex_integer_literal] = ACTIONS(916),
    [sym_octal_integer_literal] = ACTIONS(916),
    [sym_binary_integer_literal] = ACTIONS(914),
    [sym_decimal_floating_point_literal] = ACTIONS(914),
    [sym_hex_floating_point_literal] = ACTIONS(916),
    [sym_true] = ACTIONS(916),
    [sym_false] = ACTIONS(916),
    [sym_character_literal] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(916),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(914),
    [anon_sym_RBRACE] = ACTIONS(914),
    [sym_null_literal] = ACTIONS(916),
    [anon_sym_LPAREN] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(916),
    [anon_sym_DASH] = ACTIONS(916),
    [anon_sym_final] = ACTIONS(916),
    [anon_sym_BANG] = ACTIONS(914),
    [anon_sym_TILDE] = ACTIONS(914),
    [anon_sym_PLUS_PLUS] = ACTIONS(914),
    [anon_sym_DASH_DASH] = ACTIONS(914),
    [anon_sym_new] = ACTIONS(916),
    [anon_sym_class] = ACTIONS(916),
    [anon_sym_switch] = ACTIONS(916),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_case] = ACTIONS(916),
    [anon_sym_default] = ACTIONS(916),
    [anon_sym_SEMI] = ACTIONS(914),
    [anon_sym_assert] = ACTIONS(916),
    [anon_sym_do] = ACTIONS(916),
    [anon_sym_while] = ACTIONS(916),
    [anon_sym_break] = ACTIONS(916),
    [anon_sym_continue] = ACTIONS(916),
    [anon_sym_return] = ACTIONS(916),
    [anon_sym_yield] = ACTIONS(916),
    [anon_sym_synchronized] = ACTIONS(916),
    [anon_sym_throw] = ACTIONS(916),
    [anon_sym_try] = ACTIONS(916),
    [anon_sym_if] = ACTIONS(916),
    [anon_sym_else] = ACTIONS(916),
    [anon_sym_for] = ACTIONS(916),
    [anon_sym_AT] = ACTIONS(916),
    [anon_sym_open] = ACTIONS(916),
    [anon_sym_module] = ACTIONS(916),
    [anon_sym_static] = ACTIONS(916),
    [anon_sym_with] = ACTIONS(916),
    [anon_sym_package] = ACTIONS(916),
    [anon_sym_import] = ACTIONS(916),
    [anon_sym_enum] = ACTIONS(916),
    [anon_sym_public] = ACTIONS(916),
    [anon_sym_protected] = ACTIONS(916),
    [anon_sym_private] = ACTIONS(916),
    [anon_sym_abstract] = ACTIONS(916),
    [anon_sym_strictfp] = ACTIONS(916),
    [anon_sym_native] = ACTIONS(916),
    [anon_sym_transient] = ACTIONS(916),
    [anon_sym_volatile] = ACTIONS(916),
    [anon_sym_sealed] = ACTIONS(916),
    [anon_sym_non_DASHsealed] = ACTIONS(914),
    [anon_sym_record] = ACTIONS(916),
    [anon_sym_ATinterface] = ACTIONS(914),
    [anon_sym_interface] = ACTIONS(916),
    [anon_sym_byte] = ACTIONS(916),
    [anon_sym_short] = ACTIONS(916),
    [anon_sym_int] = ACTIONS(916),
    [anon_sym_long] = ACTIONS(916),
    [anon_sym_char] = ACTIONS(916),
    [anon_sym_float] = ACTIONS(916),
    [anon_sym_double] = ACTIONS(916),
    [sym_boolean_type] = ACTIONS(916),
    [sym_void_type] = ACTIONS(916),
    [sym_this] = ACTIONS(916),
    [sym_super] = ACTIONS(916),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(918),
    [sym_identifier] = ACTIONS(920),
    [sym_decimal_integer_literal] = ACTIONS(920),
    [sym_hex_integer_literal] = ACTIONS(920),
    [sym_octal_integer_literal] = ACTIONS(920),
    [sym_binary_integer_literal] = ACTIONS(918),
    [sym_decimal_floating_point_literal] = ACTIONS(918),
    [sym_hex_floating_point_literal] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_character_literal] = ACTIONS(918),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(918),
    [anon_sym_RBRACE] = ACTIONS(918),
    [sym_null_literal] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_LT] = ACTIONS(918),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_final] = ACTIONS(920),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(918),
    [anon_sym_DASH_DASH] = ACTIONS(918),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_class] = ACTIONS(920),
    [anon_sym_switch] = ACTIONS(920),
    [anon_sym_LBRACE] = ACTIONS(918),
    [anon_sym_case] = ACTIONS(920),
    [anon_sym_default] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(918),
    [anon_sym_assert] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(920),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_return] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_synchronized] = ACTIONS(920),
    [anon_sym_throw] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_else] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(920),
    [anon_sym_open] = ACTIONS(920),
    [anon_sym_module] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_package] = ACTIONS(920),
    [anon_sym_import] = ACTIONS(920),
    [anon_sym_enum] = ACTIONS(920),
    [anon_sym_public] = ACTIONS(920),
    [anon_sym_protected] = ACTIONS(920),
    [anon_sym_private] = ACTIONS(920),
    [anon_sym_abstract] = ACTIONS(920),
    [anon_sym_strictfp] = ACTIONS(920),
    [anon_sym_native] = ACTIONS(920),
    [anon_sym_transient] = ACTIONS(920),
    [anon_sym_volatile] = ACTIONS(920),
    [anon_sym_sealed] = ACTIONS(920),
    [anon_sym_non_DASHsealed] = ACTIONS(918),
    [anon_sym_record] = ACTIONS(920),
    [anon_sym_ATinterface] = ACTIONS(918),
    [anon_sym_interface] = ACTIONS(920),
    [anon_sym_byte] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_int] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_char] = ACTIONS(920),
    [anon_sym_float] = ACTIONS(920),
    [anon_sym_double] = ACTIONS(920),
    [sym_boolean_type] = ACTIONS(920),
    [sym_void_type] = ACTIONS(920),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(920),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(922),
    [sym_identifier] = ACTIONS(924),
    [sym_decimal_integer_literal] = ACTIONS(924),
    [sym_hex_integer_literal] = ACTIONS(924),
    [sym_octal_integer_literal] = ACTIONS(924),
    [sym_binary_integer_literal] = ACTIONS(922),
    [sym_decimal_floating_point_literal] = ACTIONS(922),
    [sym_hex_floating_point_literal] = ACTIONS(924),
    [sym_true] = ACTIONS(924),
    [sym_false] = ACTIONS(924),
    [sym_character_literal] = ACTIONS(922),
    [anon_sym_DQUOTE] = ACTIONS(924),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(922),
    [anon_sym_RBRACE] = ACTIONS(922),
    [sym_null_literal] = ACTIONS(924),
    [anon_sym_LPAREN] = ACTIONS(922),
    [anon_sym_LT] = ACTIONS(922),
    [anon_sym_PLUS] = ACTIONS(924),
    [anon_sym_DASH] = ACTIONS(924),
    [anon_sym_final] = ACTIONS(924),
    [anon_sym_BANG] = ACTIONS(922),
    [anon_sym_TILDE] = ACTIONS(922),
    [anon_sym_PLUS_PLUS] = ACTIONS(922),
    [anon_sym_DASH_DASH] = ACTIONS(922),
    [anon_sym_new] = ACTIONS(924),
    [anon_sym_class] = ACTIONS(924),
    [anon_sym_switch] = ACTIONS(924),
    [anon_sym_LBRACE] = ACTIONS(922),
    [anon_sym_case] = ACTIONS(924),
    [anon_sym_default] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(922),
    [anon_sym_assert] = ACTIONS(924),
    [anon_sym_do] = ACTIONS(924),
    [anon_sym_while] = ACTIONS(924),
    [anon_sym_break] = ACTIONS(924),
    [anon_sym_continue] = ACTIONS(924),
    [anon_sym_return] = ACTIONS(924),
    [anon_sym_yield] = ACTIONS(924),
    [anon_sym_synchronized] = ACTIONS(924),
    [anon_sym_throw] = ACTIONS(924),
    [anon_sym_try] = ACTIONS(924),
    [anon_sym_if] = ACTIONS(924),
    [anon_sym_else] = ACTIONS(924),
    [anon_sym_for] = ACTIONS(924),
    [anon_sym_AT] = ACTIONS(924),
    [anon_sym_open] = ACTIONS(924),
    [anon_sym_module] = ACTIONS(924),
    [anon_sym_static] = ACTIONS(924),
    [anon_sym_with] = ACTIONS(924),
    [anon_sym_package] = ACTIONS(924),
    [anon_sym_import] = ACTIONS(924),
    [anon_sym_enum] = ACTIONS(924),
    [anon_sym_public] = ACTIONS(924),
    [anon_sym_protected] = ACTIONS(924),
    [anon_sym_private] = ACTIONS(924),
    [anon_sym_abstract] = ACTIONS(924),
    [anon_sym_strictfp] = ACTIONS(924),
    [anon_sym_native] = ACTIONS(924),
    [anon_sym_transient] = ACTIONS(924),
    [anon_sym_volatile] = ACTIONS(924),
    [anon_sym_sealed] = ACTIONS(924),
    [anon_sym_non_DASHsealed] = ACTIONS(922),
    [anon_sym_record] = ACTIONS(924),
    [anon_sym_ATinterface] = ACTIONS(922),
    [anon_sym_interface] = ACTIONS(924),
    [anon_sym_byte] = ACTIONS(924),
    [anon_sym_short] = ACTIONS(924),
    [anon_sym_int] = ACTIONS(924),
    [anon_sym_long] = ACTIONS(924),
    [anon_sym_char] = ACTIONS(924),
    [anon_sym_float] = ACTIONS(924),
    [anon_sym_double] = ACTIONS(924),
    [sym_boolean_type] = ACTIONS(924),
    [sym_void_type] = ACTIONS(924),
    [sym_this] = ACTIONS(924),
    [sym_super] = ACTIONS(924),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(575),
    [sym_identifier] = ACTIONS(577),
    [sym_decimal_integer_literal] = ACTIONS(577),
    [sym_hex_integer_literal] = ACTIONS(577),
    [sym_octal_integer_literal] = ACTIONS(577),
    [sym_binary_integer_literal] = ACTIONS(575),
    [sym_decimal_floating_point_literal] = ACTIONS(575),
    [sym_hex_floating_point_literal] = ACTIONS(577),
    [sym_true] = ACTIONS(577),
    [sym_false] = ACTIONS(577),
    [sym_character_literal] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(575),
    [anon_sym_RBRACE] = ACTIONS(575),
    [sym_null_literal] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_LT] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(577),
    [anon_sym_final] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(575),
    [anon_sym_TILDE] = ACTIONS(575),
    [anon_sym_PLUS_PLUS] = ACTIONS(575),
    [anon_sym_DASH_DASH] = ACTIONS(575),
    [anon_sym_new] = ACTIONS(577),
    [anon_sym_class] = ACTIONS(577),
    [anon_sym_switch] = ACTIONS(577),
    [anon_sym_LBRACE] = ACTIONS(575),
    [anon_sym_case] = ACTIONS(577),
    [anon_sym_default] = ACTIONS(577),
    [anon_sym_SEMI] = ACTIONS(575),
    [anon_sym_assert] = ACTIONS(577),
    [anon_sym_do] = ACTIONS(577),
    [anon_sym_while] = ACTIONS(577),
    [anon_sym_break] = ACTIONS(577),
    [anon_sym_continue] = ACTIONS(577),
    [anon_sym_return] = ACTIONS(577),
    [anon_sym_yield] = ACTIONS(577),
    [anon_sym_synchronized] = ACTIONS(577),
    [anon_sym_throw] = ACTIONS(577),
    [anon_sym_try] = ACTIONS(577),
    [anon_sym_if] = ACTIONS(577),
    [anon_sym_else] = ACTIONS(577),
    [anon_sym_for] = ACTIONS(577),
    [anon_sym_AT] = ACTIONS(577),
    [anon_sym_open] = ACTIONS(577),
    [anon_sym_module] = ACTIONS(577),
    [anon_sym_static] = ACTIONS(577),
    [anon_sym_with] = ACTIONS(577),
    [anon_sym_package] = ACTIONS(577),
    [anon_sym_import] = ACTIONS(577),
    [anon_sym_enum] = ACTIONS(577),
    [anon_sym_public] = ACTIONS(577),
    [anon_sym_protected] = ACTIONS(577),
    [anon_sym_private] = ACTIONS(577),
    [anon_sym_abstract] = ACTIONS(577),
    [anon_sym_strictfp] = ACTIONS(577),
    [anon_sym_native] = ACTIONS(577),
    [anon_sym_transient] = ACTIONS(577),
    [anon_sym_volatile] = ACTIONS(577),
    [anon_sym_sealed] = ACTIONS(577),
    [anon_sym_non_DASHsealed] = ACTIONS(575),
    [anon_sym_record] = ACTIONS(577),
    [anon_sym_ATinterface] = ACTIONS(575),
    [anon_sym_interface] = ACTIONS(577),
    [anon_sym_byte] = ACTIONS(577),
    [anon_sym_short] = ACTIONS(577),
    [anon_sym_int] = ACTIONS(577),
    [anon_sym_long] = ACTIONS(577),
    [anon_sym_char] = ACTIONS(577),
    [anon_sym_float] = ACTIONS(577),
    [anon_sym_double] = ACTIONS(577),
    [sym_boolean_type] = ACTIONS(577),
    [sym_void_type] = ACTIONS(577),
    [sym_this] = ACTIONS(577),
    [sym_super] = ACTIONS(577),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(926),
    [sym_identifier] = ACTIONS(928),
    [sym_decimal_integer_literal] = ACTIONS(928),
    [sym_hex_integer_literal] = ACTIONS(928),
    [sym_octal_integer_literal] = ACTIONS(928),
    [sym_binary_integer_literal] = ACTIONS(926),
    [sym_decimal_floating_point_literal] = ACTIONS(926),
    [sym_hex_floating_point_literal] = ACTIONS(928),
    [sym_true] = ACTIONS(928),
    [sym_false] = ACTIONS(928),
    [sym_character_literal] = ACTIONS(926),
    [anon_sym_DQUOTE] = ACTIONS(928),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(926),
    [anon_sym_RBRACE] = ACTIONS(926),
    [sym_null_literal] = ACTIONS(928),
    [anon_sym_LPAREN] = ACTIONS(926),
    [anon_sym_LT] = ACTIONS(926),
    [anon_sym_PLUS] = ACTIONS(928),
    [anon_sym_DASH] = ACTIONS(928),
    [anon_sym_final] = ACTIONS(928),
    [anon_sym_BANG] = ACTIONS(926),
    [anon_sym_TILDE] = ACTIONS(926),
    [anon_sym_PLUS_PLUS] = ACTIONS(926),
    [anon_sym_DASH_DASH] = ACTIONS(926),
    [anon_sym_new] = ACTIONS(928),
    [anon_sym_class] = ACTIONS(928),
    [anon_sym_switch] = ACTIONS(928),
    [anon_sym_LBRACE] = ACTIONS(926),
    [anon_sym_case] = ACTIONS(928),
    [anon_sym_default] = ACTIONS(928),
    [anon_sym_SEMI] = ACTIONS(926),
    [anon_sym_assert] = ACTIONS(928),
    [anon_sym_do] = ACTIONS(928),
    [anon_sym_while] = ACTIONS(928),
    [anon_sym_break] = ACTIONS(928),
    [anon_sym_continue] = ACTIONS(928),
    [anon_sym_return] = ACTIONS(928),
    [anon_sym_yield] = ACTIONS(928),
    [anon_sym_synchronized] = ACTIONS(928),
    [anon_sym_throw] = ACTIONS(928),
    [anon_sym_try] = ACTIONS(928),
    [anon_sym_if] = ACTIONS(928),
    [anon_sym_else] = ACTIONS(928),
    [anon_sym_for] = ACTIONS(928),
    [anon_sym_AT] = ACTIONS(928),
    [anon_sym_open] = ACTIONS(928),
    [anon_sym_module] = ACTIONS(928),
    [anon_sym_static] = ACTIONS(928),
    [anon_sym_with] = ACTIONS(928),
    [anon_sym_package] = ACTIONS(928),
    [anon_sym_import] = ACTIONS(928),
    [anon_sym_enum] = ACTIONS(928),
    [anon_sym_public] = ACTIONS(928),
    [anon_sym_protected] = ACTIONS(928),
    [anon_sym_private] = ACTIONS(928),
    [anon_sym_abstract] = ACTIONS(928),
    [anon_sym_strictfp] = ACTIONS(928),
    [anon_sym_native] = ACTIONS(928),
    [anon_sym_transient] = ACTIONS(928),
    [anon_sym_volatile] = ACTIONS(928),
    [anon_sym_sealed] = ACTIONS(928),
    [anon_sym_non_DASHsealed] = ACTIONS(926),
    [anon_sym_record] = ACTIONS(928),
    [anon_sym_ATinterface] = ACTIONS(926),
    [anon_sym_interface] = ACTIONS(928),
    [anon_sym_byte] = ACTIONS(928),
    [anon_sym_short] = ACTIONS(928),
    [anon_sym_int] = ACTIONS(928),
    [anon_sym_long] = ACTIONS(928),
    [anon_sym_char] = ACTIONS(928),
    [anon_sym_float] = ACTIONS(928),
    [anon_sym_double] = ACTIONS(928),
    [sym_boolean_type] = ACTIONS(928),
    [sym_void_type] = ACTIONS(928),
    [sym_this] = ACTIONS(928),
    [sym_super] = ACTIONS(928),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(930),
    [sym_identifier] = ACTIONS(932),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(930),
    [sym_decimal_floating_point_literal] = ACTIONS(930),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(930),
    [anon_sym_DQUOTE] = ACTIONS(932),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(930),
    [anon_sym_RBRACE] = ACTIONS(930),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(930),
    [anon_sym_LT] = ACTIONS(930),
    [anon_sym_PLUS] = ACTIONS(932),
    [anon_sym_DASH] = ACTIONS(932),
    [anon_sym_final] = ACTIONS(932),
    [anon_sym_BANG] = ACTIONS(930),
    [anon_sym_TILDE] = ACTIONS(930),
    [anon_sym_PLUS_PLUS] = ACTIONS(930),
    [anon_sym_DASH_DASH] = ACTIONS(930),
    [anon_sym_new] = ACTIONS(932),
    [anon_sym_class] = ACTIONS(932),
    [anon_sym_switch] = ACTIONS(932),
    [anon_sym_LBRACE] = ACTIONS(930),
    [anon_sym_case] = ACTIONS(932),
    [anon_sym_default] = ACTIONS(932),
    [anon_sym_SEMI] = ACTIONS(930),
    [anon_sym_assert] = ACTIONS(932),
    [anon_sym_do] = ACTIONS(932),
    [anon_sym_while] = ACTIONS(932),
    [anon_sym_break] = ACTIONS(932),
    [anon_sym_continue] = ACTIONS(932),
    [anon_sym_return] = ACTIONS(932),
    [anon_sym_yield] = ACTIONS(932),
    [anon_sym_synchronized] = ACTIONS(932),
    [anon_sym_throw] = ACTIONS(932),
    [anon_sym_try] = ACTIONS(932),
    [anon_sym_if] = ACTIONS(932),
    [anon_sym_else] = ACTIONS(932),
    [anon_sym_for] = ACTIONS(932),
    [anon_sym_AT] = ACTIONS(932),
    [anon_sym_open] = ACTIONS(932),
    [anon_sym_module] = ACTIONS(932),
    [anon_sym_static] = ACTIONS(932),
    [anon_sym_with] = ACTIONS(932),
    [anon_sym_package] = ACTIONS(932),
    [anon_sym_import] = ACTIONS(932),
    [anon_sym_enum] = ACTIONS(932),
    [anon_sym_public] = ACTIONS(932),
    [anon_sym_protected] = ACTIONS(932),
    [anon_sym_private] = ACTIONS(932),
    [anon_sym_abstract] = ACTIONS(932),
    [anon_sym_strictfp] = ACTIONS(932),
    [anon_sym_native] = ACTIONS(932),
    [anon_sym_transient] = ACTIONS(932),
    [anon_sym_volatile] = ACTIONS(932),
    [anon_sym_sealed] = ACTIONS(932),
    [anon_sym_non_DASHsealed] = ACTIONS(930),
    [anon_sym_record] = ACTIONS(932),
    [anon_sym_ATinterface] = ACTIONS(930),
    [anon_sym_interface] = ACTIONS(932),
    [anon_sym_byte] = ACTIONS(932),
    [anon_sym_short] = ACTIONS(932),
    [anon_sym_int] = ACTIONS(932),
    [anon_sym_long] = ACTIONS(932),
    [anon_sym_char] = ACTIONS(932),
    [anon_sym_float] = ACTIONS(932),
    [anon_sym_double] = ACTIONS(932),
    [sym_boolean_type] = ACTIONS(932),
    [sym_void_type] = ACTIONS(932),
    [sym_this] = ACTIONS(932),
    [sym_super] = ACTIONS(932),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(934),
    [sym_identifier] = ACTIONS(936),
    [sym_decimal_integer_literal] = ACTIONS(936),
    [sym_hex_integer_literal] = ACTIONS(936),
    [sym_octal_integer_literal] = ACTIONS(936),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(936),
    [sym_true] = ACTIONS(936),
    [sym_false] = ACTIONS(936),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(934),
    [anon_sym_RBRACE] = ACTIONS(934),
    [sym_null_literal] = ACTIONS(936),
    [anon_sym_LPAREN] = ACTIONS(934),
    [anon_sym_LT] = ACTIONS(934),
    [anon_sym_PLUS] = ACTIONS(936),
    [anon_sym_DASH] = ACTIONS(936),
    [anon_sym_final] = ACTIONS(936),
    [anon_sym_BANG] = ACTIONS(934),
    [anon_sym_TILDE] = ACTIONS(934),
    [anon_sym_PLUS_PLUS] = ACTIONS(934),
    [anon_sym_DASH_DASH] = ACTIONS(934),
    [anon_sym_new] = ACTIONS(936),
    [anon_sym_class] = ACTIONS(936),
    [anon_sym_switch] = ACTIONS(936),
    [anon_sym_LBRACE] = ACTIONS(934),
    [anon_sym_case] = ACTIONS(936),
    [anon_sym_default] = ACTIONS(936),
    [anon_sym_SEMI] = ACTIONS(934),
    [anon_sym_assert] = ACTIONS(936),
    [anon_sym_do] = ACTIONS(936),
    [anon_sym_while] = ACTIONS(936),
    [anon_sym_break] = ACTIONS(936),
    [anon_sym_continue] = ACTIONS(936),
    [anon_sym_return] = ACTIONS(936),
    [anon_sym_yield] = ACTIONS(936),
    [anon_sym_synchronized] = ACTIONS(936),
    [anon_sym_throw] = ACTIONS(936),
    [anon_sym_try] = ACTIONS(936),
    [anon_sym_if] = ACTIONS(936),
    [anon_sym_else] = ACTIONS(936),
    [anon_sym_for] = ACTIONS(936),
    [anon_sym_AT] = ACTIONS(936),
    [anon_sym_open] = ACTIONS(936),
    [anon_sym_module] = ACTIONS(936),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_with] = ACTIONS(936),
    [anon_sym_package] = ACTIONS(936),
    [anon_sym_import] = ACTIONS(936),
    [anon_sym_enum] = ACTIONS(936),
    [anon_sym_public] = ACTIONS(936),
    [anon_sym_protected] = ACTIONS(936),
    [anon_sym_private] = ACTIONS(936),
    [anon_sym_abstract] = ACTIONS(936),
    [anon_sym_strictfp] = ACTIONS(936),
    [anon_sym_native] = ACTIONS(936),
    [anon_sym_transient] = ACTIONS(936),
    [anon_sym_volatile] = ACTIONS(936),
    [anon_sym_sealed] = ACTIONS(936),
    [anon_sym_non_DASHsealed] = ACTIONS(934),
    [anon_sym_record] = ACTIONS(936),
    [anon_sym_ATinterface] = ACTIONS(934),
    [anon_sym_interface] = ACTIONS(936),
    [anon_sym_byte] = ACTIONS(936),
    [anon_sym_short] = ACTIONS(936),
    [anon_sym_int] = ACTIONS(936),
    [anon_sym_long] = ACTIONS(936),
    [anon_sym_char] = ACTIONS(936),
    [anon_sym_float] = ACTIONS(936),
    [anon_sym_double] = ACTIONS(936),
    [sym_boolean_type] = ACTIONS(936),
    [sym_void_type] = ACTIONS(936),
    [sym_this] = ACTIONS(936),
    [sym_super] = ACTIONS(936),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(938),
    [sym_identifier] = ACTIONS(940),
    [sym_decimal_integer_literal] = ACTIONS(940),
    [sym_hex_integer_literal] = ACTIONS(940),
    [sym_octal_integer_literal] = ACTIONS(940),
    [sym_binary_integer_literal] = ACTIONS(938),
    [sym_decimal_floating_point_literal] = ACTIONS(938),
    [sym_hex_floating_point_literal] = ACTIONS(940),
    [sym_true] = ACTIONS(940),
    [sym_false] = ACTIONS(940),
    [sym_character_literal] = ACTIONS(938),
    [anon_sym_DQUOTE] = ACTIONS(940),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(938),
    [anon_sym_RBRACE] = ACTIONS(938),
    [sym_null_literal] = ACTIONS(940),
    [anon_sym_LPAREN] = ACTIONS(938),
    [anon_sym_LT] = ACTIONS(938),
    [anon_sym_PLUS] = ACTIONS(940),
    [anon_sym_DASH] = ACTIONS(940),
    [anon_sym_final] = ACTIONS(940),
    [anon_sym_BANG] = ACTIONS(938),
    [anon_sym_TILDE] = ACTIONS(938),
    [anon_sym_PLUS_PLUS] = ACTIONS(938),
    [anon_sym_DASH_DASH] = ACTIONS(938),
    [anon_sym_new] = ACTIONS(940),
    [anon_sym_class] = ACTIONS(940),
    [anon_sym_switch] = ACTIONS(940),
    [anon_sym_LBRACE] = ACTIONS(938),
    [anon_sym_case] = ACTIONS(940),
    [anon_sym_default] = ACTIONS(940),
    [anon_sym_SEMI] = ACTIONS(938),
    [anon_sym_assert] = ACTIONS(940),
    [anon_sym_do] = ACTIONS(940),
    [anon_sym_while] = ACTIONS(940),
    [anon_sym_break] = ACTIONS(940),
    [anon_sym_continue] = ACTIONS(940),
    [anon_sym_return] = ACTIONS(940),
    [anon_sym_yield] = ACTIONS(940),
    [anon_sym_synchronized] = ACTIONS(940),
    [anon_sym_throw] = ACTIONS(940),
    [anon_sym_try] = ACTIONS(940),
    [anon_sym_if] = ACTIONS(940),
    [anon_sym_else] = ACTIONS(940),
    [anon_sym_for] = ACTIONS(940),
    [anon_sym_AT] = ACTIONS(940),
    [anon_sym_open] = ACTIONS(940),
    [anon_sym_module] = ACTIONS(940),
    [anon_sym_static] = ACTIONS(940),
    [anon_sym_with] = ACTIONS(940),
    [anon_sym_package] = ACTIONS(940),
    [anon_sym_import] = ACTIONS(940),
    [anon_sym_enum] = ACTIONS(940),
    [anon_sym_public] = ACTIONS(940),
    [anon_sym_protected] = ACTIONS(940),
    [anon_sym_private] = ACTIONS(940),
    [anon_sym_abstract] = ACTIONS(940),
    [anon_sym_strictfp] = ACTIONS(940),
    [anon_sym_native] = ACTIONS(940),
    [anon_sym_transient] = ACTIONS(940),
    [anon_sym_volatile] = ACTIONS(940),
    [anon_sym_sealed] = ACTIONS(940),
    [anon_sym_non_DASHsealed] = ACTIONS(938),
    [anon_sym_record] = ACTIONS(940),
    [anon_sym_ATinterface] = ACTIONS(938),
    [anon_sym_interface] = ACTIONS(940),
    [anon_sym_byte] = ACTIONS(940),
    [anon_sym_short] = ACTIONS(940),
    [anon_sym_int] = ACTIONS(940),
    [anon_sym_long] = ACTIONS(940),
    [anon_sym_char] = ACTIONS(940),
    [anon_sym_float] = ACTIONS(940),
    [anon_sym_double] = ACTIONS(940),
    [sym_boolean_type] = ACTIONS(940),
    [sym_void_type] = ACTIONS(940),
    [sym_this] = ACTIONS(940),
    [sym_super] = ACTIONS(940),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(942),
    [sym_identifier] = ACTIONS(944),
    [sym_decimal_integer_literal] = ACTIONS(944),
    [sym_hex_integer_literal] = ACTIONS(944),
    [sym_octal_integer_literal] = ACTIONS(944),
    [sym_binary_integer_literal] = ACTIONS(942),
    [sym_decimal_floating_point_literal] = ACTIONS(942),
    [sym_hex_floating_point_literal] = ACTIONS(944),
    [sym_true] = ACTIONS(944),
    [sym_false] = ACTIONS(944),
    [sym_character_literal] = ACTIONS(942),
    [anon_sym_DQUOTE] = ACTIONS(944),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(942),
    [anon_sym_RBRACE] = ACTIONS(942),
    [sym_null_literal] = ACTIONS(944),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_LT] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(944),
    [anon_sym_BANG] = ACTIONS(942),
    [anon_sym_TILDE] = ACTIONS(942),
    [anon_sym_PLUS_PLUS] = ACTIONS(942),
    [anon_sym_DASH_DASH] = ACTIONS(942),
    [anon_sym_new] = ACTIONS(944),
    [anon_sym_class] = ACTIONS(944),
    [anon_sym_switch] = ACTIONS(944),
    [anon_sym_LBRACE] = ACTIONS(942),
    [anon_sym_case] = ACTIONS(944),
    [anon_sym_default] = ACTIONS(944),
    [anon_sym_SEMI] = ACTIONS(942),
    [anon_sym_assert] = ACTIONS(944),
    [anon_sym_do] = ACTIONS(944),
    [anon_sym_while] = ACTIONS(944),
    [anon_sym_break] = ACTIONS(944),
    [anon_sym_continue] = ACTIONS(944),
    [anon_sym_return] = ACTIONS(944),
    [anon_sym_yield] = ACTIONS(944),
    [anon_sym_synchronized] = ACTIONS(944),
    [anon_sym_throw] = ACTIONS(944),
    [anon_sym_try] = ACTIONS(944),
    [anon_sym_if] = ACTIONS(944),
    [anon_sym_else] = ACTIONS(944),
    [anon_sym_for] = ACTIONS(944),
    [anon_sym_AT] = ACTIONS(944),
    [anon_sym_open] = ACTIONS(944),
    [anon_sym_module] = ACTIONS(944),
    [anon_sym_static] = ACTIONS(944),
    [anon_sym_with] = ACTIONS(944),
    [anon_sym_package] = ACTIONS(944),
    [anon_sym_import] = ACTIONS(944),
    [anon_sym_enum] = ACTIONS(944),
    [anon_sym_public] = ACTIONS(944),
    [anon_sym_protected] = ACTIONS(944),
    [anon_sym_private] = ACTIONS(944),
    [anon_sym_abstract] = ACTIONS(944),
    [anon_sym_strictfp] = ACTIONS(944),
    [anon_sym_native] = ACTIONS(944),
    [anon_sym_transient] = ACTIONS(944),
    [anon_sym_volatile] = ACTIONS(944),
    [anon_sym_sealed] = ACTIONS(944),
    [anon_sym_non_DASHsealed] = ACTIONS(942),
    [anon_sym_record] = ACTIONS(944),
    [anon_sym_ATinterface] = ACTIONS(942),
    [anon_sym_interface] = ACTIONS(944),
    [anon_sym_byte] = ACTIONS(944),
    [anon_sym_short] = ACTIONS(944),
    [anon_sym_int] = ACTIONS(944),
    [anon_sym_long] = ACTIONS(944),
    [anon_sym_char] = ACTIONS(944),
    [anon_sym_float] = ACTIONS(944),
    [anon_sym_double] = ACTIONS(944),
    [sym_boolean_type] = ACTIONS(944),
    [sym_void_type] = ACTIONS(944),
    [sym_this] = ACTIONS(944),
    [sym_super] = ACTIONS(944),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(946),
    [sym_identifier] = ACTIONS(948),
    [sym_decimal_integer_literal] = ACTIONS(948),
    [sym_hex_integer_literal] = ACTIONS(948),
    [sym_octal_integer_literal] = ACTIONS(948),
    [sym_binary_integer_literal] = ACTIONS(946),
    [sym_decimal_floating_point_literal] = ACTIONS(946),
    [sym_hex_floating_point_literal] = ACTIONS(948),
    [sym_true] = ACTIONS(948),
    [sym_false] = ACTIONS(948),
    [sym_character_literal] = ACTIONS(946),
    [anon_sym_DQUOTE] = ACTIONS(948),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(946),
    [anon_sym_RBRACE] = ACTIONS(946),
    [sym_null_literal] = ACTIONS(948),
    [anon_sym_LPAREN] = ACTIONS(946),
    [anon_sym_LT] = ACTIONS(946),
    [anon_sym_PLUS] = ACTIONS(948),
    [anon_sym_DASH] = ACTIONS(948),
    [anon_sym_final] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(946),
    [anon_sym_TILDE] = ACTIONS(946),
    [anon_sym_PLUS_PLUS] = ACTIONS(946),
    [anon_sym_DASH_DASH] = ACTIONS(946),
    [anon_sym_new] = ACTIONS(948),
    [anon_sym_class] = ACTIONS(948),
    [anon_sym_switch] = ACTIONS(948),
    [anon_sym_LBRACE] = ACTIONS(946),
    [anon_sym_case] = ACTIONS(948),
    [anon_sym_default] = ACTIONS(948),
    [anon_sym_SEMI] = ACTIONS(946),
    [anon_sym_assert] = ACTIONS(948),
    [anon_sym_do] = ACTIONS(948),
    [anon_sym_while] = ACTIONS(948),
    [anon_sym_break] = ACTIONS(948),
    [anon_sym_continue] = ACTIONS(948),
    [anon_sym_return] = ACTIONS(948),
    [anon_sym_yield] = ACTIONS(948),
    [anon_sym_synchronized] = ACTIONS(948),
    [anon_sym_throw] = ACTIONS(948),
    [anon_sym_try] = ACTIONS(948),
    [anon_sym_if] = ACTIONS(948),
    [anon_sym_else] = ACTIONS(948),
    [anon_sym_for] = ACTIONS(948),
    [anon_sym_AT] = ACTIONS(948),
    [anon_sym_open] = ACTIONS(948),
    [anon_sym_module] = ACTIONS(948),
    [anon_sym_static] = ACTIONS(948),
    [anon_sym_with] = ACTIONS(948),
    [anon_sym_package] = ACTIONS(948),
    [anon_sym_import] = ACTIONS(948),
    [anon_sym_enum] = ACTIONS(948),
    [anon_sym_public] = ACTIONS(948),
    [anon_sym_protected] = ACTIONS(948),
    [anon_sym_private] = ACTIONS(948),
    [anon_sym_abstract] = ACTIONS(948),
    [anon_sym_strictfp] = ACTIONS(948),
    [anon_sym_native] = ACTIONS(948),
    [anon_sym_transient] = ACTIONS(948),
    [anon_sym_volatile] = ACTIONS(948),
    [anon_sym_sealed] = ACTIONS(948),
    [anon_sym_non_DASHsealed] = ACTIONS(946),
    [anon_sym_record] = ACTIONS(948),
    [anon_sym_ATinterface] = ACTIONS(946),
    [anon_sym_interface] = ACTIONS(948),
    [anon_sym_byte] = ACTIONS(948),
    [anon_sym_short] = ACTIONS(948),
    [anon_sym_int] = ACTIONS(948),
    [anon_sym_long] = ACTIONS(948),
    [anon_sym_char] = ACTIONS(948),
    [anon_sym_float] = ACTIONS(948),
    [anon_sym_double] = ACTIONS(948),
    [sym_boolean_type] = ACTIONS(948),
    [sym_void_type] = ACTIONS(948),
    [sym_this] = ACTIONS(948),
    [sym_super] = ACTIONS(948),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(950),
    [sym_identifier] = ACTIONS(952),
    [sym_decimal_integer_literal] = ACTIONS(952),
    [sym_hex_integer_literal] = ACTIONS(952),
    [sym_octal_integer_literal] = ACTIONS(952),
    [sym_binary_integer_literal] = ACTIONS(950),
    [sym_decimal_floating_point_literal] = ACTIONS(950),
    [sym_hex_floating_point_literal] = ACTIONS(952),
    [sym_true] = ACTIONS(952),
    [sym_false] = ACTIONS(952),
    [sym_character_literal] = ACTIONS(950),
    [anon_sym_DQUOTE] = ACTIONS(952),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(950),
    [anon_sym_RBRACE] = ACTIONS(950),
    [sym_null_literal] = ACTIONS(952),
    [anon_sym_LPAREN] = ACTIONS(950),
    [anon_sym_LT] = ACTIONS(950),
    [anon_sym_PLUS] = ACTIONS(952),
    [anon_sym_DASH] = ACTIONS(952),
    [anon_sym_final] = ACTIONS(952),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(950),
    [anon_sym_DASH_DASH] = ACTIONS(950),
    [anon_sym_new] = ACTIONS(952),
    [anon_sym_class] = ACTIONS(952),
    [anon_sym_switch] = ACTIONS(952),
    [anon_sym_LBRACE] = ACTIONS(950),
    [anon_sym_case] = ACTIONS(952),
    [anon_sym_default] = ACTIONS(952),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym_assert] = ACTIONS(952),
    [anon_sym_do] = ACTIONS(952),
    [anon_sym_while] = ACTIONS(952),
    [anon_sym_break] = ACTIONS(952),
    [anon_sym_continue] = ACTIONS(952),
    [anon_sym_return] = ACTIONS(952),
    [anon_sym_yield] = ACTIONS(952),
    [anon_sym_synchronized] = ACTIONS(952),
    [anon_sym_throw] = ACTIONS(952),
    [anon_sym_try] = ACTIONS(952),
    [anon_sym_if] = ACTIONS(952),
    [anon_sym_else] = ACTIONS(952),
    [anon_sym_for] = ACTIONS(952),
    [anon_sym_AT] = ACTIONS(952),
    [anon_sym_open] = ACTIONS(952),
    [anon_sym_module] = ACTIONS(952),
    [anon_sym_static] = ACTIONS(952),
    [anon_sym_with] = ACTIONS(952),
    [anon_sym_package] = ACTIONS(952),
    [anon_sym_import] = ACTIONS(952),
    [anon_sym_enum] = ACTIONS(952),
    [anon_sym_public] = ACTIONS(952),
    [anon_sym_protected] = ACTIONS(952),
    [anon_sym_private] = ACTIONS(952),
    [anon_sym_abstract] = ACTIONS(952),
    [anon_sym_strictfp] = ACTIONS(952),
    [anon_sym_native] = ACTIONS(952),
    [anon_sym_transient] = ACTIONS(952),
    [anon_sym_volatile] = ACTIONS(952),
    [anon_sym_sealed] = ACTIONS(952),
    [anon_sym_non_DASHsealed] = ACTIONS(950),
    [anon_sym_record] = ACTIONS(952),
    [anon_sym_ATinterface] = ACTIONS(950),
    [anon_sym_interface] = ACTIONS(952),
    [anon_sym_byte] = ACTIONS(952),
    [anon_sym_short] = ACTIONS(952),
    [anon_sym_int] = ACTIONS(952),
    [anon_sym_long] = ACTIONS(952),
    [anon_sym_char] = ACTIONS(952),
    [anon_sym_float] = ACTIONS(952),
    [anon_sym_double] = ACTIONS(952),
    [sym_boolean_type] = ACTIONS(952),
    [sym_void_type] = ACTIONS(952),
    [sym_this] = ACTIONS(952),
    [sym_super] = ACTIONS(952),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(954),
    [sym_identifier] = ACTIONS(956),
    [sym_decimal_integer_literal] = ACTIONS(956),
    [sym_hex_integer_literal] = ACTIONS(956),
    [sym_octal_integer_literal] = ACTIONS(956),
    [sym_binary_integer_literal] = ACTIONS(954),
    [sym_decimal_floating_point_literal] = ACTIONS(954),
    [sym_hex_floating_point_literal] = ACTIONS(956),
    [sym_true] = ACTIONS(956),
    [sym_false] = ACTIONS(956),
    [sym_character_literal] = ACTIONS(954),
    [anon_sym_DQUOTE] = ACTIONS(956),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(954),
    [anon_sym_RBRACE] = ACTIONS(954),
    [sym_null_literal] = ACTIONS(956),
    [anon_sym_LPAREN] = ACTIONS(954),
    [anon_sym_LT] = ACTIONS(954),
    [anon_sym_PLUS] = ACTIONS(956),
    [anon_sym_DASH] = ACTIONS(956),
    [anon_sym_final] = ACTIONS(956),
    [anon_sym_BANG] = ACTIONS(954),
    [anon_sym_TILDE] = ACTIONS(954),
    [anon_sym_PLUS_PLUS] = ACTIONS(954),
    [anon_sym_DASH_DASH] = ACTIONS(954),
    [anon_sym_new] = ACTIONS(956),
    [anon_sym_class] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(956),
    [anon_sym_LBRACE] = ACTIONS(954),
    [anon_sym_case] = ACTIONS(956),
    [anon_sym_default] = ACTIONS(956),
    [anon_sym_SEMI] = ACTIONS(954),
    [anon_sym_assert] = ACTIONS(956),
    [anon_sym_do] = ACTIONS(956),
    [anon_sym_while] = ACTIONS(956),
    [anon_sym_break] = ACTIONS(956),
    [anon_sym_continue] = ACTIONS(956),
    [anon_sym_return] = ACTIONS(956),
    [anon_sym_yield] = ACTIONS(956),
    [anon_sym_synchronized] = ACTIONS(956),
    [anon_sym_throw] = ACTIONS(956),
    [anon_sym_try] = ACTIONS(956),
    [anon_sym_if] = ACTIONS(956),
    [anon_sym_else] = ACTIONS(956),
    [anon_sym_for] = ACTIONS(956),
    [anon_sym_AT] = ACTIONS(956),
    [anon_sym_open] = ACTIONS(956),
    [anon_sym_module] = ACTIONS(956),
    [anon_sym_static] = ACTIONS(956),
    [anon_sym_with] = ACTIONS(956),
    [anon_sym_package] = ACTIONS(956),
    [anon_sym_import] = ACTIONS(956),
    [anon_sym_enum] = ACTIONS(956),
    [anon_sym_public] = ACTIONS(956),
    [anon_sym_protected] = ACTIONS(956),
    [anon_sym_private] = ACTIONS(956),
    [anon_sym_abstract] = ACTIONS(956),
    [anon_sym_strictfp] = ACTIONS(956),
    [anon_sym_native] = ACTIONS(956),
    [anon_sym_transient] = ACTIONS(956),
    [anon_sym_volatile] = ACTIONS(956),
    [anon_sym_sealed] = ACTIONS(956),
    [anon_sym_non_DASHsealed] = ACTIONS(954),
    [anon_sym_record] = ACTIONS(956),
    [anon_sym_ATinterface] = ACTIONS(954),
    [anon_sym_interface] = ACTIONS(956),
    [anon_sym_byte] = ACTIONS(956),
    [anon_sym_short] = ACTIONS(956),
    [anon_sym_int] = ACTIONS(956),
    [anon_sym_long] = ACTIONS(956),
    [anon_sym_char] = ACTIONS(956),
    [anon_sym_float] = ACTIONS(956),
    [anon_sym_double] = ACTIONS(956),
    [sym_boolean_type] = ACTIONS(956),
    [sym_void_type] = ACTIONS(956),
    [sym_this] = ACTIONS(956),
    [sym_super] = ACTIONS(956),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(958),
    [sym_identifier] = ACTIONS(960),
    [sym_decimal_integer_literal] = ACTIONS(960),
    [sym_hex_integer_literal] = ACTIONS(960),
    [sym_octal_integer_literal] = ACTIONS(960),
    [sym_binary_integer_literal] = ACTIONS(958),
    [sym_decimal_floating_point_literal] = ACTIONS(958),
    [sym_hex_floating_point_literal] = ACTIONS(960),
    [sym_true] = ACTIONS(960),
    [sym_false] = ACTIONS(960),
    [sym_character_literal] = ACTIONS(958),
    [anon_sym_DQUOTE] = ACTIONS(960),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(958),
    [anon_sym_RBRACE] = ACTIONS(958),
    [sym_null_literal] = ACTIONS(960),
    [anon_sym_LPAREN] = ACTIONS(958),
    [anon_sym_LT] = ACTIONS(958),
    [anon_sym_PLUS] = ACTIONS(960),
    [anon_sym_DASH] = ACTIONS(960),
    [anon_sym_final] = ACTIONS(960),
    [anon_sym_BANG] = ACTIONS(958),
    [anon_sym_TILDE] = ACTIONS(958),
    [anon_sym_PLUS_PLUS] = ACTIONS(958),
    [anon_sym_DASH_DASH] = ACTIONS(958),
    [anon_sym_new] = ACTIONS(960),
    [anon_sym_class] = ACTIONS(960),
    [anon_sym_switch] = ACTIONS(960),
    [anon_sym_LBRACE] = ACTIONS(958),
    [anon_sym_case] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(958),
    [anon_sym_assert] = ACTIONS(960),
    [anon_sym_do] = ACTIONS(960),
    [anon_sym_while] = ACTIONS(960),
    [anon_sym_break] = ACTIONS(960),
    [anon_sym_continue] = ACTIONS(960),
    [anon_sym_return] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(960),
    [anon_sym_synchronized] = ACTIONS(960),
    [anon_sym_throw] = ACTIONS(960),
    [anon_sym_try] = ACTIONS(960),
    [anon_sym_if] = ACTIONS(960),
    [anon_sym_else] = ACTIONS(960),
    [anon_sym_for] = ACTIONS(960),
    [anon_sym_AT] = ACTIONS(960),
    [anon_sym_open] = ACTIONS(960),
    [anon_sym_module] = ACTIONS(960),
    [anon_sym_static] = ACTIONS(960),
    [anon_sym_with] = ACTIONS(960),
    [anon_sym_package] = ACTIONS(960),
    [anon_sym_import] = ACTIONS(960),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_public] = ACTIONS(960),
    [anon_sym_protected] = ACTIONS(960),
    [anon_sym_private] = ACTIONS(960),
    [anon_sym_abstract] = ACTIONS(960),
    [anon_sym_strictfp] = ACTIONS(960),
    [anon_sym_native] = ACTIONS(960),
    [anon_sym_transient] = ACTIONS(960),
    [anon_sym_volatile] = ACTIONS(960),
    [anon_sym_sealed] = ACTIONS(960),
    [anon_sym_non_DASHsealed] = ACTIONS(958),
    [anon_sym_record] = ACTIONS(960),
    [anon_sym_ATinterface] = ACTIONS(958),
    [anon_sym_interface] = ACTIONS(960),
    [anon_sym_byte] = ACTIONS(960),
    [anon_sym_short] = ACTIONS(960),
    [anon_sym_int] = ACTIONS(960),
    [anon_sym_long] = ACTIONS(960),
    [anon_sym_char] = ACTIONS(960),
    [anon_sym_float] = ACTIONS(960),
    [anon_sym_double] = ACTIONS(960),
    [sym_boolean_type] = ACTIONS(960),
    [sym_void_type] = ACTIONS(960),
    [sym_this] = ACTIONS(960),
    [sym_super] = ACTIONS(960),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(962),
    [sym_identifier] = ACTIONS(964),
    [sym_decimal_integer_literal] = ACTIONS(964),
    [sym_hex_integer_literal] = ACTIONS(964),
    [sym_octal_integer_literal] = ACTIONS(964),
    [sym_binary_integer_literal] = ACTIONS(962),
    [sym_decimal_floating_point_literal] = ACTIONS(962),
    [sym_hex_floating_point_literal] = ACTIONS(964),
    [sym_true] = ACTIONS(964),
    [sym_false] = ACTIONS(964),
    [sym_character_literal] = ACTIONS(962),
    [anon_sym_DQUOTE] = ACTIONS(964),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(962),
    [anon_sym_RBRACE] = ACTIONS(962),
    [sym_null_literal] = ACTIONS(964),
    [anon_sym_LPAREN] = ACTIONS(962),
    [anon_sym_LT] = ACTIONS(962),
    [anon_sym_PLUS] = ACTIONS(964),
    [anon_sym_DASH] = ACTIONS(964),
    [anon_sym_final] = ACTIONS(964),
    [anon_sym_BANG] = ACTIONS(962),
    [anon_sym_TILDE] = ACTIONS(962),
    [anon_sym_PLUS_PLUS] = ACTIONS(962),
    [anon_sym_DASH_DASH] = ACTIONS(962),
    [anon_sym_new] = ACTIONS(964),
    [anon_sym_class] = ACTIONS(964),
    [anon_sym_switch] = ACTIONS(964),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_case] = ACTIONS(964),
    [anon_sym_default] = ACTIONS(964),
    [anon_sym_SEMI] = ACTIONS(962),
    [anon_sym_assert] = ACTIONS(964),
    [anon_sym_do] = ACTIONS(964),
    [anon_sym_while] = ACTIONS(964),
    [anon_sym_break] = ACTIONS(964),
    [anon_sym_continue] = ACTIONS(964),
    [anon_sym_return] = ACTIONS(964),
    [anon_sym_yield] = ACTIONS(964),
    [anon_sym_synchronized] = ACTIONS(964),
    [anon_sym_throw] = ACTIONS(964),
    [anon_sym_try] = ACTIONS(964),
    [anon_sym_if] = ACTIONS(964),
    [anon_sym_else] = ACTIONS(964),
    [anon_sym_for] = ACTIONS(964),
    [anon_sym_AT] = ACTIONS(964),
    [anon_sym_open] = ACTIONS(964),
    [anon_sym_module] = ACTIONS(964),
    [anon_sym_static] = ACTIONS(964),
    [anon_sym_with] = ACTIONS(964),
    [anon_sym_package] = ACTIONS(964),
    [anon_sym_import] = ACTIONS(964),
    [anon_sym_enum] = ACTIONS(964),
    [anon_sym_public] = ACTIONS(964),
    [anon_sym_protected] = ACTIONS(964),
    [anon_sym_private] = ACTIONS(964),
    [anon_sym_abstract] = ACTIONS(964),
    [anon_sym_strictfp] = ACTIONS(964),
    [anon_sym_native] = ACTIONS(964),
    [anon_sym_transient] = ACTIONS(964),
    [anon_sym_volatile] = ACTIONS(964),
    [anon_sym_sealed] = ACTIONS(964),
    [anon_sym_non_DASHsealed] = ACTIONS(962),
    [anon_sym_record] = ACTIONS(964),
    [anon_sym_ATinterface] = ACTIONS(962),
    [anon_sym_interface] = ACTIONS(964),
    [anon_sym_byte] = ACTIONS(964),
    [anon_sym_short] = ACTIONS(964),
    [anon_sym_int] = ACTIONS(964),
    [anon_sym_long] = ACTIONS(964),
    [anon_sym_char] = ACTIONS(964),
    [anon_sym_float] = ACTIONS(964),
    [anon_sym_double] = ACTIONS(964),
    [sym_boolean_type] = ACTIONS(964),
    [sym_void_type] = ACTIONS(964),
    [sym_this] = ACTIONS(964),
    [sym_super] = ACTIONS(964),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(966),
    [sym_identifier] = ACTIONS(968),
    [sym_decimal_integer_literal] = ACTIONS(968),
    [sym_hex_integer_literal] = ACTIONS(968),
    [sym_octal_integer_literal] = ACTIONS(968),
    [sym_binary_integer_literal] = ACTIONS(966),
    [sym_decimal_floating_point_literal] = ACTIONS(966),
    [sym_hex_floating_point_literal] = ACTIONS(968),
    [sym_true] = ACTIONS(968),
    [sym_false] = ACTIONS(968),
    [sym_character_literal] = ACTIONS(966),
    [anon_sym_DQUOTE] = ACTIONS(968),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(966),
    [anon_sym_RBRACE] = ACTIONS(966),
    [sym_null_literal] = ACTIONS(968),
    [anon_sym_LPAREN] = ACTIONS(966),
    [anon_sym_LT] = ACTIONS(966),
    [anon_sym_PLUS] = ACTIONS(968),
    [anon_sym_DASH] = ACTIONS(968),
    [anon_sym_final] = ACTIONS(968),
    [anon_sym_BANG] = ACTIONS(966),
    [anon_sym_TILDE] = ACTIONS(966),
    [anon_sym_PLUS_PLUS] = ACTIONS(966),
    [anon_sym_DASH_DASH] = ACTIONS(966),
    [anon_sym_new] = ACTIONS(968),
    [anon_sym_class] = ACTIONS(968),
    [anon_sym_switch] = ACTIONS(968),
    [anon_sym_LBRACE] = ACTIONS(966),
    [anon_sym_case] = ACTIONS(968),
    [anon_sym_default] = ACTIONS(968),
    [anon_sym_SEMI] = ACTIONS(966),
    [anon_sym_assert] = ACTIONS(968),
    [anon_sym_do] = ACTIONS(968),
    [anon_sym_while] = ACTIONS(968),
    [anon_sym_break] = ACTIONS(968),
    [anon_sym_continue] = ACTIONS(968),
    [anon_sym_return] = ACTIONS(968),
    [anon_sym_yield] = ACTIONS(968),
    [anon_sym_synchronized] = ACTIONS(968),
    [anon_sym_throw] = ACTIONS(968),
    [anon_sym_try] = ACTIONS(968),
    [anon_sym_if] = ACTIONS(968),
    [anon_sym_else] = ACTIONS(968),
    [anon_sym_for] = ACTIONS(968),
    [anon_sym_AT] = ACTIONS(968),
    [anon_sym_open] = ACTIONS(968),
    [anon_sym_module] = ACTIONS(968),
    [anon_sym_static] = ACTIONS(968),
    [anon_sym_with] = ACTIONS(968),
    [anon_sym_package] = ACTIONS(968),
    [anon_sym_import] = ACTIONS(968),
    [anon_sym_enum] = ACTIONS(968),
    [anon_sym_public] = ACTIONS(968),
    [anon_sym_protected] = ACTIONS(968),
    [anon_sym_private] = ACTIONS(968),
    [anon_sym_abstract] = ACTIONS(968),
    [anon_sym_strictfp] = ACTIONS(968),
    [anon_sym_native] = ACTIONS(968),
    [anon_sym_transient] = ACTIONS(968),
    [anon_sym_volatile] = ACTIONS(968),
    [anon_sym_sealed] = ACTIONS(968),
    [anon_sym_non_DASHsealed] = ACTIONS(966),
    [anon_sym_record] = ACTIONS(968),
    [anon_sym_ATinterface] = ACTIONS(966),
    [anon_sym_interface] = ACTIONS(968),
    [anon_sym_byte] = ACTIONS(968),
    [anon_sym_short] = ACTIONS(968),
    [anon_sym_int] = ACTIONS(968),
    [anon_sym_long] = ACTIONS(968),
    [anon_sym_char] = ACTIONS(968),
    [anon_sym_float] = ACTIONS(968),
    [anon_sym_double] = ACTIONS(968),
    [sym_boolean_type] = ACTIONS(968),
    [sym_void_type] = ACTIONS(968),
    [sym_this] = ACTIONS(968),
    [sym_super] = ACTIONS(968),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(970),
    [sym_identifier] = ACTIONS(972),
    [sym_decimal_integer_literal] = ACTIONS(972),
    [sym_hex_integer_literal] = ACTIONS(972),
    [sym_octal_integer_literal] = ACTIONS(972),
    [sym_binary_integer_literal] = ACTIONS(970),
    [sym_decimal_floating_point_literal] = ACTIONS(970),
    [sym_hex_floating_point_literal] = ACTIONS(972),
    [sym_true] = ACTIONS(972),
    [sym_false] = ACTIONS(972),
    [sym_character_literal] = ACTIONS(970),
    [anon_sym_DQUOTE] = ACTIONS(972),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(970),
    [anon_sym_RBRACE] = ACTIONS(970),
    [sym_null_literal] = ACTIONS(972),
    [anon_sym_LPAREN] = ACTIONS(970),
    [anon_sym_LT] = ACTIONS(970),
    [anon_sym_PLUS] = ACTIONS(972),
    [anon_sym_DASH] = ACTIONS(972),
    [anon_sym_final] = ACTIONS(972),
    [anon_sym_BANG] = ACTIONS(970),
    [anon_sym_TILDE] = ACTIONS(970),
    [anon_sym_PLUS_PLUS] = ACTIONS(970),
    [anon_sym_DASH_DASH] = ACTIONS(970),
    [anon_sym_new] = ACTIONS(972),
    [anon_sym_class] = ACTIONS(972),
    [anon_sym_switch] = ACTIONS(972),
    [anon_sym_LBRACE] = ACTIONS(970),
    [anon_sym_case] = ACTIONS(972),
    [anon_sym_default] = ACTIONS(972),
    [anon_sym_SEMI] = ACTIONS(970),
    [anon_sym_assert] = ACTIONS(972),
    [anon_sym_do] = ACTIONS(972),
    [anon_sym_while] = ACTIONS(972),
    [anon_sym_break] = ACTIONS(972),
    [anon_sym_continue] = ACTIONS(972),
    [anon_sym_return] = ACTIONS(972),
    [anon_sym_yield] = ACTIONS(972),
    [anon_sym_synchronized] = ACTIONS(972),
    [anon_sym_throw] = ACTIONS(972),
    [anon_sym_try] = ACTIONS(972),
    [anon_sym_if] = ACTIONS(972),
    [anon_sym_else] = ACTIONS(972),
    [anon_sym_for] = ACTIONS(972),
    [anon_sym_AT] = ACTIONS(972),
    [anon_sym_open] = ACTIONS(972),
    [anon_sym_module] = ACTIONS(972),
    [anon_sym_static] = ACTIONS(972),
    [anon_sym_with] = ACTIONS(972),
    [anon_sym_package] = ACTIONS(972),
    [anon_sym_import] = ACTIONS(972),
    [anon_sym_enum] = ACTIONS(972),
    [anon_sym_public] = ACTIONS(972),
    [anon_sym_protected] = ACTIONS(972),
    [anon_sym_private] = ACTIONS(972),
    [anon_sym_abstract] = ACTIONS(972),
    [anon_sym_strictfp] = ACTIONS(972),
    [anon_sym_native] = ACTIONS(972),
    [anon_sym_transient] = ACTIONS(972),
    [anon_sym_volatile] = ACTIONS(972),
    [anon_sym_sealed] = ACTIONS(972),
    [anon_sym_non_DASHsealed] = ACTIONS(970),
    [anon_sym_record] = ACTIONS(972),
    [anon_sym_ATinterface] = ACTIONS(970),
    [anon_sym_interface] = ACTIONS(972),
    [anon_sym_byte] = ACTIONS(972),
    [anon_sym_short] = ACTIONS(972),
    [anon_sym_int] = ACTIONS(972),
    [anon_sym_long] = ACTIONS(972),
    [anon_sym_char] = ACTIONS(972),
    [anon_sym_float] = ACTIONS(972),
    [anon_sym_double] = ACTIONS(972),
    [sym_boolean_type] = ACTIONS(972),
    [sym_void_type] = ACTIONS(972),
    [sym_this] = ACTIONS(972),
    [sym_super] = ACTIONS(972),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(974),
    [sym_identifier] = ACTIONS(976),
    [sym_decimal_integer_literal] = ACTIONS(976),
    [sym_hex_integer_literal] = ACTIONS(976),
    [sym_octal_integer_literal] = ACTIONS(976),
    [sym_binary_integer_literal] = ACTIONS(974),
    [sym_decimal_floating_point_literal] = ACTIONS(974),
    [sym_hex_floating_point_literal] = ACTIONS(976),
    [sym_true] = ACTIONS(976),
    [sym_false] = ACTIONS(976),
    [sym_character_literal] = ACTIONS(974),
    [anon_sym_DQUOTE] = ACTIONS(976),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(974),
    [anon_sym_RBRACE] = ACTIONS(974),
    [sym_null_literal] = ACTIONS(976),
    [anon_sym_LPAREN] = ACTIONS(974),
    [anon_sym_LT] = ACTIONS(974),
    [anon_sym_PLUS] = ACTIONS(976),
    [anon_sym_DASH] = ACTIONS(976),
    [anon_sym_final] = ACTIONS(976),
    [anon_sym_BANG] = ACTIONS(974),
    [anon_sym_TILDE] = ACTIONS(974),
    [anon_sym_PLUS_PLUS] = ACTIONS(974),
    [anon_sym_DASH_DASH] = ACTIONS(974),
    [anon_sym_new] = ACTIONS(976),
    [anon_sym_class] = ACTIONS(976),
    [anon_sym_switch] = ACTIONS(976),
    [anon_sym_LBRACE] = ACTIONS(974),
    [anon_sym_case] = ACTIONS(976),
    [anon_sym_default] = ACTIONS(976),
    [anon_sym_SEMI] = ACTIONS(974),
    [anon_sym_assert] = ACTIONS(976),
    [anon_sym_do] = ACTIONS(976),
    [anon_sym_while] = ACTIONS(976),
    [anon_sym_break] = ACTIONS(976),
    [anon_sym_continue] = ACTIONS(976),
    [anon_sym_return] = ACTIONS(976),
    [anon_sym_yield] = ACTIONS(976),
    [anon_sym_synchronized] = ACTIONS(976),
    [anon_sym_throw] = ACTIONS(976),
    [anon_sym_try] = ACTIONS(976),
    [anon_sym_if] = ACTIONS(976),
    [anon_sym_else] = ACTIONS(976),
    [anon_sym_for] = ACTIONS(976),
    [anon_sym_AT] = ACTIONS(976),
    [anon_sym_open] = ACTIONS(976),
    [anon_sym_module] = ACTIONS(976),
    [anon_sym_static] = ACTIONS(976),
    [anon_sym_with] = ACTIONS(976),
    [anon_sym_package] = ACTIONS(976),
    [anon_sym_import] = ACTIONS(976),
    [anon_sym_enum] = ACTIONS(976),
    [anon_sym_public] = ACTIONS(976),
    [anon_sym_protected] = ACTIONS(976),
    [anon_sym_private] = ACTIONS(976),
    [anon_sym_abstract] = ACTIONS(976),
    [anon_sym_strictfp] = ACTIONS(976),
    [anon_sym_native] = ACTIONS(976),
    [anon_sym_transient] = ACTIONS(976),
    [anon_sym_volatile] = ACTIONS(976),
    [anon_sym_sealed] = ACTIONS(976),
    [anon_sym_non_DASHsealed] = ACTIONS(974),
    [anon_sym_record] = ACTIONS(976),
    [anon_sym_ATinterface] = ACTIONS(974),
    [anon_sym_interface] = ACTIONS(976),
    [anon_sym_byte] = ACTIONS(976),
    [anon_sym_short] = ACTIONS(976),
    [anon_sym_int] = ACTIONS(976),
    [anon_sym_long] = ACTIONS(976),
    [anon_sym_char] = ACTIONS(976),
    [anon_sym_float] = ACTIONS(976),
    [anon_sym_double] = ACTIONS(976),
    [sym_boolean_type] = ACTIONS(976),
    [sym_void_type] = ACTIONS(976),
    [sym_this] = ACTIONS(976),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(978),
    [sym_identifier] = ACTIONS(980),
    [sym_decimal_integer_literal] = ACTIONS(980),
    [sym_hex_integer_literal] = ACTIONS(980),
    [sym_octal_integer_literal] = ACTIONS(980),
    [sym_binary_integer_literal] = ACTIONS(978),
    [sym_decimal_floating_point_literal] = ACTIONS(978),
    [sym_hex_floating_point_literal] = ACTIONS(980),
    [sym_true] = ACTIONS(980),
    [sym_false] = ACTIONS(980),
    [sym_character_literal] = ACTIONS(978),
    [anon_sym_DQUOTE] = ACTIONS(980),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(978),
    [anon_sym_RBRACE] = ACTIONS(978),
    [sym_null_literal] = ACTIONS(980),
    [anon_sym_LPAREN] = ACTIONS(978),
    [anon_sym_LT] = ACTIONS(978),
    [anon_sym_PLUS] = ACTIONS(980),
    [anon_sym_DASH] = ACTIONS(980),
    [anon_sym_final] = ACTIONS(980),
    [anon_sym_BANG] = ACTIONS(978),
    [anon_sym_TILDE] = ACTIONS(978),
    [anon_sym_PLUS_PLUS] = ACTIONS(978),
    [anon_sym_DASH_DASH] = ACTIONS(978),
    [anon_sym_new] = ACTIONS(980),
    [anon_sym_class] = ACTIONS(980),
    [anon_sym_switch] = ACTIONS(980),
    [anon_sym_LBRACE] = ACTIONS(978),
    [anon_sym_case] = ACTIONS(980),
    [anon_sym_default] = ACTIONS(980),
    [anon_sym_SEMI] = ACTIONS(978),
    [anon_sym_assert] = ACTIONS(980),
    [anon_sym_do] = ACTIONS(980),
    [anon_sym_while] = ACTIONS(980),
    [anon_sym_break] = ACTIONS(980),
    [anon_sym_continue] = ACTIONS(980),
    [anon_sym_return] = ACTIONS(980),
    [anon_sym_yield] = ACTIONS(980),
    [anon_sym_synchronized] = ACTIONS(980),
    [anon_sym_throw] = ACTIONS(980),
    [anon_sym_try] = ACTIONS(980),
    [anon_sym_if] = ACTIONS(980),
    [anon_sym_else] = ACTIONS(980),
    [anon_sym_for] = ACTIONS(980),
    [anon_sym_AT] = ACTIONS(980),
    [anon_sym_open] = ACTIONS(980),
    [anon_sym_module] = ACTIONS(980),
    [anon_sym_static] = ACTIONS(980),
    [anon_sym_with] = ACTIONS(980),
    [anon_sym_package] = ACTIONS(980),
    [anon_sym_import] = ACTIONS(980),
    [anon_sym_enum] = ACTIONS(980),
    [anon_sym_public] = ACTIONS(980),
    [anon_sym_protected] = ACTIONS(980),
    [anon_sym_private] = ACTIONS(980),
    [anon_sym_abstract] = ACTIONS(980),
    [anon_sym_strictfp] = ACTIONS(980),
    [anon_sym_native] = ACTIONS(980),
    [anon_sym_transient] = ACTIONS(980),
    [anon_sym_volatile] = ACTIONS(980),
    [anon_sym_sealed] = ACTIONS(980),
    [anon_sym_non_DASHsealed] = ACTIONS(978),
    [anon_sym_record] = ACTIONS(980),
    [anon_sym_ATinterface] = ACTIONS(978),
    [anon_sym_interface] = ACTIONS(980),
    [anon_sym_byte] = ACTIONS(980),
    [anon_sym_short] = ACTIONS(980),
    [anon_sym_int] = ACTIONS(980),
    [anon_sym_long] = ACTIONS(980),
    [anon_sym_char] = ACTIONS(980),
    [anon_sym_float] = ACTIONS(980),
    [anon_sym_double] = ACTIONS(980),
    [sym_boolean_type] = ACTIONS(980),
    [sym_void_type] = ACTIONS(980),
    [sym_this] = ACTIONS(980),
    [sym_super] = ACTIONS(980),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(982),
    [sym_identifier] = ACTIONS(984),
    [sym_decimal_integer_literal] = ACTIONS(984),
    [sym_hex_integer_literal] = ACTIONS(984),
    [sym_octal_integer_literal] = ACTIONS(984),
    [sym_binary_integer_literal] = ACTIONS(982),
    [sym_decimal_floating_point_literal] = ACTIONS(982),
    [sym_hex_floating_point_literal] = ACTIONS(984),
    [sym_true] = ACTIONS(984),
    [sym_false] = ACTIONS(984),
    [sym_character_literal] = ACTIONS(982),
    [anon_sym_DQUOTE] = ACTIONS(984),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(982),
    [anon_sym_RBRACE] = ACTIONS(982),
    [sym_null_literal] = ACTIONS(984),
    [anon_sym_LPAREN] = ACTIONS(982),
    [anon_sym_LT] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(984),
    [anon_sym_DASH] = ACTIONS(984),
    [anon_sym_final] = ACTIONS(984),
    [anon_sym_BANG] = ACTIONS(982),
    [anon_sym_TILDE] = ACTIONS(982),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(982),
    [anon_sym_new] = ACTIONS(984),
    [anon_sym_class] = ACTIONS(984),
    [anon_sym_switch] = ACTIONS(984),
    [anon_sym_LBRACE] = ACTIONS(982),
    [anon_sym_case] = ACTIONS(984),
    [anon_sym_default] = ACTIONS(984),
    [anon_sym_SEMI] = ACTIONS(982),
    [anon_sym_assert] = ACTIONS(984),
    [anon_sym_do] = ACTIONS(984),
    [anon_sym_while] = ACTIONS(984),
    [anon_sym_break] = ACTIONS(984),
    [anon_sym_continue] = ACTIONS(984),
    [anon_sym_return] = ACTIONS(984),
    [anon_sym_yield] = ACTIONS(984),
    [anon_sym_synchronized] = ACTIONS(984),
    [anon_sym_throw] = ACTIONS(984),
    [anon_sym_try] = ACTIONS(984),
    [anon_sym_if] = ACTIONS(984),
    [anon_sym_else] = ACTIONS(984),
    [anon_sym_for] = ACTIONS(984),
    [anon_sym_AT] = ACTIONS(984),
    [anon_sym_open] = ACTIONS(984),
    [anon_sym_module] = ACTIONS(984),
    [anon_sym_static] = ACTIONS(984),
    [anon_sym_with] = ACTIONS(984),
    [anon_sym_package] = ACTIONS(984),
    [anon_sym_import] = ACTIONS(984),
    [anon_sym_enum] = ACTIONS(984),
    [anon_sym_public] = ACTIONS(984),
    [anon_sym_protected] = ACTIONS(984),
    [anon_sym_private] = ACTIONS(984),
    [anon_sym_abstract] = ACTIONS(984),
    [anon_sym_strictfp] = ACTIONS(984),
    [anon_sym_native] = ACTIONS(984),
    [anon_sym_transient] = ACTIONS(984),
    [anon_sym_volatile] = ACTIONS(984),
    [anon_sym_sealed] = ACTIONS(984),
    [anon_sym_non_DASHsealed] = ACTIONS(982),
    [anon_sym_record] = ACTIONS(984),
    [anon_sym_ATinterface] = ACTIONS(982),
    [anon_sym_interface] = ACTIONS(984),
    [anon_sym_byte] = ACTIONS(984),
    [anon_sym_short] = ACTIONS(984),
    [anon_sym_int] = ACTIONS(984),
    [anon_sym_long] = ACTIONS(984),
    [anon_sym_char] = ACTIONS(984),
    [anon_sym_float] = ACTIONS(984),
    [anon_sym_double] = ACTIONS(984),
    [sym_boolean_type] = ACTIONS(984),
    [sym_void_type] = ACTIONS(984),
    [sym_this] = ACTIONS(984),
    [sym_super] = ACTIONS(984),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(986),
    [sym_identifier] = ACTIONS(988),
    [sym_decimal_integer_literal] = ACTIONS(988),
    [sym_hex_integer_literal] = ACTIONS(988),
    [sym_octal_integer_literal] = ACTIONS(988),
    [sym_binary_integer_literal] = ACTIONS(986),
    [sym_decimal_floating_point_literal] = ACTIONS(986),
    [sym_hex_floating_point_literal] = ACTIONS(988),
    [sym_true] = ACTIONS(988),
    [sym_false] = ACTIONS(988),
    [sym_character_literal] = ACTIONS(986),
    [anon_sym_DQUOTE] = ACTIONS(988),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(986),
    [anon_sym_RBRACE] = ACTIONS(986),
    [sym_null_literal] = ACTIONS(988),
    [anon_sym_LPAREN] = ACTIONS(986),
    [anon_sym_LT] = ACTIONS(986),
    [anon_sym_PLUS] = ACTIONS(988),
    [anon_sym_DASH] = ACTIONS(988),
    [anon_sym_final] = ACTIONS(988),
    [anon_sym_BANG] = ACTIONS(986),
    [anon_sym_TILDE] = ACTIONS(986),
    [anon_sym_PLUS_PLUS] = ACTIONS(986),
    [anon_sym_DASH_DASH] = ACTIONS(986),
    [anon_sym_new] = ACTIONS(988),
    [anon_sym_class] = ACTIONS(988),
    [anon_sym_switch] = ACTIONS(988),
    [anon_sym_LBRACE] = ACTIONS(986),
    [anon_sym_case] = ACTIONS(988),
    [anon_sym_default] = ACTIONS(988),
    [anon_sym_SEMI] = ACTIONS(986),
    [anon_sym_assert] = ACTIONS(988),
    [anon_sym_do] = ACTIONS(988),
    [anon_sym_while] = ACTIONS(988),
    [anon_sym_break] = ACTIONS(988),
    [anon_sym_continue] = ACTIONS(988),
    [anon_sym_return] = ACTIONS(988),
    [anon_sym_yield] = ACTIONS(988),
    [anon_sym_synchronized] = ACTIONS(988),
    [anon_sym_throw] = ACTIONS(988),
    [anon_sym_try] = ACTIONS(988),
    [anon_sym_if] = ACTIONS(988),
    [anon_sym_else] = ACTIONS(988),
    [anon_sym_for] = ACTIONS(988),
    [anon_sym_AT] = ACTIONS(988),
    [anon_sym_open] = ACTIONS(988),
    [anon_sym_module] = ACTIONS(988),
    [anon_sym_static] = ACTIONS(988),
    [anon_sym_with] = ACTIONS(988),
    [anon_sym_package] = ACTIONS(988),
    [anon_sym_import] = ACTIONS(988),
    [anon_sym_enum] = ACTIONS(988),
    [anon_sym_public] = ACTIONS(988),
    [anon_sym_protected] = ACTIONS(988),
    [anon_sym_private] = ACTIONS(988),
    [anon_sym_abstract] = ACTIONS(988),
    [anon_sym_strictfp] = ACTIONS(988),
    [anon_sym_native] = ACTIONS(988),
    [anon_sym_transient] = ACTIONS(988),
    [anon_sym_volatile] = ACTIONS(988),
    [anon_sym_sealed] = ACTIONS(988),
    [anon_sym_non_DASHsealed] = ACTIONS(986),
    [anon_sym_record] = ACTIONS(988),
    [anon_sym_ATinterface] = ACTIONS(986),
    [anon_sym_interface] = ACTIONS(988),
    [anon_sym_byte] = ACTIONS(988),
    [anon_sym_short] = ACTIONS(988),
    [anon_sym_int] = ACTIONS(988),
    [anon_sym_long] = ACTIONS(988),
    [anon_sym_char] = ACTIONS(988),
    [anon_sym_float] = ACTIONS(988),
    [anon_sym_double] = ACTIONS(988),
    [sym_boolean_type] = ACTIONS(988),
    [sym_void_type] = ACTIONS(988),
    [sym_this] = ACTIONS(988),
    [sym_super] = ACTIONS(988),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(990),
    [sym_identifier] = ACTIONS(992),
    [sym_decimal_integer_literal] = ACTIONS(992),
    [sym_hex_integer_literal] = ACTIONS(992),
    [sym_octal_integer_literal] = ACTIONS(992),
    [sym_binary_integer_literal] = ACTIONS(990),
    [sym_decimal_floating_point_literal] = ACTIONS(990),
    [sym_hex_floating_point_literal] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_character_literal] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(990),
    [anon_sym_RBRACE] = ACTIONS(990),
    [sym_null_literal] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_final] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(990),
    [anon_sym_TILDE] = ACTIONS(990),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_new] = ACTIONS(992),
    [anon_sym_class] = ACTIONS(992),
    [anon_sym_switch] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(990),
    [anon_sym_case] = ACTIONS(992),
    [anon_sym_default] = ACTIONS(992),
    [anon_sym_SEMI] = ACTIONS(990),
    [anon_sym_assert] = ACTIONS(992),
    [anon_sym_do] = ACTIONS(992),
    [anon_sym_while] = ACTIONS(992),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(992),
    [anon_sym_return] = ACTIONS(992),
    [anon_sym_yield] = ACTIONS(992),
    [anon_sym_synchronized] = ACTIONS(992),
    [anon_sym_throw] = ACTIONS(992),
    [anon_sym_try] = ACTIONS(992),
    [anon_sym_if] = ACTIONS(992),
    [anon_sym_else] = ACTIONS(992),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(992),
    [anon_sym_open] = ACTIONS(992),
    [anon_sym_module] = ACTIONS(992),
    [anon_sym_static] = ACTIONS(992),
    [anon_sym_with] = ACTIONS(992),
    [anon_sym_package] = ACTIONS(992),
    [anon_sym_import] = ACTIONS(992),
    [anon_sym_enum] = ACTIONS(992),
    [anon_sym_public] = ACTIONS(992),
    [anon_sym_protected] = ACTIONS(992),
    [anon_sym_private] = ACTIONS(992),
    [anon_sym_abstract] = ACTIONS(992),
    [anon_sym_strictfp] = ACTIONS(992),
    [anon_sym_native] = ACTIONS(992),
    [anon_sym_transient] = ACTIONS(992),
    [anon_sym_volatile] = ACTIONS(992),
    [anon_sym_sealed] = ACTIONS(992),
    [anon_sym_non_DASHsealed] = ACTIONS(990),
    [anon_sym_record] = ACTIONS(992),
    [anon_sym_ATinterface] = ACTIONS(990),
    [anon_sym_interface] = ACTIONS(992),
    [anon_sym_byte] = ACTIONS(992),
    [anon_sym_short] = ACTIONS(992),
    [anon_sym_int] = ACTIONS(992),
    [anon_sym_long] = ACTIONS(992),
    [anon_sym_char] = ACTIONS(992),
    [anon_sym_float] = ACTIONS(992),
    [anon_sym_double] = ACTIONS(992),
    [sym_boolean_type] = ACTIONS(992),
    [sym_void_type] = ACTIONS(992),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(992),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(994),
    [sym_identifier] = ACTIONS(996),
    [sym_decimal_integer_literal] = ACTIONS(996),
    [sym_hex_integer_literal] = ACTIONS(996),
    [sym_octal_integer_literal] = ACTIONS(996),
    [sym_binary_integer_literal] = ACTIONS(994),
    [sym_decimal_floating_point_literal] = ACTIONS(994),
    [sym_hex_floating_point_literal] = ACTIONS(996),
    [sym_true] = ACTIONS(996),
    [sym_false] = ACTIONS(996),
    [sym_character_literal] = ACTIONS(994),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(994),
    [anon_sym_RBRACE] = ACTIONS(994),
    [sym_null_literal] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(994),
    [anon_sym_LT] = ACTIONS(994),
    [anon_sym_PLUS] = ACTIONS(996),
    [anon_sym_DASH] = ACTIONS(996),
    [anon_sym_final] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_TILDE] = ACTIONS(994),
    [anon_sym_PLUS_PLUS] = ACTIONS(994),
    [anon_sym_DASH_DASH] = ACTIONS(994),
    [anon_sym_new] = ACTIONS(996),
    [anon_sym_class] = ACTIONS(996),
    [anon_sym_switch] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(994),
    [anon_sym_case] = ACTIONS(996),
    [anon_sym_default] = ACTIONS(996),
    [anon_sym_SEMI] = ACTIONS(994),
    [anon_sym_assert] = ACTIONS(996),
    [anon_sym_do] = ACTIONS(996),
    [anon_sym_while] = ACTIONS(996),
    [anon_sym_break] = ACTIONS(996),
    [anon_sym_continue] = ACTIONS(996),
    [anon_sym_return] = ACTIONS(996),
    [anon_sym_yield] = ACTIONS(996),
    [anon_sym_synchronized] = ACTIONS(996),
    [anon_sym_throw] = ACTIONS(996),
    [anon_sym_try] = ACTIONS(996),
    [anon_sym_if] = ACTIONS(996),
    [anon_sym_else] = ACTIONS(996),
    [anon_sym_for] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(996),
    [anon_sym_open] = ACTIONS(996),
    [anon_sym_module] = ACTIONS(996),
    [anon_sym_static] = ACTIONS(996),
    [anon_sym_with] = ACTIONS(996),
    [anon_sym_package] = ACTIONS(996),
    [anon_sym_import] = ACTIONS(996),
    [anon_sym_enum] = ACTIONS(996),
    [anon_sym_public] = ACTIONS(996),
    [anon_sym_protected] = ACTIONS(996),
    [anon_sym_private] = ACTIONS(996),
    [anon_sym_abstract] = ACTIONS(996),
    [anon_sym_strictfp] = ACTIONS(996),
    [anon_sym_native] = ACTIONS(996),
    [anon_sym_transient] = ACTIONS(996),
    [anon_sym_volatile] = ACTIONS(996),
    [anon_sym_sealed] = ACTIONS(996),
    [anon_sym_non_DASHsealed] = ACTIONS(994),
    [anon_sym_record] = ACTIONS(996),
    [anon_sym_ATinterface] = ACTIONS(994),
    [anon_sym_interface] = ACTIONS(996),
    [anon_sym_byte] = ACTIONS(996),
    [anon_sym_short] = ACTIONS(996),
    [anon_sym_int] = ACTIONS(996),
    [anon_sym_long] = ACTIONS(996),
    [anon_sym_char] = ACTIONS(996),
    [anon_sym_float] = ACTIONS(996),
    [anon_sym_double] = ACTIONS(996),
    [sym_boolean_type] = ACTIONS(996),
    [sym_void_type] = ACTIONS(996),
    [sym_this] = ACTIONS(996),
    [sym_super] = ACTIONS(996),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(998),
    [sym_identifier] = ACTIONS(1000),
    [sym_decimal_integer_literal] = ACTIONS(1000),
    [sym_hex_integer_literal] = ACTIONS(1000),
    [sym_octal_integer_literal] = ACTIONS(1000),
    [sym_binary_integer_literal] = ACTIONS(998),
    [sym_decimal_floating_point_literal] = ACTIONS(998),
    [sym_hex_floating_point_literal] = ACTIONS(1000),
    [sym_true] = ACTIONS(1000),
    [sym_false] = ACTIONS(1000),
    [sym_character_literal] = ACTIONS(998),
    [anon_sym_DQUOTE] = ACTIONS(1000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(998),
    [anon_sym_RBRACE] = ACTIONS(998),
    [sym_null_literal] = ACTIONS(1000),
    [anon_sym_LPAREN] = ACTIONS(998),
    [anon_sym_LT] = ACTIONS(998),
    [anon_sym_PLUS] = ACTIONS(1000),
    [anon_sym_DASH] = ACTIONS(1000),
    [anon_sym_final] = ACTIONS(1000),
    [anon_sym_BANG] = ACTIONS(998),
    [anon_sym_TILDE] = ACTIONS(998),
    [anon_sym_PLUS_PLUS] = ACTIONS(998),
    [anon_sym_DASH_DASH] = ACTIONS(998),
    [anon_sym_new] = ACTIONS(1000),
    [anon_sym_class] = ACTIONS(1000),
    [anon_sym_switch] = ACTIONS(1000),
    [anon_sym_LBRACE] = ACTIONS(998),
    [anon_sym_case] = ACTIONS(1000),
    [anon_sym_default] = ACTIONS(1000),
    [anon_sym_SEMI] = ACTIONS(998),
    [anon_sym_assert] = ACTIONS(1000),
    [anon_sym_do] = ACTIONS(1000),
    [anon_sym_while] = ACTIONS(1000),
    [anon_sym_break] = ACTIONS(1000),
    [anon_sym_continue] = ACTIONS(1000),
    [anon_sym_return] = ACTIONS(1000),
    [anon_sym_yield] = ACTIONS(1000),
    [anon_sym_synchronized] = ACTIONS(1000),
    [anon_sym_throw] = ACTIONS(1000),
    [anon_sym_try] = ACTIONS(1000),
    [anon_sym_if] = ACTIONS(1000),
    [anon_sym_else] = ACTIONS(1000),
    [anon_sym_for] = ACTIONS(1000),
    [anon_sym_AT] = ACTIONS(1000),
    [anon_sym_open] = ACTIONS(1000),
    [anon_sym_module] = ACTIONS(1000),
    [anon_sym_static] = ACTIONS(1000),
    [anon_sym_with] = ACTIONS(1000),
    [anon_sym_package] = ACTIONS(1000),
    [anon_sym_import] = ACTIONS(1000),
    [anon_sym_enum] = ACTIONS(1000),
    [anon_sym_public] = ACTIONS(1000),
    [anon_sym_protected] = ACTIONS(1000),
    [anon_sym_private] = ACTIONS(1000),
    [anon_sym_abstract] = ACTIONS(1000),
    [anon_sym_strictfp] = ACTIONS(1000),
    [anon_sym_native] = ACTIONS(1000),
    [anon_sym_transient] = ACTIONS(1000),
    [anon_sym_volatile] = ACTIONS(1000),
    [anon_sym_sealed] = ACTIONS(1000),
    [anon_sym_non_DASHsealed] = ACTIONS(998),
    [anon_sym_record] = ACTIONS(1000),
    [anon_sym_ATinterface] = ACTIONS(998),
    [anon_sym_interface] = ACTIONS(1000),
    [anon_sym_byte] = ACTIONS(1000),
    [anon_sym_short] = ACTIONS(1000),
    [anon_sym_int] = ACTIONS(1000),
    [anon_sym_long] = ACTIONS(1000),
    [anon_sym_char] = ACTIONS(1000),
    [anon_sym_float] = ACTIONS(1000),
    [anon_sym_double] = ACTIONS(1000),
    [sym_boolean_type] = ACTIONS(1000),
    [sym_void_type] = ACTIONS(1000),
    [sym_this] = ACTIONS(1000),
    [sym_super] = ACTIONS(1000),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(1002),
    [sym_identifier] = ACTIONS(1004),
    [sym_decimal_integer_literal] = ACTIONS(1004),
    [sym_hex_integer_literal] = ACTIONS(1004),
    [sym_octal_integer_literal] = ACTIONS(1004),
    [sym_binary_integer_literal] = ACTIONS(1002),
    [sym_decimal_floating_point_literal] = ACTIONS(1002),
    [sym_hex_floating_point_literal] = ACTIONS(1004),
    [sym_true] = ACTIONS(1004),
    [sym_false] = ACTIONS(1004),
    [sym_character_literal] = ACTIONS(1002),
    [anon_sym_DQUOTE] = ACTIONS(1004),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1002),
    [anon_sym_RBRACE] = ACTIONS(1002),
    [sym_null_literal] = ACTIONS(1004),
    [anon_sym_LPAREN] = ACTIONS(1002),
    [anon_sym_LT] = ACTIONS(1002),
    [anon_sym_PLUS] = ACTIONS(1004),
    [anon_sym_DASH] = ACTIONS(1004),
    [anon_sym_final] = ACTIONS(1004),
    [anon_sym_BANG] = ACTIONS(1002),
    [anon_sym_TILDE] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_new] = ACTIONS(1004),
    [anon_sym_class] = ACTIONS(1004),
    [anon_sym_switch] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1002),
    [anon_sym_case] = ACTIONS(1004),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_SEMI] = ACTIONS(1002),
    [anon_sym_assert] = ACTIONS(1004),
    [anon_sym_do] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1004),
    [anon_sym_break] = ACTIONS(1004),
    [anon_sym_continue] = ACTIONS(1004),
    [anon_sym_return] = ACTIONS(1004),
    [anon_sym_yield] = ACTIONS(1004),
    [anon_sym_synchronized] = ACTIONS(1004),
    [anon_sym_throw] = ACTIONS(1004),
    [anon_sym_try] = ACTIONS(1004),
    [anon_sym_if] = ACTIONS(1004),
    [anon_sym_else] = ACTIONS(1004),
    [anon_sym_for] = ACTIONS(1004),
    [anon_sym_AT] = ACTIONS(1004),
    [anon_sym_open] = ACTIONS(1004),
    [anon_sym_module] = ACTIONS(1004),
    [anon_sym_static] = ACTIONS(1004),
    [anon_sym_with] = ACTIONS(1004),
    [anon_sym_package] = ACTIONS(1004),
    [anon_sym_import] = ACTIONS(1004),
    [anon_sym_enum] = ACTIONS(1004),
    [anon_sym_public] = ACTIONS(1004),
    [anon_sym_protected] = ACTIONS(1004),
    [anon_sym_private] = ACTIONS(1004),
    [anon_sym_abstract] = ACTIONS(1004),
    [anon_sym_strictfp] = ACTIONS(1004),
    [anon_sym_native] = ACTIONS(1004),
    [anon_sym_transient] = ACTIONS(1004),
    [anon_sym_volatile] = ACTIONS(1004),
    [anon_sym_sealed] = ACTIONS(1004),
    [anon_sym_non_DASHsealed] = ACTIONS(1002),
    [anon_sym_record] = ACTIONS(1004),
    [anon_sym_ATinterface] = ACTIONS(1002),
    [anon_sym_interface] = ACTIONS(1004),
    [anon_sym_byte] = ACTIONS(1004),
    [anon_sym_short] = ACTIONS(1004),
    [anon_sym_int] = ACTIONS(1004),
    [anon_sym_long] = ACTIONS(1004),
    [anon_sym_char] = ACTIONS(1004),
    [anon_sym_float] = ACTIONS(1004),
    [anon_sym_double] = ACTIONS(1004),
    [sym_boolean_type] = ACTIONS(1004),
    [sym_void_type] = ACTIONS(1004),
    [sym_this] = ACTIONS(1004),
    [sym_super] = ACTIONS(1004),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(1006),
    [sym_identifier] = ACTIONS(1008),
    [sym_decimal_integer_literal] = ACTIONS(1008),
    [sym_hex_integer_literal] = ACTIONS(1008),
    [sym_octal_integer_literal] = ACTIONS(1008),
    [sym_binary_integer_literal] = ACTIONS(1006),
    [sym_decimal_floating_point_literal] = ACTIONS(1006),
    [sym_hex_floating_point_literal] = ACTIONS(1008),
    [sym_true] = ACTIONS(1008),
    [sym_false] = ACTIONS(1008),
    [sym_character_literal] = ACTIONS(1006),
    [anon_sym_DQUOTE] = ACTIONS(1008),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1006),
    [anon_sym_RBRACE] = ACTIONS(1006),
    [sym_null_literal] = ACTIONS(1008),
    [anon_sym_LPAREN] = ACTIONS(1006),
    [anon_sym_LT] = ACTIONS(1006),
    [anon_sym_PLUS] = ACTIONS(1008),
    [anon_sym_DASH] = ACTIONS(1008),
    [anon_sym_final] = ACTIONS(1008),
    [anon_sym_BANG] = ACTIONS(1006),
    [anon_sym_TILDE] = ACTIONS(1006),
    [anon_sym_PLUS_PLUS] = ACTIONS(1006),
    [anon_sym_DASH_DASH] = ACTIONS(1006),
    [anon_sym_new] = ACTIONS(1008),
    [anon_sym_class] = ACTIONS(1008),
    [anon_sym_switch] = ACTIONS(1008),
    [anon_sym_LBRACE] = ACTIONS(1006),
    [anon_sym_case] = ACTIONS(1008),
    [anon_sym_default] = ACTIONS(1008),
    [anon_sym_SEMI] = ACTIONS(1006),
    [anon_sym_assert] = ACTIONS(1008),
    [anon_sym_do] = ACTIONS(1008),
    [anon_sym_while] = ACTIONS(1008),
    [anon_sym_break] = ACTIONS(1008),
    [anon_sym_continue] = ACTIONS(1008),
    [anon_sym_return] = ACTIONS(1008),
    [anon_sym_yield] = ACTIONS(1008),
    [anon_sym_synchronized] = ACTIONS(1008),
    [anon_sym_throw] = ACTIONS(1008),
    [anon_sym_try] = ACTIONS(1008),
    [anon_sym_if] = ACTIONS(1008),
    [anon_sym_else] = ACTIONS(1008),
    [anon_sym_for] = ACTIONS(1008),
    [anon_sym_AT] = ACTIONS(1008),
    [anon_sym_open] = ACTIONS(1008),
    [anon_sym_module] = ACTIONS(1008),
    [anon_sym_static] = ACTIONS(1008),
    [anon_sym_with] = ACTIONS(1008),
    [anon_sym_package] = ACTIONS(1008),
    [anon_sym_import] = ACTIONS(1008),
    [anon_sym_enum] = ACTIONS(1008),
    [anon_sym_public] = ACTIONS(1008),
    [anon_sym_protected] = ACTIONS(1008),
    [anon_sym_private] = ACTIONS(1008),
    [anon_sym_abstract] = ACTIONS(1008),
    [anon_sym_strictfp] = ACTIONS(1008),
    [anon_sym_native] = ACTIONS(1008),
    [anon_sym_transient] = ACTIONS(1008),
    [anon_sym_volatile] = ACTIONS(1008),
    [anon_sym_sealed] = ACTIONS(1008),
    [anon_sym_non_DASHsealed] = ACTIONS(1006),
    [anon_sym_record] = ACTIONS(1008),
    [anon_sym_ATinterface] = ACTIONS(1006),
    [anon_sym_interface] = ACTIONS(1008),
    [anon_sym_byte] = ACTIONS(1008),
    [anon_sym_short] = ACTIONS(1008),
    [anon_sym_int] = ACTIONS(1008),
    [anon_sym_long] = ACTIONS(1008),
    [anon_sym_char] = ACTIONS(1008),
    [anon_sym_float] = ACTIONS(1008),
    [anon_sym_double] = ACTIONS(1008),
    [sym_boolean_type] = ACTIONS(1008),
    [sym_void_type] = ACTIONS(1008),
    [sym_this] = ACTIONS(1008),
    [sym_super] = ACTIONS(1008),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1010),
    [sym_identifier] = ACTIONS(1012),
    [sym_decimal_integer_literal] = ACTIONS(1012),
    [sym_hex_integer_literal] = ACTIONS(1012),
    [sym_octal_integer_literal] = ACTIONS(1012),
    [sym_binary_integer_literal] = ACTIONS(1010),
    [sym_decimal_floating_point_literal] = ACTIONS(1010),
    [sym_hex_floating_point_literal] = ACTIONS(1012),
    [sym_true] = ACTIONS(1012),
    [sym_false] = ACTIONS(1012),
    [sym_character_literal] = ACTIONS(1010),
    [anon_sym_DQUOTE] = ACTIONS(1012),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1010),
    [anon_sym_RBRACE] = ACTIONS(1010),
    [sym_null_literal] = ACTIONS(1012),
    [anon_sym_LPAREN] = ACTIONS(1010),
    [anon_sym_LT] = ACTIONS(1010),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_final] = ACTIONS(1012),
    [anon_sym_BANG] = ACTIONS(1010),
    [anon_sym_TILDE] = ACTIONS(1010),
    [anon_sym_PLUS_PLUS] = ACTIONS(1010),
    [anon_sym_DASH_DASH] = ACTIONS(1010),
    [anon_sym_new] = ACTIONS(1012),
    [anon_sym_class] = ACTIONS(1012),
    [anon_sym_switch] = ACTIONS(1012),
    [anon_sym_LBRACE] = ACTIONS(1010),
    [anon_sym_case] = ACTIONS(1012),
    [anon_sym_default] = ACTIONS(1012),
    [anon_sym_SEMI] = ACTIONS(1010),
    [anon_sym_assert] = ACTIONS(1012),
    [anon_sym_do] = ACTIONS(1012),
    [anon_sym_while] = ACTIONS(1012),
    [anon_sym_break] = ACTIONS(1012),
    [anon_sym_continue] = ACTIONS(1012),
    [anon_sym_return] = ACTIONS(1012),
    [anon_sym_yield] = ACTIONS(1012),
    [anon_sym_synchronized] = ACTIONS(1012),
    [anon_sym_throw] = ACTIONS(1012),
    [anon_sym_try] = ACTIONS(1012),
    [anon_sym_if] = ACTIONS(1012),
    [anon_sym_else] = ACTIONS(1012),
    [anon_sym_for] = ACTIONS(1012),
    [anon_sym_AT] = ACTIONS(1012),
    [anon_sym_open] = ACTIONS(1012),
    [anon_sym_module] = ACTIONS(1012),
    [anon_sym_static] = ACTIONS(1012),
    [anon_sym_with] = ACTIONS(1012),
    [anon_sym_package] = ACTIONS(1012),
    [anon_sym_import] = ACTIONS(1012),
    [anon_sym_enum] = ACTIONS(1012),
    [anon_sym_public] = ACTIONS(1012),
    [anon_sym_protected] = ACTIONS(1012),
    [anon_sym_private] = ACTIONS(1012),
    [anon_sym_abstract] = ACTIONS(1012),
    [anon_sym_strictfp] = ACTIONS(1012),
    [anon_sym_native] = ACTIONS(1012),
    [anon_sym_transient] = ACTIONS(1012),
    [anon_sym_volatile] = ACTIONS(1012),
    [anon_sym_sealed] = ACTIONS(1012),
    [anon_sym_non_DASHsealed] = ACTIONS(1010),
    [anon_sym_record] = ACTIONS(1012),
    [anon_sym_ATinterface] = ACTIONS(1010),
    [anon_sym_interface] = ACTIONS(1012),
    [anon_sym_byte] = ACTIONS(1012),
    [anon_sym_short] = ACTIONS(1012),
    [anon_sym_int] = ACTIONS(1012),
    [anon_sym_long] = ACTIONS(1012),
    [anon_sym_char] = ACTIONS(1012),
    [anon_sym_float] = ACTIONS(1012),
    [anon_sym_double] = ACTIONS(1012),
    [sym_boolean_type] = ACTIONS(1012),
    [sym_void_type] = ACTIONS(1012),
    [sym_this] = ACTIONS(1012),
    [sym_super] = ACTIONS(1012),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(1014),
    [sym_identifier] = ACTIONS(1016),
    [sym_decimal_integer_literal] = ACTIONS(1016),
    [sym_hex_integer_literal] = ACTIONS(1016),
    [sym_octal_integer_literal] = ACTIONS(1016),
    [sym_binary_integer_literal] = ACTIONS(1014),
    [sym_decimal_floating_point_literal] = ACTIONS(1014),
    [sym_hex_floating_point_literal] = ACTIONS(1016),
    [sym_true] = ACTIONS(1016),
    [sym_false] = ACTIONS(1016),
    [sym_character_literal] = ACTIONS(1014),
    [anon_sym_DQUOTE] = ACTIONS(1016),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1014),
    [anon_sym_RBRACE] = ACTIONS(1014),
    [sym_null_literal] = ACTIONS(1016),
    [anon_sym_LPAREN] = ACTIONS(1014),
    [anon_sym_LT] = ACTIONS(1014),
    [anon_sym_PLUS] = ACTIONS(1016),
    [anon_sym_DASH] = ACTIONS(1016),
    [anon_sym_final] = ACTIONS(1016),
    [anon_sym_BANG] = ACTIONS(1014),
    [anon_sym_TILDE] = ACTIONS(1014),
    [anon_sym_PLUS_PLUS] = ACTIONS(1014),
    [anon_sym_DASH_DASH] = ACTIONS(1014),
    [anon_sym_new] = ACTIONS(1016),
    [anon_sym_class] = ACTIONS(1016),
    [anon_sym_switch] = ACTIONS(1016),
    [anon_sym_LBRACE] = ACTIONS(1014),
    [anon_sym_case] = ACTIONS(1016),
    [anon_sym_default] = ACTIONS(1016),
    [anon_sym_SEMI] = ACTIONS(1014),
    [anon_sym_assert] = ACTIONS(1016),
    [anon_sym_do] = ACTIONS(1016),
    [anon_sym_while] = ACTIONS(1016),
    [anon_sym_break] = ACTIONS(1016),
    [anon_sym_continue] = ACTIONS(1016),
    [anon_sym_return] = ACTIONS(1016),
    [anon_sym_yield] = ACTIONS(1016),
    [anon_sym_synchronized] = ACTIONS(1016),
    [anon_sym_throw] = ACTIONS(1016),
    [anon_sym_try] = ACTIONS(1016),
    [anon_sym_if] = ACTIONS(1016),
    [anon_sym_else] = ACTIONS(1016),
    [anon_sym_for] = ACTIONS(1016),
    [anon_sym_AT] = ACTIONS(1016),
    [anon_sym_open] = ACTIONS(1016),
    [anon_sym_module] = ACTIONS(1016),
    [anon_sym_static] = ACTIONS(1016),
    [anon_sym_with] = ACTIONS(1016),
    [anon_sym_package] = ACTIONS(1016),
    [anon_sym_import] = ACTIONS(1016),
    [anon_sym_enum] = ACTIONS(1016),
    [anon_sym_public] = ACTIONS(1016),
    [anon_sym_protected] = ACTIONS(1016),
    [anon_sym_private] = ACTIONS(1016),
    [anon_sym_abstract] = ACTIONS(1016),
    [anon_sym_strictfp] = ACTIONS(1016),
    [anon_sym_native] = ACTIONS(1016),
    [anon_sym_transient] = ACTIONS(1016),
    [anon_sym_volatile] = ACTIONS(1016),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1014),
    [anon_sym_record] = ACTIONS(1016),
    [anon_sym_ATinterface] = ACTIONS(1014),
    [anon_sym_interface] = ACTIONS(1016),
    [anon_sym_byte] = ACTIONS(1016),
    [anon_sym_short] = ACTIONS(1016),
    [anon_sym_int] = ACTIONS(1016),
    [anon_sym_long] = ACTIONS(1016),
    [anon_sym_char] = ACTIONS(1016),
    [anon_sym_float] = ACTIONS(1016),
    [anon_sym_double] = ACTIONS(1016),
    [sym_boolean_type] = ACTIONS(1016),
    [sym_void_type] = ACTIONS(1016),
    [sym_this] = ACTIONS(1016),
    [sym_super] = ACTIONS(1016),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1018),
    [sym_identifier] = ACTIONS(1020),
    [sym_decimal_integer_literal] = ACTIONS(1020),
    [sym_hex_integer_literal] = ACTIONS(1020),
    [sym_octal_integer_literal] = ACTIONS(1020),
    [sym_binary_integer_literal] = ACTIONS(1018),
    [sym_decimal_floating_point_literal] = ACTIONS(1018),
    [sym_hex_floating_point_literal] = ACTIONS(1020),
    [sym_true] = ACTIONS(1020),
    [sym_false] = ACTIONS(1020),
    [sym_character_literal] = ACTIONS(1018),
    [anon_sym_DQUOTE] = ACTIONS(1020),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1018),
    [anon_sym_RBRACE] = ACTIONS(1018),
    [sym_null_literal] = ACTIONS(1020),
    [anon_sym_LPAREN] = ACTIONS(1018),
    [anon_sym_LT] = ACTIONS(1018),
    [anon_sym_PLUS] = ACTIONS(1020),
    [anon_sym_DASH] = ACTIONS(1020),
    [anon_sym_final] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1018),
    [anon_sym_TILDE] = ACTIONS(1018),
    [anon_sym_PLUS_PLUS] = ACTIONS(1018),
    [anon_sym_DASH_DASH] = ACTIONS(1018),
    [anon_sym_new] = ACTIONS(1020),
    [anon_sym_class] = ACTIONS(1020),
    [anon_sym_switch] = ACTIONS(1020),
    [anon_sym_LBRACE] = ACTIONS(1018),
    [anon_sym_case] = ACTIONS(1020),
    [anon_sym_default] = ACTIONS(1020),
    [anon_sym_SEMI] = ACTIONS(1018),
    [anon_sym_assert] = ACTIONS(1020),
    [anon_sym_do] = ACTIONS(1020),
    [anon_sym_while] = ACTIONS(1020),
    [anon_sym_break] = ACTIONS(1020),
    [anon_sym_continue] = ACTIONS(1020),
    [anon_sym_return] = ACTIONS(1020),
    [anon_sym_yield] = ACTIONS(1020),
    [anon_sym_synchronized] = ACTIONS(1020),
    [anon_sym_throw] = ACTIONS(1020),
    [anon_sym_try] = ACTIONS(1020),
    [anon_sym_if] = ACTIONS(1020),
    [anon_sym_else] = ACTIONS(1020),
    [anon_sym_for] = ACTIONS(1020),
    [anon_sym_AT] = ACTIONS(1020),
    [anon_sym_open] = ACTIONS(1020),
    [anon_sym_module] = ACTIONS(1020),
    [anon_sym_static] = ACTIONS(1020),
    [anon_sym_with] = ACTIONS(1020),
    [anon_sym_package] = ACTIONS(1020),
    [anon_sym_import] = ACTIONS(1020),
    [anon_sym_enum] = ACTIONS(1020),
    [anon_sym_public] = ACTIONS(1020),
    [anon_sym_protected] = ACTIONS(1020),
    [anon_sym_private] = ACTIONS(1020),
    [anon_sym_abstract] = ACTIONS(1020),
    [anon_sym_strictfp] = ACTIONS(1020),
    [anon_sym_native] = ACTIONS(1020),
    [anon_sym_transient] = ACTIONS(1020),
    [anon_sym_volatile] = ACTIONS(1020),
    [anon_sym_sealed] = ACTIONS(1020),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(1020),
    [anon_sym_ATinterface] = ACTIONS(1018),
    [anon_sym_interface] = ACTIONS(1020),
    [anon_sym_byte] = ACTIONS(1020),
    [anon_sym_short] = ACTIONS(1020),
    [anon_sym_int] = ACTIONS(1020),
    [anon_sym_long] = ACTIONS(1020),
    [anon_sym_char] = ACTIONS(1020),
    [anon_sym_float] = ACTIONS(1020),
    [anon_sym_double] = ACTIONS(1020),
    [sym_boolean_type] = ACTIONS(1020),
    [sym_void_type] = ACTIONS(1020),
    [sym_this] = ACTIONS(1020),
    [sym_super] = ACTIONS(1020),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1022),
    [sym_identifier] = ACTIONS(1024),
    [sym_decimal_integer_literal] = ACTIONS(1024),
    [sym_hex_integer_literal] = ACTIONS(1024),
    [sym_octal_integer_literal] = ACTIONS(1024),
    [sym_binary_integer_literal] = ACTIONS(1022),
    [sym_decimal_floating_point_literal] = ACTIONS(1022),
    [sym_hex_floating_point_literal] = ACTIONS(1024),
    [sym_true] = ACTIONS(1024),
    [sym_false] = ACTIONS(1024),
    [sym_character_literal] = ACTIONS(1022),
    [anon_sym_DQUOTE] = ACTIONS(1024),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1022),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [sym_null_literal] = ACTIONS(1024),
    [anon_sym_LPAREN] = ACTIONS(1022),
    [anon_sym_LT] = ACTIONS(1022),
    [anon_sym_PLUS] = ACTIONS(1024),
    [anon_sym_DASH] = ACTIONS(1024),
    [anon_sym_final] = ACTIONS(1024),
    [anon_sym_BANG] = ACTIONS(1022),
    [anon_sym_TILDE] = ACTIONS(1022),
    [anon_sym_PLUS_PLUS] = ACTIONS(1022),
    [anon_sym_DASH_DASH] = ACTIONS(1022),
    [anon_sym_new] = ACTIONS(1024),
    [anon_sym_class] = ACTIONS(1024),
    [anon_sym_switch] = ACTIONS(1024),
    [anon_sym_LBRACE] = ACTIONS(1022),
    [anon_sym_case] = ACTIONS(1024),
    [anon_sym_default] = ACTIONS(1024),
    [anon_sym_SEMI] = ACTIONS(1022),
    [anon_sym_assert] = ACTIONS(1024),
    [anon_sym_do] = ACTIONS(1024),
    [anon_sym_while] = ACTIONS(1024),
    [anon_sym_break] = ACTIONS(1024),
    [anon_sym_continue] = ACTIONS(1024),
    [anon_sym_return] = ACTIONS(1024),
    [anon_sym_yield] = ACTIONS(1024),
    [anon_sym_synchronized] = ACTIONS(1024),
    [anon_sym_throw] = ACTIONS(1024),
    [anon_sym_try] = ACTIONS(1024),
    [anon_sym_if] = ACTIONS(1024),
    [anon_sym_else] = ACTIONS(1024),
    [anon_sym_for] = ACTIONS(1024),
    [anon_sym_AT] = ACTIONS(1024),
    [anon_sym_open] = ACTIONS(1024),
    [anon_sym_module] = ACTIONS(1024),
    [anon_sym_static] = ACTIONS(1024),
    [anon_sym_with] = ACTIONS(1024),
    [anon_sym_package] = ACTIONS(1024),
    [anon_sym_import] = ACTIONS(1024),
    [anon_sym_enum] = ACTIONS(1024),
    [anon_sym_public] = ACTIONS(1024),
    [anon_sym_protected] = ACTIONS(1024),
    [anon_sym_private] = ACTIONS(1024),
    [anon_sym_abstract] = ACTIONS(1024),
    [anon_sym_strictfp] = ACTIONS(1024),
    [anon_sym_native] = ACTIONS(1024),
    [anon_sym_transient] = ACTIONS(1024),
    [anon_sym_volatile] = ACTIONS(1024),
    [anon_sym_sealed] = ACTIONS(1024),
    [anon_sym_non_DASHsealed] = ACTIONS(1022),
    [anon_sym_record] = ACTIONS(1024),
    [anon_sym_ATinterface] = ACTIONS(1022),
    [anon_sym_interface] = ACTIONS(1024),
    [anon_sym_byte] = ACTIONS(1024),
    [anon_sym_short] = ACTIONS(1024),
    [anon_sym_int] = ACTIONS(1024),
    [anon_sym_long] = ACTIONS(1024),
    [anon_sym_char] = ACTIONS(1024),
    [anon_sym_float] = ACTIONS(1024),
    [anon_sym_double] = ACTIONS(1024),
    [sym_boolean_type] = ACTIONS(1024),
    [sym_void_type] = ACTIONS(1024),
    [sym_this] = ACTIONS(1024),
    [sym_super] = ACTIONS(1024),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1026),
    [sym_identifier] = ACTIONS(1028),
    [sym_decimal_integer_literal] = ACTIONS(1028),
    [sym_hex_integer_literal] = ACTIONS(1028),
    [sym_octal_integer_literal] = ACTIONS(1028),
    [sym_binary_integer_literal] = ACTIONS(1026),
    [sym_decimal_floating_point_literal] = ACTIONS(1026),
    [sym_hex_floating_point_literal] = ACTIONS(1028),
    [sym_true] = ACTIONS(1028),
    [sym_false] = ACTIONS(1028),
    [sym_character_literal] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1028),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1026),
    [anon_sym_RBRACE] = ACTIONS(1026),
    [sym_null_literal] = ACTIONS(1028),
    [anon_sym_LPAREN] = ACTIONS(1026),
    [anon_sym_LT] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_final] = ACTIONS(1028),
    [anon_sym_BANG] = ACTIONS(1026),
    [anon_sym_TILDE] = ACTIONS(1026),
    [anon_sym_PLUS_PLUS] = ACTIONS(1026),
    [anon_sym_DASH_DASH] = ACTIONS(1026),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_class] = ACTIONS(1028),
    [anon_sym_switch] = ACTIONS(1028),
    [anon_sym_LBRACE] = ACTIONS(1026),
    [anon_sym_case] = ACTIONS(1028),
    [anon_sym_default] = ACTIONS(1028),
    [anon_sym_SEMI] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_while] = ACTIONS(1028),
    [anon_sym_break] = ACTIONS(1028),
    [anon_sym_continue] = ACTIONS(1028),
    [anon_sym_return] = ACTIONS(1028),
    [anon_sym_yield] = ACTIONS(1028),
    [anon_sym_synchronized] = ACTIONS(1028),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_try] = ACTIONS(1028),
    [anon_sym_if] = ACTIONS(1028),
    [anon_sym_else] = ACTIONS(1028),
    [anon_sym_for] = ACTIONS(1028),
    [anon_sym_AT] = ACTIONS(1028),
    [anon_sym_open] = ACTIONS(1028),
    [anon_sym_module] = ACTIONS(1028),
    [anon_sym_static] = ACTIONS(1028),
    [anon_sym_with] = ACTIONS(1028),
    [anon_sym_package] = ACTIONS(1028),
    [anon_sym_import] = ACTIONS(1028),
    [anon_sym_enum] = ACTIONS(1028),
    [anon_sym_public] = ACTIONS(1028),
    [anon_sym_protected] = ACTIONS(1028),
    [anon_sym_private] = ACTIONS(1028),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_strictfp] = ACTIONS(1028),
    [anon_sym_native] = ACTIONS(1028),
    [anon_sym_transient] = ACTIONS(1028),
    [anon_sym_volatile] = ACTIONS(1028),
    [anon_sym_sealed] = ACTIONS(1028),
    [anon_sym_non_DASHsealed] = ACTIONS(1026),
    [anon_sym_record] = ACTIONS(1028),
    [anon_sym_ATinterface] = ACTIONS(1026),
    [anon_sym_interface] = ACTIONS(1028),
    [anon_sym_byte] = ACTIONS(1028),
    [anon_sym_short] = ACTIONS(1028),
    [anon_sym_int] = ACTIONS(1028),
    [anon_sym_long] = ACTIONS(1028),
    [anon_sym_char] = ACTIONS(1028),
    [anon_sym_float] = ACTIONS(1028),
    [anon_sym_double] = ACTIONS(1028),
    [sym_boolean_type] = ACTIONS(1028),
    [sym_void_type] = ACTIONS(1028),
    [sym_this] = ACTIONS(1028),
    [sym_super] = ACTIONS(1028),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1030),
    [sym_identifier] = ACTIONS(1032),
    [sym_decimal_integer_literal] = ACTIONS(1032),
    [sym_hex_integer_literal] = ACTIONS(1032),
    [sym_octal_integer_literal] = ACTIONS(1032),
    [sym_binary_integer_literal] = ACTIONS(1030),
    [sym_decimal_floating_point_literal] = ACTIONS(1030),
    [sym_hex_floating_point_literal] = ACTIONS(1032),
    [sym_true] = ACTIONS(1032),
    [sym_false] = ACTIONS(1032),
    [sym_character_literal] = ACTIONS(1030),
    [anon_sym_DQUOTE] = ACTIONS(1032),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1030),
    [anon_sym_RBRACE] = ACTIONS(1030),
    [sym_null_literal] = ACTIONS(1032),
    [anon_sym_LPAREN] = ACTIONS(1030),
    [anon_sym_LT] = ACTIONS(1030),
    [anon_sym_PLUS] = ACTIONS(1032),
    [anon_sym_DASH] = ACTIONS(1032),
    [anon_sym_final] = ACTIONS(1032),
    [anon_sym_BANG] = ACTIONS(1030),
    [anon_sym_TILDE] = ACTIONS(1030),
    [anon_sym_PLUS_PLUS] = ACTIONS(1030),
    [anon_sym_DASH_DASH] = ACTIONS(1030),
    [anon_sym_new] = ACTIONS(1032),
    [anon_sym_class] = ACTIONS(1032),
    [anon_sym_switch] = ACTIONS(1032),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_case] = ACTIONS(1032),
    [anon_sym_default] = ACTIONS(1032),
    [anon_sym_SEMI] = ACTIONS(1030),
    [anon_sym_assert] = ACTIONS(1032),
    [anon_sym_do] = ACTIONS(1032),
    [anon_sym_while] = ACTIONS(1032),
    [anon_sym_break] = ACTIONS(1032),
    [anon_sym_continue] = ACTIONS(1032),
    [anon_sym_return] = ACTIONS(1032),
    [anon_sym_yield] = ACTIONS(1032),
    [anon_sym_synchronized] = ACTIONS(1032),
    [anon_sym_throw] = ACTIONS(1032),
    [anon_sym_try] = ACTIONS(1032),
    [anon_sym_if] = ACTIONS(1032),
    [anon_sym_else] = ACTIONS(1032),
    [anon_sym_for] = ACTIONS(1032),
    [anon_sym_AT] = ACTIONS(1032),
    [anon_sym_open] = ACTIONS(1032),
    [anon_sym_module] = ACTIONS(1032),
    [anon_sym_static] = ACTIONS(1032),
    [anon_sym_with] = ACTIONS(1032),
    [anon_sym_package] = ACTIONS(1032),
    [anon_sym_import] = ACTIONS(1032),
    [anon_sym_enum] = ACTIONS(1032),
    [anon_sym_public] = ACTIONS(1032),
    [anon_sym_protected] = ACTIONS(1032),
    [anon_sym_private] = ACTIONS(1032),
    [anon_sym_abstract] = ACTIONS(1032),
    [anon_sym_strictfp] = ACTIONS(1032),
    [anon_sym_native] = ACTIONS(1032),
    [anon_sym_transient] = ACTIONS(1032),
    [anon_sym_volatile] = ACTIONS(1032),
    [anon_sym_sealed] = ACTIONS(1032),
    [anon_sym_non_DASHsealed] = ACTIONS(1030),
    [anon_sym_record] = ACTIONS(1032),
    [anon_sym_ATinterface] = ACTIONS(1030),
    [anon_sym_interface] = ACTIONS(1032),
    [anon_sym_byte] = ACTIONS(1032),
    [anon_sym_short] = ACTIONS(1032),
    [anon_sym_int] = ACTIONS(1032),
    [anon_sym_long] = ACTIONS(1032),
    [anon_sym_char] = ACTIONS(1032),
    [anon_sym_float] = ACTIONS(1032),
    [anon_sym_double] = ACTIONS(1032),
    [sym_boolean_type] = ACTIONS(1032),
    [sym_void_type] = ACTIONS(1032),
    [sym_this] = ACTIONS(1032),
    [sym_super] = ACTIONS(1032),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(1034),
    [sym_identifier] = ACTIONS(1036),
    [sym_decimal_integer_literal] = ACTIONS(1036),
    [sym_hex_integer_literal] = ACTIONS(1036),
    [sym_octal_integer_literal] = ACTIONS(1036),
    [sym_binary_integer_literal] = ACTIONS(1034),
    [sym_decimal_floating_point_literal] = ACTIONS(1034),
    [sym_hex_floating_point_literal] = ACTIONS(1036),
    [sym_true] = ACTIONS(1036),
    [sym_false] = ACTIONS(1036),
    [sym_character_literal] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(1036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1034),
    [anon_sym_RBRACE] = ACTIONS(1034),
    [sym_null_literal] = ACTIONS(1036),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1034),
    [anon_sym_PLUS] = ACTIONS(1036),
    [anon_sym_DASH] = ACTIONS(1036),
    [anon_sym_final] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(1034),
    [anon_sym_TILDE] = ACTIONS(1034),
    [anon_sym_PLUS_PLUS] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(1034),
    [anon_sym_new] = ACTIONS(1036),
    [anon_sym_class] = ACTIONS(1036),
    [anon_sym_switch] = ACTIONS(1036),
    [anon_sym_LBRACE] = ACTIONS(1034),
    [anon_sym_case] = ACTIONS(1036),
    [anon_sym_default] = ACTIONS(1036),
    [anon_sym_SEMI] = ACTIONS(1034),
    [anon_sym_assert] = ACTIONS(1036),
    [anon_sym_do] = ACTIONS(1036),
    [anon_sym_while] = ACTIONS(1036),
    [anon_sym_break] = ACTIONS(1036),
    [anon_sym_continue] = ACTIONS(1036),
    [anon_sym_return] = ACTIONS(1036),
    [anon_sym_yield] = ACTIONS(1036),
    [anon_sym_synchronized] = ACTIONS(1036),
    [anon_sym_throw] = ACTIONS(1036),
    [anon_sym_try] = ACTIONS(1036),
    [anon_sym_if] = ACTIONS(1036),
    [anon_sym_else] = ACTIONS(1036),
    [anon_sym_for] = ACTIONS(1036),
    [anon_sym_AT] = ACTIONS(1036),
    [anon_sym_open] = ACTIONS(1036),
    [anon_sym_module] = ACTIONS(1036),
    [anon_sym_static] = ACTIONS(1036),
    [anon_sym_with] = ACTIONS(1036),
    [anon_sym_package] = ACTIONS(1036),
    [anon_sym_import] = ACTIONS(1036),
    [anon_sym_enum] = ACTIONS(1036),
    [anon_sym_public] = ACTIONS(1036),
    [anon_sym_protected] = ACTIONS(1036),
    [anon_sym_private] = ACTIONS(1036),
    [anon_sym_abstract] = ACTIONS(1036),
    [anon_sym_strictfp] = ACTIONS(1036),
    [anon_sym_native] = ACTIONS(1036),
    [anon_sym_transient] = ACTIONS(1036),
    [anon_sym_volatile] = ACTIONS(1036),
    [anon_sym_sealed] = ACTIONS(1036),
    [anon_sym_non_DASHsealed] = ACTIONS(1034),
    [anon_sym_record] = ACTIONS(1036),
    [anon_sym_ATinterface] = ACTIONS(1034),
    [anon_sym_interface] = ACTIONS(1036),
    [anon_sym_byte] = ACTIONS(1036),
    [anon_sym_short] = ACTIONS(1036),
    [anon_sym_int] = ACTIONS(1036),
    [anon_sym_long] = ACTIONS(1036),
    [anon_sym_char] = ACTIONS(1036),
    [anon_sym_float] = ACTIONS(1036),
    [anon_sym_double] = ACTIONS(1036),
    [sym_boolean_type] = ACTIONS(1036),
    [sym_void_type] = ACTIONS(1036),
    [sym_this] = ACTIONS(1036),
    [sym_super] = ACTIONS(1036),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1038),
    [sym_identifier] = ACTIONS(1040),
    [sym_decimal_integer_literal] = ACTIONS(1040),
    [sym_hex_integer_literal] = ACTIONS(1040),
    [sym_octal_integer_literal] = ACTIONS(1040),
    [sym_binary_integer_literal] = ACTIONS(1038),
    [sym_decimal_floating_point_literal] = ACTIONS(1038),
    [sym_hex_floating_point_literal] = ACTIONS(1040),
    [sym_true] = ACTIONS(1040),
    [sym_false] = ACTIONS(1040),
    [sym_character_literal] = ACTIONS(1038),
    [anon_sym_DQUOTE] = ACTIONS(1040),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1038),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [sym_null_literal] = ACTIONS(1040),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1040),
    [anon_sym_DASH] = ACTIONS(1040),
    [anon_sym_final] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [anon_sym_new] = ACTIONS(1040),
    [anon_sym_class] = ACTIONS(1040),
    [anon_sym_switch] = ACTIONS(1040),
    [anon_sym_LBRACE] = ACTIONS(1038),
    [anon_sym_case] = ACTIONS(1040),
    [anon_sym_default] = ACTIONS(1040),
    [anon_sym_SEMI] = ACTIONS(1038),
    [anon_sym_assert] = ACTIONS(1040),
    [anon_sym_do] = ACTIONS(1040),
    [anon_sym_while] = ACTIONS(1040),
    [anon_sym_break] = ACTIONS(1040),
    [anon_sym_continue] = ACTIONS(1040),
    [anon_sym_return] = ACTIONS(1040),
    [anon_sym_yield] = ACTIONS(1040),
    [anon_sym_synchronized] = ACTIONS(1040),
    [anon_sym_throw] = ACTIONS(1040),
    [anon_sym_try] = ACTIONS(1040),
    [anon_sym_if] = ACTIONS(1040),
    [anon_sym_else] = ACTIONS(1040),
    [anon_sym_for] = ACTIONS(1040),
    [anon_sym_AT] = ACTIONS(1040),
    [anon_sym_open] = ACTIONS(1040),
    [anon_sym_module] = ACTIONS(1040),
    [anon_sym_static] = ACTIONS(1040),
    [anon_sym_with] = ACTIONS(1040),
    [anon_sym_package] = ACTIONS(1040),
    [anon_sym_import] = ACTIONS(1040),
    [anon_sym_enum] = ACTIONS(1040),
    [anon_sym_public] = ACTIONS(1040),
    [anon_sym_protected] = ACTIONS(1040),
    [anon_sym_private] = ACTIONS(1040),
    [anon_sym_abstract] = ACTIONS(1040),
    [anon_sym_strictfp] = ACTIONS(1040),
    [anon_sym_native] = ACTIONS(1040),
    [anon_sym_transient] = ACTIONS(1040),
    [anon_sym_volatile] = ACTIONS(1040),
    [anon_sym_sealed] = ACTIONS(1040),
    [anon_sym_non_DASHsealed] = ACTIONS(1038),
    [anon_sym_record] = ACTIONS(1040),
    [anon_sym_ATinterface] = ACTIONS(1038),
    [anon_sym_interface] = ACTIONS(1040),
    [anon_sym_byte] = ACTIONS(1040),
    [anon_sym_short] = ACTIONS(1040),
    [anon_sym_int] = ACTIONS(1040),
    [anon_sym_long] = ACTIONS(1040),
    [anon_sym_char] = ACTIONS(1040),
    [anon_sym_float] = ACTIONS(1040),
    [anon_sym_double] = ACTIONS(1040),
    [sym_boolean_type] = ACTIONS(1040),
    [sym_void_type] = ACTIONS(1040),
    [sym_this] = ACTIONS(1040),
    [sym_super] = ACTIONS(1040),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(1042),
    [sym_identifier] = ACTIONS(1044),
    [sym_decimal_integer_literal] = ACTIONS(1044),
    [sym_hex_integer_literal] = ACTIONS(1044),
    [sym_octal_integer_literal] = ACTIONS(1044),
    [sym_binary_integer_literal] = ACTIONS(1042),
    [sym_decimal_floating_point_literal] = ACTIONS(1042),
    [sym_hex_floating_point_literal] = ACTIONS(1044),
    [sym_true] = ACTIONS(1044),
    [sym_false] = ACTIONS(1044),
    [sym_character_literal] = ACTIONS(1042),
    [anon_sym_DQUOTE] = ACTIONS(1044),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1042),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [sym_null_literal] = ACTIONS(1044),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1044),
    [anon_sym_DASH] = ACTIONS(1044),
    [anon_sym_final] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_PLUS_PLUS] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1042),
    [anon_sym_new] = ACTIONS(1044),
    [anon_sym_class] = ACTIONS(1044),
    [anon_sym_switch] = ACTIONS(1044),
    [anon_sym_LBRACE] = ACTIONS(1042),
    [anon_sym_case] = ACTIONS(1044),
    [anon_sym_default] = ACTIONS(1044),
    [anon_sym_SEMI] = ACTIONS(1042),
    [anon_sym_assert] = ACTIONS(1044),
    [anon_sym_do] = ACTIONS(1044),
    [anon_sym_while] = ACTIONS(1044),
    [anon_sym_break] = ACTIONS(1044),
    [anon_sym_continue] = ACTIONS(1044),
    [anon_sym_return] = ACTIONS(1044),
    [anon_sym_yield] = ACTIONS(1044),
    [anon_sym_synchronized] = ACTIONS(1044),
    [anon_sym_throw] = ACTIONS(1044),
    [anon_sym_try] = ACTIONS(1044),
    [anon_sym_if] = ACTIONS(1044),
    [anon_sym_else] = ACTIONS(1044),
    [anon_sym_for] = ACTIONS(1044),
    [anon_sym_AT] = ACTIONS(1044),
    [anon_sym_open] = ACTIONS(1044),
    [anon_sym_module] = ACTIONS(1044),
    [anon_sym_static] = ACTIONS(1044),
    [anon_sym_with] = ACTIONS(1044),
    [anon_sym_package] = ACTIONS(1044),
    [anon_sym_import] = ACTIONS(1044),
    [anon_sym_enum] = ACTIONS(1044),
    [anon_sym_public] = ACTIONS(1044),
    [anon_sym_protected] = ACTIONS(1044),
    [anon_sym_private] = ACTIONS(1044),
    [anon_sym_abstract] = ACTIONS(1044),
    [anon_sym_strictfp] = ACTIONS(1044),
    [anon_sym_native] = ACTIONS(1044),
    [anon_sym_transient] = ACTIONS(1044),
    [anon_sym_volatile] = ACTIONS(1044),
    [anon_sym_sealed] = ACTIONS(1044),
    [anon_sym_non_DASHsealed] = ACTIONS(1042),
    [anon_sym_record] = ACTIONS(1044),
    [anon_sym_ATinterface] = ACTIONS(1042),
    [anon_sym_interface] = ACTIONS(1044),
    [anon_sym_byte] = ACTIONS(1044),
    [anon_sym_short] = ACTIONS(1044),
    [anon_sym_int] = ACTIONS(1044),
    [anon_sym_long] = ACTIONS(1044),
    [anon_sym_char] = ACTIONS(1044),
    [anon_sym_float] = ACTIONS(1044),
    [anon_sym_double] = ACTIONS(1044),
    [sym_boolean_type] = ACTIONS(1044),
    [sym_void_type] = ACTIONS(1044),
    [sym_this] = ACTIONS(1044),
    [sym_super] = ACTIONS(1044),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(1046),
    [sym_identifier] = ACTIONS(1048),
    [sym_decimal_integer_literal] = ACTIONS(1048),
    [sym_hex_integer_literal] = ACTIONS(1048),
    [sym_octal_integer_literal] = ACTIONS(1048),
    [sym_binary_integer_literal] = ACTIONS(1046),
    [sym_decimal_floating_point_literal] = ACTIONS(1046),
    [sym_hex_floating_point_literal] = ACTIONS(1048),
    [sym_true] = ACTIONS(1048),
    [sym_false] = ACTIONS(1048),
    [sym_character_literal] = ACTIONS(1046),
    [anon_sym_DQUOTE] = ACTIONS(1048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [sym_null_literal] = ACTIONS(1048),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1048),
    [anon_sym_DASH] = ACTIONS(1048),
    [anon_sym_final] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [anon_sym_new] = ACTIONS(1048),
    [anon_sym_class] = ACTIONS(1048),
    [anon_sym_switch] = ACTIONS(1048),
    [anon_sym_LBRACE] = ACTIONS(1046),
    [anon_sym_case] = ACTIONS(1048),
    [anon_sym_default] = ACTIONS(1048),
    [anon_sym_SEMI] = ACTIONS(1046),
    [anon_sym_assert] = ACTIONS(1048),
    [anon_sym_do] = ACTIONS(1048),
    [anon_sym_while] = ACTIONS(1048),
    [anon_sym_break] = ACTIONS(1048),
    [anon_sym_continue] = ACTIONS(1048),
    [anon_sym_return] = ACTIONS(1048),
    [anon_sym_yield] = ACTIONS(1048),
    [anon_sym_synchronized] = ACTIONS(1048),
    [anon_sym_throw] = ACTIONS(1048),
    [anon_sym_try] = ACTIONS(1048),
    [anon_sym_if] = ACTIONS(1048),
    [anon_sym_else] = ACTIONS(1048),
    [anon_sym_for] = ACTIONS(1048),
    [anon_sym_AT] = ACTIONS(1048),
    [anon_sym_open] = ACTIONS(1048),
    [anon_sym_module] = ACTIONS(1048),
    [anon_sym_static] = ACTIONS(1048),
    [anon_sym_with] = ACTIONS(1048),
    [anon_sym_package] = ACTIONS(1048),
    [anon_sym_import] = ACTIONS(1048),
    [anon_sym_enum] = ACTIONS(1048),
    [anon_sym_public] = ACTIONS(1048),
    [anon_sym_protected] = ACTIONS(1048),
    [anon_sym_private] = ACTIONS(1048),
    [anon_sym_abstract] = ACTIONS(1048),
    [anon_sym_strictfp] = ACTIONS(1048),
    [anon_sym_native] = ACTIONS(1048),
    [anon_sym_transient] = ACTIONS(1048),
    [anon_sym_volatile] = ACTIONS(1048),
    [anon_sym_sealed] = ACTIONS(1048),
    [anon_sym_non_DASHsealed] = ACTIONS(1046),
    [anon_sym_record] = ACTIONS(1048),
    [anon_sym_ATinterface] = ACTIONS(1046),
    [anon_sym_interface] = ACTIONS(1048),
    [anon_sym_byte] = ACTIONS(1048),
    [anon_sym_short] = ACTIONS(1048),
    [anon_sym_int] = ACTIONS(1048),
    [anon_sym_long] = ACTIONS(1048),
    [anon_sym_char] = ACTIONS(1048),
    [anon_sym_float] = ACTIONS(1048),
    [anon_sym_double] = ACTIONS(1048),
    [sym_boolean_type] = ACTIONS(1048),
    [sym_void_type] = ACTIONS(1048),
    [sym_this] = ACTIONS(1048),
    [sym_super] = ACTIONS(1048),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(1050),
    [sym_identifier] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(1052),
    [sym_hex_integer_literal] = ACTIONS(1052),
    [sym_octal_integer_literal] = ACTIONS(1052),
    [sym_binary_integer_literal] = ACTIONS(1050),
    [sym_decimal_floating_point_literal] = ACTIONS(1050),
    [sym_hex_floating_point_literal] = ACTIONS(1052),
    [sym_true] = ACTIONS(1052),
    [sym_false] = ACTIONS(1052),
    [sym_character_literal] = ACTIONS(1050),
    [anon_sym_DQUOTE] = ACTIONS(1052),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1050),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [sym_null_literal] = ACTIONS(1052),
    [anon_sym_LPAREN] = ACTIONS(1050),
    [anon_sym_LT] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1052),
    [anon_sym_DASH] = ACTIONS(1052),
    [anon_sym_final] = ACTIONS(1052),
    [anon_sym_BANG] = ACTIONS(1050),
    [anon_sym_TILDE] = ACTIONS(1050),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1050),
    [anon_sym_new] = ACTIONS(1052),
    [anon_sym_class] = ACTIONS(1052),
    [anon_sym_switch] = ACTIONS(1052),
    [anon_sym_LBRACE] = ACTIONS(1050),
    [anon_sym_case] = ACTIONS(1052),
    [anon_sym_default] = ACTIONS(1052),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym_assert] = ACTIONS(1052),
    [anon_sym_do] = ACTIONS(1052),
    [anon_sym_while] = ACTIONS(1052),
    [anon_sym_break] = ACTIONS(1052),
    [anon_sym_continue] = ACTIONS(1052),
    [anon_sym_return] = ACTIONS(1052),
    [anon_sym_yield] = ACTIONS(1052),
    [anon_sym_synchronized] = ACTIONS(1052),
    [anon_sym_throw] = ACTIONS(1052),
    [anon_sym_try] = ACTIONS(1052),
    [anon_sym_if] = ACTIONS(1052),
    [anon_sym_else] = ACTIONS(1052),
    [anon_sym_for] = ACTIONS(1052),
    [anon_sym_AT] = ACTIONS(1052),
    [anon_sym_open] = ACTIONS(1052),
    [anon_sym_module] = ACTIONS(1052),
    [anon_sym_static] = ACTIONS(1052),
    [anon_sym_with] = ACTIONS(1052),
    [anon_sym_package] = ACTIONS(1052),
    [anon_sym_import] = ACTIONS(1052),
    [anon_sym_enum] = ACTIONS(1052),
    [anon_sym_public] = ACTIONS(1052),
    [anon_sym_protected] = ACTIONS(1052),
    [anon_sym_private] = ACTIONS(1052),
    [anon_sym_abstract] = ACTIONS(1052),
    [anon_sym_strictfp] = ACTIONS(1052),
    [anon_sym_native] = ACTIONS(1052),
    [anon_sym_transient] = ACTIONS(1052),
    [anon_sym_volatile] = ACTIONS(1052),
    [anon_sym_sealed] = ACTIONS(1052),
    [anon_sym_non_DASHsealed] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(1052),
    [anon_sym_ATinterface] = ACTIONS(1050),
    [anon_sym_interface] = ACTIONS(1052),
    [anon_sym_byte] = ACTIONS(1052),
    [anon_sym_short] = ACTIONS(1052),
    [anon_sym_int] = ACTIONS(1052),
    [anon_sym_long] = ACTIONS(1052),
    [anon_sym_char] = ACTIONS(1052),
    [anon_sym_float] = ACTIONS(1052),
    [anon_sym_double] = ACTIONS(1052),
    [sym_boolean_type] = ACTIONS(1052),
    [sym_void_type] = ACTIONS(1052),
    [sym_this] = ACTIONS(1052),
    [sym_super] = ACTIONS(1052),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1054),
    [sym_identifier] = ACTIONS(1056),
    [sym_decimal_integer_literal] = ACTIONS(1056),
    [sym_hex_integer_literal] = ACTIONS(1056),
    [sym_octal_integer_literal] = ACTIONS(1056),
    [sym_binary_integer_literal] = ACTIONS(1054),
    [sym_decimal_floating_point_literal] = ACTIONS(1054),
    [sym_hex_floating_point_literal] = ACTIONS(1056),
    [sym_true] = ACTIONS(1056),
    [sym_false] = ACTIONS(1056),
    [sym_character_literal] = ACTIONS(1054),
    [anon_sym_DQUOTE] = ACTIONS(1056),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1054),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [sym_null_literal] = ACTIONS(1056),
    [anon_sym_LPAREN] = ACTIONS(1054),
    [anon_sym_LT] = ACTIONS(1054),
    [anon_sym_PLUS] = ACTIONS(1056),
    [anon_sym_DASH] = ACTIONS(1056),
    [anon_sym_final] = ACTIONS(1056),
    [anon_sym_BANG] = ACTIONS(1054),
    [anon_sym_TILDE] = ACTIONS(1054),
    [anon_sym_PLUS_PLUS] = ACTIONS(1054),
    [anon_sym_DASH_DASH] = ACTIONS(1054),
    [anon_sym_new] = ACTIONS(1056),
    [anon_sym_class] = ACTIONS(1056),
    [anon_sym_switch] = ACTIONS(1056),
    [anon_sym_LBRACE] = ACTIONS(1054),
    [anon_sym_case] = ACTIONS(1056),
    [anon_sym_default] = ACTIONS(1056),
    [anon_sym_SEMI] = ACTIONS(1054),
    [anon_sym_assert] = ACTIONS(1056),
    [anon_sym_do] = ACTIONS(1056),
    [anon_sym_while] = ACTIONS(1056),
    [anon_sym_break] = ACTIONS(1056),
    [anon_sym_continue] = ACTIONS(1056),
    [anon_sym_return] = ACTIONS(1056),
    [anon_sym_yield] = ACTIONS(1056),
    [anon_sym_synchronized] = ACTIONS(1056),
    [anon_sym_throw] = ACTIONS(1056),
    [anon_sym_try] = ACTIONS(1056),
    [anon_sym_if] = ACTIONS(1056),
    [anon_sym_else] = ACTIONS(1056),
    [anon_sym_for] = ACTIONS(1056),
    [anon_sym_AT] = ACTIONS(1056),
    [anon_sym_open] = ACTIONS(1056),
    [anon_sym_module] = ACTIONS(1056),
    [anon_sym_static] = ACTIONS(1056),
    [anon_sym_with] = ACTIONS(1056),
    [anon_sym_package] = ACTIONS(1056),
    [anon_sym_import] = ACTIONS(1056),
    [anon_sym_enum] = ACTIONS(1056),
    [anon_sym_public] = ACTIONS(1056),
    [anon_sym_protected] = ACTIONS(1056),
    [anon_sym_private] = ACTIONS(1056),
    [anon_sym_abstract] = ACTIONS(1056),
    [anon_sym_strictfp] = ACTIONS(1056),
    [anon_sym_native] = ACTIONS(1056),
    [anon_sym_transient] = ACTIONS(1056),
    [anon_sym_volatile] = ACTIONS(1056),
    [anon_sym_sealed] = ACTIONS(1056),
    [anon_sym_non_DASHsealed] = ACTIONS(1054),
    [anon_sym_record] = ACTIONS(1056),
    [anon_sym_ATinterface] = ACTIONS(1054),
    [anon_sym_interface] = ACTIONS(1056),
    [anon_sym_byte] = ACTIONS(1056),
    [anon_sym_short] = ACTIONS(1056),
    [anon_sym_int] = ACTIONS(1056),
    [anon_sym_long] = ACTIONS(1056),
    [anon_sym_char] = ACTIONS(1056),
    [anon_sym_float] = ACTIONS(1056),
    [anon_sym_double] = ACTIONS(1056),
    [sym_boolean_type] = ACTIONS(1056),
    [sym_void_type] = ACTIONS(1056),
    [sym_this] = ACTIONS(1056),
    [sym_super] = ACTIONS(1056),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1058),
    [sym_identifier] = ACTIONS(1060),
    [sym_decimal_integer_literal] = ACTIONS(1060),
    [sym_hex_integer_literal] = ACTIONS(1060),
    [sym_octal_integer_literal] = ACTIONS(1060),
    [sym_binary_integer_literal] = ACTIONS(1058),
    [sym_decimal_floating_point_literal] = ACTIONS(1058),
    [sym_hex_floating_point_literal] = ACTIONS(1060),
    [sym_true] = ACTIONS(1060),
    [sym_false] = ACTIONS(1060),
    [sym_character_literal] = ACTIONS(1058),
    [anon_sym_DQUOTE] = ACTIONS(1060),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1058),
    [anon_sym_RBRACE] = ACTIONS(1058),
    [sym_null_literal] = ACTIONS(1060),
    [anon_sym_LPAREN] = ACTIONS(1058),
    [anon_sym_LT] = ACTIONS(1058),
    [anon_sym_PLUS] = ACTIONS(1060),
    [anon_sym_DASH] = ACTIONS(1060),
    [anon_sym_final] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1058),
    [anon_sym_TILDE] = ACTIONS(1058),
    [anon_sym_PLUS_PLUS] = ACTIONS(1058),
    [anon_sym_DASH_DASH] = ACTIONS(1058),
    [anon_sym_new] = ACTIONS(1060),
    [anon_sym_class] = ACTIONS(1060),
    [anon_sym_switch] = ACTIONS(1060),
    [anon_sym_LBRACE] = ACTIONS(1058),
    [anon_sym_case] = ACTIONS(1060),
    [anon_sym_default] = ACTIONS(1060),
    [anon_sym_SEMI] = ACTIONS(1058),
    [anon_sym_assert] = ACTIONS(1060),
    [anon_sym_do] = ACTIONS(1060),
    [anon_sym_while] = ACTIONS(1060),
    [anon_sym_break] = ACTIONS(1060),
    [anon_sym_continue] = ACTIONS(1060),
    [anon_sym_return] = ACTIONS(1060),
    [anon_sym_yield] = ACTIONS(1060),
    [anon_sym_synchronized] = ACTIONS(1060),
    [anon_sym_throw] = ACTIONS(1060),
    [anon_sym_try] = ACTIONS(1060),
    [anon_sym_if] = ACTIONS(1060),
    [anon_sym_else] = ACTIONS(1060),
    [anon_sym_for] = ACTIONS(1060),
    [anon_sym_AT] = ACTIONS(1060),
    [anon_sym_open] = ACTIONS(1060),
    [anon_sym_module] = ACTIONS(1060),
    [anon_sym_static] = ACTIONS(1060),
    [anon_sym_with] = ACTIONS(1060),
    [anon_sym_package] = ACTIONS(1060),
    [anon_sym_import] = ACTIONS(1060),
    [anon_sym_enum] = ACTIONS(1060),
    [anon_sym_public] = ACTIONS(1060),
    [anon_sym_protected] = ACTIONS(1060),
    [anon_sym_private] = ACTIONS(1060),
    [anon_sym_abstract] = ACTIONS(1060),
    [anon_sym_strictfp] = ACTIONS(1060),
    [anon_sym_native] = ACTIONS(1060),
    [anon_sym_transient] = ACTIONS(1060),
    [anon_sym_volatile] = ACTIONS(1060),
    [anon_sym_sealed] = ACTIONS(1060),
    [anon_sym_non_DASHsealed] = ACTIONS(1058),
    [anon_sym_record] = ACTIONS(1060),
    [anon_sym_ATinterface] = ACTIONS(1058),
    [anon_sym_interface] = ACTIONS(1060),
    [anon_sym_byte] = ACTIONS(1060),
    [anon_sym_short] = ACTIONS(1060),
    [anon_sym_int] = ACTIONS(1060),
    [anon_sym_long] = ACTIONS(1060),
    [anon_sym_char] = ACTIONS(1060),
    [anon_sym_float] = ACTIONS(1060),
    [anon_sym_double] = ACTIONS(1060),
    [sym_boolean_type] = ACTIONS(1060),
    [sym_void_type] = ACTIONS(1060),
    [sym_this] = ACTIONS(1060),
    [sym_super] = ACTIONS(1060),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1062),
    [sym_identifier] = ACTIONS(1064),
    [sym_decimal_integer_literal] = ACTIONS(1064),
    [sym_hex_integer_literal] = ACTIONS(1064),
    [sym_octal_integer_literal] = ACTIONS(1064),
    [sym_binary_integer_literal] = ACTIONS(1062),
    [sym_decimal_floating_point_literal] = ACTIONS(1062),
    [sym_hex_floating_point_literal] = ACTIONS(1064),
    [sym_true] = ACTIONS(1064),
    [sym_false] = ACTIONS(1064),
    [sym_character_literal] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1064),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [sym_null_literal] = ACTIONS(1064),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_LT] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1064),
    [anon_sym_DASH] = ACTIONS(1064),
    [anon_sym_final] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1062),
    [anon_sym_DASH_DASH] = ACTIONS(1062),
    [anon_sym_new] = ACTIONS(1064),
    [anon_sym_class] = ACTIONS(1064),
    [anon_sym_switch] = ACTIONS(1064),
    [anon_sym_LBRACE] = ACTIONS(1062),
    [anon_sym_case] = ACTIONS(1064),
    [anon_sym_default] = ACTIONS(1064),
    [anon_sym_SEMI] = ACTIONS(1062),
    [anon_sym_assert] = ACTIONS(1064),
    [anon_sym_do] = ACTIONS(1064),
    [anon_sym_while] = ACTIONS(1064),
    [anon_sym_break] = ACTIONS(1064),
    [anon_sym_continue] = ACTIONS(1064),
    [anon_sym_return] = ACTIONS(1064),
    [anon_sym_yield] = ACTIONS(1064),
    [anon_sym_synchronized] = ACTIONS(1064),
    [anon_sym_throw] = ACTIONS(1064),
    [anon_sym_try] = ACTIONS(1064),
    [anon_sym_if] = ACTIONS(1064),
    [anon_sym_else] = ACTIONS(1064),
    [anon_sym_for] = ACTIONS(1064),
    [anon_sym_AT] = ACTIONS(1064),
    [anon_sym_open] = ACTIONS(1064),
    [anon_sym_module] = ACTIONS(1064),
    [anon_sym_static] = ACTIONS(1064),
    [anon_sym_with] = ACTIONS(1064),
    [anon_sym_package] = ACTIONS(1064),
    [anon_sym_import] = ACTIONS(1064),
    [anon_sym_enum] = ACTIONS(1064),
    [anon_sym_public] = ACTIONS(1064),
    [anon_sym_protected] = ACTIONS(1064),
    [anon_sym_private] = ACTIONS(1064),
    [anon_sym_abstract] = ACTIONS(1064),
    [anon_sym_strictfp] = ACTIONS(1064),
    [anon_sym_native] = ACTIONS(1064),
    [anon_sym_transient] = ACTIONS(1064),
    [anon_sym_volatile] = ACTIONS(1064),
    [anon_sym_sealed] = ACTIONS(1064),
    [anon_sym_non_DASHsealed] = ACTIONS(1062),
    [anon_sym_record] = ACTIONS(1064),
    [anon_sym_ATinterface] = ACTIONS(1062),
    [anon_sym_interface] = ACTIONS(1064),
    [anon_sym_byte] = ACTIONS(1064),
    [anon_sym_short] = ACTIONS(1064),
    [anon_sym_int] = ACTIONS(1064),
    [anon_sym_long] = ACTIONS(1064),
    [anon_sym_char] = ACTIONS(1064),
    [anon_sym_float] = ACTIONS(1064),
    [anon_sym_double] = ACTIONS(1064),
    [sym_boolean_type] = ACTIONS(1064),
    [sym_void_type] = ACTIONS(1064),
    [sym_this] = ACTIONS(1064),
    [sym_super] = ACTIONS(1064),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(1066),
    [sym_identifier] = ACTIONS(1068),
    [sym_decimal_integer_literal] = ACTIONS(1068),
    [sym_hex_integer_literal] = ACTIONS(1068),
    [sym_octal_integer_literal] = ACTIONS(1068),
    [sym_binary_integer_literal] = ACTIONS(1066),
    [sym_decimal_floating_point_literal] = ACTIONS(1066),
    [sym_hex_floating_point_literal] = ACTIONS(1068),
    [sym_true] = ACTIONS(1068),
    [sym_false] = ACTIONS(1068),
    [sym_character_literal] = ACTIONS(1066),
    [anon_sym_DQUOTE] = ACTIONS(1068),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1066),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [sym_null_literal] = ACTIONS(1068),
    [anon_sym_LPAREN] = ACTIONS(1066),
    [anon_sym_LT] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1068),
    [anon_sym_DASH] = ACTIONS(1068),
    [anon_sym_final] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1066),
    [anon_sym_new] = ACTIONS(1068),
    [anon_sym_class] = ACTIONS(1068),
    [anon_sym_switch] = ACTIONS(1068),
    [anon_sym_LBRACE] = ACTIONS(1066),
    [anon_sym_case] = ACTIONS(1068),
    [anon_sym_default] = ACTIONS(1068),
    [anon_sym_SEMI] = ACTIONS(1066),
    [anon_sym_assert] = ACTIONS(1068),
    [anon_sym_do] = ACTIONS(1068),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_break] = ACTIONS(1068),
    [anon_sym_continue] = ACTIONS(1068),
    [anon_sym_return] = ACTIONS(1068),
    [anon_sym_yield] = ACTIONS(1068),
    [anon_sym_synchronized] = ACTIONS(1068),
    [anon_sym_throw] = ACTIONS(1068),
    [anon_sym_try] = ACTIONS(1068),
    [anon_sym_if] = ACTIONS(1068),
    [anon_sym_else] = ACTIONS(1068),
    [anon_sym_for] = ACTIONS(1068),
    [anon_sym_AT] = ACTIONS(1068),
    [anon_sym_open] = ACTIONS(1068),
    [anon_sym_module] = ACTIONS(1068),
    [anon_sym_static] = ACTIONS(1068),
    [anon_sym_with] = ACTIONS(1068),
    [anon_sym_package] = ACTIONS(1068),
    [anon_sym_import] = ACTIONS(1068),
    [anon_sym_enum] = ACTIONS(1068),
    [anon_sym_public] = ACTIONS(1068),
    [anon_sym_protected] = ACTIONS(1068),
    [anon_sym_private] = ACTIONS(1068),
    [anon_sym_abstract] = ACTIONS(1068),
    [anon_sym_strictfp] = ACTIONS(1068),
    [anon_sym_native] = ACTIONS(1068),
    [anon_sym_transient] = ACTIONS(1068),
    [anon_sym_volatile] = ACTIONS(1068),
    [anon_sym_sealed] = ACTIONS(1068),
    [anon_sym_non_DASHsealed] = ACTIONS(1066),
    [anon_sym_record] = ACTIONS(1068),
    [anon_sym_ATinterface] = ACTIONS(1066),
    [anon_sym_interface] = ACTIONS(1068),
    [anon_sym_byte] = ACTIONS(1068),
    [anon_sym_short] = ACTIONS(1068),
    [anon_sym_int] = ACTIONS(1068),
    [anon_sym_long] = ACTIONS(1068),
    [anon_sym_char] = ACTIONS(1068),
    [anon_sym_float] = ACTIONS(1068),
    [anon_sym_double] = ACTIONS(1068),
    [sym_boolean_type] = ACTIONS(1068),
    [sym_void_type] = ACTIONS(1068),
    [sym_this] = ACTIONS(1068),
    [sym_super] = ACTIONS(1068),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1070),
    [sym_identifier] = ACTIONS(1072),
    [sym_decimal_integer_literal] = ACTIONS(1072),
    [sym_hex_integer_literal] = ACTIONS(1072),
    [sym_octal_integer_literal] = ACTIONS(1072),
    [sym_binary_integer_literal] = ACTIONS(1070),
    [sym_decimal_floating_point_literal] = ACTIONS(1070),
    [sym_hex_floating_point_literal] = ACTIONS(1072),
    [sym_true] = ACTIONS(1072),
    [sym_false] = ACTIONS(1072),
    [sym_character_literal] = ACTIONS(1070),
    [anon_sym_DQUOTE] = ACTIONS(1072),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1070),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [sym_null_literal] = ACTIONS(1072),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [anon_sym_LT] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1072),
    [anon_sym_DASH] = ACTIONS(1072),
    [anon_sym_final] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1070),
    [anon_sym_PLUS_PLUS] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1070),
    [anon_sym_new] = ACTIONS(1072),
    [anon_sym_class] = ACTIONS(1072),
    [anon_sym_switch] = ACTIONS(1072),
    [anon_sym_LBRACE] = ACTIONS(1070),
    [anon_sym_case] = ACTIONS(1072),
    [anon_sym_default] = ACTIONS(1072),
    [anon_sym_SEMI] = ACTIONS(1070),
    [anon_sym_assert] = ACTIONS(1072),
    [anon_sym_do] = ACTIONS(1072),
    [anon_sym_while] = ACTIONS(1072),
    [anon_sym_break] = ACTIONS(1072),
    [anon_sym_continue] = ACTIONS(1072),
    [anon_sym_return] = ACTIONS(1072),
    [anon_sym_yield] = ACTIONS(1072),
    [anon_sym_synchronized] = ACTIONS(1072),
    [anon_sym_throw] = ACTIONS(1072),
    [anon_sym_try] = ACTIONS(1072),
    [anon_sym_if] = ACTIONS(1072),
    [anon_sym_else] = ACTIONS(1072),
    [anon_sym_for] = ACTIONS(1072),
    [anon_sym_AT] = ACTIONS(1072),
    [anon_sym_open] = ACTIONS(1072),
    [anon_sym_module] = ACTIONS(1072),
    [anon_sym_static] = ACTIONS(1072),
    [anon_sym_with] = ACTIONS(1072),
    [anon_sym_package] = ACTIONS(1072),
    [anon_sym_import] = ACTIONS(1072),
    [anon_sym_enum] = ACTIONS(1072),
    [anon_sym_public] = ACTIONS(1072),
    [anon_sym_protected] = ACTIONS(1072),
    [anon_sym_private] = ACTIONS(1072),
    [anon_sym_abstract] = ACTIONS(1072),
    [anon_sym_strictfp] = ACTIONS(1072),
    [anon_sym_native] = ACTIONS(1072),
    [anon_sym_transient] = ACTIONS(1072),
    [anon_sym_volatile] = ACTIONS(1072),
    [anon_sym_sealed] = ACTIONS(1072),
    [anon_sym_non_DASHsealed] = ACTIONS(1070),
    [anon_sym_record] = ACTIONS(1072),
    [anon_sym_ATinterface] = ACTIONS(1070),
    [anon_sym_interface] = ACTIONS(1072),
    [anon_sym_byte] = ACTIONS(1072),
    [anon_sym_short] = ACTIONS(1072),
    [anon_sym_int] = ACTIONS(1072),
    [anon_sym_long] = ACTIONS(1072),
    [anon_sym_char] = ACTIONS(1072),
    [anon_sym_float] = ACTIONS(1072),
    [anon_sym_double] = ACTIONS(1072),
    [sym_boolean_type] = ACTIONS(1072),
    [sym_void_type] = ACTIONS(1072),
    [sym_this] = ACTIONS(1072),
    [sym_super] = ACTIONS(1072),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(1074),
    [sym_identifier] = ACTIONS(1076),
    [sym_decimal_integer_literal] = ACTIONS(1076),
    [sym_hex_integer_literal] = ACTIONS(1076),
    [sym_octal_integer_literal] = ACTIONS(1076),
    [sym_binary_integer_literal] = ACTIONS(1074),
    [sym_decimal_floating_point_literal] = ACTIONS(1074),
    [sym_hex_floating_point_literal] = ACTIONS(1076),
    [sym_true] = ACTIONS(1076),
    [sym_false] = ACTIONS(1076),
    [sym_character_literal] = ACTIONS(1074),
    [anon_sym_DQUOTE] = ACTIONS(1076),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1074),
    [anon_sym_RBRACE] = ACTIONS(1074),
    [sym_null_literal] = ACTIONS(1076),
    [anon_sym_LPAREN] = ACTIONS(1074),
    [anon_sym_LT] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1076),
    [anon_sym_DASH] = ACTIONS(1076),
    [anon_sym_final] = ACTIONS(1076),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_PLUS_PLUS] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1074),
    [anon_sym_new] = ACTIONS(1076),
    [anon_sym_class] = ACTIONS(1076),
    [anon_sym_switch] = ACTIONS(1076),
    [anon_sym_LBRACE] = ACTIONS(1074),
    [anon_sym_case] = ACTIONS(1076),
    [anon_sym_default] = ACTIONS(1076),
    [anon_sym_SEMI] = ACTIONS(1074),
    [anon_sym_assert] = ACTIONS(1076),
    [anon_sym_do] = ACTIONS(1076),
    [anon_sym_while] = ACTIONS(1076),
    [anon_sym_break] = ACTIONS(1076),
    [anon_sym_continue] = ACTIONS(1076),
    [anon_sym_return] = ACTIONS(1076),
    [anon_sym_yield] = ACTIONS(1076),
    [anon_sym_synchronized] = ACTIONS(1076),
    [anon_sym_throw] = ACTIONS(1076),
    [anon_sym_try] = ACTIONS(1076),
    [anon_sym_if] = ACTIONS(1076),
    [anon_sym_else] = ACTIONS(1076),
    [anon_sym_for] = ACTIONS(1076),
    [anon_sym_AT] = ACTIONS(1076),
    [anon_sym_open] = ACTIONS(1076),
    [anon_sym_module] = ACTIONS(1076),
    [anon_sym_static] = ACTIONS(1076),
    [anon_sym_with] = ACTIONS(1076),
    [anon_sym_package] = ACTIONS(1076),
    [anon_sym_import] = ACTIONS(1076),
    [anon_sym_enum] = ACTIONS(1076),
    [anon_sym_public] = ACTIONS(1076),
    [anon_sym_protected] = ACTIONS(1076),
    [anon_sym_private] = ACTIONS(1076),
    [anon_sym_abstract] = ACTIONS(1076),
    [anon_sym_strictfp] = ACTIONS(1076),
    [anon_sym_native] = ACTIONS(1076),
    [anon_sym_transient] = ACTIONS(1076),
    [anon_sym_volatile] = ACTIONS(1076),
    [anon_sym_sealed] = ACTIONS(1076),
    [anon_sym_non_DASHsealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1076),
    [anon_sym_ATinterface] = ACTIONS(1074),
    [anon_sym_interface] = ACTIONS(1076),
    [anon_sym_byte] = ACTIONS(1076),
    [anon_sym_short] = ACTIONS(1076),
    [anon_sym_int] = ACTIONS(1076),
    [anon_sym_long] = ACTIONS(1076),
    [anon_sym_char] = ACTIONS(1076),
    [anon_sym_float] = ACTIONS(1076),
    [anon_sym_double] = ACTIONS(1076),
    [sym_boolean_type] = ACTIONS(1076),
    [sym_void_type] = ACTIONS(1076),
    [sym_this] = ACTIONS(1076),
    [sym_super] = ACTIONS(1076),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1078),
    [sym_identifier] = ACTIONS(1080),
    [sym_decimal_integer_literal] = ACTIONS(1080),
    [sym_hex_integer_literal] = ACTIONS(1080),
    [sym_octal_integer_literal] = ACTIONS(1080),
    [sym_binary_integer_literal] = ACTIONS(1078),
    [sym_decimal_floating_point_literal] = ACTIONS(1078),
    [sym_hex_floating_point_literal] = ACTIONS(1080),
    [sym_true] = ACTIONS(1080),
    [sym_false] = ACTIONS(1080),
    [sym_character_literal] = ACTIONS(1078),
    [anon_sym_DQUOTE] = ACTIONS(1080),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1078),
    [anon_sym_RBRACE] = ACTIONS(1078),
    [sym_null_literal] = ACTIONS(1080),
    [anon_sym_LPAREN] = ACTIONS(1078),
    [anon_sym_LT] = ACTIONS(1078),
    [anon_sym_PLUS] = ACTIONS(1080),
    [anon_sym_DASH] = ACTIONS(1080),
    [anon_sym_final] = ACTIONS(1080),
    [anon_sym_BANG] = ACTIONS(1078),
    [anon_sym_TILDE] = ACTIONS(1078),
    [anon_sym_PLUS_PLUS] = ACTIONS(1078),
    [anon_sym_DASH_DASH] = ACTIONS(1078),
    [anon_sym_new] = ACTIONS(1080),
    [anon_sym_class] = ACTIONS(1080),
    [anon_sym_switch] = ACTIONS(1080),
    [anon_sym_LBRACE] = ACTIONS(1078),
    [anon_sym_case] = ACTIONS(1080),
    [anon_sym_default] = ACTIONS(1080),
    [anon_sym_SEMI] = ACTIONS(1078),
    [anon_sym_assert] = ACTIONS(1080),
    [anon_sym_do] = ACTIONS(1080),
    [anon_sym_while] = ACTIONS(1080),
    [anon_sym_break] = ACTIONS(1080),
    [anon_sym_continue] = ACTIONS(1080),
    [anon_sym_return] = ACTIONS(1080),
    [anon_sym_yield] = ACTIONS(1080),
    [anon_sym_synchronized] = ACTIONS(1080),
    [anon_sym_throw] = ACTIONS(1080),
    [anon_sym_try] = ACTIONS(1080),
    [anon_sym_if] = ACTIONS(1080),
    [anon_sym_else] = ACTIONS(1080),
    [anon_sym_for] = ACTIONS(1080),
    [anon_sym_AT] = ACTIONS(1080),
    [anon_sym_open] = ACTIONS(1080),
    [anon_sym_module] = ACTIONS(1080),
    [anon_sym_static] = ACTIONS(1080),
    [anon_sym_with] = ACTIONS(1080),
    [anon_sym_package] = ACTIONS(1080),
    [anon_sym_import] = ACTIONS(1080),
    [anon_sym_enum] = ACTIONS(1080),
    [anon_sym_public] = ACTIONS(1080),
    [anon_sym_protected] = ACTIONS(1080),
    [anon_sym_private] = ACTIONS(1080),
    [anon_sym_abstract] = ACTIONS(1080),
    [anon_sym_strictfp] = ACTIONS(1080),
    [anon_sym_native] = ACTIONS(1080),
    [anon_sym_transient] = ACTIONS(1080),
    [anon_sym_volatile] = ACTIONS(1080),
    [anon_sym_sealed] = ACTIONS(1080),
    [anon_sym_non_DASHsealed] = ACTIONS(1078),
    [anon_sym_record] = ACTIONS(1080),
    [anon_sym_ATinterface] = ACTIONS(1078),
    [anon_sym_interface] = ACTIONS(1080),
    [anon_sym_byte] = ACTIONS(1080),
    [anon_sym_short] = ACTIONS(1080),
    [anon_sym_int] = ACTIONS(1080),
    [anon_sym_long] = ACTIONS(1080),
    [anon_sym_char] = ACTIONS(1080),
    [anon_sym_float] = ACTIONS(1080),
    [anon_sym_double] = ACTIONS(1080),
    [sym_boolean_type] = ACTIONS(1080),
    [sym_void_type] = ACTIONS(1080),
    [sym_this] = ACTIONS(1080),
    [sym_super] = ACTIONS(1080),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1082),
    [sym_identifier] = ACTIONS(1084),
    [sym_decimal_integer_literal] = ACTIONS(1084),
    [sym_hex_integer_literal] = ACTIONS(1084),
    [sym_octal_integer_literal] = ACTIONS(1084),
    [sym_binary_integer_literal] = ACTIONS(1082),
    [sym_decimal_floating_point_literal] = ACTIONS(1082),
    [sym_hex_floating_point_literal] = ACTIONS(1084),
    [sym_true] = ACTIONS(1084),
    [sym_false] = ACTIONS(1084),
    [sym_character_literal] = ACTIONS(1082),
    [anon_sym_DQUOTE] = ACTIONS(1084),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1082),
    [anon_sym_RBRACE] = ACTIONS(1082),
    [sym_null_literal] = ACTIONS(1084),
    [anon_sym_LPAREN] = ACTIONS(1082),
    [anon_sym_LT] = ACTIONS(1082),
    [anon_sym_PLUS] = ACTIONS(1084),
    [anon_sym_DASH] = ACTIONS(1084),
    [anon_sym_final] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1082),
    [anon_sym_TILDE] = ACTIONS(1082),
    [anon_sym_PLUS_PLUS] = ACTIONS(1082),
    [anon_sym_DASH_DASH] = ACTIONS(1082),
    [anon_sym_new] = ACTIONS(1084),
    [anon_sym_class] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1084),
    [anon_sym_LBRACE] = ACTIONS(1082),
    [anon_sym_case] = ACTIONS(1084),
    [anon_sym_default] = ACTIONS(1084),
    [anon_sym_SEMI] = ACTIONS(1082),
    [anon_sym_assert] = ACTIONS(1084),
    [anon_sym_do] = ACTIONS(1084),
    [anon_sym_while] = ACTIONS(1084),
    [anon_sym_break] = ACTIONS(1084),
    [anon_sym_continue] = ACTIONS(1084),
    [anon_sym_return] = ACTIONS(1084),
    [anon_sym_yield] = ACTIONS(1084),
    [anon_sym_synchronized] = ACTIONS(1084),
    [anon_sym_throw] = ACTIONS(1084),
    [anon_sym_try] = ACTIONS(1084),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_else] = ACTIONS(1084),
    [anon_sym_for] = ACTIONS(1084),
    [anon_sym_AT] = ACTIONS(1084),
    [anon_sym_open] = ACTIONS(1084),
    [anon_sym_module] = ACTIONS(1084),
    [anon_sym_static] = ACTIONS(1084),
    [anon_sym_with] = ACTIONS(1084),
    [anon_sym_package] = ACTIONS(1084),
    [anon_sym_import] = ACTIONS(1084),
    [anon_sym_enum] = ACTIONS(1084),
    [anon_sym_public] = ACTIONS(1084),
    [anon_sym_protected] = ACTIONS(1084),
    [anon_sym_private] = ACTIONS(1084),
    [anon_sym_abstract] = ACTIONS(1084),
    [anon_sym_strictfp] = ACTIONS(1084),
    [anon_sym_native] = ACTIONS(1084),
    [anon_sym_transient] = ACTIONS(1084),
    [anon_sym_volatile] = ACTIONS(1084),
    [anon_sym_sealed] = ACTIONS(1084),
    [anon_sym_non_DASHsealed] = ACTIONS(1082),
    [anon_sym_record] = ACTIONS(1084),
    [anon_sym_ATinterface] = ACTIONS(1082),
    [anon_sym_interface] = ACTIONS(1084),
    [anon_sym_byte] = ACTIONS(1084),
    [anon_sym_short] = ACTIONS(1084),
    [anon_sym_int] = ACTIONS(1084),
    [anon_sym_long] = ACTIONS(1084),
    [anon_sym_char] = ACTIONS(1084),
    [anon_sym_float] = ACTIONS(1084),
    [anon_sym_double] = ACTIONS(1084),
    [sym_boolean_type] = ACTIONS(1084),
    [sym_void_type] = ACTIONS(1084),
    [sym_this] = ACTIONS(1084),
    [sym_super] = ACTIONS(1084),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1086),
    [sym_identifier] = ACTIONS(1088),
    [sym_decimal_integer_literal] = ACTIONS(1088),
    [sym_hex_integer_literal] = ACTIONS(1088),
    [sym_octal_integer_literal] = ACTIONS(1088),
    [sym_binary_integer_literal] = ACTIONS(1086),
    [sym_decimal_floating_point_literal] = ACTIONS(1086),
    [sym_hex_floating_point_literal] = ACTIONS(1088),
    [sym_true] = ACTIONS(1088),
    [sym_false] = ACTIONS(1088),
    [sym_character_literal] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1088),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [sym_null_literal] = ACTIONS(1088),
    [anon_sym_LPAREN] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1088),
    [anon_sym_DASH] = ACTIONS(1088),
    [anon_sym_final] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [anon_sym_new] = ACTIONS(1088),
    [anon_sym_class] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(1088),
    [anon_sym_LBRACE] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1088),
    [anon_sym_SEMI] = ACTIONS(1086),
    [anon_sym_assert] = ACTIONS(1088),
    [anon_sym_do] = ACTIONS(1088),
    [anon_sym_while] = ACTIONS(1088),
    [anon_sym_break] = ACTIONS(1088),
    [anon_sym_continue] = ACTIONS(1088),
    [anon_sym_return] = ACTIONS(1088),
    [anon_sym_yield] = ACTIONS(1088),
    [anon_sym_synchronized] = ACTIONS(1088),
    [anon_sym_throw] = ACTIONS(1088),
    [anon_sym_try] = ACTIONS(1088),
    [anon_sym_if] = ACTIONS(1088),
    [anon_sym_else] = ACTIONS(1088),
    [anon_sym_for] = ACTIONS(1088),
    [anon_sym_AT] = ACTIONS(1088),
    [anon_sym_open] = ACTIONS(1088),
    [anon_sym_module] = ACTIONS(1088),
    [anon_sym_static] = ACTIONS(1088),
    [anon_sym_with] = ACTIONS(1088),
    [anon_sym_package] = ACTIONS(1088),
    [anon_sym_import] = ACTIONS(1088),
    [anon_sym_enum] = ACTIONS(1088),
    [anon_sym_public] = ACTIONS(1088),
    [anon_sym_protected] = ACTIONS(1088),
    [anon_sym_private] = ACTIONS(1088),
    [anon_sym_abstract] = ACTIONS(1088),
    [anon_sym_strictfp] = ACTIONS(1088),
    [anon_sym_native] = ACTIONS(1088),
    [anon_sym_transient] = ACTIONS(1088),
    [anon_sym_volatile] = ACTIONS(1088),
    [anon_sym_sealed] = ACTIONS(1088),
    [anon_sym_non_DASHsealed] = ACTIONS(1086),
    [anon_sym_record] = ACTIONS(1088),
    [anon_sym_ATinterface] = ACTIONS(1086),
    [anon_sym_interface] = ACTIONS(1088),
    [anon_sym_byte] = ACTIONS(1088),
    [anon_sym_short] = ACTIONS(1088),
    [anon_sym_int] = ACTIONS(1088),
    [anon_sym_long] = ACTIONS(1088),
    [anon_sym_char] = ACTIONS(1088),
    [anon_sym_float] = ACTIONS(1088),
    [anon_sym_double] = ACTIONS(1088),
    [sym_boolean_type] = ACTIONS(1088),
    [sym_void_type] = ACTIONS(1088),
    [sym_this] = ACTIONS(1088),
    [sym_super] = ACTIONS(1088),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1090),
    [sym_identifier] = ACTIONS(1092),
    [sym_decimal_integer_literal] = ACTIONS(1092),
    [sym_hex_integer_literal] = ACTIONS(1092),
    [sym_octal_integer_literal] = ACTIONS(1092),
    [sym_binary_integer_literal] = ACTIONS(1090),
    [sym_decimal_floating_point_literal] = ACTIONS(1090),
    [sym_hex_floating_point_literal] = ACTIONS(1092),
    [sym_true] = ACTIONS(1092),
    [sym_false] = ACTIONS(1092),
    [sym_character_literal] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1092),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [sym_null_literal] = ACTIONS(1092),
    [anon_sym_LPAREN] = ACTIONS(1090),
    [anon_sym_LT] = ACTIONS(1090),
    [anon_sym_PLUS] = ACTIONS(1092),
    [anon_sym_DASH] = ACTIONS(1092),
    [anon_sym_final] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_new] = ACTIONS(1092),
    [anon_sym_class] = ACTIONS(1092),
    [anon_sym_switch] = ACTIONS(1092),
    [anon_sym_LBRACE] = ACTIONS(1090),
    [anon_sym_case] = ACTIONS(1092),
    [anon_sym_default] = ACTIONS(1092),
    [anon_sym_SEMI] = ACTIONS(1090),
    [anon_sym_assert] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1092),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_break] = ACTIONS(1092),
    [anon_sym_continue] = ACTIONS(1092),
    [anon_sym_return] = ACTIONS(1092),
    [anon_sym_yield] = ACTIONS(1092),
    [anon_sym_synchronized] = ACTIONS(1092),
    [anon_sym_throw] = ACTIONS(1092),
    [anon_sym_try] = ACTIONS(1092),
    [anon_sym_if] = ACTIONS(1092),
    [anon_sym_else] = ACTIONS(1092),
    [anon_sym_for] = ACTIONS(1092),
    [anon_sym_AT] = ACTIONS(1092),
    [anon_sym_open] = ACTIONS(1092),
    [anon_sym_module] = ACTIONS(1092),
    [anon_sym_static] = ACTIONS(1092),
    [anon_sym_with] = ACTIONS(1092),
    [anon_sym_package] = ACTIONS(1092),
    [anon_sym_import] = ACTIONS(1092),
    [anon_sym_enum] = ACTIONS(1092),
    [anon_sym_public] = ACTIONS(1092),
    [anon_sym_protected] = ACTIONS(1092),
    [anon_sym_private] = ACTIONS(1092),
    [anon_sym_abstract] = ACTIONS(1092),
    [anon_sym_strictfp] = ACTIONS(1092),
    [anon_sym_native] = ACTIONS(1092),
    [anon_sym_transient] = ACTIONS(1092),
    [anon_sym_volatile] = ACTIONS(1092),
    [anon_sym_sealed] = ACTIONS(1092),
    [anon_sym_non_DASHsealed] = ACTIONS(1090),
    [anon_sym_record] = ACTIONS(1092),
    [anon_sym_ATinterface] = ACTIONS(1090),
    [anon_sym_interface] = ACTIONS(1092),
    [anon_sym_byte] = ACTIONS(1092),
    [anon_sym_short] = ACTIONS(1092),
    [anon_sym_int] = ACTIONS(1092),
    [anon_sym_long] = ACTIONS(1092),
    [anon_sym_char] = ACTIONS(1092),
    [anon_sym_float] = ACTIONS(1092),
    [anon_sym_double] = ACTIONS(1092),
    [sym_boolean_type] = ACTIONS(1092),
    [sym_void_type] = ACTIONS(1092),
    [sym_this] = ACTIONS(1092),
    [sym_super] = ACTIONS(1092),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1094),
    [sym_identifier] = ACTIONS(1096),
    [sym_decimal_integer_literal] = ACTIONS(1096),
    [sym_hex_integer_literal] = ACTIONS(1096),
    [sym_octal_integer_literal] = ACTIONS(1096),
    [sym_binary_integer_literal] = ACTIONS(1094),
    [sym_decimal_floating_point_literal] = ACTIONS(1094),
    [sym_hex_floating_point_literal] = ACTIONS(1096),
    [sym_true] = ACTIONS(1096),
    [sym_false] = ACTIONS(1096),
    [sym_character_literal] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1096),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [sym_null_literal] = ACTIONS(1096),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [anon_sym_LT] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1096),
    [anon_sym_DASH] = ACTIONS(1096),
    [anon_sym_final] = ACTIONS(1096),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_new] = ACTIONS(1096),
    [anon_sym_class] = ACTIONS(1096),
    [anon_sym_switch] = ACTIONS(1096),
    [anon_sym_LBRACE] = ACTIONS(1094),
    [anon_sym_case] = ACTIONS(1096),
    [anon_sym_default] = ACTIONS(1096),
    [anon_sym_SEMI] = ACTIONS(1094),
    [anon_sym_assert] = ACTIONS(1096),
    [anon_sym_do] = ACTIONS(1096),
    [anon_sym_while] = ACTIONS(1096),
    [anon_sym_break] = ACTIONS(1096),
    [anon_sym_continue] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1096),
    [anon_sym_yield] = ACTIONS(1096),
    [anon_sym_synchronized] = ACTIONS(1096),
    [anon_sym_throw] = ACTIONS(1096),
    [anon_sym_try] = ACTIONS(1096),
    [anon_sym_if] = ACTIONS(1096),
    [anon_sym_else] = ACTIONS(1096),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_AT] = ACTIONS(1096),
    [anon_sym_open] = ACTIONS(1096),
    [anon_sym_module] = ACTIONS(1096),
    [anon_sym_static] = ACTIONS(1096),
    [anon_sym_with] = ACTIONS(1096),
    [anon_sym_package] = ACTIONS(1096),
    [anon_sym_import] = ACTIONS(1096),
    [anon_sym_enum] = ACTIONS(1096),
    [anon_sym_public] = ACTIONS(1096),
    [anon_sym_protected] = ACTIONS(1096),
    [anon_sym_private] = ACTIONS(1096),
    [anon_sym_abstract] = ACTIONS(1096),
    [anon_sym_strictfp] = ACTIONS(1096),
    [anon_sym_native] = ACTIONS(1096),
    [anon_sym_transient] = ACTIONS(1096),
    [anon_sym_volatile] = ACTIONS(1096),
    [anon_sym_sealed] = ACTIONS(1096),
    [anon_sym_non_DASHsealed] = ACTIONS(1094),
    [anon_sym_record] = ACTIONS(1096),
    [anon_sym_ATinterface] = ACTIONS(1094),
    [anon_sym_interface] = ACTIONS(1096),
    [anon_sym_byte] = ACTIONS(1096),
    [anon_sym_short] = ACTIONS(1096),
    [anon_sym_int] = ACTIONS(1096),
    [anon_sym_long] = ACTIONS(1096),
    [anon_sym_char] = ACTIONS(1096),
    [anon_sym_float] = ACTIONS(1096),
    [anon_sym_double] = ACTIONS(1096),
    [sym_boolean_type] = ACTIONS(1096),
    [sym_void_type] = ACTIONS(1096),
    [sym_this] = ACTIONS(1096),
    [sym_super] = ACTIONS(1096),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1098),
    [sym_identifier] = ACTIONS(1100),
    [sym_decimal_integer_literal] = ACTIONS(1100),
    [sym_hex_integer_literal] = ACTIONS(1100),
    [sym_octal_integer_literal] = ACTIONS(1100),
    [sym_binary_integer_literal] = ACTIONS(1098),
    [sym_decimal_floating_point_literal] = ACTIONS(1098),
    [sym_hex_floating_point_literal] = ACTIONS(1100),
    [sym_true] = ACTIONS(1100),
    [sym_false] = ACTIONS(1100),
    [sym_character_literal] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1100),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [sym_null_literal] = ACTIONS(1100),
    [anon_sym_LPAREN] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1100),
    [anon_sym_DASH] = ACTIONS(1100),
    [anon_sym_final] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_new] = ACTIONS(1100),
    [anon_sym_class] = ACTIONS(1100),
    [anon_sym_switch] = ACTIONS(1100),
    [anon_sym_LBRACE] = ACTIONS(1098),
    [anon_sym_case] = ACTIONS(1100),
    [anon_sym_default] = ACTIONS(1100),
    [anon_sym_SEMI] = ACTIONS(1098),
    [anon_sym_assert] = ACTIONS(1100),
    [anon_sym_do] = ACTIONS(1100),
    [anon_sym_while] = ACTIONS(1100),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1100),
    [anon_sym_return] = ACTIONS(1100),
    [anon_sym_yield] = ACTIONS(1100),
    [anon_sym_synchronized] = ACTIONS(1100),
    [anon_sym_throw] = ACTIONS(1100),
    [anon_sym_try] = ACTIONS(1100),
    [anon_sym_if] = ACTIONS(1100),
    [anon_sym_else] = ACTIONS(1100),
    [anon_sym_for] = ACTIONS(1100),
    [anon_sym_AT] = ACTIONS(1100),
    [anon_sym_open] = ACTIONS(1100),
    [anon_sym_module] = ACTIONS(1100),
    [anon_sym_static] = ACTIONS(1100),
    [anon_sym_with] = ACTIONS(1100),
    [anon_sym_package] = ACTIONS(1100),
    [anon_sym_import] = ACTIONS(1100),
    [anon_sym_enum] = ACTIONS(1100),
    [anon_sym_public] = ACTIONS(1100),
    [anon_sym_protected] = ACTIONS(1100),
    [anon_sym_private] = ACTIONS(1100),
    [anon_sym_abstract] = ACTIONS(1100),
    [anon_sym_strictfp] = ACTIONS(1100),
    [anon_sym_native] = ACTIONS(1100),
    [anon_sym_transient] = ACTIONS(1100),
    [anon_sym_volatile] = ACTIONS(1100),
    [anon_sym_sealed] = ACTIONS(1100),
    [anon_sym_non_DASHsealed] = ACTIONS(1098),
    [anon_sym_record] = ACTIONS(1100),
    [anon_sym_ATinterface] = ACTIONS(1098),
    [anon_sym_interface] = ACTIONS(1100),
    [anon_sym_byte] = ACTIONS(1100),
    [anon_sym_short] = ACTIONS(1100),
    [anon_sym_int] = ACTIONS(1100),
    [anon_sym_long] = ACTIONS(1100),
    [anon_sym_char] = ACTIONS(1100),
    [anon_sym_float] = ACTIONS(1100),
    [anon_sym_double] = ACTIONS(1100),
    [sym_boolean_type] = ACTIONS(1100),
    [sym_void_type] = ACTIONS(1100),
    [sym_this] = ACTIONS(1100),
    [sym_super] = ACTIONS(1100),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1102),
    [sym_identifier] = ACTIONS(1104),
    [sym_decimal_integer_literal] = ACTIONS(1104),
    [sym_hex_integer_literal] = ACTIONS(1104),
    [sym_octal_integer_literal] = ACTIONS(1104),
    [sym_binary_integer_literal] = ACTIONS(1102),
    [sym_decimal_floating_point_literal] = ACTIONS(1102),
    [sym_hex_floating_point_literal] = ACTIONS(1104),
    [sym_true] = ACTIONS(1104),
    [sym_false] = ACTIONS(1104),
    [sym_character_literal] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1104),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [sym_null_literal] = ACTIONS(1104),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1104),
    [anon_sym_DASH] = ACTIONS(1104),
    [anon_sym_final] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_new] = ACTIONS(1104),
    [anon_sym_class] = ACTIONS(1104),
    [anon_sym_switch] = ACTIONS(1104),
    [anon_sym_LBRACE] = ACTIONS(1102),
    [anon_sym_case] = ACTIONS(1104),
    [anon_sym_default] = ACTIONS(1104),
    [anon_sym_SEMI] = ACTIONS(1102),
    [anon_sym_assert] = ACTIONS(1104),
    [anon_sym_do] = ACTIONS(1104),
    [anon_sym_while] = ACTIONS(1104),
    [anon_sym_break] = ACTIONS(1104),
    [anon_sym_continue] = ACTIONS(1104),
    [anon_sym_return] = ACTIONS(1104),
    [anon_sym_yield] = ACTIONS(1104),
    [anon_sym_synchronized] = ACTIONS(1104),
    [anon_sym_throw] = ACTIONS(1104),
    [anon_sym_try] = ACTIONS(1104),
    [anon_sym_if] = ACTIONS(1104),
    [anon_sym_else] = ACTIONS(1104),
    [anon_sym_for] = ACTIONS(1104),
    [anon_sym_AT] = ACTIONS(1104),
    [anon_sym_open] = ACTIONS(1104),
    [anon_sym_module] = ACTIONS(1104),
    [anon_sym_static] = ACTIONS(1104),
    [anon_sym_with] = ACTIONS(1104),
    [anon_sym_package] = ACTIONS(1104),
    [anon_sym_import] = ACTIONS(1104),
    [anon_sym_enum] = ACTIONS(1104),
    [anon_sym_public] = ACTIONS(1104),
    [anon_sym_protected] = ACTIONS(1104),
    [anon_sym_private] = ACTIONS(1104),
    [anon_sym_abstract] = ACTIONS(1104),
    [anon_sym_strictfp] = ACTIONS(1104),
    [anon_sym_native] = ACTIONS(1104),
    [anon_sym_transient] = ACTIONS(1104),
    [anon_sym_volatile] = ACTIONS(1104),
    [anon_sym_sealed] = ACTIONS(1104),
    [anon_sym_non_DASHsealed] = ACTIONS(1102),
    [anon_sym_record] = ACTIONS(1104),
    [anon_sym_ATinterface] = ACTIONS(1102),
    [anon_sym_interface] = ACTIONS(1104),
    [anon_sym_byte] = ACTIONS(1104),
    [anon_sym_short] = ACTIONS(1104),
    [anon_sym_int] = ACTIONS(1104),
    [anon_sym_long] = ACTIONS(1104),
    [anon_sym_char] = ACTIONS(1104),
    [anon_sym_float] = ACTIONS(1104),
    [anon_sym_double] = ACTIONS(1104),
    [sym_boolean_type] = ACTIONS(1104),
    [sym_void_type] = ACTIONS(1104),
    [sym_this] = ACTIONS(1104),
    [sym_super] = ACTIONS(1104),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(1106),
    [sym_identifier] = ACTIONS(1108),
    [sym_decimal_integer_literal] = ACTIONS(1108),
    [sym_hex_integer_literal] = ACTIONS(1108),
    [sym_octal_integer_literal] = ACTIONS(1108),
    [sym_binary_integer_literal] = ACTIONS(1106),
    [sym_decimal_floating_point_literal] = ACTIONS(1106),
    [sym_hex_floating_point_literal] = ACTIONS(1108),
    [sym_true] = ACTIONS(1108),
    [sym_false] = ACTIONS(1108),
    [sym_character_literal] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1108),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [sym_null_literal] = ACTIONS(1108),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [anon_sym_LT] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1108),
    [anon_sym_DASH] = ACTIONS(1108),
    [anon_sym_final] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_new] = ACTIONS(1108),
    [anon_sym_class] = ACTIONS(1108),
    [anon_sym_switch] = ACTIONS(1108),
    [anon_sym_LBRACE] = ACTIONS(1106),
    [anon_sym_case] = ACTIONS(1108),
    [anon_sym_default] = ACTIONS(1108),
    [anon_sym_SEMI] = ACTIONS(1106),
    [anon_sym_assert] = ACTIONS(1108),
    [anon_sym_do] = ACTIONS(1108),
    [anon_sym_while] = ACTIONS(1108),
    [anon_sym_break] = ACTIONS(1108),
    [anon_sym_continue] = ACTIONS(1108),
    [anon_sym_return] = ACTIONS(1108),
    [anon_sym_yield] = ACTIONS(1108),
    [anon_sym_synchronized] = ACTIONS(1108),
    [anon_sym_throw] = ACTIONS(1108),
    [anon_sym_try] = ACTIONS(1108),
    [anon_sym_if] = ACTIONS(1108),
    [anon_sym_else] = ACTIONS(1108),
    [anon_sym_for] = ACTIONS(1108),
    [anon_sym_AT] = ACTIONS(1108),
    [anon_sym_open] = ACTIONS(1108),
    [anon_sym_module] = ACTIONS(1108),
    [anon_sym_static] = ACTIONS(1108),
    [anon_sym_with] = ACTIONS(1108),
    [anon_sym_package] = ACTIONS(1108),
    [anon_sym_import] = ACTIONS(1108),
    [anon_sym_enum] = ACTIONS(1108),
    [anon_sym_public] = ACTIONS(1108),
    [anon_sym_protected] = ACTIONS(1108),
    [anon_sym_private] = ACTIONS(1108),
    [anon_sym_abstract] = ACTIONS(1108),
    [anon_sym_strictfp] = ACTIONS(1108),
    [anon_sym_native] = ACTIONS(1108),
    [anon_sym_transient] = ACTIONS(1108),
    [anon_sym_volatile] = ACTIONS(1108),
    [anon_sym_sealed] = ACTIONS(1108),
    [anon_sym_non_DASHsealed] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(1108),
    [anon_sym_ATinterface] = ACTIONS(1106),
    [anon_sym_interface] = ACTIONS(1108),
    [anon_sym_byte] = ACTIONS(1108),
    [anon_sym_short] = ACTIONS(1108),
    [anon_sym_int] = ACTIONS(1108),
    [anon_sym_long] = ACTIONS(1108),
    [anon_sym_char] = ACTIONS(1108),
    [anon_sym_float] = ACTIONS(1108),
    [anon_sym_double] = ACTIONS(1108),
    [sym_boolean_type] = ACTIONS(1108),
    [sym_void_type] = ACTIONS(1108),
    [sym_this] = ACTIONS(1108),
    [sym_super] = ACTIONS(1108),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1112),
    [sym_decimal_integer_literal] = ACTIONS(1112),
    [sym_hex_integer_literal] = ACTIONS(1112),
    [sym_octal_integer_literal] = ACTIONS(1112),
    [sym_binary_integer_literal] = ACTIONS(1110),
    [sym_decimal_floating_point_literal] = ACTIONS(1110),
    [sym_hex_floating_point_literal] = ACTIONS(1112),
    [sym_true] = ACTIONS(1112),
    [sym_false] = ACTIONS(1112),
    [sym_character_literal] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [sym_null_literal] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_final] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_new] = ACTIONS(1112),
    [anon_sym_class] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1110),
    [anon_sym_case] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1110),
    [anon_sym_assert] = ACTIONS(1112),
    [anon_sym_do] = ACTIONS(1112),
    [anon_sym_while] = ACTIONS(1112),
    [anon_sym_break] = ACTIONS(1112),
    [anon_sym_continue] = ACTIONS(1112),
    [anon_sym_return] = ACTIONS(1112),
    [anon_sym_yield] = ACTIONS(1112),
    [anon_sym_synchronized] = ACTIONS(1112),
    [anon_sym_throw] = ACTIONS(1112),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(1112),
    [anon_sym_for] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_open] = ACTIONS(1112),
    [anon_sym_module] = ACTIONS(1112),
    [anon_sym_static] = ACTIONS(1112),
    [anon_sym_with] = ACTIONS(1112),
    [anon_sym_package] = ACTIONS(1112),
    [anon_sym_import] = ACTIONS(1112),
    [anon_sym_enum] = ACTIONS(1112),
    [anon_sym_public] = ACTIONS(1112),
    [anon_sym_protected] = ACTIONS(1112),
    [anon_sym_private] = ACTIONS(1112),
    [anon_sym_abstract] = ACTIONS(1112),
    [anon_sym_strictfp] = ACTIONS(1112),
    [anon_sym_native] = ACTIONS(1112),
    [anon_sym_transient] = ACTIONS(1112),
    [anon_sym_volatile] = ACTIONS(1112),
    [anon_sym_sealed] = ACTIONS(1112),
    [anon_sym_non_DASHsealed] = ACTIONS(1110),
    [anon_sym_record] = ACTIONS(1112),
    [anon_sym_ATinterface] = ACTIONS(1110),
    [anon_sym_interface] = ACTIONS(1112),
    [anon_sym_byte] = ACTIONS(1112),
    [anon_sym_short] = ACTIONS(1112),
    [anon_sym_int] = ACTIONS(1112),
    [anon_sym_long] = ACTIONS(1112),
    [anon_sym_char] = ACTIONS(1112),
    [anon_sym_float] = ACTIONS(1112),
    [anon_sym_double] = ACTIONS(1112),
    [sym_boolean_type] = ACTIONS(1112),
    [sym_void_type] = ACTIONS(1112),
    [sym_this] = ACTIONS(1112),
    [sym_super] = ACTIONS(1112),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(1114),
    [sym_identifier] = ACTIONS(1116),
    [sym_decimal_integer_literal] = ACTIONS(1116),
    [sym_hex_integer_literal] = ACTIONS(1116),
    [sym_octal_integer_literal] = ACTIONS(1116),
    [sym_binary_integer_literal] = ACTIONS(1114),
    [sym_decimal_floating_point_literal] = ACTIONS(1114),
    [sym_hex_floating_point_literal] = ACTIONS(1116),
    [sym_true] = ACTIONS(1116),
    [sym_false] = ACTIONS(1116),
    [sym_character_literal] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1116),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [sym_null_literal] = ACTIONS(1116),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1116),
    [anon_sym_DASH] = ACTIONS(1116),
    [anon_sym_final] = ACTIONS(1116),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_new] = ACTIONS(1116),
    [anon_sym_class] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1116),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1116),
    [anon_sym_SEMI] = ACTIONS(1114),
    [anon_sym_assert] = ACTIONS(1116),
    [anon_sym_do] = ACTIONS(1116),
    [anon_sym_while] = ACTIONS(1116),
    [anon_sym_break] = ACTIONS(1116),
    [anon_sym_continue] = ACTIONS(1116),
    [anon_sym_return] = ACTIONS(1116),
    [anon_sym_yield] = ACTIONS(1116),
    [anon_sym_synchronized] = ACTIONS(1116),
    [anon_sym_throw] = ACTIONS(1116),
    [anon_sym_try] = ACTIONS(1116),
    [anon_sym_if] = ACTIONS(1116),
    [anon_sym_else] = ACTIONS(1116),
    [anon_sym_for] = ACTIONS(1116),
    [anon_sym_AT] = ACTIONS(1116),
    [anon_sym_open] = ACTIONS(1116),
    [anon_sym_module] = ACTIONS(1116),
    [anon_sym_static] = ACTIONS(1116),
    [anon_sym_with] = ACTIONS(1116),
    [anon_sym_package] = ACTIONS(1116),
    [anon_sym_import] = ACTIONS(1116),
    [anon_sym_enum] = ACTIONS(1116),
    [anon_sym_public] = ACTIONS(1116),
    [anon_sym_protected] = ACTIONS(1116),
    [anon_sym_private] = ACTIONS(1116),
    [anon_sym_abstract] = ACTIONS(1116),
    [anon_sym_strictfp] = ACTIONS(1116),
    [anon_sym_native] = ACTIONS(1116),
    [anon_sym_transient] = ACTIONS(1116),
    [anon_sym_volatile] = ACTIONS(1116),
    [anon_sym_sealed] = ACTIONS(1116),
    [anon_sym_non_DASHsealed] = ACTIONS(1114),
    [anon_sym_record] = ACTIONS(1116),
    [anon_sym_ATinterface] = ACTIONS(1114),
    [anon_sym_interface] = ACTIONS(1116),
    [anon_sym_byte] = ACTIONS(1116),
    [anon_sym_short] = ACTIONS(1116),
    [anon_sym_int] = ACTIONS(1116),
    [anon_sym_long] = ACTIONS(1116),
    [anon_sym_char] = ACTIONS(1116),
    [anon_sym_float] = ACTIONS(1116),
    [anon_sym_double] = ACTIONS(1116),
    [sym_boolean_type] = ACTIONS(1116),
    [sym_void_type] = ACTIONS(1116),
    [sym_this] = ACTIONS(1116),
    [sym_super] = ACTIONS(1116),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1118),
    [sym_identifier] = ACTIONS(1120),
    [sym_decimal_integer_literal] = ACTIONS(1120),
    [sym_hex_integer_literal] = ACTIONS(1120),
    [sym_octal_integer_literal] = ACTIONS(1120),
    [sym_binary_integer_literal] = ACTIONS(1118),
    [sym_decimal_floating_point_literal] = ACTIONS(1118),
    [sym_hex_floating_point_literal] = ACTIONS(1120),
    [sym_true] = ACTIONS(1120),
    [sym_false] = ACTIONS(1120),
    [sym_character_literal] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1120),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [sym_null_literal] = ACTIONS(1120),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [anon_sym_LT] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1120),
    [anon_sym_DASH] = ACTIONS(1120),
    [anon_sym_final] = ACTIONS(1120),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_new] = ACTIONS(1120),
    [anon_sym_class] = ACTIONS(1120),
    [anon_sym_switch] = ACTIONS(1120),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_case] = ACTIONS(1120),
    [anon_sym_default] = ACTIONS(1120),
    [anon_sym_SEMI] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1120),
    [anon_sym_do] = ACTIONS(1120),
    [anon_sym_while] = ACTIONS(1120),
    [anon_sym_break] = ACTIONS(1120),
    [anon_sym_continue] = ACTIONS(1120),
    [anon_sym_return] = ACTIONS(1120),
    [anon_sym_yield] = ACTIONS(1120),
    [anon_sym_synchronized] = ACTIONS(1120),
    [anon_sym_throw] = ACTIONS(1120),
    [anon_sym_try] = ACTIONS(1120),
    [anon_sym_if] = ACTIONS(1120),
    [anon_sym_else] = ACTIONS(1120),
    [anon_sym_for] = ACTIONS(1120),
    [anon_sym_AT] = ACTIONS(1120),
    [anon_sym_open] = ACTIONS(1120),
    [anon_sym_module] = ACTIONS(1120),
    [anon_sym_static] = ACTIONS(1120),
    [anon_sym_with] = ACTIONS(1120),
    [anon_sym_package] = ACTIONS(1120),
    [anon_sym_import] = ACTIONS(1120),
    [anon_sym_enum] = ACTIONS(1120),
    [anon_sym_public] = ACTIONS(1120),
    [anon_sym_protected] = ACTIONS(1120),
    [anon_sym_private] = ACTIONS(1120),
    [anon_sym_abstract] = ACTIONS(1120),
    [anon_sym_strictfp] = ACTIONS(1120),
    [anon_sym_native] = ACTIONS(1120),
    [anon_sym_transient] = ACTIONS(1120),
    [anon_sym_volatile] = ACTIONS(1120),
    [anon_sym_sealed] = ACTIONS(1120),
    [anon_sym_non_DASHsealed] = ACTIONS(1118),
    [anon_sym_record] = ACTIONS(1120),
    [anon_sym_ATinterface] = ACTIONS(1118),
    [anon_sym_interface] = ACTIONS(1120),
    [anon_sym_byte] = ACTIONS(1120),
    [anon_sym_short] = ACTIONS(1120),
    [anon_sym_int] = ACTIONS(1120),
    [anon_sym_long] = ACTIONS(1120),
    [anon_sym_char] = ACTIONS(1120),
    [anon_sym_float] = ACTIONS(1120),
    [anon_sym_double] = ACTIONS(1120),
    [sym_boolean_type] = ACTIONS(1120),
    [sym_void_type] = ACTIONS(1120),
    [sym_this] = ACTIONS(1120),
    [sym_super] = ACTIONS(1120),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1122),
    [sym_identifier] = ACTIONS(1124),
    [sym_decimal_integer_literal] = ACTIONS(1124),
    [sym_hex_integer_literal] = ACTIONS(1124),
    [sym_octal_integer_literal] = ACTIONS(1124),
    [sym_binary_integer_literal] = ACTIONS(1122),
    [sym_decimal_floating_point_literal] = ACTIONS(1122),
    [sym_hex_floating_point_literal] = ACTIONS(1124),
    [sym_true] = ACTIONS(1124),
    [sym_false] = ACTIONS(1124),
    [sym_character_literal] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1124),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [sym_null_literal] = ACTIONS(1124),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1124),
    [anon_sym_DASH] = ACTIONS(1124),
    [anon_sym_final] = ACTIONS(1124),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_new] = ACTIONS(1124),
    [anon_sym_class] = ACTIONS(1124),
    [anon_sym_switch] = ACTIONS(1124),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_case] = ACTIONS(1124),
    [anon_sym_default] = ACTIONS(1124),
    [anon_sym_SEMI] = ACTIONS(1122),
    [anon_sym_assert] = ACTIONS(1124),
    [anon_sym_do] = ACTIONS(1124),
    [anon_sym_while] = ACTIONS(1124),
    [anon_sym_break] = ACTIONS(1124),
    [anon_sym_continue] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1124),
    [anon_sym_yield] = ACTIONS(1124),
    [anon_sym_synchronized] = ACTIONS(1124),
    [anon_sym_throw] = ACTIONS(1124),
    [anon_sym_try] = ACTIONS(1124),
    [anon_sym_if] = ACTIONS(1124),
    [anon_sym_else] = ACTIONS(1124),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_AT] = ACTIONS(1124),
    [anon_sym_open] = ACTIONS(1124),
    [anon_sym_module] = ACTIONS(1124),
    [anon_sym_static] = ACTIONS(1124),
    [anon_sym_with] = ACTIONS(1124),
    [anon_sym_package] = ACTIONS(1124),
    [anon_sym_import] = ACTIONS(1124),
    [anon_sym_enum] = ACTIONS(1124),
    [anon_sym_public] = ACTIONS(1124),
    [anon_sym_protected] = ACTIONS(1124),
    [anon_sym_private] = ACTIONS(1124),
    [anon_sym_abstract] = ACTIONS(1124),
    [anon_sym_strictfp] = ACTIONS(1124),
    [anon_sym_native] = ACTIONS(1124),
    [anon_sym_transient] = ACTIONS(1124),
    [anon_sym_volatile] = ACTIONS(1124),
    [anon_sym_sealed] = ACTIONS(1124),
    [anon_sym_non_DASHsealed] = ACTIONS(1122),
    [anon_sym_record] = ACTIONS(1124),
    [anon_sym_ATinterface] = ACTIONS(1122),
    [anon_sym_interface] = ACTIONS(1124),
    [anon_sym_byte] = ACTIONS(1124),
    [anon_sym_short] = ACTIONS(1124),
    [anon_sym_int] = ACTIONS(1124),
    [anon_sym_long] = ACTIONS(1124),
    [anon_sym_char] = ACTIONS(1124),
    [anon_sym_float] = ACTIONS(1124),
    [anon_sym_double] = ACTIONS(1124),
    [sym_boolean_type] = ACTIONS(1124),
    [sym_void_type] = ACTIONS(1124),
    [sym_this] = ACTIONS(1124),
    [sym_super] = ACTIONS(1124),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1126),
    [sym_identifier] = ACTIONS(1128),
    [sym_decimal_integer_literal] = ACTIONS(1128),
    [sym_hex_integer_literal] = ACTIONS(1128),
    [sym_octal_integer_literal] = ACTIONS(1128),
    [sym_binary_integer_literal] = ACTIONS(1126),
    [sym_decimal_floating_point_literal] = ACTIONS(1126),
    [sym_hex_floating_point_literal] = ACTIONS(1128),
    [sym_true] = ACTIONS(1128),
    [sym_false] = ACTIONS(1128),
    [sym_character_literal] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1128),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [sym_null_literal] = ACTIONS(1128),
    [anon_sym_LPAREN] = ACTIONS(1126),
    [anon_sym_LT] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1128),
    [anon_sym_DASH] = ACTIONS(1128),
    [anon_sym_final] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_new] = ACTIONS(1128),
    [anon_sym_class] = ACTIONS(1128),
    [anon_sym_switch] = ACTIONS(1128),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_case] = ACTIONS(1128),
    [anon_sym_default] = ACTIONS(1128),
    [anon_sym_SEMI] = ACTIONS(1126),
    [anon_sym_assert] = ACTIONS(1128),
    [anon_sym_do] = ACTIONS(1128),
    [anon_sym_while] = ACTIONS(1128),
    [anon_sym_break] = ACTIONS(1128),
    [anon_sym_continue] = ACTIONS(1128),
    [anon_sym_return] = ACTIONS(1128),
    [anon_sym_yield] = ACTIONS(1128),
    [anon_sym_synchronized] = ACTIONS(1128),
    [anon_sym_throw] = ACTIONS(1128),
    [anon_sym_try] = ACTIONS(1128),
    [anon_sym_if] = ACTIONS(1128),
    [anon_sym_else] = ACTIONS(1128),
    [anon_sym_for] = ACTIONS(1128),
    [anon_sym_AT] = ACTIONS(1128),
    [anon_sym_open] = ACTIONS(1128),
    [anon_sym_module] = ACTIONS(1128),
    [anon_sym_static] = ACTIONS(1128),
    [anon_sym_with] = ACTIONS(1128),
    [anon_sym_package] = ACTIONS(1128),
    [anon_sym_import] = ACTIONS(1128),
    [anon_sym_enum] = ACTIONS(1128),
    [anon_sym_public] = ACTIONS(1128),
    [anon_sym_protected] = ACTIONS(1128),
    [anon_sym_private] = ACTIONS(1128),
    [anon_sym_abstract] = ACTIONS(1128),
    [anon_sym_strictfp] = ACTIONS(1128),
    [anon_sym_native] = ACTIONS(1128),
    [anon_sym_transient] = ACTIONS(1128),
    [anon_sym_volatile] = ACTIONS(1128),
    [anon_sym_sealed] = ACTIONS(1128),
    [anon_sym_non_DASHsealed] = ACTIONS(1126),
    [anon_sym_record] = ACTIONS(1128),
    [anon_sym_ATinterface] = ACTIONS(1126),
    [anon_sym_interface] = ACTIONS(1128),
    [anon_sym_byte] = ACTIONS(1128),
    [anon_sym_short] = ACTIONS(1128),
    [anon_sym_int] = ACTIONS(1128),
    [anon_sym_long] = ACTIONS(1128),
    [anon_sym_char] = ACTIONS(1128),
    [anon_sym_float] = ACTIONS(1128),
    [anon_sym_double] = ACTIONS(1128),
    [sym_boolean_type] = ACTIONS(1128),
    [sym_void_type] = ACTIONS(1128),
    [sym_this] = ACTIONS(1128),
    [sym_super] = ACTIONS(1128),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1130),
    [sym_identifier] = ACTIONS(1132),
    [sym_decimal_integer_literal] = ACTIONS(1132),
    [sym_hex_integer_literal] = ACTIONS(1132),
    [sym_octal_integer_literal] = ACTIONS(1132),
    [sym_binary_integer_literal] = ACTIONS(1130),
    [sym_decimal_floating_point_literal] = ACTIONS(1130),
    [sym_hex_floating_point_literal] = ACTIONS(1132),
    [sym_true] = ACTIONS(1132),
    [sym_false] = ACTIONS(1132),
    [sym_character_literal] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1132),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [sym_null_literal] = ACTIONS(1132),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1132),
    [anon_sym_DASH] = ACTIONS(1132),
    [anon_sym_final] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_new] = ACTIONS(1132),
    [anon_sym_class] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1132),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_case] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1132),
    [anon_sym_SEMI] = ACTIONS(1130),
    [anon_sym_assert] = ACTIONS(1132),
    [anon_sym_do] = ACTIONS(1132),
    [anon_sym_while] = ACTIONS(1132),
    [anon_sym_break] = ACTIONS(1132),
    [anon_sym_continue] = ACTIONS(1132),
    [anon_sym_return] = ACTIONS(1132),
    [anon_sym_yield] = ACTIONS(1132),
    [anon_sym_synchronized] = ACTIONS(1132),
    [anon_sym_throw] = ACTIONS(1132),
    [anon_sym_try] = ACTIONS(1132),
    [anon_sym_if] = ACTIONS(1132),
    [anon_sym_else] = ACTIONS(1132),
    [anon_sym_for] = ACTIONS(1132),
    [anon_sym_AT] = ACTIONS(1132),
    [anon_sym_open] = ACTIONS(1132),
    [anon_sym_module] = ACTIONS(1132),
    [anon_sym_static] = ACTIONS(1132),
    [anon_sym_with] = ACTIONS(1132),
    [anon_sym_package] = ACTIONS(1132),
    [anon_sym_import] = ACTIONS(1132),
    [anon_sym_enum] = ACTIONS(1132),
    [anon_sym_public] = ACTIONS(1132),
    [anon_sym_protected] = ACTIONS(1132),
    [anon_sym_private] = ACTIONS(1132),
    [anon_sym_abstract] = ACTIONS(1132),
    [anon_sym_strictfp] = ACTIONS(1132),
    [anon_sym_native] = ACTIONS(1132),
    [anon_sym_transient] = ACTIONS(1132),
    [anon_sym_volatile] = ACTIONS(1132),
    [anon_sym_sealed] = ACTIONS(1132),
    [anon_sym_non_DASHsealed] = ACTIONS(1130),
    [anon_sym_record] = ACTIONS(1132),
    [anon_sym_ATinterface] = ACTIONS(1130),
    [anon_sym_interface] = ACTIONS(1132),
    [anon_sym_byte] = ACTIONS(1132),
    [anon_sym_short] = ACTIONS(1132),
    [anon_sym_int] = ACTIONS(1132),
    [anon_sym_long] = ACTIONS(1132),
    [anon_sym_char] = ACTIONS(1132),
    [anon_sym_float] = ACTIONS(1132),
    [anon_sym_double] = ACTIONS(1132),
    [sym_boolean_type] = ACTIONS(1132),
    [sym_void_type] = ACTIONS(1132),
    [sym_this] = ACTIONS(1132),
    [sym_super] = ACTIONS(1132),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1134),
    [sym_identifier] = ACTIONS(1136),
    [sym_decimal_integer_literal] = ACTIONS(1136),
    [sym_hex_integer_literal] = ACTIONS(1136),
    [sym_octal_integer_literal] = ACTIONS(1136),
    [sym_binary_integer_literal] = ACTIONS(1134),
    [sym_decimal_floating_point_literal] = ACTIONS(1134),
    [sym_hex_floating_point_literal] = ACTIONS(1136),
    [sym_true] = ACTIONS(1136),
    [sym_false] = ACTIONS(1136),
    [sym_character_literal] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1136),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [sym_null_literal] = ACTIONS(1136),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1136),
    [anon_sym_DASH] = ACTIONS(1136),
    [anon_sym_final] = ACTIONS(1136),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_new] = ACTIONS(1136),
    [anon_sym_class] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1136),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_case] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1136),
    [anon_sym_SEMI] = ACTIONS(1134),
    [anon_sym_assert] = ACTIONS(1136),
    [anon_sym_do] = ACTIONS(1136),
    [anon_sym_while] = ACTIONS(1136),
    [anon_sym_break] = ACTIONS(1136),
    [anon_sym_continue] = ACTIONS(1136),
    [anon_sym_return] = ACTIONS(1136),
    [anon_sym_yield] = ACTIONS(1136),
    [anon_sym_synchronized] = ACTIONS(1136),
    [anon_sym_throw] = ACTIONS(1136),
    [anon_sym_try] = ACTIONS(1136),
    [anon_sym_if] = ACTIONS(1136),
    [anon_sym_else] = ACTIONS(1136),
    [anon_sym_for] = ACTIONS(1136),
    [anon_sym_AT] = ACTIONS(1136),
    [anon_sym_open] = ACTIONS(1136),
    [anon_sym_module] = ACTIONS(1136),
    [anon_sym_static] = ACTIONS(1136),
    [anon_sym_with] = ACTIONS(1136),
    [anon_sym_package] = ACTIONS(1136),
    [anon_sym_import] = ACTIONS(1136),
    [anon_sym_enum] = ACTIONS(1136),
    [anon_sym_public] = ACTIONS(1136),
    [anon_sym_protected] = ACTIONS(1136),
    [anon_sym_private] = ACTIONS(1136),
    [anon_sym_abstract] = ACTIONS(1136),
    [anon_sym_strictfp] = ACTIONS(1136),
    [anon_sym_native] = ACTIONS(1136),
    [anon_sym_transient] = ACTIONS(1136),
    [anon_sym_volatile] = ACTIONS(1136),
    [anon_sym_sealed] = ACTIONS(1136),
    [anon_sym_non_DASHsealed] = ACTIONS(1134),
    [anon_sym_record] = ACTIONS(1136),
    [anon_sym_ATinterface] = ACTIONS(1134),
    [anon_sym_interface] = ACTIONS(1136),
    [anon_sym_byte] = ACTIONS(1136),
    [anon_sym_short] = ACTIONS(1136),
    [anon_sym_int] = ACTIONS(1136),
    [anon_sym_long] = ACTIONS(1136),
    [anon_sym_char] = ACTIONS(1136),
    [anon_sym_float] = ACTIONS(1136),
    [anon_sym_double] = ACTIONS(1136),
    [sym_boolean_type] = ACTIONS(1136),
    [sym_void_type] = ACTIONS(1136),
    [sym_this] = ACTIONS(1136),
    [sym_super] = ACTIONS(1136),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1138),
    [sym_identifier] = ACTIONS(1140),
    [sym_decimal_integer_literal] = ACTIONS(1140),
    [sym_hex_integer_literal] = ACTIONS(1140),
    [sym_octal_integer_literal] = ACTIONS(1140),
    [sym_binary_integer_literal] = ACTIONS(1138),
    [sym_decimal_floating_point_literal] = ACTIONS(1138),
    [sym_hex_floating_point_literal] = ACTIONS(1140),
    [sym_true] = ACTIONS(1140),
    [sym_false] = ACTIONS(1140),
    [sym_character_literal] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1140),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [sym_null_literal] = ACTIONS(1140),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1140),
    [anon_sym_DASH] = ACTIONS(1140),
    [anon_sym_final] = ACTIONS(1140),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_new] = ACTIONS(1140),
    [anon_sym_class] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_SEMI] = ACTIONS(1138),
    [anon_sym_assert] = ACTIONS(1140),
    [anon_sym_do] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(1140),
    [anon_sym_break] = ACTIONS(1140),
    [anon_sym_continue] = ACTIONS(1140),
    [anon_sym_return] = ACTIONS(1140),
    [anon_sym_yield] = ACTIONS(1140),
    [anon_sym_synchronized] = ACTIONS(1140),
    [anon_sym_throw] = ACTIONS(1140),
    [anon_sym_try] = ACTIONS(1140),
    [anon_sym_if] = ACTIONS(1140),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_for] = ACTIONS(1140),
    [anon_sym_AT] = ACTIONS(1140),
    [anon_sym_open] = ACTIONS(1140),
    [anon_sym_module] = ACTIONS(1140),
    [anon_sym_static] = ACTIONS(1140),
    [anon_sym_with] = ACTIONS(1140),
    [anon_sym_package] = ACTIONS(1140),
    [anon_sym_import] = ACTIONS(1140),
    [anon_sym_enum] = ACTIONS(1140),
    [anon_sym_public] = ACTIONS(1140),
    [anon_sym_protected] = ACTIONS(1140),
    [anon_sym_private] = ACTIONS(1140),
    [anon_sym_abstract] = ACTIONS(1140),
    [anon_sym_strictfp] = ACTIONS(1140),
    [anon_sym_native] = ACTIONS(1140),
    [anon_sym_transient] = ACTIONS(1140),
    [anon_sym_volatile] = ACTIONS(1140),
    [anon_sym_sealed] = ACTIONS(1140),
    [anon_sym_non_DASHsealed] = ACTIONS(1138),
    [anon_sym_record] = ACTIONS(1140),
    [anon_sym_ATinterface] = ACTIONS(1138),
    [anon_sym_interface] = ACTIONS(1140),
    [anon_sym_byte] = ACTIONS(1140),
    [anon_sym_short] = ACTIONS(1140),
    [anon_sym_int] = ACTIONS(1140),
    [anon_sym_long] = ACTIONS(1140),
    [anon_sym_char] = ACTIONS(1140),
    [anon_sym_float] = ACTIONS(1140),
    [anon_sym_double] = ACTIONS(1140),
    [sym_boolean_type] = ACTIONS(1140),
    [sym_void_type] = ACTIONS(1140),
    [sym_this] = ACTIONS(1140),
    [sym_super] = ACTIONS(1140),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1142),
    [sym_identifier] = ACTIONS(1144),
    [sym_decimal_integer_literal] = ACTIONS(1144),
    [sym_hex_integer_literal] = ACTIONS(1144),
    [sym_octal_integer_literal] = ACTIONS(1144),
    [sym_binary_integer_literal] = ACTIONS(1142),
    [sym_decimal_floating_point_literal] = ACTIONS(1142),
    [sym_hex_floating_point_literal] = ACTIONS(1144),
    [sym_true] = ACTIONS(1144),
    [sym_false] = ACTIONS(1144),
    [sym_character_literal] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [sym_null_literal] = ACTIONS(1144),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_LT] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1144),
    [anon_sym_DASH] = ACTIONS(1144),
    [anon_sym_final] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_new] = ACTIONS(1144),
    [anon_sym_class] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_SEMI] = ACTIONS(1142),
    [anon_sym_assert] = ACTIONS(1144),
    [anon_sym_do] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(1144),
    [anon_sym_break] = ACTIONS(1144),
    [anon_sym_continue] = ACTIONS(1144),
    [anon_sym_return] = ACTIONS(1144),
    [anon_sym_yield] = ACTIONS(1144),
    [anon_sym_synchronized] = ACTIONS(1144),
    [anon_sym_throw] = ACTIONS(1144),
    [anon_sym_try] = ACTIONS(1144),
    [anon_sym_if] = ACTIONS(1144),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_for] = ACTIONS(1144),
    [anon_sym_AT] = ACTIONS(1144),
    [anon_sym_open] = ACTIONS(1144),
    [anon_sym_module] = ACTIONS(1144),
    [anon_sym_static] = ACTIONS(1144),
    [anon_sym_with] = ACTIONS(1144),
    [anon_sym_package] = ACTIONS(1144),
    [anon_sym_import] = ACTIONS(1144),
    [anon_sym_enum] = ACTIONS(1144),
    [anon_sym_public] = ACTIONS(1144),
    [anon_sym_protected] = ACTIONS(1144),
    [anon_sym_private] = ACTIONS(1144),
    [anon_sym_abstract] = ACTIONS(1144),
    [anon_sym_strictfp] = ACTIONS(1144),
    [anon_sym_native] = ACTIONS(1144),
    [anon_sym_transient] = ACTIONS(1144),
    [anon_sym_volatile] = ACTIONS(1144),
    [anon_sym_sealed] = ACTIONS(1144),
    [anon_sym_non_DASHsealed] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(1144),
    [anon_sym_ATinterface] = ACTIONS(1142),
    [anon_sym_interface] = ACTIONS(1144),
    [anon_sym_byte] = ACTIONS(1144),
    [anon_sym_short] = ACTIONS(1144),
    [anon_sym_int] = ACTIONS(1144),
    [anon_sym_long] = ACTIONS(1144),
    [anon_sym_char] = ACTIONS(1144),
    [anon_sym_float] = ACTIONS(1144),
    [anon_sym_double] = ACTIONS(1144),
    [sym_boolean_type] = ACTIONS(1144),
    [sym_void_type] = ACTIONS(1144),
    [sym_this] = ACTIONS(1144),
    [sym_super] = ACTIONS(1144),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1146),
    [sym_identifier] = ACTIONS(1148),
    [sym_decimal_integer_literal] = ACTIONS(1148),
    [sym_hex_integer_literal] = ACTIONS(1148),
    [sym_octal_integer_literal] = ACTIONS(1148),
    [sym_binary_integer_literal] = ACTIONS(1146),
    [sym_decimal_floating_point_literal] = ACTIONS(1146),
    [sym_hex_floating_point_literal] = ACTIONS(1148),
    [sym_true] = ACTIONS(1148),
    [sym_false] = ACTIONS(1148),
    [sym_character_literal] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1148),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [sym_null_literal] = ACTIONS(1148),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1148),
    [anon_sym_DASH] = ACTIONS(1148),
    [anon_sym_final] = ACTIONS(1148),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_new] = ACTIONS(1148),
    [anon_sym_class] = ACTIONS(1148),
    [anon_sym_switch] = ACTIONS(1148),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1148),
    [anon_sym_default] = ACTIONS(1148),
    [anon_sym_SEMI] = ACTIONS(1146),
    [anon_sym_assert] = ACTIONS(1148),
    [anon_sym_do] = ACTIONS(1148),
    [anon_sym_while] = ACTIONS(1148),
    [anon_sym_break] = ACTIONS(1148),
    [anon_sym_continue] = ACTIONS(1148),
    [anon_sym_return] = ACTIONS(1148),
    [anon_sym_yield] = ACTIONS(1148),
    [anon_sym_synchronized] = ACTIONS(1148),
    [anon_sym_throw] = ACTIONS(1148),
    [anon_sym_try] = ACTIONS(1148),
    [anon_sym_if] = ACTIONS(1148),
    [anon_sym_else] = ACTIONS(1148),
    [anon_sym_for] = ACTIONS(1148),
    [anon_sym_AT] = ACTIONS(1148),
    [anon_sym_open] = ACTIONS(1148),
    [anon_sym_module] = ACTIONS(1148),
    [anon_sym_static] = ACTIONS(1148),
    [anon_sym_with] = ACTIONS(1148),
    [anon_sym_package] = ACTIONS(1148),
    [anon_sym_import] = ACTIONS(1148),
    [anon_sym_enum] = ACTIONS(1148),
    [anon_sym_public] = ACTIONS(1148),
    [anon_sym_protected] = ACTIONS(1148),
    [anon_sym_private] = ACTIONS(1148),
    [anon_sym_abstract] = ACTIONS(1148),
    [anon_sym_strictfp] = ACTIONS(1148),
    [anon_sym_native] = ACTIONS(1148),
    [anon_sym_transient] = ACTIONS(1148),
    [anon_sym_volatile] = ACTIONS(1148),
    [anon_sym_sealed] = ACTIONS(1148),
    [anon_sym_non_DASHsealed] = ACTIONS(1146),
    [anon_sym_record] = ACTIONS(1148),
    [anon_sym_ATinterface] = ACTIONS(1146),
    [anon_sym_interface] = ACTIONS(1148),
    [anon_sym_byte] = ACTIONS(1148),
    [anon_sym_short] = ACTIONS(1148),
    [anon_sym_int] = ACTIONS(1148),
    [anon_sym_long] = ACTIONS(1148),
    [anon_sym_char] = ACTIONS(1148),
    [anon_sym_float] = ACTIONS(1148),
    [anon_sym_double] = ACTIONS(1148),
    [sym_boolean_type] = ACTIONS(1148),
    [sym_void_type] = ACTIONS(1148),
    [sym_this] = ACTIONS(1148),
    [sym_super] = ACTIONS(1148),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(491),
    [sym_identifier] = ACTIONS(489),
    [sym_decimal_integer_literal] = ACTIONS(489),
    [sym_hex_integer_literal] = ACTIONS(489),
    [sym_octal_integer_literal] = ACTIONS(489),
    [sym_binary_integer_literal] = ACTIONS(491),
    [sym_decimal_floating_point_literal] = ACTIONS(491),
    [sym_hex_floating_point_literal] = ACTIONS(489),
    [sym_true] = ACTIONS(489),
    [sym_false] = ACTIONS(489),
    [sym_character_literal] = ACTIONS(491),
    [anon_sym_DQUOTE] = ACTIONS(489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(491),
    [anon_sym_RBRACE] = ACTIONS(491),
    [sym_null_literal] = ACTIONS(489),
    [anon_sym_LPAREN] = ACTIONS(491),
    [anon_sym_LT] = ACTIONS(491),
    [anon_sym_PLUS] = ACTIONS(489),
    [anon_sym_DASH] = ACTIONS(489),
    [anon_sym_final] = ACTIONS(489),
    [anon_sym_BANG] = ACTIONS(491),
    [anon_sym_TILDE] = ACTIONS(491),
    [anon_sym_PLUS_PLUS] = ACTIONS(491),
    [anon_sym_DASH_DASH] = ACTIONS(491),
    [anon_sym_new] = ACTIONS(489),
    [anon_sym_class] = ACTIONS(489),
    [anon_sym_switch] = ACTIONS(489),
    [anon_sym_LBRACE] = ACTIONS(491),
    [anon_sym_case] = ACTIONS(489),
    [anon_sym_default] = ACTIONS(489),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_assert] = ACTIONS(489),
    [anon_sym_do] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(489),
    [anon_sym_break] = ACTIONS(489),
    [anon_sym_continue] = ACTIONS(489),
    [anon_sym_return] = ACTIONS(489),
    [anon_sym_yield] = ACTIONS(489),
    [anon_sym_synchronized] = ACTIONS(489),
    [anon_sym_throw] = ACTIONS(489),
    [anon_sym_try] = ACTIONS(489),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_else] = ACTIONS(489),
    [anon_sym_for] = ACTIONS(489),
    [anon_sym_AT] = ACTIONS(489),
    [anon_sym_open] = ACTIONS(489),
    [anon_sym_module] = ACTIONS(489),
    [anon_sym_static] = ACTIONS(489),
    [anon_sym_with] = ACTIONS(489),
    [anon_sym_package] = ACTIONS(489),
    [anon_sym_import] = ACTIONS(489),
    [anon_sym_enum] = ACTIONS(489),
    [anon_sym_public] = ACTIONS(489),
    [anon_sym_protected] = ACTIONS(489),
    [anon_sym_private] = ACTIONS(489),
    [anon_sym_abstract] = ACTIONS(489),
    [anon_sym_strictfp] = ACTIONS(489),
    [anon_sym_native] = ACTIONS(489),
    [anon_sym_transient] = ACTIONS(489),
    [anon_sym_volatile] = ACTIONS(489),
    [anon_sym_sealed] = ACTIONS(489),
    [anon_sym_non_DASHsealed] = ACTIONS(491),
    [anon_sym_record] = ACTIONS(489),
    [anon_sym_ATinterface] = ACTIONS(491),
    [anon_sym_interface] = ACTIONS(489),
    [anon_sym_byte] = ACTIONS(489),
    [anon_sym_short] = ACTIONS(489),
    [anon_sym_int] = ACTIONS(489),
    [anon_sym_long] = ACTIONS(489),
    [anon_sym_char] = ACTIONS(489),
    [anon_sym_float] = ACTIONS(489),
    [anon_sym_double] = ACTIONS(489),
    [sym_boolean_type] = ACTIONS(489),
    [sym_void_type] = ACTIONS(489),
    [sym_this] = ACTIONS(489),
    [sym_super] = ACTIONS(489),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(1150),
    [sym_identifier] = ACTIONS(1152),
    [sym_decimal_integer_literal] = ACTIONS(1152),
    [sym_hex_integer_literal] = ACTIONS(1152),
    [sym_octal_integer_literal] = ACTIONS(1152),
    [sym_binary_integer_literal] = ACTIONS(1150),
    [sym_decimal_floating_point_literal] = ACTIONS(1150),
    [sym_hex_floating_point_literal] = ACTIONS(1152),
    [sym_true] = ACTIONS(1152),
    [sym_false] = ACTIONS(1152),
    [sym_character_literal] = ACTIONS(1150),
    [anon_sym_DQUOTE] = ACTIONS(1152),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1150),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [sym_null_literal] = ACTIONS(1152),
    [anon_sym_LPAREN] = ACTIONS(1150),
    [anon_sym_LT] = ACTIONS(1150),
    [anon_sym_PLUS] = ACTIONS(1152),
    [anon_sym_DASH] = ACTIONS(1152),
    [anon_sym_final] = ACTIONS(1152),
    [anon_sym_BANG] = ACTIONS(1150),
    [anon_sym_TILDE] = ACTIONS(1150),
    [anon_sym_PLUS_PLUS] = ACTIONS(1150),
    [anon_sym_DASH_DASH] = ACTIONS(1150),
    [anon_sym_new] = ACTIONS(1152),
    [anon_sym_class] = ACTIONS(1152),
    [anon_sym_switch] = ACTIONS(1152),
    [anon_sym_LBRACE] = ACTIONS(1150),
    [anon_sym_case] = ACTIONS(1152),
    [anon_sym_default] = ACTIONS(1152),
    [anon_sym_SEMI] = ACTIONS(1150),
    [anon_sym_assert] = ACTIONS(1152),
    [anon_sym_do] = ACTIONS(1152),
    [anon_sym_while] = ACTIONS(1152),
    [anon_sym_break] = ACTIONS(1152),
    [anon_sym_continue] = ACTIONS(1152),
    [anon_sym_return] = ACTIONS(1152),
    [anon_sym_yield] = ACTIONS(1152),
    [anon_sym_synchronized] = ACTIONS(1152),
    [anon_sym_throw] = ACTIONS(1152),
    [anon_sym_try] = ACTIONS(1152),
    [anon_sym_if] = ACTIONS(1152),
    [anon_sym_else] = ACTIONS(1152),
    [anon_sym_for] = ACTIONS(1152),
    [anon_sym_AT] = ACTIONS(1152),
    [anon_sym_open] = ACTIONS(1152),
    [anon_sym_module] = ACTIONS(1152),
    [anon_sym_static] = ACTIONS(1152),
    [anon_sym_with] = ACTIONS(1152),
    [anon_sym_package] = ACTIONS(1152),
    [anon_sym_import] = ACTIONS(1152),
    [anon_sym_enum] = ACTIONS(1152),
    [anon_sym_public] = ACTIONS(1152),
    [anon_sym_protected] = ACTIONS(1152),
    [anon_sym_private] = ACTIONS(1152),
    [anon_sym_abstract] = ACTIONS(1152),
    [anon_sym_strictfp] = ACTIONS(1152),
    [anon_sym_native] = ACTIONS(1152),
    [anon_sym_transient] = ACTIONS(1152),
    [anon_sym_volatile] = ACTIONS(1152),
    [anon_sym_sealed] = ACTIONS(1152),
    [anon_sym_non_DASHsealed] = ACTIONS(1150),
    [anon_sym_record] = ACTIONS(1152),
    [anon_sym_ATinterface] = ACTIONS(1150),
    [anon_sym_interface] = ACTIONS(1152),
    [anon_sym_byte] = ACTIONS(1152),
    [anon_sym_short] = ACTIONS(1152),
    [anon_sym_int] = ACTIONS(1152),
    [anon_sym_long] = ACTIONS(1152),
    [anon_sym_char] = ACTIONS(1152),
    [anon_sym_float] = ACTIONS(1152),
    [anon_sym_double] = ACTIONS(1152),
    [sym_boolean_type] = ACTIONS(1152),
    [sym_void_type] = ACTIONS(1152),
    [sym_this] = ACTIONS(1152),
    [sym_super] = ACTIONS(1152),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1154),
    [sym_identifier] = ACTIONS(1156),
    [sym_decimal_integer_literal] = ACTIONS(1156),
    [sym_hex_integer_literal] = ACTIONS(1156),
    [sym_octal_integer_literal] = ACTIONS(1156),
    [sym_binary_integer_literal] = ACTIONS(1154),
    [sym_decimal_floating_point_literal] = ACTIONS(1154),
    [sym_hex_floating_point_literal] = ACTIONS(1156),
    [sym_true] = ACTIONS(1156),
    [sym_false] = ACTIONS(1156),
    [sym_character_literal] = ACTIONS(1154),
    [anon_sym_DQUOTE] = ACTIONS(1156),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1154),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [sym_null_literal] = ACTIONS(1156),
    [anon_sym_LPAREN] = ACTIONS(1154),
    [anon_sym_LT] = ACTIONS(1154),
    [anon_sym_PLUS] = ACTIONS(1156),
    [anon_sym_DASH] = ACTIONS(1156),
    [anon_sym_final] = ACTIONS(1156),
    [anon_sym_BANG] = ACTIONS(1154),
    [anon_sym_TILDE] = ACTIONS(1154),
    [anon_sym_PLUS_PLUS] = ACTIONS(1154),
    [anon_sym_DASH_DASH] = ACTIONS(1154),
    [anon_sym_new] = ACTIONS(1156),
    [anon_sym_class] = ACTIONS(1156),
    [anon_sym_switch] = ACTIONS(1156),
    [anon_sym_LBRACE] = ACTIONS(1154),
    [anon_sym_case] = ACTIONS(1156),
    [anon_sym_default] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1154),
    [anon_sym_assert] = ACTIONS(1156),
    [anon_sym_do] = ACTIONS(1156),
    [anon_sym_while] = ACTIONS(1156),
    [anon_sym_break] = ACTIONS(1156),
    [anon_sym_continue] = ACTIONS(1156),
    [anon_sym_return] = ACTIONS(1156),
    [anon_sym_yield] = ACTIONS(1156),
    [anon_sym_synchronized] = ACTIONS(1156),
    [anon_sym_throw] = ACTIONS(1156),
    [anon_sym_try] = ACTIONS(1156),
    [anon_sym_if] = ACTIONS(1156),
    [anon_sym_else] = ACTIONS(1156),
    [anon_sym_for] = ACTIONS(1156),
    [anon_sym_AT] = ACTIONS(1156),
    [anon_sym_open] = ACTIONS(1156),
    [anon_sym_module] = ACTIONS(1156),
    [anon_sym_static] = ACTIONS(1156),
    [anon_sym_with] = ACTIONS(1156),
    [anon_sym_package] = ACTIONS(1156),
    [anon_sym_import] = ACTIONS(1156),
    [anon_sym_enum] = ACTIONS(1156),
    [anon_sym_public] = ACTIONS(1156),
    [anon_sym_protected] = ACTIONS(1156),
    [anon_sym_private] = ACTIONS(1156),
    [anon_sym_abstract] = ACTIONS(1156),
    [anon_sym_strictfp] = ACTIONS(1156),
    [anon_sym_native] = ACTIONS(1156),
    [anon_sym_transient] = ACTIONS(1156),
    [anon_sym_volatile] = ACTIONS(1156),
    [anon_sym_sealed] = ACTIONS(1156),
    [anon_sym_non_DASHsealed] = ACTIONS(1154),
    [anon_sym_record] = ACTIONS(1156),
    [anon_sym_ATinterface] = ACTIONS(1154),
    [anon_sym_interface] = ACTIONS(1156),
    [anon_sym_byte] = ACTIONS(1156),
    [anon_sym_short] = ACTIONS(1156),
    [anon_sym_int] = ACTIONS(1156),
    [anon_sym_long] = ACTIONS(1156),
    [anon_sym_char] = ACTIONS(1156),
    [anon_sym_float] = ACTIONS(1156),
    [anon_sym_double] = ACTIONS(1156),
    [sym_boolean_type] = ACTIONS(1156),
    [sym_void_type] = ACTIONS(1156),
    [sym_this] = ACTIONS(1156),
    [sym_super] = ACTIONS(1156),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(1158),
    [sym_identifier] = ACTIONS(1160),
    [sym_decimal_integer_literal] = ACTIONS(1160),
    [sym_hex_integer_literal] = ACTIONS(1160),
    [sym_octal_integer_literal] = ACTIONS(1160),
    [sym_binary_integer_literal] = ACTIONS(1158),
    [sym_decimal_floating_point_literal] = ACTIONS(1158),
    [sym_hex_floating_point_literal] = ACTIONS(1160),
    [sym_true] = ACTIONS(1160),
    [sym_false] = ACTIONS(1160),
    [sym_character_literal] = ACTIONS(1158),
    [anon_sym_DQUOTE] = ACTIONS(1160),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1158),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [sym_null_literal] = ACTIONS(1160),
    [anon_sym_LPAREN] = ACTIONS(1158),
    [anon_sym_LT] = ACTIONS(1158),
    [anon_sym_PLUS] = ACTIONS(1160),
    [anon_sym_DASH] = ACTIONS(1160),
    [anon_sym_final] = ACTIONS(1160),
    [anon_sym_BANG] = ACTIONS(1158),
    [anon_sym_TILDE] = ACTIONS(1158),
    [anon_sym_PLUS_PLUS] = ACTIONS(1158),
    [anon_sym_DASH_DASH] = ACTIONS(1158),
    [anon_sym_new] = ACTIONS(1160),
    [anon_sym_class] = ACTIONS(1160),
    [anon_sym_switch] = ACTIONS(1160),
    [anon_sym_LBRACE] = ACTIONS(1158),
    [anon_sym_case] = ACTIONS(1160),
    [anon_sym_default] = ACTIONS(1160),
    [anon_sym_SEMI] = ACTIONS(1158),
    [anon_sym_assert] = ACTIONS(1160),
    [anon_sym_do] = ACTIONS(1160),
    [anon_sym_while] = ACTIONS(1160),
    [anon_sym_break] = ACTIONS(1160),
    [anon_sym_continue] = ACTIONS(1160),
    [anon_sym_return] = ACTIONS(1160),
    [anon_sym_yield] = ACTIONS(1160),
    [anon_sym_synchronized] = ACTIONS(1160),
    [anon_sym_throw] = ACTIONS(1160),
    [anon_sym_try] = ACTIONS(1160),
    [anon_sym_if] = ACTIONS(1160),
    [anon_sym_else] = ACTIONS(1160),
    [anon_sym_for] = ACTIONS(1160),
    [anon_sym_AT] = ACTIONS(1160),
    [anon_sym_open] = ACTIONS(1160),
    [anon_sym_module] = ACTIONS(1160),
    [anon_sym_static] = ACTIONS(1160),
    [anon_sym_with] = ACTIONS(1160),
    [anon_sym_package] = ACTIONS(1160),
    [anon_sym_import] = ACTIONS(1160),
    [anon_sym_enum] = ACTIONS(1160),
    [anon_sym_public] = ACTIONS(1160),
    [anon_sym_protected] = ACTIONS(1160),
    [anon_sym_private] = ACTIONS(1160),
    [anon_sym_abstract] = ACTIONS(1160),
    [anon_sym_strictfp] = ACTIONS(1160),
    [anon_sym_native] = ACTIONS(1160),
    [anon_sym_transient] = ACTIONS(1160),
    [anon_sym_volatile] = ACTIONS(1160),
    [anon_sym_sealed] = ACTIONS(1160),
    [anon_sym_non_DASHsealed] = ACTIONS(1158),
    [anon_sym_record] = ACTIONS(1160),
    [anon_sym_ATinterface] = ACTIONS(1158),
    [anon_sym_interface] = ACTIONS(1160),
    [anon_sym_byte] = ACTIONS(1160),
    [anon_sym_short] = ACTIONS(1160),
    [anon_sym_int] = ACTIONS(1160),
    [anon_sym_long] = ACTIONS(1160),
    [anon_sym_char] = ACTIONS(1160),
    [anon_sym_float] = ACTIONS(1160),
    [anon_sym_double] = ACTIONS(1160),
    [sym_boolean_type] = ACTIONS(1160),
    [sym_void_type] = ACTIONS(1160),
    [sym_this] = ACTIONS(1160),
    [sym_super] = ACTIONS(1160),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(1162),
    [sym_identifier] = ACTIONS(1164),
    [sym_decimal_integer_literal] = ACTIONS(1164),
    [sym_hex_integer_literal] = ACTIONS(1164),
    [sym_octal_integer_literal] = ACTIONS(1164),
    [sym_binary_integer_literal] = ACTIONS(1162),
    [sym_decimal_floating_point_literal] = ACTIONS(1162),
    [sym_hex_floating_point_literal] = ACTIONS(1164),
    [sym_true] = ACTIONS(1164),
    [sym_false] = ACTIONS(1164),
    [sym_character_literal] = ACTIONS(1162),
    [anon_sym_DQUOTE] = ACTIONS(1164),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1162),
    [anon_sym_RBRACE] = ACTIONS(1162),
    [sym_null_literal] = ACTIONS(1164),
    [anon_sym_LPAREN] = ACTIONS(1162),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_PLUS] = ACTIONS(1164),
    [anon_sym_DASH] = ACTIONS(1164),
    [anon_sym_final] = ACTIONS(1164),
    [anon_sym_BANG] = ACTIONS(1162),
    [anon_sym_TILDE] = ACTIONS(1162),
    [anon_sym_PLUS_PLUS] = ACTIONS(1162),
    [anon_sym_DASH_DASH] = ACTIONS(1162),
    [anon_sym_new] = ACTIONS(1164),
    [anon_sym_class] = ACTIONS(1164),
    [anon_sym_switch] = ACTIONS(1164),
    [anon_sym_LBRACE] = ACTIONS(1162),
    [anon_sym_case] = ACTIONS(1164),
    [anon_sym_default] = ACTIONS(1164),
    [anon_sym_SEMI] = ACTIONS(1162),
    [anon_sym_assert] = ACTIONS(1164),
    [anon_sym_do] = ACTIONS(1164),
    [anon_sym_while] = ACTIONS(1164),
    [anon_sym_break] = ACTIONS(1164),
    [anon_sym_continue] = ACTIONS(1164),
    [anon_sym_return] = ACTIONS(1164),
    [anon_sym_yield] = ACTIONS(1164),
    [anon_sym_synchronized] = ACTIONS(1164),
    [anon_sym_throw] = ACTIONS(1164),
    [anon_sym_try] = ACTIONS(1164),
    [anon_sym_if] = ACTIONS(1164),
    [anon_sym_else] = ACTIONS(1164),
    [anon_sym_for] = ACTIONS(1164),
    [anon_sym_AT] = ACTIONS(1164),
    [anon_sym_open] = ACTIONS(1164),
    [anon_sym_module] = ACTIONS(1164),
    [anon_sym_static] = ACTIONS(1164),
    [anon_sym_with] = ACTIONS(1164),
    [anon_sym_package] = ACTIONS(1164),
    [anon_sym_import] = ACTIONS(1164),
    [anon_sym_enum] = ACTIONS(1164),
    [anon_sym_public] = ACTIONS(1164),
    [anon_sym_protected] = ACTIONS(1164),
    [anon_sym_private] = ACTIONS(1164),
    [anon_sym_abstract] = ACTIONS(1164),
    [anon_sym_strictfp] = ACTIONS(1164),
    [anon_sym_native] = ACTIONS(1164),
    [anon_sym_transient] = ACTIONS(1164),
    [anon_sym_volatile] = ACTIONS(1164),
    [anon_sym_sealed] = ACTIONS(1164),
    [anon_sym_non_DASHsealed] = ACTIONS(1162),
    [anon_sym_record] = ACTIONS(1164),
    [anon_sym_ATinterface] = ACTIONS(1162),
    [anon_sym_interface] = ACTIONS(1164),
    [anon_sym_byte] = ACTIONS(1164),
    [anon_sym_short] = ACTIONS(1164),
    [anon_sym_int] = ACTIONS(1164),
    [anon_sym_long] = ACTIONS(1164),
    [anon_sym_char] = ACTIONS(1164),
    [anon_sym_float] = ACTIONS(1164),
    [anon_sym_double] = ACTIONS(1164),
    [sym_boolean_type] = ACTIONS(1164),
    [sym_void_type] = ACTIONS(1164),
    [sym_this] = ACTIONS(1164),
    [sym_super] = ACTIONS(1164),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(1166),
    [sym_identifier] = ACTIONS(1168),
    [sym_decimal_integer_literal] = ACTIONS(1168),
    [sym_hex_integer_literal] = ACTIONS(1168),
    [sym_octal_integer_literal] = ACTIONS(1168),
    [sym_binary_integer_literal] = ACTIONS(1166),
    [sym_decimal_floating_point_literal] = ACTIONS(1166),
    [sym_hex_floating_point_literal] = ACTIONS(1168),
    [sym_true] = ACTIONS(1168),
    [sym_false] = ACTIONS(1168),
    [sym_character_literal] = ACTIONS(1166),
    [anon_sym_DQUOTE] = ACTIONS(1168),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1166),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [sym_null_literal] = ACTIONS(1168),
    [anon_sym_LPAREN] = ACTIONS(1166),
    [anon_sym_LT] = ACTIONS(1166),
    [anon_sym_PLUS] = ACTIONS(1168),
    [anon_sym_DASH] = ACTIONS(1168),
    [anon_sym_final] = ACTIONS(1168),
    [anon_sym_BANG] = ACTIONS(1166),
    [anon_sym_TILDE] = ACTIONS(1166),
    [anon_sym_PLUS_PLUS] = ACTIONS(1166),
    [anon_sym_DASH_DASH] = ACTIONS(1166),
    [anon_sym_new] = ACTIONS(1168),
    [anon_sym_class] = ACTIONS(1168),
    [anon_sym_switch] = ACTIONS(1168),
    [anon_sym_LBRACE] = ACTIONS(1166),
    [anon_sym_case] = ACTIONS(1168),
    [anon_sym_default] = ACTIONS(1168),
    [anon_sym_SEMI] = ACTIONS(1166),
    [anon_sym_assert] = ACTIONS(1168),
    [anon_sym_do] = ACTIONS(1168),
    [anon_sym_while] = ACTIONS(1168),
    [anon_sym_break] = ACTIONS(1168),
    [anon_sym_continue] = ACTIONS(1168),
    [anon_sym_return] = ACTIONS(1168),
    [anon_sym_yield] = ACTIONS(1168),
    [anon_sym_synchronized] = ACTIONS(1168),
    [anon_sym_throw] = ACTIONS(1168),
    [anon_sym_try] = ACTIONS(1168),
    [anon_sym_if] = ACTIONS(1168),
    [anon_sym_else] = ACTIONS(1168),
    [anon_sym_for] = ACTIONS(1168),
    [anon_sym_AT] = ACTIONS(1168),
    [anon_sym_open] = ACTIONS(1168),
    [anon_sym_module] = ACTIONS(1168),
    [anon_sym_static] = ACTIONS(1168),
    [anon_sym_with] = ACTIONS(1168),
    [anon_sym_package] = ACTIONS(1168),
    [anon_sym_import] = ACTIONS(1168),
    [anon_sym_enum] = ACTIONS(1168),
    [anon_sym_public] = ACTIONS(1168),
    [anon_sym_protected] = ACTIONS(1168),
    [anon_sym_private] = ACTIONS(1168),
    [anon_sym_abstract] = ACTIONS(1168),
    [anon_sym_strictfp] = ACTIONS(1168),
    [anon_sym_native] = ACTIONS(1168),
    [anon_sym_transient] = ACTIONS(1168),
    [anon_sym_volatile] = ACTIONS(1168),
    [anon_sym_sealed] = ACTIONS(1168),
    [anon_sym_non_DASHsealed] = ACTIONS(1166),
    [anon_sym_record] = ACTIONS(1168),
    [anon_sym_ATinterface] = ACTIONS(1166),
    [anon_sym_interface] = ACTIONS(1168),
    [anon_sym_byte] = ACTIONS(1168),
    [anon_sym_short] = ACTIONS(1168),
    [anon_sym_int] = ACTIONS(1168),
    [anon_sym_long] = ACTIONS(1168),
    [anon_sym_char] = ACTIONS(1168),
    [anon_sym_float] = ACTIONS(1168),
    [anon_sym_double] = ACTIONS(1168),
    [sym_boolean_type] = ACTIONS(1168),
    [sym_void_type] = ACTIONS(1168),
    [sym_this] = ACTIONS(1168),
    [sym_super] = ACTIONS(1168),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(1170),
    [sym_identifier] = ACTIONS(1172),
    [sym_decimal_integer_literal] = ACTIONS(1172),
    [sym_hex_integer_literal] = ACTIONS(1172),
    [sym_octal_integer_literal] = ACTIONS(1172),
    [sym_binary_integer_literal] = ACTIONS(1170),
    [sym_decimal_floating_point_literal] = ACTIONS(1170),
    [sym_hex_floating_point_literal] = ACTIONS(1172),
    [sym_true] = ACTIONS(1172),
    [sym_false] = ACTIONS(1172),
    [sym_character_literal] = ACTIONS(1170),
    [anon_sym_DQUOTE] = ACTIONS(1172),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1170),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [sym_null_literal] = ACTIONS(1172),
    [anon_sym_LPAREN] = ACTIONS(1170),
    [anon_sym_LT] = ACTIONS(1170),
    [anon_sym_PLUS] = ACTIONS(1172),
    [anon_sym_DASH] = ACTIONS(1172),
    [anon_sym_final] = ACTIONS(1172),
    [anon_sym_BANG] = ACTIONS(1170),
    [anon_sym_TILDE] = ACTIONS(1170),
    [anon_sym_PLUS_PLUS] = ACTIONS(1170),
    [anon_sym_DASH_DASH] = ACTIONS(1170),
    [anon_sym_new] = ACTIONS(1172),
    [anon_sym_class] = ACTIONS(1172),
    [anon_sym_switch] = ACTIONS(1172),
    [anon_sym_LBRACE] = ACTIONS(1170),
    [anon_sym_case] = ACTIONS(1172),
    [anon_sym_default] = ACTIONS(1172),
    [anon_sym_SEMI] = ACTIONS(1170),
    [anon_sym_assert] = ACTIONS(1172),
    [anon_sym_do] = ACTIONS(1172),
    [anon_sym_while] = ACTIONS(1172),
    [anon_sym_break] = ACTIONS(1172),
    [anon_sym_continue] = ACTIONS(1172),
    [anon_sym_return] = ACTIONS(1172),
    [anon_sym_yield] = ACTIONS(1172),
    [anon_sym_synchronized] = ACTIONS(1172),
    [anon_sym_throw] = ACTIONS(1172),
    [anon_sym_try] = ACTIONS(1172),
    [anon_sym_if] = ACTIONS(1172),
    [anon_sym_else] = ACTIONS(1172),
    [anon_sym_for] = ACTIONS(1172),
    [anon_sym_AT] = ACTIONS(1172),
    [anon_sym_open] = ACTIONS(1172),
    [anon_sym_module] = ACTIONS(1172),
    [anon_sym_static] = ACTIONS(1172),
    [anon_sym_with] = ACTIONS(1172),
    [anon_sym_package] = ACTIONS(1172),
    [anon_sym_import] = ACTIONS(1172),
    [anon_sym_enum] = ACTIONS(1172),
    [anon_sym_public] = ACTIONS(1172),
    [anon_sym_protected] = ACTIONS(1172),
    [anon_sym_private] = ACTIONS(1172),
    [anon_sym_abstract] = ACTIONS(1172),
    [anon_sym_strictfp] = ACTIONS(1172),
    [anon_sym_native] = ACTIONS(1172),
    [anon_sym_transient] = ACTIONS(1172),
    [anon_sym_volatile] = ACTIONS(1172),
    [anon_sym_sealed] = ACTIONS(1172),
    [anon_sym_non_DASHsealed] = ACTIONS(1170),
    [anon_sym_record] = ACTIONS(1172),
    [anon_sym_ATinterface] = ACTIONS(1170),
    [anon_sym_interface] = ACTIONS(1172),
    [anon_sym_byte] = ACTIONS(1172),
    [anon_sym_short] = ACTIONS(1172),
    [anon_sym_int] = ACTIONS(1172),
    [anon_sym_long] = ACTIONS(1172),
    [anon_sym_char] = ACTIONS(1172),
    [anon_sym_float] = ACTIONS(1172),
    [anon_sym_double] = ACTIONS(1172),
    [sym_boolean_type] = ACTIONS(1172),
    [sym_void_type] = ACTIONS(1172),
    [sym_this] = ACTIONS(1172),
    [sym_super] = ACTIONS(1172),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [384] = {
    [ts_builtin_sym_end] = ACTIONS(1174),
    [sym_identifier] = ACTIONS(1176),
    [sym_decimal_integer_literal] = ACTIONS(1176),
    [sym_hex_integer_literal] = ACTIONS(1176),
    [sym_octal_integer_literal] = ACTIONS(1176),
    [sym_binary_integer_literal] = ACTIONS(1174),
    [sym_decimal_floating_point_literal] = ACTIONS(1174),
    [sym_hex_floating_point_literal] = ACTIONS(1176),
    [sym_true] = ACTIONS(1176),
    [sym_false] = ACTIONS(1176),
    [sym_character_literal] = ACTIONS(1174),
    [anon_sym_DQUOTE] = ACTIONS(1176),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1174),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [sym_null_literal] = ACTIONS(1176),
    [anon_sym_LPAREN] = ACTIONS(1174),
    [anon_sym_LT] = ACTIONS(1174),
    [anon_sym_PLUS] = ACTIONS(1176),
    [anon_sym_DASH] = ACTIONS(1176),
    [anon_sym_final] = ACTIONS(1176),
    [anon_sym_BANG] = ACTIONS(1174),
    [anon_sym_TILDE] = ACTIONS(1174),
    [anon_sym_PLUS_PLUS] = ACTIONS(1174),
    [anon_sym_DASH_DASH] = ACTIONS(1174),
    [anon_sym_new] = ACTIONS(1176),
    [anon_sym_class] = ACTIONS(1176),
    [anon_sym_switch] = ACTIONS(1176),
    [anon_sym_LBRACE] = ACTIONS(1174),
    [anon_sym_case] = ACTIONS(1176),
    [anon_sym_default] = ACTIONS(1176),
    [anon_sym_SEMI] = ACTIONS(1174),
    [anon_sym_assert] = ACTIONS(1176),
    [anon_sym_do] = ACTIONS(1176),
    [anon_sym_while] = ACTIONS(1176),
    [anon_sym_break] = ACTIONS(1176),
    [anon_sym_continue] = ACTIONS(1176),
    [anon_sym_return] = ACTIONS(1176),
    [anon_sym_yield] = ACTIONS(1176),
    [anon_sym_synchronized] = ACTIONS(1176),
    [anon_sym_throw] = ACTIONS(1176),
    [anon_sym_try] = ACTIONS(1176),
    [anon_sym_if] = ACTIONS(1176),
    [anon_sym_else] = ACTIONS(1176),
    [anon_sym_for] = ACTIONS(1176),
    [anon_sym_AT] = ACTIONS(1176),
    [anon_sym_open] = ACTIONS(1176),
    [anon_sym_module] = ACTIONS(1176),
    [anon_sym_static] = ACTIONS(1176),
    [anon_sym_with] = ACTIONS(1176),
    [anon_sym_package] = ACTIONS(1176),
    [anon_sym_import] = ACTIONS(1176),
    [anon_sym_enum] = ACTIONS(1176),
    [anon_sym_public] = ACTIONS(1176),
    [anon_sym_protected] = ACTIONS(1176),
    [anon_sym_private] = ACTIONS(1176),
    [anon_sym_abstract] = ACTIONS(1176),
    [anon_sym_strictfp] = ACTIONS(1176),
    [anon_sym_native] = ACTIONS(1176),
    [anon_sym_transient] = ACTIONS(1176),
    [anon_sym_volatile] = ACTIONS(1176),
    [anon_sym_sealed] = ACTIONS(1176),
    [anon_sym_non_DASHsealed] = ACTIONS(1174),
    [anon_sym_record] = ACTIONS(1176),
    [anon_sym_ATinterface] = ACTIONS(1174),
    [anon_sym_interface] = ACTIONS(1176),
    [anon_sym_byte] = ACTIONS(1176),
    [anon_sym_short] = ACTIONS(1176),
    [anon_sym_int] = ACTIONS(1176),
    [anon_sym_long] = ACTIONS(1176),
    [anon_sym_char] = ACTIONS(1176),
    [anon_sym_float] = ACTIONS(1176),
    [anon_sym_double] = ACTIONS(1176),
    [sym_boolean_type] = ACTIONS(1176),
    [sym_void_type] = ACTIONS(1176),
    [sym_this] = ACTIONS(1176),
    [sym_super] = ACTIONS(1176),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(1178),
    [sym_identifier] = ACTIONS(1180),
    [sym_decimal_integer_literal] = ACTIONS(1180),
    [sym_hex_integer_literal] = ACTIONS(1180),
    [sym_octal_integer_literal] = ACTIONS(1180),
    [sym_binary_integer_literal] = ACTIONS(1178),
    [sym_decimal_floating_point_literal] = ACTIONS(1178),
    [sym_hex_floating_point_literal] = ACTIONS(1180),
    [sym_true] = ACTIONS(1180),
    [sym_false] = ACTIONS(1180),
    [sym_character_literal] = ACTIONS(1178),
    [anon_sym_DQUOTE] = ACTIONS(1180),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1178),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [sym_null_literal] = ACTIONS(1180),
    [anon_sym_LPAREN] = ACTIONS(1178),
    [anon_sym_LT] = ACTIONS(1178),
    [anon_sym_PLUS] = ACTIONS(1180),
    [anon_sym_DASH] = ACTIONS(1180),
    [anon_sym_final] = ACTIONS(1180),
    [anon_sym_BANG] = ACTIONS(1178),
    [anon_sym_TILDE] = ACTIONS(1178),
    [anon_sym_PLUS_PLUS] = ACTIONS(1178),
    [anon_sym_DASH_DASH] = ACTIONS(1178),
    [anon_sym_new] = ACTIONS(1180),
    [anon_sym_class] = ACTIONS(1180),
    [anon_sym_switch] = ACTIONS(1180),
    [anon_sym_LBRACE] = ACTIONS(1178),
    [anon_sym_case] = ACTIONS(1180),
    [anon_sym_default] = ACTIONS(1180),
    [anon_sym_SEMI] = ACTIONS(1178),
    [anon_sym_assert] = ACTIONS(1180),
    [anon_sym_do] = ACTIONS(1180),
    [anon_sym_while] = ACTIONS(1180),
    [anon_sym_break] = ACTIONS(1180),
    [anon_sym_continue] = ACTIONS(1180),
    [anon_sym_return] = ACTIONS(1180),
    [anon_sym_yield] = ACTIONS(1180),
    [anon_sym_synchronized] = ACTIONS(1180),
    [anon_sym_throw] = ACTIONS(1180),
    [anon_sym_try] = ACTIONS(1180),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(1180),
    [anon_sym_for] = ACTIONS(1180),
    [anon_sym_AT] = ACTIONS(1180),
    [anon_sym_open] = ACTIONS(1180),
    [anon_sym_module] = ACTIONS(1180),
    [anon_sym_static] = ACTIONS(1180),
    [anon_sym_with] = ACTIONS(1180),
    [anon_sym_package] = ACTIONS(1180),
    [anon_sym_import] = ACTIONS(1180),
    [anon_sym_enum] = ACTIONS(1180),
    [anon_sym_public] = ACTIONS(1180),
    [anon_sym_protected] = ACTIONS(1180),
    [anon_sym_private] = ACTIONS(1180),
    [anon_sym_abstract] = ACTIONS(1180),
    [anon_sym_strictfp] = ACTIONS(1180),
    [anon_sym_native] = ACTIONS(1180),
    [anon_sym_transient] = ACTIONS(1180),
    [anon_sym_volatile] = ACTIONS(1180),
    [anon_sym_sealed] = ACTIONS(1180),
    [anon_sym_non_DASHsealed] = ACTIONS(1178),
    [anon_sym_record] = ACTIONS(1180),
    [anon_sym_ATinterface] = ACTIONS(1178),
    [anon_sym_interface] = ACTIONS(1180),
    [anon_sym_byte] = ACTIONS(1180),
    [anon_sym_short] = ACTIONS(1180),
    [anon_sym_int] = ACTIONS(1180),
    [anon_sym_long] = ACTIONS(1180),
    [anon_sym_char] = ACTIONS(1180),
    [anon_sym_float] = ACTIONS(1180),
    [anon_sym_double] = ACTIONS(1180),
    [sym_boolean_type] = ACTIONS(1180),
    [sym_void_type] = ACTIONS(1180),
    [sym_this] = ACTIONS(1180),
    [sym_super] = ACTIONS(1180),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_identifier] = ACTIONS(1184),
    [sym_decimal_integer_literal] = ACTIONS(1184),
    [sym_hex_integer_literal] = ACTIONS(1184),
    [sym_octal_integer_literal] = ACTIONS(1184),
    [sym_binary_integer_literal] = ACTIONS(1182),
    [sym_decimal_floating_point_literal] = ACTIONS(1182),
    [sym_hex_floating_point_literal] = ACTIONS(1184),
    [sym_true] = ACTIONS(1184),
    [sym_false] = ACTIONS(1184),
    [sym_character_literal] = ACTIONS(1182),
    [anon_sym_DQUOTE] = ACTIONS(1184),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1182),
    [anon_sym_RBRACE] = ACTIONS(1182),
    [sym_null_literal] = ACTIONS(1184),
    [anon_sym_LPAREN] = ACTIONS(1182),
    [anon_sym_LT] = ACTIONS(1182),
    [anon_sym_PLUS] = ACTIONS(1184),
    [anon_sym_DASH] = ACTIONS(1184),
    [anon_sym_final] = ACTIONS(1184),
    [anon_sym_BANG] = ACTIONS(1182),
    [anon_sym_TILDE] = ACTIONS(1182),
    [anon_sym_PLUS_PLUS] = ACTIONS(1182),
    [anon_sym_DASH_DASH] = ACTIONS(1182),
    [anon_sym_new] = ACTIONS(1184),
    [anon_sym_class] = ACTIONS(1184),
    [anon_sym_switch] = ACTIONS(1184),
    [anon_sym_LBRACE] = ACTIONS(1182),
    [anon_sym_case] = ACTIONS(1184),
    [anon_sym_default] = ACTIONS(1184),
    [anon_sym_SEMI] = ACTIONS(1182),
    [anon_sym_assert] = ACTIONS(1184),
    [anon_sym_do] = ACTIONS(1184),
    [anon_sym_while] = ACTIONS(1184),
    [anon_sym_break] = ACTIONS(1184),
    [anon_sym_continue] = ACTIONS(1184),
    [anon_sym_return] = ACTIONS(1184),
    [anon_sym_yield] = ACTIONS(1184),
    [anon_sym_synchronized] = ACTIONS(1184),
    [anon_sym_throw] = ACTIONS(1184),
    [anon_sym_try] = ACTIONS(1184),
    [anon_sym_if] = ACTIONS(1184),
    [anon_sym_else] = ACTIONS(1184),
    [anon_sym_for] = ACTIONS(1184),
    [anon_sym_AT] = ACTIONS(1184),
    [anon_sym_open] = ACTIONS(1184),
    [anon_sym_module] = ACTIONS(1184),
    [anon_sym_static] = ACTIONS(1184),
    [anon_sym_with] = ACTIONS(1184),
    [anon_sym_package] = ACTIONS(1184),
    [anon_sym_import] = ACTIONS(1184),
    [anon_sym_enum] = ACTIONS(1184),
    [anon_sym_public] = ACTIONS(1184),
    [anon_sym_protected] = ACTIONS(1184),
    [anon_sym_private] = ACTIONS(1184),
    [anon_sym_abstract] = ACTIONS(1184),
    [anon_sym_strictfp] = ACTIONS(1184),
    [anon_sym_native] = ACTIONS(1184),
    [anon_sym_transient] = ACTIONS(1184),
    [anon_sym_volatile] = ACTIONS(1184),
    [anon_sym_sealed] = ACTIONS(1184),
    [anon_sym_non_DASHsealed] = ACTIONS(1182),
    [anon_sym_record] = ACTIONS(1184),
    [anon_sym_ATinterface] = ACTIONS(1182),
    [anon_sym_interface] = ACTIONS(1184),
    [anon_sym_byte] = ACTIONS(1184),
    [anon_sym_short] = ACTIONS(1184),
    [anon_sym_int] = ACTIONS(1184),
    [anon_sym_long] = ACTIONS(1184),
    [anon_sym_char] = ACTIONS(1184),
    [anon_sym_float] = ACTIONS(1184),
    [anon_sym_double] = ACTIONS(1184),
    [sym_boolean_type] = ACTIONS(1184),
    [sym_void_type] = ACTIONS(1184),
    [sym_this] = ACTIONS(1184),
    [sym_super] = ACTIONS(1184),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(1186),
    [sym_identifier] = ACTIONS(1188),
    [sym_decimal_integer_literal] = ACTIONS(1188),
    [sym_hex_integer_literal] = ACTIONS(1188),
    [sym_octal_integer_literal] = ACTIONS(1188),
    [sym_binary_integer_literal] = ACTIONS(1186),
    [sym_decimal_floating_point_literal] = ACTIONS(1186),
    [sym_hex_floating_point_literal] = ACTIONS(1188),
    [sym_true] = ACTIONS(1188),
    [sym_false] = ACTIONS(1188),
    [sym_character_literal] = ACTIONS(1186),
    [anon_sym_DQUOTE] = ACTIONS(1188),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1186),
    [anon_sym_RBRACE] = ACTIONS(1186),
    [sym_null_literal] = ACTIONS(1188),
    [anon_sym_LPAREN] = ACTIONS(1186),
    [anon_sym_LT] = ACTIONS(1186),
    [anon_sym_PLUS] = ACTIONS(1188),
    [anon_sym_DASH] = ACTIONS(1188),
    [anon_sym_final] = ACTIONS(1188),
    [anon_sym_BANG] = ACTIONS(1186),
    [anon_sym_TILDE] = ACTIONS(1186),
    [anon_sym_PLUS_PLUS] = ACTIONS(1186),
    [anon_sym_DASH_DASH] = ACTIONS(1186),
    [anon_sym_new] = ACTIONS(1188),
    [anon_sym_class] = ACTIONS(1188),
    [anon_sym_switch] = ACTIONS(1188),
    [anon_sym_LBRACE] = ACTIONS(1186),
    [anon_sym_case] = ACTIONS(1188),
    [anon_sym_default] = ACTIONS(1188),
    [anon_sym_SEMI] = ACTIONS(1186),
    [anon_sym_assert] = ACTIONS(1188),
    [anon_sym_do] = ACTIONS(1188),
    [anon_sym_while] = ACTIONS(1188),
    [anon_sym_break] = ACTIONS(1188),
    [anon_sym_continue] = ACTIONS(1188),
    [anon_sym_return] = ACTIONS(1188),
    [anon_sym_yield] = ACTIONS(1188),
    [anon_sym_synchronized] = ACTIONS(1188),
    [anon_sym_throw] = ACTIONS(1188),
    [anon_sym_try] = ACTIONS(1188),
    [anon_sym_if] = ACTIONS(1188),
    [anon_sym_else] = ACTIONS(1188),
    [anon_sym_for] = ACTIONS(1188),
    [anon_sym_AT] = ACTIONS(1188),
    [anon_sym_open] = ACTIONS(1188),
    [anon_sym_module] = ACTIONS(1188),
    [anon_sym_static] = ACTIONS(1188),
    [anon_sym_with] = ACTIONS(1188),
    [anon_sym_package] = ACTIONS(1188),
    [anon_sym_import] = ACTIONS(1188),
    [anon_sym_enum] = ACTIONS(1188),
    [anon_sym_public] = ACTIONS(1188),
    [anon_sym_protected] = ACTIONS(1188),
    [anon_sym_private] = ACTIONS(1188),
    [anon_sym_abstract] = ACTIONS(1188),
    [anon_sym_strictfp] = ACTIONS(1188),
    [anon_sym_native] = ACTIONS(1188),
    [anon_sym_transient] = ACTIONS(1188),
    [anon_sym_volatile] = ACTIONS(1188),
    [anon_sym_sealed] = ACTIONS(1188),
    [anon_sym_non_DASHsealed] = ACTIONS(1186),
    [anon_sym_record] = ACTIONS(1188),
    [anon_sym_ATinterface] = ACTIONS(1186),
    [anon_sym_interface] = ACTIONS(1188),
    [anon_sym_byte] = ACTIONS(1188),
    [anon_sym_short] = ACTIONS(1188),
    [anon_sym_int] = ACTIONS(1188),
    [anon_sym_long] = ACTIONS(1188),
    [anon_sym_char] = ACTIONS(1188),
    [anon_sym_float] = ACTIONS(1188),
    [anon_sym_double] = ACTIONS(1188),
    [sym_boolean_type] = ACTIONS(1188),
    [sym_void_type] = ACTIONS(1188),
    [sym_this] = ACTIONS(1188),
    [sym_super] = ACTIONS(1188),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [388] = {
    [ts_builtin_sym_end] = ACTIONS(1190),
    [sym_identifier] = ACTIONS(1192),
    [sym_decimal_integer_literal] = ACTIONS(1192),
    [sym_hex_integer_literal] = ACTIONS(1192),
    [sym_octal_integer_literal] = ACTIONS(1192),
    [sym_binary_integer_literal] = ACTIONS(1190),
    [sym_decimal_floating_point_literal] = ACTIONS(1190),
    [sym_hex_floating_point_literal] = ACTIONS(1192),
    [sym_true] = ACTIONS(1192),
    [sym_false] = ACTIONS(1192),
    [sym_character_literal] = ACTIONS(1190),
    [anon_sym_DQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1190),
    [anon_sym_RBRACE] = ACTIONS(1190),
    [sym_null_literal] = ACTIONS(1192),
    [anon_sym_LPAREN] = ACTIONS(1190),
    [anon_sym_LT] = ACTIONS(1190),
    [anon_sym_PLUS] = ACTIONS(1192),
    [anon_sym_DASH] = ACTIONS(1192),
    [anon_sym_final] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1190),
    [anon_sym_TILDE] = ACTIONS(1190),
    [anon_sym_PLUS_PLUS] = ACTIONS(1190),
    [anon_sym_DASH_DASH] = ACTIONS(1190),
    [anon_sym_new] = ACTIONS(1192),
    [anon_sym_class] = ACTIONS(1192),
    [anon_sym_switch] = ACTIONS(1192),
    [anon_sym_LBRACE] = ACTIONS(1190),
    [anon_sym_case] = ACTIONS(1192),
    [anon_sym_default] = ACTIONS(1192),
    [anon_sym_SEMI] = ACTIONS(1190),
    [anon_sym_assert] = ACTIONS(1192),
    [anon_sym_do] = ACTIONS(1192),
    [anon_sym_while] = ACTIONS(1192),
    [anon_sym_break] = ACTIONS(1192),
    [anon_sym_continue] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1192),
    [anon_sym_yield] = ACTIONS(1192),
    [anon_sym_synchronized] = ACTIONS(1192),
    [anon_sym_throw] = ACTIONS(1192),
    [anon_sym_try] = ACTIONS(1192),
    [anon_sym_if] = ACTIONS(1192),
    [anon_sym_else] = ACTIONS(1192),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_AT] = ACTIONS(1192),
    [anon_sym_open] = ACTIONS(1192),
    [anon_sym_module] = ACTIONS(1192),
    [anon_sym_static] = ACTIONS(1192),
    [anon_sym_with] = ACTIONS(1192),
    [anon_sym_package] = ACTIONS(1192),
    [anon_sym_import] = ACTIONS(1192),
    [anon_sym_enum] = ACTIONS(1192),
    [anon_sym_public] = ACTIONS(1192),
    [anon_sym_protected] = ACTIONS(1192),
    [anon_sym_private] = ACTIONS(1192),
    [anon_sym_abstract] = ACTIONS(1192),
    [anon_sym_strictfp] = ACTIONS(1192),
    [anon_sym_native] = ACTIONS(1192),
    [anon_sym_transient] = ACTIONS(1192),
    [anon_sym_volatile] = ACTIONS(1192),
    [anon_sym_sealed] = ACTIONS(1192),
    [anon_sym_non_DASHsealed] = ACTIONS(1190),
    [anon_sym_record] = ACTIONS(1192),
    [anon_sym_ATinterface] = ACTIONS(1190),
    [anon_sym_interface] = ACTIONS(1192),
    [anon_sym_byte] = ACTIONS(1192),
    [anon_sym_short] = ACTIONS(1192),
    [anon_sym_int] = ACTIONS(1192),
    [anon_sym_long] = ACTIONS(1192),
    [anon_sym_char] = ACTIONS(1192),
    [anon_sym_float] = ACTIONS(1192),
    [anon_sym_double] = ACTIONS(1192),
    [sym_boolean_type] = ACTIONS(1192),
    [sym_void_type] = ACTIONS(1192),
    [sym_this] = ACTIONS(1192),
    [sym_super] = ACTIONS(1192),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_switch_label] = STATE(1373),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(389),
    [sym_identifier] = ACTIONS(1194),
    [sym_decimal_integer_literal] = ACTIONS(1194),
    [sym_hex_integer_literal] = ACTIONS(1194),
    [sym_octal_integer_literal] = ACTIONS(1194),
    [sym_binary_integer_literal] = ACTIONS(1196),
    [sym_decimal_floating_point_literal] = ACTIONS(1196),
    [sym_hex_floating_point_literal] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [sym_character_literal] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [sym_null_literal] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_final] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_new] = ACTIONS(1194),
    [anon_sym_class] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1198),
    [anon_sym_default] = ACTIONS(1201),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_do] = ACTIONS(1194),
    [anon_sym_while] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_yield] = ACTIONS(1194),
    [anon_sym_synchronized] = ACTIONS(1194),
    [anon_sym_throw] = ACTIONS(1194),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [anon_sym_open] = ACTIONS(1194),
    [anon_sym_module] = ACTIONS(1194),
    [anon_sym_static] = ACTIONS(1194),
    [anon_sym_with] = ACTIONS(1194),
    [anon_sym_package] = ACTIONS(1194),
    [anon_sym_import] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_public] = ACTIONS(1194),
    [anon_sym_protected] = ACTIONS(1194),
    [anon_sym_private] = ACTIONS(1194),
    [anon_sym_abstract] = ACTIONS(1194),
    [anon_sym_strictfp] = ACTIONS(1194),
    [anon_sym_native] = ACTIONS(1194),
    [anon_sym_transient] = ACTIONS(1194),
    [anon_sym_volatile] = ACTIONS(1194),
    [anon_sym_sealed] = ACTIONS(1194),
    [anon_sym_non_DASHsealed] = ACTIONS(1196),
    [anon_sym_record] = ACTIONS(1194),
    [anon_sym_ATinterface] = ACTIONS(1196),
    [anon_sym_interface] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_short] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_long] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_float] = ACTIONS(1194),
    [anon_sym_double] = ACTIONS(1194),
    [sym_boolean_type] = ACTIONS(1194),
    [sym_void_type] = ACTIONS(1194),
    [sym_this] = ACTIONS(1194),
    [sym_super] = ACTIONS(1194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [390] = {
    [ts_builtin_sym_end] = ACTIONS(1204),
    [sym_identifier] = ACTIONS(1206),
    [sym_decimal_integer_literal] = ACTIONS(1206),
    [sym_hex_integer_literal] = ACTIONS(1206),
    [sym_octal_integer_literal] = ACTIONS(1206),
    [sym_binary_integer_literal] = ACTIONS(1204),
    [sym_decimal_floating_point_literal] = ACTIONS(1204),
    [sym_hex_floating_point_literal] = ACTIONS(1206),
    [sym_true] = ACTIONS(1206),
    [sym_false] = ACTIONS(1206),
    [sym_character_literal] = ACTIONS(1204),
    [anon_sym_DQUOTE] = ACTIONS(1206),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1204),
    [anon_sym_RBRACE] = ACTIONS(1204),
    [sym_null_literal] = ACTIONS(1206),
    [anon_sym_LPAREN] = ACTIONS(1204),
    [anon_sym_LT] = ACTIONS(1204),
    [anon_sym_PLUS] = ACTIONS(1206),
    [anon_sym_DASH] = ACTIONS(1206),
    [anon_sym_final] = ACTIONS(1206),
    [anon_sym_BANG] = ACTIONS(1204),
    [anon_sym_TILDE] = ACTIONS(1204),
    [anon_sym_PLUS_PLUS] = ACTIONS(1204),
    [anon_sym_DASH_DASH] = ACTIONS(1204),
    [anon_sym_new] = ACTIONS(1206),
    [anon_sym_class] = ACTIONS(1206),
    [anon_sym_switch] = ACTIONS(1206),
    [anon_sym_LBRACE] = ACTIONS(1204),
    [anon_sym_default] = ACTIONS(1206),
    [anon_sym_SEMI] = ACTIONS(1204),
    [anon_sym_assert] = ACTIONS(1206),
    [anon_sym_do] = ACTIONS(1206),
    [anon_sym_while] = ACTIONS(1206),
    [anon_sym_break] = ACTIONS(1206),
    [anon_sym_continue] = ACTIONS(1206),
    [anon_sym_return] = ACTIONS(1206),
    [anon_sym_yield] = ACTIONS(1206),
    [anon_sym_synchronized] = ACTIONS(1206),
    [anon_sym_throw] = ACTIONS(1206),
    [anon_sym_try] = ACTIONS(1206),
    [anon_sym_if] = ACTIONS(1206),
    [anon_sym_for] = ACTIONS(1206),
    [anon_sym_AT] = ACTIONS(1206),
    [anon_sym_open] = ACTIONS(1206),
    [anon_sym_module] = ACTIONS(1206),
    [anon_sym_static] = ACTIONS(1206),
    [anon_sym_with] = ACTIONS(1206),
    [anon_sym_package] = ACTIONS(1206),
    [anon_sym_import] = ACTIONS(1206),
    [anon_sym_enum] = ACTIONS(1206),
    [anon_sym_public] = ACTIONS(1206),
    [anon_sym_protected] = ACTIONS(1206),
    [anon_sym_private] = ACTIONS(1206),
    [anon_sym_abstract] = ACTIONS(1206),
    [anon_sym_strictfp] = ACTIONS(1206),
    [anon_sym_native] = ACTIONS(1206),
    [anon_sym_transient] = ACTIONS(1206),
    [anon_sym_volatile] = ACTIONS(1206),
    [anon_sym_sealed] = ACTIONS(1206),
    [anon_sym_non_DASHsealed] = ACTIONS(1204),
    [anon_sym_record] = ACTIONS(1206),
    [anon_sym_ATinterface] = ACTIONS(1204),
    [anon_sym_interface] = ACTIONS(1206),
    [anon_sym_byte] = ACTIONS(1206),
    [anon_sym_short] = ACTIONS(1206),
    [anon_sym_int] = ACTIONS(1206),
    [anon_sym_long] = ACTIONS(1206),
    [anon_sym_char] = ACTIONS(1206),
    [anon_sym_float] = ACTIONS(1206),
    [anon_sym_double] = ACTIONS(1206),
    [sym_boolean_type] = ACTIONS(1206),
    [sym_void_type] = ACTIONS(1206),
    [sym_this] = ACTIONS(1206),
    [sym_super] = ACTIONS(1206),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(1208),
    [sym_identifier] = ACTIONS(1210),
    [sym_decimal_integer_literal] = ACTIONS(1210),
    [sym_hex_integer_literal] = ACTIONS(1210),
    [sym_octal_integer_literal] = ACTIONS(1210),
    [sym_binary_integer_literal] = ACTIONS(1208),
    [sym_decimal_floating_point_literal] = ACTIONS(1208),
    [sym_hex_floating_point_literal] = ACTIONS(1210),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [sym_character_literal] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1208),
    [sym_null_literal] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_LT] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_final] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_new] = ACTIONS(1210),
    [anon_sym_class] = ACTIONS(1210),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_default] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_assert] = ACTIONS(1210),
    [anon_sym_do] = ACTIONS(1210),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_yield] = ACTIONS(1210),
    [anon_sym_synchronized] = ACTIONS(1210),
    [anon_sym_throw] = ACTIONS(1210),
    [anon_sym_try] = ACTIONS(1210),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_else] = ACTIONS(1212),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [anon_sym_open] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_with] = ACTIONS(1210),
    [anon_sym_package] = ACTIONS(1210),
    [anon_sym_import] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_abstract] = ACTIONS(1210),
    [anon_sym_strictfp] = ACTIONS(1210),
    [anon_sym_native] = ACTIONS(1210),
    [anon_sym_transient] = ACTIONS(1210),
    [anon_sym_volatile] = ACTIONS(1210),
    [anon_sym_sealed] = ACTIONS(1210),
    [anon_sym_non_DASHsealed] = ACTIONS(1208),
    [anon_sym_record] = ACTIONS(1210),
    [anon_sym_ATinterface] = ACTIONS(1208),
    [anon_sym_interface] = ACTIONS(1210),
    [anon_sym_byte] = ACTIONS(1210),
    [anon_sym_short] = ACTIONS(1210),
    [anon_sym_int] = ACTIONS(1210),
    [anon_sym_long] = ACTIONS(1210),
    [anon_sym_char] = ACTIONS(1210),
    [anon_sym_float] = ACTIONS(1210),
    [anon_sym_double] = ACTIONS(1210),
    [sym_boolean_type] = ACTIONS(1210),
    [sym_void_type] = ACTIONS(1210),
    [sym_this] = ACTIONS(1210),
    [sym_super] = ACTIONS(1210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_identifier] = ACTIONS(1210),
    [sym_decimal_integer_literal] = ACTIONS(1210),
    [sym_hex_integer_literal] = ACTIONS(1210),
    [sym_octal_integer_literal] = ACTIONS(1210),
    [sym_binary_integer_literal] = ACTIONS(1208),
    [sym_decimal_floating_point_literal] = ACTIONS(1208),
    [sym_hex_floating_point_literal] = ACTIONS(1210),
    [sym_true] = ACTIONS(1210),
    [sym_false] = ACTIONS(1210),
    [sym_character_literal] = ACTIONS(1208),
    [anon_sym_DQUOTE] = ACTIONS(1210),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1208),
    [anon_sym_RBRACE] = ACTIONS(1208),
    [sym_null_literal] = ACTIONS(1210),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_PLUS] = ACTIONS(1210),
    [anon_sym_DASH] = ACTIONS(1210),
    [anon_sym_final] = ACTIONS(1210),
    [anon_sym_BANG] = ACTIONS(1208),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_PLUS_PLUS] = ACTIONS(1208),
    [anon_sym_DASH_DASH] = ACTIONS(1208),
    [anon_sym_new] = ACTIONS(1210),
    [anon_sym_class] = ACTIONS(1210),
    [anon_sym_switch] = ACTIONS(1210),
    [anon_sym_LBRACE] = ACTIONS(1208),
    [anon_sym_case] = ACTIONS(1210),
    [anon_sym_default] = ACTIONS(1210),
    [anon_sym_SEMI] = ACTIONS(1208),
    [anon_sym_assert] = ACTIONS(1210),
    [anon_sym_do] = ACTIONS(1210),
    [anon_sym_while] = ACTIONS(1210),
    [anon_sym_break] = ACTIONS(1210),
    [anon_sym_continue] = ACTIONS(1210),
    [anon_sym_return] = ACTIONS(1210),
    [anon_sym_yield] = ACTIONS(1210),
    [anon_sym_synchronized] = ACTIONS(1210),
    [anon_sym_throw] = ACTIONS(1210),
    [anon_sym_try] = ACTIONS(1210),
    [anon_sym_if] = ACTIONS(1210),
    [anon_sym_else] = ACTIONS(1214),
    [anon_sym_for] = ACTIONS(1210),
    [anon_sym_AT] = ACTIONS(1210),
    [anon_sym_open] = ACTIONS(1210),
    [anon_sym_module] = ACTIONS(1210),
    [anon_sym_static] = ACTIONS(1210),
    [anon_sym_with] = ACTIONS(1210),
    [anon_sym_package] = ACTIONS(1210),
    [anon_sym_import] = ACTIONS(1210),
    [anon_sym_enum] = ACTIONS(1210),
    [anon_sym_public] = ACTIONS(1210),
    [anon_sym_protected] = ACTIONS(1210),
    [anon_sym_private] = ACTIONS(1210),
    [anon_sym_abstract] = ACTIONS(1210),
    [anon_sym_strictfp] = ACTIONS(1210),
    [anon_sym_native] = ACTIONS(1210),
    [anon_sym_transient] = ACTIONS(1210),
    [anon_sym_volatile] = ACTIONS(1210),
    [anon_sym_sealed] = ACTIONS(1210),
    [anon_sym_non_DASHsealed] = ACTIONS(1208),
    [anon_sym_record] = ACTIONS(1210),
    [anon_sym_ATinterface] = ACTIONS(1208),
    [anon_sym_interface] = ACTIONS(1210),
    [anon_sym_byte] = ACTIONS(1210),
    [anon_sym_short] = ACTIONS(1210),
    [anon_sym_int] = ACTIONS(1210),
    [anon_sym_long] = ACTIONS(1210),
    [anon_sym_char] = ACTIONS(1210),
    [anon_sym_float] = ACTIONS(1210),
    [anon_sym_double] = ACTIONS(1210),
    [sym_boolean_type] = ACTIONS(1210),
    [sym_void_type] = ACTIONS(1210),
    [sym_this] = ACTIONS(1210),
    [sym_super] = ACTIONS(1210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_identifier] = ACTIONS(1218),
    [sym_decimal_integer_literal] = ACTIONS(1218),
    [sym_hex_integer_literal] = ACTIONS(1218),
    [sym_octal_integer_literal] = ACTIONS(1218),
    [sym_binary_integer_literal] = ACTIONS(1216),
    [sym_decimal_floating_point_literal] = ACTIONS(1216),
    [sym_hex_floating_point_literal] = ACTIONS(1218),
    [sym_true] = ACTIONS(1218),
    [sym_false] = ACTIONS(1218),
    [sym_character_literal] = ACTIONS(1216),
    [anon_sym_DQUOTE] = ACTIONS(1218),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1216),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [sym_null_literal] = ACTIONS(1218),
    [anon_sym_LPAREN] = ACTIONS(1216),
    [anon_sym_LT] = ACTIONS(1216),
    [anon_sym_PLUS] = ACTIONS(1218),
    [anon_sym_DASH] = ACTIONS(1218),
    [anon_sym_final] = ACTIONS(1218),
    [anon_sym_BANG] = ACTIONS(1216),
    [anon_sym_TILDE] = ACTIONS(1216),
    [anon_sym_PLUS_PLUS] = ACTIONS(1216),
    [anon_sym_DASH_DASH] = ACTIONS(1216),
    [anon_sym_new] = ACTIONS(1218),
    [anon_sym_class] = ACTIONS(1218),
    [anon_sym_switch] = ACTIONS(1218),
    [anon_sym_LBRACE] = ACTIONS(1216),
    [anon_sym_default] = ACTIONS(1218),
    [anon_sym_SEMI] = ACTIONS(1216),
    [anon_sym_assert] = ACTIONS(1218),
    [anon_sym_do] = ACTIONS(1218),
    [anon_sym_while] = ACTIONS(1218),
    [anon_sym_break] = ACTIONS(1218),
    [anon_sym_continue] = ACTIONS(1218),
    [anon_sym_return] = ACTIONS(1218),
    [anon_sym_yield] = ACTIONS(1218),
    [anon_sym_synchronized] = ACTIONS(1218),
    [anon_sym_throw] = ACTIONS(1218),
    [anon_sym_try] = ACTIONS(1218),
    [anon_sym_if] = ACTIONS(1218),
    [anon_sym_for] = ACTIONS(1218),
    [anon_sym_AT] = ACTIONS(1218),
    [anon_sym_open] = ACTIONS(1218),
    [anon_sym_module] = ACTIONS(1218),
    [anon_sym_static] = ACTIONS(1218),
    [anon_sym_with] = ACTIONS(1218),
    [anon_sym_package] = ACTIONS(1218),
    [anon_sym_import] = ACTIONS(1218),
    [anon_sym_enum] = ACTIONS(1218),
    [anon_sym_public] = ACTIONS(1218),
    [anon_sym_protected] = ACTIONS(1218),
    [anon_sym_private] = ACTIONS(1218),
    [anon_sym_abstract] = ACTIONS(1218),
    [anon_sym_strictfp] = ACTIONS(1218),
    [anon_sym_native] = ACTIONS(1218),
    [anon_sym_transient] = ACTIONS(1218),
    [anon_sym_volatile] = ACTIONS(1218),
    [anon_sym_sealed] = ACTIONS(1218),
    [anon_sym_non_DASHsealed] = ACTIONS(1216),
    [anon_sym_record] = ACTIONS(1218),
    [anon_sym_ATinterface] = ACTIONS(1216),
    [anon_sym_interface] = ACTIONS(1218),
    [anon_sym_byte] = ACTIONS(1218),
    [anon_sym_short] = ACTIONS(1218),
    [anon_sym_int] = ACTIONS(1218),
    [anon_sym_long] = ACTIONS(1218),
    [anon_sym_char] = ACTIONS(1218),
    [anon_sym_float] = ACTIONS(1218),
    [anon_sym_double] = ACTIONS(1218),
    [sym_boolean_type] = ACTIONS(1218),
    [sym_void_type] = ACTIONS(1218),
    [sym_this] = ACTIONS(1218),
    [sym_super] = ACTIONS(1218),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(1220),
    [sym_identifier] = ACTIONS(1222),
    [sym_decimal_integer_literal] = ACTIONS(1222),
    [sym_hex_integer_literal] = ACTIONS(1222),
    [sym_octal_integer_literal] = ACTIONS(1222),
    [sym_binary_integer_literal] = ACTIONS(1220),
    [sym_decimal_floating_point_literal] = ACTIONS(1220),
    [sym_hex_floating_point_literal] = ACTIONS(1222),
    [sym_true] = ACTIONS(1222),
    [sym_false] = ACTIONS(1222),
    [sym_character_literal] = ACTIONS(1220),
    [anon_sym_DQUOTE] = ACTIONS(1222),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1220),
    [anon_sym_RBRACE] = ACTIONS(1220),
    [sym_null_literal] = ACTIONS(1222),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_LT] = ACTIONS(1220),
    [anon_sym_PLUS] = ACTIONS(1222),
    [anon_sym_DASH] = ACTIONS(1222),
    [anon_sym_final] = ACTIONS(1222),
    [anon_sym_BANG] = ACTIONS(1220),
    [anon_sym_TILDE] = ACTIONS(1220),
    [anon_sym_PLUS_PLUS] = ACTIONS(1220),
    [anon_sym_DASH_DASH] = ACTIONS(1220),
    [anon_sym_new] = ACTIONS(1222),
    [anon_sym_class] = ACTIONS(1222),
    [anon_sym_switch] = ACTIONS(1222),
    [anon_sym_LBRACE] = ACTIONS(1220),
    [anon_sym_default] = ACTIONS(1222),
    [anon_sym_SEMI] = ACTIONS(1220),
    [anon_sym_assert] = ACTIONS(1222),
    [anon_sym_do] = ACTIONS(1222),
    [anon_sym_while] = ACTIONS(1222),
    [anon_sym_break] = ACTIONS(1222),
    [anon_sym_continue] = ACTIONS(1222),
    [anon_sym_return] = ACTIONS(1222),
    [anon_sym_yield] = ACTIONS(1222),
    [anon_sym_synchronized] = ACTIONS(1222),
    [anon_sym_throw] = ACTIONS(1222),
    [anon_sym_try] = ACTIONS(1222),
    [anon_sym_if] = ACTIONS(1222),
    [anon_sym_for] = ACTIONS(1222),
    [anon_sym_AT] = ACTIONS(1222),
    [anon_sym_open] = ACTIONS(1222),
    [anon_sym_module] = ACTIONS(1222),
    [anon_sym_static] = ACTIONS(1222),
    [anon_sym_with] = ACTIONS(1222),
    [anon_sym_package] = ACTIONS(1222),
    [anon_sym_import] = ACTIONS(1222),
    [anon_sym_enum] = ACTIONS(1222),
    [anon_sym_public] = ACTIONS(1222),
    [anon_sym_protected] = ACTIONS(1222),
    [anon_sym_private] = ACTIONS(1222),
    [anon_sym_abstract] = ACTIONS(1222),
    [anon_sym_strictfp] = ACTIONS(1222),
    [anon_sym_native] = ACTIONS(1222),
    [anon_sym_transient] = ACTIONS(1222),
    [anon_sym_volatile] = ACTIONS(1222),
    [anon_sym_sealed] = ACTIONS(1222),
    [anon_sym_non_DASHsealed] = ACTIONS(1220),
    [anon_sym_record] = ACTIONS(1222),
    [anon_sym_ATinterface] = ACTIONS(1220),
    [anon_sym_interface] = ACTIONS(1222),
    [anon_sym_byte] = ACTIONS(1222),
    [anon_sym_short] = ACTIONS(1222),
    [anon_sym_int] = ACTIONS(1222),
    [anon_sym_long] = ACTIONS(1222),
    [anon_sym_char] = ACTIONS(1222),
    [anon_sym_float] = ACTIONS(1222),
    [anon_sym_double] = ACTIONS(1222),
    [sym_boolean_type] = ACTIONS(1222),
    [sym_void_type] = ACTIONS(1222),
    [sym_this] = ACTIONS(1222),
    [sym_super] = ACTIONS(1222),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [395] = {
    [ts_builtin_sym_end] = ACTIONS(1224),
    [sym_identifier] = ACTIONS(1226),
    [sym_decimal_integer_literal] = ACTIONS(1226),
    [sym_hex_integer_literal] = ACTIONS(1226),
    [sym_octal_integer_literal] = ACTIONS(1226),
    [sym_binary_integer_literal] = ACTIONS(1224),
    [sym_decimal_floating_point_literal] = ACTIONS(1224),
    [sym_hex_floating_point_literal] = ACTIONS(1226),
    [sym_true] = ACTIONS(1226),
    [sym_false] = ACTIONS(1226),
    [sym_character_literal] = ACTIONS(1224),
    [anon_sym_DQUOTE] = ACTIONS(1226),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1224),
    [anon_sym_RBRACE] = ACTIONS(1224),
    [sym_null_literal] = ACTIONS(1226),
    [anon_sym_LPAREN] = ACTIONS(1224),
    [anon_sym_LT] = ACTIONS(1224),
    [anon_sym_PLUS] = ACTIONS(1226),
    [anon_sym_DASH] = ACTIONS(1226),
    [anon_sym_final] = ACTIONS(1226),
    [anon_sym_BANG] = ACTIONS(1224),
    [anon_sym_TILDE] = ACTIONS(1224),
    [anon_sym_PLUS_PLUS] = ACTIONS(1224),
    [anon_sym_DASH_DASH] = ACTIONS(1224),
    [anon_sym_new] = ACTIONS(1226),
    [anon_sym_class] = ACTIONS(1226),
    [anon_sym_switch] = ACTIONS(1226),
    [anon_sym_LBRACE] = ACTIONS(1224),
    [anon_sym_default] = ACTIONS(1226),
    [anon_sym_SEMI] = ACTIONS(1224),
    [anon_sym_assert] = ACTIONS(1226),
    [anon_sym_do] = ACTIONS(1226),
    [anon_sym_while] = ACTIONS(1226),
    [anon_sym_break] = ACTIONS(1226),
    [anon_sym_continue] = ACTIONS(1226),
    [anon_sym_return] = ACTIONS(1226),
    [anon_sym_yield] = ACTIONS(1226),
    [anon_sym_synchronized] = ACTIONS(1226),
    [anon_sym_throw] = ACTIONS(1226),
    [anon_sym_try] = ACTIONS(1226),
    [anon_sym_if] = ACTIONS(1226),
    [anon_sym_for] = ACTIONS(1226),
    [anon_sym_AT] = ACTIONS(1226),
    [anon_sym_open] = ACTIONS(1226),
    [anon_sym_module] = ACTIONS(1226),
    [anon_sym_static] = ACTIONS(1226),
    [anon_sym_with] = ACTIONS(1226),
    [anon_sym_package] = ACTIONS(1226),
    [anon_sym_import] = ACTIONS(1226),
    [anon_sym_enum] = ACTIONS(1226),
    [anon_sym_public] = ACTIONS(1226),
    [anon_sym_protected] = ACTIONS(1226),
    [anon_sym_private] = ACTIONS(1226),
    [anon_sym_abstract] = ACTIONS(1226),
    [anon_sym_strictfp] = ACTIONS(1226),
    [anon_sym_native] = ACTIONS(1226),
    [anon_sym_transient] = ACTIONS(1226),
    [anon_sym_volatile] = ACTIONS(1226),
    [anon_sym_sealed] = ACTIONS(1226),
    [anon_sym_non_DASHsealed] = ACTIONS(1224),
    [anon_sym_record] = ACTIONS(1226),
    [anon_sym_ATinterface] = ACTIONS(1224),
    [anon_sym_interface] = ACTIONS(1226),
    [anon_sym_byte] = ACTIONS(1226),
    [anon_sym_short] = ACTIONS(1226),
    [anon_sym_int] = ACTIONS(1226),
    [anon_sym_long] = ACTIONS(1226),
    [anon_sym_char] = ACTIONS(1226),
    [anon_sym_float] = ACTIONS(1226),
    [anon_sym_double] = ACTIONS(1226),
    [sym_boolean_type] = ACTIONS(1226),
    [sym_void_type] = ACTIONS(1226),
    [sym_this] = ACTIONS(1226),
    [sym_super] = ACTIONS(1226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1194),
    [sym_decimal_integer_literal] = ACTIONS(1194),
    [sym_hex_integer_literal] = ACTIONS(1194),
    [sym_octal_integer_literal] = ACTIONS(1194),
    [sym_binary_integer_literal] = ACTIONS(1196),
    [sym_decimal_floating_point_literal] = ACTIONS(1196),
    [sym_hex_floating_point_literal] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [sym_character_literal] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [sym_null_literal] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_final] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1196),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_new] = ACTIONS(1194),
    [anon_sym_class] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_case] = ACTIONS(1194),
    [anon_sym_default] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_do] = ACTIONS(1194),
    [anon_sym_while] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_yield] = ACTIONS(1194),
    [anon_sym_synchronized] = ACTIONS(1194),
    [anon_sym_throw] = ACTIONS(1194),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [anon_sym_open] = ACTIONS(1194),
    [anon_sym_module] = ACTIONS(1194),
    [anon_sym_static] = ACTIONS(1194),
    [anon_sym_with] = ACTIONS(1194),
    [anon_sym_package] = ACTIONS(1194),
    [anon_sym_import] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_public] = ACTIONS(1194),
    [anon_sym_protected] = ACTIONS(1194),
    [anon_sym_private] = ACTIONS(1194),
    [anon_sym_abstract] = ACTIONS(1194),
    [anon_sym_strictfp] = ACTIONS(1194),
    [anon_sym_native] = ACTIONS(1194),
    [anon_sym_transient] = ACTIONS(1194),
    [anon_sym_volatile] = ACTIONS(1194),
    [anon_sym_sealed] = ACTIONS(1194),
    [anon_sym_non_DASHsealed] = ACTIONS(1196),
    [anon_sym_record] = ACTIONS(1194),
    [anon_sym_ATinterface] = ACTIONS(1196),
    [anon_sym_interface] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_short] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_long] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_float] = ACTIONS(1194),
    [anon_sym_double] = ACTIONS(1194),
    [sym_boolean_type] = ACTIONS(1194),
    [sym_void_type] = ACTIONS(1194),
    [sym_this] = ACTIONS(1194),
    [sym_super] = ACTIONS(1194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1228),
    [sym_decimal_integer_literal] = ACTIONS(1228),
    [sym_hex_integer_literal] = ACTIONS(1228),
    [sym_octal_integer_literal] = ACTIONS(1228),
    [sym_binary_integer_literal] = ACTIONS(1230),
    [sym_decimal_floating_point_literal] = ACTIONS(1230),
    [sym_hex_floating_point_literal] = ACTIONS(1228),
    [sym_true] = ACTIONS(1228),
    [sym_false] = ACTIONS(1228),
    [sym_character_literal] = ACTIONS(1230),
    [anon_sym_DQUOTE] = ACTIONS(1228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1230),
    [anon_sym_RBRACE] = ACTIONS(1230),
    [sym_null_literal] = ACTIONS(1228),
    [anon_sym_LPAREN] = ACTIONS(1230),
    [anon_sym_PLUS] = ACTIONS(1228),
    [anon_sym_DASH] = ACTIONS(1228),
    [anon_sym_final] = ACTIONS(1228),
    [anon_sym_BANG] = ACTIONS(1230),
    [anon_sym_TILDE] = ACTIONS(1230),
    [anon_sym_PLUS_PLUS] = ACTIONS(1230),
    [anon_sym_DASH_DASH] = ACTIONS(1230),
    [anon_sym_new] = ACTIONS(1228),
    [anon_sym_class] = ACTIONS(1228),
    [anon_sym_switch] = ACTIONS(1228),
    [anon_sym_LBRACE] = ACTIONS(1230),
    [anon_sym_default] = ACTIONS(1228),
    [anon_sym_SEMI] = ACTIONS(1230),
    [anon_sym_assert] = ACTIONS(1228),
    [anon_sym_do] = ACTIONS(1228),
    [anon_sym_while] = ACTIONS(1228),
    [anon_sym_break] = ACTIONS(1228),
    [anon_sym_continue] = ACTIONS(1228),
    [anon_sym_return] = ACTIONS(1228),
    [anon_sym_yield] = ACTIONS(1228),
    [anon_sym_synchronized] = ACTIONS(1228),
    [anon_sym_throw] = ACTIONS(1228),
    [anon_sym_try] = ACTIONS(1228),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_for] = ACTIONS(1228),
    [anon_sym_AT] = ACTIONS(1228),
    [anon_sym_open] = ACTIONS(1228),
    [anon_sym_module] = ACTIONS(1228),
    [anon_sym_static] = ACTIONS(1228),
    [anon_sym_with] = ACTIONS(1228),
    [anon_sym_package] = ACTIONS(1228),
    [anon_sym_import] = ACTIONS(1228),
    [anon_sym_enum] = ACTIONS(1228),
    [anon_sym_public] = ACTIONS(1228),
    [anon_sym_protected] = ACTIONS(1228),
    [anon_sym_private] = ACTIONS(1228),
    [anon_sym_abstract] = ACTIONS(1228),
    [anon_sym_strictfp] = ACTIONS(1228),
    [anon_sym_native] = ACTIONS(1228),
    [anon_sym_transient] = ACTIONS(1228),
    [anon_sym_volatile] = ACTIONS(1228),
    [anon_sym_sealed] = ACTIONS(1228),
    [anon_sym_non_DASHsealed] = ACTIONS(1230),
    [anon_sym_record] = ACTIONS(1228),
    [anon_sym_ATinterface] = ACTIONS(1230),
    [anon_sym_interface] = ACTIONS(1228),
    [anon_sym_byte] = ACTIONS(1228),
    [anon_sym_short] = ACTIONS(1228),
    [anon_sym_int] = ACTIONS(1228),
    [anon_sym_long] = ACTIONS(1228),
    [anon_sym_char] = ACTIONS(1228),
    [anon_sym_float] = ACTIONS(1228),
    [anon_sym_double] = ACTIONS(1228),
    [sym_boolean_type] = ACTIONS(1228),
    [sym_void_type] = ACTIONS(1228),
    [sym_this] = ACTIONS(1228),
    [sym_super] = ACTIONS(1228),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_identifier] = ACTIONS(1232),
    [sym_decimal_integer_literal] = ACTIONS(1232),
    [sym_hex_integer_literal] = ACTIONS(1232),
    [sym_octal_integer_literal] = ACTIONS(1232),
    [sym_binary_integer_literal] = ACTIONS(1234),
    [sym_decimal_floating_point_literal] = ACTIONS(1234),
    [sym_hex_floating_point_literal] = ACTIONS(1232),
    [sym_true] = ACTIONS(1232),
    [sym_false] = ACTIONS(1232),
    [sym_character_literal] = ACTIONS(1234),
    [anon_sym_DQUOTE] = ACTIONS(1232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1234),
    [anon_sym_RBRACE] = ACTIONS(1234),
    [sym_null_literal] = ACTIONS(1232),
    [anon_sym_LPAREN] = ACTIONS(1234),
    [anon_sym_PLUS] = ACTIONS(1232),
    [anon_sym_DASH] = ACTIONS(1232),
    [anon_sym_final] = ACTIONS(1232),
    [anon_sym_BANG] = ACTIONS(1234),
    [anon_sym_TILDE] = ACTIONS(1234),
    [anon_sym_PLUS_PLUS] = ACTIONS(1234),
    [anon_sym_DASH_DASH] = ACTIONS(1234),
    [anon_sym_new] = ACTIONS(1232),
    [anon_sym_class] = ACTIONS(1232),
    [anon_sym_switch] = ACTIONS(1232),
    [anon_sym_LBRACE] = ACTIONS(1234),
    [anon_sym_default] = ACTIONS(1232),
    [anon_sym_SEMI] = ACTIONS(1234),
    [anon_sym_assert] = ACTIONS(1232),
    [anon_sym_do] = ACTIONS(1232),
    [anon_sym_while] = ACTIONS(1232),
    [anon_sym_break] = ACTIONS(1232),
    [anon_sym_continue] = ACTIONS(1232),
    [anon_sym_return] = ACTIONS(1232),
    [anon_sym_yield] = ACTIONS(1232),
    [anon_sym_synchronized] = ACTIONS(1232),
    [anon_sym_throw] = ACTIONS(1232),
    [anon_sym_try] = ACTIONS(1232),
    [anon_sym_if] = ACTIONS(1232),
    [anon_sym_for] = ACTIONS(1232),
    [anon_sym_AT] = ACTIONS(1232),
    [anon_sym_open] = ACTIONS(1232),
    [anon_sym_module] = ACTIONS(1232),
    [anon_sym_static] = ACTIONS(1232),
    [anon_sym_with] = ACTIONS(1232),
    [anon_sym_package] = ACTIONS(1232),
    [anon_sym_import] = ACTIONS(1232),
    [anon_sym_enum] = ACTIONS(1232),
    [anon_sym_public] = ACTIONS(1232),
    [anon_sym_protected] = ACTIONS(1232),
    [anon_sym_private] = ACTIONS(1232),
    [anon_sym_abstract] = ACTIONS(1232),
    [anon_sym_strictfp] = ACTIONS(1232),
    [anon_sym_native] = ACTIONS(1232),
    [anon_sym_transient] = ACTIONS(1232),
    [anon_sym_volatile] = ACTIONS(1232),
    [anon_sym_sealed] = ACTIONS(1232),
    [anon_sym_non_DASHsealed] = ACTIONS(1234),
    [anon_sym_record] = ACTIONS(1232),
    [anon_sym_ATinterface] = ACTIONS(1234),
    [anon_sym_interface] = ACTIONS(1232),
    [anon_sym_byte] = ACTIONS(1232),
    [anon_sym_short] = ACTIONS(1232),
    [anon_sym_int] = ACTIONS(1232),
    [anon_sym_long] = ACTIONS(1232),
    [anon_sym_char] = ACTIONS(1232),
    [anon_sym_float] = ACTIONS(1232),
    [anon_sym_double] = ACTIONS(1232),
    [sym_boolean_type] = ACTIONS(1232),
    [sym_void_type] = ACTIONS(1232),
    [sym_this] = ACTIONS(1232),
    [sym_super] = ACTIONS(1232),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_identifier] = ACTIONS(1236),
    [sym_decimal_integer_literal] = ACTIONS(1236),
    [sym_hex_integer_literal] = ACTIONS(1236),
    [sym_octal_integer_literal] = ACTIONS(1236),
    [sym_binary_integer_literal] = ACTIONS(1238),
    [sym_decimal_floating_point_literal] = ACTIONS(1238),
    [sym_hex_floating_point_literal] = ACTIONS(1236),
    [sym_true] = ACTIONS(1236),
    [sym_false] = ACTIONS(1236),
    [sym_character_literal] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1236),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1238),
    [anon_sym_RBRACE] = ACTIONS(1238),
    [sym_null_literal] = ACTIONS(1236),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_PLUS] = ACTIONS(1236),
    [anon_sym_DASH] = ACTIONS(1236),
    [anon_sym_final] = ACTIONS(1236),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_TILDE] = ACTIONS(1238),
    [anon_sym_PLUS_PLUS] = ACTIONS(1238),
    [anon_sym_DASH_DASH] = ACTIONS(1238),
    [anon_sym_new] = ACTIONS(1236),
    [anon_sym_class] = ACTIONS(1236),
    [anon_sym_switch] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(1238),
    [anon_sym_default] = ACTIONS(1236),
    [anon_sym_SEMI] = ACTIONS(1238),
    [anon_sym_assert] = ACTIONS(1236),
    [anon_sym_do] = ACTIONS(1236),
    [anon_sym_while] = ACTIONS(1236),
    [anon_sym_break] = ACTIONS(1236),
    [anon_sym_continue] = ACTIONS(1236),
    [anon_sym_return] = ACTIONS(1236),
    [anon_sym_yield] = ACTIONS(1236),
    [anon_sym_synchronized] = ACTIONS(1236),
    [anon_sym_throw] = ACTIONS(1236),
    [anon_sym_try] = ACTIONS(1236),
    [anon_sym_if] = ACTIONS(1236),
    [anon_sym_for] = ACTIONS(1236),
    [anon_sym_AT] = ACTIONS(1236),
    [anon_sym_open] = ACTIONS(1236),
    [anon_sym_module] = ACTIONS(1236),
    [anon_sym_static] = ACTIONS(1236),
    [anon_sym_with] = ACTIONS(1236),
    [anon_sym_package] = ACTIONS(1236),
    [anon_sym_import] = ACTIONS(1236),
    [anon_sym_enum] = ACTIONS(1236),
    [anon_sym_public] = ACTIONS(1236),
    [anon_sym_protected] = ACTIONS(1236),
    [anon_sym_private] = ACTIONS(1236),
    [anon_sym_abstract] = ACTIONS(1236),
    [anon_sym_strictfp] = ACTIONS(1236),
    [anon_sym_native] = ACTIONS(1236),
    [anon_sym_transient] = ACTIONS(1236),
    [anon_sym_volatile] = ACTIONS(1236),
    [anon_sym_sealed] = ACTIONS(1236),
    [anon_sym_non_DASHsealed] = ACTIONS(1238),
    [anon_sym_record] = ACTIONS(1236),
    [anon_sym_ATinterface] = ACTIONS(1238),
    [anon_sym_interface] = ACTIONS(1236),
    [anon_sym_byte] = ACTIONS(1236),
    [anon_sym_short] = ACTIONS(1236),
    [anon_sym_int] = ACTIONS(1236),
    [anon_sym_long] = ACTIONS(1236),
    [anon_sym_char] = ACTIONS(1236),
    [anon_sym_float] = ACTIONS(1236),
    [anon_sym_double] = ACTIONS(1236),
    [sym_boolean_type] = ACTIONS(1236),
    [sym_void_type] = ACTIONS(1236),
    [sym_this] = ACTIONS(1236),
    [sym_super] = ACTIONS(1236),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_identifier] = ACTIONS(1240),
    [sym_decimal_integer_literal] = ACTIONS(1240),
    [sym_hex_integer_literal] = ACTIONS(1240),
    [sym_octal_integer_literal] = ACTIONS(1240),
    [sym_binary_integer_literal] = ACTIONS(1242),
    [sym_decimal_floating_point_literal] = ACTIONS(1242),
    [sym_hex_floating_point_literal] = ACTIONS(1240),
    [sym_true] = ACTIONS(1240),
    [sym_false] = ACTIONS(1240),
    [sym_character_literal] = ACTIONS(1242),
    [anon_sym_DQUOTE] = ACTIONS(1240),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1242),
    [anon_sym_RBRACE] = ACTIONS(1242),
    [sym_null_literal] = ACTIONS(1240),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [anon_sym_PLUS] = ACTIONS(1240),
    [anon_sym_DASH] = ACTIONS(1240),
    [anon_sym_final] = ACTIONS(1240),
    [anon_sym_BANG] = ACTIONS(1242),
    [anon_sym_TILDE] = ACTIONS(1242),
    [anon_sym_PLUS_PLUS] = ACTIONS(1242),
    [anon_sym_DASH_DASH] = ACTIONS(1242),
    [anon_sym_new] = ACTIONS(1240),
    [anon_sym_class] = ACTIONS(1240),
    [anon_sym_switch] = ACTIONS(1240),
    [anon_sym_LBRACE] = ACTIONS(1242),
    [anon_sym_default] = ACTIONS(1240),
    [anon_sym_SEMI] = ACTIONS(1242),
    [anon_sym_assert] = ACTIONS(1240),
    [anon_sym_do] = ACTIONS(1240),
    [anon_sym_while] = ACTIONS(1240),
    [anon_sym_break] = ACTIONS(1240),
    [anon_sym_continue] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1240),
    [anon_sym_yield] = ACTIONS(1240),
    [anon_sym_synchronized] = ACTIONS(1240),
    [anon_sym_throw] = ACTIONS(1240),
    [anon_sym_try] = ACTIONS(1240),
    [anon_sym_if] = ACTIONS(1240),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_AT] = ACTIONS(1240),
    [anon_sym_open] = ACTIONS(1240),
    [anon_sym_module] = ACTIONS(1240),
    [anon_sym_static] = ACTIONS(1240),
    [anon_sym_with] = ACTIONS(1240),
    [anon_sym_package] = ACTIONS(1240),
    [anon_sym_import] = ACTIONS(1240),
    [anon_sym_enum] = ACTIONS(1240),
    [anon_sym_public] = ACTIONS(1240),
    [anon_sym_protected] = ACTIONS(1240),
    [anon_sym_private] = ACTIONS(1240),
    [anon_sym_abstract] = ACTIONS(1240),
    [anon_sym_strictfp] = ACTIONS(1240),
    [anon_sym_native] = ACTIONS(1240),
    [anon_sym_transient] = ACTIONS(1240),
    [anon_sym_volatile] = ACTIONS(1240),
    [anon_sym_sealed] = ACTIONS(1240),
    [anon_sym_non_DASHsealed] = ACTIONS(1242),
    [anon_sym_record] = ACTIONS(1240),
    [anon_sym_ATinterface] = ACTIONS(1242),
    [anon_sym_interface] = ACTIONS(1240),
    [anon_sym_byte] = ACTIONS(1240),
    [anon_sym_short] = ACTIONS(1240),
    [anon_sym_int] = ACTIONS(1240),
    [anon_sym_long] = ACTIONS(1240),
    [anon_sym_char] = ACTIONS(1240),
    [anon_sym_float] = ACTIONS(1240),
    [anon_sym_double] = ACTIONS(1240),
    [sym_boolean_type] = ACTIONS(1240),
    [sym_void_type] = ACTIONS(1240),
    [sym_this] = ACTIONS(1240),
    [sym_super] = ACTIONS(1240),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_AMP_EQ] = ACTIONS(425),
    [anon_sym_PIPE_EQ] = ACTIONS(425),
    [anon_sym_CARET_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_LT_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LT] = ACTIONS(1244),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(425),
    [anon_sym_AMP_AMP] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_GT_GT_GT] = ACTIONS(423),
    [anon_sym_instanceof] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(1244),
    [anon_sym_DASH_GT] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(1244),
    [anon_sym_COLON_COLON] = ACTIONS(425),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_synchronized] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_public] = ACTIONS(1244),
    [anon_sym_protected] = ACTIONS(1244),
    [anon_sym_private] = ACTIONS(1244),
    [anon_sym_abstract] = ACTIONS(1244),
    [anon_sym_strictfp] = ACTIONS(1244),
    [anon_sym_native] = ACTIONS(1244),
    [anon_sym_transient] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_sealed] = ACTIONS(1244),
    [anon_sym_non_DASHsealed] = ACTIONS(1246),
    [anon_sym_record] = ACTIONS(1244),
    [anon_sym_ATinterface] = ACTIONS(1246),
    [anon_sym_interface] = ACTIONS(1244),
    [anon_sym_byte] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_int] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_char] = ACTIONS(1244),
    [anon_sym_float] = ACTIONS(1244),
    [anon_sym_double] = ACTIONS(1244),
    [sym_boolean_type] = ACTIONS(1244),
    [sym_void_type] = ACTIONS(1244),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_AMP_EQ] = ACTIONS(425),
    [anon_sym_PIPE_EQ] = ACTIONS(425),
    [anon_sym_CARET_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_LT_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(425),
    [anon_sym_AMP_AMP] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_GT_GT_GT] = ACTIONS(423),
    [anon_sym_instanceof] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(1244),
    [anon_sym_DASH_GT] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_class] = ACTIONS(1244),
    [anon_sym_COLON_COLON] = ACTIONS(425),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_synchronized] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1244),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_enum] = ACTIONS(1244),
    [anon_sym_public] = ACTIONS(1244),
    [anon_sym_protected] = ACTIONS(1244),
    [anon_sym_private] = ACTIONS(1244),
    [anon_sym_abstract] = ACTIONS(1244),
    [anon_sym_strictfp] = ACTIONS(1244),
    [anon_sym_native] = ACTIONS(1244),
    [anon_sym_transient] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_sealed] = ACTIONS(1244),
    [anon_sym_non_DASHsealed] = ACTIONS(1246),
    [anon_sym_record] = ACTIONS(1244),
    [anon_sym_ATinterface] = ACTIONS(1246),
    [anon_sym_interface] = ACTIONS(1244),
    [anon_sym_byte] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_int] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_char] = ACTIONS(1244),
    [anon_sym_float] = ACTIONS(1244),
    [anon_sym_double] = ACTIONS(1244),
    [sym_boolean_type] = ACTIONS(1244),
    [sym_void_type] = ACTIONS(1244),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_identifier] = ACTIONS(1244),
    [anon_sym_LPAREN] = ACTIONS(425),
    [anon_sym_RPAREN] = ACTIONS(425),
    [anon_sym_AMP] = ACTIONS(423),
    [anon_sym_EQ] = ACTIONS(423),
    [anon_sym_PLUS_EQ] = ACTIONS(425),
    [anon_sym_DASH_EQ] = ACTIONS(425),
    [anon_sym_STAR_EQ] = ACTIONS(425),
    [anon_sym_SLASH_EQ] = ACTIONS(425),
    [anon_sym_AMP_EQ] = ACTIONS(425),
    [anon_sym_PIPE_EQ] = ACTIONS(425),
    [anon_sym_CARET_EQ] = ACTIONS(425),
    [anon_sym_PERCENT_EQ] = ACTIONS(425),
    [anon_sym_LT_LT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(425),
    [anon_sym_GT] = ACTIONS(423),
    [anon_sym_LT] = ACTIONS(423),
    [anon_sym_GT_EQ] = ACTIONS(425),
    [anon_sym_LT_EQ] = ACTIONS(425),
    [anon_sym_EQ_EQ] = ACTIONS(425),
    [anon_sym_BANG_EQ] = ACTIONS(425),
    [anon_sym_AMP_AMP] = ACTIONS(425),
    [anon_sym_PIPE_PIPE] = ACTIONS(425),
    [anon_sym_PLUS] = ACTIONS(423),
    [anon_sym_DASH] = ACTIONS(423),
    [anon_sym_STAR] = ACTIONS(423),
    [anon_sym_SLASH] = ACTIONS(423),
    [anon_sym_PIPE] = ACTIONS(423),
    [anon_sym_CARET] = ACTIONS(423),
    [anon_sym_PERCENT] = ACTIONS(423),
    [anon_sym_LT_LT] = ACTIONS(423),
    [anon_sym_GT_GT] = ACTIONS(423),
    [anon_sym_GT_GT_GT] = ACTIONS(423),
    [anon_sym_instanceof] = ACTIONS(423),
    [anon_sym_final] = ACTIONS(1244),
    [anon_sym_DASH_GT] = ACTIONS(425),
    [anon_sym_COMMA] = ACTIONS(425),
    [anon_sym_QMARK] = ACTIONS(425),
    [anon_sym_PLUS_PLUS] = ACTIONS(425),
    [anon_sym_DASH_DASH] = ACTIONS(425),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(425),
    [anon_sym_COLON_COLON] = ACTIONS(425),
    [anon_sym_default] = ACTIONS(1244),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym_synchronized] = ACTIONS(1244),
    [anon_sym_AT] = ACTIONS(1246),
    [anon_sym_static] = ACTIONS(1244),
    [anon_sym_public] = ACTIONS(1244),
    [anon_sym_protected] = ACTIONS(1244),
    [anon_sym_private] = ACTIONS(1244),
    [anon_sym_abstract] = ACTIONS(1244),
    [anon_sym_strictfp] = ACTIONS(1244),
    [anon_sym_native] = ACTIONS(1244),
    [anon_sym_transient] = ACTIONS(1244),
    [anon_sym_volatile] = ACTIONS(1244),
    [anon_sym_sealed] = ACTIONS(1244),
    [anon_sym_non_DASHsealed] = ACTIONS(1246),
    [anon_sym_byte] = ACTIONS(1244),
    [anon_sym_short] = ACTIONS(1244),
    [anon_sym_int] = ACTIONS(1244),
    [anon_sym_long] = ACTIONS(1244),
    [anon_sym_char] = ACTIONS(1244),
    [anon_sym_float] = ACTIONS(1244),
    [anon_sym_double] = ACTIONS(1244),
    [sym_boolean_type] = ACTIONS(1244),
    [sym_void_type] = ACTIONS(1244),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [404] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_lambda_expression] = STATE(602),
    [sym_inferred_parameters] = STATE(1384),
    [sym_primary_expression] = STATE(530),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(562),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(562),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1384),
    [sym__reserved_identifier] = STATE(585),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(1248),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(1254),
    [anon_sym_module] = ACTIONS(1254),
    [anon_sym_with] = ACTIONS(1254),
    [anon_sym_sealed] = ACTIONS(1254),
    [anon_sym_record] = ACTIONS(1254),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(1256),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [405] = {
    [sym__literal] = STATE(562),
    [sym_string_literal] = STATE(561),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_lambda_expression] = STATE(602),
    [sym_inferred_parameters] = STATE(1363),
    [sym_primary_expression] = STATE(530),
    [sym_array_creation_expression] = STATE(562),
    [sym_parenthesized_expression] = STATE(562),
    [sym_class_literal] = STATE(562),
    [sym_object_creation_expression] = STATE(562),
    [sym__unqualified_object_creation_expression] = STATE(550),
    [sym_field_access] = STATE(562),
    [sym_template_expression] = STATE(562),
    [sym_array_access] = STATE(562),
    [sym_method_invocation] = STATE(562),
    [sym_method_reference] = STATE(562),
    [sym__annotation] = STATE(789),
    [sym_marker_annotation] = STATE(789),
    [sym_annotation] = STATE(789),
    [sym__type] = STATE(1318),
    [sym__unannotated_type] = STATE(895),
    [sym_annotated_type] = STATE(923),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(843),
    [sym_array_type] = STATE(766),
    [sym_integral_type] = STATE(766),
    [sym_floating_point_type] = STATE(766),
    [sym_formal_parameters] = STATE(1363),
    [sym__reserved_identifier] = STATE(497),
    [aux_sym_array_creation_expression_repeat1] = STATE(789),
    [sym_identifier] = ACTIONS(1258),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(1250),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(1252),
    [anon_sym_AT] = ACTIONS(435),
    [anon_sym_open] = ACTIONS(1254),
    [anon_sym_module] = ACTIONS(1254),
    [anon_sym_with] = ACTIONS(1254),
    [anon_sym_sealed] = ACTIONS(1254),
    [anon_sym_record] = ACTIONS(1254),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(1256),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(425), 26,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(423), 35,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_final,
      anon_sym_COLON,
      anon_sym_default,
      anon_sym_when,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [70] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(425), 26,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(423), 35,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_final,
      anon_sym_COLON,
      anon_sym_default,
      anon_sym_when,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [140] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1262), 1,
      anon_sym_RBRACE,
    ACTIONS(1264), 1,
      anon_sym_SEMI,
    ACTIONS(1266), 1,
      anon_sym_static,
    ACTIONS(1268), 1,
      anon_sym_record,
    STATE(698), 1,
      sym_modifiers,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(788), 1,
      sym__unannotated_type,
    STATE(797), 1,
      sym_type_parameters,
    STATE(1027), 1,
      sym__constructor_declarator,
    STATE(1170), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(410), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [259] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1266), 1,
      anon_sym_static,
    ACTIONS(1268), 1,
      anon_sym_record,
    ACTIONS(1270), 1,
      anon_sym_RBRACE,
    ACTIONS(1272), 1,
      anon_sym_SEMI,
    STATE(698), 1,
      sym_modifiers,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(788), 1,
      sym__unannotated_type,
    STATE(797), 1,
      sym_type_parameters,
    STATE(1027), 1,
      sym__constructor_declarator,
    STATE(1170), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(412), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [378] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1266), 1,
      anon_sym_static,
    ACTIONS(1268), 1,
      anon_sym_record,
    ACTIONS(1272), 1,
      anon_sym_SEMI,
    ACTIONS(1274), 1,
      anon_sym_RBRACE,
    STATE(698), 1,
      sym_modifiers,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(788), 1,
      sym__unannotated_type,
    STATE(797), 1,
      sym_type_parameters,
    STATE(1027), 1,
      sym__constructor_declarator,
    STATE(1170), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(412), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [497] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1260), 1,
      sym_identifier,
    ACTIONS(1266), 1,
      anon_sym_static,
    ACTIONS(1268), 1,
      anon_sym_record,
    ACTIONS(1276), 1,
      anon_sym_RBRACE,
    ACTIONS(1278), 1,
      anon_sym_SEMI,
    STATE(698), 1,
      sym_modifiers,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(788), 1,
      sym__unannotated_type,
    STATE(797), 1,
      sym_type_parameters,
    STATE(1027), 1,
      sym__constructor_declarator,
    STATE(1170), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(409), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [616] = 28,
    ACTIONS(1280), 1,
      sym_identifier,
    ACTIONS(1283), 1,
      anon_sym_RBRACE,
    ACTIONS(1285), 1,
      anon_sym_LT,
    ACTIONS(1291), 1,
      anon_sym_class,
    ACTIONS(1294), 1,
      anon_sym_LBRACE,
    ACTIONS(1297), 1,
      anon_sym_SEMI,
    ACTIONS(1300), 1,
      anon_sym_AT,
    ACTIONS(1303), 1,
      anon_sym_static,
    ACTIONS(1306), 1,
      anon_sym_enum,
    ACTIONS(1309), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1312), 1,
      anon_sym_record,
    ACTIONS(1315), 1,
      anon_sym_ATinterface,
    ACTIONS(1318), 1,
      anon_sym_interface,
    STATE(698), 1,
      sym_modifiers,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(788), 1,
      sym__unannotated_type,
    STATE(797), 1,
      sym_type_parameters,
    STATE(1027), 1,
      sym__constructor_declarator,
    STATE(1170), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1324), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1327), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1321), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1288), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(412), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [735] = 14,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1330), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1332), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(1336), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [824] = 17,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1356), 1,
      anon_sym_RPAREN,
    ACTIONS(1359), 1,
      anon_sym_COMMA,
    ACTIONS(1361), 1,
      anon_sym_DOT,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    STATE(1088), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1354), 2,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1330), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1332), 9,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [917] = 18,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1359), 1,
      anon_sym_COMMA,
    ACTIONS(1361), 1,
      anon_sym_DOT,
    ACTIONS(1365), 1,
      anon_sym_RPAREN,
    ACTIONS(1369), 1,
      anon_sym_AMP,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    STATE(1088), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1354), 2,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1330), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1332), 9,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 12,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1012] = 25,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1268), 1,
      anon_sym_record,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1374), 1,
      anon_sym_RBRACE,
    ACTIONS(1376), 1,
      anon_sym_SEMI,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(737), 1,
      sym_modifiers,
    STATE(767), 1,
      sym_generic_type,
    STATE(791), 1,
      sym__unannotated_type,
    STATE(799), 1,
      sym_type_parameters,
    STATE(1170), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(420), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1119] = 15,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(1384), 1,
      anon_sym_DASH_GT,
    STATE(563), 1,
      sym_argument_list,
    STATE(590), 1,
      sym_record_pattern_body,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1330), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1332), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1382), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [1206] = 25,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1268), 1,
      anon_sym_record,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_RBRACE,
    ACTIONS(1389), 1,
      anon_sym_SEMI,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(737), 1,
      sym_modifiers,
    STATE(767), 1,
      sym_generic_type,
    STATE(791), 1,
      sym__unannotated_type,
    STATE(799), 1,
      sym_type_parameters,
    STATE(1170), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(416), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1313] = 15,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    STATE(563), 1,
      sym_argument_list,
    STATE(590), 1,
      sym_record_pattern_body,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1330), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1332), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [1400] = 25,
    ACTIONS(1391), 1,
      sym_identifier,
    ACTIONS(1394), 1,
      anon_sym_RBRACE,
    ACTIONS(1396), 1,
      anon_sym_LT,
    ACTIONS(1402), 1,
      anon_sym_class,
    ACTIONS(1405), 1,
      anon_sym_SEMI,
    ACTIONS(1408), 1,
      anon_sym_AT,
    ACTIONS(1411), 1,
      anon_sym_enum,
    ACTIONS(1414), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1417), 1,
      anon_sym_record,
    ACTIONS(1420), 1,
      anon_sym_ATinterface,
    ACTIONS(1423), 1,
      anon_sym_interface,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(737), 1,
      sym_modifiers,
    STATE(767), 1,
      sym_generic_type,
    STATE(791), 1,
      sym__unannotated_type,
    STATE(799), 1,
      sym_type_parameters,
    STATE(1170), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1429), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1432), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1426), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(420), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(1399), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1507] = 15,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    ACTIONS(1435), 1,
      anon_sym_COLON,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1330), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1332), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1593] = 15,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    ACTIONS(1437), 1,
      anon_sym_LPAREN,
    STATE(563), 1,
      sym_argument_list,
    STATE(590), 1,
      sym_record_pattern_body,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1330), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1332), 11,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1679] = 15,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    ACTIONS(1439), 1,
      anon_sym_COLON,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1330), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1332), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1765] = 15,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    ACTIONS(1441), 1,
      anon_sym_COLON,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1330), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1332), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1851] = 7,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(1443), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1099), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(423), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
    ACTIONS(425), 26,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [1918] = 21,
    ACTIONS(1445), 1,
      sym_identifier,
    ACTIONS(1448), 1,
      anon_sym_RBRACE,
    ACTIONS(1453), 1,
      anon_sym_class,
    ACTIONS(1456), 1,
      anon_sym_SEMI,
    ACTIONS(1459), 1,
      anon_sym_AT,
    ACTIONS(1462), 1,
      anon_sym_enum,
    ACTIONS(1465), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1468), 1,
      anon_sym_ATinterface,
    ACTIONS(1471), 1,
      anon_sym_interface,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(801), 1,
      sym__unannotated_type,
    STATE(804), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1477), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1480), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1474), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(426), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(1450), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [2012] = 21,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1483), 1,
      anon_sym_RBRACE,
    ACTIONS(1485), 1,
      anon_sym_SEMI,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(801), 1,
      sym__unannotated_type,
    STATE(804), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(428), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [2106] = 21,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1487), 1,
      anon_sym_RBRACE,
    ACTIONS(1489), 1,
      anon_sym_SEMI,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(801), 1,
      sym__unannotated_type,
    STATE(804), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(426), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [2200] = 5,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(515), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1493), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1491), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2261] = 5,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(556), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1497), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1495), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2322] = 8,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    STATE(563), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2389] = 7,
    ACTIONS(1503), 1,
      anon_sym_LBRACK,
    ACTIONS(1506), 1,
      anon_sym_AT,
    STATE(432), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(959), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1499), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1501), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [2453] = 7,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1513), 1,
      anon_sym_LBRACK,
    STATE(432), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(959), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1509), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1511), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [2517] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1517), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1515), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2572] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1493), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1491), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2627] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1513), 1,
      anon_sym_LBRACK,
    STATE(433), 1,
      aux_sym_dimensions_repeat1,
    STATE(476), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(959), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1519), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1521), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [2692] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1513), 1,
      anon_sym_LBRACK,
    STATE(433), 1,
      aux_sym_dimensions_repeat1,
    STATE(476), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(959), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1523), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1525), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [2757] = 13,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(1384), 1,
      anon_sym_DASH_GT,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1382), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1332), 12,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
    ACTIONS(1336), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
  [2832] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1497), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1495), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2887] = 9,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    STATE(563), 1,
      sym_argument_list,
    STATE(590), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [2953] = 5,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3011] = 9,
    ACTIONS(1378), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(1384), 1,
      anon_sym_DASH_GT,
    STATE(563), 1,
      sym_argument_list,
    STATE(590), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1382), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [3077] = 13,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_EQ,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1332), 11,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
  [3150] = 11,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1356), 1,
      anon_sym_RPAREN,
    ACTIONS(1359), 1,
      anon_sym_COMMA,
    STATE(563), 1,
      sym_argument_list,
    STATE(1088), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1332), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(1336), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
  [3219] = 9,
    ACTIONS(1338), 1,
      anon_sym_EQ,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1437), 1,
      anon_sym_LPAREN,
    STATE(563), 1,
      sym_argument_list,
    STATE(590), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1332), 15,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [3284] = 8,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(1384), 1,
      anon_sym_DASH_GT,
    STATE(563), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1382), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [3347] = 8,
    ACTIONS(1529), 1,
      anon_sym_LPAREN,
    ACTIONS(1531), 1,
      anon_sym_LT,
    ACTIONS(1534), 1,
      anon_sym_DOT,
    STATE(461), 1,
      sym_type_arguments,
    STATE(590), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1330), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1354), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [3410] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1540), 1,
      anon_sym_LBRACK,
    STATE(433), 1,
      aux_sym_dimensions_repeat1,
    STATE(547), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(472), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(960), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1538), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1536), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3474] = 6,
    ACTIONS(1529), 1,
      anon_sym_LPAREN,
    ACTIONS(1546), 1,
      anon_sym_DOT,
    STATE(590), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1542), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1544), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [3532] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1540), 1,
      anon_sym_LBRACK,
    STATE(433), 1,
      aux_sym_dimensions_repeat1,
    STATE(541), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(472), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(960), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1550), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1548), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3596] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1540), 1,
      anon_sym_LBRACK,
    STATE(433), 1,
      aux_sym_dimensions_repeat1,
    STATE(538), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(472), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(960), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1554), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1552), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3660] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1540), 1,
      anon_sym_LBRACK,
    STATE(433), 1,
      aux_sym_dimensions_repeat1,
    STATE(513), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(472), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(960), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1558), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1556), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3724] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1560), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1562), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [3775] = 5,
    ACTIONS(1380), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1382), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [3830] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1564), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1566), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [3881] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1568), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1570), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [3932] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1499), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1501), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
  [3983] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1572), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1574), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
  [4034] = 6,
    ACTIONS(1546), 1,
      anon_sym_DOT,
    ACTIONS(1576), 1,
      anon_sym_LT,
    STATE(453), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1542), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1544), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4091] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1579), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1581), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4142] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1583), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1585), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4193] = 8,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1527), 1,
      anon_sym_EQ,
    STATE(563), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1340), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1336), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1332), 14,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [4254] = 4,
    ACTIONS(1587), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(423), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
    ACTIONS(425), 26,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [4307] = 4,
    ACTIONS(1589), 1,
      anon_sym_module,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(423), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(425), 27,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [4360] = 6,
    ACTIONS(1531), 1,
      anon_sym_LT,
    ACTIONS(1534), 1,
      anon_sym_DOT,
    STATE(461), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1330), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1354), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4417] = 4,
    ACTIONS(1546), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1542), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1544), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4469] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1591), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1593), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4519] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 11,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1148), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [4569] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1595), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1597), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4619] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1599), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1601), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4669] = 19,
    ACTIONS(471), 1,
      anon_sym_RPAREN,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(479), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(626), 1,
      aux_sym_modifiers_repeat1,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(782), 1,
      sym__unannotated_type,
    STATE(796), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(833), 1,
      sym_modifiers,
    STATE(1298), 1,
      sym_receiver_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1076), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(718), 3,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(473), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [4751] = 7,
    ACTIONS(1607), 1,
      anon_sym_LBRACK,
    ACTIONS(1610), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(472), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(969), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1605), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1603), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [4809] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1613), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1615), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4859] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1619), 8,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1617), 33,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_to,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [4909] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(742), 11,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(744), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [4959] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1621), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1623), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [5008] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1542), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1544), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [5057] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1625), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1627), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [5106] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1629), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1631), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [5155] = 7,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(1633), 1,
      sym_identifier,
    STATE(596), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1637), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
    ACTIONS(1635), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [5211] = 16,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(479), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(1639), 1,
      anon_sym_RPAREN,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(809), 1,
      sym__unannotated_type,
    STATE(833), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1120), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(473), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [5285] = 7,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(1641), 1,
      sym_identifier,
    STATE(587), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1645), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
    ACTIONS(1643), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [5341] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(479), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(809), 1,
      sym__unannotated_type,
    STATE(833), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1212), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(473), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [5412] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1523), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1525), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [5459] = 16,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(479), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(820), 1,
      sym__unannotated_type,
    STATE(825), 1,
      sym_modifiers,
    STATE(898), 1,
      sym_catch_type,
    STATE(1344), 1,
      sym_catch_formal_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(473), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [5532] = 11,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1336), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [5595] = 6,
    ACTIONS(1649), 1,
      anon_sym_LPAREN,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    STATE(514), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1651), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1647), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5647] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(536), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1657), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1655), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5696] = 5,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(556), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1497), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1495), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5745] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(535), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1663), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1661), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5794] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1667), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1665), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5843] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(539), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1671), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1669), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5892] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(534), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1675), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1673), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5941] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(519), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1679), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1677), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5990] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1683), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1681), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6039] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(568), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1687), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1685), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6088] = 6,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    STATE(563), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1336), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6139] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(567), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1691), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1689), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6188] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(569), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1695), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1693), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6237] = 5,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(515), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1493), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1491), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6286] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(548), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1699), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1697), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6335] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(545), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1703), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1701), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6384] = 7,
    ACTIONS(1712), 1,
      anon_sym_AT,
    ACTIONS(1715), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1707), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(503), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1709), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(1705), 14,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6436] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1720), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1718), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_AT,
  [6480] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(1728), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1724), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(503), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1726), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(1722), 14,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6532] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1732), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1730), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6576] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1566), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1564), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [6620] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1736), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1734), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_AT,
  [6664] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1581), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1579), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [6708] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1740), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1738), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6752] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1570), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1568), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [6796] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1744), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1742), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6840] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1748), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1746), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6883] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1752), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1750), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6926] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1756), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1754), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6969] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1760), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1758), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7012] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1764), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1762), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7055] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1768), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1766), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7098] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1772), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1770), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7141] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1776), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1774), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7184] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1780), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1778), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7227] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1784), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1782), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7270] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1788), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1786), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7313] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1792), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1790), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7356] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1796), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1794), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7399] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1800), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1798), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7442] = 6,
    ACTIONS(1806), 1,
      anon_sym_LBRACK,
    ACTIONS(1808), 1,
      anon_sym_DOT,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1804), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1802), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [7491] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1814), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1812), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7534] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1818), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1816), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7577] = 6,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1824), 1,
      anon_sym_LBRACK,
    ACTIONS(1826), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1822), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1820), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [7626] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1830), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1828), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7669] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1834), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1832), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7712] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1838), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1836), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7755] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1842), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1840), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7798] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1846), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1844), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7841] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1850), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1848), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7884] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1854), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1852), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7927] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1858), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1856), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7970] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1862), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1860), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8013] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1866), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1864), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8056] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1870), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1868), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8099] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1874), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1872), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8142] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1878), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1876), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8185] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1882), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1880), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8228] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1886), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1884), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8271] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1890), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1888), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8314] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1894), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1892), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8357] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1898), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1896), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8400] = 6,
    ACTIONS(1806), 1,
      anon_sym_LBRACK,
    ACTIONS(1808), 1,
      anon_sym_DOT,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(493), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(495), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [8449] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1902), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1900), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8492] = 5,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1246), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1907), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
    ACTIONS(1904), 11,
      anon_sym_AT,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1244), 17,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
  [8539] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1493), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1491), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8582] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1911), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1909), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8625] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1915), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1913), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8668] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1517), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1515), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8711] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1919), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1917), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8754] = 11,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1342), 1,
      anon_sym_LT,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    ACTIONS(1384), 1,
      anon_sym_DASH_GT,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1336), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 17,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
  [8813] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1497), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1495), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8856] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1923), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1921), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8899] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1927), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1925), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8942] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1931), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1929), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8985] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1336), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9028] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1935), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1933), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9071] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1939), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1937), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9114] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1943), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1941), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9157] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1947), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1945), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9200] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1951), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1949), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9243] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1955), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1953), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9286] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1959), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1957), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9329] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1963), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1961), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9372] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1967), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1965), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9415] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1971), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1969), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9458] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1975), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1973), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9501] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1979), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1977), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9544] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1983), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1981), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9587] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1987), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1985), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9630] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1991), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1989), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9673] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1995), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1993), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9716] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1999), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1997), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9758] = 5,
    ACTIONS(662), 1,
      anon_sym_LPAREN,
    STATE(1195), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1246), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1244), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9804] = 5,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    STATE(542), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1246), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1244), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9850] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2003), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2001), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9892] = 7,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(584), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1511), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1509), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [9941] = 7,
    ACTIONS(1506), 1,
      anon_sym_AT,
    ACTIONS(2007), 1,
      anon_sym_LBRACK,
    STATE(584), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1501), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1499), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [9990] = 6,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1384), 1,
      anon_sym_DASH_GT,
    STATE(563), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1336), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1332), 20,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [10037] = 18,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2010), 1,
      sym_identifier,
    ACTIONS(2012), 1,
      anon_sym_final,
    STATE(437), 1,
      sym__unannotated_type,
    STATE(449), 1,
      sym_generic_type,
    STATE(459), 1,
      sym_scoped_type_identifier,
    STATE(480), 1,
      sym__type,
    STATE(484), 1,
      sym_annotated_type,
    STATE(601), 1,
      sym_record_pattern,
    STATE(1221), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2016), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2018), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(477), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(798), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(2014), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [10108] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2022), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2020), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10148] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1804), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1802), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10188] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2026), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2024), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10228] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2030), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2028), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10268] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2034), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2032), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10308] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2038), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2036), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10348] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2042), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2040), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10388] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2046), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2044), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10428] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1804), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1802), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10470] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2052), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2050), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10510] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2056), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2054), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10550] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2060), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2058), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10590] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2064), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2062), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10630] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2068), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2066), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10670] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2072), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2070), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10710] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1822), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1820), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10750] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(493), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(495), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10790] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2076), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2074), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10830] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2080), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2078), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10870] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2076), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2074), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10910] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2084), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2082), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10952] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2088), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2086), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10992] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2092), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2090), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [11032] = 17,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2010), 1,
      sym_identifier,
    STATE(437), 1,
      sym__unannotated_type,
    STATE(449), 1,
      sym_generic_type,
    STATE(459), 1,
      sym_scoped_type_identifier,
    STATE(482), 1,
      sym__type,
    STATE(484), 1,
      sym_annotated_type,
    STATE(611), 1,
      sym_record_pattern,
    STATE(1221), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2016), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2018), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(477), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(798), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(2014), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [11100] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2096), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2094), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11140] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2100), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2098), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [11180] = 5,
    ACTIONS(2105), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2102), 2,
      anon_sym_DASH_GT,
      anon_sym_when,
    ACTIONS(1740), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1738), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [11223] = 9,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2084), 4,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(2082), 16,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11274] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2118), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11343] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2036), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11412] = 6,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2084), 7,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2082), 18,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11457] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2140), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11526] = 12,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2084), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2082), 13,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11583] = 15,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2082), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11646] = 13,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2084), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2082), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11705] = 15,
    ACTIONS(2084), 1,
      anon_sym_PIPE,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2082), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11768] = 7,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2084), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2082), 18,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11815] = 14,
    ACTIONS(2084), 1,
      anon_sym_PIPE,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2082), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11876] = 16,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2082), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11941] = 6,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2144), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(627), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1722), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(2142), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [11985] = 6,
    ACTIONS(2149), 1,
      anon_sym_AT,
    ACTIONS(2152), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(627), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1705), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(2146), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [12029] = 6,
    ACTIONS(2155), 1,
      anon_sym_LPAREN,
    ACTIONS(2157), 1,
      anon_sym_DOT,
    STATE(686), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1651), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1647), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12073] = 22,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2177), 1,
      anon_sym_PIPE,
    ACTIONS(2179), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(2187), 1,
      anon_sym_COMMA,
    ACTIONS(2189), 1,
      anon_sym_QMARK,
    ACTIONS(2191), 1,
      anon_sym_when,
    STATE(979), 1,
      aux_sym_argument_list_repeat1,
    STATE(1286), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2185), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [12149] = 5,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(1338), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1336), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1332), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [12191] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2102), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1740), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1738), 18,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [12230] = 6,
    ACTIONS(2193), 1,
      anon_sym_LPAREN,
    ACTIONS(2195), 1,
      anon_sym_DOT,
    STATE(699), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1651), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1647), 18,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_package,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12273] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1619), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1617), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12310] = 22,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2185), 1,
      anon_sym_COLON,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_when,
    STATE(991), 1,
      aux_sym_argument_list_repeat1,
    STATE(1286), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [12385] = 14,
    ACTIONS(2084), 1,
      anon_sym_PIPE,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2082), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12443] = 6,
    ACTIONS(1806), 1,
      anon_sym_LBRACK,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2201), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(493), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(495), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
  [12485] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1574), 12,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1572), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [12521] = 18,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2177), 1,
      anon_sym_PIPE,
    ACTIONS(2179), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(2189), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2140), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12587] = 18,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2177), 1,
      anon_sym_PIPE,
    ACTIONS(2179), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(2189), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2036), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12653] = 13,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2084), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2082), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12709] = 9,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2084), 4,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(2082), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12757] = 12,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2084), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2082), 10,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12811] = 15,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2177), 1,
      anon_sym_PIPE,
    ACTIONS(2179), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2082), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12871] = 16,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2177), 1,
      anon_sym_PIPE,
    ACTIONS(2179), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2082), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12933] = 6,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2084), 7,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2082), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12975] = 15,
    ACTIONS(2084), 1,
      anon_sym_PIPE,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2179), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2082), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [13035] = 7,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2084), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2082), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [13079] = 18,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2177), 1,
      anon_sym_PIPE,
    ACTIONS(2179), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(2189), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2203), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [13145] = 18,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2177), 1,
      anon_sym_PIPE,
    ACTIONS(2179), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(2189), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2118), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [13211] = 15,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(529), 1,
      sym_underscore_pattern,
    ACTIONS(2205), 1,
      sym_identifier,
    ACTIONS(2207), 1,
      anon_sym_RPAREN,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(841), 1,
      sym__unannotated_type,
    STATE(875), 1,
      sym_generic_type,
    STATE(1221), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1094), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [13271] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(425), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(423), 18,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_package,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13307] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(425), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(423), 18,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_package,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13343] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1619), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1617), 18,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_package,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13379] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2203), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [13445] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2209), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [13511] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1501), 12,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1499), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [13547] = 14,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(529), 1,
      sym_underscore_pattern,
    ACTIONS(2205), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(841), 1,
      sym__unannotated_type,
    STATE(875), 1,
      sym_generic_type,
    STATE(1221), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1198), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [13604] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2211), 1,
      anon_sym_RPAREN,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    STATE(1173), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13673] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2215), 1,
      anon_sym_RPAREN,
    STATE(1085), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13742] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(2219), 1,
      anon_sym_SEMI,
    STATE(1109), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13811] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1939), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1937), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13846] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2221), 1,
      anon_sym_RPAREN,
    STATE(1169), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [13915] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1911), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1909), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13950] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1834), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1832), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13985] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2223), 1,
      anon_sym_RPAREN,
    STATE(1163), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14054] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(491), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(493), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(495), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
  [14091] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2225), 1,
      anon_sym_RPAREN,
    STATE(1114), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14160] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2227), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [14225] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2229), 1,
      anon_sym_RBRACE,
    ACTIONS(2231), 1,
      anon_sym_COMMA,
    STATE(1122), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14294] = 15,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(2233), 1,
      anon_sym_GT,
    ACTIONS(2235), 1,
      anon_sym_QMARK,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1081), 2,
      sym_wildcard,
      sym__type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(779), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [14353] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2237), 1,
      anon_sym_RPAREN,
    STATE(1171), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14422] = 12,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(479), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2239), 1,
      sym_identifier,
    ACTIONS(2241), 1,
      anon_sym_RBRACE,
    ACTIONS(2243), 1,
      anon_sym_COMMA,
    ACTIONS(2245), 1,
      anon_sym_SEMI,
    STATE(1004), 1,
      sym_enum_constant,
    STATE(1353), 1,
      sym_enum_body_declarations,
    STATE(1355), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(473), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [14475] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2247), 1,
      anon_sym_RPAREN,
    STATE(1077), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14544] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2249), 1,
      anon_sym_RPAREN,
    STATE(1133), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14613] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2251), 1,
      anon_sym_RPAREN,
    STATE(1136), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14682] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2253), 1,
      anon_sym_RPAREN,
    STATE(1138), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14751] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2255), 1,
      anon_sym_RPAREN,
    STATE(1139), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14820] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2257), 1,
      anon_sym_RPAREN,
    STATE(1141), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14889] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2259), 1,
      anon_sym_RPAREN,
    STATE(1142), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [14958] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2261), 1,
      anon_sym_RPAREN,
    STATE(1143), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15027] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2263), 1,
      anon_sym_RPAREN,
    STATE(1144), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15096] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2265), 1,
      anon_sym_RPAREN,
    STATE(1150), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15165] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2267), 1,
      anon_sym_RPAREN,
    STATE(1154), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15234] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2269), 1,
      anon_sym_RPAREN,
    STATE(1156), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15303] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2271), 1,
      anon_sym_RPAREN,
    STATE(1157), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15372] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1752), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1750), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [15407] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2273), 1,
      anon_sym_RPAREN,
    STATE(1159), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15476] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2275), 1,
      anon_sym_RPAREN,
    STATE(1160), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15545] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2277), 1,
      anon_sym_RPAREN,
    STATE(1161), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15614] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2279), 1,
      anon_sym_RPAREN,
    STATE(1162), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15683] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2281), 1,
      anon_sym_RPAREN,
    STATE(1182), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15752] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2283), 1,
      anon_sym_RPAREN,
    STATE(1137), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15821] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(2285), 1,
      anon_sym_SEMI,
    STATE(1174), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15890] = 20,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(2287), 1,
      anon_sym_SEMI,
    STATE(1177), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [15959] = 15,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(2235), 1,
      anon_sym_QMARK,
    ACTIONS(2289), 1,
      anon_sym_GT,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1152), 2,
      sym_wildcard,
      sym__type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(779), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16018] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1591), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1593), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16052] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2291), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [16116] = 18,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2293), 1,
      sym_identifier,
    ACTIONS(2295), 1,
      anon_sym_class,
    ACTIONS(2297), 1,
      anon_sym_enum,
    ACTIONS(2299), 1,
      anon_sym_record,
    ACTIONS(2301), 1,
      anon_sym_ATinterface,
    ACTIONS(2303), 1,
      anon_sym_interface,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(784), 1,
      sym__unannotated_type,
    STATE(797), 1,
      sym_type_parameters,
    STATE(1017), 1,
      sym__constructor_declarator,
    STATE(1117), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16180] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1752), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1750), 18,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_package,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [16214] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1939), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1937), 18,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_package,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [16248] = 17,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2305), 1,
      sym_identifier,
    ACTIONS(2307), 1,
      anon_sym_DOT,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2311), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2313), 1,
      sym_this,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1072), 1,
      aux_sym_receiver_parameter_repeat1,
    STATE(1278), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1525), 3,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [16310] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1911), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1909), 18,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_package,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [16344] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1834), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1832), 18,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_package,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [16378] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1595), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1597), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16412] = 11,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(479), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2239), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_SEMI,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    STATE(1135), 1,
      sym_enum_constant,
    STATE(1325), 1,
      sym_enum_body_declarations,
    STATE(1355), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(473), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [16462] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2317), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [16526] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1599), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1601), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16560] = 19,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2319), 1,
      anon_sym_COLON,
    ACTIONS(2321), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [16626] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    STATE(745), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1542), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1544), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16666] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1613), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1615), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16700] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2209), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [16764] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2325), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [16828] = 11,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(479), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2239), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_SEMI,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
    STATE(1135), 1,
      sym_enum_constant,
    STATE(1306), 1,
      sym_enum_body_declarations,
    STATE(1355), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(473), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [16878] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2329), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [16942] = 5,
    ACTIONS(2335), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2333), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2331), 18,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_package,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [16980] = 18,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2159), 1,
      anon_sym_AMP,
    ACTIONS(2167), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2169), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2175), 1,
      anon_sym_SLASH,
    ACTIONS(2177), 1,
      anon_sym_PIPE,
    ACTIONS(2179), 1,
      anon_sym_CARET,
    ACTIONS(2183), 1,
      anon_sym_GT_GT,
    ACTIONS(2189), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2161), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2163), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2165), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2171), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2181), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2338), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [17044] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2340), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [17108] = 5,
    ACTIONS(1246), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2342), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1904), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1244), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [17146] = 14,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(2235), 1,
      anon_sym_QMARK,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1245), 2,
      sym_wildcard,
      sym__type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(779), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17202] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2345), 1,
      anon_sym_DOT,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1330), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1354), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17242] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2347), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17305] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17368] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2351), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17431] = 14,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_open,
    ACTIONS(2355), 1,
      anon_sym_module,
    ACTIONS(2357), 1,
      anon_sym_package,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(826), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17486] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2359), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17549] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2361), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17612] = 17,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(2295), 1,
      anon_sym_class,
    ACTIONS(2297), 1,
      anon_sym_enum,
    ACTIONS(2299), 1,
      anon_sym_record,
    ACTIONS(2301), 1,
      anon_sym_ATinterface,
    ACTIONS(2303), 1,
      anon_sym_interface,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(793), 1,
      sym__unannotated_type,
    STATE(799), 1,
      sym_type_parameters,
    STATE(1117), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17673] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17736] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2365), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17799] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2367), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17862] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [17925] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1629), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1631), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17958] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2371), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18021] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1583), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1585), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [18054] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2373), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18117] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2375), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18180] = 17,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(2295), 1,
      anon_sym_class,
    ACTIONS(2297), 1,
      anon_sym_enum,
    ACTIONS(2299), 1,
      anon_sym_record,
    ACTIONS(2301), 1,
      anon_sym_ATinterface,
    ACTIONS(2303), 1,
      anon_sym_interface,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(786), 1,
      sym__unannotated_type,
    STATE(799), 1,
      sym_type_parameters,
    STATE(1117), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18241] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2377), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18304] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2379), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18367] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2381), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18430] = 14,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1028), 1,
      sym__type,
    STATE(1201), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18485] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1625), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1627), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [18518] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2383), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18581] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18644] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1560), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1562), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [18677] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2387), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18740] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2338), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18803] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18866] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18929] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2393), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18992] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2395), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19055] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2397), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19118] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2399), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19181] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2401), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19244] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2403), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19307] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2405), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19370] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2407), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19433] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2409), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19496] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2411), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19559] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2413), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19622] = 14,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1028), 1,
      sym__type,
    STATE(1206), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19677] = 14,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1028), 1,
      sym__type,
    STATE(1361), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19732] = 18,
    ACTIONS(2112), 1,
      anon_sym_SLASH,
    ACTIONS(2116), 1,
      anon_sym_GT_GT,
    ACTIONS(2120), 1,
      anon_sym_AMP,
    ACTIONS(2128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2130), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2132), 1,
      anon_sym_PIPE,
    ACTIONS(2134), 1,
      anon_sym_CARET,
    ACTIONS(2136), 1,
      anon_sym_instanceof,
    ACTIONS(2138), 1,
      anon_sym_QMARK,
    ACTIONS(2415), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2048), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2108), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2110), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2114), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2122), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2124), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2126), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [19795] = 13,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1086), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19847] = 13,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1118), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19899] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1544), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1542), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [19931] = 4,
    ACTIONS(2323), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1542), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1544), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [19965] = 17,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(1525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2417), 1,
      sym_identifier,
    ACTIONS(2419), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(867), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1059), 1,
      sym__method_declarator,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1369), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20025] = 13,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1244), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20077] = 13,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1038), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20129] = 13,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1057), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20181] = 13,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1185), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20233] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1623), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1621), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [20265] = 13,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(839), 1,
      sym__unannotated_type,
    STATE(923), 1,
      sym_annotated_type,
    STATE(1062), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(789), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20317] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(1525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1369), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20372] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(1525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1048), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1368), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20427] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(479), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2239), 1,
      sym_identifier,
    STATE(1135), 1,
      sym_enum_constant,
    STATE(1355), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(473), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [20468] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(1525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1068), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1368), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20523] = 12,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(2421), 1,
      anon_sym_QMARK,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(826), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20572] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(1525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1066), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1368), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20627] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2423), 1,
      sym_identifier,
    STATE(813), 1,
      sym_type_arguments,
    STATE(1000), 1,
      sym_scoped_type_identifier,
    STATE(1096), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2425), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1194), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20675] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2305), 1,
      sym_identifier,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2311), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2313), 1,
      sym_this,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1072), 1,
      aux_sym_receiver_parameter_repeat1,
    STATE(1278), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20729] = 14,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(2295), 1,
      anon_sym_class,
    ACTIONS(2297), 1,
      anon_sym_enum,
    ACTIONS(2299), 1,
      anon_sym_record,
    ACTIONS(2301), 1,
      anon_sym_ATinterface,
    ACTIONS(2303), 1,
      anon_sym_interface,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(807), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20781] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2417), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(867), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1059), 1,
      sym__method_declarator,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1308), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20835] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2427), 1,
      sym_identifier,
    STATE(812), 1,
      sym_type_arguments,
    STATE(854), 1,
      sym_scoped_type_identifier,
    STATE(862), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2429), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(876), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(787), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20883] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2417), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(867), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1059), 1,
      sym__method_declarator,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1366), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20937] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2431), 1,
      sym_identifier,
    STATE(813), 1,
      sym_type_arguments,
    STATE(847), 1,
      sym_scoped_type_identifier,
    STATE(863), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2433), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(879), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20985] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2417), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(867), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1059), 1,
      sym__method_declarator,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1315), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21039] = 11,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(826), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21085] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2435), 1,
      sym_identifier,
    STATE(813), 1,
      sym_type_arguments,
    STATE(851), 1,
      sym_scoped_type_identifier,
    STATE(865), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2437), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(880), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21133] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2417), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(867), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1059), 1,
      sym__method_declarator,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1328), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21187] = 11,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(857), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21233] = 15,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2417), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(867), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1059), 1,
      sym__method_declarator,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1337), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21287] = 11,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(824), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21333] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2439), 1,
      sym_identifier,
    STATE(812), 1,
      sym_type_arguments,
    STATE(997), 1,
      sym_scoped_type_identifier,
    STATE(1105), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2441), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1301), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(781), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21381] = 11,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(886), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21427] = 11,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2443), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(829), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(794), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21473] = 11,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2445), 1,
      sym_identifier,
    STATE(436), 1,
      sym__unannotated_type,
    STATE(459), 1,
      sym_scoped_type_identifier,
    STATE(466), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2016), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2018), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(477), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2014), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21519] = 11,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(829), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(794), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21565] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2447), 1,
      sym_identifier,
    STATE(812), 1,
      sym_type_arguments,
    STATE(850), 1,
      sym_scoped_type_identifier,
    STATE(864), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2449), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(871), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(790), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21613] = 14,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2451), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(882), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1328), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21664] = 13,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(1525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1340), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21713] = 14,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2309), 1,
      sym_underscore_pattern,
    ACTIONS(2453), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(870), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1366), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21764] = 13,
    ACTIONS(1372), 1,
      sym_identifier,
    ACTIONS(2295), 1,
      anon_sym_class,
    ACTIONS(2297), 1,
      anon_sym_enum,
    ACTIONS(2301), 1,
      anon_sym_ATinterface,
    ACTIONS(2303), 1,
      anon_sym_interface,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(803), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21813] = 13,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1041), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1313), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21862] = 13,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1030), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1313), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21911] = 13,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1337), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21960] = 13,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1067), 1,
      sym__variable_declarator_id,
    STATE(1134), 1,
      sym_variable_declarator,
    STATE(1313), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22009] = 12,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2311), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1278), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22055] = 15,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2455), 1,
      sym_identifier,
    ACTIONS(2457), 1,
      anon_sym_new,
    ACTIONS(2459), 1,
      sym_this,
    ACTIONS(2461), 1,
      sym_super,
    STATE(500), 1,
      sym__reserved_identifier,
    STATE(560), 1,
      sym_string_literal,
    STATE(566), 1,
      sym__unqualified_object_creation_expression,
    STATE(928), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(526), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22107] = 15,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2457), 1,
      anon_sym_new,
    ACTIONS(2463), 1,
      sym_identifier,
    ACTIONS(2465), 1,
      sym_this,
    ACTIONS(2467), 1,
      sym_super,
    STATE(429), 1,
      sym__reserved_identifier,
    STATE(560), 1,
      sym_string_literal,
    STATE(566), 1,
      sym__unqualified_object_creation_expression,
    STATE(928), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(526), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22159] = 10,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2469), 1,
      sym_identifier,
    STATE(1008), 1,
      sym_scoped_type_identifier,
    STATE(1180), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2471), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1237), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(814), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22201] = 10,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2473), 1,
      sym_identifier,
    STATE(1007), 1,
      sym_scoped_type_identifier,
    STATE(1078), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2475), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1279), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(816), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22243] = 10,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2477), 1,
      sym_identifier,
    STATE(999), 1,
      sym_scoped_type_identifier,
    STATE(1119), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2479), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1239), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22285] = 15,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2457), 1,
      anon_sym_new,
    ACTIONS(2463), 1,
      sym_identifier,
    ACTIONS(2465), 1,
      sym_this,
    ACTIONS(2481), 1,
      sym_super,
    STATE(429), 1,
      sym__reserved_identifier,
    STATE(560), 1,
      sym_string_literal,
    STATE(566), 1,
      sym__unqualified_object_creation_expression,
    STATE(905), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(526), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22337] = 10,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2483), 1,
      sym_identifier,
    STATE(995), 1,
      sym_scoped_type_identifier,
    STATE(1087), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2485), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1296), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22379] = 12,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2487), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1253), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22425] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    STATE(745), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1544), 6,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1542), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [22458] = 10,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1350), 1,
      anon_sym_DOT,
    ACTIONS(1354), 1,
      anon_sym_AT,
    STATE(563), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2492), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1330), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22499] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(901), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2494), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22538] = 11,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1334), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22581] = 12,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_DOT,
    ACTIONS(2498), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(1166), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22626] = 12,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_DOT,
    ACTIONS(2500), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(1282), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22671] = 11,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2502), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(1035), 1,
      sym__method_declarator,
    STATE(1295), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22713] = 10,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(820), 1,
      sym__unannotated_type,
    STATE(899), 1,
      sym_catch_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22753] = 7,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1521), 9,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [22787] = 10,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2504), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(571), 1,
      sym_block,
    STATE(734), 1,
      sym_type_arguments,
    STATE(1191), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1354), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1330), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22827] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2510), 1,
      anon_sym_PIPE,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2508), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22863] = 11,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2502), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(1064), 1,
      sym__method_declarator,
    STATE(1295), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22905] = 10,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2504), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(543), 1,
      sym_block,
    STATE(734), 1,
      sym_type_arguments,
    STATE(1191), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1354), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1330), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22945] = 9,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(806), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22982] = 9,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1196), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(835), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23019] = 9,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(817), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [23056] = 9,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1196), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23093] = 9,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1234), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23130] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2514), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(2512), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23155] = 9,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1263), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(834), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23192] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2518), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(2516), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23217] = 7,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1525), 8,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [23250] = 9,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(821), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [23287] = 10,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2500), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(1282), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23326] = 9,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(805), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [23363] = 4,
    ACTIONS(2489), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1544), 6,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1542), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [23390] = 9,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(828), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [23427] = 9,
    ACTIONS(1372), 1,
      sym_identifier,
    STATE(709), 1,
      sym_scoped_type_identifier,
    STATE(767), 1,
      sym_generic_type,
    STATE(808), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(766), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [23464] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(492), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(734), 1,
      sym_type_arguments,
    STATE(1277), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(878), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23506] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(745), 1,
      sym_type_arguments,
    STATE(1261), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(451), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23548] = 4,
    ACTIONS(2524), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2209), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1907), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23574] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(501), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(734), 1,
      sym_type_arguments,
    STATE(1228), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(874), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23616] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(502), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(745), 1,
      sym_type_arguments,
    STATE(1287), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(873), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23658] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(745), 1,
      sym_type_arguments,
    STATE(1261), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(877), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23700] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(492), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(734), 1,
      sym_type_arguments,
    STATE(1277), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(450), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23742] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(501), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(734), 1,
      sym_type_arguments,
    STATE(1228), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(452), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23784] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(502), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(745), 1,
      sym_type_arguments,
    STATE(1287), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(448), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23826] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2504), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(734), 1,
      sym_type_arguments,
    STATE(1264), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1354), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1330), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [23859] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1529), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(590), 1,
      sym_record_pattern_body,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1354), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1330), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [23892] = 10,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2526), 1,
      sym_identifier,
    ACTIONS(2528), 1,
      sym_this,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(1127), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1521), 3,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23929] = 6,
    ACTIONS(1529), 1,
      anon_sym_LPAREN,
    ACTIONS(2530), 1,
      anon_sym_DOT,
    STATE(590), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1544), 3,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
    ACTIONS(1542), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [23957] = 9,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2533), 1,
      sym_identifier,
    STATE(885), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(910), 1,
      sym_requires_modifier,
    STATE(1288), 1,
      sym_scoped_identifier,
    STATE(1292), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2535), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23991] = 9,
    ACTIONS(2537), 1,
      anon_sym_RBRACE,
    ACTIONS(2539), 1,
      anon_sym_requires,
    ACTIONS(2542), 1,
      anon_sym_exports,
    ACTIONS(2545), 1,
      anon_sym_opens,
    ACTIONS(2548), 1,
      anon_sym_uses,
    ACTIONS(2551), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(860), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(972), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [24025] = 9,
    ACTIONS(2554), 1,
      anon_sym_RBRACE,
    ACTIONS(2556), 1,
      anon_sym_requires,
    ACTIONS(2558), 1,
      anon_sym_exports,
    ACTIONS(2560), 1,
      anon_sym_opens,
    ACTIONS(2562), 1,
      anon_sym_uses,
    ACTIONS(2564), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(869), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(972), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [24059] = 10,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(502), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1287), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(448), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24095] = 10,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1261), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(451), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24131] = 10,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(502), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1287), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(873), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24167] = 10,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1261), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(877), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24203] = 7,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(988), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2566), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [24233] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2504), 1,
      anon_sym_LPAREN,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(887), 1,
      sym_formal_parameters,
    STATE(988), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2566), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24267] = 8,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2568), 1,
      sym_identifier,
    STATE(859), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(910), 1,
      sym_requires_modifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2535), 2,
      anon_sym_transitive,
      anon_sym_static,
    STATE(1243), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24299] = 9,
    ACTIONS(2556), 1,
      anon_sym_requires,
    ACTIONS(2558), 1,
      anon_sym_exports,
    ACTIONS(2560), 1,
      anon_sym_opens,
    ACTIONS(2562), 1,
      anon_sym_uses,
    ACTIONS(2564), 1,
      anon_sym_provides,
    ACTIONS(2570), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(860), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(972), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [24333] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2572), 1,
      anon_sym_LPAREN,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(988), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2566), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24364] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(502), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1287), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(873), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24397] = 9,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2463), 1,
      sym_identifier,
    ACTIONS(2465), 1,
      sym_this,
    ACTIONS(2467), 1,
      sym_super,
    STATE(429), 1,
      sym__reserved_identifier,
    STATE(928), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24430] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(547), 1,
      sym_dimensions,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1536), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(472), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24461] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(513), 1,
      sym_dimensions,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1556), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(472), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24492] = 6,
    ACTIONS(1529), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(590), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1544), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1542), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24519] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(502), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1287), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(448), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24552] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(538), 1,
      sym_dimensions,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1552), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(472), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24583] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(541), 1,
      sym_dimensions,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1548), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(472), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24614] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(488), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1261), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(451), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24647] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2520), 1,
      anon_sym_LBRACK,
    STATE(488), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1261), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(877), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(974), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24680] = 9,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2455), 1,
      sym_identifier,
    ACTIONS(2459), 1,
      sym_this,
    ACTIONS(2461), 1,
      sym_super,
    STATE(500), 1,
      sym__reserved_identifier,
    STATE(928), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24713] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2574), 1,
      anon_sym_LPAREN,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(988), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2566), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24744] = 7,
    ACTIONS(1252), 1,
      anon_sym_yield,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1058), 1,
      sym__variable_declarator_id,
    STATE(1275), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24772] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2576), 1,
      anon_sym_default,
    ACTIONS(2578), 1,
      anon_sym_SEMI,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1168), 1,
      sym_dimensions,
    STATE(1383), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24804] = 5,
    STATE(885), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(910), 1,
      sym_requires_modifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2582), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(2580), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24828] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2526), 1,
      sym_identifier,
    ACTIONS(2528), 1,
      sym_this,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    STATE(1127), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24860] = 7,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1176), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2585), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24888] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2587), 1,
      sym_identifier,
    ACTIONS(2589), 1,
      sym_this,
    STATE(489), 1,
      sym__reserved_identifier,
    STATE(926), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24918] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2591), 1,
      sym_identifier,
    ACTIONS(2593), 1,
      sym_this,
    STATE(430), 1,
      sym__reserved_identifier,
    STATE(926), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24948] = 9,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2576), 1,
      anon_sym_default,
    ACTIONS(2595), 1,
      anon_sym_SEMI,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1075), 1,
      sym_dimensions,
    STATE(1330), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24980] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(988), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2566), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25010] = 11,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2599), 1,
      anon_sym_extends,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(269), 1,
      sym_class_body,
    STATE(932), 1,
      sym_type_parameters,
    STATE(981), 1,
      sym_superclass,
    STATE(1021), 1,
      sym_super_interfaces,
    STATE(1273), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25045] = 6,
    ACTIONS(2605), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2609), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2607), 2,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2611), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    ACTIONS(2613), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(900), 4,
      sym__multiline_string_fragment,
      sym_string_interpolation,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [25070] = 6,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2615), 1,
      sym_identifier,
    ACTIONS(2617), 1,
      anon_sym_static,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1205), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25095] = 8,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(1525), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2005), 1,
      anon_sym_LBRACK,
    ACTIONS(2419), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(773), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(971), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25124] = 11,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2599), 1,
      anon_sym_extends,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(270), 1,
      sym_class_body,
    STATE(930), 1,
      sym_type_parameters,
    STATE(963), 1,
      sym_superclass,
    STATE(1023), 1,
      sym_super_interfaces,
    STATE(1299), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25159] = 4,
    ACTIONS(2619), 1,
      anon_sym_PIPE,
    STATE(897), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2508), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [25180] = 6,
    ACTIONS(1252), 1,
      anon_sym_yield,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1357), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25205] = 6,
    ACTIONS(1252), 1,
      anon_sym_yield,
    STATE(866), 1,
      sym__reserved_identifier,
    STATE(1317), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2309), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25230] = 6,
    ACTIONS(2609), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2622), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2607), 2,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2613), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2624), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(902), 4,
      sym__multiline_string_fragment,
      sym_string_interpolation,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [25255] = 4,
    ACTIONS(2496), 1,
      anon_sym_PIPE,
    STATE(897), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2626), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [25276] = 6,
    ACTIONS(2628), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2633), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2613), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2630), 2,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2636), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(902), 4,
      sym__multiline_string_fragment,
      sym_string_interpolation,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [25301] = 6,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2639), 1,
      sym_identifier,
    STATE(1247), 1,
      sym_element_value_pair,
    STATE(1335), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25325] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2641), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1069), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25347] = 6,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2643), 1,
      sym_identifier,
    ACTIONS(2645), 1,
      sym_super,
    STATE(1270), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25371] = 8,
    ACTIONS(2647), 1,
      anon_sym_RBRACE,
    ACTIONS(2649), 1,
      anon_sym_case,
    ACTIONS(2651), 1,
      anon_sym_default,
    STATE(4), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1262), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(937), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
    STATE(954), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [25399] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2653), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1042), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25421] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2655), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1203), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25443] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2657), 9,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [25459] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2659), 9,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [25475] = 5,
    ACTIONS(1252), 1,
      anon_sym_yield,
    ACTIONS(2661), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(628), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(1254), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25497] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2663), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1090), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25519] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2665), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1101), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25541] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2667), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1146), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25563] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2669), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1229), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25585] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2671), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1252), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25607] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2673), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1132), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25629] = 5,
    ACTIONS(2675), 1,
      sym_identifier,
    ACTIONS(2677), 1,
      anon_sym_yield,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(632), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(2679), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25651] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2681), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(487), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25673] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2683), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1040), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25695] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2685), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1147), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25717] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2687), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1145), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25739] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1525), 9,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [25755] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2689), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1251), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25777] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2691), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1200), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25799] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2693), 1,
      sym_identifier,
    STATE(1250), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25820] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2695), 1,
      sym_identifier,
    STATE(1207), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25841] = 5,
    ACTIONS(433), 1,
      anon_sym_yield,
    ACTIONS(2643), 1,
      sym_identifier,
    STATE(1270), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 5,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25862] = 9,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2603), 1,
      anon_sym_permits,
    ACTIONS(2697), 1,
      anon_sym_extends,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(374), 1,
      sym_interface_body,
    STATE(984), 1,
      sym_type_parameters,
    STATE(1018), 1,
      sym_extends_interfaces,
    STATE(1220), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25891] = 9,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2599), 1,
      anon_sym_extends,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(300), 1,
      sym_class_body,
    STATE(946), 1,
      sym_superclass,
    STATE(1043), 1,
      sym_super_interfaces,
    STATE(1211), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25920] = 9,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2603), 1,
      anon_sym_permits,
    ACTIONS(2697), 1,
      anon_sym_extends,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(273), 1,
      sym_interface_body,
    STATE(977), 1,
      sym_type_parameters,
    STATE(1034), 1,
      sym_extends_interfaces,
    STATE(1241), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25949] = 9,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2599), 1,
      anon_sym_extends,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(381), 1,
      sym_class_body,
    STATE(975), 1,
      sym_superclass,
    STATE(1029), 1,
      sym_super_interfaces,
    STATE(1213), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25978] = 6,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(989), 1,
      sym_argument_list,
    STATE(1172), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2701), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26000] = 5,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2703), 1,
      sym_identifier,
    STATE(1258), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(951), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26020] = 7,
    ACTIONS(2705), 1,
      anon_sym_RBRACE,
    ACTIONS(2707), 1,
      anon_sym_case,
    ACTIONS(2710), 1,
      anon_sym_default,
    STATE(4), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1373), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(935), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [26044] = 6,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(1006), 1,
      sym_argument_list,
    STATE(1082), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2713), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26066] = 7,
    ACTIONS(2651), 1,
      anon_sym_default,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    ACTIONS(2717), 1,
      anon_sym_case,
    STATE(4), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1373), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(935), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [26090] = 5,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2703), 1,
      sym_identifier,
    STATE(1128), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(951), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26110] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2719), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [26124] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2721), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [26138] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2723), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [26152] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2725), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [26166] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2727), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [26180] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2729), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26193] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2731), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26206] = 7,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(326), 1,
      sym_class_body,
    STATE(1063), 1,
      sym_super_interfaces,
    STATE(1285), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26229] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2733), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26242] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2733), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26255] = 4,
    ACTIONS(2333), 1,
      anon_sym_LBRACK,
    ACTIONS(2735), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26272] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2733), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26285] = 4,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2738), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26302] = 4,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2740), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26319] = 4,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2742), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(980), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26336] = 6,
    ACTIONS(2649), 1,
      anon_sym_case,
    ACTIONS(2651), 1,
      anon_sym_default,
    ACTIONS(2715), 1,
      anon_sym_RBRACE,
    STATE(1380), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(967), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [26357] = 4,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2744), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26374] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2746), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26387] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2748), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26400] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2750), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26413] = 4,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26430] = 4,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2754), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26447] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2756), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26460] = 6,
    ACTIONS(2758), 1,
      anon_sym_DQUOTE,
    ACTIONS(2760), 1,
      sym_string_fragment,
    ACTIONS(2762), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2764), 1,
      sym_escape_sequence,
    ACTIONS(2613), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(983), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [26481] = 7,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(301), 1,
      sym_class_body,
    STATE(1047), 1,
      sym_super_interfaces,
    STATE(1216), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26504] = 4,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2766), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(968), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26521] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2768), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26534] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2770), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26547] = 6,
    ACTIONS(2772), 1,
      anon_sym_RBRACE,
    ACTIONS(2774), 1,
      anon_sym_case,
    ACTIONS(2777), 1,
      anon_sym_default,
    STATE(1380), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(967), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [26568] = 4,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26585] = 4,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2782), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26602] = 2,
    ACTIONS(2613), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2784), 6,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [26615] = 4,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2786), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26632] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2788), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26645] = 4,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2790), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(955), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26662] = 4,
    ACTIONS(475), 1,
      anon_sym_AT,
    ACTIONS(2792), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(949), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26679] = 7,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(276), 1,
      sym_class_body,
    STATE(1020), 1,
      sym_super_interfaces,
    STATE(1249), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26702] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2794), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26715] = 7,
    ACTIONS(2603), 1,
      anon_sym_permits,
    ACTIONS(2697), 1,
      anon_sym_extends,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_interface_body,
    STATE(1050), 1,
      sym_extends_interfaces,
    STATE(1226), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26738] = 6,
    ACTIONS(2762), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2796), 1,
      anon_sym_DQUOTE,
    ACTIONS(2798), 1,
      sym_string_fragment,
    ACTIONS(2800), 1,
      sym_escape_sequence,
    ACTIONS(2613), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(962), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [26759] = 6,
    ACTIONS(2187), 1,
      anon_sym_COMMA,
    ACTIONS(2191), 1,
      anon_sym_when,
    STATE(990), 1,
      aux_sym_argument_list_repeat1,
    STATE(1215), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2802), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [26780] = 4,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2804), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(715), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26797] = 7,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(382), 1,
      sym_class_body,
    STATE(1031), 1,
      sym_super_interfaces,
    STATE(1222), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26820] = 2,
    ACTIONS(2613), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2806), 6,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [26833] = 6,
    ACTIONS(2808), 1,
      anon_sym_DQUOTE,
    ACTIONS(2810), 1,
      sym_string_fragment,
    ACTIONS(2813), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2816), 1,
      sym_escape_sequence,
    ACTIONS(2613), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(983), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [26854] = 7,
    ACTIONS(2603), 1,
      anon_sym_permits,
    ACTIONS(2697), 1,
      anon_sym_extends,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(266), 1,
      sym_interface_body,
    STATE(1024), 1,
      sym_extends_interfaces,
    STATE(1283), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26877] = 4,
    ACTIONS(435), 1,
      anon_sym_AT,
    ACTIONS(2819), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(952), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26894] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2821), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26907] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(490), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26927] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2823), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [26939] = 4,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(1126), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2825), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26955] = 4,
    ACTIONS(2827), 1,
      anon_sym_COMMA,
    STATE(990), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2203), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [26971] = 6,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(2199), 1,
      anon_sym_when,
    ACTIONS(2802), 1,
      anon_sym_COLON,
    STATE(1009), 1,
      aux_sym_argument_list_repeat1,
    STATE(1215), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26991] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2492), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1332), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [27005] = 4,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(563), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1332), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [27021] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(492), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27041] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(494), 1,
      sym_argument_list,
    STATE(745), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27061] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(501), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27081] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(502), 1,
      sym_argument_list,
    STATE(745), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27101] = 4,
    ACTIONS(2830), 1,
      anon_sym_COMMA,
    STATE(998), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2833), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_permits,
  [27117] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(498), 1,
      sym_argument_list,
    STATE(745), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27137] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    STATE(745), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27157] = 5,
    ACTIONS(2835), 1,
      anon_sym_catch,
    ACTIONS(2837), 1,
      anon_sym_finally,
    STATE(320), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(158), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [27175] = 4,
    STATE(1255), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2839), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    ACTIONS(2841), 2,
      anon_sym_extends,
      sym_super,
  [27191] = 6,
    ACTIONS(2245), 1,
      anon_sym_SEMI,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(2843), 1,
      anon_sym_COMMA,
    STATE(1036), 1,
      aux_sym_enum_body_repeat1,
    STATE(1325), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27211] = 6,
    ACTIONS(2245), 1,
      anon_sym_SEMI,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(2847), 1,
      anon_sym_COMMA,
    STATE(1003), 1,
      aux_sym_enum_body_repeat1,
    STATE(1375), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27231] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(491), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27251] = 4,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(1091), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2849), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27267] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(499), 1,
      sym_argument_list,
    STATE(745), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27287] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(493), 1,
      sym_argument_list,
    STATE(745), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27307] = 4,
    ACTIONS(2851), 1,
      anon_sym_COMMA,
    STATE(1009), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2203), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_when,
  [27323] = 4,
    STATE(1294), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2841), 2,
      anon_sym_extends,
      sym_super,
    ACTIONS(2854), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27339] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(495), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27359] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2506), 1,
      anon_sym_DOT,
    STATE(496), 1,
      sym_argument_list,
    STATE(734), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27379] = 5,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2856), 1,
      anon_sym_RPAREN,
    ACTIONS(2858), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27396] = 3,
    ACTIONS(2860), 1,
      sym_string_fragment,
    ACTIONS(2613), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2784), 3,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      sym_escape_sequence,
  [27409] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_implements,
    STATE(263), 1,
      sym_class_body,
    STATE(1303), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27426] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2862), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27437] = 5,
    ACTIONS(2864), 1,
      anon_sym_LBRACE,
    ACTIONS(2866), 1,
      anon_sym_throws,
    STATE(572), 1,
      sym_constructor_body,
    STATE(1259), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27454] = 5,
    ACTIONS(2603), 1,
      anon_sym_permits,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(268), 1,
      sym_interface_body,
    STATE(1184), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27471] = 4,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(998), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2870), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [27486] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(311), 1,
      sym_class_body,
    STATE(1280), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27503] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(384), 1,
      sym_class_body,
    STATE(1232), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27520] = 4,
    ACTIONS(2191), 1,
      anon_sym_when,
    STATE(1286), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2185), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [27535] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(302), 1,
      sym_class_body,
    STATE(1218), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27552] = 5,
    ACTIONS(2603), 1,
      anon_sym_permits,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(298), 1,
      sym_interface_body,
    STATE(1281), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27569] = 5,
    ACTIONS(2872), 1,
      anon_sym_LPAREN,
    ACTIONS(2874), 1,
      anon_sym_LBRACE,
    STATE(1001), 1,
      sym_block,
    STATE(1199), 1,
      sym_resource_specification,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27586] = 4,
    ACTIONS(2878), 1,
      anon_sym_extends,
    STATE(1276), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2876), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27601] = 5,
    ACTIONS(2864), 1,
      anon_sym_LBRACE,
    ACTIONS(2866), 1,
      anon_sym_throws,
    STATE(544), 1,
      sym_constructor_body,
    STATE(1233), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27618] = 4,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(1019), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2880), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [27633] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(277), 1,
      sym_class_body,
    STATE(1304), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27650] = 4,
    ACTIONS(2882), 1,
      anon_sym_EQ,
    ACTIONS(2886), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2884), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27665] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(279), 1,
      sym_class_body,
    STATE(1269), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27682] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_implements,
    STATE(305), 1,
      sym_class_body,
    STATE(1224), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27699] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2888), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27710] = 5,
    ACTIONS(2603), 1,
      anon_sym_permits,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(308), 1,
      sym_interface_body,
    STATE(1230), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27727] = 4,
    ACTIONS(2866), 1,
      anon_sym_throws,
    STATE(1231), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2890), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27742] = 4,
    ACTIONS(2894), 1,
      anon_sym_COMMA,
    STATE(1036), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2892), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [27757] = 5,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2858), 1,
      anon_sym_AMP,
    ACTIONS(2897), 1,
      anon_sym_RPAREN,
    STATE(1181), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27774] = 4,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(1051), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2899), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27789] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2901), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27800] = 5,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(2903), 1,
      anon_sym_COMMA,
    ACTIONS(2905), 1,
      anon_sym_SEMI,
    STATE(1164), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27817] = 4,
    ACTIONS(2882), 1,
      anon_sym_EQ,
    ACTIONS(2907), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2884), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27832] = 5,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(2909), 1,
      anon_sym_COMMA,
    ACTIONS(2911), 1,
      anon_sym_SEMI,
    STATE(1070), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27849] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(327), 1,
      sym_class_body,
    STATE(1290), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27866] = 5,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_enum_body,
    STATE(1260), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27883] = 5,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2504), 1,
      anon_sym_LPAREN,
    STATE(1015), 1,
      sym_formal_parameters,
    STATE(1227), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27900] = 4,
    ACTIONS(252), 1,
      anon_sym_LT,
    STATE(1186), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2915), 2,
      anon_sym_new,
      sym_identifier,
  [27915] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(329), 1,
      sym_class_body,
    STATE(1300), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27932] = 4,
    ACTIONS(2882), 1,
      anon_sym_EQ,
    ACTIONS(2917), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2884), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27947] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_implements,
    STATE(332), 1,
      sym_class_body,
    STATE(1219), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27964] = 5,
    ACTIONS(2603), 1,
      anon_sym_permits,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_interface_body,
    STATE(1246), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27981] = 4,
    ACTIONS(2868), 1,
      anon_sym_COMMA,
    STATE(998), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2919), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27996] = 4,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    STATE(1052), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2924), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [28011] = 4,
    ACTIONS(2926), 1,
      anon_sym_AMP,
    STATE(1052), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2928), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [28026] = 4,
    ACTIONS(2878), 1,
      anon_sym_extends,
    STATE(1190), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2930), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [28041] = 5,
    ACTIONS(2601), 1,
      anon_sym_implements,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(271), 1,
      sym_enum_body,
    STATE(1193), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28058] = 5,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2504), 1,
      anon_sym_LPAREN,
    STATE(1032), 1,
      sym_formal_parameters,
    STATE(1209), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28075] = 4,
    ACTIONS(2926), 1,
      anon_sym_AMP,
    STATE(1053), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2932), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [28090] = 3,
    ACTIONS(2882), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2884), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28103] = 4,
    ACTIONS(2866), 1,
      anon_sym_throws,
    STATE(1257), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2934), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [28118] = 5,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2936), 1,
      anon_sym_DOT,
    STATE(1338), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28135] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2938), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28146] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2833), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_permits,
  [28157] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2603), 1,
      anon_sym_permits,
    STATE(344), 1,
      sym_class_body,
    STATE(1204), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28174] = 4,
    ACTIONS(2866), 1,
      anon_sym_throws,
    STATE(1271), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2940), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [28189] = 5,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_implements,
    STATE(293), 1,
      sym_class_body,
    STATE(1272), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28206] = 4,
    ACTIONS(2882), 1,
      anon_sym_EQ,
    ACTIONS(2942), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2884), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28221] = 4,
    ACTIONS(2882), 1,
      anon_sym_EQ,
    ACTIONS(2944), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2884), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28236] = 4,
    ACTIONS(2882), 1,
      anon_sym_EQ,
    ACTIONS(2946), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2884), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28251] = 5,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(2903), 1,
      anon_sym_COMMA,
    ACTIONS(2948), 1,
      anon_sym_SEMI,
    STATE(1165), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28268] = 4,
    ACTIONS(2909), 1,
      anon_sym_COMMA,
    ACTIONS(2950), 1,
      anon_sym_SEMI,
    STATE(1178), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28282] = 4,
    ACTIONS(664), 1,
      anon_sym_RPAREN,
    ACTIONS(2952), 1,
      anon_sym_SEMI,
    STATE(1097), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28296] = 4,
    ACTIONS(2526), 1,
      sym_identifier,
    ACTIONS(2528), 1,
      sym_this,
    STATE(1102), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28310] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2954), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [28320] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2227), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28330] = 4,
    ACTIONS(2576), 1,
      anon_sym_default,
    ACTIONS(2956), 1,
      anon_sym_SEMI,
    STATE(1365), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28344] = 4,
    ACTIONS(2958), 1,
      anon_sym_RPAREN,
    ACTIONS(2960), 1,
      anon_sym_COMMA,
    STATE(1115), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28358] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2962), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28372] = 4,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(499), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28386] = 4,
    ACTIONS(2964), 1,
      anon_sym_RBRACE,
    ACTIONS(2966), 1,
      anon_sym_COMMA,
    STATE(1079), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28400] = 4,
    ACTIONS(1806), 1,
      anon_sym_LBRACK,
    ACTIONS(1808), 1,
      anon_sym_DOT,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28414] = 4,
    ACTIONS(2969), 1,
      anon_sym_GT,
    ACTIONS(2971), 1,
      anon_sym_COMMA,
    STATE(1089), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28428] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2973), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28438] = 4,
    ACTIONS(2975), 1,
      anon_sym_RPAREN,
    ACTIONS(2977), 1,
      anon_sym_SEMI,
    STATE(1071), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28452] = 4,
    ACTIONS(2979), 1,
      anon_sym_RPAREN,
    ACTIONS(2981), 1,
      anon_sym_COMMA,
    STATE(1084), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28466] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28480] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2986), 3,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_permits,
  [28490] = 4,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(494), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28504] = 4,
    ACTIONS(1359), 1,
      anon_sym_COMMA,
    ACTIONS(2988), 1,
      anon_sym_RPAREN,
    STATE(1111), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28518] = 4,
    ACTIONS(2971), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_GT,
    STATE(1129), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28532] = 4,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(2992), 1,
      anon_sym_LBRACE,
    STATE(309), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28546] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2994), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28556] = 4,
    ACTIONS(2996), 1,
      anon_sym_RPAREN,
    ACTIONS(2998), 1,
      anon_sym_COMMA,
    STATE(1095), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28570] = 4,
    ACTIONS(2185), 1,
      anon_sym_COLON,
    ACTIONS(2199), 1,
      anon_sym_when,
    STATE(1286), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28584] = 4,
    ACTIONS(3000), 1,
      anon_sym_RPAREN,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    STATE(1155), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28598] = 4,
    ACTIONS(2998), 1,
      anon_sym_COMMA,
    ACTIONS(3004), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28612] = 4,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28626] = 4,
    ACTIONS(3006), 1,
      anon_sym_RPAREN,
    ACTIONS(3008), 1,
      anon_sym_SEMI,
    STATE(1097), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28640] = 4,
    ACTIONS(3011), 1,
      anon_sym_RPAREN,
    ACTIONS(3013), 1,
      anon_sym_COMMA,
    STATE(1098), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28654] = 4,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(2992), 1,
      anon_sym_LBRACE,
    STATE(370), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28668] = 4,
    ACTIONS(523), 1,
      anon_sym_RBRACE,
    ACTIONS(3016), 1,
      anon_sym_COMMA,
    STATE(1079), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28682] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3018), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28694] = 4,
    ACTIONS(3020), 1,
      sym_identifier,
    ACTIONS(3023), 1,
      sym_this,
    STATE(1102), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28708] = 4,
    ACTIONS(3025), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_STAR,
    STATE(1336), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28722] = 4,
    ACTIONS(2317), 1,
      anon_sym_RBRACE,
    ACTIONS(3029), 1,
      anon_sym_COMMA,
    STATE(1104), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28736] = 4,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(502), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28750] = 4,
    ACTIONS(3032), 1,
      anon_sym_RPAREN,
    ACTIONS(3034), 1,
      anon_sym_COMMA,
    STATE(1106), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28764] = 4,
    ACTIONS(2998), 1,
      anon_sym_COMMA,
    ACTIONS(3037), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28778] = 4,
    ACTIONS(2998), 1,
      anon_sym_COMMA,
    ACTIONS(3039), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28792] = 4,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(3041), 1,
      anon_sym_SEMI,
    STATE(1110), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28806] = 4,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_SEMI,
    STATE(1110), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28820] = 4,
    ACTIONS(3048), 1,
      anon_sym_RPAREN,
    ACTIONS(3050), 1,
      anon_sym_COMMA,
    STATE(1111), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28834] = 4,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    ACTIONS(3056), 1,
      anon_sym_SEMI,
    STATE(1112), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28848] = 4,
    ACTIONS(3058), 1,
      anon_sym_COMMA,
    ACTIONS(3060), 1,
      anon_sym_SEMI,
    STATE(1179), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28862] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3062), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28876] = 4,
    ACTIONS(1639), 1,
      anon_sym_RPAREN,
    ACTIONS(2960), 1,
      anon_sym_COMMA,
    STATE(1106), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28890] = 4,
    ACTIONS(2960), 1,
      anon_sym_COMMA,
    ACTIONS(3064), 1,
      anon_sym_RPAREN,
    STATE(1106), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28904] = 4,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(3066), 1,
      anon_sym_SEMI,
    STATE(394), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28918] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2924), 3,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
  [28928] = 4,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(498), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28942] = 4,
    ACTIONS(2960), 1,
      anon_sym_COMMA,
    ACTIONS(3068), 1,
      anon_sym_RPAREN,
    STATE(1116), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28956] = 4,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(3070), 1,
      anon_sym_DOT,
    STATE(1364), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28970] = 4,
    ACTIONS(537), 1,
      anon_sym_RBRACE,
    ACTIONS(3072), 1,
      anon_sym_COMMA,
    STATE(1104), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28984] = 4,
    ACTIONS(2998), 1,
      anon_sym_COMMA,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    STATE(1131), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28998] = 4,
    ACTIONS(3076), 1,
      anon_sym_RBRACE,
    ACTIONS(3078), 1,
      anon_sym_COMMA,
    STATE(1100), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29012] = 4,
    ACTIONS(2858), 1,
      anon_sym_AMP,
    ACTIONS(3080), 1,
      anon_sym_RPAREN,
    STATE(1153), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29026] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3082), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29036] = 4,
    ACTIONS(2526), 1,
      sym_identifier,
    ACTIONS(3084), 1,
      sym_this,
    STATE(1102), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29050] = 4,
    ACTIONS(3086), 1,
      anon_sym_GT,
    ACTIONS(3088), 1,
      anon_sym_COMMA,
    STATE(1175), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29064] = 4,
    ACTIONS(3090), 1,
      anon_sym_GT,
    ACTIONS(3092), 1,
      anon_sym_COMMA,
    STATE(1129), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29078] = 4,
    ACTIONS(2971), 1,
      anon_sym_COMMA,
    ACTIONS(3095), 1,
      anon_sym_GT,
    STATE(1129), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29092] = 4,
    ACTIONS(2998), 1,
      anon_sym_COMMA,
    ACTIONS(3097), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29106] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3099), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29118] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29132] = 4,
    ACTIONS(3058), 1,
      anon_sym_COMMA,
    ACTIONS(3103), 1,
      anon_sym_SEMI,
    STATE(1113), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29146] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2892), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29156] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3105), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29170] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3107), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29184] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3109), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29198] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3111), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29212] = 4,
    ACTIONS(3113), 1,
      anon_sym_RPAREN,
    ACTIONS(3115), 1,
      anon_sym_COMMA,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29226] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3118), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29240] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3120), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29254] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3122), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29268] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3124), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29282] = 4,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3126), 1,
      anon_sym_SEMI,
    ACTIONS(3128), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29296] = 4,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(2992), 1,
      anon_sym_LBRACE,
    STATE(258), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29310] = 4,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3130), 1,
      anon_sym_SEMI,
    ACTIONS(3132), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29324] = 4,
    ACTIONS(2229), 1,
      anon_sym_RBRACE,
    ACTIONS(2231), 1,
      anon_sym_COMMA,
    STATE(1122), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29338] = 4,
    ACTIONS(3134), 1,
      anon_sym_GT,
    ACTIONS(3136), 1,
      anon_sym_COMMA,
    STATE(1149), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29352] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3139), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29366] = 4,
    ACTIONS(3025), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_STAR,
    STATE(1370), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29380] = 4,
    ACTIONS(2971), 1,
      anon_sym_COMMA,
    ACTIONS(3141), 1,
      anon_sym_GT,
    STATE(1130), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29394] = 4,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    ACTIONS(3145), 1,
      anon_sym_AMP,
    STATE(1153), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29408] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3148), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29422] = 4,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3150), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29436] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3152), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29450] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3154), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29464] = 4,
    ACTIONS(2245), 1,
      anon_sym_SEMI,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    STATE(1375), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29478] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3156), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29492] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3158), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29506] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3160), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29520] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3162), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29534] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3164), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29548] = 4,
    ACTIONS(2903), 1,
      anon_sym_COMMA,
    ACTIONS(3166), 1,
      anon_sym_SEMI,
    STATE(1112), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29562] = 4,
    ACTIONS(2903), 1,
      anon_sym_COMMA,
    ACTIONS(3168), 1,
      anon_sym_SEMI,
    STATE(1112), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29576] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3170), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [29586] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3172), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [29596] = 4,
    ACTIONS(2576), 1,
      anon_sym_default,
    ACTIONS(3174), 1,
      anon_sym_SEMI,
    STATE(1351), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29610] = 4,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    ACTIONS(3176), 1,
      anon_sym_RPAREN,
    STATE(1009), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29624] = 4,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(3178), 1,
      anon_sym_SEMI,
    STATE(390), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29638] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3180), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29652] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3182), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29662] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3184), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29676] = 4,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(3186), 1,
      anon_sym_SEMI,
    STATE(1110), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29690] = 4,
    ACTIONS(3088), 1,
      anon_sym_COMMA,
    ACTIONS(3188), 1,
      anon_sym_GT,
    STATE(1149), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29704] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3190), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
  [29714] = 4,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(3192), 1,
      anon_sym_SEMI,
    STATE(1110), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29728] = 4,
    ACTIONS(3194), 1,
      anon_sym_COMMA,
    ACTIONS(3197), 1,
      anon_sym_SEMI,
    STATE(1178), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29742] = 4,
    ACTIONS(3199), 1,
      anon_sym_COMMA,
    ACTIONS(3202), 1,
      anon_sym_SEMI,
    STATE(1179), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29756] = 4,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    ACTIONS(2522), 1,
      anon_sym_DOT,
    STATE(493), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29770] = 4,
    ACTIONS(2858), 1,
      anon_sym_AMP,
    ACTIONS(3204), 1,
      anon_sym_RPAREN,
    STATE(1153), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29784] = 4,
    ACTIONS(2213), 1,
      anon_sym_COMMA,
    ACTIONS(3206), 1,
      anon_sym_RPAREN,
    STATE(1140), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29798] = 3,
    ACTIONS(662), 1,
      anon_sym_LPAREN,
    STATE(26), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29809] = 3,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(299), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29820] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3208), 2,
      anon_sym_RPAREN,
      anon_sym_AMP,
  [29829] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3210), 2,
      anon_sym_new,
      sym_identifier,
  [29838] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3212), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29847] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3006), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [29856] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3214), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29865] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3216), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [29874] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3218), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [29883] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2317), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [29892] = 3,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(304), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29903] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(488), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29914] = 3,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    STATE(317), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29925] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3220), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29934] = 3,
    ACTIONS(662), 1,
      anon_sym_LPAREN,
    STATE(46), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29945] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3011), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29954] = 3,
    ACTIONS(2874), 1,
      anon_sym_LBRACE,
    STATE(160), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29965] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3222), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29976] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3224), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [29985] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3226), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29994] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3228), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30005] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(358), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30016] = 3,
    ACTIONS(3230), 1,
      anon_sym_DOT,
    ACTIONS(3232), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30027] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3234), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [30036] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3048), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30045] = 3,
    ACTIONS(3236), 1,
      anon_sym_LBRACE,
    STATE(373), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30056] = 3,
    ACTIONS(2504), 1,
      anon_sym_LPAREN,
    STATE(1049), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30067] = 3,
    ACTIONS(3238), 1,
      sym_identifier,
    ACTIONS(3240), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30078] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(328), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30089] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3032), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30098] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(278), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30109] = 3,
    ACTIONS(3242), 1,
      sym_identifier,
    ACTIONS(3244), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30120] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3246), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [30129] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(330), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30140] = 3,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2936), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30151] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(331), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30162] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(348), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30173] = 3,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(267), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30184] = 3,
    ACTIONS(1529), 1,
      anon_sym_LPAREN,
    STATE(590), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30195] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(280), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30206] = 3,
    ACTIONS(662), 1,
      anon_sym_LPAREN,
    STATE(1331), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30217] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30228] = 3,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30239] = 3,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(334), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30250] = 3,
    ACTIONS(2504), 1,
      anon_sym_LPAREN,
    STATE(1065), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30261] = 3,
    ACTIONS(521), 1,
      anon_sym_LBRACE,
    STATE(578), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30272] = 3,
    ACTIONS(3248), 1,
      anon_sym_DOT,
    ACTIONS(3250), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30283] = 3,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(336), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30294] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3252), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [30303] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(281), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30314] = 3,
    ACTIONS(2864), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30325] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3254), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30334] = 3,
    ACTIONS(662), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30345] = 3,
    ACTIONS(662), 1,
      anon_sym_LPAREN,
    STATE(48), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30356] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(493), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30367] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3256), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30376] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(498), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30387] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3258), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30398] = 3,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(307), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30409] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3260), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30418] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3262), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30429] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3264), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30438] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3090), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30447] = 3,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(349), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30458] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2979), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30467] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(1362), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30478] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30489] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(525), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30500] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3266), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30511] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3268), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30522] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3270), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30531] = 3,
    ACTIONS(3236), 1,
      anon_sym_LBRACE,
    STATE(272), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30542] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3272), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30551] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3274), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [30560] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3276), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [30569] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3134), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30578] = 3,
    ACTIONS(2864), 1,
      anon_sym_LBRACE,
    STATE(521), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30589] = 3,
    ACTIONS(2913), 1,
      anon_sym_LBRACE,
    STATE(262), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30600] = 3,
    ACTIONS(521), 1,
      anon_sym_LBRACE,
    STATE(537), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30611] = 3,
    ACTIONS(3278), 1,
      anon_sym_DASH_GT,
    ACTIONS(3280), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30622] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3282), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30631] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3284), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [30640] = 3,
    ACTIONS(662), 1,
      anon_sym_LPAREN,
    STATE(1293), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30651] = 3,
    ACTIONS(662), 1,
      anon_sym_LPAREN,
    STATE(75), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30662] = 3,
    ACTIONS(662), 1,
      anon_sym_LPAREN,
    STATE(76), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30673] = 3,
    ACTIONS(1208), 1,
      anon_sym_while,
    ACTIONS(3286), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30684] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30695] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(559), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30706] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3288), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [30715] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(324), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30726] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(385), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30737] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3290), 2,
      sym_this,
      sym_super,
  [30746] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3292), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [30755] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3294), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30764] = 3,
    ACTIONS(521), 1,
      anon_sym_LBRACE,
    STATE(540), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30775] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3296), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30784] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(499), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30795] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30806] = 3,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(325), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30817] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3298), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30826] = 3,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    STATE(297), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30837] = 3,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3300), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30848] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(345), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30859] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2802), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [30868] = 3,
    ACTIONS(521), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30879] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3302), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30890] = 3,
    ACTIONS(2874), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30901] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(346), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30912] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(1327), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30923] = 3,
    ACTIONS(1653), 1,
      anon_sym_DOT,
    ACTIONS(3304), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30934] = 3,
    ACTIONS(3306), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym_switch_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30945] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2839), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30954] = 3,
    ACTIONS(2504), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30965] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(494), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30976] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2964), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [30985] = 3,
    ACTIONS(2958), 1,
      anon_sym_RPAREN,
    ACTIONS(3308), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30996] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31007] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(347), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31018] = 3,
    ACTIONS(1334), 1,
      anon_sym_LPAREN,
    STATE(502), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31029] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3023), 2,
      sym_this,
      sym_identifier,
  [31038] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31049] = 3,
    ACTIONS(1659), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31060] = 2,
    ACTIONS(3310), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31068] = 2,
    ACTIONS(3312), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31076] = 2,
    ACTIONS(3314), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31084] = 2,
    ACTIONS(3316), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31092] = 2,
    ACTIONS(3318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31100] = 2,
    ACTIONS(3320), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31108] = 2,
    ACTIONS(3322), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31116] = 2,
    ACTIONS(3324), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31124] = 2,
    ACTIONS(3326), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31132] = 2,
    ACTIONS(3076), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31140] = 2,
    ACTIONS(3328), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31148] = 2,
    ACTIONS(2229), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31156] = 2,
    ACTIONS(3330), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31164] = 2,
    ACTIONS(1810), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31172] = 2,
    ACTIONS(3332), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31180] = 2,
    ACTIONS(583), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31188] = 2,
    ACTIONS(603), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31196] = 2,
    ACTIONS(3334), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31204] = 2,
    ACTIONS(3070), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31212] = 2,
    ACTIONS(3336), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31220] = 2,
    ACTIONS(2327), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31228] = 2,
    ACTIONS(3338), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31236] = 2,
    ACTIONS(3340), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31244] = 2,
    ACTIONS(3342), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31252] = 2,
    ACTIONS(3344), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31260] = 2,
    ACTIONS(3346), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31268] = 2,
    ACTIONS(3348), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31276] = 2,
    ACTIONS(3350), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31284] = 2,
    ACTIONS(3037), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31292] = 2,
    ACTIONS(3352), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31300] = 2,
    ACTIONS(3354), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31308] = 2,
    ACTIONS(3356), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31316] = 2,
    ACTIONS(3358), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31324] = 2,
    ACTIONS(3360), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31332] = 2,
    ACTIONS(2996), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31340] = 2,
    ACTIONS(3362), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31348] = 2,
    ACTIONS(3364), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31356] = 2,
    ACTIONS(3366), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31364] = 2,
    ACTIONS(3368), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31372] = 2,
    ACTIONS(3370), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31380] = 2,
    ACTIONS(3372), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31388] = 2,
    ACTIONS(3374), 1,
      anon_sym_module,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31396] = 2,
    ACTIONS(3376), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31404] = 2,
    ACTIONS(3378), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31412] = 2,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31420] = 2,
    ACTIONS(3380), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31428] = 2,
    ACTIONS(3382), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31436] = 2,
    ACTIONS(3384), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31444] = 2,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31452] = 2,
    ACTIONS(555), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31460] = 2,
    ACTIONS(3386), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31468] = 2,
    ACTIONS(3388), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31476] = 2,
    ACTIONS(3390), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31484] = 2,
    ACTIONS(3392), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31492] = 2,
    ACTIONS(3394), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31500] = 2,
    ACTIONS(2597), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31508] = 2,
    ACTIONS(3396), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31516] = 2,
    ACTIONS(3398), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31524] = 2,
    ACTIONS(1345), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31532] = 2,
    ACTIONS(3400), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31540] = 2,
    ACTIONS(3402), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31548] = 2,
    ACTIONS(3404), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31556] = 2,
    ACTIONS(651), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31564] = 2,
    ACTIONS(3406), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31572] = 2,
    ACTIONS(3408), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31580] = 2,
    ACTIONS(3410), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31588] = 2,
    ACTIONS(3412), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31596] = 2,
    ACTIONS(3414), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31604] = 2,
    ACTIONS(3280), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31612] = 2,
    ACTIONS(3416), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31620] = 2,
    ACTIONS(2315), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31628] = 2,
    ACTIONS(3418), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31636] = 2,
    ACTIONS(3420), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31644] = 2,
    ACTIONS(3422), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31652] = 2,
    ACTIONS(3424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31660] = 2,
    ACTIONS(3278), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31668] = 2,
    ACTIONS(3426), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31676] = 2,
    ACTIONS(3025), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31684] = 2,
    ACTIONS(3428), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31692] = 2,
    ACTIONS(3430), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(406)] = 0,
  [SMALL_STATE(407)] = 70,
  [SMALL_STATE(408)] = 140,
  [SMALL_STATE(409)] = 259,
  [SMALL_STATE(410)] = 378,
  [SMALL_STATE(411)] = 497,
  [SMALL_STATE(412)] = 616,
  [SMALL_STATE(413)] = 735,
  [SMALL_STATE(414)] = 824,
  [SMALL_STATE(415)] = 917,
  [SMALL_STATE(416)] = 1012,
  [SMALL_STATE(417)] = 1119,
  [SMALL_STATE(418)] = 1206,
  [SMALL_STATE(419)] = 1313,
  [SMALL_STATE(420)] = 1400,
  [SMALL_STATE(421)] = 1507,
  [SMALL_STATE(422)] = 1593,
  [SMALL_STATE(423)] = 1679,
  [SMALL_STATE(424)] = 1765,
  [SMALL_STATE(425)] = 1851,
  [SMALL_STATE(426)] = 1918,
  [SMALL_STATE(427)] = 2012,
  [SMALL_STATE(428)] = 2106,
  [SMALL_STATE(429)] = 2200,
  [SMALL_STATE(430)] = 2261,
  [SMALL_STATE(431)] = 2322,
  [SMALL_STATE(432)] = 2389,
  [SMALL_STATE(433)] = 2453,
  [SMALL_STATE(434)] = 2517,
  [SMALL_STATE(435)] = 2572,
  [SMALL_STATE(436)] = 2627,
  [SMALL_STATE(437)] = 2692,
  [SMALL_STATE(438)] = 2757,
  [SMALL_STATE(439)] = 2832,
  [SMALL_STATE(440)] = 2887,
  [SMALL_STATE(441)] = 2953,
  [SMALL_STATE(442)] = 3011,
  [SMALL_STATE(443)] = 3077,
  [SMALL_STATE(444)] = 3150,
  [SMALL_STATE(445)] = 3219,
  [SMALL_STATE(446)] = 3284,
  [SMALL_STATE(447)] = 3347,
  [SMALL_STATE(448)] = 3410,
  [SMALL_STATE(449)] = 3474,
  [SMALL_STATE(450)] = 3532,
  [SMALL_STATE(451)] = 3596,
  [SMALL_STATE(452)] = 3660,
  [SMALL_STATE(453)] = 3724,
  [SMALL_STATE(454)] = 3775,
  [SMALL_STATE(455)] = 3830,
  [SMALL_STATE(456)] = 3881,
  [SMALL_STATE(457)] = 3932,
  [SMALL_STATE(458)] = 3983,
  [SMALL_STATE(459)] = 4034,
  [SMALL_STATE(460)] = 4091,
  [SMALL_STATE(461)] = 4142,
  [SMALL_STATE(462)] = 4193,
  [SMALL_STATE(463)] = 4254,
  [SMALL_STATE(464)] = 4307,
  [SMALL_STATE(465)] = 4360,
  [SMALL_STATE(466)] = 4417,
  [SMALL_STATE(467)] = 4469,
  [SMALL_STATE(468)] = 4519,
  [SMALL_STATE(469)] = 4569,
  [SMALL_STATE(470)] = 4619,
  [SMALL_STATE(471)] = 4669,
  [SMALL_STATE(472)] = 4751,
  [SMALL_STATE(473)] = 4809,
  [SMALL_STATE(474)] = 4859,
  [SMALL_STATE(475)] = 4909,
  [SMALL_STATE(476)] = 4959,
  [SMALL_STATE(477)] = 5008,
  [SMALL_STATE(478)] = 5057,
  [SMALL_STATE(479)] = 5106,
  [SMALL_STATE(480)] = 5155,
  [SMALL_STATE(481)] = 5211,
  [SMALL_STATE(482)] = 5285,
  [SMALL_STATE(483)] = 5341,
  [SMALL_STATE(484)] = 5412,
  [SMALL_STATE(485)] = 5459,
  [SMALL_STATE(486)] = 5532,
  [SMALL_STATE(487)] = 5595,
  [SMALL_STATE(488)] = 5647,
  [SMALL_STATE(489)] = 5696,
  [SMALL_STATE(490)] = 5745,
  [SMALL_STATE(491)] = 5794,
  [SMALL_STATE(492)] = 5843,
  [SMALL_STATE(493)] = 5892,
  [SMALL_STATE(494)] = 5941,
  [SMALL_STATE(495)] = 5990,
  [SMALL_STATE(496)] = 6039,
  [SMALL_STATE(497)] = 6088,
  [SMALL_STATE(498)] = 6139,
  [SMALL_STATE(499)] = 6188,
  [SMALL_STATE(500)] = 6237,
  [SMALL_STATE(501)] = 6286,
  [SMALL_STATE(502)] = 6335,
  [SMALL_STATE(503)] = 6384,
  [SMALL_STATE(504)] = 6436,
  [SMALL_STATE(505)] = 6480,
  [SMALL_STATE(506)] = 6532,
  [SMALL_STATE(507)] = 6576,
  [SMALL_STATE(508)] = 6620,
  [SMALL_STATE(509)] = 6664,
  [SMALL_STATE(510)] = 6708,
  [SMALL_STATE(511)] = 6752,
  [SMALL_STATE(512)] = 6796,
  [SMALL_STATE(513)] = 6840,
  [SMALL_STATE(514)] = 6883,
  [SMALL_STATE(515)] = 6926,
  [SMALL_STATE(516)] = 6969,
  [SMALL_STATE(517)] = 7012,
  [SMALL_STATE(518)] = 7055,
  [SMALL_STATE(519)] = 7098,
  [SMALL_STATE(520)] = 7141,
  [SMALL_STATE(521)] = 7184,
  [SMALL_STATE(522)] = 7227,
  [SMALL_STATE(523)] = 7270,
  [SMALL_STATE(524)] = 7313,
  [SMALL_STATE(525)] = 7356,
  [SMALL_STATE(526)] = 7399,
  [SMALL_STATE(527)] = 7442,
  [SMALL_STATE(528)] = 7491,
  [SMALL_STATE(529)] = 7534,
  [SMALL_STATE(530)] = 7577,
  [SMALL_STATE(531)] = 7626,
  [SMALL_STATE(532)] = 7669,
  [SMALL_STATE(533)] = 7712,
  [SMALL_STATE(534)] = 7755,
  [SMALL_STATE(535)] = 7798,
  [SMALL_STATE(536)] = 7841,
  [SMALL_STATE(537)] = 7884,
  [SMALL_STATE(538)] = 7927,
  [SMALL_STATE(539)] = 7970,
  [SMALL_STATE(540)] = 8013,
  [SMALL_STATE(541)] = 8056,
  [SMALL_STATE(542)] = 8099,
  [SMALL_STATE(543)] = 8142,
  [SMALL_STATE(544)] = 8185,
  [SMALL_STATE(545)] = 8228,
  [SMALL_STATE(546)] = 8271,
  [SMALL_STATE(547)] = 8314,
  [SMALL_STATE(548)] = 8357,
  [SMALL_STATE(549)] = 8400,
  [SMALL_STATE(550)] = 8449,
  [SMALL_STATE(551)] = 8492,
  [SMALL_STATE(552)] = 8539,
  [SMALL_STATE(553)] = 8582,
  [SMALL_STATE(554)] = 8625,
  [SMALL_STATE(555)] = 8668,
  [SMALL_STATE(556)] = 8711,
  [SMALL_STATE(557)] = 8754,
  [SMALL_STATE(558)] = 8813,
  [SMALL_STATE(559)] = 8856,
  [SMALL_STATE(560)] = 8899,
  [SMALL_STATE(561)] = 8942,
  [SMALL_STATE(562)] = 8985,
  [SMALL_STATE(563)] = 9028,
  [SMALL_STATE(564)] = 9071,
  [SMALL_STATE(565)] = 9114,
  [SMALL_STATE(566)] = 9157,
  [SMALL_STATE(567)] = 9200,
  [SMALL_STATE(568)] = 9243,
  [SMALL_STATE(569)] = 9286,
  [SMALL_STATE(570)] = 9329,
  [SMALL_STATE(571)] = 9372,
  [SMALL_STATE(572)] = 9415,
  [SMALL_STATE(573)] = 9458,
  [SMALL_STATE(574)] = 9501,
  [SMALL_STATE(575)] = 9544,
  [SMALL_STATE(576)] = 9587,
  [SMALL_STATE(577)] = 9630,
  [SMALL_STATE(578)] = 9673,
  [SMALL_STATE(579)] = 9716,
  [SMALL_STATE(580)] = 9758,
  [SMALL_STATE(581)] = 9804,
  [SMALL_STATE(582)] = 9850,
  [SMALL_STATE(583)] = 9892,
  [SMALL_STATE(584)] = 9941,
  [SMALL_STATE(585)] = 9990,
  [SMALL_STATE(586)] = 10037,
  [SMALL_STATE(587)] = 10108,
  [SMALL_STATE(588)] = 10148,
  [SMALL_STATE(589)] = 10188,
  [SMALL_STATE(590)] = 10228,
  [SMALL_STATE(591)] = 10268,
  [SMALL_STATE(592)] = 10308,
  [SMALL_STATE(593)] = 10348,
  [SMALL_STATE(594)] = 10388,
  [SMALL_STATE(595)] = 10428,
  [SMALL_STATE(596)] = 10470,
  [SMALL_STATE(597)] = 10510,
  [SMALL_STATE(598)] = 10550,
  [SMALL_STATE(599)] = 10590,
  [SMALL_STATE(600)] = 10630,
  [SMALL_STATE(601)] = 10670,
  [SMALL_STATE(602)] = 10710,
  [SMALL_STATE(603)] = 10750,
  [SMALL_STATE(604)] = 10790,
  [SMALL_STATE(605)] = 10830,
  [SMALL_STATE(606)] = 10870,
  [SMALL_STATE(607)] = 10910,
  [SMALL_STATE(608)] = 10952,
  [SMALL_STATE(609)] = 10992,
  [SMALL_STATE(610)] = 11032,
  [SMALL_STATE(611)] = 11100,
  [SMALL_STATE(612)] = 11140,
  [SMALL_STATE(613)] = 11180,
  [SMALL_STATE(614)] = 11223,
  [SMALL_STATE(615)] = 11274,
  [SMALL_STATE(616)] = 11343,
  [SMALL_STATE(617)] = 11412,
  [SMALL_STATE(618)] = 11457,
  [SMALL_STATE(619)] = 11526,
  [SMALL_STATE(620)] = 11583,
  [SMALL_STATE(621)] = 11646,
  [SMALL_STATE(622)] = 11705,
  [SMALL_STATE(623)] = 11768,
  [SMALL_STATE(624)] = 11815,
  [SMALL_STATE(625)] = 11876,
  [SMALL_STATE(626)] = 11941,
  [SMALL_STATE(627)] = 11985,
  [SMALL_STATE(628)] = 12029,
  [SMALL_STATE(629)] = 12073,
  [SMALL_STATE(630)] = 12149,
  [SMALL_STATE(631)] = 12191,
  [SMALL_STATE(632)] = 12230,
  [SMALL_STATE(633)] = 12273,
  [SMALL_STATE(634)] = 12310,
  [SMALL_STATE(635)] = 12385,
  [SMALL_STATE(636)] = 12443,
  [SMALL_STATE(637)] = 12485,
  [SMALL_STATE(638)] = 12521,
  [SMALL_STATE(639)] = 12587,
  [SMALL_STATE(640)] = 12653,
  [SMALL_STATE(641)] = 12709,
  [SMALL_STATE(642)] = 12757,
  [SMALL_STATE(643)] = 12811,
  [SMALL_STATE(644)] = 12871,
  [SMALL_STATE(645)] = 12933,
  [SMALL_STATE(646)] = 12975,
  [SMALL_STATE(647)] = 13035,
  [SMALL_STATE(648)] = 13079,
  [SMALL_STATE(649)] = 13145,
  [SMALL_STATE(650)] = 13211,
  [SMALL_STATE(651)] = 13271,
  [SMALL_STATE(652)] = 13307,
  [SMALL_STATE(653)] = 13343,
  [SMALL_STATE(654)] = 13379,
  [SMALL_STATE(655)] = 13445,
  [SMALL_STATE(656)] = 13511,
  [SMALL_STATE(657)] = 13547,
  [SMALL_STATE(658)] = 13604,
  [SMALL_STATE(659)] = 13673,
  [SMALL_STATE(660)] = 13742,
  [SMALL_STATE(661)] = 13811,
  [SMALL_STATE(662)] = 13846,
  [SMALL_STATE(663)] = 13915,
  [SMALL_STATE(664)] = 13950,
  [SMALL_STATE(665)] = 13985,
  [SMALL_STATE(666)] = 14054,
  [SMALL_STATE(667)] = 14091,
  [SMALL_STATE(668)] = 14160,
  [SMALL_STATE(669)] = 14225,
  [SMALL_STATE(670)] = 14294,
  [SMALL_STATE(671)] = 14353,
  [SMALL_STATE(672)] = 14422,
  [SMALL_STATE(673)] = 14475,
  [SMALL_STATE(674)] = 14544,
  [SMALL_STATE(675)] = 14613,
  [SMALL_STATE(676)] = 14682,
  [SMALL_STATE(677)] = 14751,
  [SMALL_STATE(678)] = 14820,
  [SMALL_STATE(679)] = 14889,
  [SMALL_STATE(680)] = 14958,
  [SMALL_STATE(681)] = 15027,
  [SMALL_STATE(682)] = 15096,
  [SMALL_STATE(683)] = 15165,
  [SMALL_STATE(684)] = 15234,
  [SMALL_STATE(685)] = 15303,
  [SMALL_STATE(686)] = 15372,
  [SMALL_STATE(687)] = 15407,
  [SMALL_STATE(688)] = 15476,
  [SMALL_STATE(689)] = 15545,
  [SMALL_STATE(690)] = 15614,
  [SMALL_STATE(691)] = 15683,
  [SMALL_STATE(692)] = 15752,
  [SMALL_STATE(693)] = 15821,
  [SMALL_STATE(694)] = 15890,
  [SMALL_STATE(695)] = 15959,
  [SMALL_STATE(696)] = 16018,
  [SMALL_STATE(697)] = 16052,
  [SMALL_STATE(698)] = 16116,
  [SMALL_STATE(699)] = 16180,
  [SMALL_STATE(700)] = 16214,
  [SMALL_STATE(701)] = 16248,
  [SMALL_STATE(702)] = 16310,
  [SMALL_STATE(703)] = 16344,
  [SMALL_STATE(704)] = 16378,
  [SMALL_STATE(705)] = 16412,
  [SMALL_STATE(706)] = 16462,
  [SMALL_STATE(707)] = 16526,
  [SMALL_STATE(708)] = 16560,
  [SMALL_STATE(709)] = 16626,
  [SMALL_STATE(710)] = 16666,
  [SMALL_STATE(711)] = 16700,
  [SMALL_STATE(712)] = 16764,
  [SMALL_STATE(713)] = 16828,
  [SMALL_STATE(714)] = 16878,
  [SMALL_STATE(715)] = 16942,
  [SMALL_STATE(716)] = 16980,
  [SMALL_STATE(717)] = 17044,
  [SMALL_STATE(718)] = 17108,
  [SMALL_STATE(719)] = 17146,
  [SMALL_STATE(720)] = 17202,
  [SMALL_STATE(721)] = 17242,
  [SMALL_STATE(722)] = 17305,
  [SMALL_STATE(723)] = 17368,
  [SMALL_STATE(724)] = 17431,
  [SMALL_STATE(725)] = 17486,
  [SMALL_STATE(726)] = 17549,
  [SMALL_STATE(727)] = 17612,
  [SMALL_STATE(728)] = 17673,
  [SMALL_STATE(729)] = 17736,
  [SMALL_STATE(730)] = 17799,
  [SMALL_STATE(731)] = 17862,
  [SMALL_STATE(732)] = 17925,
  [SMALL_STATE(733)] = 17958,
  [SMALL_STATE(734)] = 18021,
  [SMALL_STATE(735)] = 18054,
  [SMALL_STATE(736)] = 18117,
  [SMALL_STATE(737)] = 18180,
  [SMALL_STATE(738)] = 18241,
  [SMALL_STATE(739)] = 18304,
  [SMALL_STATE(740)] = 18367,
  [SMALL_STATE(741)] = 18430,
  [SMALL_STATE(742)] = 18485,
  [SMALL_STATE(743)] = 18518,
  [SMALL_STATE(744)] = 18581,
  [SMALL_STATE(745)] = 18644,
  [SMALL_STATE(746)] = 18677,
  [SMALL_STATE(747)] = 18740,
  [SMALL_STATE(748)] = 18803,
  [SMALL_STATE(749)] = 18866,
  [SMALL_STATE(750)] = 18929,
  [SMALL_STATE(751)] = 18992,
  [SMALL_STATE(752)] = 19055,
  [SMALL_STATE(753)] = 19118,
  [SMALL_STATE(754)] = 19181,
  [SMALL_STATE(755)] = 19244,
  [SMALL_STATE(756)] = 19307,
  [SMALL_STATE(757)] = 19370,
  [SMALL_STATE(758)] = 19433,
  [SMALL_STATE(759)] = 19496,
  [SMALL_STATE(760)] = 19559,
  [SMALL_STATE(761)] = 19622,
  [SMALL_STATE(762)] = 19677,
  [SMALL_STATE(763)] = 19732,
  [SMALL_STATE(764)] = 19795,
  [SMALL_STATE(765)] = 19847,
  [SMALL_STATE(766)] = 19899,
  [SMALL_STATE(767)] = 19931,
  [SMALL_STATE(768)] = 19965,
  [SMALL_STATE(769)] = 20025,
  [SMALL_STATE(770)] = 20077,
  [SMALL_STATE(771)] = 20129,
  [SMALL_STATE(772)] = 20181,
  [SMALL_STATE(773)] = 20233,
  [SMALL_STATE(774)] = 20265,
  [SMALL_STATE(775)] = 20317,
  [SMALL_STATE(776)] = 20372,
  [SMALL_STATE(777)] = 20427,
  [SMALL_STATE(778)] = 20468,
  [SMALL_STATE(779)] = 20523,
  [SMALL_STATE(780)] = 20572,
  [SMALL_STATE(781)] = 20627,
  [SMALL_STATE(782)] = 20675,
  [SMALL_STATE(783)] = 20729,
  [SMALL_STATE(784)] = 20781,
  [SMALL_STATE(785)] = 20835,
  [SMALL_STATE(786)] = 20883,
  [SMALL_STATE(787)] = 20937,
  [SMALL_STATE(788)] = 20985,
  [SMALL_STATE(789)] = 21039,
  [SMALL_STATE(790)] = 21085,
  [SMALL_STATE(791)] = 21133,
  [SMALL_STATE(792)] = 21187,
  [SMALL_STATE(793)] = 21233,
  [SMALL_STATE(794)] = 21287,
  [SMALL_STATE(795)] = 21333,
  [SMALL_STATE(796)] = 21381,
  [SMALL_STATE(797)] = 21427,
  [SMALL_STATE(798)] = 21473,
  [SMALL_STATE(799)] = 21519,
  [SMALL_STATE(800)] = 21565,
  [SMALL_STATE(801)] = 21613,
  [SMALL_STATE(802)] = 21664,
  [SMALL_STATE(803)] = 21713,
  [SMALL_STATE(804)] = 21764,
  [SMALL_STATE(805)] = 21813,
  [SMALL_STATE(806)] = 21862,
  [SMALL_STATE(807)] = 21911,
  [SMALL_STATE(808)] = 21960,
  [SMALL_STATE(809)] = 22009,
  [SMALL_STATE(810)] = 22055,
  [SMALL_STATE(811)] = 22107,
  [SMALL_STATE(812)] = 22159,
  [SMALL_STATE(813)] = 22201,
  [SMALL_STATE(814)] = 22243,
  [SMALL_STATE(815)] = 22285,
  [SMALL_STATE(816)] = 22337,
  [SMALL_STATE(817)] = 22379,
  [SMALL_STATE(818)] = 22425,
  [SMALL_STATE(819)] = 22458,
  [SMALL_STATE(820)] = 22499,
  [SMALL_STATE(821)] = 22538,
  [SMALL_STATE(822)] = 22581,
  [SMALL_STATE(823)] = 22626,
  [SMALL_STATE(824)] = 22671,
  [SMALL_STATE(825)] = 22713,
  [SMALL_STATE(826)] = 22753,
  [SMALL_STATE(827)] = 22787,
  [SMALL_STATE(828)] = 22827,
  [SMALL_STATE(829)] = 22863,
  [SMALL_STATE(830)] = 22905,
  [SMALL_STATE(831)] = 22945,
  [SMALL_STATE(832)] = 22982,
  [SMALL_STATE(833)] = 23019,
  [SMALL_STATE(834)] = 23056,
  [SMALL_STATE(835)] = 23093,
  [SMALL_STATE(836)] = 23130,
  [SMALL_STATE(837)] = 23155,
  [SMALL_STATE(838)] = 23192,
  [SMALL_STATE(839)] = 23217,
  [SMALL_STATE(840)] = 23250,
  [SMALL_STATE(841)] = 23287,
  [SMALL_STATE(842)] = 23326,
  [SMALL_STATE(843)] = 23363,
  [SMALL_STATE(844)] = 23390,
  [SMALL_STATE(845)] = 23427,
  [SMALL_STATE(846)] = 23464,
  [SMALL_STATE(847)] = 23506,
  [SMALL_STATE(848)] = 23548,
  [SMALL_STATE(849)] = 23574,
  [SMALL_STATE(850)] = 23616,
  [SMALL_STATE(851)] = 23658,
  [SMALL_STATE(852)] = 23700,
  [SMALL_STATE(853)] = 23742,
  [SMALL_STATE(854)] = 23784,
  [SMALL_STATE(855)] = 23826,
  [SMALL_STATE(856)] = 23859,
  [SMALL_STATE(857)] = 23892,
  [SMALL_STATE(858)] = 23929,
  [SMALL_STATE(859)] = 23957,
  [SMALL_STATE(860)] = 23991,
  [SMALL_STATE(861)] = 24025,
  [SMALL_STATE(862)] = 24059,
  [SMALL_STATE(863)] = 24095,
  [SMALL_STATE(864)] = 24131,
  [SMALL_STATE(865)] = 24167,
  [SMALL_STATE(866)] = 24203,
  [SMALL_STATE(867)] = 24233,
  [SMALL_STATE(868)] = 24267,
  [SMALL_STATE(869)] = 24299,
  [SMALL_STATE(870)] = 24333,
  [SMALL_STATE(871)] = 24364,
  [SMALL_STATE(872)] = 24397,
  [SMALL_STATE(873)] = 24430,
  [SMALL_STATE(874)] = 24461,
  [SMALL_STATE(875)] = 24492,
  [SMALL_STATE(876)] = 24519,
  [SMALL_STATE(877)] = 24552,
  [SMALL_STATE(878)] = 24583,
  [SMALL_STATE(879)] = 24614,
  [SMALL_STATE(880)] = 24647,
  [SMALL_STATE(881)] = 24680,
  [SMALL_STATE(882)] = 24713,
  [SMALL_STATE(883)] = 24744,
  [SMALL_STATE(884)] = 24772,
  [SMALL_STATE(885)] = 24804,
  [SMALL_STATE(886)] = 24828,
  [SMALL_STATE(887)] = 24860,
  [SMALL_STATE(888)] = 24888,
  [SMALL_STATE(889)] = 24918,
  [SMALL_STATE(890)] = 24948,
  [SMALL_STATE(891)] = 24980,
  [SMALL_STATE(892)] = 25010,
  [SMALL_STATE(893)] = 25045,
  [SMALL_STATE(894)] = 25070,
  [SMALL_STATE(895)] = 25095,
  [SMALL_STATE(896)] = 25124,
  [SMALL_STATE(897)] = 25159,
  [SMALL_STATE(898)] = 25180,
  [SMALL_STATE(899)] = 25205,
  [SMALL_STATE(900)] = 25230,
  [SMALL_STATE(901)] = 25255,
  [SMALL_STATE(902)] = 25276,
  [SMALL_STATE(903)] = 25301,
  [SMALL_STATE(904)] = 25325,
  [SMALL_STATE(905)] = 25347,
  [SMALL_STATE(906)] = 25371,
  [SMALL_STATE(907)] = 25399,
  [SMALL_STATE(908)] = 25421,
  [SMALL_STATE(909)] = 25443,
  [SMALL_STATE(910)] = 25459,
  [SMALL_STATE(911)] = 25475,
  [SMALL_STATE(912)] = 25497,
  [SMALL_STATE(913)] = 25519,
  [SMALL_STATE(914)] = 25541,
  [SMALL_STATE(915)] = 25563,
  [SMALL_STATE(916)] = 25585,
  [SMALL_STATE(917)] = 25607,
  [SMALL_STATE(918)] = 25629,
  [SMALL_STATE(919)] = 25651,
  [SMALL_STATE(920)] = 25673,
  [SMALL_STATE(921)] = 25695,
  [SMALL_STATE(922)] = 25717,
  [SMALL_STATE(923)] = 25739,
  [SMALL_STATE(924)] = 25755,
  [SMALL_STATE(925)] = 25777,
  [SMALL_STATE(926)] = 25799,
  [SMALL_STATE(927)] = 25820,
  [SMALL_STATE(928)] = 25841,
  [SMALL_STATE(929)] = 25862,
  [SMALL_STATE(930)] = 25891,
  [SMALL_STATE(931)] = 25920,
  [SMALL_STATE(932)] = 25949,
  [SMALL_STATE(933)] = 25978,
  [SMALL_STATE(934)] = 26000,
  [SMALL_STATE(935)] = 26020,
  [SMALL_STATE(936)] = 26044,
  [SMALL_STATE(937)] = 26066,
  [SMALL_STATE(938)] = 26090,
  [SMALL_STATE(939)] = 26110,
  [SMALL_STATE(940)] = 26124,
  [SMALL_STATE(941)] = 26138,
  [SMALL_STATE(942)] = 26152,
  [SMALL_STATE(943)] = 26166,
  [SMALL_STATE(944)] = 26180,
  [SMALL_STATE(945)] = 26193,
  [SMALL_STATE(946)] = 26206,
  [SMALL_STATE(947)] = 26229,
  [SMALL_STATE(948)] = 26242,
  [SMALL_STATE(949)] = 26255,
  [SMALL_STATE(950)] = 26272,
  [SMALL_STATE(951)] = 26285,
  [SMALL_STATE(952)] = 26302,
  [SMALL_STATE(953)] = 26319,
  [SMALL_STATE(954)] = 26336,
  [SMALL_STATE(955)] = 26357,
  [SMALL_STATE(956)] = 26374,
  [SMALL_STATE(957)] = 26387,
  [SMALL_STATE(958)] = 26400,
  [SMALL_STATE(959)] = 26413,
  [SMALL_STATE(960)] = 26430,
  [SMALL_STATE(961)] = 26447,
  [SMALL_STATE(962)] = 26460,
  [SMALL_STATE(963)] = 26481,
  [SMALL_STATE(964)] = 26504,
  [SMALL_STATE(965)] = 26521,
  [SMALL_STATE(966)] = 26534,
  [SMALL_STATE(967)] = 26547,
  [SMALL_STATE(968)] = 26568,
  [SMALL_STATE(969)] = 26585,
  [SMALL_STATE(970)] = 26602,
  [SMALL_STATE(971)] = 26615,
  [SMALL_STATE(972)] = 26632,
  [SMALL_STATE(973)] = 26645,
  [SMALL_STATE(974)] = 26662,
  [SMALL_STATE(975)] = 26679,
  [SMALL_STATE(976)] = 26702,
  [SMALL_STATE(977)] = 26715,
  [SMALL_STATE(978)] = 26738,
  [SMALL_STATE(979)] = 26759,
  [SMALL_STATE(980)] = 26780,
  [SMALL_STATE(981)] = 26797,
  [SMALL_STATE(982)] = 26820,
  [SMALL_STATE(983)] = 26833,
  [SMALL_STATE(984)] = 26854,
  [SMALL_STATE(985)] = 26877,
  [SMALL_STATE(986)] = 26894,
  [SMALL_STATE(987)] = 26907,
  [SMALL_STATE(988)] = 26927,
  [SMALL_STATE(989)] = 26939,
  [SMALL_STATE(990)] = 26955,
  [SMALL_STATE(991)] = 26971,
  [SMALL_STATE(992)] = 26991,
  [SMALL_STATE(993)] = 27005,
  [SMALL_STATE(994)] = 27021,
  [SMALL_STATE(995)] = 27041,
  [SMALL_STATE(996)] = 27061,
  [SMALL_STATE(997)] = 27081,
  [SMALL_STATE(998)] = 27101,
  [SMALL_STATE(999)] = 27117,
  [SMALL_STATE(1000)] = 27137,
  [SMALL_STATE(1001)] = 27157,
  [SMALL_STATE(1002)] = 27175,
  [SMALL_STATE(1003)] = 27191,
  [SMALL_STATE(1004)] = 27211,
  [SMALL_STATE(1005)] = 27231,
  [SMALL_STATE(1006)] = 27251,
  [SMALL_STATE(1007)] = 27267,
  [SMALL_STATE(1008)] = 27287,
  [SMALL_STATE(1009)] = 27307,
  [SMALL_STATE(1010)] = 27323,
  [SMALL_STATE(1011)] = 27339,
  [SMALL_STATE(1012)] = 27359,
  [SMALL_STATE(1013)] = 27379,
  [SMALL_STATE(1014)] = 27396,
  [SMALL_STATE(1015)] = 27409,
  [SMALL_STATE(1016)] = 27426,
  [SMALL_STATE(1017)] = 27437,
  [SMALL_STATE(1018)] = 27454,
  [SMALL_STATE(1019)] = 27471,
  [SMALL_STATE(1020)] = 27486,
  [SMALL_STATE(1021)] = 27503,
  [SMALL_STATE(1022)] = 27520,
  [SMALL_STATE(1023)] = 27535,
  [SMALL_STATE(1024)] = 27552,
  [SMALL_STATE(1025)] = 27569,
  [SMALL_STATE(1026)] = 27586,
  [SMALL_STATE(1027)] = 27601,
  [SMALL_STATE(1028)] = 27618,
  [SMALL_STATE(1029)] = 27633,
  [SMALL_STATE(1030)] = 27650,
  [SMALL_STATE(1031)] = 27665,
  [SMALL_STATE(1032)] = 27682,
  [SMALL_STATE(1033)] = 27699,
  [SMALL_STATE(1034)] = 27710,
  [SMALL_STATE(1035)] = 27727,
  [SMALL_STATE(1036)] = 27742,
  [SMALL_STATE(1037)] = 27757,
  [SMALL_STATE(1038)] = 27774,
  [SMALL_STATE(1039)] = 27789,
  [SMALL_STATE(1040)] = 27800,
  [SMALL_STATE(1041)] = 27817,
  [SMALL_STATE(1042)] = 27832,
  [SMALL_STATE(1043)] = 27849,
  [SMALL_STATE(1044)] = 27866,
  [SMALL_STATE(1045)] = 27883,
  [SMALL_STATE(1046)] = 27900,
  [SMALL_STATE(1047)] = 27915,
  [SMALL_STATE(1048)] = 27932,
  [SMALL_STATE(1049)] = 27947,
  [SMALL_STATE(1050)] = 27964,
  [SMALL_STATE(1051)] = 27981,
  [SMALL_STATE(1052)] = 27996,
  [SMALL_STATE(1053)] = 28011,
  [SMALL_STATE(1054)] = 28026,
  [SMALL_STATE(1055)] = 28041,
  [SMALL_STATE(1056)] = 28058,
  [SMALL_STATE(1057)] = 28075,
  [SMALL_STATE(1058)] = 28090,
  [SMALL_STATE(1059)] = 28103,
  [SMALL_STATE(1060)] = 28118,
  [SMALL_STATE(1061)] = 28135,
  [SMALL_STATE(1062)] = 28146,
  [SMALL_STATE(1063)] = 28157,
  [SMALL_STATE(1064)] = 28174,
  [SMALL_STATE(1065)] = 28189,
  [SMALL_STATE(1066)] = 28206,
  [SMALL_STATE(1067)] = 28221,
  [SMALL_STATE(1068)] = 28236,
  [SMALL_STATE(1069)] = 28251,
  [SMALL_STATE(1070)] = 28268,
  [SMALL_STATE(1071)] = 28282,
  [SMALL_STATE(1072)] = 28296,
  [SMALL_STATE(1073)] = 28310,
  [SMALL_STATE(1074)] = 28320,
  [SMALL_STATE(1075)] = 28330,
  [SMALL_STATE(1076)] = 28344,
  [SMALL_STATE(1077)] = 28358,
  [SMALL_STATE(1078)] = 28372,
  [SMALL_STATE(1079)] = 28386,
  [SMALL_STATE(1080)] = 28400,
  [SMALL_STATE(1081)] = 28414,
  [SMALL_STATE(1082)] = 28428,
  [SMALL_STATE(1083)] = 28438,
  [SMALL_STATE(1084)] = 28452,
  [SMALL_STATE(1085)] = 28466,
  [SMALL_STATE(1086)] = 28480,
  [SMALL_STATE(1087)] = 28490,
  [SMALL_STATE(1088)] = 28504,
  [SMALL_STATE(1089)] = 28518,
  [SMALL_STATE(1090)] = 28532,
  [SMALL_STATE(1091)] = 28546,
  [SMALL_STATE(1092)] = 28556,
  [SMALL_STATE(1093)] = 28570,
  [SMALL_STATE(1094)] = 28584,
  [SMALL_STATE(1095)] = 28598,
  [SMALL_STATE(1096)] = 28612,
  [SMALL_STATE(1097)] = 28626,
  [SMALL_STATE(1098)] = 28640,
  [SMALL_STATE(1099)] = 28654,
  [SMALL_STATE(1100)] = 28668,
  [SMALL_STATE(1101)] = 28682,
  [SMALL_STATE(1102)] = 28694,
  [SMALL_STATE(1103)] = 28708,
  [SMALL_STATE(1104)] = 28722,
  [SMALL_STATE(1105)] = 28736,
  [SMALL_STATE(1106)] = 28750,
  [SMALL_STATE(1107)] = 28764,
  [SMALL_STATE(1108)] = 28778,
  [SMALL_STATE(1109)] = 28792,
  [SMALL_STATE(1110)] = 28806,
  [SMALL_STATE(1111)] = 28820,
  [SMALL_STATE(1112)] = 28834,
  [SMALL_STATE(1113)] = 28848,
  [SMALL_STATE(1114)] = 28862,
  [SMALL_STATE(1115)] = 28876,
  [SMALL_STATE(1116)] = 28890,
  [SMALL_STATE(1117)] = 28904,
  [SMALL_STATE(1118)] = 28918,
  [SMALL_STATE(1119)] = 28928,
  [SMALL_STATE(1120)] = 28942,
  [SMALL_STATE(1121)] = 28956,
  [SMALL_STATE(1122)] = 28970,
  [SMALL_STATE(1123)] = 28984,
  [SMALL_STATE(1124)] = 28998,
  [SMALL_STATE(1125)] = 29012,
  [SMALL_STATE(1126)] = 29026,
  [SMALL_STATE(1127)] = 29036,
  [SMALL_STATE(1128)] = 29050,
  [SMALL_STATE(1129)] = 29064,
  [SMALL_STATE(1130)] = 29078,
  [SMALL_STATE(1131)] = 29092,
  [SMALL_STATE(1132)] = 29106,
  [SMALL_STATE(1133)] = 29118,
  [SMALL_STATE(1134)] = 29132,
  [SMALL_STATE(1135)] = 29146,
  [SMALL_STATE(1136)] = 29156,
  [SMALL_STATE(1137)] = 29170,
  [SMALL_STATE(1138)] = 29184,
  [SMALL_STATE(1139)] = 29198,
  [SMALL_STATE(1140)] = 29212,
  [SMALL_STATE(1141)] = 29226,
  [SMALL_STATE(1142)] = 29240,
  [SMALL_STATE(1143)] = 29254,
  [SMALL_STATE(1144)] = 29268,
  [SMALL_STATE(1145)] = 29282,
  [SMALL_STATE(1146)] = 29296,
  [SMALL_STATE(1147)] = 29310,
  [SMALL_STATE(1148)] = 29324,
  [SMALL_STATE(1149)] = 29338,
  [SMALL_STATE(1150)] = 29352,
  [SMALL_STATE(1151)] = 29366,
  [SMALL_STATE(1152)] = 29380,
  [SMALL_STATE(1153)] = 29394,
  [SMALL_STATE(1154)] = 29408,
  [SMALL_STATE(1155)] = 29422,
  [SMALL_STATE(1156)] = 29436,
  [SMALL_STATE(1157)] = 29450,
  [SMALL_STATE(1158)] = 29464,
  [SMALL_STATE(1159)] = 29478,
  [SMALL_STATE(1160)] = 29492,
  [SMALL_STATE(1161)] = 29506,
  [SMALL_STATE(1162)] = 29520,
  [SMALL_STATE(1163)] = 29534,
  [SMALL_STATE(1164)] = 29548,
  [SMALL_STATE(1165)] = 29562,
  [SMALL_STATE(1166)] = 29576,
  [SMALL_STATE(1167)] = 29586,
  [SMALL_STATE(1168)] = 29596,
  [SMALL_STATE(1169)] = 29610,
  [SMALL_STATE(1170)] = 29624,
  [SMALL_STATE(1171)] = 29638,
  [SMALL_STATE(1172)] = 29652,
  [SMALL_STATE(1173)] = 29662,
  [SMALL_STATE(1174)] = 29676,
  [SMALL_STATE(1175)] = 29690,
  [SMALL_STATE(1176)] = 29704,
  [SMALL_STATE(1177)] = 29714,
  [SMALL_STATE(1178)] = 29728,
  [SMALL_STATE(1179)] = 29742,
  [SMALL_STATE(1180)] = 29756,
  [SMALL_STATE(1181)] = 29770,
  [SMALL_STATE(1182)] = 29784,
  [SMALL_STATE(1183)] = 29798,
  [SMALL_STATE(1184)] = 29809,
  [SMALL_STATE(1185)] = 29820,
  [SMALL_STATE(1186)] = 29829,
  [SMALL_STATE(1187)] = 29838,
  [SMALL_STATE(1188)] = 29847,
  [SMALL_STATE(1189)] = 29856,
  [SMALL_STATE(1190)] = 29865,
  [SMALL_STATE(1191)] = 29874,
  [SMALL_STATE(1192)] = 29883,
  [SMALL_STATE(1193)] = 29892,
  [SMALL_STATE(1194)] = 29903,
  [SMALL_STATE(1195)] = 29914,
  [SMALL_STATE(1196)] = 29925,
  [SMALL_STATE(1197)] = 29934,
  [SMALL_STATE(1198)] = 29945,
  [SMALL_STATE(1199)] = 29954,
  [SMALL_STATE(1200)] = 29965,
  [SMALL_STATE(1201)] = 29976,
  [SMALL_STATE(1202)] = 29985,
  [SMALL_STATE(1203)] = 29994,
  [SMALL_STATE(1204)] = 30005,
  [SMALL_STATE(1205)] = 30016,
  [SMALL_STATE(1206)] = 30027,
  [SMALL_STATE(1207)] = 30036,
  [SMALL_STATE(1208)] = 30045,
  [SMALL_STATE(1209)] = 30056,
  [SMALL_STATE(1210)] = 30067,
  [SMALL_STATE(1211)] = 30078,
  [SMALL_STATE(1212)] = 30089,
  [SMALL_STATE(1213)] = 30098,
  [SMALL_STATE(1214)] = 30109,
  [SMALL_STATE(1215)] = 30120,
  [SMALL_STATE(1216)] = 30129,
  [SMALL_STATE(1217)] = 30140,
  [SMALL_STATE(1218)] = 30151,
  [SMALL_STATE(1219)] = 30162,
  [SMALL_STATE(1220)] = 30173,
  [SMALL_STATE(1221)] = 30184,
  [SMALL_STATE(1222)] = 30195,
  [SMALL_STATE(1223)] = 30206,
  [SMALL_STATE(1224)] = 30217,
  [SMALL_STATE(1225)] = 30228,
  [SMALL_STATE(1226)] = 30239,
  [SMALL_STATE(1227)] = 30250,
  [SMALL_STATE(1228)] = 30261,
  [SMALL_STATE(1229)] = 30272,
  [SMALL_STATE(1230)] = 30283,
  [SMALL_STATE(1231)] = 30294,
  [SMALL_STATE(1232)] = 30303,
  [SMALL_STATE(1233)] = 30314,
  [SMALL_STATE(1234)] = 30325,
  [SMALL_STATE(1235)] = 30334,
  [SMALL_STATE(1236)] = 30345,
  [SMALL_STATE(1237)] = 30356,
  [SMALL_STATE(1238)] = 30367,
  [SMALL_STATE(1239)] = 30376,
  [SMALL_STATE(1240)] = 30387,
  [SMALL_STATE(1241)] = 30398,
  [SMALL_STATE(1242)] = 30409,
  [SMALL_STATE(1243)] = 30418,
  [SMALL_STATE(1244)] = 30429,
  [SMALL_STATE(1245)] = 30438,
  [SMALL_STATE(1246)] = 30447,
  [SMALL_STATE(1247)] = 30458,
  [SMALL_STATE(1248)] = 30467,
  [SMALL_STATE(1249)] = 30478,
  [SMALL_STATE(1250)] = 30489,
  [SMALL_STATE(1251)] = 30500,
  [SMALL_STATE(1252)] = 30511,
  [SMALL_STATE(1253)] = 30522,
  [SMALL_STATE(1254)] = 30531,
  [SMALL_STATE(1255)] = 30542,
  [SMALL_STATE(1256)] = 30551,
  [SMALL_STATE(1257)] = 30560,
  [SMALL_STATE(1258)] = 30569,
  [SMALL_STATE(1259)] = 30578,
  [SMALL_STATE(1260)] = 30589,
  [SMALL_STATE(1261)] = 30600,
  [SMALL_STATE(1262)] = 30611,
  [SMALL_STATE(1263)] = 30622,
  [SMALL_STATE(1264)] = 30631,
  [SMALL_STATE(1265)] = 30640,
  [SMALL_STATE(1266)] = 30651,
  [SMALL_STATE(1267)] = 30662,
  [SMALL_STATE(1268)] = 30673,
  [SMALL_STATE(1269)] = 30684,
  [SMALL_STATE(1270)] = 30695,
  [SMALL_STATE(1271)] = 30706,
  [SMALL_STATE(1272)] = 30715,
  [SMALL_STATE(1273)] = 30726,
  [SMALL_STATE(1274)] = 30737,
  [SMALL_STATE(1275)] = 30746,
  [SMALL_STATE(1276)] = 30755,
  [SMALL_STATE(1277)] = 30764,
  [SMALL_STATE(1278)] = 30775,
  [SMALL_STATE(1279)] = 30784,
  [SMALL_STATE(1280)] = 30795,
  [SMALL_STATE(1281)] = 30806,
  [SMALL_STATE(1282)] = 30817,
  [SMALL_STATE(1283)] = 30826,
  [SMALL_STATE(1284)] = 30837,
  [SMALL_STATE(1285)] = 30848,
  [SMALL_STATE(1286)] = 30859,
  [SMALL_STATE(1287)] = 30868,
  [SMALL_STATE(1288)] = 30879,
  [SMALL_STATE(1289)] = 30890,
  [SMALL_STATE(1290)] = 30901,
  [SMALL_STATE(1291)] = 30912,
  [SMALL_STATE(1292)] = 30923,
  [SMALL_STATE(1293)] = 30934,
  [SMALL_STATE(1294)] = 30945,
  [SMALL_STATE(1295)] = 30954,
  [SMALL_STATE(1296)] = 30965,
  [SMALL_STATE(1297)] = 30976,
  [SMALL_STATE(1298)] = 30985,
  [SMALL_STATE(1299)] = 30996,
  [SMALL_STATE(1300)] = 31007,
  [SMALL_STATE(1301)] = 31018,
  [SMALL_STATE(1302)] = 31029,
  [SMALL_STATE(1303)] = 31038,
  [SMALL_STATE(1304)] = 31049,
  [SMALL_STATE(1305)] = 31060,
  [SMALL_STATE(1306)] = 31068,
  [SMALL_STATE(1307)] = 31076,
  [SMALL_STATE(1308)] = 31084,
  [SMALL_STATE(1309)] = 31092,
  [SMALL_STATE(1310)] = 31100,
  [SMALL_STATE(1311)] = 31108,
  [SMALL_STATE(1312)] = 31116,
  [SMALL_STATE(1313)] = 31124,
  [SMALL_STATE(1314)] = 31132,
  [SMALL_STATE(1315)] = 31140,
  [SMALL_STATE(1316)] = 31148,
  [SMALL_STATE(1317)] = 31156,
  [SMALL_STATE(1318)] = 31164,
  [SMALL_STATE(1319)] = 31172,
  [SMALL_STATE(1320)] = 31180,
  [SMALL_STATE(1321)] = 31188,
  [SMALL_STATE(1322)] = 31196,
  [SMALL_STATE(1323)] = 31204,
  [SMALL_STATE(1324)] = 31212,
  [SMALL_STATE(1325)] = 31220,
  [SMALL_STATE(1326)] = 31228,
  [SMALL_STATE(1327)] = 31236,
  [SMALL_STATE(1328)] = 31244,
  [SMALL_STATE(1329)] = 31252,
  [SMALL_STATE(1330)] = 31260,
  [SMALL_STATE(1331)] = 31268,
  [SMALL_STATE(1332)] = 31276,
  [SMALL_STATE(1333)] = 31284,
  [SMALL_STATE(1334)] = 31292,
  [SMALL_STATE(1335)] = 31300,
  [SMALL_STATE(1336)] = 31308,
  [SMALL_STATE(1337)] = 31316,
  [SMALL_STATE(1338)] = 31324,
  [SMALL_STATE(1339)] = 31332,
  [SMALL_STATE(1340)] = 31340,
  [SMALL_STATE(1341)] = 31348,
  [SMALL_STATE(1342)] = 31356,
  [SMALL_STATE(1343)] = 31364,
  [SMALL_STATE(1344)] = 31372,
  [SMALL_STATE(1345)] = 31380,
  [SMALL_STATE(1346)] = 31388,
  [SMALL_STATE(1347)] = 31396,
  [SMALL_STATE(1348)] = 31404,
  [SMALL_STATE(1349)] = 31412,
  [SMALL_STATE(1350)] = 31420,
  [SMALL_STATE(1351)] = 31428,
  [SMALL_STATE(1352)] = 31436,
  [SMALL_STATE(1353)] = 31444,
  [SMALL_STATE(1354)] = 31452,
  [SMALL_STATE(1355)] = 31460,
  [SMALL_STATE(1356)] = 31468,
  [SMALL_STATE(1357)] = 31476,
  [SMALL_STATE(1358)] = 31484,
  [SMALL_STATE(1359)] = 31492,
  [SMALL_STATE(1360)] = 31500,
  [SMALL_STATE(1361)] = 31508,
  [SMALL_STATE(1362)] = 31516,
  [SMALL_STATE(1363)] = 31524,
  [SMALL_STATE(1364)] = 31532,
  [SMALL_STATE(1365)] = 31540,
  [SMALL_STATE(1366)] = 31548,
  [SMALL_STATE(1367)] = 31556,
  [SMALL_STATE(1368)] = 31564,
  [SMALL_STATE(1369)] = 31572,
  [SMALL_STATE(1370)] = 31580,
  [SMALL_STATE(1371)] = 31588,
  [SMALL_STATE(1372)] = 31596,
  [SMALL_STATE(1373)] = 31604,
  [SMALL_STATE(1374)] = 31612,
  [SMALL_STATE(1375)] = 31620,
  [SMALL_STATE(1376)] = 31628,
  [SMALL_STATE(1377)] = 31636,
  [SMALL_STATE(1378)] = 31644,
  [SMALL_STATE(1379)] = 31652,
  [SMALL_STATE(1380)] = 31660,
  [SMALL_STATE(1381)] = 31668,
  [SMALL_STATE(1382)] = 31676,
  [SMALL_STATE(1383)] = 31684,
  [SMALL_STATE(1384)] = 31692,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(732),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [97] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(423),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(561),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(978),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(115),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(938),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(244),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(244),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1265),
  [141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(377),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(192),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(18),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1183),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1210),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1214),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(106),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(580),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1025),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1197),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1342),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(464),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(425),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(133),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(908),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(401),
  [207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(463),
  [213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1374),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(742),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(732),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(562),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1217),
  [234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 1, 0, 0),
  [240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 1, 0, 0),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 2, 0, 0),
  [260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 2, 0, 0),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(421),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(561),
  [268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(561),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(978),
  [274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(893),
  [277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0),
  [279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(115),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(244),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(505),
  [288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(244),
  [291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(195),
  [294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(785),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1372),
  [300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1265),
  [303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(9),
  [306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0),
  [308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(377),
  [311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(192),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(18),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1235),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1210),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1214),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(149),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(106),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(580),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(193),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1025),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1236),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1376),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(919),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(464),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(425),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(133),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(908),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(894),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1326),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(402),
  [371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(505),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(463),
  [377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1371),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1374),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(742),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(732),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(766),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(562),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1217),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 1), SHIFT(115),
  [423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 1),
  [425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 1),
  [427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 1), SHIFT(244),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 1), SHIFT(195),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 0),
  [443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 0),
  [445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 3, 0, 21),
  [455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 3, 0, 21),
  [457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 23),
  [577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 23),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 3, 0, 24),
  [587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 3, 0, 24),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 4, 0, 24),
  [597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 4, 0, 24),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1345),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 149),
  [670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 149),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 20),
  [676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 20),
  [678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 4, 0, 62),
  [680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 4, 0, 62),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 2, 0, 0),
  [684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 2, 0, 0),
  [686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 4, 0, 0),
  [688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 4, 0, 0),
  [690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2, 0, 0),
  [694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 59),
  [696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 59),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 63),
  [700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 63),
  [702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 2, 0, 0),
  [704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 2, 0, 0),
  [706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 2, 0, 0),
  [708] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 2, 0, 0),
  [710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 57),
  [712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 57),
  [714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 60),
  [716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 60),
  [718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 64),
  [720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 64),
  [722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 20),
  [724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 20),
  [726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 62),
  [728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 62),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 62),
  [732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 62),
  [734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 4, 0, 62),
  [736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 4, 0, 62),
  [738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 62),
  [740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 62),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 4, 0, 71),
  [744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 4, 0, 71),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 4, 0, 0),
  [748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 4, 0, 0),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 89),
  [752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 89),
  [754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 90),
  [756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 90),
  [758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 91),
  [760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 91),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 92),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 93),
  [770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 94),
  [772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 94),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 5, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 5, 0, 0),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 95),
  [780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 95),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 21),
  [788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 21),
  [790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 5, 0, 24),
  [792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 5, 0, 24),
  [794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 96),
  [796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 96),
  [798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 3, 0, 0),
  [808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 3, 0, 0),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5, 0, 0),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 5, 0, 0),
  [814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 0),
  [818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 100),
  [820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 100),
  [822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 101),
  [824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 101),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 3, 0, 0),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 3, 0, 0),
  [830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 3, 0, 0),
  [832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 3, 0, 0),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 91),
  [836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 91),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 102),
  [840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 102),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 103),
  [844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 103),
  [846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 108),
  [848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 108),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 109),
  [854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 110),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 111),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 110),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 112),
  [868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 112),
  [870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 108),
  [872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 108),
  [874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 111),
  [876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 111),
  [878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 113),
  [880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 113),
  [882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 5, 0, 114),
  [884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 5, 0, 114),
  [886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 120),
  [892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 120),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 121),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 121),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 122),
  [900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 122),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 123),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 123),
  [906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_synchronized_statement, 3, 0, 22),
  [916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_synchronized_statement, 3, 0, 22),
  [918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 126),
  [920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 126),
  [922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 127),
  [928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 127),
  [930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 6, 0, 0),
  [932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 6, 0, 0),
  [934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 0),
  [938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 133),
  [940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 133),
  [942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 134),
  [944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 134),
  [946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 136),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 136),
  [950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 137),
  [952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 137),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 138),
  [956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 138),
  [958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 139),
  [960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 139),
  [962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 140),
  [964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 140),
  [966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 141),
  [968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 141),
  [970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 142),
  [972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 142),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 143),
  [976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 143),
  [978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 138),
  [980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 138),
  [982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 144),
  [984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 144),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 145),
  [988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 145),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 147),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 147),
  [994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 151),
  [996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 151),
  [998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 154),
  [1000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 154),
  [1002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 155),
  [1004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 155),
  [1006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 156),
  [1008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 156),
  [1010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 157),
  [1012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 157),
  [1014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 0),
  [1016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 0),
  [1018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 161),
  [1020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 161),
  [1022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 162),
  [1024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 162),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 163),
  [1028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 163),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 164),
  [1032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 164),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 165),
  [1036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 165),
  [1038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, 0, 166),
  [1040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, 0, 166),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 168),
  [1044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 168),
  [1046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 169),
  [1048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 169),
  [1050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 170),
  [1052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 170),
  [1054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 172),
  [1056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 172),
  [1058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 8, 0, 173),
  [1060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 8, 0, 173),
  [1062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 174),
  [1064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 174),
  [1066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 175),
  [1068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 175),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 6, 0, 0),
  [1072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 6, 0, 0),
  [1074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 179),
  [1076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 179),
  [1078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 181),
  [1080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 181),
  [1082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 182),
  [1084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 182),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 183),
  [1088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 183),
  [1090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 184),
  [1092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 184),
  [1094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 185),
  [1096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 185),
  [1098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 9, 0, 186),
  [1100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 9, 0, 186),
  [1102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 187),
  [1104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 187),
  [1106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 199),
  [1108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 199),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 200),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 200),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 201),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 206),
  [1122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 3, 0, 20),
  [1124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 3, 0, 20),
  [1126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 3, 0, 0),
  [1128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 3, 0, 0),
  [1130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 0),
  [1132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 3, 0, 0),
  [1134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 3, 0, 20),
  [1136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 3, 0, 20),
  [1138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 20),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 20),
  [1142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 3, 0, 40),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 3, 0, 40),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 57),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 57),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 58),
  [1168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 58),
  [1170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 59),
  [1176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 59),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 60),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 60),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 23),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 23),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 171),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 171),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0),
  [1198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0), SHIFT_REPEAT(135),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0), SHIFT_REPEAT(1256),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 13),
  [1206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, 0, 13),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 25),
  [1210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 25),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 35),
  [1218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, 0, 35),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 36),
  [1222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, 0, 36),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [1226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, 0, 12),
  [1228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 4, 0, 180),
  [1230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 4, 0, 180),
  [1232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 5, 0, 198),
  [1234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 5, 0, 198),
  [1236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 6, 0, 205),
  [1238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 6, 0, 205),
  [1240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 3, 0, 167),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 3, 0, 167),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [1248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [1258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [1262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 2, 0, 0),
  [1272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 1, 0, 0),
  [1278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0),
  [1285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(938),
  [1288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [1294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(9),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(412),
  [1300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(581),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [1309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1381),
  [1315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1374),
  [1321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(742),
  [1324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(732),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 2),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [1338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(695),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2),
  [1350] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2), SHIFT(953),
  [1354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 2),
  [1356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1378),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1361] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2), SHIFT(953),
  [1365] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2), SHIFT(1378),
  [1369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 2),
  [1372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [1374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(144),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(720),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
  [1396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(938),
  [1399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [1405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(420),
  [1408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [1411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [1414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1381),
  [1420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [1423] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1374),
  [1426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(742),
  [1429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(732),
  [1432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [1435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [1445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(720),
  [1448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0),
  [1450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1372),
  [1456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(426),
  [1459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [1462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1326),
  [1465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1371),
  [1471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1374),
  [1474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(742),
  [1477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(732),
  [1480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 3, 0, 27),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 3, 0, 27),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 5, 0, 104),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 5, 0, 104),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0),
  [1503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(1367),
  [1506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions, 1, 0, 0),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions, 1, 0, 0),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access, 4, 0, 70),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access, 4, 0, 70),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [1525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 2), SHIFT(670),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 17),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 0),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 56),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 56),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 54),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 54),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 19),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 19),
  [1560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 10, 0),
  [1562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 10, 0),
  [1564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [1566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [1568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 2, 0, 0),
  [1570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 2, 0, 0),
  [1572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 3, 0, 0),
  [1574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 3, 0, 0),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(670),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 10, 2),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 10, 2),
  [1587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, 0, 77),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, 0, 77),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 30),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 30),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 42),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 42),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0),
  [1605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0),
  [1607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(201),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(911),
  [1613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, 0, 66),
  [1615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, 0, 66),
  [1617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 61),
  [1619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 61),
  [1621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 8),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 8),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integral_type, 1, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integral_type, 1, 0, 0),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_point_type, 1, 0, 0),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_point_type, 1, 0, 0),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [1635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 3, 0, 32),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 32),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [1641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(587),
  [1643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, 0, 68),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 68),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_marker_annotation, 2, 0, 5),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_marker_annotation, 2, 0, 5),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [1655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 53),
  [1657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 53),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 52),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 52),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 86),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 86),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 55),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 55),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 51),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 51),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 115),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 115),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 116),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 116),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 80),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 80),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 79),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 79),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 85),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 85),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 18),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 18),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 16),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 16),
  [1705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [1707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(503),
  [1712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(919),
  [1715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(503),
  [1718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 4, 0, 0),
  [1720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 4, 0, 0),
  [1722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0),
  [1724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [1730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [1732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [1734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 3, 0, 0),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 3, 0, 0),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 50),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 50),
  [1750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, 0, 26),
  [1752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, 0, 26),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 4, 0, 65),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 4, 0, 65),
  [1758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 4, 0, 0),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 4, 0, 0),
  [1762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 4, 0, 0),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 4, 0, 0),
  [1766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 2, 0, 0),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 2, 0, 0),
  [1770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 115),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 115),
  [1774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 116),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 116),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 146),
  [1780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 146),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 71),
  [1784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 71),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 3, 0, 0),
  [1788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 3, 0, 0),
  [1790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_literal, 3, 17, 0),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_literal, 3, 17, 0),
  [1794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 7, 0, 160),
  [1796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 7, 0, 160),
  [1798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [1800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [1802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 44),
  [1804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 44),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [1812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 5, 0, 0),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 5, 0, 0),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 4, 0, 0),
  [1818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 4, 0, 0),
  [1820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 5, 0, 78),
  [1822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 5, 0, 78),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 2, 0, 0),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 2, 0, 0),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 4, 0, 0),
  [1834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 4, 0, 0),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 2, 0, 0),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 2, 0, 0),
  [1840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 51),
  [1842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 51),
  [1844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 52),
  [1846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 52),
  [1848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 53),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 53),
  [1852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 81),
  [1854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 81),
  [1856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 82),
  [1858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 82),
  [1860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 55),
  [1862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 55),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 83),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 83),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 84),
  [1870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 84),
  [1872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_initializer, 2, 0, 0),
  [1874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_initializer, 2, 0, 0),
  [1876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 2, 0, 87),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 2, 0, 87),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 88),
  [1882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 88),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 16),
  [1886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 16),
  [1888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 47),
  [1890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 47),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 48),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 48),
  [1896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 18),
  [1898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 18),
  [1900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 3),
  [1902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 3),
  [1904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0), REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 3, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 3, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 3, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 3, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 6, 0, 135),
  [1919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 6, 0, 135),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 5, 0, 105),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 5, 0, 105),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_expression, 3, 0, 33),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_expression, 3, 0, 33),
  [1929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0),
  [1933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 2, 0, 6),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 2, 0, 6),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 2, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 2, 0, 0),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 3, 0, 0),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 3, 0, 0),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 34),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 34),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 79),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 79),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 80),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 80),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 85),
  [1959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 85),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 86),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 86),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 3, 0, 20),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 3, 0, 20),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 117),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 117),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 2, 0, 0),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 2, 0, 0),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 119),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 119),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 40),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 40),
  [1985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 3, 0, 0),
  [1987] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 3, 0, 0),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 3, 0, 0),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 3, 0, 0),
  [1993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 49),
  [1995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 49),
  [1997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 3, 0, 40),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 3, 0, 40),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 4, 0, 71),
  [2003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 4, 0, 71),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(1354),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 5, 0, 106),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 5, 0, 106),
  [2024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 194),
  [2026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 194),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 2, 0, 0),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 2, 0, 0),
  [2032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 196),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 196),
  [2036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 29),
  [2038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 29),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 3, 0, 0),
  [2042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 3, 0, 0),
  [2044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 197),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 197),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, 0, 69),
  [2052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 69),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 2, 0, 0),
  [2056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 2, 0, 0),
  [2058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 203),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 203),
  [2062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 204),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 204),
  [2066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 8, 0, 207),
  [2068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 8, 0, 207),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 3, 0, 31),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 31),
  [2074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 0),
  [2076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 0),
  [2078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [2080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 4),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 28),
  [2084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 28),
  [2086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 4, 0, 0),
  [2088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 4, 0, 0),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 5, 0, 178),
  [2092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 5, 0, 178),
  [2094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, 0, 67),
  [2096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 67),
  [2098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 202),
  [2100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 202),
  [2102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0), REDUCE(sym_record_pattern_body, 2, 0, 0),
  [2105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0), REDUCE(sym_record_pattern_body, 2, 0, 0),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [2118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 107),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 28),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [2149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [2152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(627),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [2177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 2, 0, 0),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [2205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__element_value, 1, 0, 0),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 76),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(933),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, 0, 152),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [2295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2, 0, 0),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 4, 0, 124),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 97),
  [2331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [2333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [2335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(918),
  [2338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 5, 0, 148),
  [2342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0), REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [2447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [2463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [2467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [2471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [2475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [2489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(973),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 1, 0, 0),
  [2494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 1, 0, 0),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [2498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_catch_type_repeat1, 2, 0, 0),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2, 0, 0),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [2520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0),
  [2526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [2530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(973),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [2537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(868),
  [2542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(922),
  [2545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(921),
  [2548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(924),
  [2551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(916),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [2556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [2558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 1, 0, 7),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [2574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, 0, 130),
  [2582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, 0, 130), SHIFT_REPEAT(909),
  [2585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 2, 0, 39),
  [2587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1205),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [2619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2, 0, 0), SHIFT_REPEAT(844),
  [2622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [2624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [2626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 2, 0, 0),
  [2628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0),
  [2630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(982),
  [2633] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(241),
  [2636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(902),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [2643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [2653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [2655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [2657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_modifier, 1, 0, 0),
  [2659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 1, 0, 99),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [2663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [2665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [2675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [2681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [2683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [2685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [2687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [2693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 1, 0, 7),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [2705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [2707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(135),
  [2710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(1256),
  [2713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, 0, 5),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 6, 0, 0),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [2723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [2727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [2729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 3, 0, 131),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 5, 0, 176),
  [2733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 4, 0, 158),
  [2735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [2738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 5, 0, 177),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uses_module_directive, 3, 0, 45),
  [2750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 3, 0, 129),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 3, 0, 131),
  [2758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [2764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 6, 0, 189),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 6, 0, 192),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2, 0, 0),
  [2774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2, 0, 0), SHIFT_REPEAT(142),
  [2777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2, 0, 0), SHIFT_REPEAT(1256),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [2784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_interpolation, 3, 0, 0),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_directive, 1, 0, 0),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 5, 0, 176),
  [2796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 3, 0, 0),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_fragment, 1, 0, 0),
  [2808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0),
  [2810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(983),
  [2813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [2816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(983),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 6, 0, 189),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 2, 0, 38),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, 0, 6),
  [2827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(222),
  [2830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(774),
  [2833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 2, 0, 0),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, 0, 26),
  [2851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(199),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1, 0, 0),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 3, 0, 0),
  [2862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 3, 0, 0),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [2876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 15),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 10),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 2, 0, 0),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, 0, 72),
  [2892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [2894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0), SHIFT_REPEAT(777),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 2, 0, 0),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 4, 0, 0),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 3, 0, 0),
  [2921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2, 0, 0), SHIFT_REPEAT(765),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2, 0, 0),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 3, 0, 0),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 2),
  [2932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 2, 0, 0),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 2, 0, 11),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 5, 0, 0),
  [2940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, 0, 37),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2, 0, 0),
  [2966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(139),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, 0, 20),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2, 0, 0),
  [2981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(903),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 2, 0, 0),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 4, 0, 159),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2, 0, 0),
  [3008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [3011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_body_repeat1, 2, 0, 0),
  [3013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_body_repeat1, 2, 0, 0), SHIFT_REPEAT(657),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, 0, 188),
  [3020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_receiver_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(1360),
  [3023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_receiver_parameter_repeat1, 2, 0, 0),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [3029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(145),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [3034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 98), SHIFT_REPEAT(198),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 98),
  [3048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2, 0, 0),
  [3050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(927),
  [3053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, 0, 190), SHIFT_REPEAT(913),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, 0, 190),
  [3058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 2, 0, 41),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, 0, 132),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [3092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(719),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, 0, 191),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [3103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 1, 0, 9),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, 0, 153),
  [3115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, 0, 153), SHIFT_REPEAT(207),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [3122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [3136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(934),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [3143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, 0, 46),
  [3145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, 0, 46), SHIFT_REPEAT(772),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_pattern, 2, 0, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_rule, 3, 0, 0),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, 0, 87),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 3, 0, 73),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [3194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, 0, 193), SHIFT_REPEAT(917),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, 0, 193),
  [3199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 75), SHIFT_REPEAT(883),
  [3202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 75),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, 0, 45),
  [3210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 3, 0, 0),
  [3214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_component, 1, 0, 0),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 2),
  [3218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 2, 0, 39),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 4, 0, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_interfaces, 2, 0, 0),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 2, 0, 0),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_interfaces, 2, 0, 0),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 4, 0, 0),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [3252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 5, 0, 72),
  [3254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 5, 0, 0),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 4, 0, 0),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_pair, 3, 0, 128),
  [3262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__wildcard_bounds, 2, 0, 0),
  [3266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 3, 0, 43),
  [3272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 3, 0, 0),
  [3274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 1, 0, 0),
  [3276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, 0, 11),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 3, 0, 0),
  [3284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 3, 0, 118),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [3288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, 0, 37),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 74),
  [3294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 15),
  [3296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 2, 0, 14),
  [3298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_component, 2, 0, 0),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [3310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 4, 0, 0),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [3330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 3, 0, 150),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk, 1, 0, 0),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 3, 0, 0),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [3364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_value, 2, 0, 195),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 4, 0, 0),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 5, 0, 0),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 2, 0, 125),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [3396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permits, 2, 0, 0),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3420] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 3, 0, 0),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_java(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
